#include <tree_sitter/parser.h>

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 7772
#define LARGE_STATE_COUNT 64
#define SYMBOL_COUNT 469
#define ALIAS_COUNT 0
#define TOKEN_COUNT 274
#define EXTERNAL_TOKEN_COUNT 0
#define FIELD_COUNT 24
#define MAX_ALIAS_SEQUENCE_LENGTH 14
#define PRODUCTION_ID_COUNT 78

enum {
  sym__identifier = 1,
  sym_keyword_select = 2,
  sym_keyword_delete = 3,
  sym_keyword_insert = 4,
  sym_keyword_replace = 5,
  sym_keyword_update = 6,
  sym_keyword_into = 7,
  sym_keyword_values = 8,
  sym_keyword_set = 9,
  sym_keyword_from = 10,
  sym_keyword_left = 11,
  sym_keyword_right = 12,
  sym_keyword_inner = 13,
  sym_keyword_outer = 14,
  sym_keyword_cross = 15,
  sym_keyword_join = 16,
  sym_keyword_lateral = 17,
  sym_keyword_on = 18,
  sym_keyword_where = 19,
  sym_keyword_order = 20,
  sym_keyword_group = 21,
  sym_keyword_partition = 22,
  sym_keyword_by = 23,
  sym_keyword_having = 24,
  sym_keyword_desc = 25,
  sym_keyword_asc = 26,
  sym_keyword_limit = 27,
  sym_keyword_offset = 28,
  sym_keyword_primary = 29,
  sym_keyword_create = 30,
  sym_keyword_alter = 31,
  sym_keyword_change = 32,
  sym_keyword_modify = 33,
  sym_keyword_drop = 34,
  sym_keyword_add = 35,
  sym_keyword_table = 36,
  sym_keyword_view = 37,
  sym_keyword_materialized = 38,
  sym_keyword_column = 39,
  sym_keyword_key = 40,
  sym_keyword_as = 41,
  sym_keyword_distinct = 42,
  sym_keyword_constraint = 43,
  sym_keyword_cast = 44,
  sym_keyword_count = 45,
  sym_keyword_group_concat = 46,
  sym_keyword_separator = 47,
  sym_keyword_max = 48,
  sym_keyword_min = 49,
  sym_keyword_avg = 50,
  sym_keyword_case = 51,
  sym_keyword_when = 52,
  sym_keyword_then = 53,
  sym_keyword_else = 54,
  sym_keyword_end = 55,
  sym_keyword_in = 56,
  sym_keyword_and = 57,
  sym_keyword_or = 58,
  sym_keyword_is = 59,
  sym_keyword_not = 60,
  sym_keyword_force = 61,
  sym_keyword_ignore = 62,
  sym_keyword_using = 63,
  sym_keyword_use = 64,
  sym_keyword_index = 65,
  sym_keyword_for = 66,
  sym_keyword_if = 67,
  sym_keyword_exists = 68,
  sym_keyword_auto_increment = 69,
  sym_keyword_collate = 70,
  aux_sym_keyword_character_token1 = 71,
  sym_keyword_engine = 72,
  sym_keyword_default = 73,
  sym_keyword_cascade = 74,
  sym_keyword_restrict = 75,
  aux_sym_keyword_with_token1 = 76,
  sym_keyword_no = 77,
  sym_keyword_data = 78,
  sym_keyword_type = 79,
  sym_keyword_rename = 80,
  sym_keyword_to = 81,
  sym_keyword_schema = 82,
  sym_keyword_owner = 83,
  sym_keyword_temp = 84,
  sym_keyword_temporary = 85,
  sym_keyword_unlogged = 86,
  sym_keyword_union = 87,
  sym_keyword_all = 88,
  sym_keyword_except = 89,
  sym_keyword_intersect = 90,
  sym_keyword_returning = 91,
  sym_keyword_begin = 92,
  sym_keyword_commit = 93,
  sym_keyword_rollback = 94,
  sym_keyword_transaction = 95,
  sym_keyword_over = 96,
  sym_keyword_nulls = 97,
  sym_keyword_first = 98,
  sym_keyword_after = 99,
  sym_keyword_last = 100,
  sym_keyword_window = 101,
  sym_keyword_range = 102,
  sym_keyword_rows = 103,
  sym_keyword_groups = 104,
  sym_keyword_between = 105,
  sym_keyword_unbounded = 106,
  sym_keyword_preceding = 107,
  sym_keyword_following = 108,
  sym_keyword_exclude = 109,
  sym_keyword_current = 110,
  sym_keyword_row = 111,
  sym_keyword_ties = 112,
  sym_keyword_others = 113,
  sym_keyword_only = 114,
  sym_keyword_unique = 115,
  sym_keyword_concurrently = 116,
  sym_keyword_btree = 117,
  sym_keyword_hash = 118,
  sym_keyword_gist = 119,
  sym_keyword_spgist = 120,
  sym_keyword_gin = 121,
  sym_keyword_brin = 122,
  aux_sym_keyword_like_token1 = 123,
  aux_sym_keyword_like_token2 = 124,
  sym_keyword_similar = 125,
  sym_keyword_preserve = 126,
  sym_keyword_unsigned = 127,
  sym_keyword_zerofill = 128,
  sym_keyword_external = 129,
  sym_keyword_stored = 130,
  sym_keyword_cached = 131,
  sym_keyword_uncached = 132,
  sym_keyword_replication = 133,
  sym_keyword_tblproperties = 134,
  sym_keyword_compute = 135,
  sym_keyword_stats = 136,
  sym_keyword_location = 137,
  sym_keyword_partitioned = 138,
  sym_keyword_comment = 139,
  sym_keyword_sort = 140,
  sym_keyword_format = 141,
  sym_keyword_delimited = 142,
  sym_keyword_fields = 143,
  sym_keyword_terminated = 144,
  sym_keyword_escaped = 145,
  sym_keyword_lines = 146,
  sym_keyword_parquet = 147,
  sym_keyword_rcfile = 148,
  sym_keyword_csv = 149,
  sym_keyword_textfile = 150,
  sym_keyword_avro = 151,
  sym_keyword_sequencefile = 152,
  sym_keyword_orc = 153,
  sym_keyword_jsonfile = 154,
  sym_keyword_null = 155,
  sym_keyword_true = 156,
  sym_keyword_false = 157,
  sym_keyword_boolean = 158,
  aux_sym_keyword_smallserial_token1 = 159,
  aux_sym_keyword_smallserial_token2 = 160,
  aux_sym_keyword_serial_token1 = 161,
  aux_sym_keyword_serial_token2 = 162,
  aux_sym_keyword_bigserial_token1 = 163,
  aux_sym_keyword_bigserial_token2 = 164,
  aux_sym_keyword_tinyint_token1 = 165,
  aux_sym_keyword_tinyint_token2 = 166,
  aux_sym_keyword_smallint_token1 = 167,
  aux_sym_keyword_smallint_token2 = 168,
  aux_sym_keyword_mediumint_token1 = 169,
  aux_sym_keyword_mediumint_token2 = 170,
  aux_sym_keyword_int_token1 = 171,
  aux_sym_keyword_int_token2 = 172,
  aux_sym_keyword_int_token3 = 173,
  aux_sym_keyword_bigint_token1 = 174,
  aux_sym_keyword_bigint_token2 = 175,
  sym_keyword_decimal = 176,
  sym_keyword_numeric = 177,
  aux_sym_keyword_real_token1 = 178,
  aux_sym_keyword_real_token2 = 179,
  sym_keyword_float = 180,
  sym_keyword_double = 181,
  sym_keyword_precision = 182,
  sym_keyword_money = 183,
  aux_sym_keyword_char_token1 = 184,
  aux_sym_keyword_varchar_token1 = 185,
  aux_sym_keyword_varchar_token2 = 186,
  sym_keyword_text = 187,
  sym_keyword_uuid = 188,
  sym_keyword_json = 189,
  sym_keyword_jsonb = 190,
  sym_keyword_xml = 191,
  sym_keyword_bytea = 192,
  sym_keyword_date = 193,
  sym_keyword_datetime = 194,
  aux_sym_keyword_timestamp_token1 = 195,
  aux_sym_keyword_timestamp_token2 = 196,
  aux_sym_keyword_timestamp_token3 = 197,
  aux_sym_keyword_timestamp_token4 = 198,
  aux_sym_keyword_timestamptz_token1 = 199,
  sym_keyword_interval = 200,
  sym_keyword_geometry = 201,
  sym_keyword_geography = 202,
  sym_keyword_box2d = 203,
  sym_keyword_box3d = 204,
  sym_keyword_oid = 205,
  sym_keyword_name = 206,
  sym_keyword_regclass = 207,
  sym_keyword_regnamespace = 208,
  sym_keyword_regproc = 209,
  sym_keyword_regtype = 210,
  sym_keyword_array = 211,
  anon_sym_LPAREN = 212,
  anon_sym_RPAREN = 213,
  anon_sym_COMMA = 214,
  aux_sym_double_token1 = 215,
  anon_sym_LBRACK = 216,
  anon_sym_RBRACK = 217,
  anon_sym_DASH_DASH = 218,
  aux_sym_comment_token1 = 219,
  anon_sym_SLASH_STAR = 220,
  aux_sym_marginalia_token1 = 221,
  anon_sym_SLASH = 222,
  anon_sym_SEMI = 223,
  anon_sym_DOT = 224,
  anon_sym_EQ = 225,
  anon_sym_STAR = 226,
  anon_sym_QMARK = 227,
  anon_sym_DOLLAR = 228,
  aux_sym_parameter_token1 = 229,
  anon_sym_COLON_COLON = 230,
  anon_sym_millennium = 231,
  anon_sym_century = 232,
  anon_sym_decade = 233,
  anon_sym_year = 234,
  anon_sym_month = 235,
  anon_sym_week = 236,
  anon_sym_day = 237,
  anon_sym_hour = 238,
  anon_sym_minute = 239,
  anon_sym_second = 240,
  anon_sym_millisecond = 241,
  anon_sym_microsecond = 242,
  anon_sym_y = 243,
  anon_sym_m = 244,
  anon_sym_d = 245,
  anon_sym_H = 246,
  anon_sym_M = 247,
  anon_sym_S = 248,
  anon_sym_years = 249,
  anon_sym_months = 250,
  anon_sym_weeks = 251,
  anon_sym_days = 252,
  anon_sym_hours = 253,
  anon_sym_minutes = 254,
  anon_sym_seconds = 255,
  anon_sym_ago = 256,
  anon_sym_SQUOTE = 257,
  anon_sym_LT = 258,
  anon_sym_GT = 259,
  anon_sym_LT_EQ = 260,
  anon_sym_GT_EQ = 261,
  anon_sym_PLUS = 262,
  anon_sym_DASH = 263,
  anon_sym_PERCENT = 264,
  anon_sym_CARET = 265,
  anon_sym_PIPE_PIPE = 266,
  anon_sym_BANG_EQ = 267,
  anon_sym_DQUOTE = 268,
  aux_sym__double_quote_string_token1 = 269,
  aux_sym__literal_string_token1 = 270,
  sym__natural_number = 271,
  sym_bang = 272,
  anon_sym_BQUOTE = 273,
  sym_program = 274,
  sym_keyword_character = 275,
  sym_keyword_with = 276,
  sym_keyword_like = 277,
  sym_is_not = 278,
  sym_not_like = 279,
  sym_similar_to = 280,
  sym_not_similar_to = 281,
  sym_distinct_from = 282,
  sym_not_distinct_from = 283,
  sym__temporary = 284,
  sym__not_null = 285,
  sym__primary_key = 286,
  sym__if_exists = 287,
  sym__if_not_exists = 288,
  sym__or_replace = 289,
  sym__current_row = 290,
  sym__exclude_current_row = 291,
  sym__exclude_group = 292,
  sym__exclude_no_others = 293,
  sym__exclude_ties = 294,
  sym_direction = 295,
  sym_keyword_smallserial = 296,
  sym_keyword_serial = 297,
  sym_keyword_bigserial = 298,
  sym_keyword_tinyint = 299,
  sym_keyword_smallint = 300,
  sym_keyword_mediumint = 301,
  sym_keyword_int = 302,
  sym_keyword_bigint = 303,
  sym_keyword_real = 304,
  sym_keyword_char = 305,
  sym_keyword_varchar = 306,
  sym_keyword_timestamp = 307,
  sym_keyword_timestamptz = 308,
  sym__type = 309,
  sym_tinyint = 310,
  sym_smallint = 311,
  sym_mediumint = 312,
  sym_int = 313,
  sym_bigint = 314,
  sym_float = 315,
  sym_double = 316,
  sym_decimal = 317,
  sym_numeric = 318,
  sym_char = 319,
  sym_varchar = 320,
  sym_array = 321,
  sym_comment = 322,
  sym_marginalia = 323,
  sym_compound_statement = 324,
  sym_statement = 325,
  sym__ddl_statement = 326,
  sym__dml_statement = 327,
  sym_cte = 328,
  sym_transaction = 329,
  sym__begin = 330,
  sym__commit = 331,
  sym__rollback = 332,
  sym__select_statement = 333,
  sym_select = 334,
  sym_select_expression = 335,
  sym__select_expression = 336,
  sym_term = 337,
  sym__delete_statement = 338,
  sym__delete_from = 339,
  sym_delete = 340,
  sym__create_statement = 341,
  sym__table_settings = 342,
  sym_create_table = 343,
  sym_create_view = 344,
  sym_create_materialized_view = 345,
  sym_create_index = 346,
  sym__alter_statement = 347,
  sym_alter_table = 348,
  sym__alter_specifications = 349,
  sym_add_column = 350,
  sym_alter_column = 351,
  sym_modify_column = 352,
  sym_change_column = 353,
  sym_column_position = 354,
  sym_drop_column = 355,
  sym_rename_column = 356,
  sym_alter_view = 357,
  sym__drop_statement = 358,
  sym_drop_table = 359,
  sym_drop_view = 360,
  sym_drop_index = 361,
  sym_rename_object = 362,
  sym_set_schema = 363,
  sym_change_ownership = 364,
  sym_table_reference = 365,
  sym__insert_statement = 366,
  sym_insert = 367,
  sym__insert_values = 368,
  sym__insert_set = 369,
  sym__column_list = 370,
  sym__column = 371,
  sym__update_statement = 372,
  sym_update = 373,
  sym__mysql_update_statement = 374,
  sym__postgres_update_statement = 375,
  sym_storage_location = 376,
  sym_row_format = 377,
  sym_table_sort = 378,
  sym_table_partition = 379,
  sym_stored_as = 380,
  sym_assignment = 381,
  sym_table_options = 382,
  sym_table_option = 383,
  sym_column_definitions = 384,
  sym_column_definition = 385,
  sym__column_constraint = 386,
  sym__default_expression = 387,
  sym__inner_default_expression = 388,
  sym_constraints = 389,
  sym_constraint = 390,
  sym__constraint_literal = 391,
  sym__primary_key_constraint = 392,
  sym__key_constraint = 393,
  sym_ordered_columns = 394,
  sym_ordered_column = 395,
  sym_all_fields = 396,
  sym_parameter = 397,
  sym_case = 398,
  sym_field = 399,
  sym_implicit_cast = 400,
  sym_interval_definitions = 401,
  sym__interval_definition = 402,
  sym_interval = 403,
  sym_cast = 404,
  sym__aggregate_function = 405,
  sym_count = 406,
  sym_group_concat = 407,
  sym__aggregate_expression = 408,
  sym_invocation = 409,
  sym_partition_by = 410,
  sym_frame_definition = 411,
  sym_window_frame = 412,
  sym_window_clause = 413,
  sym_window_specification = 414,
  sym_window_function = 415,
  sym__alias_identifier = 416,
  sym__alias = 417,
  sym_from = 418,
  sym_relation = 419,
  sym_values = 420,
  sym_index_hint = 421,
  sym_join = 422,
  sym_lateral_join = 423,
  sym_where = 424,
  sym_group_by = 425,
  sym__having = 426,
  sym_order_by = 427,
  sym_order_target = 428,
  sym_limit = 429,
  sym_offset = 430,
  sym_returning = 431,
  sym__expression = 432,
  sym_binary_expression = 433,
  sym_unary_expression = 434,
  sym_subquery = 435,
  sym_list = 436,
  sym_literal = 437,
  sym__double_quote_string = 438,
  sym__literal_string = 439,
  sym__integer = 440,
  sym__decimal_number = 441,
  sym_identifier = 442,
  aux_sym_program_repeat1 = 443,
  aux_sym_array_repeat1 = 444,
  aux_sym_compound_statement_repeat1 = 445,
  aux_sym__dml_statement_repeat1 = 446,
  aux_sym__select_statement_repeat1 = 447,
  aux_sym_select_expression_repeat1 = 448,
  aux_sym_create_table_repeat1 = 449,
  aux_sym_alter_table_repeat1 = 450,
  aux_sym__insert_values_repeat1 = 451,
  aux_sym__insert_set_repeat1 = 452,
  aux_sym__column_list_repeat1 = 453,
  aux_sym__mysql_update_statement_repeat1 = 454,
  aux_sym__mysql_update_statement_repeat2 = 455,
  aux_sym_table_sort_repeat1 = 456,
  aux_sym_table_options_repeat1 = 457,
  aux_sym_table_options_repeat2 = 458,
  aux_sym_column_definitions_repeat1 = 459,
  aux_sym_column_definition_repeat1 = 460,
  aux_sym_constraints_repeat1 = 461,
  aux_sym_ordered_columns_repeat1 = 462,
  aux_sym_case_repeat1 = 463,
  aux_sym_case_repeat2 = 464,
  aux_sym_interval_definitions_repeat1 = 465,
  aux_sym_invocation_repeat1 = 466,
  aux_sym_from_repeat1 = 467,
  aux_sym_order_by_repeat1 = 468,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym__identifier] = "_identifier",
  [sym_keyword_select] = "keyword_select",
  [sym_keyword_delete] = "keyword_delete",
  [sym_keyword_insert] = "keyword_insert",
  [sym_keyword_replace] = "keyword_replace",
  [sym_keyword_update] = "keyword_update",
  [sym_keyword_into] = "keyword_into",
  [sym_keyword_values] = "keyword_values",
  [sym_keyword_set] = "keyword_set",
  [sym_keyword_from] = "keyword_from",
  [sym_keyword_left] = "keyword_left",
  [sym_keyword_right] = "keyword_right",
  [sym_keyword_inner] = "keyword_inner",
  [sym_keyword_outer] = "keyword_outer",
  [sym_keyword_cross] = "keyword_cross",
  [sym_keyword_join] = "keyword_join",
  [sym_keyword_lateral] = "keyword_lateral",
  [sym_keyword_on] = "keyword_on",
  [sym_keyword_where] = "keyword_where",
  [sym_keyword_order] = "keyword_order",
  [sym_keyword_group] = "keyword_group",
  [sym_keyword_partition] = "keyword_partition",
  [sym_keyword_by] = "keyword_by",
  [sym_keyword_having] = "keyword_having",
  [sym_keyword_desc] = "keyword_desc",
  [sym_keyword_asc] = "keyword_asc",
  [sym_keyword_limit] = "keyword_limit",
  [sym_keyword_offset] = "keyword_offset",
  [sym_keyword_primary] = "keyword_primary",
  [sym_keyword_create] = "keyword_create",
  [sym_keyword_alter] = "keyword_alter",
  [sym_keyword_change] = "keyword_change",
  [sym_keyword_modify] = "keyword_modify",
  [sym_keyword_drop] = "keyword_drop",
  [sym_keyword_add] = "keyword_add",
  [sym_keyword_table] = "keyword_table",
  [sym_keyword_view] = "keyword_view",
  [sym_keyword_materialized] = "keyword_materialized",
  [sym_keyword_column] = "keyword_column",
  [sym_keyword_key] = "keyword_key",
  [sym_keyword_as] = "keyword_as",
  [sym_keyword_distinct] = "keyword_distinct",
  [sym_keyword_constraint] = "keyword_constraint",
  [sym_keyword_cast] = "keyword_cast",
  [sym_keyword_count] = "keyword_count",
  [sym_keyword_group_concat] = "keyword_group_concat",
  [sym_keyword_separator] = "keyword_separator",
  [sym_keyword_max] = "keyword_max",
  [sym_keyword_min] = "keyword_min",
  [sym_keyword_avg] = "keyword_avg",
  [sym_keyword_case] = "keyword_case",
  [sym_keyword_when] = "keyword_when",
  [sym_keyword_then] = "keyword_then",
  [sym_keyword_else] = "keyword_else",
  [sym_keyword_end] = "keyword_end",
  [sym_keyword_in] = "keyword_in",
  [sym_keyword_and] = "keyword_and",
  [sym_keyword_or] = "keyword_or",
  [sym_keyword_is] = "keyword_is",
  [sym_keyword_not] = "keyword_not",
  [sym_keyword_force] = "keyword_force",
  [sym_keyword_ignore] = "keyword_ignore",
  [sym_keyword_using] = "keyword_using",
  [sym_keyword_use] = "keyword_use",
  [sym_keyword_index] = "keyword_index",
  [sym_keyword_for] = "keyword_for",
  [sym_keyword_if] = "keyword_if",
  [sym_keyword_exists] = "keyword_exists",
  [sym_keyword_auto_increment] = "keyword_auto_increment",
  [sym_keyword_collate] = "keyword_collate",
  [aux_sym_keyword_character_token1] = "keyword_character_token1",
  [sym_keyword_engine] = "keyword_engine",
  [sym_keyword_default] = "keyword_default",
  [sym_keyword_cascade] = "keyword_cascade",
  [sym_keyword_restrict] = "keyword_restrict",
  [aux_sym_keyword_with_token1] = "keyword_with_token1",
  [sym_keyword_no] = "keyword_no",
  [sym_keyword_data] = "keyword_data",
  [sym_keyword_type] = "keyword_type",
  [sym_keyword_rename] = "keyword_rename",
  [sym_keyword_to] = "keyword_to",
  [sym_keyword_schema] = "keyword_schema",
  [sym_keyword_owner] = "keyword_owner",
  [sym_keyword_temp] = "keyword_temp",
  [sym_keyword_temporary] = "keyword_temporary",
  [sym_keyword_unlogged] = "keyword_unlogged",
  [sym_keyword_union] = "keyword_union",
  [sym_keyword_all] = "keyword_all",
  [sym_keyword_except] = "keyword_except",
  [sym_keyword_intersect] = "keyword_intersect",
  [sym_keyword_returning] = "keyword_returning",
  [sym_keyword_begin] = "keyword_begin",
  [sym_keyword_commit] = "keyword_commit",
  [sym_keyword_rollback] = "keyword_rollback",
  [sym_keyword_transaction] = "keyword_transaction",
  [sym_keyword_over] = "keyword_over",
  [sym_keyword_nulls] = "keyword_nulls",
  [sym_keyword_first] = "keyword_first",
  [sym_keyword_after] = "keyword_after",
  [sym_keyword_last] = "keyword_last",
  [sym_keyword_window] = "keyword_window",
  [sym_keyword_range] = "keyword_range",
  [sym_keyword_rows] = "keyword_rows",
  [sym_keyword_groups] = "keyword_groups",
  [sym_keyword_between] = "keyword_between",
  [sym_keyword_unbounded] = "keyword_unbounded",
  [sym_keyword_preceding] = "keyword_preceding",
  [sym_keyword_following] = "keyword_following",
  [sym_keyword_exclude] = "keyword_exclude",
  [sym_keyword_current] = "keyword_current",
  [sym_keyword_row] = "keyword_row",
  [sym_keyword_ties] = "keyword_ties",
  [sym_keyword_others] = "keyword_others",
  [sym_keyword_only] = "keyword_only",
  [sym_keyword_unique] = "keyword_unique",
  [sym_keyword_concurrently] = "keyword_concurrently",
  [sym_keyword_btree] = "keyword_btree",
  [sym_keyword_hash] = "keyword_hash",
  [sym_keyword_gist] = "keyword_gist",
  [sym_keyword_spgist] = "keyword_spgist",
  [sym_keyword_gin] = "keyword_gin",
  [sym_keyword_brin] = "keyword_brin",
  [aux_sym_keyword_like_token1] = "keyword_like_token1",
  [aux_sym_keyword_like_token2] = "keyword_like_token2",
  [sym_keyword_similar] = "keyword_similar",
  [sym_keyword_preserve] = "keyword_preserve",
  [sym_keyword_unsigned] = "keyword_unsigned",
  [sym_keyword_zerofill] = "keyword_zerofill",
  [sym_keyword_external] = "keyword_external",
  [sym_keyword_stored] = "keyword_stored",
  [sym_keyword_cached] = "keyword_cached",
  [sym_keyword_uncached] = "keyword_uncached",
  [sym_keyword_replication] = "keyword_replication",
  [sym_keyword_tblproperties] = "keyword_tblproperties",
  [sym_keyword_compute] = "keyword_compute",
  [sym_keyword_stats] = "keyword_stats",
  [sym_keyword_location] = "keyword_location",
  [sym_keyword_partitioned] = "keyword_partitioned",
  [sym_keyword_comment] = "keyword_comment",
  [sym_keyword_sort] = "keyword_sort",
  [sym_keyword_format] = "keyword_format",
  [sym_keyword_delimited] = "keyword_delimited",
  [sym_keyword_fields] = "keyword_fields",
  [sym_keyword_terminated] = "keyword_terminated",
  [sym_keyword_escaped] = "keyword_escaped",
  [sym_keyword_lines] = "keyword_lines",
  [sym_keyword_parquet] = "keyword_parquet",
  [sym_keyword_rcfile] = "keyword_rcfile",
  [sym_keyword_csv] = "keyword_csv",
  [sym_keyword_textfile] = "keyword_textfile",
  [sym_keyword_avro] = "keyword_avro",
  [sym_keyword_sequencefile] = "keyword_sequencefile",
  [sym_keyword_orc] = "keyword_orc",
  [sym_keyword_jsonfile] = "keyword_jsonfile",
  [sym_keyword_null] = "keyword_null",
  [sym_keyword_true] = "keyword_true",
  [sym_keyword_false] = "keyword_false",
  [sym_keyword_boolean] = "keyword_boolean",
  [aux_sym_keyword_smallserial_token1] = "keyword_smallserial_token1",
  [aux_sym_keyword_smallserial_token2] = "keyword_smallserial_token2",
  [aux_sym_keyword_serial_token1] = "keyword_serial_token1",
  [aux_sym_keyword_serial_token2] = "keyword_serial_token2",
  [aux_sym_keyword_bigserial_token1] = "keyword_bigserial_token1",
  [aux_sym_keyword_bigserial_token2] = "keyword_bigserial_token2",
  [aux_sym_keyword_tinyint_token1] = "keyword_tinyint_token1",
  [aux_sym_keyword_tinyint_token2] = "keyword_tinyint_token2",
  [aux_sym_keyword_smallint_token1] = "keyword_smallint_token1",
  [aux_sym_keyword_smallint_token2] = "keyword_smallint_token2",
  [aux_sym_keyword_mediumint_token1] = "keyword_mediumint_token1",
  [aux_sym_keyword_mediumint_token2] = "keyword_mediumint_token2",
  [aux_sym_keyword_int_token1] = "keyword_int_token1",
  [aux_sym_keyword_int_token2] = "keyword_int_token2",
  [aux_sym_keyword_int_token3] = "keyword_int_token3",
  [aux_sym_keyword_bigint_token1] = "keyword_bigint_token1",
  [aux_sym_keyword_bigint_token2] = "keyword_bigint_token2",
  [sym_keyword_decimal] = "keyword_decimal",
  [sym_keyword_numeric] = "keyword_numeric",
  [aux_sym_keyword_real_token1] = "keyword_real_token1",
  [aux_sym_keyword_real_token2] = "keyword_real_token2",
  [sym_keyword_float] = "keyword_float",
  [sym_keyword_double] = "keyword_double",
  [sym_keyword_precision] = "keyword_precision",
  [sym_keyword_money] = "keyword_money",
  [aux_sym_keyword_char_token1] = "keyword_char_token1",
  [aux_sym_keyword_varchar_token1] = "keyword_varchar_token1",
  [aux_sym_keyword_varchar_token2] = "keyword_varchar_token2",
  [sym_keyword_text] = "keyword_text",
  [sym_keyword_uuid] = "keyword_uuid",
  [sym_keyword_json] = "keyword_json",
  [sym_keyword_jsonb] = "keyword_jsonb",
  [sym_keyword_xml] = "keyword_xml",
  [sym_keyword_bytea] = "keyword_bytea",
  [sym_keyword_date] = "keyword_date",
  [sym_keyword_datetime] = "keyword_datetime",
  [aux_sym_keyword_timestamp_token1] = "keyword_timestamp_token1",
  [aux_sym_keyword_timestamp_token2] = "keyword_timestamp_token2",
  [aux_sym_keyword_timestamp_token3] = "keyword_timestamp_token3",
  [aux_sym_keyword_timestamp_token4] = "keyword_timestamp_token4",
  [aux_sym_keyword_timestamptz_token1] = "keyword_timestamptz_token1",
  [sym_keyword_interval] = "keyword_interval",
  [sym_keyword_geometry] = "keyword_geometry",
  [sym_keyword_geography] = "keyword_geography",
  [sym_keyword_box2d] = "keyword_box2d",
  [sym_keyword_box3d] = "keyword_box3d",
  [sym_keyword_oid] = "keyword_oid",
  [sym_keyword_name] = "keyword_name",
  [sym_keyword_regclass] = "keyword_regclass",
  [sym_keyword_regnamespace] = "keyword_regnamespace",
  [sym_keyword_regproc] = "keyword_regproc",
  [sym_keyword_regtype] = "keyword_regtype",
  [sym_keyword_array] = "keyword_array",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_COMMA] = ",",
  [aux_sym_double_token1] = "double_token1",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_DASH_DASH] = "--",
  [aux_sym_comment_token1] = "comment_token1",
  [anon_sym_SLASH_STAR] = "/*",
  [aux_sym_marginalia_token1] = "marginalia_token1",
  [anon_sym_SLASH] = "/",
  [anon_sym_SEMI] = ";",
  [anon_sym_DOT] = ".",
  [anon_sym_EQ] = "=",
  [anon_sym_STAR] = "*",
  [anon_sym_QMARK] = "\?",
  [anon_sym_DOLLAR] = "$",
  [aux_sym_parameter_token1] = "parameter_token1",
  [anon_sym_COLON_COLON] = "::",
  [anon_sym_millennium] = "millennium",
  [anon_sym_century] = "century",
  [anon_sym_decade] = "decade",
  [anon_sym_year] = "year",
  [anon_sym_month] = "month",
  [anon_sym_week] = "week",
  [anon_sym_day] = "day",
  [anon_sym_hour] = "hour",
  [anon_sym_minute] = "minute",
  [anon_sym_second] = "second",
  [anon_sym_millisecond] = "millisecond",
  [anon_sym_microsecond] = "microsecond",
  [anon_sym_y] = "y",
  [anon_sym_m] = "m",
  [anon_sym_d] = "d",
  [anon_sym_H] = "H",
  [anon_sym_M] = "M",
  [anon_sym_S] = "S",
  [anon_sym_years] = "years",
  [anon_sym_months] = "months",
  [anon_sym_weeks] = "weeks",
  [anon_sym_days] = "days",
  [anon_sym_hours] = "hours",
  [anon_sym_minutes] = "minutes",
  [anon_sym_seconds] = "seconds",
  [anon_sym_ago] = "ago",
  [anon_sym_SQUOTE] = "'",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_PERCENT] = "%",
  [anon_sym_CARET] = "^",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym__double_quote_string_token1] = "_double_quote_string_token1",
  [aux_sym__literal_string_token1] = "_literal_string_token1",
  [sym__natural_number] = "_natural_number",
  [sym_bang] = "bang",
  [anon_sym_BQUOTE] = "`",
  [sym_program] = "program",
  [sym_keyword_character] = "keyword_character",
  [sym_keyword_with] = "keyword_with",
  [sym_keyword_like] = "keyword_like",
  [sym_is_not] = "is_not",
  [sym_not_like] = "not_like",
  [sym_similar_to] = "similar_to",
  [sym_not_similar_to] = "not_similar_to",
  [sym_distinct_from] = "distinct_from",
  [sym_not_distinct_from] = "not_distinct_from",
  [sym__temporary] = "_temporary",
  [sym__not_null] = "_not_null",
  [sym__primary_key] = "_primary_key",
  [sym__if_exists] = "_if_exists",
  [sym__if_not_exists] = "_if_not_exists",
  [sym__or_replace] = "_or_replace",
  [sym__current_row] = "_current_row",
  [sym__exclude_current_row] = "_exclude_current_row",
  [sym__exclude_group] = "_exclude_group",
  [sym__exclude_no_others] = "_exclude_no_others",
  [sym__exclude_ties] = "_exclude_ties",
  [sym_direction] = "direction",
  [sym_keyword_smallserial] = "keyword_smallserial",
  [sym_keyword_serial] = "keyword_serial",
  [sym_keyword_bigserial] = "keyword_bigserial",
  [sym_keyword_tinyint] = "keyword_tinyint",
  [sym_keyword_smallint] = "keyword_smallint",
  [sym_keyword_mediumint] = "keyword_mediumint",
  [sym_keyword_int] = "keyword_int",
  [sym_keyword_bigint] = "keyword_bigint",
  [sym_keyword_real] = "keyword_real",
  [sym_keyword_char] = "keyword_char",
  [sym_keyword_varchar] = "keyword_varchar",
  [sym_keyword_timestamp] = "keyword_timestamp",
  [sym_keyword_timestamptz] = "keyword_timestamptz",
  [sym__type] = "_type",
  [sym_tinyint] = "tinyint",
  [sym_smallint] = "smallint",
  [sym_mediumint] = "mediumint",
  [sym_int] = "int",
  [sym_bigint] = "bigint",
  [sym_float] = "float",
  [sym_double] = "double",
  [sym_decimal] = "decimal",
  [sym_numeric] = "numeric",
  [sym_char] = "char",
  [sym_varchar] = "varchar",
  [sym_array] = "array",
  [sym_comment] = "comment",
  [sym_marginalia] = "marginalia",
  [sym_compound_statement] = "compound_statement",
  [sym_statement] = "statement",
  [sym__ddl_statement] = "_ddl_statement",
  [sym__dml_statement] = "_dml_statement",
  [sym_cte] = "cte",
  [sym_transaction] = "transaction",
  [sym__begin] = "_begin",
  [sym__commit] = "_commit",
  [sym__rollback] = "_rollback",
  [sym__select_statement] = "_select_statement",
  [sym_select] = "select",
  [sym_select_expression] = "select_expression",
  [sym__select_expression] = "_select_expression",
  [sym_term] = "term",
  [sym__delete_statement] = "_delete_statement",
  [sym__delete_from] = "from",
  [sym_delete] = "delete",
  [sym__create_statement] = "_create_statement",
  [sym__table_settings] = "_table_settings",
  [sym_create_table] = "create_table",
  [sym_create_view] = "create_view",
  [sym_create_materialized_view] = "create_materialized_view",
  [sym_create_index] = "create_index",
  [sym__alter_statement] = "_alter_statement",
  [sym_alter_table] = "alter_table",
  [sym__alter_specifications] = "_alter_specifications",
  [sym_add_column] = "add_column",
  [sym_alter_column] = "alter_column",
  [sym_modify_column] = "modify_column",
  [sym_change_column] = "change_column",
  [sym_column_position] = "column_position",
  [sym_drop_column] = "drop_column",
  [sym_rename_column] = "rename_column",
  [sym_alter_view] = "alter_view",
  [sym__drop_statement] = "_drop_statement",
  [sym_drop_table] = "drop_table",
  [sym_drop_view] = "drop_view",
  [sym_drop_index] = "drop_index",
  [sym_rename_object] = "rename_object",
  [sym_set_schema] = "set_schema",
  [sym_change_ownership] = "change_ownership",
  [sym_table_reference] = "table_reference",
  [sym__insert_statement] = "_insert_statement",
  [sym_insert] = "insert",
  [sym__insert_values] = "_insert_values",
  [sym__insert_set] = "_insert_set",
  [sym__column_list] = "list",
  [sym__column] = "column",
  [sym__update_statement] = "_update_statement",
  [sym_update] = "update",
  [sym__mysql_update_statement] = "_mysql_update_statement",
  [sym__postgres_update_statement] = "_postgres_update_statement",
  [sym_storage_location] = "storage_location",
  [sym_row_format] = "row_format",
  [sym_table_sort] = "table_sort",
  [sym_table_partition] = "table_partition",
  [sym_stored_as] = "stored_as",
  [sym_assignment] = "assignment",
  [sym_table_options] = "table_options",
  [sym_table_option] = "table_option",
  [sym_column_definitions] = "column_definitions",
  [sym_column_definition] = "column_definition",
  [sym__column_constraint] = "_column_constraint",
  [sym__default_expression] = "_default_expression",
  [sym__inner_default_expression] = "_inner_default_expression",
  [sym_constraints] = "constraints",
  [sym_constraint] = "constraint",
  [sym__constraint_literal] = "_constraint_literal",
  [sym__primary_key_constraint] = "_primary_key_constraint",
  [sym__key_constraint] = "_key_constraint",
  [sym_ordered_columns] = "ordered_columns",
  [sym_ordered_column] = "column",
  [sym_all_fields] = "all_fields",
  [sym_parameter] = "parameter",
  [sym_case] = "case",
  [sym_field] = "field",
  [sym_implicit_cast] = "cast",
  [sym_interval_definitions] = "interval_definitions",
  [sym__interval_definition] = "_interval_definition",
  [sym_interval] = "interval",
  [sym_cast] = "cast",
  [sym__aggregate_function] = "_aggregate_function",
  [sym_count] = "count",
  [sym_group_concat] = "group_concat",
  [sym__aggregate_expression] = "_aggregate_expression",
  [sym_invocation] = "invocation",
  [sym_partition_by] = "partition_by",
  [sym_frame_definition] = "frame_definition",
  [sym_window_frame] = "window_frame",
  [sym_window_clause] = "window_clause",
  [sym_window_specification] = "window_specification",
  [sym_window_function] = "window_function",
  [sym__alias_identifier] = "_alias_identifier",
  [sym__alias] = "_alias",
  [sym_from] = "from",
  [sym_relation] = "relation",
  [sym_values] = "values",
  [sym_index_hint] = "index_hint",
  [sym_join] = "join",
  [sym_lateral_join] = "lateral_join",
  [sym_where] = "where",
  [sym_group_by] = "group_by",
  [sym__having] = "_having",
  [sym_order_by] = "order_by",
  [sym_order_target] = "order_target",
  [sym_limit] = "limit",
  [sym_offset] = "offset",
  [sym_returning] = "returning",
  [sym__expression] = "_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_subquery] = "subquery",
  [sym_list] = "list",
  [sym_literal] = "literal",
  [sym__double_quote_string] = "_double_quote_string",
  [sym__literal_string] = "_literal_string",
  [sym__integer] = "_integer",
  [sym__decimal_number] = "_decimal_number",
  [sym_identifier] = "identifier",
  [aux_sym_program_repeat1] = "program_repeat1",
  [aux_sym_array_repeat1] = "array_repeat1",
  [aux_sym_compound_statement_repeat1] = "compound_statement_repeat1",
  [aux_sym__dml_statement_repeat1] = "_dml_statement_repeat1",
  [aux_sym__select_statement_repeat1] = "_select_statement_repeat1",
  [aux_sym_select_expression_repeat1] = "select_expression_repeat1",
  [aux_sym_create_table_repeat1] = "create_table_repeat1",
  [aux_sym_alter_table_repeat1] = "alter_table_repeat1",
  [aux_sym__insert_values_repeat1] = "_insert_values_repeat1",
  [aux_sym__insert_set_repeat1] = "_insert_set_repeat1",
  [aux_sym__column_list_repeat1] = "_column_list_repeat1",
  [aux_sym__mysql_update_statement_repeat1] = "_mysql_update_statement_repeat1",
  [aux_sym__mysql_update_statement_repeat2] = "_mysql_update_statement_repeat2",
  [aux_sym_table_sort_repeat1] = "table_sort_repeat1",
  [aux_sym_table_options_repeat1] = "table_options_repeat1",
  [aux_sym_table_options_repeat2] = "table_options_repeat2",
  [aux_sym_column_definitions_repeat1] = "column_definitions_repeat1",
  [aux_sym_column_definition_repeat1] = "column_definition_repeat1",
  [aux_sym_constraints_repeat1] = "constraints_repeat1",
  [aux_sym_ordered_columns_repeat1] = "ordered_columns_repeat1",
  [aux_sym_case_repeat1] = "case_repeat1",
  [aux_sym_case_repeat2] = "case_repeat2",
  [aux_sym_interval_definitions_repeat1] = "interval_definitions_repeat1",
  [aux_sym_invocation_repeat1] = "invocation_repeat1",
  [aux_sym_from_repeat1] = "from_repeat1",
  [aux_sym_order_by_repeat1] = "order_by_repeat1",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym__identifier] = sym__identifier,
  [sym_keyword_select] = sym_keyword_select,
  [sym_keyword_delete] = sym_keyword_delete,
  [sym_keyword_insert] = sym_keyword_insert,
  [sym_keyword_replace] = sym_keyword_replace,
  [sym_keyword_update] = sym_keyword_update,
  [sym_keyword_into] = sym_keyword_into,
  [sym_keyword_values] = sym_keyword_values,
  [sym_keyword_set] = sym_keyword_set,
  [sym_keyword_from] = sym_keyword_from,
  [sym_keyword_left] = sym_keyword_left,
  [sym_keyword_right] = sym_keyword_right,
  [sym_keyword_inner] = sym_keyword_inner,
  [sym_keyword_outer] = sym_keyword_outer,
  [sym_keyword_cross] = sym_keyword_cross,
  [sym_keyword_join] = sym_keyword_join,
  [sym_keyword_lateral] = sym_keyword_lateral,
  [sym_keyword_on] = sym_keyword_on,
  [sym_keyword_where] = sym_keyword_where,
  [sym_keyword_order] = sym_keyword_order,
  [sym_keyword_group] = sym_keyword_group,
  [sym_keyword_partition] = sym_keyword_partition,
  [sym_keyword_by] = sym_keyword_by,
  [sym_keyword_having] = sym_keyword_having,
  [sym_keyword_desc] = sym_keyword_desc,
  [sym_keyword_asc] = sym_keyword_asc,
  [sym_keyword_limit] = sym_keyword_limit,
  [sym_keyword_offset] = sym_keyword_offset,
  [sym_keyword_primary] = sym_keyword_primary,
  [sym_keyword_create] = sym_keyword_create,
  [sym_keyword_alter] = sym_keyword_alter,
  [sym_keyword_change] = sym_keyword_change,
  [sym_keyword_modify] = sym_keyword_modify,
  [sym_keyword_drop] = sym_keyword_drop,
  [sym_keyword_add] = sym_keyword_add,
  [sym_keyword_table] = sym_keyword_table,
  [sym_keyword_view] = sym_keyword_view,
  [sym_keyword_materialized] = sym_keyword_materialized,
  [sym_keyword_column] = sym_keyword_column,
  [sym_keyword_key] = sym_keyword_key,
  [sym_keyword_as] = sym_keyword_as,
  [sym_keyword_distinct] = sym_keyword_distinct,
  [sym_keyword_constraint] = sym_keyword_constraint,
  [sym_keyword_cast] = sym_keyword_cast,
  [sym_keyword_count] = sym_keyword_count,
  [sym_keyword_group_concat] = sym_keyword_group_concat,
  [sym_keyword_separator] = sym_keyword_separator,
  [sym_keyword_max] = sym_keyword_max,
  [sym_keyword_min] = sym_keyword_min,
  [sym_keyword_avg] = sym_keyword_avg,
  [sym_keyword_case] = sym_keyword_case,
  [sym_keyword_when] = sym_keyword_when,
  [sym_keyword_then] = sym_keyword_then,
  [sym_keyword_else] = sym_keyword_else,
  [sym_keyword_end] = sym_keyword_end,
  [sym_keyword_in] = sym_keyword_in,
  [sym_keyword_and] = sym_keyword_and,
  [sym_keyword_or] = sym_keyword_or,
  [sym_keyword_is] = sym_keyword_is,
  [sym_keyword_not] = sym_keyword_not,
  [sym_keyword_force] = sym_keyword_force,
  [sym_keyword_ignore] = sym_keyword_ignore,
  [sym_keyword_using] = sym_keyword_using,
  [sym_keyword_use] = sym_keyword_use,
  [sym_keyword_index] = sym_keyword_index,
  [sym_keyword_for] = sym_keyword_for,
  [sym_keyword_if] = sym_keyword_if,
  [sym_keyword_exists] = sym_keyword_exists,
  [sym_keyword_auto_increment] = sym_keyword_auto_increment,
  [sym_keyword_collate] = sym_keyword_collate,
  [aux_sym_keyword_character_token1] = aux_sym_keyword_character_token1,
  [sym_keyword_engine] = sym_keyword_engine,
  [sym_keyword_default] = sym_keyword_default,
  [sym_keyword_cascade] = sym_keyword_cascade,
  [sym_keyword_restrict] = sym_keyword_restrict,
  [aux_sym_keyword_with_token1] = aux_sym_keyword_with_token1,
  [sym_keyword_no] = sym_keyword_no,
  [sym_keyword_data] = sym_keyword_data,
  [sym_keyword_type] = sym_keyword_type,
  [sym_keyword_rename] = sym_keyword_rename,
  [sym_keyword_to] = sym_keyword_to,
  [sym_keyword_schema] = sym_keyword_schema,
  [sym_keyword_owner] = sym_keyword_owner,
  [sym_keyword_temp] = sym_keyword_temp,
  [sym_keyword_temporary] = sym_keyword_temporary,
  [sym_keyword_unlogged] = sym_keyword_unlogged,
  [sym_keyword_union] = sym_keyword_union,
  [sym_keyword_all] = sym_keyword_all,
  [sym_keyword_except] = sym_keyword_except,
  [sym_keyword_intersect] = sym_keyword_intersect,
  [sym_keyword_returning] = sym_keyword_returning,
  [sym_keyword_begin] = sym_keyword_begin,
  [sym_keyword_commit] = sym_keyword_commit,
  [sym_keyword_rollback] = sym_keyword_rollback,
  [sym_keyword_transaction] = sym_keyword_transaction,
  [sym_keyword_over] = sym_keyword_over,
  [sym_keyword_nulls] = sym_keyword_nulls,
  [sym_keyword_first] = sym_keyword_first,
  [sym_keyword_after] = sym_keyword_after,
  [sym_keyword_last] = sym_keyword_last,
  [sym_keyword_window] = sym_keyword_window,
  [sym_keyword_range] = sym_keyword_range,
  [sym_keyword_rows] = sym_keyword_rows,
  [sym_keyword_groups] = sym_keyword_groups,
  [sym_keyword_between] = sym_keyword_between,
  [sym_keyword_unbounded] = sym_keyword_unbounded,
  [sym_keyword_preceding] = sym_keyword_preceding,
  [sym_keyword_following] = sym_keyword_following,
  [sym_keyword_exclude] = sym_keyword_exclude,
  [sym_keyword_current] = sym_keyword_current,
  [sym_keyword_row] = sym_keyword_row,
  [sym_keyword_ties] = sym_keyword_ties,
  [sym_keyword_others] = sym_keyword_others,
  [sym_keyword_only] = sym_keyword_only,
  [sym_keyword_unique] = sym_keyword_unique,
  [sym_keyword_concurrently] = sym_keyword_concurrently,
  [sym_keyword_btree] = sym_keyword_btree,
  [sym_keyword_hash] = sym_keyword_hash,
  [sym_keyword_gist] = sym_keyword_gist,
  [sym_keyword_spgist] = sym_keyword_spgist,
  [sym_keyword_gin] = sym_keyword_gin,
  [sym_keyword_brin] = sym_keyword_brin,
  [aux_sym_keyword_like_token1] = aux_sym_keyword_like_token1,
  [aux_sym_keyword_like_token2] = aux_sym_keyword_like_token2,
  [sym_keyword_similar] = sym_keyword_similar,
  [sym_keyword_preserve] = sym_keyword_preserve,
  [sym_keyword_unsigned] = sym_keyword_unsigned,
  [sym_keyword_zerofill] = sym_keyword_zerofill,
  [sym_keyword_external] = sym_keyword_external,
  [sym_keyword_stored] = sym_keyword_stored,
  [sym_keyword_cached] = sym_keyword_cached,
  [sym_keyword_uncached] = sym_keyword_uncached,
  [sym_keyword_replication] = sym_keyword_replication,
  [sym_keyword_tblproperties] = sym_keyword_tblproperties,
  [sym_keyword_compute] = sym_keyword_compute,
  [sym_keyword_stats] = sym_keyword_stats,
  [sym_keyword_location] = sym_keyword_location,
  [sym_keyword_partitioned] = sym_keyword_partitioned,
  [sym_keyword_comment] = sym_keyword_comment,
  [sym_keyword_sort] = sym_keyword_sort,
  [sym_keyword_format] = sym_keyword_format,
  [sym_keyword_delimited] = sym_keyword_delimited,
  [sym_keyword_fields] = sym_keyword_fields,
  [sym_keyword_terminated] = sym_keyword_terminated,
  [sym_keyword_escaped] = sym_keyword_escaped,
  [sym_keyword_lines] = sym_keyword_lines,
  [sym_keyword_parquet] = sym_keyword_parquet,
  [sym_keyword_rcfile] = sym_keyword_rcfile,
  [sym_keyword_csv] = sym_keyword_csv,
  [sym_keyword_textfile] = sym_keyword_textfile,
  [sym_keyword_avro] = sym_keyword_avro,
  [sym_keyword_sequencefile] = sym_keyword_sequencefile,
  [sym_keyword_orc] = sym_keyword_orc,
  [sym_keyword_jsonfile] = sym_keyword_jsonfile,
  [sym_keyword_null] = sym_keyword_null,
  [sym_keyword_true] = sym_keyword_true,
  [sym_keyword_false] = sym_keyword_false,
  [sym_keyword_boolean] = sym_keyword_boolean,
  [aux_sym_keyword_smallserial_token1] = aux_sym_keyword_smallserial_token1,
  [aux_sym_keyword_smallserial_token2] = aux_sym_keyword_smallserial_token2,
  [aux_sym_keyword_serial_token1] = aux_sym_keyword_serial_token1,
  [aux_sym_keyword_serial_token2] = aux_sym_keyword_serial_token2,
  [aux_sym_keyword_bigserial_token1] = aux_sym_keyword_bigserial_token1,
  [aux_sym_keyword_bigserial_token2] = aux_sym_keyword_bigserial_token2,
  [aux_sym_keyword_tinyint_token1] = aux_sym_keyword_tinyint_token1,
  [aux_sym_keyword_tinyint_token2] = aux_sym_keyword_tinyint_token2,
  [aux_sym_keyword_smallint_token1] = aux_sym_keyword_smallint_token1,
  [aux_sym_keyword_smallint_token2] = aux_sym_keyword_smallint_token2,
  [aux_sym_keyword_mediumint_token1] = aux_sym_keyword_mediumint_token1,
  [aux_sym_keyword_mediumint_token2] = aux_sym_keyword_mediumint_token2,
  [aux_sym_keyword_int_token1] = aux_sym_keyword_int_token1,
  [aux_sym_keyword_int_token2] = aux_sym_keyword_int_token2,
  [aux_sym_keyword_int_token3] = aux_sym_keyword_int_token3,
  [aux_sym_keyword_bigint_token1] = aux_sym_keyword_bigint_token1,
  [aux_sym_keyword_bigint_token2] = aux_sym_keyword_bigint_token2,
  [sym_keyword_decimal] = sym_keyword_decimal,
  [sym_keyword_numeric] = sym_keyword_numeric,
  [aux_sym_keyword_real_token1] = aux_sym_keyword_real_token1,
  [aux_sym_keyword_real_token2] = aux_sym_keyword_real_token2,
  [sym_keyword_float] = sym_keyword_float,
  [sym_keyword_double] = sym_keyword_double,
  [sym_keyword_precision] = sym_keyword_precision,
  [sym_keyword_money] = sym_keyword_money,
  [aux_sym_keyword_char_token1] = aux_sym_keyword_char_token1,
  [aux_sym_keyword_varchar_token1] = aux_sym_keyword_varchar_token1,
  [aux_sym_keyword_varchar_token2] = aux_sym_keyword_varchar_token2,
  [sym_keyword_text] = sym_keyword_text,
  [sym_keyword_uuid] = sym_keyword_uuid,
  [sym_keyword_json] = sym_keyword_json,
  [sym_keyword_jsonb] = sym_keyword_jsonb,
  [sym_keyword_xml] = sym_keyword_xml,
  [sym_keyword_bytea] = sym_keyword_bytea,
  [sym_keyword_date] = sym_keyword_date,
  [sym_keyword_datetime] = sym_keyword_datetime,
  [aux_sym_keyword_timestamp_token1] = aux_sym_keyword_timestamp_token1,
  [aux_sym_keyword_timestamp_token2] = aux_sym_keyword_timestamp_token2,
  [aux_sym_keyword_timestamp_token3] = aux_sym_keyword_timestamp_token3,
  [aux_sym_keyword_timestamp_token4] = aux_sym_keyword_timestamp_token4,
  [aux_sym_keyword_timestamptz_token1] = aux_sym_keyword_timestamptz_token1,
  [sym_keyword_interval] = sym_keyword_interval,
  [sym_keyword_geometry] = sym_keyword_geometry,
  [sym_keyword_geography] = sym_keyword_geography,
  [sym_keyword_box2d] = sym_keyword_box2d,
  [sym_keyword_box3d] = sym_keyword_box3d,
  [sym_keyword_oid] = sym_keyword_oid,
  [sym_keyword_name] = sym_keyword_name,
  [sym_keyword_regclass] = sym_keyword_regclass,
  [sym_keyword_regnamespace] = sym_keyword_regnamespace,
  [sym_keyword_regproc] = sym_keyword_regproc,
  [sym_keyword_regtype] = sym_keyword_regtype,
  [sym_keyword_array] = sym_keyword_array,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [aux_sym_double_token1] = aux_sym_double_token1,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [aux_sym_comment_token1] = aux_sym_comment_token1,
  [anon_sym_SLASH_STAR] = anon_sym_SLASH_STAR,
  [aux_sym_marginalia_token1] = aux_sym_marginalia_token1,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_DOLLAR] = anon_sym_DOLLAR,
  [aux_sym_parameter_token1] = aux_sym_parameter_token1,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [anon_sym_millennium] = anon_sym_millennium,
  [anon_sym_century] = anon_sym_century,
  [anon_sym_decade] = anon_sym_decade,
  [anon_sym_year] = anon_sym_year,
  [anon_sym_month] = anon_sym_month,
  [anon_sym_week] = anon_sym_week,
  [anon_sym_day] = anon_sym_day,
  [anon_sym_hour] = anon_sym_hour,
  [anon_sym_minute] = anon_sym_minute,
  [anon_sym_second] = anon_sym_second,
  [anon_sym_millisecond] = anon_sym_millisecond,
  [anon_sym_microsecond] = anon_sym_microsecond,
  [anon_sym_y] = anon_sym_y,
  [anon_sym_m] = anon_sym_m,
  [anon_sym_d] = anon_sym_d,
  [anon_sym_H] = anon_sym_H,
  [anon_sym_M] = anon_sym_M,
  [anon_sym_S] = anon_sym_S,
  [anon_sym_years] = anon_sym_years,
  [anon_sym_months] = anon_sym_months,
  [anon_sym_weeks] = anon_sym_weeks,
  [anon_sym_days] = anon_sym_days,
  [anon_sym_hours] = anon_sym_hours,
  [anon_sym_minutes] = anon_sym_minutes,
  [anon_sym_seconds] = anon_sym_seconds,
  [anon_sym_ago] = anon_sym_ago,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym__double_quote_string_token1] = aux_sym__double_quote_string_token1,
  [aux_sym__literal_string_token1] = aux_sym__literal_string_token1,
  [sym__natural_number] = sym__natural_number,
  [sym_bang] = sym_bang,
  [anon_sym_BQUOTE] = anon_sym_BQUOTE,
  [sym_program] = sym_program,
  [sym_keyword_character] = sym_keyword_character,
  [sym_keyword_with] = sym_keyword_with,
  [sym_keyword_like] = sym_keyword_like,
  [sym_is_not] = sym_is_not,
  [sym_not_like] = sym_not_like,
  [sym_similar_to] = sym_similar_to,
  [sym_not_similar_to] = sym_not_similar_to,
  [sym_distinct_from] = sym_distinct_from,
  [sym_not_distinct_from] = sym_not_distinct_from,
  [sym__temporary] = sym__temporary,
  [sym__not_null] = sym__not_null,
  [sym__primary_key] = sym__primary_key,
  [sym__if_exists] = sym__if_exists,
  [sym__if_not_exists] = sym__if_not_exists,
  [sym__or_replace] = sym__or_replace,
  [sym__current_row] = sym__current_row,
  [sym__exclude_current_row] = sym__exclude_current_row,
  [sym__exclude_group] = sym__exclude_group,
  [sym__exclude_no_others] = sym__exclude_no_others,
  [sym__exclude_ties] = sym__exclude_ties,
  [sym_direction] = sym_direction,
  [sym_keyword_smallserial] = sym_keyword_smallserial,
  [sym_keyword_serial] = sym_keyword_serial,
  [sym_keyword_bigserial] = sym_keyword_bigserial,
  [sym_keyword_tinyint] = sym_keyword_tinyint,
  [sym_keyword_smallint] = sym_keyword_smallint,
  [sym_keyword_mediumint] = sym_keyword_mediumint,
  [sym_keyword_int] = sym_keyword_int,
  [sym_keyword_bigint] = sym_keyword_bigint,
  [sym_keyword_real] = sym_keyword_real,
  [sym_keyword_char] = sym_keyword_char,
  [sym_keyword_varchar] = sym_keyword_varchar,
  [sym_keyword_timestamp] = sym_keyword_timestamp,
  [sym_keyword_timestamptz] = sym_keyword_timestamptz,
  [sym__type] = sym__type,
  [sym_tinyint] = sym_tinyint,
  [sym_smallint] = sym_smallint,
  [sym_mediumint] = sym_mediumint,
  [sym_int] = sym_int,
  [sym_bigint] = sym_bigint,
  [sym_float] = sym_float,
  [sym_double] = sym_double,
  [sym_decimal] = sym_decimal,
  [sym_numeric] = sym_numeric,
  [sym_char] = sym_char,
  [sym_varchar] = sym_varchar,
  [sym_array] = sym_array,
  [sym_comment] = sym_comment,
  [sym_marginalia] = sym_marginalia,
  [sym_compound_statement] = sym_compound_statement,
  [sym_statement] = sym_statement,
  [sym__ddl_statement] = sym__ddl_statement,
  [sym__dml_statement] = sym__dml_statement,
  [sym_cte] = sym_cte,
  [sym_transaction] = sym_transaction,
  [sym__begin] = sym__begin,
  [sym__commit] = sym__commit,
  [sym__rollback] = sym__rollback,
  [sym__select_statement] = sym__select_statement,
  [sym_select] = sym_select,
  [sym_select_expression] = sym_select_expression,
  [sym__select_expression] = sym__select_expression,
  [sym_term] = sym_term,
  [sym__delete_statement] = sym__delete_statement,
  [sym__delete_from] = sym_from,
  [sym_delete] = sym_delete,
  [sym__create_statement] = sym__create_statement,
  [sym__table_settings] = sym__table_settings,
  [sym_create_table] = sym_create_table,
  [sym_create_view] = sym_create_view,
  [sym_create_materialized_view] = sym_create_materialized_view,
  [sym_create_index] = sym_create_index,
  [sym__alter_statement] = sym__alter_statement,
  [sym_alter_table] = sym_alter_table,
  [sym__alter_specifications] = sym__alter_specifications,
  [sym_add_column] = sym_add_column,
  [sym_alter_column] = sym_alter_column,
  [sym_modify_column] = sym_modify_column,
  [sym_change_column] = sym_change_column,
  [sym_column_position] = sym_column_position,
  [sym_drop_column] = sym_drop_column,
  [sym_rename_column] = sym_rename_column,
  [sym_alter_view] = sym_alter_view,
  [sym__drop_statement] = sym__drop_statement,
  [sym_drop_table] = sym_drop_table,
  [sym_drop_view] = sym_drop_view,
  [sym_drop_index] = sym_drop_index,
  [sym_rename_object] = sym_rename_object,
  [sym_set_schema] = sym_set_schema,
  [sym_change_ownership] = sym_change_ownership,
  [sym_table_reference] = sym_table_reference,
  [sym__insert_statement] = sym__insert_statement,
  [sym_insert] = sym_insert,
  [sym__insert_values] = sym__insert_values,
  [sym__insert_set] = sym__insert_set,
  [sym__column_list] = sym_list,
  [sym__column] = sym__column,
  [sym__update_statement] = sym__update_statement,
  [sym_update] = sym_update,
  [sym__mysql_update_statement] = sym__mysql_update_statement,
  [sym__postgres_update_statement] = sym__postgres_update_statement,
  [sym_storage_location] = sym_storage_location,
  [sym_row_format] = sym_row_format,
  [sym_table_sort] = sym_table_sort,
  [sym_table_partition] = sym_table_partition,
  [sym_stored_as] = sym_stored_as,
  [sym_assignment] = sym_assignment,
  [sym_table_options] = sym_table_options,
  [sym_table_option] = sym_table_option,
  [sym_column_definitions] = sym_column_definitions,
  [sym_column_definition] = sym_column_definition,
  [sym__column_constraint] = sym__column_constraint,
  [sym__default_expression] = sym__default_expression,
  [sym__inner_default_expression] = sym__inner_default_expression,
  [sym_constraints] = sym_constraints,
  [sym_constraint] = sym_constraint,
  [sym__constraint_literal] = sym__constraint_literal,
  [sym__primary_key_constraint] = sym__primary_key_constraint,
  [sym__key_constraint] = sym__key_constraint,
  [sym_ordered_columns] = sym_ordered_columns,
  [sym_ordered_column] = sym__column,
  [sym_all_fields] = sym_all_fields,
  [sym_parameter] = sym_parameter,
  [sym_case] = sym_case,
  [sym_field] = sym_field,
  [sym_implicit_cast] = sym_cast,
  [sym_interval_definitions] = sym_interval_definitions,
  [sym__interval_definition] = sym__interval_definition,
  [sym_interval] = sym_interval,
  [sym_cast] = sym_cast,
  [sym__aggregate_function] = sym__aggregate_function,
  [sym_count] = sym_count,
  [sym_group_concat] = sym_group_concat,
  [sym__aggregate_expression] = sym__aggregate_expression,
  [sym_invocation] = sym_invocation,
  [sym_partition_by] = sym_partition_by,
  [sym_frame_definition] = sym_frame_definition,
  [sym_window_frame] = sym_window_frame,
  [sym_window_clause] = sym_window_clause,
  [sym_window_specification] = sym_window_specification,
  [sym_window_function] = sym_window_function,
  [sym__alias_identifier] = sym__alias_identifier,
  [sym__alias] = sym__alias,
  [sym_from] = sym_from,
  [sym_relation] = sym_relation,
  [sym_values] = sym_values,
  [sym_index_hint] = sym_index_hint,
  [sym_join] = sym_join,
  [sym_lateral_join] = sym_lateral_join,
  [sym_where] = sym_where,
  [sym_group_by] = sym_group_by,
  [sym__having] = sym__having,
  [sym_order_by] = sym_order_by,
  [sym_order_target] = sym_order_target,
  [sym_limit] = sym_limit,
  [sym_offset] = sym_offset,
  [sym_returning] = sym_returning,
  [sym__expression] = sym__expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_subquery] = sym_subquery,
  [sym_list] = sym_list,
  [sym_literal] = sym_literal,
  [sym__double_quote_string] = sym__double_quote_string,
  [sym__literal_string] = sym__literal_string,
  [sym__integer] = sym__integer,
  [sym__decimal_number] = sym__decimal_number,
  [sym_identifier] = sym_identifier,
  [aux_sym_program_repeat1] = aux_sym_program_repeat1,
  [aux_sym_array_repeat1] = aux_sym_array_repeat1,
  [aux_sym_compound_statement_repeat1] = aux_sym_compound_statement_repeat1,
  [aux_sym__dml_statement_repeat1] = aux_sym__dml_statement_repeat1,
  [aux_sym__select_statement_repeat1] = aux_sym__select_statement_repeat1,
  [aux_sym_select_expression_repeat1] = aux_sym_select_expression_repeat1,
  [aux_sym_create_table_repeat1] = aux_sym_create_table_repeat1,
  [aux_sym_alter_table_repeat1] = aux_sym_alter_table_repeat1,
  [aux_sym__insert_values_repeat1] = aux_sym__insert_values_repeat1,
  [aux_sym__insert_set_repeat1] = aux_sym__insert_set_repeat1,
  [aux_sym__column_list_repeat1] = aux_sym__column_list_repeat1,
  [aux_sym__mysql_update_statement_repeat1] = aux_sym__mysql_update_statement_repeat1,
  [aux_sym__mysql_update_statement_repeat2] = aux_sym__mysql_update_statement_repeat2,
  [aux_sym_table_sort_repeat1] = aux_sym_table_sort_repeat1,
  [aux_sym_table_options_repeat1] = aux_sym_table_options_repeat1,
  [aux_sym_table_options_repeat2] = aux_sym_table_options_repeat2,
  [aux_sym_column_definitions_repeat1] = aux_sym_column_definitions_repeat1,
  [aux_sym_column_definition_repeat1] = aux_sym_column_definition_repeat1,
  [aux_sym_constraints_repeat1] = aux_sym_constraints_repeat1,
  [aux_sym_ordered_columns_repeat1] = aux_sym_ordered_columns_repeat1,
  [aux_sym_case_repeat1] = aux_sym_case_repeat1,
  [aux_sym_case_repeat2] = aux_sym_case_repeat2,
  [aux_sym_interval_definitions_repeat1] = aux_sym_interval_definitions_repeat1,
  [aux_sym_invocation_repeat1] = aux_sym_invocation_repeat1,
  [aux_sym_from_repeat1] = aux_sym_from_repeat1,
  [aux_sym_order_by_repeat1] = aux_sym_order_by_repeat1,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym__identifier] = {
    .visible = false,
    .named = true,
  },
  [sym_keyword_select] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_delete] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_insert] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_replace] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_update] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_into] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_values] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_set] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_from] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_left] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_right] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_inner] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_outer] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_cross] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_join] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_lateral] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_on] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_where] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_order] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_group] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_partition] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_by] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_having] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_desc] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_asc] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_limit] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_offset] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_primary] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_create] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_alter] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_change] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_modify] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_drop] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_add] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_table] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_view] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_materialized] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_column] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_key] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_as] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_distinct] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_constraint] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_cast] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_count] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_group_concat] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_separator] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_max] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_min] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_avg] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_case] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_when] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_then] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_else] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_end] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_in] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_and] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_or] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_is] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_not] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_force] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_ignore] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_using] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_use] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_index] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_for] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_if] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_exists] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_auto_increment] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_collate] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_keyword_character_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_keyword_engine] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_default] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_cascade] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_restrict] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_keyword_with_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_keyword_no] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_data] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_type] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_rename] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_to] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_schema] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_owner] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_temp] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_temporary] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_unlogged] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_union] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_all] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_except] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_intersect] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_returning] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_begin] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_commit] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_rollback] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_transaction] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_over] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_nulls] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_first] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_after] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_last] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_window] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_range] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_rows] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_groups] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_between] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_unbounded] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_preceding] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_following] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_exclude] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_current] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_row] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_ties] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_others] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_only] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_unique] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_concurrently] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_btree] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_hash] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_gist] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_spgist] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_gin] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_brin] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_keyword_like_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_keyword_like_token2] = {
    .visible = false,
    .named = false,
  },
  [sym_keyword_similar] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_preserve] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_unsigned] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_zerofill] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_external] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_stored] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_cached] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_uncached] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_replication] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_tblproperties] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_compute] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_stats] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_location] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_partitioned] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_sort] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_format] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_delimited] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_fields] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_terminated] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_escaped] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_lines] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_parquet] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_rcfile] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_csv] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_textfile] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_avro] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_sequencefile] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_orc] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_jsonfile] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_null] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_true] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_false] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_boolean] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_keyword_smallserial_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_keyword_smallserial_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_keyword_serial_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_keyword_serial_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_keyword_bigserial_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_keyword_bigserial_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_keyword_tinyint_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_keyword_tinyint_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_keyword_smallint_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_keyword_smallint_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_keyword_mediumint_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_keyword_mediumint_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_keyword_int_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_keyword_int_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_keyword_int_token3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_keyword_bigint_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_keyword_bigint_token2] = {
    .visible = false,
    .named = false,
  },
  [sym_keyword_decimal] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_numeric] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_keyword_real_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_keyword_real_token2] = {
    .visible = false,
    .named = false,
  },
  [sym_keyword_float] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_double] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_precision] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_money] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_keyword_char_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_keyword_varchar_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_keyword_varchar_token2] = {
    .visible = false,
    .named = false,
  },
  [sym_keyword_text] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_uuid] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_json] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_jsonb] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_xml] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_bytea] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_date] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_datetime] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_keyword_timestamp_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_keyword_timestamp_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_keyword_timestamp_token3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_keyword_timestamp_token4] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_keyword_timestamptz_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_keyword_interval] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_geometry] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_geography] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_box2d] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_box3d] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_oid] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_name] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_regclass] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_regnamespace] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_regproc] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_regtype] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_array] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_double_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comment_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_SLASH_STAR] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_marginalia_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_parameter_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_millennium] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_century] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_decade] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_year] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_month] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_week] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_day] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_hour] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_minute] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_second] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_millisecond] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_microsecond] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_y] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_m] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_d] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_H] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_M] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_S] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_years] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_months] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_weeks] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_days] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_hours] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_minutes] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_seconds] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ago] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__double_quote_string_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__literal_string_token1] = {
    .visible = false,
    .named = false,
  },
  [sym__natural_number] = {
    .visible = false,
    .named = true,
  },
  [sym_bang] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_character] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_with] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_like] = {
    .visible = true,
    .named = true,
  },
  [sym_is_not] = {
    .visible = true,
    .named = true,
  },
  [sym_not_like] = {
    .visible = true,
    .named = true,
  },
  [sym_similar_to] = {
    .visible = true,
    .named = true,
  },
  [sym_not_similar_to] = {
    .visible = true,
    .named = true,
  },
  [sym_distinct_from] = {
    .visible = true,
    .named = true,
  },
  [sym_not_distinct_from] = {
    .visible = true,
    .named = true,
  },
  [sym__temporary] = {
    .visible = false,
    .named = true,
  },
  [sym__not_null] = {
    .visible = false,
    .named = true,
  },
  [sym__primary_key] = {
    .visible = false,
    .named = true,
  },
  [sym__if_exists] = {
    .visible = false,
    .named = true,
  },
  [sym__if_not_exists] = {
    .visible = false,
    .named = true,
  },
  [sym__or_replace] = {
    .visible = false,
    .named = true,
  },
  [sym__current_row] = {
    .visible = false,
    .named = true,
  },
  [sym__exclude_current_row] = {
    .visible = false,
    .named = true,
  },
  [sym__exclude_group] = {
    .visible = false,
    .named = true,
  },
  [sym__exclude_no_others] = {
    .visible = false,
    .named = true,
  },
  [sym__exclude_ties] = {
    .visible = false,
    .named = true,
  },
  [sym_direction] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_smallserial] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_serial] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_bigserial] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_tinyint] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_smallint] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_mediumint] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_int] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_bigint] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_real] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_char] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_varchar] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_timestamp] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_timestamptz] = {
    .visible = true,
    .named = true,
  },
  [sym__type] = {
    .visible = false,
    .named = true,
  },
  [sym_tinyint] = {
    .visible = true,
    .named = true,
  },
  [sym_smallint] = {
    .visible = true,
    .named = true,
  },
  [sym_mediumint] = {
    .visible = true,
    .named = true,
  },
  [sym_int] = {
    .visible = true,
    .named = true,
  },
  [sym_bigint] = {
    .visible = true,
    .named = true,
  },
  [sym_float] = {
    .visible = true,
    .named = true,
  },
  [sym_double] = {
    .visible = true,
    .named = true,
  },
  [sym_decimal] = {
    .visible = true,
    .named = true,
  },
  [sym_numeric] = {
    .visible = true,
    .named = true,
  },
  [sym_char] = {
    .visible = true,
    .named = true,
  },
  [sym_varchar] = {
    .visible = true,
    .named = true,
  },
  [sym_array] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_marginalia] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__ddl_statement] = {
    .visible = false,
    .named = true,
  },
  [sym__dml_statement] = {
    .visible = false,
    .named = true,
  },
  [sym_cte] = {
    .visible = true,
    .named = true,
  },
  [sym_transaction] = {
    .visible = true,
    .named = true,
  },
  [sym__begin] = {
    .visible = false,
    .named = true,
  },
  [sym__commit] = {
    .visible = false,
    .named = true,
  },
  [sym__rollback] = {
    .visible = false,
    .named = true,
  },
  [sym__select_statement] = {
    .visible = false,
    .named = true,
  },
  [sym_select] = {
    .visible = true,
    .named = true,
  },
  [sym_select_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__select_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_term] = {
    .visible = true,
    .named = true,
  },
  [sym__delete_statement] = {
    .visible = false,
    .named = true,
  },
  [sym__delete_from] = {
    .visible = true,
    .named = true,
  },
  [sym_delete] = {
    .visible = true,
    .named = true,
  },
  [sym__create_statement] = {
    .visible = false,
    .named = true,
  },
  [sym__table_settings] = {
    .visible = false,
    .named = true,
  },
  [sym_create_table] = {
    .visible = true,
    .named = true,
  },
  [sym_create_view] = {
    .visible = true,
    .named = true,
  },
  [sym_create_materialized_view] = {
    .visible = true,
    .named = true,
  },
  [sym_create_index] = {
    .visible = true,
    .named = true,
  },
  [sym__alter_statement] = {
    .visible = false,
    .named = true,
  },
  [sym_alter_table] = {
    .visible = true,
    .named = true,
  },
  [sym__alter_specifications] = {
    .visible = false,
    .named = true,
  },
  [sym_add_column] = {
    .visible = true,
    .named = true,
  },
  [sym_alter_column] = {
    .visible = true,
    .named = true,
  },
  [sym_modify_column] = {
    .visible = true,
    .named = true,
  },
  [sym_change_column] = {
    .visible = true,
    .named = true,
  },
  [sym_column_position] = {
    .visible = true,
    .named = true,
  },
  [sym_drop_column] = {
    .visible = true,
    .named = true,
  },
  [sym_rename_column] = {
    .visible = true,
    .named = true,
  },
  [sym_alter_view] = {
    .visible = true,
    .named = true,
  },
  [sym__drop_statement] = {
    .visible = false,
    .named = true,
  },
  [sym_drop_table] = {
    .visible = true,
    .named = true,
  },
  [sym_drop_view] = {
    .visible = true,
    .named = true,
  },
  [sym_drop_index] = {
    .visible = true,
    .named = true,
  },
  [sym_rename_object] = {
    .visible = true,
    .named = true,
  },
  [sym_set_schema] = {
    .visible = true,
    .named = true,
  },
  [sym_change_ownership] = {
    .visible = true,
    .named = true,
  },
  [sym_table_reference] = {
    .visible = true,
    .named = true,
  },
  [sym__insert_statement] = {
    .visible = false,
    .named = true,
  },
  [sym_insert] = {
    .visible = true,
    .named = true,
  },
  [sym__insert_values] = {
    .visible = false,
    .named = true,
  },
  [sym__insert_set] = {
    .visible = false,
    .named = true,
  },
  [sym__column_list] = {
    .visible = true,
    .named = true,
  },
  [sym__column] = {
    .visible = true,
    .named = true,
  },
  [sym__update_statement] = {
    .visible = false,
    .named = true,
  },
  [sym_update] = {
    .visible = true,
    .named = true,
  },
  [sym__mysql_update_statement] = {
    .visible = false,
    .named = true,
  },
  [sym__postgres_update_statement] = {
    .visible = false,
    .named = true,
  },
  [sym_storage_location] = {
    .visible = true,
    .named = true,
  },
  [sym_row_format] = {
    .visible = true,
    .named = true,
  },
  [sym_table_sort] = {
    .visible = true,
    .named = true,
  },
  [sym_table_partition] = {
    .visible = true,
    .named = true,
  },
  [sym_stored_as] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_table_options] = {
    .visible = true,
    .named = true,
  },
  [sym_table_option] = {
    .visible = true,
    .named = true,
  },
  [sym_column_definitions] = {
    .visible = true,
    .named = true,
  },
  [sym_column_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__column_constraint] = {
    .visible = false,
    .named = true,
  },
  [sym__default_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__inner_default_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_constraints] = {
    .visible = true,
    .named = true,
  },
  [sym_constraint] = {
    .visible = true,
    .named = true,
  },
  [sym__constraint_literal] = {
    .visible = false,
    .named = true,
  },
  [sym__primary_key_constraint] = {
    .visible = false,
    .named = true,
  },
  [sym__key_constraint] = {
    .visible = false,
    .named = true,
  },
  [sym_ordered_columns] = {
    .visible = true,
    .named = true,
  },
  [sym_ordered_column] = {
    .visible = true,
    .named = true,
  },
  [sym_all_fields] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_case] = {
    .visible = true,
    .named = true,
  },
  [sym_field] = {
    .visible = true,
    .named = true,
  },
  [sym_implicit_cast] = {
    .visible = true,
    .named = true,
  },
  [sym_interval_definitions] = {
    .visible = true,
    .named = true,
  },
  [sym__interval_definition] = {
    .visible = false,
    .named = true,
  },
  [sym_interval] = {
    .visible = true,
    .named = true,
  },
  [sym_cast] = {
    .visible = true,
    .named = true,
  },
  [sym__aggregate_function] = {
    .visible = false,
    .named = true,
  },
  [sym_count] = {
    .visible = true,
    .named = true,
  },
  [sym_group_concat] = {
    .visible = true,
    .named = true,
  },
  [sym__aggregate_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_invocation] = {
    .visible = true,
    .named = true,
  },
  [sym_partition_by] = {
    .visible = true,
    .named = true,
  },
  [sym_frame_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_window_frame] = {
    .visible = true,
    .named = true,
  },
  [sym_window_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_window_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_window_function] = {
    .visible = true,
    .named = true,
  },
  [sym__alias_identifier] = {
    .visible = false,
    .named = true,
  },
  [sym__alias] = {
    .visible = false,
    .named = true,
  },
  [sym_from] = {
    .visible = true,
    .named = true,
  },
  [sym_relation] = {
    .visible = true,
    .named = true,
  },
  [sym_values] = {
    .visible = true,
    .named = true,
  },
  [sym_index_hint] = {
    .visible = true,
    .named = true,
  },
  [sym_join] = {
    .visible = true,
    .named = true,
  },
  [sym_lateral_join] = {
    .visible = true,
    .named = true,
  },
  [sym_where] = {
    .visible = true,
    .named = true,
  },
  [sym_group_by] = {
    .visible = true,
    .named = true,
  },
  [sym__having] = {
    .visible = false,
    .named = true,
  },
  [sym_order_by] = {
    .visible = true,
    .named = true,
  },
  [sym_order_target] = {
    .visible = true,
    .named = true,
  },
  [sym_limit] = {
    .visible = true,
    .named = true,
  },
  [sym_offset] = {
    .visible = true,
    .named = true,
  },
  [sym_returning] = {
    .visible = true,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_subquery] = {
    .visible = true,
    .named = true,
  },
  [sym_list] = {
    .visible = true,
    .named = true,
  },
  [sym_literal] = {
    .visible = true,
    .named = true,
  },
  [sym__double_quote_string] = {
    .visible = false,
    .named = true,
  },
  [sym__literal_string] = {
    .visible = false,
    .named = true,
  },
  [sym__integer] = {
    .visible = false,
    .named = true,
  },
  [sym__decimal_number] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_program_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_compound_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__dml_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__select_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_select_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_create_table_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_alter_table_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__insert_values_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__insert_set_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__column_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__mysql_update_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__mysql_update_statement_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_table_sort_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_table_options_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_table_options_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_column_definitions_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_column_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_constraints_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_ordered_columns_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_interval_definitions_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_invocation_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_from_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_order_by_repeat1] = {
    .visible = false,
    .named = false,
  },
};

enum {
  field_alias = 1,
  field_col_name = 2,
  field_escaped_char = 3,
  field_fields_terminated_char = 4,
  field_index_name = 5,
  field_left = 6,
  field_name = 7,
  field_new_name = 8,
  field_old_name = 9,
  field_operand = 10,
  field_operator = 11,
  field_parameter = 12,
  field_path = 13,
  field_pool = 14,
  field_precision = 15,
  field_predicate = 16,
  field_right = 17,
  field_row_terminated_char = 18,
  field_scale = 19,
  field_schema = 20,
  field_size = 21,
  field_table_alias = 22,
  field_type = 23,
  field_value = 24,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_col_name] = "col_name",
  [field_escaped_char] = "escaped_char",
  [field_fields_terminated_char] = "fields_terminated_char",
  [field_index_name] = "index_name",
  [field_left] = "left",
  [field_name] = "name",
  [field_new_name] = "new_name",
  [field_old_name] = "old_name",
  [field_operand] = "operand",
  [field_operator] = "operator",
  [field_parameter] = "parameter",
  [field_path] = "path",
  [field_pool] = "pool",
  [field_precision] = "precision",
  [field_predicate] = "predicate",
  [field_right] = "right",
  [field_row_terminated_char] = "row_terminated_char",
  [field_scale] = "scale",
  [field_schema] = "schema",
  [field_size] = "size",
  [field_table_alias] = "table_alias",
  [field_type] = "type",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 1},
  [2] = {.index = 1, .length = 1},
  [4] = {.index = 1, .length = 1},
  [5] = {.index = 2, .length = 2},
  [6] = {.index = 4, .length = 1},
  [7] = {.index = 5, .length = 2},
  [8] = {.index = 7, .length = 1},
  [9] = {.index = 8, .length = 1},
  [10] = {.index = 9, .length = 1},
  [11] = {.index = 10, .length = 1},
  [12] = {.index = 11, .length = 2},
  [13] = {.index = 11, .length = 2},
  [14] = {.index = 13, .length = 1},
  [15] = {.index = 14, .length = 3},
  [16] = {.index = 17, .length = 1},
  [17] = {.index = 18, .length = 2},
  [18] = {.index = 20, .length = 1},
  [19] = {.index = 21, .length = 1},
  [20] = {.index = 22, .length = 2},
  [21] = {.index = 24, .length = 2},
  [22] = {.index = 26, .length = 1},
  [23] = {.index = 27, .length = 1},
  [24] = {.index = 28, .length = 1},
  [25] = {.index = 29, .length = 1},
  [26] = {.index = 30, .length = 1},
  [27] = {.index = 31, .length = 2},
  [28] = {.index = 33, .length = 3},
  [29] = {.index = 33, .length = 3},
  [30] = {.index = 36, .length = 3},
  [31] = {.index = 39, .length = 2},
  [32] = {.index = 41, .length = 1},
  [33] = {.index = 42, .length = 1},
  [34] = {.index = 43, .length = 1},
  [35] = {.index = 44, .length = 2},
  [36] = {.index = 46, .length = 1},
  [37] = {.index = 47, .length = 2},
  [38] = {.index = 49, .length = 2},
  [39] = {.index = 51, .length = 1},
  [40] = {.index = 52, .length = 1},
  [42] = {.index = 22, .length = 2},
  [44] = {.index = 53, .length = 1},
  [45] = {.index = 54, .length = 1},
  [46] = {.index = 55, .length = 1},
  [47] = {.index = 56, .length = 1},
  [48] = {.index = 57, .length = 2},
  [49] = {.index = 59, .length = 1},
  [50] = {.index = 60, .length = 1},
  [51] = {.index = 61, .length = 2},
  [53] = {.index = 63, .length = 1},
  [54] = {.index = 64, .length = 1},
  [55] = {.index = 65, .length = 1},
  [56] = {.index = 66, .length = 2},
  [57] = {.index = 68, .length = 2},
  [58] = {.index = 70, .length = 1},
  [59] = {.index = 71, .length = 2},
  [61] = {.index = 73, .length = 2},
  [62] = {.index = 75, .length = 1},
  [63] = {.index = 76, .length = 2},
  [64] = {.index = 78, .length = 1},
  [65] = {.index = 79, .length = 2},
  [66] = {.index = 81, .length = 1},
  [67] = {.index = 82, .length = 1},
  [68] = {.index = 83, .length = 1},
  [69] = {.index = 84, .length = 2},
  [70] = {.index = 86, .length = 1},
  [71] = {.index = 87, .length = 2},
  [72] = {.index = 89, .length = 1},
  [73] = {.index = 90, .length = 3},
  [74] = {.index = 93, .length = 1},
  [75] = {.index = 94, .length = 2},
  [76] = {.index = 96, .length = 2},
  [77] = {.index = 98, .length = 3},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_value, 0},
  [1] =
    {field_name, 0},
  [2] =
    {field_operand, 1},
    {field_operator, 0},
  [4] =
    {field_alias, 0},
  [5] =
    {field_alias, 1, .inherited = true},
    {field_value, 0},
  [7] =
    {field_table_alias, 1},
  [8] =
    {field_name, 2},
  [9] =
    {field_parameter, 0},
  [10] =
    {field_table_alias, 0},
  [11] =
    {field_name, 2},
    {field_table_alias, 0},
  [13] =
    {field_alias, 1},
  [14] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [17] =
    {field_table_alias, 2},
  [18] =
    {field_name, 2},
    {field_schema, 0},
  [20] =
    {field_name, 3},
  [21] =
    {field_parameter, 1},
  [22] =
    {field_name, 0},
    {field_parameter, 2, .inherited = true},
  [24] =
    {field_name, 0},
    {field_parameter, 2},
  [26] =
    {field_table_alias, 3},
  [27] =
    {field_path, 1},
  [28] =
    {field_name, 1},
  [29] =
    {field_name, 4},
  [30] =
    {field_predicate, 1},
  [31] =
    {field_schema, 0},
    {field_table_alias, 2},
  [33] =
    {field_name, 4},
    {field_schema, 0},
    {field_table_alias, 2},
  [36] =
    {field_name, 0},
    {field_parameter, 2},
    {field_parameter, 3, .inherited = true},
  [39] =
    {field_parameter, 0, .inherited = true},
    {field_parameter, 1, .inherited = true},
  [41] =
    {field_index_name, 3},
  [42] =
    {field_name, 1, .inherited = true},
  [43] =
    {field_table_alias, 4},
  [44] =
    {field_left, 0},
    {field_right, 2},
  [46] =
    {field_predicate, 3},
  [47] =
    {field_name, 0},
    {field_value, 2},
  [49] =
    {field_name, 0},
    {field_type, 1},
  [51] =
    {field_schema, 2},
  [52] =
    {field_old_name, 1},
  [53] =
    {field_precision, 2},
  [54] =
    {field_size, 2},
  [55] =
    {field_predicate, 4},
  [56] =
    {field_name, 0, .inherited = true},
  [57] =
    {field_name, 1},
    {field_type, 3},
  [59] =
    {field_old_name, 2},
  [60] =
    {field_col_name, 1},
  [61] =
    {field_new_name, 3},
    {field_old_name, 1},
  [63] =
    {field_size, 3},
  [64] =
    {field_index_name, 5},
  [65] =
    {field_predicate, 5},
  [66] =
    {field_path, 1},
    {field_pool, 4},
  [68] =
    {field_name, 2},
    {field_type, 4},
  [70] =
    {field_old_name, 3},
  [71] =
    {field_new_name, 4},
    {field_old_name, 2},
  [73] =
    {field_precision, 2},
    {field_scale, 4},
  [75] =
    {field_predicate, 6},
  [76] =
    {field_name, 1},
    {field_type, 5},
  [78] =
    {field_alias, 3},
  [79] =
    {field_precision, 3},
    {field_scale, 5},
  [81] =
    {field_predicate, 7},
  [82] =
    {field_fields_terminated_char, 6},
  [83] =
    {field_row_terminated_char, 6},
  [84] =
    {field_name, 2},
    {field_type, 6},
  [86] =
    {field_alias, 4},
  [87] =
    {field_precision, 4},
    {field_scale, 6},
  [89] =
    {field_alias, 5},
  [90] =
    {field_path, 1},
    {field_pool, 4},
    {field_value, 8},
  [93] =
    {field_alias, 6},
  [94] =
    {field_escaped_char, 9},
    {field_fields_terminated_char, 6},
  [96] =
    {field_fields_terminated_char, 6},
    {field_row_terminated_char, 10},
  [98] =
    {field_escaped_char, 9},
    {field_fields_terminated_char, 6},
    {field_row_terminated_char, 13},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [2] = {
    [0] = sym_identifier,
  },
  [3] = {
    [0] = sym_identifier,
  },
  [12] = {
    [2] = sym_identifier,
  },
  [23] = {
    [1] = sym_literal,
  },
  [28] = {
    [4] = sym_identifier,
  },
  [41] = {
    [3] = sym_statement,
  },
  [42] = {
    [4] = sym_literal,
  },
  [43] = {
    [0] = sym_literal,
  },
  [44] = {
    [2] = sym_literal,
  },
  [45] = {
    [2] = sym_literal,
  },
  [52] = {
    [4] = sym_statement,
  },
  [53] = {
    [3] = sym_literal,
  },
  [56] = {
    [1] = sym_literal,
    [4] = sym_literal,
  },
  [60] = {
    [5] = sym_statement,
  },
  [61] = {
    [2] = sym_literal,
    [4] = sym_literal,
  },
  [65] = {
    [3] = sym_literal,
    [5] = sym_literal,
  },
  [67] = {
    [6] = sym_literal,
  },
  [68] = {
    [6] = sym_literal,
  },
  [71] = {
    [4] = sym_literal,
    [6] = sym_literal,
  },
  [73] = {
    [1] = sym_literal,
    [4] = sym_literal,
    [8] = sym_literal,
  },
  [75] = {
    [6] = sym_literal,
    [9] = sym_literal,
  },
  [76] = {
    [6] = sym_literal,
    [10] = sym_literal,
  },
  [77] = {
    [6] = sym_literal,
    [9] = sym_literal,
    [13] = sym_literal,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym__select_statement, 2,
    sym__select_statement,
    sym_statement,
  sym__delete_statement, 2,
    sym__delete_statement,
    sym_statement,
  sym__insert_statement, 2,
    sym__insert_statement,
    sym_statement,
  sym__update_statement, 2,
    sym__update_statement,
    sym_statement,
  sym__double_quote_string, 2,
    sym__double_quote_string,
    sym_identifier,
  sym__literal_string, 2,
    sym__literal_string,
    sym_literal,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 2,
  [4] = 4,
  [5] = 4,
  [6] = 6,
  [7] = 6,
  [8] = 8,
  [9] = 8,
  [10] = 8,
  [11] = 8,
  [12] = 8,
  [13] = 8,
  [14] = 8,
  [15] = 15,
  [16] = 8,
  [17] = 15,
  [18] = 8,
  [19] = 6,
  [20] = 6,
  [21] = 6,
  [22] = 6,
  [23] = 8,
  [24] = 8,
  [25] = 6,
  [26] = 8,
  [27] = 8,
  [28] = 6,
  [29] = 6,
  [30] = 8,
  [31] = 6,
  [32] = 8,
  [33] = 33,
  [34] = 8,
  [35] = 6,
  [36] = 6,
  [37] = 8,
  [38] = 38,
  [39] = 6,
  [40] = 6,
  [41] = 6,
  [42] = 6,
  [43] = 8,
  [44] = 6,
  [45] = 6,
  [46] = 46,
  [47] = 47,
  [48] = 8,
  [49] = 6,
  [50] = 50,
  [51] = 51,
  [52] = 51,
  [53] = 50,
  [54] = 54,
  [55] = 55,
  [56] = 56,
  [57] = 57,
  [58] = 54,
  [59] = 59,
  [60] = 60,
  [61] = 54,
  [62] = 55,
  [63] = 63,
  [64] = 64,
  [65] = 65,
  [66] = 66,
  [67] = 50,
  [68] = 68,
  [69] = 69,
  [70] = 70,
  [71] = 51,
  [72] = 72,
  [73] = 73,
  [74] = 74,
  [75] = 75,
  [76] = 76,
  [77] = 77,
  [78] = 78,
  [79] = 79,
  [80] = 80,
  [81] = 81,
  [82] = 82,
  [83] = 83,
  [84] = 84,
  [85] = 85,
  [86] = 86,
  [87] = 87,
  [88] = 88,
  [89] = 89,
  [90] = 90,
  [91] = 91,
  [92] = 92,
  [93] = 93,
  [94] = 94,
  [95] = 95,
  [96] = 56,
  [97] = 57,
  [98] = 98,
  [99] = 99,
  [100] = 100,
  [101] = 101,
  [102] = 102,
  [103] = 103,
  [104] = 104,
  [105] = 105,
  [106] = 59,
  [107] = 87,
  [108] = 108,
  [109] = 63,
  [110] = 60,
  [111] = 111,
  [112] = 112,
  [113] = 113,
  [114] = 114,
  [115] = 115,
  [116] = 116,
  [117] = 117,
  [118] = 91,
  [119] = 93,
  [120] = 92,
  [121] = 101,
  [122] = 122,
  [123] = 82,
  [124] = 124,
  [125] = 125,
  [126] = 126,
  [127] = 127,
  [128] = 85,
  [129] = 88,
  [130] = 89,
  [131] = 83,
  [132] = 94,
  [133] = 98,
  [134] = 134,
  [135] = 135,
  [136] = 136,
  [137] = 137,
  [138] = 138,
  [139] = 139,
  [140] = 140,
  [141] = 141,
  [142] = 142,
  [143] = 143,
  [144] = 144,
  [145] = 145,
  [146] = 146,
  [147] = 147,
  [148] = 148,
  [149] = 149,
  [150] = 150,
  [151] = 151,
  [152] = 152,
  [153] = 153,
  [154] = 154,
  [155] = 155,
  [156] = 156,
  [157] = 157,
  [158] = 158,
  [159] = 159,
  [160] = 160,
  [161] = 161,
  [162] = 162,
  [163] = 163,
  [164] = 164,
  [165] = 112,
  [166] = 166,
  [167] = 167,
  [168] = 168,
  [169] = 98,
  [170] = 170,
  [171] = 171,
  [172] = 172,
  [173] = 173,
  [174] = 174,
  [175] = 175,
  [176] = 176,
  [177] = 177,
  [178] = 178,
  [179] = 179,
  [180] = 113,
  [181] = 83,
  [182] = 182,
  [183] = 183,
  [184] = 64,
  [185] = 185,
  [186] = 54,
  [187] = 187,
  [188] = 188,
  [189] = 91,
  [190] = 93,
  [191] = 191,
  [192] = 192,
  [193] = 193,
  [194] = 194,
  [195] = 195,
  [196] = 196,
  [197] = 92,
  [198] = 198,
  [199] = 199,
  [200] = 200,
  [201] = 101,
  [202] = 202,
  [203] = 203,
  [204] = 204,
  [205] = 205,
  [206] = 206,
  [207] = 82,
  [208] = 87,
  [209] = 209,
  [210] = 210,
  [211] = 211,
  [212] = 212,
  [213] = 213,
  [214] = 122,
  [215] = 215,
  [216] = 216,
  [217] = 217,
  [218] = 218,
  [219] = 219,
  [220] = 85,
  [221] = 87,
  [222] = 85,
  [223] = 127,
  [224] = 88,
  [225] = 89,
  [226] = 226,
  [227] = 111,
  [228] = 112,
  [229] = 98,
  [230] = 82,
  [231] = 88,
  [232] = 93,
  [233] = 101,
  [234] = 126,
  [235] = 89,
  [236] = 236,
  [237] = 124,
  [238] = 238,
  [239] = 114,
  [240] = 83,
  [241] = 241,
  [242] = 117,
  [243] = 116,
  [244] = 115,
  [245] = 122,
  [246] = 114,
  [247] = 117,
  [248] = 113,
  [249] = 92,
  [250] = 124,
  [251] = 125,
  [252] = 116,
  [253] = 91,
  [254] = 254,
  [255] = 111,
  [256] = 115,
  [257] = 257,
  [258] = 125,
  [259] = 126,
  [260] = 127,
  [261] = 261,
  [262] = 262,
  [263] = 263,
  [264] = 264,
  [265] = 265,
  [266] = 266,
  [267] = 267,
  [268] = 268,
  [269] = 77,
  [270] = 79,
  [271] = 83,
  [272] = 91,
  [273] = 93,
  [274] = 92,
  [275] = 69,
  [276] = 76,
  [277] = 55,
  [278] = 98,
  [279] = 101,
  [280] = 82,
  [281] = 87,
  [282] = 65,
  [283] = 85,
  [284] = 68,
  [285] = 70,
  [286] = 88,
  [287] = 89,
  [288] = 73,
  [289] = 74,
  [290] = 75,
  [291] = 89,
  [292] = 88,
  [293] = 64,
  [294] = 85,
  [295] = 87,
  [296] = 82,
  [297] = 81,
  [298] = 66,
  [299] = 101,
  [300] = 80,
  [301] = 78,
  [302] = 83,
  [303] = 98,
  [304] = 91,
  [305] = 92,
  [306] = 93,
  [307] = 101,
  [308] = 82,
  [309] = 66,
  [310] = 87,
  [311] = 98,
  [312] = 85,
  [313] = 68,
  [314] = 88,
  [315] = 89,
  [316] = 81,
  [317] = 104,
  [318] = 100,
  [319] = 99,
  [320] = 105,
  [321] = 103,
  [322] = 92,
  [323] = 93,
  [324] = 86,
  [325] = 90,
  [326] = 76,
  [327] = 327,
  [328] = 69,
  [329] = 70,
  [330] = 77,
  [331] = 91,
  [332] = 84,
  [333] = 65,
  [334] = 93,
  [335] = 83,
  [336] = 95,
  [337] = 78,
  [338] = 73,
  [339] = 80,
  [340] = 75,
  [341] = 74,
  [342] = 91,
  [343] = 102,
  [344] = 64,
  [345] = 89,
  [346] = 88,
  [347] = 85,
  [348] = 87,
  [349] = 83,
  [350] = 79,
  [351] = 82,
  [352] = 101,
  [353] = 98,
  [354] = 92,
  [355] = 103,
  [356] = 85,
  [357] = 357,
  [358] = 50,
  [359] = 359,
  [360] = 360,
  [361] = 69,
  [362] = 94,
  [363] = 84,
  [364] = 95,
  [365] = 86,
  [366] = 102,
  [367] = 50,
  [368] = 368,
  [369] = 369,
  [370] = 51,
  [371] = 83,
  [372] = 145,
  [373] = 139,
  [374] = 108,
  [375] = 158,
  [376] = 151,
  [377] = 149,
  [378] = 90,
  [379] = 147,
  [380] = 140,
  [381] = 138,
  [382] = 136,
  [383] = 135,
  [384] = 162,
  [385] = 161,
  [386] = 160,
  [387] = 265,
  [388] = 91,
  [389] = 153,
  [390] = 92,
  [391] = 159,
  [392] = 98,
  [393] = 154,
  [394] = 101,
  [395] = 82,
  [396] = 150,
  [397] = 397,
  [398] = 398,
  [399] = 148,
  [400] = 146,
  [401] = 68,
  [402] = 93,
  [403] = 51,
  [404] = 404,
  [405] = 70,
  [406] = 64,
  [407] = 87,
  [408] = 163,
  [409] = 76,
  [410] = 142,
  [411] = 134,
  [412] = 105,
  [413] = 77,
  [414] = 78,
  [415] = 80,
  [416] = 152,
  [417] = 79,
  [418] = 155,
  [419] = 66,
  [420] = 266,
  [421] = 164,
  [422] = 99,
  [423] = 73,
  [424] = 100,
  [425] = 75,
  [426] = 143,
  [427] = 104,
  [428] = 74,
  [429] = 157,
  [430] = 81,
  [431] = 65,
  [432] = 432,
  [433] = 137,
  [434] = 144,
  [435] = 156,
  [436] = 141,
  [437] = 89,
  [438] = 88,
  [439] = 65,
  [440] = 148,
  [441] = 185,
  [442] = 202,
  [443] = 238,
  [444] = 241,
  [445] = 254,
  [446] = 187,
  [447] = 188,
  [448] = 191,
  [449] = 216,
  [450] = 192,
  [451] = 193,
  [452] = 103,
  [453] = 105,
  [454] = 99,
  [455] = 100,
  [456] = 104,
  [457] = 195,
  [458] = 268,
  [459] = 368,
  [460] = 267,
  [461] = 264,
  [462] = 263,
  [463] = 262,
  [464] = 261,
  [465] = 257,
  [466] = 213,
  [467] = 196,
  [468] = 199,
  [469] = 90,
  [470] = 200,
  [471] = 203,
  [472] = 204,
  [473] = 205,
  [474] = 206,
  [475] = 167,
  [476] = 209,
  [477] = 170,
  [478] = 171,
  [479] = 210,
  [480] = 212,
  [481] = 218,
  [482] = 219,
  [483] = 226,
  [484] = 236,
  [485] = 173,
  [486] = 68,
  [487] = 69,
  [488] = 70,
  [489] = 73,
  [490] = 74,
  [491] = 75,
  [492] = 492,
  [493] = 81,
  [494] = 494,
  [495] = 66,
  [496] = 79,
  [497] = 80,
  [498] = 498,
  [499] = 499,
  [500] = 500,
  [501] = 174,
  [502] = 168,
  [503] = 175,
  [504] = 172,
  [505] = 86,
  [506] = 78,
  [507] = 507,
  [508] = 94,
  [509] = 179,
  [510] = 177,
  [511] = 77,
  [512] = 512,
  [513] = 513,
  [514] = 76,
  [515] = 182,
  [516] = 516,
  [517] = 134,
  [518] = 518,
  [519] = 519,
  [520] = 520,
  [521] = 521,
  [522] = 522,
  [523] = 523,
  [524] = 137,
  [525] = 141,
  [526] = 144,
  [527] = 527,
  [528] = 146,
  [529] = 529,
  [530] = 183,
  [531] = 57,
  [532] = 360,
  [533] = 359,
  [534] = 150,
  [535] = 535,
  [536] = 154,
  [537] = 159,
  [538] = 538,
  [539] = 539,
  [540] = 160,
  [541] = 161,
  [542] = 162,
  [543] = 543,
  [544] = 544,
  [545] = 135,
  [546] = 136,
  [547] = 138,
  [548] = 64,
  [549] = 54,
  [550] = 550,
  [551] = 59,
  [552] = 552,
  [553] = 140,
  [554] = 147,
  [555] = 149,
  [556] = 151,
  [557] = 357,
  [558] = 558,
  [559] = 194,
  [560] = 198,
  [561] = 561,
  [562] = 178,
  [563] = 563,
  [564] = 564,
  [565] = 357,
  [566] = 155,
  [567] = 432,
  [568] = 211,
  [569] = 569,
  [570] = 84,
  [571] = 571,
  [572] = 215,
  [573] = 95,
  [574] = 166,
  [575] = 158,
  [576] = 108,
  [577] = 538,
  [578] = 217,
  [579] = 139,
  [580] = 397,
  [581] = 404,
  [582] = 582,
  [583] = 432,
  [584] = 538,
  [585] = 83,
  [586] = 145,
  [587] = 153,
  [588] = 91,
  [589] = 589,
  [590] = 93,
  [591] = 92,
  [592] = 98,
  [593] = 101,
  [594] = 163,
  [595] = 82,
  [596] = 596,
  [597] = 142,
  [598] = 56,
  [599] = 143,
  [600] = 600,
  [601] = 601,
  [602] = 152,
  [603] = 397,
  [604] = 398,
  [605] = 605,
  [606] = 156,
  [607] = 607,
  [608] = 608,
  [609] = 55,
  [610] = 102,
  [611] = 157,
  [612] = 404,
  [613] = 613,
  [614] = 176,
  [615] = 87,
  [616] = 85,
  [617] = 88,
  [618] = 89,
  [619] = 619,
  [620] = 538,
  [621] = 621,
  [622] = 164,
  [623] = 608,
  [624] = 63,
  [625] = 191,
  [626] = 192,
  [627] = 193,
  [628] = 156,
  [629] = 494,
  [630] = 157,
  [631] = 195,
  [632] = 498,
  [633] = 196,
  [634] = 199,
  [635] = 200,
  [636] = 217,
  [637] = 166,
  [638] = 215,
  [639] = 137,
  [640] = 211,
  [641] = 203,
  [642] = 204,
  [643] = 164,
  [644] = 134,
  [645] = 645,
  [646] = 155,
  [647] = 152,
  [648] = 648,
  [649] = 142,
  [650] = 143,
  [651] = 163,
  [652] = 205,
  [653] = 206,
  [654] = 499,
  [655] = 209,
  [656] = 500,
  [657] = 648,
  [658] = 210,
  [659] = 648,
  [660] = 198,
  [661] = 194,
  [662] = 212,
  [663] = 507,
  [664] = 218,
  [665] = 512,
  [666] = 219,
  [667] = 226,
  [668] = 236,
  [669] = 187,
  [670] = 645,
  [671] = 494,
  [672] = 185,
  [673] = 102,
  [674] = 513,
  [675] = 179,
  [676] = 645,
  [677] = 178,
  [678] = 176,
  [679] = 76,
  [680] = 512,
  [681] = 172,
  [682] = 77,
  [683] = 78,
  [684] = 80,
  [685] = 95,
  [686] = 84,
  [687] = 79,
  [688] = 66,
  [689] = 81,
  [690] = 492,
  [691] = 613,
  [692] = 55,
  [693] = 75,
  [694] = 168,
  [695] = 74,
  [696] = 608,
  [697] = 73,
  [698] = 607,
  [699] = 65,
  [700] = 70,
  [701] = 69,
  [702] = 68,
  [703] = 188,
  [704] = 182,
  [705] = 648,
  [706] = 103,
  [707] = 105,
  [708] = 99,
  [709] = 100,
  [710] = 104,
  [711] = 177,
  [712] = 601,
  [713] = 596,
  [714] = 175,
  [715] = 571,
  [716] = 174,
  [717] = 564,
  [718] = 173,
  [719] = 563,
  [720] = 368,
  [721] = 171,
  [722] = 153,
  [723] = 145,
  [724] = 170,
  [725] = 139,
  [726] = 183,
  [727] = 108,
  [728] = 167,
  [729] = 158,
  [730] = 213,
  [731] = 151,
  [732] = 149,
  [733] = 561,
  [734] = 558,
  [735] = 257,
  [736] = 550,
  [737] = 544,
  [738] = 261,
  [739] = 539,
  [740] = 262,
  [741] = 535,
  [742] = 527,
  [743] = 523,
  [744] = 522,
  [745] = 521,
  [746] = 520,
  [747] = 519,
  [748] = 90,
  [749] = 518,
  [750] = 516,
  [751] = 368,
  [752] = 60,
  [753] = 605,
  [754] = 263,
  [755] = 264,
  [756] = 64,
  [757] = 267,
  [758] = 268,
  [759] = 216,
  [760] = 254,
  [761] = 241,
  [762] = 238,
  [763] = 141,
  [764] = 86,
  [765] = 144,
  [766] = 146,
  [767] = 148,
  [768] = 150,
  [769] = 154,
  [770] = 159,
  [771] = 160,
  [772] = 161,
  [773] = 162,
  [774] = 135,
  [775] = 136,
  [776] = 138,
  [777] = 140,
  [778] = 147,
  [779] = 50,
  [780] = 64,
  [781] = 202,
  [782] = 327,
  [783] = 51,
  [784] = 529,
  [785] = 360,
  [786] = 786,
  [787] = 787,
  [788] = 73,
  [789] = 173,
  [790] = 74,
  [791] = 174,
  [792] = 145,
  [793] = 175,
  [794] = 153,
  [795] = 76,
  [796] = 177,
  [797] = 75,
  [798] = 182,
  [799] = 68,
  [800] = 81,
  [801] = 66,
  [802] = 79,
  [803] = 80,
  [804] = 78,
  [805] = 267,
  [806] = 69,
  [807] = 268,
  [808] = 70,
  [809] = 216,
  [810] = 810,
  [811] = 254,
  [812] = 810,
  [813] = 561,
  [814] = 241,
  [815] = 238,
  [816] = 68,
  [817] = 69,
  [818] = 70,
  [819] = 65,
  [820] = 73,
  [821] = 202,
  [822] = 183,
  [823] = 74,
  [824] = 75,
  [825] = 158,
  [826] = 81,
  [827] = 66,
  [828] = 79,
  [829] = 108,
  [830] = 80,
  [831] = 78,
  [832] = 77,
  [833] = 77,
  [834] = 76,
  [835] = 170,
  [836] = 139,
  [837] = 65,
  [838] = 161,
  [839] = 151,
  [840] = 605,
  [841] = 149,
  [842] = 147,
  [843] = 140,
  [844] = 138,
  [845] = 136,
  [846] = 786,
  [847] = 847,
  [848] = 135,
  [849] = 162,
  [850] = 84,
  [851] = 847,
  [852] = 160,
  [853] = 159,
  [854] = 786,
  [855] = 847,
  [856] = 154,
  [857] = 59,
  [858] = 150,
  [859] = 148,
  [860] = 57,
  [861] = 404,
  [862] = 194,
  [863] = 198,
  [864] = 146,
  [865] = 144,
  [866] = 141,
  [867] = 398,
  [868] = 137,
  [869] = 56,
  [870] = 211,
  [871] = 215,
  [872] = 166,
  [873] = 217,
  [874] = 134,
  [875] = 369,
  [876] = 432,
  [877] = 786,
  [878] = 357,
  [879] = 847,
  [880] = 359,
  [881] = 810,
  [882] = 171,
  [883] = 613,
  [884] = 847,
  [885] = 86,
  [886] = 50,
  [887] = 786,
  [888] = 847,
  [889] = 163,
  [890] = 142,
  [891] = 152,
  [892] = 155,
  [893] = 810,
  [894] = 786,
  [895] = 847,
  [896] = 786,
  [897] = 847,
  [898] = 786,
  [899] = 847,
  [900] = 786,
  [901] = 847,
  [902] = 786,
  [903] = 847,
  [904] = 786,
  [905] = 847,
  [906] = 786,
  [907] = 847,
  [908] = 786,
  [909] = 847,
  [910] = 786,
  [911] = 847,
  [912] = 786,
  [913] = 50,
  [914] = 810,
  [915] = 786,
  [916] = 847,
  [917] = 164,
  [918] = 90,
  [919] = 507,
  [920] = 920,
  [921] = 847,
  [922] = 786,
  [923] = 786,
  [924] = 810,
  [925] = 847,
  [926] = 104,
  [927] = 193,
  [928] = 786,
  [929] = 847,
  [930] = 368,
  [931] = 157,
  [932] = 195,
  [933] = 54,
  [934] = 156,
  [935] = 100,
  [936] = 99,
  [937] = 143,
  [938] = 196,
  [939] = 199,
  [940] = 200,
  [941] = 203,
  [942] = 204,
  [943] = 105,
  [944] = 103,
  [945] = 168,
  [946] = 172,
  [947] = 176,
  [948] = 178,
  [949] = 179,
  [950] = 264,
  [951] = 236,
  [952] = 263,
  [953] = 226,
  [954] = 262,
  [955] = 219,
  [956] = 185,
  [957] = 261,
  [958] = 187,
  [959] = 257,
  [960] = 188,
  [961] = 218,
  [962] = 191,
  [963] = 212,
  [964] = 192,
  [965] = 213,
  [966] = 397,
  [967] = 167,
  [968] = 605,
  [969] = 102,
  [970] = 51,
  [971] = 787,
  [972] = 205,
  [973] = 206,
  [974] = 209,
  [975] = 210,
  [976] = 368,
  [977] = 95,
  [978] = 51,
  [979] = 607,
  [980] = 137,
  [981] = 86,
  [982] = 520,
  [983] = 56,
  [984] = 984,
  [985] = 50,
  [986] = 90,
  [987] = 59,
  [988] = 57,
  [989] = 368,
  [990] = 211,
  [991] = 558,
  [992] = 51,
  [993] = 569,
  [994] = 522,
  [995] = 582,
  [996] = 589,
  [997] = 217,
  [998] = 166,
  [999] = 600,
  [1000] = 404,
  [1001] = 102,
  [1002] = 619,
  [1003] = 605,
  [1004] = 215,
  [1005] = 398,
  [1006] = 198,
  [1007] = 194,
  [1008] = 182,
  [1009] = 177,
  [1010] = 175,
  [1011] = 174,
  [1012] = 173,
  [1013] = 171,
  [1014] = 397,
  [1015] = 170,
  [1016] = 167,
  [1017] = 213,
  [1018] = 257,
  [1019] = 621,
  [1020] = 261,
  [1021] = 262,
  [1022] = 263,
  [1023] = 264,
  [1024] = 267,
  [1025] = 268,
  [1026] = 216,
  [1027] = 254,
  [1028] = 241,
  [1029] = 238,
  [1030] = 202,
  [1031] = 183,
  [1032] = 168,
  [1033] = 95,
  [1034] = 172,
  [1035] = 176,
  [1036] = 178,
  [1037] = 179,
  [1038] = 84,
  [1039] = 185,
  [1040] = 187,
  [1041] = 188,
  [1042] = 191,
  [1043] = 192,
  [1044] = 193,
  [1045] = 552,
  [1046] = 543,
  [1047] = 195,
  [1048] = 196,
  [1049] = 432,
  [1050] = 199,
  [1051] = 103,
  [1052] = 200,
  [1053] = 203,
  [1054] = 204,
  [1055] = 205,
  [1056] = 206,
  [1057] = 209,
  [1058] = 210,
  [1059] = 212,
  [1060] = 218,
  [1061] = 219,
  [1062] = 226,
  [1063] = 236,
  [1064] = 357,
  [1065] = 105,
  [1066] = 99,
  [1067] = 100,
  [1068] = 104,
  [1069] = 60,
  [1070] = 90,
  [1071] = 54,
  [1072] = 984,
  [1073] = 359,
  [1074] = 360,
  [1075] = 86,
  [1076] = 984,
  [1077] = 104,
  [1078] = 100,
  [1079] = 99,
  [1080] = 105,
  [1081] = 103,
  [1082] = 368,
  [1083] = 64,
  [1084] = 84,
  [1085] = 63,
  [1086] = 95,
  [1087] = 102,
  [1088] = 984,
  [1089] = 984,
  [1090] = 984,
  [1091] = 984,
  [1092] = 984,
  [1093] = 984,
  [1094] = 544,
  [1095] = 143,
  [1096] = 984,
  [1097] = 984,
  [1098] = 516,
  [1099] = 984,
  [1100] = 984,
  [1101] = 156,
  [1102] = 984,
  [1103] = 984,
  [1104] = 984,
  [1105] = 984,
  [1106] = 57,
  [1107] = 494,
  [1108] = 498,
  [1109] = 157,
  [1110] = 59,
  [1111] = 499,
  [1112] = 500,
  [1113] = 56,
  [1114] = 518,
  [1115] = 507,
  [1116] = 512,
  [1117] = 513,
  [1118] = 984,
  [1119] = 492,
  [1120] = 613,
  [1121] = 55,
  [1122] = 608,
  [1123] = 51,
  [1124] = 83,
  [1125] = 50,
  [1126] = 91,
  [1127] = 93,
  [1128] = 153,
  [1129] = 145,
  [1130] = 92,
  [1131] = 519,
  [1132] = 98,
  [1133] = 164,
  [1134] = 101,
  [1135] = 155,
  [1136] = 139,
  [1137] = 152,
  [1138] = 108,
  [1139] = 142,
  [1140] = 82,
  [1141] = 87,
  [1142] = 158,
  [1143] = 85,
  [1144] = 88,
  [1145] = 89,
  [1146] = 163,
  [1147] = 151,
  [1148] = 149,
  [1149] = 601,
  [1150] = 596,
  [1151] = 571,
  [1152] = 984,
  [1153] = 54,
  [1154] = 564,
  [1155] = 563,
  [1156] = 404,
  [1157] = 605,
  [1158] = 520,
  [1159] = 521,
  [1160] = 398,
  [1161] = 397,
  [1162] = 561,
  [1163] = 558,
  [1164] = 147,
  [1165] = 140,
  [1166] = 138,
  [1167] = 136,
  [1168] = 432,
  [1169] = 984,
  [1170] = 357,
  [1171] = 135,
  [1172] = 162,
  [1173] = 161,
  [1174] = 359,
  [1175] = 535,
  [1176] = 539,
  [1177] = 544,
  [1178] = 550,
  [1179] = 522,
  [1180] = 523,
  [1181] = 527,
  [1182] = 529,
  [1183] = 148,
  [1184] = 360,
  [1185] = 141,
  [1186] = 160,
  [1187] = 154,
  [1188] = 150,
  [1189] = 144,
  [1190] = 134,
  [1191] = 159,
  [1192] = 146,
  [1193] = 147,
  [1194] = 78,
  [1195] = 254,
  [1196] = 216,
  [1197] = 268,
  [1198] = 267,
  [1199] = 264,
  [1200] = 56,
  [1201] = 263,
  [1202] = 262,
  [1203] = 261,
  [1204] = 523,
  [1205] = 257,
  [1206] = 213,
  [1207] = 167,
  [1208] = 527,
  [1209] = 529,
  [1210] = 170,
  [1211] = 171,
  [1212] = 535,
  [1213] = 539,
  [1214] = 544,
  [1215] = 149,
  [1216] = 550,
  [1217] = 558,
  [1218] = 561,
  [1219] = 563,
  [1220] = 564,
  [1221] = 571,
  [1222] = 596,
  [1223] = 173,
  [1224] = 174,
  [1225] = 151,
  [1226] = 175,
  [1227] = 601,
  [1228] = 158,
  [1229] = 108,
  [1230] = 177,
  [1231] = 182,
  [1232] = 607,
  [1233] = 608,
  [1234] = 55,
  [1235] = 613,
  [1236] = 139,
  [1237] = 205,
  [1238] = 238,
  [1239] = 522,
  [1240] = 492,
  [1241] = 145,
  [1242] = 153,
  [1243] = 360,
  [1244] = 513,
  [1245] = 521,
  [1246] = 520,
  [1247] = 512,
  [1248] = 507,
  [1249] = 368,
  [1250] = 359,
  [1251] = 519,
  [1252] = 518,
  [1253] = 516,
  [1254] = 63,
  [1255] = 147,
  [1256] = 202,
  [1257] = 183,
  [1258] = 500,
  [1259] = 499,
  [1260] = 168,
  [1261] = 172,
  [1262] = 176,
  [1263] = 178,
  [1264] = 498,
  [1265] = 494,
  [1266] = 357,
  [1267] = 57,
  [1268] = 140,
  [1269] = 138,
  [1270] = 136,
  [1271] = 135,
  [1272] = 516,
  [1273] = 59,
  [1274] = 162,
  [1275] = 161,
  [1276] = 56,
  [1277] = 179,
  [1278] = 518,
  [1279] = 160,
  [1280] = 194,
  [1281] = 198,
  [1282] = 519,
  [1283] = 185,
  [1284] = 520,
  [1285] = 521,
  [1286] = 187,
  [1287] = 188,
  [1288] = 191,
  [1289] = 192,
  [1290] = 193,
  [1291] = 195,
  [1292] = 159,
  [1293] = 522,
  [1294] = 523,
  [1295] = 196,
  [1296] = 432,
  [1297] = 211,
  [1298] = 215,
  [1299] = 166,
  [1300] = 217,
  [1301] = 154,
  [1302] = 199,
  [1303] = 200,
  [1304] = 1304,
  [1305] = 60,
  [1306] = 397,
  [1307] = 203,
  [1308] = 527,
  [1309] = 529,
  [1310] = 535,
  [1311] = 539,
  [1312] = 398,
  [1313] = 605,
  [1314] = 404,
  [1315] = 544,
  [1316] = 550,
  [1317] = 150,
  [1318] = 204,
  [1319] = 558,
  [1320] = 494,
  [1321] = 63,
  [1322] = 143,
  [1323] = 498,
  [1324] = 206,
  [1325] = 561,
  [1326] = 241,
  [1327] = 148,
  [1328] = 209,
  [1329] = 499,
  [1330] = 156,
  [1331] = 500,
  [1332] = 157,
  [1333] = 146,
  [1334] = 507,
  [1335] = 512,
  [1336] = 513,
  [1337] = 563,
  [1338] = 144,
  [1339] = 141,
  [1340] = 164,
  [1341] = 155,
  [1342] = 152,
  [1343] = 142,
  [1344] = 163,
  [1345] = 492,
  [1346] = 564,
  [1347] = 613,
  [1348] = 55,
  [1349] = 608,
  [1350] = 59,
  [1351] = 60,
  [1352] = 134,
  [1353] = 137,
  [1354] = 141,
  [1355] = 144,
  [1356] = 146,
  [1357] = 148,
  [1358] = 571,
  [1359] = 150,
  [1360] = 154,
  [1361] = 159,
  [1362] = 210,
  [1363] = 160,
  [1364] = 161,
  [1365] = 162,
  [1366] = 135,
  [1367] = 212,
  [1368] = 136,
  [1369] = 138,
  [1370] = 607,
  [1371] = 218,
  [1372] = 140,
  [1373] = 137,
  [1374] = 68,
  [1375] = 69,
  [1376] = 134,
  [1377] = 149,
  [1378] = 151,
  [1379] = 57,
  [1380] = 596,
  [1381] = 158,
  [1382] = 108,
  [1383] = 139,
  [1384] = 219,
  [1385] = 145,
  [1386] = 153,
  [1387] = 226,
  [1388] = 360,
  [1389] = 359,
  [1390] = 70,
  [1391] = 54,
  [1392] = 236,
  [1393] = 65,
  [1394] = 1394,
  [1395] = 73,
  [1396] = 357,
  [1397] = 74,
  [1398] = 432,
  [1399] = 163,
  [1400] = 80,
  [1401] = 79,
  [1402] = 66,
  [1403] = 81,
  [1404] = 143,
  [1405] = 155,
  [1406] = 404,
  [1407] = 152,
  [1408] = 601,
  [1409] = 75,
  [1410] = 156,
  [1411] = 76,
  [1412] = 142,
  [1413] = 397,
  [1414] = 157,
  [1415] = 398,
  [1416] = 164,
  [1417] = 605,
  [1418] = 77,
  [1419] = 1419,
  [1420] = 261,
  [1421] = 1419,
  [1422] = 226,
  [1423] = 219,
  [1424] = 218,
  [1425] = 212,
  [1426] = 516,
  [1427] = 1427,
  [1428] = 210,
  [1429] = 1419,
  [1430] = 209,
  [1431] = 206,
  [1432] = 205,
  [1433] = 518,
  [1434] = 1434,
  [1435] = 204,
  [1436] = 203,
  [1437] = 200,
  [1438] = 90,
  [1439] = 199,
  [1440] = 196,
  [1441] = 1419,
  [1442] = 1419,
  [1443] = 195,
  [1444] = 193,
  [1445] = 519,
  [1446] = 192,
  [1447] = 191,
  [1448] = 188,
  [1449] = 187,
  [1450] = 1450,
  [1451] = 494,
  [1452] = 498,
  [1453] = 499,
  [1454] = 500,
  [1455] = 185,
  [1456] = 1456,
  [1457] = 1457,
  [1458] = 507,
  [1459] = 512,
  [1460] = 513,
  [1461] = 1456,
  [1462] = 179,
  [1463] = 1427,
  [1464] = 178,
  [1465] = 176,
  [1466] = 172,
  [1467] = 168,
  [1468] = 1434,
  [1469] = 520,
  [1470] = 521,
  [1471] = 183,
  [1472] = 202,
  [1473] = 1419,
  [1474] = 1419,
  [1475] = 1457,
  [1476] = 1456,
  [1477] = 1419,
  [1478] = 492,
  [1479] = 1434,
  [1480] = 613,
  [1481] = 1427,
  [1482] = 608,
  [1483] = 1434,
  [1484] = 1434,
  [1485] = 1485,
  [1486] = 607,
  [1487] = 1456,
  [1488] = 1427,
  [1489] = 238,
  [1490] = 241,
  [1491] = 254,
  [1492] = 216,
  [1493] = 268,
  [1494] = 267,
  [1495] = 1419,
  [1496] = 217,
  [1497] = 166,
  [1498] = 215,
  [1499] = 211,
  [1500] = 522,
  [1501] = 523,
  [1502] = 1419,
  [1503] = 1456,
  [1504] = 1427,
  [1505] = 1457,
  [1506] = 1456,
  [1507] = 527,
  [1508] = 1457,
  [1509] = 529,
  [1510] = 1457,
  [1511] = 1456,
  [1512] = 1427,
  [1513] = 198,
  [1514] = 194,
  [1515] = 1457,
  [1516] = 264,
  [1517] = 263,
  [1518] = 59,
  [1519] = 262,
  [1520] = 261,
  [1521] = 104,
  [1522] = 100,
  [1523] = 601,
  [1524] = 257,
  [1525] = 99,
  [1526] = 213,
  [1527] = 167,
  [1528] = 105,
  [1529] = 596,
  [1530] = 571,
  [1531] = 564,
  [1532] = 563,
  [1533] = 103,
  [1534] = 1456,
  [1535] = 561,
  [1536] = 558,
  [1537] = 571,
  [1538] = 1427,
  [1539] = 1457,
  [1540] = 1456,
  [1541] = 1427,
  [1542] = 1457,
  [1543] = 1456,
  [1544] = 1544,
  [1545] = 1427,
  [1546] = 1457,
  [1547] = 182,
  [1548] = 1456,
  [1549] = 177,
  [1550] = 535,
  [1551] = 1427,
  [1552] = 175,
  [1553] = 1457,
  [1554] = 174,
  [1555] = 1456,
  [1556] = 173,
  [1557] = 1427,
  [1558] = 171,
  [1559] = 1457,
  [1560] = 170,
  [1561] = 539,
  [1562] = 369,
  [1563] = 550,
  [1564] = 544,
  [1565] = 539,
  [1566] = 535,
  [1567] = 1434,
  [1568] = 167,
  [1569] = 213,
  [1570] = 84,
  [1571] = 257,
  [1572] = 236,
  [1573] = 262,
  [1574] = 263,
  [1575] = 264,
  [1576] = 544,
  [1577] = 550,
  [1578] = 95,
  [1579] = 1457,
  [1580] = 529,
  [1581] = 527,
  [1582] = 523,
  [1583] = 522,
  [1584] = 267,
  [1585] = 268,
  [1586] = 216,
  [1587] = 254,
  [1588] = 241,
  [1589] = 238,
  [1590] = 1590,
  [1591] = 1456,
  [1592] = 1427,
  [1593] = 57,
  [1594] = 1457,
  [1595] = 202,
  [1596] = 183,
  [1597] = 86,
  [1598] = 521,
  [1599] = 520,
  [1600] = 168,
  [1601] = 172,
  [1602] = 176,
  [1603] = 178,
  [1604] = 179,
  [1605] = 1605,
  [1606] = 185,
  [1607] = 1427,
  [1608] = 187,
  [1609] = 1457,
  [1610] = 188,
  [1611] = 1544,
  [1612] = 191,
  [1613] = 1456,
  [1614] = 192,
  [1615] = 170,
  [1616] = 102,
  [1617] = 171,
  [1618] = 1434,
  [1619] = 1427,
  [1620] = 1457,
  [1621] = 519,
  [1622] = 193,
  [1623] = 195,
  [1624] = 1456,
  [1625] = 1427,
  [1626] = 196,
  [1627] = 199,
  [1628] = 200,
  [1629] = 203,
  [1630] = 204,
  [1631] = 173,
  [1632] = 1419,
  [1633] = 1434,
  [1634] = 1419,
  [1635] = 1457,
  [1636] = 518,
  [1637] = 205,
  [1638] = 206,
  [1639] = 1419,
  [1640] = 209,
  [1641] = 1427,
  [1642] = 1457,
  [1643] = 210,
  [1644] = 174,
  [1645] = 1419,
  [1646] = 1457,
  [1647] = 1419,
  [1648] = 175,
  [1649] = 516,
  [1650] = 212,
  [1651] = 218,
  [1652] = 1450,
  [1653] = 219,
  [1654] = 226,
  [1655] = 56,
  [1656] = 1457,
  [1657] = 236,
  [1658] = 50,
  [1659] = 177,
  [1660] = 494,
  [1661] = 498,
  [1662] = 360,
  [1663] = 1434,
  [1664] = 499,
  [1665] = 500,
  [1666] = 1427,
  [1667] = 1590,
  [1668] = 359,
  [1669] = 1456,
  [1670] = 51,
  [1671] = 1434,
  [1672] = 507,
  [1673] = 512,
  [1674] = 513,
  [1675] = 1434,
  [1676] = 182,
  [1677] = 60,
  [1678] = 1434,
  [1679] = 1434,
  [1680] = 1450,
  [1681] = 63,
  [1682] = 1427,
  [1683] = 1419,
  [1684] = 1419,
  [1685] = 1544,
  [1686] = 1434,
  [1687] = 1434,
  [1688] = 492,
  [1689] = 60,
  [1690] = 613,
  [1691] = 55,
  [1692] = 608,
  [1693] = 1456,
  [1694] = 1434,
  [1695] = 607,
  [1696] = 368,
  [1697] = 1544,
  [1698] = 1419,
  [1699] = 1456,
  [1700] = 558,
  [1701] = 561,
  [1702] = 1427,
  [1703] = 63,
  [1704] = 1419,
  [1705] = 217,
  [1706] = 166,
  [1707] = 215,
  [1708] = 211,
  [1709] = 1457,
  [1710] = 563,
  [1711] = 564,
  [1712] = 1456,
  [1713] = 1434,
  [1714] = 1427,
  [1715] = 1434,
  [1716] = 398,
  [1717] = 198,
  [1718] = 194,
  [1719] = 1434,
  [1720] = 605,
  [1721] = 1450,
  [1722] = 601,
  [1723] = 1434,
  [1724] = 596,
  [1725] = 1725,
  [1726] = 1726,
  [1727] = 1727,
  [1728] = 1728,
  [1729] = 1729,
  [1730] = 571,
  [1731] = 1731,
  [1732] = 596,
  [1733] = 1733,
  [1734] = 1734,
  [1735] = 1735,
  [1736] = 1736,
  [1737] = 1737,
  [1738] = 1738,
  [1739] = 1739,
  [1740] = 1728,
  [1741] = 1726,
  [1742] = 1742,
  [1743] = 1743,
  [1744] = 564,
  [1745] = 563,
  [1746] = 63,
  [1747] = 1747,
  [1748] = 1742,
  [1749] = 1749,
  [1750] = 1743,
  [1751] = 1736,
  [1752] = 1735,
  [1753] = 1734,
  [1754] = 1733,
  [1755] = 1728,
  [1756] = 1727,
  [1757] = 1757,
  [1758] = 1742,
  [1759] = 1749,
  [1760] = 1749,
  [1761] = 1743,
  [1762] = 1736,
  [1763] = 1735,
  [1764] = 1734,
  [1765] = 1733,
  [1766] = 1743,
  [1767] = 1727,
  [1768] = 1757,
  [1769] = 1769,
  [1770] = 1770,
  [1771] = 1771,
  [1772] = 1728,
  [1773] = 1773,
  [1774] = 1774,
  [1775] = 1757,
  [1776] = 1776,
  [1777] = 516,
  [1778] = 1739,
  [1779] = 1779,
  [1780] = 1780,
  [1781] = 1738,
  [1782] = 1782,
  [1783] = 1737,
  [1784] = 1784,
  [1785] = 1731,
  [1786] = 1742,
  [1787] = 1749,
  [1788] = 1743,
  [1789] = 1726,
  [1790] = 1770,
  [1791] = 1791,
  [1792] = 1747,
  [1793] = 1742,
  [1794] = 1749,
  [1795] = 162,
  [1796] = 1736,
  [1797] = 1735,
  [1798] = 1734,
  [1799] = 1733,
  [1800] = 1800,
  [1801] = 153,
  [1802] = 1742,
  [1803] = 1749,
  [1804] = 1743,
  [1805] = 1736,
  [1806] = 1736,
  [1807] = 1735,
  [1808] = 1734,
  [1809] = 1733,
  [1810] = 1728,
  [1811] = 1727,
  [1812] = 1757,
  [1813] = 145,
  [1814] = 1728,
  [1815] = 1774,
  [1816] = 1726,
  [1817] = 139,
  [1818] = 108,
  [1819] = 158,
  [1820] = 518,
  [1821] = 1821,
  [1822] = 151,
  [1823] = 149,
  [1824] = 1735,
  [1825] = 1734,
  [1826] = 1826,
  [1827] = 1733,
  [1828] = 1757,
  [1829] = 1769,
  [1830] = 1774,
  [1831] = 1727,
  [1832] = 1776,
  [1833] = 147,
  [1834] = 1739,
  [1835] = 140,
  [1836] = 138,
  [1837] = 136,
  [1838] = 135,
  [1839] = 1728,
  [1840] = 1840,
  [1841] = 1727,
  [1842] = 1821,
  [1843] = 163,
  [1844] = 161,
  [1845] = 160,
  [1846] = 159,
  [1847] = 1826,
  [1848] = 154,
  [1849] = 1728,
  [1850] = 150,
  [1851] = 1757,
  [1852] = 1821,
  [1853] = 1826,
  [1854] = 1747,
  [1855] = 1840,
  [1856] = 1779,
  [1857] = 148,
  [1858] = 1821,
  [1859] = 146,
  [1860] = 1826,
  [1861] = 144,
  [1862] = 1733,
  [1863] = 1747,
  [1864] = 141,
  [1865] = 1840,
  [1866] = 1821,
  [1867] = 1780,
  [1868] = 1727,
  [1869] = 137,
  [1870] = 1770,
  [1871] = 1726,
  [1872] = 1731,
  [1873] = 1737,
  [1874] = 1738,
  [1875] = 1739,
  [1876] = 1742,
  [1877] = 1749,
  [1878] = 1743,
  [1879] = 1736,
  [1880] = 1735,
  [1881] = 1734,
  [1882] = 1733,
  [1883] = 1757,
  [1884] = 1727,
  [1885] = 1728,
  [1886] = 1734,
  [1887] = 1733,
  [1888] = 1734,
  [1889] = 1735,
  [1890] = 1736,
  [1891] = 1743,
  [1892] = 1749,
  [1893] = 1742,
  [1894] = 1826,
  [1895] = 1728,
  [1896] = 1747,
  [1897] = 1727,
  [1898] = 1757,
  [1899] = 134,
  [1900] = 1840,
  [1901] = 498,
  [1902] = 360,
  [1903] = 359,
  [1904] = 1747,
  [1905] = 1738,
  [1906] = 1769,
  [1907] = 1747,
  [1908] = 1908,
  [1909] = 1747,
  [1910] = 1774,
  [1911] = 1757,
  [1912] = 357,
  [1913] = 1742,
  [1914] = 1749,
  [1915] = 1747,
  [1916] = 1743,
  [1917] = 1736,
  [1918] = 1735,
  [1919] = 1734,
  [1920] = 1733,
  [1921] = 1735,
  [1922] = 1728,
  [1923] = 1727,
  [1924] = 1757,
  [1925] = 432,
  [1926] = 1821,
  [1927] = 1736,
  [1928] = 54,
  [1929] = 1747,
  [1930] = 397,
  [1931] = 398,
  [1932] = 605,
  [1933] = 404,
  [1934] = 1771,
  [1935] = 1776,
  [1936] = 1739,
  [1937] = 1779,
  [1938] = 1938,
  [1939] = 1743,
  [1940] = 1747,
  [1941] = 550,
  [1942] = 1942,
  [1943] = 1780,
  [1944] = 1749,
  [1945] = 1840,
  [1946] = 1946,
  [1947] = 1782,
  [1948] = 1738,
  [1949] = 1742,
  [1950] = 1908,
  [1951] = 1747,
  [1952] = 1771,
  [1953] = 1782,
  [1954] = 1776,
  [1955] = 1955,
  [1956] = 142,
  [1957] = 1957,
  [1958] = 152,
  [1959] = 1737,
  [1960] = 1747,
  [1961] = 155,
  [1962] = 1747,
  [1963] = 164,
  [1964] = 521,
  [1965] = 1791,
  [1966] = 1731,
  [1967] = 1742,
  [1968] = 1749,
  [1969] = 1743,
  [1970] = 1736,
  [1971] = 1735,
  [1972] = 1734,
  [1973] = 1733,
  [1974] = 1734,
  [1975] = 1728,
  [1976] = 1727,
  [1977] = 539,
  [1978] = 1757,
  [1979] = 535,
  [1980] = 1773,
  [1981] = 1726,
  [1982] = 1800,
  [1983] = 1747,
  [1984] = 1770,
  [1985] = 1782,
  [1986] = 1742,
  [1987] = 1791,
  [1988] = 1747,
  [1989] = 1770,
  [1990] = 157,
  [1991] = 83,
  [1992] = 156,
  [1993] = 1747,
  [1994] = 1773,
  [1995] = 1737,
  [1996] = 1757,
  [1997] = 1731,
  [1998] = 1747,
  [1999] = 1826,
  [2000] = 1826,
  [2001] = 143,
  [2002] = 1729,
  [2003] = 1747,
  [2004] = 1749,
  [2005] = 1743,
  [2006] = 1736,
  [2007] = 1735,
  [2008] = 1734,
  [2009] = 1938,
  [2010] = 1727,
  [2011] = 1728,
  [2012] = 2012,
  [2013] = 2013,
  [2014] = 1725,
  [2015] = 1729,
  [2016] = 1733,
  [2017] = 1938,
  [2018] = 1771,
  [2019] = 1726,
  [2020] = 601,
  [2021] = 2012,
  [2022] = 2013,
  [2023] = 1725,
  [2024] = 1770,
  [2025] = 1729,
  [2026] = 1791,
  [2027] = 1733,
  [2028] = 1729,
  [2029] = 1938,
  [2030] = 607,
  [2031] = 2012,
  [2032] = 2013,
  [2033] = 2013,
  [2034] = 1727,
  [2035] = 1725,
  [2036] = 1791,
  [2037] = 60,
  [2038] = 492,
  [2039] = 1729,
  [2040] = 1938,
  [2041] = 2012,
  [2042] = 2013,
  [2043] = 1840,
  [2044] = 1725,
  [2045] = 1729,
  [2046] = 1840,
  [2047] = 1938,
  [2048] = 2012,
  [2049] = 2013,
  [2050] = 1908,
  [2051] = 1747,
  [2052] = 1725,
  [2053] = 1742,
  [2054] = 1749,
  [2055] = 1743,
  [2056] = 1736,
  [2057] = 2057,
  [2058] = 1737,
  [2059] = 1739,
  [2060] = 1742,
  [2061] = 1757,
  [2062] = 1727,
  [2063] = 1735,
  [2064] = 1736,
  [2065] = 1757,
  [2066] = 1743,
  [2067] = 1749,
  [2068] = 1749,
  [2069] = 1728,
  [2070] = 1742,
  [2071] = 1733,
  [2072] = 1773,
  [2073] = 1757,
  [2074] = 1727,
  [2075] = 1728,
  [2076] = 1743,
  [2077] = 1733,
  [2078] = 1734,
  [2079] = 1735,
  [2080] = 1736,
  [2081] = 1743,
  [2082] = 1749,
  [2083] = 1742,
  [2084] = 1727,
  [2085] = 1821,
  [2086] = 1734,
  [2087] = 1735,
  [2088] = 1736,
  [2089] = 1743,
  [2090] = 1735,
  [2091] = 1736,
  [2092] = 1749,
  [2093] = 1826,
  [2094] = 499,
  [2095] = 1735,
  [2096] = 88,
  [2097] = 1733,
  [2098] = 1728,
  [2099] = 1727,
  [2100] = 1757,
  [2101] = 2012,
  [2102] = 1938,
  [2103] = 2012,
  [2104] = 2013,
  [2105] = 1725,
  [2106] = 1729,
  [2107] = 1938,
  [2108] = 2012,
  [2109] = 2013,
  [2110] = 1725,
  [2111] = 1729,
  [2112] = 1938,
  [2113] = 2012,
  [2114] = 2013,
  [2115] = 1725,
  [2116] = 1729,
  [2117] = 1938,
  [2118] = 2012,
  [2119] = 2013,
  [2120] = 1725,
  [2121] = 1729,
  [2122] = 1938,
  [2123] = 2012,
  [2124] = 2013,
  [2125] = 1725,
  [2126] = 1729,
  [2127] = 1938,
  [2128] = 2012,
  [2129] = 1742,
  [2130] = 1769,
  [2131] = 1774,
  [2132] = 1771,
  [2133] = 1776,
  [2134] = 1739,
  [2135] = 1840,
  [2136] = 1731,
  [2137] = 56,
  [2138] = 1742,
  [2139] = 59,
  [2140] = 57,
  [2141] = 523,
  [2142] = 2013,
  [2143] = 1725,
  [2144] = 1729,
  [2145] = 1938,
  [2146] = 2012,
  [2147] = 2013,
  [2148] = 1725,
  [2149] = 1729,
  [2150] = 1938,
  [2151] = 2012,
  [2152] = 2013,
  [2153] = 1725,
  [2154] = 1779,
  [2155] = 1729,
  [2156] = 1938,
  [2157] = 2012,
  [2158] = 2013,
  [2159] = 1742,
  [2160] = 1749,
  [2161] = 1743,
  [2162] = 1736,
  [2163] = 1735,
  [2164] = 1734,
  [2165] = 1733,
  [2166] = 1780,
  [2167] = 1734,
  [2168] = 1757,
  [2169] = 2012,
  [2170] = 2170,
  [2171] = 64,
  [2172] = 1725,
  [2173] = 1738,
  [2174] = 1728,
  [2175] = 1727,
  [2176] = 1757,
  [2177] = 1729,
  [2178] = 1938,
  [2179] = 1821,
  [2180] = 2013,
  [2181] = 1908,
  [2182] = 1769,
  [2183] = 1749,
  [2184] = 527,
  [2185] = 529,
  [2186] = 1743,
  [2187] = 1725,
  [2188] = 513,
  [2189] = 1729,
  [2190] = 89,
  [2191] = 1938,
  [2192] = 2012,
  [2193] = 2013,
  [2194] = 1821,
  [2195] = 1826,
  [2196] = 1725,
  [2197] = 1729,
  [2198] = 1938,
  [2199] = 2012,
  [2200] = 1736,
  [2201] = 2201,
  [2202] = 2202,
  [2203] = 2013,
  [2204] = 1738,
  [2205] = 1729,
  [2206] = 1938,
  [2207] = 2012,
  [2208] = 2013,
  [2209] = 1725,
  [2210] = 1826,
  [2211] = 1821,
  [2212] = 1840,
  [2213] = 1826,
  [2214] = 1821,
  [2215] = 1840,
  [2216] = 1826,
  [2217] = 1821,
  [2218] = 1735,
  [2219] = 1780,
  [2220] = 1840,
  [2221] = 1826,
  [2222] = 1840,
  [2223] = 1840,
  [2224] = 1826,
  [2225] = 1821,
  [2226] = 1840,
  [2227] = 1826,
  [2228] = 1821,
  [2229] = 1821,
  [2230] = 1779,
  [2231] = 1840,
  [2232] = 1826,
  [2233] = 1821,
  [2234] = 1840,
  [2235] = 1826,
  [2236] = 2236,
  [2237] = 1821,
  [2238] = 519,
  [2239] = 1840,
  [2240] = 1826,
  [2241] = 1821,
  [2242] = 1840,
  [2243] = 1826,
  [2244] = 1725,
  [2245] = 85,
  [2246] = 87,
  [2247] = 1733,
  [2248] = 1731,
  [2249] = 1757,
  [2250] = 1727,
  [2251] = 1821,
  [2252] = 1728,
  [2253] = 1757,
  [2254] = 1727,
  [2255] = 1728,
  [2256] = 1733,
  [2257] = 1734,
  [2258] = 1735,
  [2259] = 1736,
  [2260] = 1743,
  [2261] = 1749,
  [2262] = 1742,
  [2263] = 1733,
  [2264] = 1734,
  [2265] = 1734,
  [2266] = 82,
  [2267] = 101,
  [2268] = 98,
  [2269] = 1728,
  [2270] = 92,
  [2271] = 93,
  [2272] = 91,
  [2273] = 1782,
  [2274] = 1840,
  [2275] = 1737,
  [2276] = 500,
  [2277] = 70,
  [2278] = 268,
  [2279] = 202,
  [2280] = 522,
  [2281] = 523,
  [2282] = 166,
  [2283] = 513,
  [2284] = 527,
  [2285] = 215,
  [2286] = 529,
  [2287] = 211,
  [2288] = 520,
  [2289] = 512,
  [2290] = 507,
  [2291] = 183,
  [2292] = 168,
  [2293] = 500,
  [2294] = 68,
  [2295] = 69,
  [2296] = 521,
  [2297] = 65,
  [2298] = 73,
  [2299] = 198,
  [2300] = 194,
  [2301] = 74,
  [2302] = 75,
  [2303] = 499,
  [2304] = 498,
  [2305] = 494,
  [2306] = 172,
  [2307] = 518,
  [2308] = 535,
  [2309] = 81,
  [2310] = 66,
  [2311] = 79,
  [2312] = 80,
  [2313] = 78,
  [2314] = 77,
  [2315] = 182,
  [2316] = 177,
  [2317] = 63,
  [2318] = 98,
  [2319] = 60,
  [2320] = 175,
  [2321] = 176,
  [2322] = 519,
  [2323] = 89,
  [2324] = 174,
  [2325] = 83,
  [2326] = 178,
  [2327] = 173,
  [2328] = 171,
  [2329] = 94,
  [2330] = 88,
  [2331] = 170,
  [2332] = 179,
  [2333] = 601,
  [2334] = 167,
  [2335] = 213,
  [2336] = 257,
  [2337] = 217,
  [2338] = 262,
  [2339] = 263,
  [2340] = 539,
  [2341] = 264,
  [2342] = 544,
  [2343] = 76,
  [2344] = 607,
  [2345] = 550,
  [2346] = 85,
  [2347] = 267,
  [2348] = 608,
  [2349] = 87,
  [2350] = 55,
  [2351] = 613,
  [2352] = 238,
  [2353] = 193,
  [2354] = 492,
  [2355] = 82,
  [2356] = 219,
  [2357] = 236,
  [2358] = 226,
  [2359] = 216,
  [2360] = 185,
  [2361] = 596,
  [2362] = 254,
  [2363] = 571,
  [2364] = 101,
  [2365] = 564,
  [2366] = 261,
  [2367] = 241,
  [2368] = 218,
  [2369] = 212,
  [2370] = 210,
  [2371] = 516,
  [2372] = 209,
  [2373] = 206,
  [2374] = 205,
  [2375] = 204,
  [2376] = 203,
  [2377] = 200,
  [2378] = 199,
  [2379] = 563,
  [2380] = 561,
  [2381] = 558,
  [2382] = 92,
  [2383] = 93,
  [2384] = 196,
  [2385] = 195,
  [2386] = 192,
  [2387] = 191,
  [2388] = 188,
  [2389] = 187,
  [2390] = 91,
  [2391] = 116,
  [2392] = 92,
  [2393] = 99,
  [2394] = 100,
  [2395] = 104,
  [2396] = 89,
  [2397] = 88,
  [2398] = 85,
  [2399] = 87,
  [2400] = 84,
  [2401] = 95,
  [2402] = 101,
  [2403] = 98,
  [2404] = 102,
  [2405] = 93,
  [2406] = 50,
  [2407] = 117,
  [2408] = 90,
  [2409] = 127,
  [2410] = 105,
  [2411] = 51,
  [2412] = 115,
  [2413] = 114,
  [2414] = 83,
  [2415] = 113,
  [2416] = 112,
  [2417] = 111,
  [2418] = 368,
  [2419] = 122,
  [2420] = 82,
  [2421] = 124,
  [2422] = 125,
  [2423] = 126,
  [2424] = 86,
  [2425] = 91,
  [2426] = 103,
  [2427] = 64,
  [2428] = 147,
  [2429] = 163,
  [2430] = 80,
  [2431] = 152,
  [2432] = 156,
  [2433] = 76,
  [2434] = 79,
  [2435] = 66,
  [2436] = 81,
  [2437] = 155,
  [2438] = 142,
  [2439] = 164,
  [2440] = 143,
  [2441] = 56,
  [2442] = 77,
  [2443] = 78,
  [2444] = 75,
  [2445] = 74,
  [2446] = 157,
  [2447] = 2447,
  [2448] = 73,
  [2449] = 65,
  [2450] = 70,
  [2451] = 69,
  [2452] = 68,
  [2453] = 2453,
  [2454] = 134,
  [2455] = 137,
  [2456] = 404,
  [2457] = 141,
  [2458] = 605,
  [2459] = 144,
  [2460] = 146,
  [2461] = 59,
  [2462] = 148,
  [2463] = 150,
  [2464] = 154,
  [2465] = 159,
  [2466] = 160,
  [2467] = 161,
  [2468] = 162,
  [2469] = 135,
  [2470] = 136,
  [2471] = 138,
  [2472] = 140,
  [2473] = 54,
  [2474] = 398,
  [2475] = 397,
  [2476] = 432,
  [2477] = 357,
  [2478] = 359,
  [2479] = 360,
  [2480] = 149,
  [2481] = 151,
  [2482] = 158,
  [2483] = 108,
  [2484] = 139,
  [2485] = 145,
  [2486] = 153,
  [2487] = 57,
  [2488] = 64,
  [2489] = 550,
  [2490] = 204,
  [2491] = 60,
  [2492] = 236,
  [2493] = 226,
  [2494] = 219,
  [2495] = 218,
  [2496] = 212,
  [2497] = 210,
  [2498] = 209,
  [2499] = 206,
  [2500] = 205,
  [2501] = 217,
  [2502] = 203,
  [2503] = 200,
  [2504] = 199,
  [2505] = 196,
  [2506] = 195,
  [2507] = 193,
  [2508] = 192,
  [2509] = 63,
  [2510] = 191,
  [2511] = 188,
  [2512] = 187,
  [2513] = 185,
  [2514] = 179,
  [2515] = 178,
  [2516] = 176,
  [2517] = 172,
  [2518] = 168,
  [2519] = 183,
  [2520] = 202,
  [2521] = 238,
  [2522] = 241,
  [2523] = 254,
  [2524] = 216,
  [2525] = 268,
  [2526] = 267,
  [2527] = 264,
  [2528] = 263,
  [2529] = 262,
  [2530] = 261,
  [2531] = 257,
  [2532] = 213,
  [2533] = 167,
  [2534] = 170,
  [2535] = 171,
  [2536] = 173,
  [2537] = 174,
  [2538] = 175,
  [2539] = 177,
  [2540] = 182,
  [2541] = 194,
  [2542] = 198,
  [2543] = 211,
  [2544] = 215,
  [2545] = 166,
  [2546] = 544,
  [2547] = 69,
  [2548] = 70,
  [2549] = 65,
  [2550] = 73,
  [2551] = 74,
  [2552] = 75,
  [2553] = 81,
  [2554] = 66,
  [2555] = 79,
  [2556] = 80,
  [2557] = 78,
  [2558] = 77,
  [2559] = 68,
  [2560] = 516,
  [2561] = 2561,
  [2562] = 518,
  [2563] = 519,
  [2564] = 520,
  [2565] = 521,
  [2566] = 522,
  [2567] = 523,
  [2568] = 527,
  [2569] = 529,
  [2570] = 535,
  [2571] = 539,
  [2572] = 84,
  [2573] = 558,
  [2574] = 561,
  [2575] = 2575,
  [2576] = 563,
  [2577] = 564,
  [2578] = 571,
  [2579] = 596,
  [2580] = 601,
  [2581] = 607,
  [2582] = 608,
  [2583] = 55,
  [2584] = 613,
  [2585] = 76,
  [2586] = 492,
  [2587] = 513,
  [2588] = 512,
  [2589] = 507,
  [2590] = 500,
  [2591] = 499,
  [2592] = 498,
  [2593] = 494,
  [2594] = 2594,
  [2595] = 102,
  [2596] = 95,
  [2597] = 86,
  [2598] = 2598,
  [2599] = 103,
  [2600] = 105,
  [2601] = 99,
  [2602] = 100,
  [2603] = 104,
  [2604] = 2604,
  [2605] = 2605,
  [2606] = 2606,
  [2607] = 90,
  [2608] = 2608,
  [2609] = 158,
  [2610] = 265,
  [2611] = 64,
  [2612] = 88,
  [2613] = 74,
  [2614] = 83,
  [2615] = 91,
  [2616] = 2594,
  [2617] = 93,
  [2618] = 92,
  [2619] = 101,
  [2620] = 91,
  [2621] = 93,
  [2622] = 92,
  [2623] = 82,
  [2624] = 2598,
  [2625] = 90,
  [2626] = 87,
  [2627] = 85,
  [2628] = 88,
  [2629] = 89,
  [2630] = 158,
  [2631] = 104,
  [2632] = 100,
  [2633] = 99,
  [2634] = 105,
  [2635] = 86,
  [2636] = 103,
  [2637] = 368,
  [2638] = 98,
  [2639] = 101,
  [2640] = 2640,
  [2641] = 82,
  [2642] = 2575,
  [2643] = 2643,
  [2644] = 111,
  [2645] = 2645,
  [2646] = 2646,
  [2647] = 84,
  [2648] = 95,
  [2649] = 153,
  [2650] = 139,
  [2651] = 112,
  [2652] = 113,
  [2653] = 108,
  [2654] = 102,
  [2655] = 114,
  [2656] = 115,
  [2657] = 116,
  [2658] = 117,
  [2659] = 51,
  [2660] = 151,
  [2661] = 149,
  [2662] = 145,
  [2663] = 85,
  [2664] = 89,
  [2665] = 98,
  [2666] = 50,
  [2667] = 89,
  [2668] = 88,
  [2669] = 85,
  [2670] = 87,
  [2671] = 122,
  [2672] = 265,
  [2673] = 266,
  [2674] = 94,
  [2675] = 64,
  [2676] = 125,
  [2677] = 126,
  [2678] = 127,
  [2679] = 124,
  [2680] = 143,
  [2681] = 156,
  [2682] = 157,
  [2683] = 82,
  [2684] = 101,
  [2685] = 98,
  [2686] = 147,
  [2687] = 140,
  [2688] = 92,
  [2689] = 93,
  [2690] = 91,
  [2691] = 138,
  [2692] = 2608,
  [2693] = 136,
  [2694] = 135,
  [2695] = 162,
  [2696] = 161,
  [2697] = 160,
  [2698] = 159,
  [2699] = 164,
  [2700] = 154,
  [2701] = 155,
  [2702] = 150,
  [2703] = 152,
  [2704] = 148,
  [2705] = 142,
  [2706] = 146,
  [2707] = 163,
  [2708] = 144,
  [2709] = 83,
  [2710] = 141,
  [2711] = 2604,
  [2712] = 87,
  [2713] = 68,
  [2714] = 69,
  [2715] = 70,
  [2716] = 65,
  [2717] = 137,
  [2718] = 76,
  [2719] = 83,
  [2720] = 134,
  [2721] = 77,
  [2722] = 78,
  [2723] = 75,
  [2724] = 2605,
  [2725] = 66,
  [2726] = 79,
  [2727] = 73,
  [2728] = 80,
  [2729] = 81,
  [2730] = 203,
  [2731] = 360,
  [2732] = 263,
  [2733] = 264,
  [2734] = 134,
  [2735] = 137,
  [2736] = 141,
  [2737] = 144,
  [2738] = 158,
  [2739] = 89,
  [2740] = 88,
  [2741] = 85,
  [2742] = 87,
  [2743] = 257,
  [2744] = 267,
  [2745] = 261,
  [2746] = 146,
  [2747] = 148,
  [2748] = 150,
  [2749] = 154,
  [2750] = 82,
  [2751] = 101,
  [2752] = 92,
  [2753] = 93,
  [2754] = 91,
  [2755] = 159,
  [2756] = 160,
  [2757] = 268,
  [2758] = 90,
  [2759] = 161,
  [2760] = 162,
  [2761] = 135,
  [2762] = 136,
  [2763] = 2763,
  [2764] = 140,
  [2765] = 147,
  [2766] = 2766,
  [2767] = 50,
  [2768] = 213,
  [2769] = 2769,
  [2770] = 2770,
  [2771] = 216,
  [2772] = 2643,
  [2773] = 149,
  [2774] = 167,
  [2775] = 151,
  [2776] = 108,
  [2777] = 368,
  [2778] = 139,
  [2779] = 2640,
  [2780] = 145,
  [2781] = 153,
  [2782] = 241,
  [2783] = 238,
  [2784] = 202,
  [2785] = 183,
  [2786] = 2646,
  [2787] = 2645,
  [2788] = 168,
  [2789] = 172,
  [2790] = 176,
  [2791] = 178,
  [2792] = 104,
  [2793] = 100,
  [2794] = 99,
  [2795] = 262,
  [2796] = 105,
  [2797] = 2797,
  [2798] = 103,
  [2799] = 359,
  [2800] = 357,
  [2801] = 432,
  [2802] = 170,
  [2803] = 217,
  [2804] = 179,
  [2805] = 171,
  [2806] = 185,
  [2807] = 173,
  [2808] = 187,
  [2809] = 174,
  [2810] = 188,
  [2811] = 175,
  [2812] = 2812,
  [2813] = 191,
  [2814] = 177,
  [2815] = 192,
  [2816] = 193,
  [2817] = 397,
  [2818] = 84,
  [2819] = 95,
  [2820] = 195,
  [2821] = 182,
  [2822] = 196,
  [2823] = 199,
  [2824] = 200,
  [2825] = 398,
  [2826] = 204,
  [2827] = 205,
  [2828] = 206,
  [2829] = 2829,
  [2830] = 605,
  [2831] = 404,
  [2832] = 163,
  [2833] = 142,
  [2834] = 152,
  [2835] = 68,
  [2836] = 209,
  [2837] = 83,
  [2838] = 210,
  [2839] = 254,
  [2840] = 212,
  [2841] = 218,
  [2842] = 69,
  [2843] = 219,
  [2844] = 226,
  [2845] = 236,
  [2846] = 155,
  [2847] = 102,
  [2848] = 91,
  [2849] = 93,
  [2850] = 70,
  [2851] = 83,
  [2852] = 65,
  [2853] = 73,
  [2854] = 74,
  [2855] = 75,
  [2856] = 92,
  [2857] = 98,
  [2858] = 81,
  [2859] = 101,
  [2860] = 59,
  [2861] = 98,
  [2862] = 57,
  [2863] = 82,
  [2864] = 66,
  [2865] = 79,
  [2866] = 80,
  [2867] = 78,
  [2868] = 166,
  [2869] = 56,
  [2870] = 77,
  [2871] = 164,
  [2872] = 86,
  [2873] = 194,
  [2874] = 87,
  [2875] = 85,
  [2876] = 88,
  [2877] = 89,
  [2878] = 143,
  [2879] = 215,
  [2880] = 211,
  [2881] = 76,
  [2882] = 138,
  [2883] = 51,
  [2884] = 198,
  [2885] = 156,
  [2886] = 2886,
  [2887] = 157,
  [2888] = 99,
  [2889] = 196,
  [2890] = 205,
  [2891] = 368,
  [2892] = 518,
  [2893] = 210,
  [2894] = 90,
  [2895] = 57,
  [2896] = 204,
  [2897] = 203,
  [2898] = 200,
  [2899] = 199,
  [2900] = 166,
  [2901] = 516,
  [2902] = 212,
  [2903] = 2903,
  [2904] = 195,
  [2905] = 193,
  [2906] = 519,
  [2907] = 404,
  [2908] = 192,
  [2909] = 219,
  [2910] = 226,
  [2911] = 59,
  [2912] = 236,
  [2913] = 60,
  [2914] = 191,
  [2915] = 63,
  [2916] = 327,
  [2917] = 54,
  [2918] = 56,
  [2919] = 158,
  [2920] = 143,
  [2921] = 156,
  [2922] = 157,
  [2923] = 50,
  [2924] = 188,
  [2925] = 86,
  [2926] = 187,
  [2927] = 327,
  [2928] = 185,
  [2929] = 605,
  [2930] = 179,
  [2931] = 494,
  [2932] = 498,
  [2933] = 51,
  [2934] = 499,
  [2935] = 500,
  [2936] = 2936,
  [2937] = 523,
  [2938] = 164,
  [2939] = 178,
  [2940] = 155,
  [2941] = 176,
  [2942] = 172,
  [2943] = 168,
  [2944] = 520,
  [2945] = 521,
  [2946] = 209,
  [2947] = 183,
  [2948] = 512,
  [2949] = 513,
  [2950] = 152,
  [2951] = 142,
  [2952] = 202,
  [2953] = 104,
  [2954] = 492,
  [2955] = 613,
  [2956] = 608,
  [2957] = 607,
  [2958] = 163,
  [2959] = 2959,
  [2960] = 100,
  [2961] = 217,
  [2962] = 507,
  [2963] = 206,
  [2964] = 218,
  [2965] = 134,
  [2966] = 215,
  [2967] = 211,
  [2968] = 137,
  [2969] = 141,
  [2970] = 398,
  [2971] = 397,
  [2972] = 144,
  [2973] = 105,
  [2974] = 198,
  [2975] = 194,
  [2976] = 146,
  [2977] = 238,
  [2978] = 432,
  [2979] = 601,
  [2980] = 241,
  [2981] = 254,
  [2982] = 357,
  [2983] = 148,
  [2984] = 150,
  [2985] = 154,
  [2986] = 216,
  [2987] = 596,
  [2988] = 571,
  [2989] = 564,
  [2990] = 561,
  [2991] = 558,
  [2992] = 159,
  [2993] = 160,
  [2994] = 161,
  [2995] = 563,
  [2996] = 162,
  [2997] = 135,
  [2998] = 136,
  [2999] = 138,
  [3000] = 359,
  [3001] = 360,
  [3002] = 182,
  [3003] = 140,
  [3004] = 177,
  [3005] = 147,
  [3006] = 175,
  [3007] = 268,
  [3008] = 3008,
  [3009] = 103,
  [3010] = 149,
  [3011] = 84,
  [3012] = 95,
  [3013] = 102,
  [3014] = 174,
  [3015] = 151,
  [3016] = 173,
  [3017] = 267,
  [3018] = 522,
  [3019] = 108,
  [3020] = 171,
  [3021] = 139,
  [3022] = 170,
  [3023] = 550,
  [3024] = 544,
  [3025] = 539,
  [3026] = 535,
  [3027] = 145,
  [3028] = 167,
  [3029] = 213,
  [3030] = 153,
  [3031] = 257,
  [3032] = 261,
  [3033] = 262,
  [3034] = 263,
  [3035] = 264,
  [3036] = 529,
  [3037] = 527,
  [3038] = 177,
  [3039] = 173,
  [3040] = 3040,
  [3041] = 143,
  [3042] = 156,
  [3043] = 2643,
  [3044] = 157,
  [3045] = 2640,
  [3046] = 164,
  [3047] = 155,
  [3048] = 152,
  [3049] = 142,
  [3050] = 163,
  [3051] = 2645,
  [3052] = 2646,
  [3053] = 3053,
  [3054] = 134,
  [3055] = 266,
  [3056] = 137,
  [3057] = 141,
  [3058] = 144,
  [3059] = 146,
  [3060] = 148,
  [3061] = 150,
  [3062] = 154,
  [3063] = 159,
  [3064] = 2606,
  [3065] = 160,
  [3066] = 2453,
  [3067] = 161,
  [3068] = 162,
  [3069] = 135,
  [3070] = 136,
  [3071] = 138,
  [3072] = 140,
  [3073] = 147,
  [3074] = 217,
  [3075] = 149,
  [3076] = 151,
  [3077] = 64,
  [3078] = 63,
  [3079] = 2447,
  [3080] = 108,
  [3081] = 139,
  [3082] = 145,
  [3083] = 153,
  [3084] = 166,
  [3085] = 215,
  [3086] = 60,
  [3087] = 516,
  [3088] = 3088,
  [3089] = 211,
  [3090] = 518,
  [3091] = 519,
  [3092] = 369,
  [3093] = 520,
  [3094] = 521,
  [3095] = 522,
  [3096] = 523,
  [3097] = 527,
  [3098] = 529,
  [3099] = 57,
  [3100] = 535,
  [3101] = 404,
  [3102] = 539,
  [3103] = 544,
  [3104] = 550,
  [3105] = 59,
  [3106] = 398,
  [3107] = 558,
  [3108] = 561,
  [3109] = 563,
  [3110] = 564,
  [3111] = 198,
  [3112] = 194,
  [3113] = 397,
  [3114] = 571,
  [3115] = 596,
  [3116] = 56,
  [3117] = 601,
  [3118] = 607,
  [3119] = 54,
  [3120] = 608,
  [3121] = 55,
  [3122] = 182,
  [3123] = 613,
  [3124] = 492,
  [3125] = 175,
  [3126] = 513,
  [3127] = 512,
  [3128] = 174,
  [3129] = 507,
  [3130] = 171,
  [3131] = 432,
  [3132] = 357,
  [3133] = 605,
  [3134] = 170,
  [3135] = 500,
  [3136] = 499,
  [3137] = 167,
  [3138] = 213,
  [3139] = 257,
  [3140] = 359,
  [3141] = 261,
  [3142] = 262,
  [3143] = 263,
  [3144] = 264,
  [3145] = 267,
  [3146] = 268,
  [3147] = 216,
  [3148] = 498,
  [3149] = 494,
  [3150] = 254,
  [3151] = 241,
  [3152] = 238,
  [3153] = 360,
  [3154] = 3154,
  [3155] = 202,
  [3156] = 183,
  [3157] = 168,
  [3158] = 172,
  [3159] = 176,
  [3160] = 178,
  [3161] = 179,
  [3162] = 236,
  [3163] = 226,
  [3164] = 219,
  [3165] = 185,
  [3166] = 218,
  [3167] = 212,
  [3168] = 210,
  [3169] = 187,
  [3170] = 188,
  [3171] = 191,
  [3172] = 64,
  [3173] = 51,
  [3174] = 50,
  [3175] = 192,
  [3176] = 209,
  [3177] = 193,
  [3178] = 195,
  [3179] = 3179,
  [3180] = 196,
  [3181] = 199,
  [3182] = 200,
  [3183] = 203,
  [3184] = 204,
  [3185] = 205,
  [3186] = 206,
  [3187] = 76,
  [3188] = 596,
  [3189] = 571,
  [3190] = 589,
  [3191] = 236,
  [3192] = 601,
  [3193] = 226,
  [3194] = 564,
  [3195] = 563,
  [3196] = 219,
  [3197] = 561,
  [3198] = 558,
  [3199] = 218,
  [3200] = 68,
  [3201] = 69,
  [3202] = 70,
  [3203] = 65,
  [3204] = 212,
  [3205] = 210,
  [3206] = 209,
  [3207] = 206,
  [3208] = 205,
  [3209] = 73,
  [3210] = 204,
  [3211] = 203,
  [3212] = 200,
  [3213] = 64,
  [3214] = 2645,
  [3215] = 199,
  [3216] = 196,
  [3217] = 2640,
  [3218] = 74,
  [3219] = 195,
  [3220] = 193,
  [3221] = 2643,
  [3222] = 192,
  [3223] = 191,
  [3224] = 188,
  [3225] = 75,
  [3226] = 64,
  [3227] = 187,
  [3228] = 185,
  [3229] = 550,
  [3230] = 544,
  [3231] = 539,
  [3232] = 535,
  [3233] = 179,
  [3234] = 529,
  [3235] = 527,
  [3236] = 523,
  [3237] = 522,
  [3238] = 178,
  [3239] = 521,
  [3240] = 520,
  [3241] = 176,
  [3242] = 172,
  [3243] = 168,
  [3244] = 183,
  [3245] = 202,
  [3246] = 238,
  [3247] = 241,
  [3248] = 254,
  [3249] = 216,
  [3250] = 268,
  [3251] = 267,
  [3252] = 600,
  [3253] = 3253,
  [3254] = 2646,
  [3255] = 619,
  [3256] = 264,
  [3257] = 263,
  [3258] = 621,
  [3259] = 262,
  [3260] = 519,
  [3261] = 552,
  [3262] = 543,
  [3263] = 81,
  [3264] = 518,
  [3265] = 516,
  [3266] = 66,
  [3267] = 79,
  [3268] = 261,
  [3269] = 257,
  [3270] = 78,
  [3271] = 77,
  [3272] = 213,
  [3273] = 167,
  [3274] = 170,
  [3275] = 607,
  [3276] = 171,
  [3277] = 608,
  [3278] = 80,
  [3279] = 173,
  [3280] = 613,
  [3281] = 174,
  [3282] = 175,
  [3283] = 177,
  [3284] = 182,
  [3285] = 492,
  [3286] = 513,
  [3287] = 55,
  [3288] = 68,
  [3289] = 69,
  [3290] = 70,
  [3291] = 65,
  [3292] = 73,
  [3293] = 74,
  [3294] = 75,
  [3295] = 2561,
  [3296] = 81,
  [3297] = 194,
  [3298] = 198,
  [3299] = 66,
  [3300] = 79,
  [3301] = 80,
  [3302] = 60,
  [3303] = 78,
  [3304] = 77,
  [3305] = 211,
  [3306] = 215,
  [3307] = 166,
  [3308] = 217,
  [3309] = 512,
  [3310] = 76,
  [3311] = 3311,
  [3312] = 494,
  [3313] = 498,
  [3314] = 499,
  [3315] = 3315,
  [3316] = 500,
  [3317] = 63,
  [3318] = 582,
  [3319] = 569,
  [3320] = 507,
  [3321] = 93,
  [3322] = 84,
  [3323] = 99,
  [3324] = 100,
  [3325] = 158,
  [3326] = 103,
  [3327] = 80,
  [3328] = 368,
  [3329] = 368,
  [3330] = 78,
  [3331] = 68,
  [3332] = 69,
  [3333] = 70,
  [3334] = 77,
  [3335] = 68,
  [3336] = 65,
  [3337] = 73,
  [3338] = 74,
  [3339] = 75,
  [3340] = 81,
  [3341] = 66,
  [3342] = 79,
  [3343] = 80,
  [3344] = 78,
  [3345] = 74,
  [3346] = 125,
  [3347] = 77,
  [3348] = 75,
  [3349] = 3349,
  [3350] = 69,
  [3351] = 124,
  [3352] = 70,
  [3353] = 368,
  [3354] = 65,
  [3355] = 3355,
  [3356] = 83,
  [3357] = 158,
  [3358] = 126,
  [3359] = 76,
  [3360] = 50,
  [3361] = 122,
  [3362] = 73,
  [3363] = 91,
  [3364] = 92,
  [3365] = 98,
  [3366] = 104,
  [3367] = 81,
  [3368] = 51,
  [3369] = 66,
  [3370] = 50,
  [3371] = 102,
  [3372] = 90,
  [3373] = 101,
  [3374] = 79,
  [3375] = 104,
  [3376] = 100,
  [3377] = 99,
  [3378] = 105,
  [3379] = 103,
  [3380] = 89,
  [3381] = 88,
  [3382] = 72,
  [3383] = 51,
  [3384] = 86,
  [3385] = 95,
  [3386] = 85,
  [3387] = 87,
  [3388] = 105,
  [3389] = 82,
  [3390] = 3390,
  [3391] = 127,
  [3392] = 76,
  [3393] = 102,
  [3394] = 90,
  [3395] = 86,
  [3396] = 95,
  [3397] = 84,
  [3398] = 156,
  [3399] = 368,
  [3400] = 164,
  [3401] = 149,
  [3402] = 151,
  [3403] = 160,
  [3404] = 59,
  [3405] = 161,
  [3406] = 162,
  [3407] = 135,
  [3408] = 163,
  [3409] = 142,
  [3410] = 136,
  [3411] = 138,
  [3412] = 152,
  [3413] = 108,
  [3414] = 139,
  [3415] = 155,
  [3416] = 164,
  [3417] = 147,
  [3418] = 605,
  [3419] = 145,
  [3420] = 153,
  [3421] = 103,
  [3422] = 398,
  [3423] = 105,
  [3424] = 99,
  [3425] = 100,
  [3426] = 104,
  [3427] = 157,
  [3428] = 143,
  [3429] = 150,
  [3430] = 155,
  [3431] = 152,
  [3432] = 157,
  [3433] = 86,
  [3434] = 84,
  [3435] = 147,
  [3436] = 50,
  [3437] = 140,
  [3438] = 90,
  [3439] = 156,
  [3440] = 138,
  [3441] = 95,
  [3442] = 368,
  [3443] = 136,
  [3444] = 135,
  [3445] = 162,
  [3446] = 161,
  [3447] = 397,
  [3448] = 160,
  [3449] = 56,
  [3450] = 159,
  [3451] = 54,
  [3452] = 149,
  [3453] = 151,
  [3454] = 920,
  [3455] = 369,
  [3456] = 102,
  [3457] = 143,
  [3458] = 404,
  [3459] = 605,
  [3460] = 398,
  [3461] = 3461,
  [3462] = 3462,
  [3463] = 3463,
  [3464] = 3464,
  [3465] = 154,
  [3466] = 150,
  [3467] = 159,
  [3468] = 605,
  [3469] = 108,
  [3470] = 397,
  [3471] = 3471,
  [3472] = 3472,
  [3473] = 3473,
  [3474] = 148,
  [3475] = 146,
  [3476] = 139,
  [3477] = 142,
  [3478] = 158,
  [3479] = 144,
  [3480] = 56,
  [3481] = 134,
  [3482] = 90,
  [3483] = 57,
  [3484] = 432,
  [3485] = 56,
  [3486] = 57,
  [3487] = 141,
  [3488] = 59,
  [3489] = 59,
  [3490] = 357,
  [3491] = 3491,
  [3492] = 57,
  [3493] = 137,
  [3494] = 154,
  [3495] = 137,
  [3496] = 163,
  [3497] = 134,
  [3498] = 3390,
  [3499] = 84,
  [3500] = 54,
  [3501] = 158,
  [3502] = 145,
  [3503] = 141,
  [3504] = 95,
  [3505] = 360,
  [3506] = 153,
  [3507] = 144,
  [3508] = 51,
  [3509] = 104,
  [3510] = 100,
  [3511] = 404,
  [3512] = 140,
  [3513] = 359,
  [3514] = 99,
  [3515] = 105,
  [3516] = 103,
  [3517] = 86,
  [3518] = 54,
  [3519] = 359,
  [3520] = 360,
  [3521] = 359,
  [3522] = 404,
  [3523] = 51,
  [3524] = 50,
  [3525] = 357,
  [3526] = 146,
  [3527] = 398,
  [3528] = 397,
  [3529] = 148,
  [3530] = 102,
  [3531] = 432,
  [3532] = 357,
  [3533] = 432,
  [3534] = 360,
  [3535] = 151,
  [3536] = 194,
  [3537] = 613,
  [3538] = 492,
  [3539] = 512,
  [3540] = 513,
  [3541] = 513,
  [3542] = 512,
  [3543] = 507,
  [3544] = 608,
  [3545] = 494,
  [3546] = 607,
  [3547] = 492,
  [3548] = 213,
  [3549] = 613,
  [3550] = 55,
  [3551] = 608,
  [3552] = 54,
  [3553] = 500,
  [3554] = 607,
  [3555] = 499,
  [3556] = 498,
  [3557] = 563,
  [3558] = 507,
  [3559] = 601,
  [3560] = 596,
  [3561] = 500,
  [3562] = 499,
  [3563] = 571,
  [3564] = 564,
  [3565] = 3565,
  [3566] = 561,
  [3567] = 558,
  [3568] = 54,
  [3569] = 550,
  [3570] = 544,
  [3571] = 539,
  [3572] = 535,
  [3573] = 529,
  [3574] = 527,
  [3575] = 523,
  [3576] = 3576,
  [3577] = 3576,
  [3578] = 3576,
  [3579] = 143,
  [3580] = 257,
  [3581] = 3576,
  [3582] = 522,
  [3583] = 3565,
  [3584] = 156,
  [3585] = 217,
  [3586] = 157,
  [3587] = 3576,
  [3588] = 261,
  [3589] = 262,
  [3590] = 263,
  [3591] = 601,
  [3592] = 498,
  [3593] = 494,
  [3594] = 264,
  [3595] = 3565,
  [3596] = 56,
  [3597] = 596,
  [3598] = 571,
  [3599] = 564,
  [3600] = 563,
  [3601] = 3565,
  [3602] = 561,
  [3603] = 558,
  [3604] = 3604,
  [3605] = 571,
  [3606] = 3606,
  [3607] = 529,
  [3608] = 164,
  [3609] = 3609,
  [3610] = 155,
  [3611] = 535,
  [3612] = 152,
  [3613] = 166,
  [3614] = 142,
  [3615] = 215,
  [3616] = 163,
  [3617] = 3565,
  [3618] = 3565,
  [3619] = 3565,
  [3620] = 539,
  [3621] = 544,
  [3622] = 3576,
  [3623] = 550,
  [3624] = 527,
  [3625] = 170,
  [3626] = 605,
  [3627] = 171,
  [3628] = 59,
  [3629] = 550,
  [3630] = 544,
  [3631] = 539,
  [3632] = 535,
  [3633] = 173,
  [3634] = 174,
  [3635] = 521,
  [3636] = 523,
  [3637] = 522,
  [3638] = 267,
  [3639] = 268,
  [3640] = 216,
  [3641] = 134,
  [3642] = 57,
  [3643] = 529,
  [3644] = 527,
  [3645] = 523,
  [3646] = 522,
  [3647] = 254,
  [3648] = 360,
  [3649] = 137,
  [3650] = 520,
  [3651] = 359,
  [3652] = 141,
  [3653] = 211,
  [3654] = 144,
  [3655] = 241,
  [3656] = 146,
  [3657] = 150,
  [3658] = 148,
  [3659] = 357,
  [3660] = 521,
  [3661] = 520,
  [3662] = 432,
  [3663] = 238,
  [3664] = 154,
  [3665] = 167,
  [3666] = 159,
  [3667] = 160,
  [3668] = 161,
  [3669] = 162,
  [3670] = 135,
  [3671] = 136,
  [3672] = 138,
  [3673] = 140,
  [3674] = 147,
  [3675] = 519,
  [3676] = 149,
  [3677] = 519,
  [3678] = 512,
  [3679] = 397,
  [3680] = 398,
  [3681] = 108,
  [3682] = 139,
  [3683] = 145,
  [3684] = 153,
  [3685] = 175,
  [3686] = 3565,
  [3687] = 518,
  [3688] = 404,
  [3689] = 177,
  [3690] = 518,
  [3691] = 3691,
  [3692] = 516,
  [3693] = 60,
  [3694] = 63,
  [3695] = 516,
  [3696] = 3696,
  [3697] = 218,
  [3698] = 219,
  [3699] = 226,
  [3700] = 182,
  [3701] = 558,
  [3702] = 561,
  [3703] = 198,
  [3704] = 404,
  [3705] = 3576,
  [3706] = 60,
  [3707] = 563,
  [3708] = 564,
  [3709] = 398,
  [3710] = 397,
  [3711] = 183,
  [3712] = 236,
  [3713] = 3713,
  [3714] = 108,
  [3715] = 3576,
  [3716] = 432,
  [3717] = 187,
  [3718] = 596,
  [3719] = 601,
  [3720] = 3720,
  [3721] = 182,
  [3722] = 175,
  [3723] = 143,
  [3724] = 3576,
  [3725] = 3725,
  [3726] = 3565,
  [3727] = 3464,
  [3728] = 357,
  [3729] = 174,
  [3730] = 156,
  [3731] = 173,
  [3732] = 3463,
  [3733] = 3576,
  [3734] = 3473,
  [3735] = 157,
  [3736] = 3576,
  [3737] = 359,
  [3738] = 360,
  [3739] = 171,
  [3740] = 3461,
  [3741] = 170,
  [3742] = 3576,
  [3743] = 3565,
  [3744] = 188,
  [3745] = 167,
  [3746] = 521,
  [3747] = 520,
  [3748] = 513,
  [3749] = 621,
  [3750] = 168,
  [3751] = 57,
  [3752] = 172,
  [3753] = 3576,
  [3754] = 176,
  [3755] = 178,
  [3756] = 191,
  [3757] = 179,
  [3758] = 3565,
  [3759] = 185,
  [3760] = 192,
  [3761] = 494,
  [3762] = 176,
  [3763] = 187,
  [3764] = 569,
  [3765] = 188,
  [3766] = 193,
  [3767] = 191,
  [3768] = 582,
  [3769] = 164,
  [3770] = 192,
  [3771] = 155,
  [3772] = 163,
  [3773] = 519,
  [3774] = 152,
  [3775] = 193,
  [3776] = 142,
  [3777] = 589,
  [3778] = 195,
  [3779] = 213,
  [3780] = 59,
  [3781] = 257,
  [3782] = 3565,
  [3783] = 600,
  [3784] = 196,
  [3785] = 3462,
  [3786] = 3565,
  [3787] = 195,
  [3788] = 261,
  [3789] = 199,
  [3790] = 200,
  [3791] = 203,
  [3792] = 204,
  [3793] = 518,
  [3794] = 196,
  [3795] = 3576,
  [3796] = 205,
  [3797] = 619,
  [3798] = 206,
  [3799] = 209,
  [3800] = 210,
  [3801] = 516,
  [3802] = 199,
  [3803] = 212,
  [3804] = 218,
  [3805] = 219,
  [3806] = 226,
  [3807] = 236,
  [3808] = 3576,
  [3809] = 194,
  [3810] = 262,
  [3811] = 3811,
  [3812] = 263,
  [3813] = 3576,
  [3814] = 264,
  [3815] = 3565,
  [3816] = 56,
  [3817] = 552,
  [3818] = 198,
  [3819] = 543,
  [3820] = 267,
  [3821] = 268,
  [3822] = 200,
  [3823] = 498,
  [3824] = 216,
  [3825] = 3565,
  [3826] = 3576,
  [3827] = 211,
  [3828] = 215,
  [3829] = 3565,
  [3830] = 166,
  [3831] = 134,
  [3832] = 217,
  [3833] = 607,
  [3834] = 137,
  [3835] = 63,
  [3836] = 172,
  [3837] = 608,
  [3838] = 254,
  [3839] = 202,
  [3840] = 141,
  [3841] = 55,
  [3842] = 241,
  [3843] = 60,
  [3844] = 144,
  [3845] = 177,
  [3846] = 146,
  [3847] = 203,
  [3848] = 204,
  [3849] = 55,
  [3850] = 202,
  [3851] = 183,
  [3852] = 148,
  [3853] = 613,
  [3854] = 150,
  [3855] = 3471,
  [3856] = 154,
  [3857] = 3472,
  [3858] = 159,
  [3859] = 3576,
  [3860] = 160,
  [3861] = 161,
  [3862] = 162,
  [3863] = 135,
  [3864] = 136,
  [3865] = 138,
  [3866] = 140,
  [3867] = 147,
  [3868] = 178,
  [3869] = 3565,
  [3870] = 179,
  [3871] = 168,
  [3872] = 3576,
  [3873] = 3565,
  [3874] = 205,
  [3875] = 238,
  [3876] = 153,
  [3877] = 145,
  [3878] = 63,
  [3879] = 206,
  [3880] = 209,
  [3881] = 210,
  [3882] = 499,
  [3883] = 507,
  [3884] = 492,
  [3885] = 185,
  [3886] = 500,
  [3887] = 212,
  [3888] = 149,
  [3889] = 151,
  [3890] = 605,
  [3891] = 3565,
  [3892] = 139,
  [3893] = 174,
  [3894] = 194,
  [3895] = 194,
  [3896] = 198,
  [3897] = 3897,
  [3898] = 3898,
  [3899] = 254,
  [3900] = 60,
  [3901] = 516,
  [3902] = 211,
  [3903] = 215,
  [3904] = 166,
  [3905] = 217,
  [3906] = 3898,
  [3907] = 3897,
  [3908] = 3897,
  [3909] = 3898,
  [3910] = 3910,
  [3911] = 522,
  [3912] = 518,
  [3913] = 519,
  [3914] = 182,
  [3915] = 3910,
  [3916] = 177,
  [3917] = 175,
  [3918] = 523,
  [3919] = 527,
  [3920] = 3910,
  [3921] = 173,
  [3922] = 520,
  [3923] = 521,
  [3924] = 3898,
  [3925] = 171,
  [3926] = 3898,
  [3927] = 170,
  [3928] = 3898,
  [3929] = 529,
  [3930] = 174,
  [3931] = 3897,
  [3932] = 327,
  [3933] = 236,
  [3934] = 167,
  [3935] = 213,
  [3936] = 3897,
  [3937] = 257,
  [3938] = 3910,
  [3939] = 261,
  [3940] = 522,
  [3941] = 523,
  [3942] = 527,
  [3943] = 529,
  [3944] = 262,
  [3945] = 535,
  [3946] = 3897,
  [3947] = 539,
  [3948] = 3898,
  [3949] = 263,
  [3950] = 3897,
  [3951] = 264,
  [3952] = 544,
  [3953] = 535,
  [3954] = 63,
  [3955] = 539,
  [3956] = 544,
  [3957] = 550,
  [3958] = 550,
  [3959] = 226,
  [3960] = 267,
  [3961] = 268,
  [3962] = 216,
  [3963] = 219,
  [3964] = 241,
  [3965] = 238,
  [3966] = 3897,
  [3967] = 3910,
  [3968] = 202,
  [3969] = 183,
  [3970] = 168,
  [3971] = 3910,
  [3972] = 172,
  [3973] = 176,
  [3974] = 178,
  [3975] = 179,
  [3976] = 3897,
  [3977] = 3910,
  [3978] = 558,
  [3979] = 561,
  [3980] = 563,
  [3981] = 564,
  [3982] = 571,
  [3983] = 596,
  [3984] = 185,
  [3985] = 187,
  [3986] = 601,
  [3987] = 191,
  [3988] = 192,
  [3989] = 3898,
  [3990] = 193,
  [3991] = 195,
  [3992] = 3910,
  [3993] = 196,
  [3994] = 199,
  [3995] = 200,
  [3996] = 203,
  [3997] = 204,
  [3998] = 521,
  [3999] = 3897,
  [4000] = 520,
  [4001] = 3897,
  [4002] = 3897,
  [4003] = 3910,
  [4004] = 205,
  [4005] = 3897,
  [4006] = 3898,
  [4007] = 3910,
  [4008] = 3897,
  [4009] = 3898,
  [4010] = 3897,
  [4011] = 3910,
  [4012] = 206,
  [4013] = 607,
  [4014] = 209,
  [4015] = 3898,
  [4016] = 608,
  [4017] = 3898,
  [4018] = 3910,
  [4019] = 3910,
  [4020] = 4020,
  [4021] = 55,
  [4022] = 613,
  [4023] = 492,
  [4024] = 210,
  [4025] = 64,
  [4026] = 212,
  [4027] = 218,
  [4028] = 3898,
  [4029] = 3910,
  [4030] = 226,
  [4031] = 236,
  [4032] = 219,
  [4033] = 3910,
  [4034] = 3897,
  [4035] = 3910,
  [4036] = 3898,
  [4037] = 513,
  [4038] = 512,
  [4039] = 507,
  [4040] = 3898,
  [4041] = 218,
  [4042] = 500,
  [4043] = 4043,
  [4044] = 3897,
  [4045] = 3897,
  [4046] = 212,
  [4047] = 3910,
  [4048] = 499,
  [4049] = 210,
  [4050] = 498,
  [4051] = 494,
  [4052] = 3910,
  [4053] = 209,
  [4054] = 206,
  [4055] = 494,
  [4056] = 498,
  [4057] = 217,
  [4058] = 166,
  [4059] = 499,
  [4060] = 500,
  [4061] = 215,
  [4062] = 211,
  [4063] = 198,
  [4064] = 60,
  [4065] = 182,
  [4066] = 507,
  [4067] = 512,
  [4068] = 513,
  [4069] = 177,
  [4070] = 188,
  [4071] = 492,
  [4072] = 3898,
  [4073] = 613,
  [4074] = 55,
  [4075] = 608,
  [4076] = 175,
  [4077] = 173,
  [4078] = 607,
  [4079] = 171,
  [4080] = 170,
  [4081] = 167,
  [4082] = 213,
  [4083] = 257,
  [4084] = 261,
  [4085] = 262,
  [4086] = 263,
  [4087] = 3898,
  [4088] = 264,
  [4089] = 267,
  [4090] = 268,
  [4091] = 216,
  [4092] = 3910,
  [4093] = 254,
  [4094] = 241,
  [4095] = 238,
  [4096] = 202,
  [4097] = 183,
  [4098] = 168,
  [4099] = 172,
  [4100] = 3910,
  [4101] = 176,
  [4102] = 178,
  [4103] = 516,
  [4104] = 179,
  [4105] = 185,
  [4106] = 187,
  [4107] = 188,
  [4108] = 191,
  [4109] = 192,
  [4110] = 518,
  [4111] = 193,
  [4112] = 195,
  [4113] = 196,
  [4114] = 63,
  [4115] = 601,
  [4116] = 199,
  [4117] = 200,
  [4118] = 203,
  [4119] = 204,
  [4120] = 205,
  [4121] = 596,
  [4122] = 571,
  [4123] = 564,
  [4124] = 563,
  [4125] = 3898,
  [4126] = 561,
  [4127] = 558,
  [4128] = 3898,
  [4129] = 519,
  [4130] = 3897,
  [4131] = 4131,
  [4132] = 369,
  [4133] = 68,
  [4134] = 69,
  [4135] = 70,
  [4136] = 4136,
  [4137] = 65,
  [4138] = 73,
  [4139] = 4139,
  [4140] = 74,
  [4141] = 75,
  [4142] = 127,
  [4143] = 126,
  [4144] = 125,
  [4145] = 124,
  [4146] = 122,
  [4147] = 3461,
  [4148] = 81,
  [4149] = 66,
  [4150] = 79,
  [4151] = 3462,
  [4152] = 3463,
  [4153] = 80,
  [4154] = 78,
  [4155] = 77,
  [4156] = 4156,
  [4157] = 3464,
  [4158] = 1394,
  [4159] = 76,
  [4160] = 3491,
  [4161] = 3473,
  [4162] = 3471,
  [4163] = 3472,
  [4164] = 105,
  [4165] = 4165,
  [4166] = 4165,
  [4167] = 4167,
  [4168] = 4168,
  [4169] = 4169,
  [4170] = 4170,
  [4171] = 4167,
  [4172] = 4168,
  [4173] = 4173,
  [4174] = 4165,
  [4175] = 4175,
  [4176] = 3473,
  [4177] = 4175,
  [4178] = 4178,
  [4179] = 4168,
  [4180] = 4168,
  [4181] = 1485,
  [4182] = 4182,
  [4183] = 86,
  [4184] = 3472,
  [4185] = 3471,
  [4186] = 4175,
  [4187] = 4168,
  [4188] = 4188,
  [4189] = 4175,
  [4190] = 4168,
  [4191] = 4167,
  [4192] = 4169,
  [4193] = 4178,
  [4194] = 4175,
  [4195] = 4168,
  [4196] = 4175,
  [4197] = 4197,
  [4198] = 4165,
  [4199] = 4168,
  [4200] = 4178,
  [4201] = 4175,
  [4202] = 4169,
  [4203] = 4175,
  [4204] = 4165,
  [4205] = 4178,
  [4206] = 4206,
  [4207] = 4167,
  [4208] = 4175,
  [4209] = 4167,
  [4210] = 4169,
  [4211] = 100,
  [4212] = 4169,
  [4213] = 4169,
  [4214] = 4167,
  [4215] = 4169,
  [4216] = 4178,
  [4217] = 4169,
  [4218] = 4178,
  [4219] = 4178,
  [4220] = 4169,
  [4221] = 4165,
  [4222] = 4222,
  [4223] = 102,
  [4224] = 4169,
  [4225] = 4169,
  [4226] = 4165,
  [4227] = 4168,
  [4228] = 4178,
  [4229] = 51,
  [4230] = 4165,
  [4231] = 4167,
  [4232] = 4175,
  [4233] = 4169,
  [4234] = 4168,
  [4235] = 4175,
  [4236] = 4165,
  [4237] = 4168,
  [4238] = 4173,
  [4239] = 4168,
  [4240] = 4168,
  [4241] = 4165,
  [4242] = 4175,
  [4243] = 4168,
  [4244] = 4167,
  [4245] = 4169,
  [4246] = 4178,
  [4247] = 4175,
  [4248] = 50,
  [4249] = 4169,
  [4250] = 158,
  [4251] = 4168,
  [4252] = 4167,
  [4253] = 4165,
  [4254] = 4165,
  [4255] = 4175,
  [4256] = 4178,
  [4257] = 3464,
  [4258] = 4167,
  [4259] = 4167,
  [4260] = 4178,
  [4261] = 368,
  [4262] = 4165,
  [4263] = 4169,
  [4264] = 4178,
  [4265] = 4169,
  [4266] = 3462,
  [4267] = 4168,
  [4268] = 4169,
  [4269] = 4167,
  [4270] = 4270,
  [4271] = 4169,
  [4272] = 95,
  [4273] = 4273,
  [4274] = 4178,
  [4275] = 84,
  [4276] = 4165,
  [4277] = 4165,
  [4278] = 4175,
  [4279] = 4167,
  [4280] = 4178,
  [4281] = 4188,
  [4282] = 4165,
  [4283] = 4178,
  [4284] = 4167,
  [4285] = 103,
  [4286] = 99,
  [4287] = 3461,
  [4288] = 104,
  [4289] = 4168,
  [4290] = 4178,
  [4291] = 4165,
  [4292] = 4175,
  [4293] = 4167,
  [4294] = 4175,
  [4295] = 3463,
  [4296] = 4168,
  [4297] = 4167,
  [4298] = 4165,
  [4299] = 4168,
  [4300] = 4178,
  [4301] = 90,
  [4302] = 4167,
  [4303] = 4175,
  [4304] = 4178,
  [4305] = 4169,
  [4306] = 4175,
  [4307] = 4167,
  [4308] = 4170,
  [4309] = 4167,
  [4310] = 4165,
  [4311] = 4178,
  [4312] = 146,
  [4313] = 148,
  [4314] = 144,
  [4315] = 150,
  [4316] = 141,
  [4317] = 152,
  [4318] = 154,
  [4319] = 54,
  [4320] = 137,
  [4321] = 153,
  [4322] = 160,
  [4323] = 161,
  [4324] = 162,
  [4325] = 155,
  [4326] = 135,
  [4327] = 164,
  [4328] = 136,
  [4329] = 138,
  [4330] = 134,
  [4331] = 140,
  [4332] = 4273,
  [4333] = 404,
  [4334] = 147,
  [4335] = 4182,
  [4336] = 149,
  [4337] = 159,
  [4338] = 143,
  [4339] = 605,
  [4340] = 4340,
  [4341] = 151,
  [4342] = 4197,
  [4343] = 398,
  [4344] = 157,
  [4345] = 397,
  [4346] = 4182,
  [4347] = 142,
  [4348] = 4222,
  [4349] = 4349,
  [4350] = 108,
  [4351] = 156,
  [4352] = 163,
  [4353] = 4353,
  [4354] = 432,
  [4355] = 56,
  [4356] = 357,
  [4357] = 139,
  [4358] = 4340,
  [4359] = 145,
  [4360] = 360,
  [4361] = 4340,
  [4362] = 359,
  [4363] = 59,
  [4364] = 57,
  [4365] = 4365,
  [4366] = 168,
  [4367] = 176,
  [4368] = 204,
  [4369] = 217,
  [4370] = 188,
  [4371] = 191,
  [4372] = 173,
  [4373] = 498,
  [4374] = 192,
  [4375] = 178,
  [4376] = 4376,
  [4377] = 166,
  [4378] = 268,
  [4379] = 215,
  [4380] = 193,
  [4381] = 195,
  [4382] = 196,
  [4383] = 264,
  [4384] = 4365,
  [4385] = 4385,
  [4386] = 241,
  [4387] = 4387,
  [4388] = 211,
  [4389] = 254,
  [4390] = 216,
  [4391] = 174,
  [4392] = 4392,
  [4393] = 4393,
  [4394] = 199,
  [4395] = 213,
  [4396] = 60,
  [4397] = 4397,
  [4398] = 550,
  [4399] = 544,
  [4400] = 267,
  [4401] = 539,
  [4402] = 4402,
  [4403] = 179,
  [4404] = 535,
  [4405] = 177,
  [4406] = 185,
  [4407] = 187,
  [4408] = 494,
  [4409] = 601,
  [4410] = 507,
  [4411] = 4411,
  [4412] = 209,
  [4413] = 4349,
  [4414] = 4376,
  [4415] = 182,
  [4416] = 512,
  [4417] = 194,
  [4418] = 4411,
  [4419] = 263,
  [4420] = 492,
  [4421] = 516,
  [4422] = 499,
  [4423] = 518,
  [4424] = 519,
  [4425] = 4353,
  [4426] = 596,
  [4427] = 571,
  [4428] = 520,
  [4429] = 564,
  [4430] = 521,
  [4431] = 4431,
  [4432] = 563,
  [4433] = 238,
  [4434] = 202,
  [4435] = 200,
  [4436] = 175,
  [4437] = 236,
  [4438] = 561,
  [4439] = 183,
  [4440] = 4440,
  [4441] = 558,
  [4442] = 198,
  [4443] = 4443,
  [4444] = 4444,
  [4445] = 4445,
  [4446] = 513,
  [4447] = 206,
  [4448] = 172,
  [4449] = 613,
  [4450] = 262,
  [4451] = 63,
  [4452] = 500,
  [4453] = 4453,
  [4454] = 4454,
  [4455] = 4455,
  [4456] = 607,
  [4457] = 261,
  [4458] = 210,
  [4459] = 4459,
  [4460] = 212,
  [4461] = 4461,
  [4462] = 4462,
  [4463] = 171,
  [4464] = 608,
  [4465] = 522,
  [4466] = 523,
  [4467] = 527,
  [4468] = 529,
  [4469] = 203,
  [4470] = 218,
  [4471] = 4471,
  [4472] = 4472,
  [4473] = 257,
  [4474] = 219,
  [4475] = 205,
  [4476] = 167,
  [4477] = 226,
  [4478] = 4478,
  [4479] = 170,
  [4480] = 55,
  [4481] = 4431,
  [4482] = 2640,
  [4483] = 4483,
  [4484] = 4440,
  [4485] = 4385,
  [4486] = 4392,
  [4487] = 2646,
  [4488] = 2645,
  [4489] = 4445,
  [4490] = 2643,
  [4491] = 4443,
  [4492] = 4444,
  [4493] = 4493,
  [4494] = 4478,
  [4495] = 4387,
  [4496] = 4472,
  [4497] = 4393,
  [4498] = 4461,
  [4499] = 4402,
  [4500] = 4455,
  [4501] = 4453,
  [4502] = 4502,
  [4503] = 4503,
  [4504] = 4462,
  [4505] = 4397,
  [4506] = 4506,
  [4507] = 4507,
  [4508] = 4508,
  [4509] = 3253,
  [4510] = 4510,
  [4511] = 4511,
  [4512] = 4471,
  [4513] = 4513,
  [4514] = 4514,
  [4515] = 4515,
  [4516] = 4516,
  [4517] = 4516,
  [4518] = 4508,
  [4519] = 4516,
  [4520] = 4520,
  [4521] = 4521,
  [4522] = 4516,
  [4523] = 4516,
  [4524] = 4506,
  [4525] = 4525,
  [4526] = 4516,
  [4527] = 4516,
  [4528] = 4528,
  [4529] = 4516,
  [4530] = 1394,
  [4531] = 4516,
  [4532] = 4516,
  [4533] = 4516,
  [4534] = 4516,
  [4535] = 4535,
  [4536] = 4516,
  [4537] = 4516,
  [4538] = 4516,
  [4539] = 4516,
  [4540] = 4516,
  [4541] = 4516,
  [4542] = 4516,
  [4543] = 4543,
  [4544] = 368,
  [4545] = 4545,
  [4546] = 4546,
  [4547] = 1485,
  [4548] = 2646,
  [4549] = 2643,
  [4550] = 2640,
  [4551] = 368,
  [4552] = 2645,
  [4553] = 4553,
  [4554] = 4554,
  [4555] = 4555,
  [4556] = 4553,
  [4557] = 4545,
  [4558] = 4555,
  [4559] = 4554,
  [4560] = 4555,
  [4561] = 4555,
  [4562] = 4555,
  [4563] = 4555,
  [4564] = 4555,
  [4565] = 4565,
  [4566] = 4566,
  [4567] = 4555,
  [4568] = 4555,
  [4569] = 4569,
  [4570] = 4555,
  [4571] = 4571,
  [4572] = 4572,
  [4573] = 4555,
  [4574] = 4574,
  [4575] = 4555,
  [4576] = 4576,
  [4577] = 4577,
  [4578] = 4578,
  [4579] = 4555,
  [4580] = 4546,
  [4581] = 4555,
  [4582] = 4513,
  [4583] = 4555,
  [4584] = 4543,
  [4585] = 4585,
  [4586] = 4586,
  [4587] = 4555,
  [4588] = 4588,
  [4589] = 4589,
  [4590] = 4590,
  [4591] = 4555,
  [4592] = 4592,
  [4593] = 4555,
  [4594] = 4555,
  [4595] = 4595,
  [4596] = 4596,
  [4597] = 4597,
  [4598] = 4576,
  [4599] = 4599,
  [4600] = 3390,
  [4601] = 4601,
  [4602] = 4602,
  [4603] = 4528,
  [4604] = 4604,
  [4605] = 4605,
  [4606] = 4606,
  [4607] = 4607,
  [4608] = 4608,
  [4609] = 4609,
  [4610] = 4554,
  [4611] = 4611,
  [4612] = 4606,
  [4613] = 4606,
  [4614] = 4614,
  [4615] = 4543,
  [4616] = 4616,
  [4617] = 4617,
  [4618] = 4605,
  [4619] = 4546,
  [4620] = 4620,
  [4621] = 4621,
  [4622] = 4622,
  [4623] = 4623,
  [4624] = 4606,
  [4625] = 4606,
  [4626] = 4601,
  [4627] = 4606,
  [4628] = 4628,
  [4629] = 4606,
  [4630] = 4630,
  [4631] = 4631,
  [4632] = 4606,
  [4633] = 4606,
  [4634] = 4545,
  [4635] = 4635,
  [4636] = 4636,
  [4637] = 4637,
  [4638] = 4638,
  [4639] = 4639,
  [4640] = 4640,
  [4641] = 4606,
  [4642] = 4604,
  [4643] = 4643,
  [4644] = 4644,
  [4645] = 4606,
  [4646] = 4606,
  [4647] = 4606,
  [4648] = 4648,
  [4649] = 4649,
  [4650] = 4602,
  [4651] = 4651,
  [4652] = 4652,
  [4653] = 4606,
  [4654] = 4596,
  [4655] = 3461,
  [4656] = 4656,
  [4657] = 4657,
  [4658] = 4658,
  [4659] = 4659,
  [4660] = 4660,
  [4661] = 4661,
  [4662] = 4662,
  [4663] = 4663,
  [4664] = 4606,
  [4665] = 4665,
  [4666] = 4666,
  [4667] = 4667,
  [4668] = 3462,
  [4669] = 4606,
  [4670] = 4670,
  [4671] = 4671,
  [4672] = 3473,
  [4673] = 4597,
  [4674] = 4606,
  [4675] = 3472,
  [4676] = 4606,
  [4677] = 4677,
  [4678] = 4678,
  [4679] = 4606,
  [4680] = 4553,
  [4681] = 3463,
  [4682] = 3471,
  [4683] = 3464,
  [4684] = 4590,
  [4685] = 4685,
  [4686] = 4638,
  [4687] = 4546,
  [4688] = 4543,
  [4689] = 4678,
  [4690] = 4565,
  [4691] = 4553,
  [4692] = 4566,
  [4693] = 4648,
  [4694] = 4666,
  [4695] = 4695,
  [4696] = 4696,
  [4697] = 4697,
  [4698] = 4677,
  [4699] = 4554,
  [4700] = 4700,
  [4701] = 4545,
  [4702] = 4578,
  [4703] = 4703,
  [4704] = 4607,
  [4705] = 4589,
  [4706] = 4608,
  [4707] = 4636,
  [4708] = 4656,
  [4709] = 4709,
  [4710] = 4574,
  [4711] = 4711,
  [4712] = 4667,
  [4713] = 4601,
  [4714] = 4714,
  [4715] = 4715,
  [4716] = 4716,
  [4717] = 4717,
  [4718] = 4604,
  [4719] = 4719,
  [4720] = 4620,
  [4721] = 4622,
  [4722] = 4709,
  [4723] = 4662,
  [4724] = 4614,
  [4725] = 4725,
  [4726] = 4726,
  [4727] = 4727,
  [4728] = 4605,
  [4729] = 4729,
  [4730] = 4596,
  [4731] = 4731,
  [4732] = 4732,
  [4733] = 4611,
  [4734] = 4734,
  [4735] = 4735,
  [4736] = 4736,
  [4737] = 4737,
  [4738] = 4597,
  [4739] = 4643,
  [4740] = 4740,
  [4741] = 4602,
  [4742] = 4631,
  [4743] = 4743,
  [4744] = 4703,
  [4745] = 4745,
  [4746] = 3471,
  [4747] = 4747,
  [4748] = 4748,
  [4749] = 4749,
  [4750] = 4602,
  [4751] = 4727,
  [4752] = 4601,
  [4753] = 4596,
  [4754] = 4754,
  [4755] = 4755,
  [4756] = 4726,
  [4757] = 4757,
  [4758] = 4734,
  [4759] = 4597,
  [4760] = 4760,
  [4761] = 4747,
  [4762] = 4762,
  [4763] = 4763,
  [4764] = 4604,
  [4765] = 4765,
  [4766] = 4766,
  [4767] = 3473,
  [4768] = 4743,
  [4769] = 4769,
  [4770] = 4737,
  [4771] = 4771,
  [4772] = 4605,
  [4773] = 4773,
  [4774] = 4774,
  [4775] = 4775,
  [4776] = 4776,
  [4777] = 4777,
  [4778] = 3472,
  [4779] = 4745,
  [4780] = 3253,
  [4781] = 4781,
  [4782] = 4782,
  [4783] = 3464,
  [4784] = 3463,
  [4785] = 4736,
  [4786] = 4786,
  [4787] = 4787,
  [4788] = 4777,
  [4789] = 3461,
  [4790] = 3462,
  [4791] = 4222,
  [4792] = 4792,
  [4793] = 4793,
  [4794] = 4794,
  [4795] = 4795,
  [4796] = 4796,
  [4797] = 4797,
  [4798] = 4182,
  [4799] = 4799,
  [4800] = 4800,
  [4801] = 4801,
  [4802] = 4802,
  [4803] = 4803,
  [4804] = 4804,
  [4805] = 4805,
  [4806] = 4273,
  [4807] = 4807,
  [4808] = 4808,
  [4809] = 4748,
  [4810] = 4810,
  [4811] = 4608,
  [4812] = 4812,
  [4813] = 4813,
  [4814] = 4787,
  [4815] = 4815,
  [4816] = 4816,
  [4817] = 4817,
  [4818] = 4818,
  [4819] = 4353,
  [4820] = 4820,
  [4821] = 4821,
  [4822] = 4822,
  [4823] = 4823,
  [4824] = 4824,
  [4825] = 4825,
  [4826] = 4826,
  [4827] = 4827,
  [4828] = 4828,
  [4829] = 4829,
  [4830] = 4830,
  [4831] = 4831,
  [4832] = 4763,
  [4833] = 4678,
  [4834] = 4607,
  [4835] = 4835,
  [4836] = 4836,
  [4837] = 4837,
  [4838] = 4838,
  [4839] = 4839,
  [4840] = 4840,
  [4841] = 4841,
  [4842] = 4842,
  [4843] = 4843,
  [4844] = 4844,
  [4845] = 4845,
  [4846] = 4846,
  [4847] = 4847,
  [4848] = 4848,
  [4849] = 4849,
  [4850] = 4850,
  [4851] = 4851,
  [4852] = 4852,
  [4853] = 4853,
  [4854] = 4349,
  [4855] = 4855,
  [4856] = 4856,
  [4857] = 4857,
  [4858] = 4858,
  [4859] = 4859,
  [4860] = 4860,
  [4861] = 4835,
  [4862] = 4862,
  [4863] = 4830,
  [4864] = 4864,
  [4865] = 4865,
  [4866] = 4866,
  [4867] = 4867,
  [4868] = 4840,
  [4869] = 4869,
  [4870] = 4870,
  [4871] = 4871,
  [4872] = 4872,
  [4873] = 4873,
  [4874] = 4874,
  [4875] = 4875,
  [4876] = 4876,
  [4877] = 4877,
  [4878] = 4878,
  [4879] = 4607,
  [4880] = 4880,
  [4881] = 4881,
  [4882] = 4882,
  [4883] = 4883,
  [4884] = 4884,
  [4885] = 4885,
  [4886] = 4886,
  [4887] = 4887,
  [4888] = 3253,
  [4889] = 4678,
  [4890] = 4890,
  [4891] = 4885,
  [4892] = 4838,
  [4893] = 4849,
  [4894] = 4894,
  [4895] = 4131,
  [4896] = 4896,
  [4897] = 4897,
  [4898] = 4898,
  [4899] = 4899,
  [4900] = 4900,
  [4901] = 4901,
  [4902] = 4902,
  [4903] = 4903,
  [4904] = 4812,
  [4905] = 4905,
  [4906] = 4906,
  [4907] = 4871,
  [4908] = 4908,
  [4909] = 4156,
  [4910] = 4910,
  [4911] = 4911,
  [4912] = 4136,
  [4913] = 4913,
  [4914] = 4914,
  [4915] = 4608,
  [4916] = 4916,
  [4917] = 4917,
  [4918] = 4918,
  [4919] = 4919,
  [4920] = 4920,
  [4921] = 4921,
  [4922] = 4922,
  [4923] = 4923,
  [4924] = 4924,
  [4925] = 4925,
  [4926] = 4926,
  [4927] = 4182,
  [4928] = 4928,
  [4929] = 4897,
  [4930] = 4930,
  [4931] = 4898,
  [4932] = 4932,
  [4933] = 4920,
  [4934] = 4921,
  [4935] = 4935,
  [4936] = 4936,
  [4937] = 4865,
  [4938] = 4938,
  [4939] = 4928,
  [4940] = 4926,
  [4941] = 4941,
  [4942] = 4942,
  [4943] = 4932,
  [4944] = 4508,
  [4945] = 4945,
  [4946] = 4935,
  [4947] = 4947,
  [4948] = 4945,
  [4949] = 4925,
  [4950] = 4936,
  [4951] = 4930,
  [4952] = 4941,
  [4953] = 4506,
  [4954] = 4954,
  [4955] = 4955,
  [4956] = 4956,
  [4957] = 4957,
  [4958] = 4957,
  [4959] = 4957,
  [4960] = 4960,
  [4961] = 4960,
  [4962] = 4962,
  [4963] = 4960,
  [4964] = 4962,
  [4965] = 4962,
  [4966] = 4962,
  [4967] = 4962,
  [4968] = 4957,
  [4969] = 4960,
  [4970] = 4957,
  [4971] = 4962,
  [4972] = 4960,
  [4973] = 4973,
  [4974] = 4957,
  [4975] = 4960,
  [4976] = 4976,
  [4977] = 4976,
  [4978] = 4957,
  [4979] = 4979,
  [4980] = 4960,
  [4981] = 4962,
  [4982] = 4553,
  [4983] = 4983,
  [4984] = 4513,
  [4985] = 4985,
  [4986] = 4554,
  [4987] = 4987,
  [4988] = 4543,
  [4989] = 4989,
  [4990] = 4990,
  [4991] = 4985,
  [4992] = 4992,
  [4993] = 4993,
  [4994] = 4994,
  [4995] = 4546,
  [4996] = 4985,
  [4997] = 4997,
  [4998] = 4998,
  [4999] = 4999,
  [5000] = 4545,
  [5001] = 5001,
  [5002] = 5002,
  [5003] = 4528,
  [5004] = 4528,
  [5005] = 5005,
  [5006] = 5006,
  [5007] = 5007,
  [5008] = 5005,
  [5009] = 5006,
  [5010] = 5007,
  [5011] = 5006,
  [5012] = 5005,
  [5013] = 5013,
  [5014] = 4601,
  [5015] = 4574,
  [5016] = 5013,
  [5017] = 4602,
  [5018] = 4596,
  [5019] = 5019,
  [5020] = 4597,
  [5021] = 4604,
  [5022] = 5022,
  [5023] = 5019,
  [5024] = 4605,
  [5025] = 5025,
  [5026] = 5026,
  [5027] = 5019,
  [5028] = 5019,
  [5029] = 5026,
  [5030] = 5025,
  [5031] = 5019,
  [5032] = 5019,
  [5033] = 5022,
  [5034] = 5026,
  [5035] = 4565,
  [5036] = 5019,
  [5037] = 4566,
  [5038] = 5026,
  [5039] = 5025,
  [5040] = 5040,
  [5041] = 5019,
  [5042] = 5019,
  [5043] = 5026,
  [5044] = 5013,
  [5045] = 5045,
  [5046] = 5022,
  [5047] = 5025,
  [5048] = 5040,
  [5049] = 5019,
  [5050] = 5022,
  [5051] = 5019,
  [5052] = 5019,
  [5053] = 5013,
  [5054] = 5019,
  [5055] = 5019,
  [5056] = 5026,
  [5057] = 5025,
  [5058] = 5019,
  [5059] = 5019,
  [5060] = 5040,
  [5061] = 5022,
  [5062] = 5019,
  [5063] = 5019,
  [5064] = 5019,
  [5065] = 5013,
  [5066] = 5066,
  [5067] = 5067,
  [5068] = 5068,
  [5069] = 5069,
  [5070] = 5070,
  [5071] = 5071,
  [5072] = 4513,
  [5073] = 5070,
  [5074] = 5074,
  [5075] = 5074,
  [5076] = 5074,
  [5077] = 5077,
  [5078] = 4608,
  [5079] = 4566,
  [5080] = 5067,
  [5081] = 5081,
  [5082] = 5069,
  [5083] = 5077,
  [5084] = 5068,
  [5085] = 4574,
  [5086] = 5068,
  [5087] = 5068,
  [5088] = 5067,
  [5089] = 5077,
  [5090] = 5069,
  [5091] = 4607,
  [5092] = 5074,
  [5093] = 5069,
  [5094] = 4678,
  [5095] = 5095,
  [5096] = 5077,
  [5097] = 5097,
  [5098] = 5069,
  [5099] = 5071,
  [5100] = 5100,
  [5101] = 5074,
  [5102] = 5097,
  [5103] = 5069,
  [5104] = 5074,
  [5105] = 4565,
  [5106] = 5100,
  [5107] = 5068,
  [5108] = 5097,
  [5109] = 5077,
  [5110] = 5110,
  [5111] = 5067,
  [5112] = 5112,
  [5113] = 5067,
  [5114] = 5097,
  [5115] = 5115,
  [5116] = 5116,
  [5117] = 5097,
  [5118] = 5067,
  [5119] = 5074,
  [5120] = 5120,
  [5121] = 5097,
  [5122] = 5110,
  [5123] = 5081,
  [5124] = 5068,
  [5125] = 5068,
  [5126] = 5116,
  [5127] = 5077,
  [5128] = 5077,
  [5129] = 4656,
  [5130] = 5100,
  [5131] = 5115,
  [5132] = 5095,
  [5133] = 5112,
  [5134] = 5066,
  [5135] = 4648,
  [5136] = 4638,
  [5137] = 5069,
  [5138] = 4545,
  [5139] = 4677,
  [5140] = 4666,
  [5141] = 4553,
  [5142] = 4546,
  [5143] = 4554,
  [5144] = 4543,
  [5145] = 5067,
  [5146] = 5146,
  [5147] = 5147,
  [5148] = 5147,
  [5149] = 5147,
  [5150] = 5150,
  [5151] = 5151,
  [5152] = 4709,
  [5153] = 5147,
  [5154] = 5147,
  [5155] = 5155,
  [5156] = 5147,
  [5157] = 5150,
  [5158] = 4703,
  [5159] = 5159,
  [5160] = 5160,
  [5161] = 5161,
  [5162] = 5147,
  [5163] = 5147,
  [5164] = 5147,
  [5165] = 5147,
  [5166] = 5166,
  [5167] = 5147,
  [5168] = 5147,
  [5169] = 5147,
  [5170] = 5147,
  [5171] = 5146,
  [5172] = 5146,
  [5173] = 5147,
  [5174] = 5174,
  [5175] = 5146,
  [5176] = 5166,
  [5177] = 5166,
  [5178] = 5146,
  [5179] = 5179,
  [5180] = 5147,
  [5181] = 5147,
  [5182] = 5160,
  [5183] = 5147,
  [5184] = 5146,
  [5185] = 5146,
  [5186] = 5166,
  [5187] = 5147,
  [5188] = 5188,
  [5189] = 5189,
  [5190] = 5189,
  [5191] = 4649,
  [5192] = 5192,
  [5193] = 5193,
  [5194] = 5194,
  [5195] = 5195,
  [5196] = 5196,
  [5197] = 5195,
  [5198] = 5195,
  [5199] = 5193,
  [5200] = 5200,
  [5201] = 5196,
  [5202] = 5193,
  [5203] = 5194,
  [5204] = 5189,
  [5205] = 5195,
  [5206] = 5194,
  [5207] = 5207,
  [5208] = 5194,
  [5209] = 5209,
  [5210] = 5194,
  [5211] = 5211,
  [5212] = 5194,
  [5213] = 5213,
  [5214] = 5213,
  [5215] = 4657,
  [5216] = 5195,
  [5217] = 4661,
  [5218] = 4663,
  [5219] = 5189,
  [5220] = 5220,
  [5221] = 5221,
  [5222] = 5222,
  [5223] = 5223,
  [5224] = 5224,
  [5225] = 5225,
  [5226] = 5226,
  [5227] = 5194,
  [5228] = 5222,
  [5229] = 5229,
  [5230] = 5230,
  [5231] = 5231,
  [5232] = 5232,
  [5233] = 5194,
  [5234] = 4621,
  [5235] = 5194,
  [5236] = 5236,
  [5237] = 5194,
  [5238] = 5195,
  [5239] = 5239,
  [5240] = 5189,
  [5241] = 5241,
  [5242] = 5242,
  [5243] = 5196,
  [5244] = 5244,
  [5245] = 5193,
  [5246] = 5194,
  [5247] = 5194,
  [5248] = 5248,
  [5249] = 5249,
  [5250] = 5188,
  [5251] = 5236,
  [5252] = 5196,
  [5253] = 5224,
  [5254] = 5249,
  [5255] = 5255,
  [5256] = 5225,
  [5257] = 4736,
  [5258] = 5194,
  [5259] = 5194,
  [5260] = 5220,
  [5261] = 4734,
  [5262] = 5262,
  [5263] = 5263,
  [5264] = 5193,
  [5265] = 5221,
  [5266] = 5244,
  [5267] = 5194,
  [5268] = 5196,
  [5269] = 5269,
  [5270] = 4602,
  [5271] = 4743,
  [5272] = 5272,
  [5273] = 5194,
  [5274] = 5194,
  [5275] = 4726,
  [5276] = 5272,
  [5277] = 5277,
  [5278] = 4727,
  [5279] = 4605,
  [5280] = 5280,
  [5281] = 5281,
  [5282] = 5282,
  [5283] = 5194,
  [5284] = 4604,
  [5285] = 4597,
  [5286] = 5286,
  [5287] = 5286,
  [5288] = 5195,
  [5289] = 4737,
  [5290] = 4596,
  [5291] = 5229,
  [5292] = 5194,
  [5293] = 5194,
  [5294] = 5294,
  [5295] = 4601,
  [5296] = 5296,
  [5297] = 5297,
  [5298] = 5298,
  [5299] = 5299,
  [5300] = 5300,
  [5301] = 5301,
  [5302] = 5297,
  [5303] = 5297,
  [5304] = 5298,
  [5305] = 5305,
  [5306] = 5306,
  [5307] = 5297,
  [5308] = 5306,
  [5309] = 5300,
  [5310] = 5297,
  [5311] = 5298,
  [5312] = 5300,
  [5313] = 5306,
  [5314] = 5298,
  [5315] = 5300,
  [5316] = 5298,
  [5317] = 5317,
  [5318] = 5300,
  [5319] = 5306,
  [5320] = 5306,
  [5321] = 5321,
  [5322] = 5322,
  [5323] = 5298,
  [5324] = 5300,
  [5325] = 5306,
  [5326] = 5326,
  [5327] = 5298,
  [5328] = 5300,
  [5329] = 5329,
  [5330] = 5297,
  [5331] = 5301,
  [5332] = 5298,
  [5333] = 5306,
  [5334] = 5305,
  [5335] = 5329,
  [5336] = 5306,
  [5337] = 5297,
  [5338] = 5298,
  [5339] = 5297,
  [5340] = 5326,
  [5341] = 5306,
  [5342] = 5321,
  [5343] = 5298,
  [5344] = 5306,
  [5345] = 5300,
  [5346] = 5297,
  [5347] = 5301,
  [5348] = 5348,
  [5349] = 5298,
  [5350] = 5306,
  [5351] = 5306,
  [5352] = 5298,
  [5353] = 5300,
  [5354] = 5354,
  [5355] = 5326,
  [5356] = 5356,
  [5357] = 5326,
  [5358] = 5297,
  [5359] = 5329,
  [5360] = 5300,
  [5361] = 5306,
  [5362] = 5329,
  [5363] = 5326,
  [5364] = 5297,
  [5365] = 5297,
  [5366] = 5301,
  [5367] = 5367,
  [5368] = 5368,
  [5369] = 5300,
  [5370] = 5370,
  [5371] = 5300,
  [5372] = 5306,
  [5373] = 5298,
  [5374] = 5306,
  [5375] = 5300,
  [5376] = 5306,
  [5377] = 5298,
  [5378] = 5300,
  [5379] = 5300,
  [5380] = 5297,
  [5381] = 5298,
  [5382] = 5382,
  [5383] = 5317,
  [5384] = 5384,
  [5385] = 5300,
  [5386] = 5306,
  [5387] = 5297,
  [5388] = 5298,
  [5389] = 5389,
  [5390] = 5300,
  [5391] = 5301,
  [5392] = 5321,
  [5393] = 5306,
  [5394] = 5298,
  [5395] = 5297,
  [5396] = 5300,
  [5397] = 5397,
  [5398] = 5398,
  [5399] = 5300,
  [5400] = 5329,
  [5401] = 5297,
  [5402] = 5300,
  [5403] = 5297,
  [5404] = 5297,
  [5405] = 5298,
  [5406] = 5306,
  [5407] = 5297,
  [5408] = 5298,
  [5409] = 5306,
  [5410] = 5410,
  [5411] = 5411,
  [5412] = 5412,
  [5413] = 5413,
  [5414] = 5414,
  [5415] = 5415,
  [5416] = 5416,
  [5417] = 5417,
  [5418] = 5418,
  [5419] = 5419,
  [5420] = 5420,
  [5421] = 4576,
  [5422] = 5420,
  [5423] = 5423,
  [5424] = 5424,
  [5425] = 4607,
  [5426] = 5426,
  [5427] = 4678,
  [5428] = 5417,
  [5429] = 5429,
  [5430] = 5424,
  [5431] = 5431,
  [5432] = 5432,
  [5433] = 5432,
  [5434] = 5434,
  [5435] = 5413,
  [5436] = 5436,
  [5437] = 5416,
  [5438] = 5416,
  [5439] = 5417,
  [5440] = 5431,
  [5441] = 5420,
  [5442] = 5442,
  [5443] = 5443,
  [5444] = 5432,
  [5445] = 5417,
  [5446] = 5446,
  [5447] = 5447,
  [5448] = 5448,
  [5449] = 5417,
  [5450] = 5450,
  [5451] = 5416,
  [5452] = 5420,
  [5453] = 5432,
  [5454] = 5454,
  [5455] = 4732,
  [5456] = 5456,
  [5457] = 5457,
  [5458] = 5458,
  [5459] = 5459,
  [5460] = 5417,
  [5461] = 5434,
  [5462] = 5462,
  [5463] = 5420,
  [5464] = 5432,
  [5465] = 5431,
  [5466] = 5420,
  [5467] = 5432,
  [5468] = 5416,
  [5469] = 5469,
  [5470] = 5470,
  [5471] = 5442,
  [5472] = 5472,
  [5473] = 5417,
  [5474] = 5416,
  [5475] = 5454,
  [5476] = 5476,
  [5477] = 5477,
  [5478] = 5420,
  [5479] = 5416,
  [5480] = 4735,
  [5481] = 5481,
  [5482] = 5482,
  [5483] = 4528,
  [5484] = 5484,
  [5485] = 5420,
  [5486] = 5420,
  [5487] = 5487,
  [5488] = 5488,
  [5489] = 5489,
  [5490] = 5490,
  [5491] = 5417,
  [5492] = 5432,
  [5493] = 5432,
  [5494] = 5489,
  [5495] = 5469,
  [5496] = 5481,
  [5497] = 5488,
  [5498] = 5498,
  [5499] = 5499,
  [5500] = 5500,
  [5501] = 5423,
  [5502] = 5417,
  [5503] = 5420,
  [5504] = 5504,
  [5505] = 5417,
  [5506] = 5417,
  [5507] = 5507,
  [5508] = 5416,
  [5509] = 5416,
  [5510] = 5448,
  [5511] = 5511,
  [5512] = 5417,
  [5513] = 5513,
  [5514] = 5507,
  [5515] = 5448,
  [5516] = 5458,
  [5517] = 5432,
  [5518] = 5518,
  [5519] = 5420,
  [5520] = 5432,
  [5521] = 5518,
  [5522] = 5432,
  [5523] = 5420,
  [5524] = 4608,
  [5525] = 5490,
  [5526] = 5417,
  [5527] = 5417,
  [5528] = 5416,
  [5529] = 5416,
  [5530] = 5432,
  [5531] = 5456,
  [5532] = 5446,
  [5533] = 5420,
  [5534] = 5534,
  [5535] = 5477,
  [5536] = 5447,
  [5537] = 5537,
  [5538] = 5432,
  [5539] = 5539,
  [5540] = 5416,
  [5541] = 5484,
  [5542] = 5542,
  [5543] = 5420,
  [5544] = 5432,
  [5545] = 5476,
  [5546] = 5546,
  [5547] = 5499,
  [5548] = 5454,
  [5549] = 5416,
  [5550] = 5459,
  [5551] = 5551,
  [5552] = 5469,
  [5553] = 5417,
  [5554] = 5457,
  [5555] = 5555,
  [5556] = 5432,
  [5557] = 5432,
  [5558] = 5412,
  [5559] = 5412,
  [5560] = 5417,
  [5561] = 5420,
  [5562] = 5432,
  [5563] = 5563,
  [5564] = 5432,
  [5565] = 5565,
  [5566] = 5432,
  [5567] = 5416,
  [5568] = 5420,
  [5569] = 5513,
  [5570] = 5570,
  [5571] = 5417,
  [5572] = 5416,
  [5573] = 5420,
  [5574] = 5410,
  [5575] = 5565,
  [5576] = 5576,
  [5577] = 5416,
  [5578] = 5416,
  [5579] = 5420,
  [5580] = 5476,
  [5581] = 5488,
  [5582] = 5414,
  [5583] = 5416,
  [5584] = 5546,
  [5585] = 5411,
  [5586] = 5518,
  [5587] = 5587,
  [5588] = 5537,
  [5589] = 5589,
  [5590] = 5417,
  [5591] = 5417,
  [5592] = 5456,
  [5593] = 5593,
  [5594] = 5416,
  [5595] = 5457,
  [5596] = 5420,
  [5597] = 5487,
  [5598] = 5598,
  [5599] = 5599,
  [5600] = 5600,
  [5601] = 5600,
  [5602] = 5602,
  [5603] = 5603,
  [5604] = 5604,
  [5605] = 5605,
  [5606] = 5606,
  [5607] = 5607,
  [5608] = 5600,
  [5609] = 5609,
  [5610] = 5610,
  [5611] = 5611,
  [5612] = 5599,
  [5613] = 5613,
  [5614] = 5610,
  [5615] = 5613,
  [5616] = 5604,
  [5617] = 5599,
  [5618] = 5618,
  [5619] = 5600,
  [5620] = 5610,
  [5621] = 5600,
  [5622] = 5609,
  [5623] = 5600,
  [5624] = 5624,
  [5625] = 5609,
  [5626] = 5626,
  [5627] = 5627,
  [5628] = 5599,
  [5629] = 5629,
  [5630] = 5609,
  [5631] = 5631,
  [5632] = 5599,
  [5633] = 5600,
  [5634] = 4835,
  [5635] = 5635,
  [5636] = 5610,
  [5637] = 4838,
  [5638] = 5638,
  [5639] = 5609,
  [5640] = 5640,
  [5641] = 4840,
  [5642] = 5642,
  [5643] = 5643,
  [5644] = 5644,
  [5645] = 5645,
  [5646] = 5609,
  [5647] = 5647,
  [5648] = 5648,
  [5649] = 5649,
  [5650] = 5650,
  [5651] = 5651,
  [5652] = 5652,
  [5653] = 5599,
  [5654] = 5600,
  [5655] = 5655,
  [5656] = 5656,
  [5657] = 5599,
  [5658] = 5600,
  [5659] = 5610,
  [5660] = 5660,
  [5661] = 5610,
  [5662] = 5662,
  [5663] = 5655,
  [5664] = 5600,
  [5665] = 5665,
  [5666] = 5610,
  [5667] = 5667,
  [5668] = 5599,
  [5669] = 5600,
  [5670] = 5599,
  [5671] = 5671,
  [5672] = 5609,
  [5673] = 5655,
  [5674] = 5665,
  [5675] = 5609,
  [5676] = 5676,
  [5677] = 5599,
  [5678] = 5678,
  [5679] = 5679,
  [5680] = 5665,
  [5681] = 5600,
  [5682] = 5610,
  [5683] = 5683,
  [5684] = 5684,
  [5685] = 5685,
  [5686] = 5610,
  [5687] = 5613,
  [5688] = 5610,
  [5689] = 5610,
  [5690] = 5609,
  [5691] = 5691,
  [5692] = 5692,
  [5693] = 5610,
  [5694] = 5600,
  [5695] = 5695,
  [5696] = 5603,
  [5697] = 5599,
  [5698] = 5684,
  [5699] = 5699,
  [5700] = 5609,
  [5701] = 5665,
  [5702] = 5702,
  [5703] = 5703,
  [5704] = 5626,
  [5705] = 5705,
  [5706] = 5706,
  [5707] = 5660,
  [5708] = 5609,
  [5709] = 5709,
  [5710] = 5599,
  [5711] = 5609,
  [5712] = 5599,
  [5713] = 5713,
  [5714] = 5600,
  [5715] = 5715,
  [5716] = 5599,
  [5717] = 5692,
  [5718] = 5665,
  [5719] = 5631,
  [5720] = 5613,
  [5721] = 5713,
  [5722] = 5722,
  [5723] = 5723,
  [5724] = 5692,
  [5725] = 5722,
  [5726] = 5692,
  [5727] = 5610,
  [5728] = 5728,
  [5729] = 5600,
  [5730] = 5610,
  [5731] = 5731,
  [5732] = 5609,
  [5733] = 5600,
  [5734] = 5734,
  [5735] = 5610,
  [5736] = 5723,
  [5737] = 5737,
  [5738] = 5738,
  [5739] = 5709,
  [5740] = 5599,
  [5741] = 5609,
  [5742] = 5742,
  [5743] = 5600,
  [5744] = 5610,
  [5745] = 5691,
  [5746] = 5599,
  [5747] = 5599,
  [5748] = 5715,
  [5749] = 5609,
  [5750] = 5600,
  [5751] = 5618,
  [5752] = 5752,
  [5753] = 5753,
  [5754] = 5610,
  [5755] = 5755,
  [5756] = 5609,
  [5757] = 5757,
  [5758] = 5758,
  [5759] = 5759,
  [5760] = 5695,
  [5761] = 5655,
  [5762] = 5709,
  [5763] = 5763,
  [5764] = 5635,
  [5765] = 5610,
  [5766] = 5647,
  [5767] = 5610,
  [5768] = 5742,
  [5769] = 5752,
  [5770] = 5770,
  [5771] = 5771,
  [5772] = 5772,
  [5773] = 5609,
  [5774] = 5772,
  [5775] = 5626,
  [5776] = 5599,
  [5777] = 5683,
  [5778] = 5600,
  [5779] = 5779,
  [5780] = 5610,
  [5781] = 5781,
  [5782] = 5667,
  [5783] = 5783,
  [5784] = 5784,
  [5785] = 5599,
  [5786] = 5786,
  [5787] = 5692,
  [5788] = 5603,
  [5789] = 5609,
  [5790] = 5613,
  [5791] = 5600,
  [5792] = 5609,
  [5793] = 5793,
  [5794] = 5793,
  [5795] = 5795,
  [5796] = 5796,
  [5797] = 5797,
  [5798] = 5798,
  [5799] = 5799,
  [5800] = 5800,
  [5801] = 5801,
  [5802] = 5802,
  [5803] = 5803,
  [5804] = 5804,
  [5805] = 5805,
  [5806] = 5806,
  [5807] = 5807,
  [5808] = 5808,
  [5809] = 5809,
  [5810] = 5810,
  [5811] = 5811,
  [5812] = 5812,
  [5813] = 5813,
  [5814] = 5814,
  [5815] = 5793,
  [5816] = 5816,
  [5817] = 5817,
  [5818] = 5793,
  [5819] = 5805,
  [5820] = 5820,
  [5821] = 5821,
  [5822] = 5822,
  [5823] = 5823,
  [5824] = 5793,
  [5825] = 5793,
  [5826] = 5803,
  [5827] = 5808,
  [5828] = 5811,
  [5829] = 5812,
  [5830] = 5830,
  [5831] = 5812,
  [5832] = 5805,
  [5833] = 5833,
  [5834] = 5834,
  [5835] = 5816,
  [5836] = 5836,
  [5837] = 5812,
  [5838] = 5838,
  [5839] = 5811,
  [5840] = 5808,
  [5841] = 5841,
  [5842] = 5803,
  [5843] = 5803,
  [5844] = 5833,
  [5845] = 5845,
  [5846] = 5838,
  [5847] = 5808,
  [5848] = 5811,
  [5849] = 5849,
  [5850] = 5850,
  [5851] = 5851,
  [5852] = 5812,
  [5853] = 5836,
  [5854] = 5811,
  [5855] = 5808,
  [5856] = 5856,
  [5857] = 5803,
  [5858] = 5805,
  [5859] = 5805,
  [5860] = 5811,
  [5861] = 5811,
  [5862] = 5862,
  [5863] = 5793,
  [5864] = 5808,
  [5865] = 5793,
  [5866] = 5866,
  [5867] = 5803,
  [5868] = 5808,
  [5869] = 5803,
  [5870] = 5870,
  [5871] = 5871,
  [5872] = 5872,
  [5873] = 5873,
  [5874] = 5805,
  [5875] = 5793,
  [5876] = 5876,
  [5877] = 5877,
  [5878] = 5878,
  [5879] = 5811,
  [5880] = 5808,
  [5881] = 5803,
  [5882] = 5805,
  [5883] = 5883,
  [5884] = 5836,
  [5885] = 5805,
  [5886] = 5805,
  [5887] = 5887,
  [5888] = 5888,
  [5889] = 5812,
  [5890] = 5793,
  [5891] = 5795,
  [5892] = 5833,
  [5893] = 5805,
  [5894] = 5821,
  [5895] = 5803,
  [5896] = 5808,
  [5897] = 5811,
  [5898] = 5803,
  [5899] = 5793,
  [5900] = 5900,
  [5901] = 5821,
  [5902] = 5811,
  [5903] = 5793,
  [5904] = 5816,
  [5905] = 5905,
  [5906] = 5838,
  [5907] = 5836,
  [5908] = 5812,
  [5909] = 5811,
  [5910] = 5805,
  [5911] = 5911,
  [5912] = 5912,
  [5913] = 5803,
  [5914] = 5808,
  [5915] = 5811,
  [5916] = 5807,
  [5917] = 5811,
  [5918] = 5808,
  [5919] = 5803,
  [5920] = 5807,
  [5921] = 5921,
  [5922] = 5922,
  [5923] = 5811,
  [5924] = 5808,
  [5925] = 5925,
  [5926] = 5926,
  [5927] = 5803,
  [5928] = 5928,
  [5929] = 5929,
  [5930] = 5830,
  [5931] = 5808,
  [5932] = 5793,
  [5933] = 5795,
  [5934] = 5883,
  [5935] = 5805,
  [5936] = 5805,
  [5937] = 5937,
  [5938] = 5803,
  [5939] = 5795,
  [5940] = 5940,
  [5941] = 5793,
  [5942] = 5813,
  [5943] = 5805,
  [5944] = 5808,
  [5945] = 5805,
  [5946] = 5946,
  [5947] = 5805,
  [5948] = 5821,
  [5949] = 5949,
  [5950] = 5816,
  [5951] = 5951,
  [5952] = 5793,
  [5953] = 5953,
  [5954] = 5883,
  [5955] = 5838,
  [5956] = 5836,
  [5957] = 5838,
  [5958] = 5811,
  [5959] = 5808,
  [5960] = 5960,
  [5961] = 5803,
  [5962] = 5816,
  [5963] = 5963,
  [5964] = 5803,
  [5965] = 5808,
  [5966] = 5811,
  [5967] = 5793,
  [5968] = 5968,
  [5969] = 5795,
  [5970] = 5970,
  [5971] = 5971,
  [5972] = 5793,
  [5973] = 5973,
  [5974] = 5803,
  [5975] = 5808,
  [5976] = 5811,
  [5977] = 5795,
  [5978] = 5811,
  [5979] = 5808,
  [5980] = 5803,
  [5981] = 5804,
  [5982] = 5888,
  [5983] = 5821,
  [5984] = 5805,
  [5985] = 5821,
  [5986] = 5986,
  [5987] = 5793,
  [5988] = 5793,
  [5989] = 5816,
  [5990] = 5838,
  [5991] = 5805,
  [5992] = 5795,
  [5993] = 5821,
  [5994] = 5816,
  [5995] = 5838,
  [5996] = 5811,
  [5997] = 5808,
  [5998] = 5803,
  [5999] = 5999,
  [6000] = 5876,
  [6001] = 6001,
  [6002] = 5805,
  [6003] = 6003,
  [6004] = 6004,
  [6005] = 6005,
  [6006] = 6006,
  [6007] = 6007,
  [6008] = 6008,
  [6009] = 6009,
  [6010] = 6010,
  [6011] = 6011,
  [6012] = 6012,
  [6013] = 6013,
  [6014] = 6014,
  [6015] = 6015,
  [6016] = 6016,
  [6017] = 6017,
  [6018] = 6018,
  [6019] = 6019,
  [6020] = 6020,
  [6021] = 6021,
  [6022] = 6022,
  [6023] = 6023,
  [6024] = 6024,
  [6025] = 6025,
  [6026] = 6026,
  [6027] = 6027,
  [6028] = 6028,
  [6029] = 6029,
  [6030] = 6030,
  [6031] = 6031,
  [6032] = 6020,
  [6033] = 6033,
  [6034] = 6034,
  [6035] = 6035,
  [6036] = 6036,
  [6037] = 6037,
  [6038] = 6038,
  [6039] = 6039,
  [6040] = 6040,
  [6041] = 6041,
  [6042] = 6042,
  [6043] = 6043,
  [6044] = 6044,
  [6045] = 6045,
  [6046] = 6044,
  [6047] = 6045,
  [6048] = 6035,
  [6049] = 6034,
  [6050] = 6033,
  [6051] = 6004,
  [6052] = 6017,
  [6053] = 6043,
  [6054] = 6042,
  [6055] = 6020,
  [6056] = 6026,
  [6057] = 6029,
  [6058] = 6030,
  [6059] = 6041,
  [6060] = 6012,
  [6061] = 6013,
  [6062] = 6015,
  [6063] = 6040,
  [6064] = 6018,
  [6065] = 6039,
  [6066] = 6038,
  [6067] = 6067,
  [6068] = 6023,
  [6069] = 6025,
  [6070] = 6037,
  [6071] = 6036,
  [6072] = 6031,
  [6073] = 6028,
  [6074] = 6005,
  [6075] = 6006,
  [6076] = 6007,
  [6077] = 6008,
  [6078] = 6027,
  [6079] = 6079,
  [6080] = 6011,
  [6081] = 6024,
  [6082] = 6016,
  [6083] = 6014,
  [6084] = 6014,
  [6085] = 6016,
  [6086] = 6011,
  [6087] = 6008,
  [6088] = 6007,
  [6089] = 6006,
  [6090] = 6005,
  [6091] = 6091,
  [6092] = 6025,
  [6093] = 6024,
  [6094] = 6023,
  [6095] = 6018,
  [6096] = 6027,
  [6097] = 6028,
  [6098] = 6015,
  [6099] = 6013,
  [6100] = 6031,
  [6101] = 6012,
  [6102] = 6030,
  [6103] = 6029,
  [6104] = 6026,
  [6105] = 6036,
  [6106] = 6037,
  [6107] = 6038,
  [6108] = 6039,
  [6109] = 6040,
  [6110] = 6041,
  [6111] = 6042,
  [6112] = 6043,
  [6113] = 6044,
  [6114] = 6013,
  [6115] = 6017,
  [6116] = 6045,
  [6117] = 6035,
  [6118] = 6034,
  [6119] = 6033,
  [6120] = 6004,
  [6121] = 6017,
  [6122] = 6004,
  [6123] = 6033,
  [6124] = 6020,
  [6125] = 6026,
  [6126] = 6029,
  [6127] = 6030,
  [6128] = 6034,
  [6129] = 6012,
  [6130] = 6013,
  [6131] = 6015,
  [6132] = 6035,
  [6133] = 6018,
  [6134] = 6045,
  [6135] = 6044,
  [6136] = 6043,
  [6137] = 6023,
  [6138] = 6025,
  [6139] = 6042,
  [6140] = 6041,
  [6141] = 6040,
  [6142] = 6039,
  [6143] = 6005,
  [6144] = 6006,
  [6145] = 6007,
  [6146] = 6008,
  [6147] = 6038,
  [6148] = 6037,
  [6149] = 6011,
  [6150] = 6036,
  [6151] = 6031,
  [6152] = 6014,
  [6153] = 6028,
  [6154] = 6016,
  [6155] = 6027,
  [6156] = 6024,
  [6157] = 6016,
  [6158] = 6014,
  [6159] = 6011,
  [6160] = 6160,
  [6161] = 6008,
  [6162] = 6024,
  [6163] = 6007,
  [6164] = 6006,
  [6165] = 6027,
  [6166] = 6028,
  [6167] = 6005,
  [6168] = 6025,
  [6169] = 6031,
  [6170] = 6023,
  [6171] = 6171,
  [6172] = 6018,
  [6173] = 6015,
  [6174] = 6036,
  [6175] = 6037,
  [6176] = 6038,
  [6177] = 6039,
  [6178] = 6040,
  [6179] = 6041,
  [6180] = 6042,
  [6181] = 6043,
  [6182] = 6044,
  [6183] = 6014,
  [6184] = 6012,
  [6185] = 6045,
  [6186] = 6035,
  [6187] = 6034,
  [6188] = 6033,
  [6189] = 6004,
  [6190] = 6017,
  [6191] = 6030,
  [6192] = 6029,
  [6193] = 6020,
  [6194] = 6026,
  [6195] = 6029,
  [6196] = 6030,
  [6197] = 6026,
  [6198] = 6012,
  [6199] = 6013,
  [6200] = 6015,
  [6201] = 6020,
  [6202] = 6018,
  [6203] = 6017,
  [6204] = 6004,
  [6205] = 6033,
  [6206] = 6008,
  [6207] = 6207,
  [6208] = 6016,
  [6209] = 6034,
  [6210] = 6035,
  [6211] = 6045,
  [6212] = 6008,
  [6213] = 6044,
  [6214] = 6043,
  [6215] = 6042,
  [6216] = 6041,
  [6217] = 6040,
  [6218] = 6039,
  [6219] = 6219,
  [6220] = 6220,
  [6221] = 6221,
  [6222] = 6222,
  [6223] = 6038,
  [6224] = 6037,
  [6225] = 6036,
  [6226] = 6031,
  [6227] = 6028,
  [6228] = 6228,
  [6229] = 6229,
  [6230] = 6027,
  [6231] = 6024,
  [6232] = 6016,
  [6233] = 6233,
  [6234] = 6005,
  [6235] = 6011,
  [6236] = 6008,
  [6237] = 6007,
  [6238] = 6228,
  [6239] = 6006,
  [6240] = 6005,
  [6241] = 6025,
  [6242] = 6019,
  [6243] = 6010,
  [6244] = 6022,
  [6245] = 6023,
  [6246] = 6091,
  [6247] = 6247,
  [6248] = 6160,
  [6249] = 6249,
  [6250] = 6018,
  [6251] = 6015,
  [6252] = 6013,
  [6253] = 6012,
  [6254] = 6030,
  [6255] = 6029,
  [6256] = 6256,
  [6257] = 6257,
  [6258] = 6026,
  [6259] = 6020,
  [6260] = 6017,
  [6261] = 6004,
  [6262] = 6033,
  [6263] = 6263,
  [6264] = 6264,
  [6265] = 6265,
  [6266] = 6266,
  [6267] = 6267,
  [6268] = 6268,
  [6269] = 6003,
  [6270] = 6270,
  [6271] = 6271,
  [6272] = 6272,
  [6273] = 6273,
  [6274] = 6274,
  [6275] = 6275,
  [6276] = 6034,
  [6277] = 6035,
  [6278] = 6045,
  [6279] = 6044,
  [6280] = 6043,
  [6281] = 6042,
  [6282] = 6282,
  [6283] = 6041,
  [6284] = 6040,
  [6285] = 6039,
  [6286] = 6286,
  [6287] = 6287,
  [6288] = 6038,
  [6289] = 6037,
  [6290] = 6036,
  [6291] = 6031,
  [6292] = 6028,
  [6293] = 6027,
  [6294] = 6024,
  [6295] = 6016,
  [6296] = 6296,
  [6297] = 6297,
  [6298] = 6298,
  [6299] = 6299,
  [6300] = 6300,
  [6301] = 6014,
  [6302] = 6011,
  [6303] = 6008,
  [6304] = 6007,
  [6305] = 6006,
  [6306] = 6008,
  [6307] = 6025,
  [6308] = 6023,
  [6309] = 6309,
  [6310] = 6310,
  [6311] = 6249,
  [6312] = 6018,
  [6313] = 6015,
  [6314] = 6314,
  [6315] = 6013,
  [6316] = 6012,
  [6317] = 6030,
  [6318] = 6029,
  [6319] = 6026,
  [6320] = 6020,
  [6321] = 6017,
  [6322] = 6004,
  [6323] = 6323,
  [6324] = 6324,
  [6325] = 6325,
  [6326] = 6326,
  [6327] = 6033,
  [6328] = 6034,
  [6329] = 6035,
  [6330] = 6045,
  [6331] = 6331,
  [6332] = 6044,
  [6333] = 6043,
  [6334] = 6042,
  [6335] = 6335,
  [6336] = 6041,
  [6337] = 6337,
  [6338] = 6338,
  [6339] = 6339,
  [6340] = 6040,
  [6341] = 6341,
  [6342] = 6342,
  [6343] = 6039,
  [6344] = 6038,
  [6345] = 6037,
  [6346] = 6036,
  [6347] = 6347,
  [6348] = 6031,
  [6349] = 6349,
  [6350] = 6028,
  [6351] = 6351,
  [6352] = 6352,
  [6353] = 6353,
  [6354] = 6354,
  [6355] = 6355,
  [6356] = 6356,
  [6357] = 6027,
  [6358] = 6024,
  [6359] = 6016,
  [6360] = 6014,
  [6361] = 6011,
  [6362] = 6014,
  [6363] = 6007,
  [6364] = 6006,
  [6365] = 6005,
  [6366] = 6025,
  [6367] = 6023,
  [6368] = 6018,
  [6369] = 6015,
  [6370] = 6013,
  [6371] = 6012,
  [6372] = 6030,
  [6373] = 6029,
  [6374] = 6026,
  [6375] = 6020,
  [6376] = 6017,
  [6377] = 6004,
  [6378] = 6033,
  [6379] = 6034,
  [6380] = 6035,
  [6381] = 6045,
  [6382] = 6044,
  [6383] = 6043,
  [6384] = 6042,
  [6385] = 6041,
  [6386] = 6040,
  [6387] = 6039,
  [6388] = 6038,
  [6389] = 6037,
  [6390] = 6036,
  [6391] = 6219,
  [6392] = 6220,
  [6393] = 6221,
  [6394] = 6222,
  [6395] = 6031,
  [6396] = 6028,
  [6397] = 6397,
  [6398] = 6027,
  [6399] = 6229,
  [6400] = 6024,
  [6401] = 6401,
  [6402] = 6016,
  [6403] = 6008,
  [6404] = 6256,
  [6405] = 6257,
  [6406] = 6011,
  [6407] = 6407,
  [6408] = 6008,
  [6409] = 6263,
  [6410] = 6264,
  [6411] = 6265,
  [6412] = 6266,
  [6413] = 6267,
  [6414] = 6268,
  [6415] = 6003,
  [6416] = 6270,
  [6417] = 6271,
  [6418] = 6272,
  [6419] = 6273,
  [6420] = 6274,
  [6421] = 6275,
  [6422] = 6007,
  [6423] = 6006,
  [6424] = 6005,
  [6425] = 6425,
  [6426] = 6296,
  [6427] = 6297,
  [6428] = 6298,
  [6429] = 6299,
  [6430] = 6300,
  [6431] = 6025,
  [6432] = 6023,
  [6433] = 6018,
  [6434] = 6015,
  [6435] = 6013,
  [6436] = 6012,
  [6437] = 6323,
  [6438] = 6324,
  [6439] = 6325,
  [6440] = 6326,
  [6441] = 6030,
  [6442] = 6029,
  [6443] = 6026,
  [6444] = 6335,
  [6445] = 6020,
  [6446] = 6337,
  [6447] = 6338,
  [6448] = 6339,
  [6449] = 6017,
  [6450] = 6004,
  [6451] = 6347,
  [6452] = 6033,
  [6453] = 6349,
  [6454] = 6351,
  [6455] = 6353,
  [6456] = 6034,
  [6457] = 6035,
  [6458] = 6045,
  [6459] = 6044,
  [6460] = 6043,
  [6461] = 6042,
  [6462] = 6041,
  [6463] = 6040,
  [6464] = 6039,
  [6465] = 6038,
  [6466] = 6037,
  [6467] = 6036,
  [6468] = 6031,
  [6469] = 6028,
  [6470] = 6219,
  [6471] = 6220,
  [6472] = 6221,
  [6473] = 6222,
  [6474] = 6027,
  [6475] = 6475,
  [6476] = 6229,
  [6477] = 6024,
  [6478] = 6016,
  [6479] = 6256,
  [6480] = 6257,
  [6481] = 6481,
  [6482] = 6014,
  [6483] = 6011,
  [6484] = 6263,
  [6485] = 6264,
  [6486] = 6265,
  [6487] = 6266,
  [6488] = 6267,
  [6489] = 6268,
  [6490] = 6003,
  [6491] = 6270,
  [6492] = 6271,
  [6493] = 6272,
  [6494] = 6273,
  [6495] = 6274,
  [6496] = 6275,
  [6497] = 6024,
  [6498] = 6007,
  [6499] = 6006,
  [6500] = 6005,
  [6501] = 6296,
  [6502] = 6297,
  [6503] = 6298,
  [6504] = 6299,
  [6505] = 6300,
  [6506] = 6025,
  [6507] = 6023,
  [6508] = 6018,
  [6509] = 6015,
  [6510] = 6013,
  [6511] = 6012,
  [6512] = 6323,
  [6513] = 6324,
  [6514] = 6325,
  [6515] = 6326,
  [6516] = 6030,
  [6517] = 6029,
  [6518] = 6026,
  [6519] = 6335,
  [6520] = 6020,
  [6521] = 6337,
  [6522] = 6338,
  [6523] = 6339,
  [6524] = 6017,
  [6525] = 6004,
  [6526] = 6347,
  [6527] = 6033,
  [6528] = 6349,
  [6529] = 6351,
  [6530] = 6353,
  [6531] = 6034,
  [6532] = 6035,
  [6533] = 6045,
  [6534] = 6044,
  [6535] = 6043,
  [6536] = 6042,
  [6537] = 6041,
  [6538] = 6219,
  [6539] = 6220,
  [6540] = 6221,
  [6541] = 6222,
  [6542] = 6040,
  [6543] = 6039,
  [6544] = 6229,
  [6545] = 6038,
  [6546] = 6037,
  [6547] = 6016,
  [6548] = 6036,
  [6549] = 6031,
  [6550] = 6263,
  [6551] = 6264,
  [6552] = 6265,
  [6553] = 6266,
  [6554] = 6267,
  [6555] = 6268,
  [6556] = 6003,
  [6557] = 6270,
  [6558] = 6271,
  [6559] = 6272,
  [6560] = 6273,
  [6561] = 6274,
  [6562] = 6275,
  [6563] = 6028,
  [6564] = 6027,
  [6565] = 6033,
  [6566] = 6016,
  [6567] = 6296,
  [6568] = 6297,
  [6569] = 6298,
  [6570] = 6299,
  [6571] = 6300,
  [6572] = 6014,
  [6573] = 6011,
  [6574] = 6008,
  [6575] = 6007,
  [6576] = 6006,
  [6577] = 6323,
  [6578] = 6324,
  [6579] = 6325,
  [6580] = 6326,
  [6581] = 6005,
  [6582] = 6025,
  [6583] = 6023,
  [6584] = 6335,
  [6585] = 6014,
  [6586] = 6337,
  [6587] = 6338,
  [6588] = 6339,
  [6589] = 6018,
  [6590] = 6015,
  [6591] = 6347,
  [6592] = 6013,
  [6593] = 6349,
  [6594] = 6351,
  [6595] = 6353,
  [6596] = 6219,
  [6597] = 6220,
  [6598] = 6221,
  [6599] = 6222,
  [6600] = 6012,
  [6601] = 6030,
  [6602] = 6229,
  [6603] = 6029,
  [6604] = 6026,
  [6605] = 6020,
  [6606] = 6017,
  [6607] = 6004,
  [6608] = 6263,
  [6609] = 6264,
  [6610] = 6265,
  [6611] = 6266,
  [6612] = 6267,
  [6613] = 6268,
  [6614] = 6003,
  [6615] = 6270,
  [6616] = 6271,
  [6617] = 6272,
  [6618] = 6273,
  [6619] = 6274,
  [6620] = 6275,
  [6621] = 6035,
  [6622] = 6034,
  [6623] = 6035,
  [6624] = 6624,
  [6625] = 6296,
  [6626] = 6297,
  [6627] = 6298,
  [6628] = 6299,
  [6629] = 6300,
  [6630] = 6045,
  [6631] = 6044,
  [6632] = 6043,
  [6633] = 6042,
  [6634] = 6323,
  [6635] = 6324,
  [6636] = 6325,
  [6637] = 6326,
  [6638] = 6041,
  [6639] = 6040,
  [6640] = 6011,
  [6641] = 6337,
  [6642] = 6338,
  [6643] = 6339,
  [6644] = 6039,
  [6645] = 6038,
  [6646] = 6349,
  [6647] = 6219,
  [6648] = 6220,
  [6649] = 6221,
  [6650] = 6222,
  [6651] = 6037,
  [6652] = 6036,
  [6653] = 6229,
  [6654] = 6031,
  [6655] = 6028,
  [6656] = 6027,
  [6657] = 6024,
  [6658] = 6658,
  [6659] = 6263,
  [6660] = 6264,
  [6661] = 6265,
  [6662] = 6266,
  [6663] = 6267,
  [6664] = 6268,
  [6665] = 6003,
  [6666] = 6270,
  [6667] = 6271,
  [6668] = 6272,
  [6669] = 6273,
  [6670] = 6274,
  [6671] = 6275,
  [6672] = 6016,
  [6673] = 6014,
  [6674] = 6011,
  [6675] = 6675,
  [6676] = 6296,
  [6677] = 6297,
  [6678] = 6298,
  [6679] = 6299,
  [6680] = 6300,
  [6681] = 6008,
  [6682] = 6007,
  [6683] = 6006,
  [6684] = 6005,
  [6685] = 6323,
  [6686] = 6324,
  [6687] = 6325,
  [6688] = 6326,
  [6689] = 6025,
  [6690] = 6023,
  [6691] = 6018,
  [6692] = 6337,
  [6693] = 6338,
  [6694] = 6339,
  [6695] = 6015,
  [6696] = 6013,
  [6697] = 6349,
  [6698] = 6219,
  [6699] = 6220,
  [6700] = 6221,
  [6701] = 6222,
  [6702] = 6012,
  [6703] = 6030,
  [6704] = 6229,
  [6705] = 6029,
  [6706] = 6026,
  [6707] = 6020,
  [6708] = 6708,
  [6709] = 6263,
  [6710] = 6264,
  [6711] = 6265,
  [6712] = 6266,
  [6713] = 6267,
  [6714] = 6268,
  [6715] = 6003,
  [6716] = 6270,
  [6717] = 6271,
  [6718] = 6272,
  [6719] = 6273,
  [6720] = 6274,
  [6721] = 6275,
  [6722] = 6722,
  [6723] = 6296,
  [6724] = 6297,
  [6725] = 6298,
  [6726] = 6299,
  [6727] = 6300,
  [6728] = 6017,
  [6729] = 6323,
  [6730] = 6324,
  [6731] = 6325,
  [6732] = 6326,
  [6733] = 6733,
  [6734] = 6337,
  [6735] = 6338,
  [6736] = 6339,
  [6737] = 6004,
  [6738] = 6349,
  [6739] = 6219,
  [6740] = 6220,
  [6741] = 6221,
  [6742] = 6222,
  [6743] = 6033,
  [6744] = 6034,
  [6745] = 6229,
  [6746] = 6036,
  [6747] = 6045,
  [6748] = 6044,
  [6749] = 6043,
  [6750] = 6263,
  [6751] = 6264,
  [6752] = 6265,
  [6753] = 6266,
  [6754] = 6267,
  [6755] = 6268,
  [6756] = 6003,
  [6757] = 6270,
  [6758] = 6271,
  [6759] = 6272,
  [6760] = 6273,
  [6761] = 6274,
  [6762] = 6275,
  [6763] = 6042,
  [6764] = 6296,
  [6765] = 6297,
  [6766] = 6298,
  [6767] = 6299,
  [6768] = 6300,
  [6769] = 6041,
  [6770] = 6323,
  [6771] = 6324,
  [6772] = 6325,
  [6773] = 6326,
  [6774] = 6040,
  [6775] = 6337,
  [6776] = 6338,
  [6777] = 6339,
  [6778] = 6039,
  [6779] = 6349,
  [6780] = 6219,
  [6781] = 6220,
  [6782] = 6221,
  [6783] = 6222,
  [6784] = 6038,
  [6785] = 6037,
  [6786] = 6229,
  [6787] = 6012,
  [6788] = 6031,
  [6789] = 6028,
  [6790] = 6027,
  [6791] = 6263,
  [6792] = 6264,
  [6793] = 6265,
  [6794] = 6266,
  [6795] = 6267,
  [6796] = 6268,
  [6797] = 6003,
  [6798] = 6270,
  [6799] = 6271,
  [6800] = 6272,
  [6801] = 6273,
  [6802] = 6274,
  [6803] = 6275,
  [6804] = 6256,
  [6805] = 6296,
  [6806] = 6297,
  [6807] = 6298,
  [6808] = 6299,
  [6809] = 6300,
  [6810] = 6024,
  [6811] = 6323,
  [6812] = 6324,
  [6813] = 6325,
  [6814] = 6326,
  [6815] = 6257,
  [6816] = 6337,
  [6817] = 6338,
  [6818] = 6339,
  [6819] = 6481,
  [6820] = 6349,
  [6821] = 6219,
  [6822] = 6220,
  [6823] = 6221,
  [6824] = 6222,
  [6825] = 6016,
  [6826] = 6014,
  [6827] = 6229,
  [6828] = 6011,
  [6829] = 6008,
  [6830] = 6007,
  [6831] = 6831,
  [6832] = 6263,
  [6833] = 6264,
  [6834] = 6265,
  [6835] = 6266,
  [6836] = 6267,
  [6837] = 6268,
  [6838] = 6003,
  [6839] = 6270,
  [6840] = 6271,
  [6841] = 6272,
  [6842] = 6273,
  [6843] = 6274,
  [6844] = 6275,
  [6845] = 6845,
  [6846] = 6296,
  [6847] = 6297,
  [6848] = 6298,
  [6849] = 6299,
  [6850] = 6300,
  [6851] = 6006,
  [6852] = 6323,
  [6853] = 6324,
  [6854] = 6325,
  [6855] = 6326,
  [6856] = 6005,
  [6857] = 6337,
  [6858] = 6338,
  [6859] = 6339,
  [6860] = 6860,
  [6861] = 6349,
  [6862] = 6219,
  [6863] = 6220,
  [6864] = 6221,
  [6865] = 6222,
  [6866] = 6866,
  [6867] = 6025,
  [6868] = 6229,
  [6869] = 6023,
  [6870] = 6018,
  [6871] = 6015,
  [6872] = 6013,
  [6873] = 6263,
  [6874] = 6264,
  [6875] = 6265,
  [6876] = 6266,
  [6877] = 6267,
  [6878] = 6268,
  [6879] = 6003,
  [6880] = 6270,
  [6881] = 6271,
  [6882] = 6272,
  [6883] = 6273,
  [6884] = 6274,
  [6885] = 6275,
  [6886] = 6016,
  [6887] = 6296,
  [6888] = 6297,
  [6889] = 6298,
  [6890] = 6299,
  [6891] = 6300,
  [6892] = 6030,
  [6893] = 6323,
  [6894] = 6324,
  [6895] = 6325,
  [6896] = 6326,
  [6897] = 6233,
  [6898] = 6337,
  [6899] = 6338,
  [6900] = 6339,
  [6901] = 6029,
  [6902] = 6349,
  [6903] = 6219,
  [6904] = 6220,
  [6905] = 6221,
  [6906] = 6222,
  [6907] = 6026,
  [6908] = 6020,
  [6909] = 6229,
  [6910] = 6017,
  [6911] = 6911,
  [6912] = 6004,
  [6913] = 6033,
  [6914] = 6263,
  [6915] = 6264,
  [6916] = 6265,
  [6917] = 6266,
  [6918] = 6267,
  [6919] = 6268,
  [6920] = 6003,
  [6921] = 6270,
  [6922] = 6271,
  [6923] = 6272,
  [6924] = 6273,
  [6925] = 6274,
  [6926] = 6275,
  [6927] = 6034,
  [6928] = 6296,
  [6929] = 6297,
  [6930] = 6298,
  [6931] = 6299,
  [6932] = 6300,
  [6933] = 6035,
  [6934] = 6323,
  [6935] = 6324,
  [6936] = 6325,
  [6937] = 6326,
  [6938] = 6045,
  [6939] = 6337,
  [6940] = 6338,
  [6941] = 6339,
  [6942] = 6263,
  [6943] = 6349,
  [6944] = 6219,
  [6945] = 6220,
  [6946] = 6221,
  [6947] = 6222,
  [6948] = 6044,
  [6949] = 6949,
  [6950] = 6229,
  [6951] = 6043,
  [6952] = 6042,
  [6953] = 6041,
  [6954] = 6040,
  [6955] = 6263,
  [6956] = 6264,
  [6957] = 6265,
  [6958] = 6266,
  [6959] = 6267,
  [6960] = 6268,
  [6961] = 6003,
  [6962] = 6270,
  [6963] = 6271,
  [6964] = 6272,
  [6965] = 6273,
  [6966] = 6274,
  [6967] = 6275,
  [6968] = 6039,
  [6969] = 6296,
  [6970] = 6297,
  [6971] = 6298,
  [6972] = 6299,
  [6973] = 6300,
  [6974] = 6038,
  [6975] = 6323,
  [6976] = 6324,
  [6977] = 6325,
  [6978] = 6326,
  [6979] = 6979,
  [6980] = 6337,
  [6981] = 6338,
  [6982] = 6339,
  [6983] = 6037,
  [6984] = 6349,
  [6985] = 6219,
  [6986] = 6220,
  [6987] = 6221,
  [6988] = 6222,
  [6989] = 6036,
  [6990] = 6031,
  [6991] = 6229,
  [6992] = 6028,
  [6993] = 6027,
  [6994] = 6024,
  [6995] = 6481,
  [6996] = 6263,
  [6997] = 6264,
  [6998] = 6265,
  [6999] = 6266,
  [7000] = 6267,
  [7001] = 6268,
  [7002] = 6003,
  [7003] = 6270,
  [7004] = 6271,
  [7005] = 6272,
  [7006] = 6273,
  [7007] = 6274,
  [7008] = 6275,
  [7009] = 6860,
  [7010] = 6296,
  [7011] = 6297,
  [7012] = 6298,
  [7013] = 6299,
  [7014] = 6300,
  [7015] = 6014,
  [7016] = 6323,
  [7017] = 6324,
  [7018] = 6325,
  [7019] = 6326,
  [7020] = 6011,
  [7021] = 6337,
  [7022] = 6338,
  [7023] = 6339,
  [7024] = 6008,
  [7025] = 6349,
  [7026] = 6219,
  [7027] = 6220,
  [7028] = 6221,
  [7029] = 6222,
  [7030] = 7030,
  [7031] = 6007,
  [7032] = 6229,
  [7033] = 6006,
  [7034] = 6005,
  [7035] = 6012,
  [7036] = 6025,
  [7037] = 6263,
  [7038] = 6264,
  [7039] = 6265,
  [7040] = 6266,
  [7041] = 6267,
  [7042] = 6268,
  [7043] = 6003,
  [7044] = 6270,
  [7045] = 6271,
  [7046] = 6272,
  [7047] = 6273,
  [7048] = 6274,
  [7049] = 6275,
  [7050] = 6023,
  [7051] = 6296,
  [7052] = 6297,
  [7053] = 6298,
  [7054] = 6299,
  [7055] = 6300,
  [7056] = 7056,
  [7057] = 6323,
  [7058] = 6324,
  [7059] = 6325,
  [7060] = 6326,
  [7061] = 7061,
  [7062] = 6337,
  [7063] = 6338,
  [7064] = 6339,
  [7065] = 6008,
  [7066] = 6349,
  [7067] = 6219,
  [7068] = 6220,
  [7069] = 6221,
  [7070] = 6222,
  [7071] = 6007,
  [7072] = 6006,
  [7073] = 6229,
  [7074] = 6264,
  [7075] = 6005,
  [7076] = 6265,
  [7077] = 6266,
  [7078] = 6263,
  [7079] = 6264,
  [7080] = 6265,
  [7081] = 6266,
  [7082] = 6267,
  [7083] = 6268,
  [7084] = 6003,
  [7085] = 6270,
  [7086] = 6271,
  [7087] = 6272,
  [7088] = 6273,
  [7089] = 6274,
  [7090] = 6275,
  [7091] = 7091,
  [7092] = 6296,
  [7093] = 6297,
  [7094] = 6298,
  [7095] = 6299,
  [7096] = 6300,
  [7097] = 6267,
  [7098] = 6323,
  [7099] = 6324,
  [7100] = 6325,
  [7101] = 6326,
  [7102] = 6268,
  [7103] = 6337,
  [7104] = 6338,
  [7105] = 6339,
  [7106] = 6229,
  [7107] = 6349,
  [7108] = 6219,
  [7109] = 6220,
  [7110] = 6221,
  [7111] = 6222,
  [7112] = 6018,
  [7113] = 6229,
  [7114] = 6270,
  [7115] = 6271,
  [7116] = 6015,
  [7117] = 6013,
  [7118] = 6263,
  [7119] = 6264,
  [7120] = 6265,
  [7121] = 6266,
  [7122] = 6267,
  [7123] = 6268,
  [7124] = 6003,
  [7125] = 6270,
  [7126] = 6271,
  [7127] = 6272,
  [7128] = 6273,
  [7129] = 6274,
  [7130] = 6275,
  [7131] = 6023,
  [7132] = 6296,
  [7133] = 6297,
  [7134] = 6298,
  [7135] = 6299,
  [7136] = 6300,
  [7137] = 6272,
  [7138] = 6323,
  [7139] = 6324,
  [7140] = 6325,
  [7141] = 6326,
  [7142] = 6273,
  [7143] = 6337,
  [7144] = 6338,
  [7145] = 6339,
  [7146] = 6274,
  [7147] = 6349,
  [7148] = 6219,
  [7149] = 6220,
  [7150] = 6221,
  [7151] = 6222,
  [7152] = 6030,
  [7153] = 6029,
  [7154] = 6229,
  [7155] = 6026,
  [7156] = 6020,
  [7157] = 6275,
  [7158] = 6017,
  [7159] = 6263,
  [7160] = 6264,
  [7161] = 6265,
  [7162] = 6266,
  [7163] = 6267,
  [7164] = 6268,
  [7165] = 6003,
  [7166] = 6270,
  [7167] = 6271,
  [7168] = 6272,
  [7169] = 6273,
  [7170] = 6274,
  [7171] = 6275,
  [7172] = 6004,
  [7173] = 6296,
  [7174] = 6297,
  [7175] = 6298,
  [7176] = 6299,
  [7177] = 6300,
  [7178] = 6033,
  [7179] = 6323,
  [7180] = 6324,
  [7181] = 6325,
  [7182] = 6326,
  [7183] = 6034,
  [7184] = 6337,
  [7185] = 6338,
  [7186] = 6339,
  [7187] = 6035,
  [7188] = 6349,
  [7189] = 6222,
  [7190] = 6222,
  [7191] = 7191,
  [7192] = 6045,
  [7193] = 7193,
  [7194] = 7194,
  [7195] = 7195,
  [7196] = 7196,
  [7197] = 6044,
  [7198] = 7198,
  [7199] = 6043,
  [7200] = 6042,
  [7201] = 6041,
  [7202] = 6040,
  [7203] = 6039,
  [7204] = 6038,
  [7205] = 6037,
  [7206] = 6036,
  [7207] = 6031,
  [7208] = 6028,
  [7209] = 6027,
  [7210] = 7210,
  [7211] = 6024,
  [7212] = 6481,
  [7213] = 6016,
  [7214] = 6014,
  [7215] = 6011,
  [7216] = 6008,
  [7217] = 6007,
  [7218] = 6006,
  [7219] = 6079,
  [7220] = 6005,
  [7221] = 6860,
  [7222] = 6025,
  [7223] = 6039,
  [7224] = 6024,
  [7225] = 6018,
  [7226] = 6282,
  [7227] = 6015,
  [7228] = 6013,
  [7229] = 6012,
  [7230] = 6030,
  [7231] = 6029,
  [7232] = 7232,
  [7233] = 6026,
  [7234] = 6020,
  [7235] = 7235,
  [7236] = 6017,
  [7237] = 6004,
  [7238] = 6033,
  [7239] = 7239,
  [7240] = 6034,
  [7241] = 6035,
  [7242] = 7242,
  [7243] = 7243,
  [7244] = 7244,
  [7245] = 7245,
  [7246] = 7246,
  [7247] = 6045,
  [7248] = 7248,
  [7249] = 6044,
  [7250] = 7250,
  [7251] = 6043,
  [7252] = 6042,
  [7253] = 6041,
  [7254] = 7254,
  [7255] = 6040,
  [7256] = 7256,
  [7257] = 6287,
  [7258] = 6038,
  [7259] = 7259,
  [7260] = 6037,
  [7261] = 6036,
  [7262] = 6031,
  [7263] = 6028,
  [7264] = 6027,
  [7265] = 7265,
  [7266] = 6024,
  [7267] = 6481,
  [7268] = 7232,
  [7269] = 6016,
  [7270] = 6014,
  [7271] = 7191,
  [7272] = 7193,
  [7273] = 7194,
  [7274] = 7195,
  [7275] = 6011,
  [7276] = 6008,
  [7277] = 6007,
  [7278] = 6006,
  [7279] = 6005,
  [7280] = 6860,
  [7281] = 6025,
  [7282] = 6023,
  [7283] = 6286,
  [7284] = 7284,
  [7285] = 7285,
  [7286] = 7239,
  [7287] = 6018,
  [7288] = 6015,
  [7289] = 7242,
  [7290] = 7243,
  [7291] = 7244,
  [7292] = 6013,
  [7293] = 6012,
  [7294] = 7250,
  [7295] = 6030,
  [7296] = 6029,
  [7297] = 7193,
  [7298] = 7194,
  [7299] = 7195,
  [7300] = 6026,
  [7301] = 6020,
  [7302] = 6017,
  [7303] = 6004,
  [7304] = 6033,
  [7305] = 6034,
  [7306] = 6035,
  [7307] = 6045,
  [7308] = 6044,
  [7309] = 6043,
  [7310] = 7239,
  [7311] = 6042,
  [7312] = 6041,
  [7313] = 7242,
  [7314] = 7243,
  [7315] = 7244,
  [7316] = 6040,
  [7317] = 6039,
  [7318] = 7250,
  [7319] = 6038,
  [7320] = 6037,
  [7321] = 7193,
  [7322] = 7194,
  [7323] = 7195,
  [7324] = 6036,
  [7325] = 6031,
  [7326] = 6028,
  [7327] = 6027,
  [7328] = 7248,
  [7329] = 6024,
  [7330] = 6067,
  [7331] = 6481,
  [7332] = 6016,
  [7333] = 6014,
  [7334] = 7239,
  [7335] = 6011,
  [7336] = 7336,
  [7337] = 7242,
  [7338] = 7243,
  [7339] = 7244,
  [7340] = 6008,
  [7341] = 6007,
  [7342] = 7250,
  [7343] = 6006,
  [7344] = 6005,
  [7345] = 7193,
  [7346] = 7194,
  [7347] = 7195,
  [7348] = 6860,
  [7349] = 6025,
  [7350] = 6023,
  [7351] = 7351,
  [7352] = 6020,
  [7353] = 7353,
  [7354] = 7239,
  [7355] = 7242,
  [7356] = 7243,
  [7357] = 7244,
  [7358] = 7250,
  [7359] = 7193,
  [7360] = 7194,
  [7361] = 7195,
  [7362] = 6018,
  [7363] = 6027,
  [7364] = 6028,
  [7365] = 6015,
  [7366] = 6013,
  [7367] = 6012,
  [7368] = 7239,
  [7369] = 7242,
  [7370] = 7243,
  [7371] = 7244,
  [7372] = 7250,
  [7373] = 7193,
  [7374] = 7194,
  [7375] = 7195,
  [7376] = 7376,
  [7377] = 6030,
  [7378] = 6029,
  [7379] = 6026,
  [7380] = 7239,
  [7381] = 7242,
  [7382] = 7243,
  [7383] = 7244,
  [7384] = 7250,
  [7385] = 7193,
  [7386] = 7194,
  [7387] = 7195,
  [7388] = 6027,
  [7389] = 7389,
  [7390] = 6031,
  [7391] = 7391,
  [7392] = 7239,
  [7393] = 7242,
  [7394] = 7243,
  [7395] = 7244,
  [7396] = 7250,
  [7397] = 7193,
  [7398] = 7194,
  [7399] = 7195,
  [7400] = 6017,
  [7401] = 6004,
  [7402] = 6033,
  [7403] = 6034,
  [7404] = 7239,
  [7405] = 7242,
  [7406] = 7243,
  [7407] = 7244,
  [7408] = 7250,
  [7409] = 7193,
  [7410] = 7194,
  [7411] = 7195,
  [7412] = 6035,
  [7413] = 6045,
  [7414] = 7414,
  [7415] = 6044,
  [7416] = 7239,
  [7417] = 7242,
  [7418] = 7243,
  [7419] = 7244,
  [7420] = 7250,
  [7421] = 7193,
  [7422] = 7194,
  [7423] = 7195,
  [7424] = 6043,
  [7425] = 6042,
  [7426] = 6041,
  [7427] = 6040,
  [7428] = 7239,
  [7429] = 7242,
  [7430] = 7243,
  [7431] = 7244,
  [7432] = 7250,
  [7433] = 7193,
  [7434] = 7194,
  [7435] = 7195,
  [7436] = 6039,
  [7437] = 6038,
  [7438] = 6037,
  [7439] = 6036,
  [7440] = 7239,
  [7441] = 7242,
  [7442] = 7243,
  [7443] = 7244,
  [7444] = 7250,
  [7445] = 7193,
  [7446] = 7194,
  [7447] = 7195,
  [7448] = 6031,
  [7449] = 6028,
  [7450] = 6005,
  [7451] = 7451,
  [7452] = 7239,
  [7453] = 7242,
  [7454] = 7243,
  [7455] = 7244,
  [7456] = 7250,
  [7457] = 7193,
  [7458] = 7194,
  [7459] = 7195,
  [7460] = 7460,
  [7461] = 6296,
  [7462] = 7265,
  [7463] = 7248,
  [7464] = 7239,
  [7465] = 7242,
  [7466] = 7243,
  [7467] = 7244,
  [7468] = 7250,
  [7469] = 7193,
  [7470] = 7194,
  [7471] = 7195,
  [7472] = 6297,
  [7473] = 6298,
  [7474] = 6024,
  [7475] = 6263,
  [7476] = 7239,
  [7477] = 7242,
  [7478] = 7243,
  [7479] = 7244,
  [7480] = 7250,
  [7481] = 7193,
  [7482] = 7194,
  [7483] = 7195,
  [7484] = 6299,
  [7485] = 6067,
  [7486] = 6300,
  [7487] = 6481,
  [7488] = 7239,
  [7489] = 7242,
  [7490] = 7243,
  [7491] = 7244,
  [7492] = 7250,
  [7493] = 7193,
  [7494] = 7194,
  [7495] = 7195,
  [7496] = 6016,
  [7497] = 6014,
  [7498] = 6011,
  [7499] = 6979,
  [7500] = 7239,
  [7501] = 7242,
  [7502] = 7243,
  [7503] = 7244,
  [7504] = 7250,
  [7505] = 7193,
  [7506] = 7194,
  [7507] = 7195,
  [7508] = 7508,
  [7509] = 6008,
  [7510] = 6007,
  [7511] = 6006,
  [7512] = 7239,
  [7513] = 7242,
  [7514] = 7243,
  [7515] = 7244,
  [7516] = 7250,
  [7517] = 6044,
  [7518] = 7518,
  [7519] = 7519,
  [7520] = 6229,
  [7521] = 7239,
  [7522] = 6860,
  [7523] = 6860,
  [7524] = 6025,
  [7525] = 6023,
  [7526] = 6949,
  [7527] = 6845,
  [7528] = 6036,
  [7529] = 6037,
  [7530] = 6207,
  [7531] = 6067,
  [7532] = 6171,
  [7533] = 6038,
  [7534] = 6039,
  [7535] = 6722,
  [7536] = 7091,
  [7537] = 6040,
  [7538] = 7460,
  [7539] = 7451,
  [7540] = 7508,
  [7541] = 7518,
  [7542] = 6310,
  [7543] = 7543,
  [7544] = 6341,
  [7545] = 6342,
  [7546] = 6354,
  [7547] = 6355,
  [7548] = 6356,
  [7549] = 6041,
  [7550] = 6042,
  [7551] = 7551,
  [7552] = 6043,
  [7553] = 7553,
  [7554] = 6309,
  [7555] = 6207,
  [7556] = 6310,
  [7557] = 6722,
  [7558] = 7091,
  [7559] = 7460,
  [7560] = 7451,
  [7561] = 7508,
  [7562] = 7518,
  [7563] = 7543,
  [7564] = 7414,
  [7565] = 7565,
  [7566] = 6314,
  [7567] = 7567,
  [7568] = 6207,
  [7569] = 7569,
  [7570] = 6722,
  [7571] = 7091,
  [7572] = 7460,
  [7573] = 7451,
  [7574] = 7508,
  [7575] = 7518,
  [7576] = 7543,
  [7577] = 7244,
  [7578] = 7578,
  [7579] = 7579,
  [7580] = 7580,
  [7581] = 6207,
  [7582] = 7582,
  [7583] = 6722,
  [7584] = 7091,
  [7585] = 7460,
  [7586] = 7451,
  [7587] = 7508,
  [7588] = 7518,
  [7589] = 7543,
  [7590] = 7590,
  [7591] = 6045,
  [7592] = 7242,
  [7593] = 7543,
  [7594] = 6207,
  [7595] = 7091,
  [7596] = 7451,
  [7597] = 7508,
  [7598] = 7518,
  [7599] = 7543,
  [7600] = 7600,
  [7601] = 7198,
  [7602] = 7243,
  [7603] = 7603,
  [7604] = 6207,
  [7605] = 7091,
  [7606] = 7451,
  [7607] = 7508,
  [7608] = 7518,
  [7609] = 7543,
  [7610] = 6035,
  [7611] = 7611,
  [7612] = 7519,
  [7613] = 7091,
  [7614] = 7451,
  [7615] = 7508,
  [7616] = 7518,
  [7617] = 7543,
  [7618] = 6034,
  [7619] = 6033,
  [7620] = 6004,
  [7621] = 7091,
  [7622] = 7451,
  [7623] = 7508,
  [7624] = 7518,
  [7625] = 7543,
  [7626] = 6017,
  [7627] = 6323,
  [7628] = 6324,
  [7629] = 7091,
  [7630] = 7451,
  [7631] = 7508,
  [7632] = 7518,
  [7633] = 7543,
  [7634] = 6325,
  [7635] = 7635,
  [7636] = 7636,
  [7637] = 7091,
  [7638] = 7451,
  [7639] = 7508,
  [7640] = 7518,
  [7641] = 7543,
  [7642] = 7642,
  [7643] = 7643,
  [7644] = 6326,
  [7645] = 7091,
  [7646] = 7451,
  [7647] = 7508,
  [7648] = 7518,
  [7649] = 7543,
  [7650] = 7650,
  [7651] = 6222,
  [7652] = 6221,
  [7653] = 7091,
  [7654] = 7451,
  [7655] = 7508,
  [7656] = 7518,
  [7657] = 7543,
  [7658] = 7245,
  [7659] = 6220,
  [7660] = 6025,
  [7661] = 7091,
  [7662] = 7451,
  [7663] = 7508,
  [7664] = 7518,
  [7665] = 7543,
  [7666] = 7246,
  [7667] = 6023,
  [7668] = 6219,
  [7669] = 7091,
  [7670] = 7451,
  [7671] = 7508,
  [7672] = 7518,
  [7673] = 7543,
  [7674] = 7195,
  [7675] = 7194,
  [7676] = 7193,
  [7677] = 7091,
  [7678] = 7451,
  [7679] = 7508,
  [7680] = 7518,
  [7681] = 7543,
  [7682] = 7682,
  [7683] = 7683,
  [7684] = 7091,
  [7685] = 7451,
  [7686] = 7508,
  [7687] = 7518,
  [7688] = 7543,
  [7689] = 7689,
  [7690] = 7391,
  [7691] = 6342,
  [7692] = 7091,
  [7693] = 7451,
  [7694] = 7508,
  [7695] = 7518,
  [7696] = 7543,
  [7697] = 7697,
  [7698] = 6331,
  [7699] = 7699,
  [7700] = 7091,
  [7701] = 7451,
  [7702] = 7508,
  [7703] = 7518,
  [7704] = 7543,
  [7705] = 7705,
  [7706] = 7682,
  [7707] = 7707,
  [7708] = 6335,
  [7709] = 7709,
  [7710] = 7245,
  [7711] = 7246,
  [7712] = 7712,
  [7713] = 7256,
  [7714] = 7259,
  [7715] = 7682,
  [7716] = 7716,
  [7717] = 6337,
  [7718] = 7682,
  [7719] = 7250,
  [7720] = 6338,
  [7721] = 7682,
  [7722] = 6020,
  [7723] = 6026,
  [7724] = 7682,
  [7725] = 6029,
  [7726] = 6339,
  [7727] = 7682,
  [7728] = 6030,
  [7729] = 6341,
  [7730] = 7682,
  [7731] = 7731,
  [7732] = 7732,
  [7733] = 7682,
  [7734] = 7734,
  [7735] = 7735,
  [7736] = 7682,
  [7737] = 7737,
  [7738] = 6347,
  [7739] = 7682,
  [7740] = 6012,
  [7741] = 6349,
  [7742] = 7682,
  [7743] = 6013,
  [7744] = 6015,
  [7745] = 7682,
  [7746] = 7254,
  [7747] = 7747,
  [7748] = 7682,
  [7749] = 6354,
  [7750] = 6351,
  [7751] = 7682,
  [7752] = 7752,
  [7753] = 6018,
  [7754] = 7682,
  [7755] = 6352,
  [7756] = 7756,
  [7757] = 7682,
  [7758] = 7191,
  [7759] = 6353,
  [7760] = 7682,
  [7761] = 7256,
  [7762] = 7353,
  [7763] = 7682,
  [7764] = 7764,
  [7765] = 6355,
  [7766] = 7259,
  [7767] = 6356,
  [7768] = 7265,
  [7769] = 6019,
  [7770] = 7770,
  [7771] = 7771,
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(18);
      if (lookahead == '!') ADVANCE(72);
      if (lookahead == '"') ADVANCE(59);
      if (lookahead == '$') ADVANCE(45);
      if (lookahead == '%') ADVANCE(55);
      if (lookahead == '\'') ADVANCE(48);
      if (lookahead == '(') ADVANCE(19);
      if (lookahead == ')') ADVANCE(20);
      if (lookahead == '*') ADVANCE(43);
      if (lookahead == '+') ADVANCE(53);
      if (lookahead == ',') ADVANCE(21);
      if (lookahead == '-') ADVANCE(54);
      if (lookahead == '.') ADVANCE(41);
      if (lookahead == '/') ADVANCE(39);
      if (lookahead == ':') ADVANCE(9);
      if (lookahead == ';') ADVANCE(40);
      if (lookahead == '<') ADVANCE(49);
      if (lookahead == '=') ADVANCE(42);
      if (lookahead == '>') ADVANCE(50);
      if (lookahead == '?') ADVANCE(44);
      if (lookahead == '[') ADVANCE(22);
      if (lookahead == ']') ADVANCE(23);
      if (lookahead == '^') ADVANCE(56);
      if (lookahead == '`') ADVANCE(73);
      if (lookahead == '|') ADVANCE(11);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(16)
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(46);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(74);
      END_STATE();
    case 1:
      if (lookahead == '!') ADVANCE(71);
      if (lookahead == '"') ADVANCE(59);
      if (lookahead == '$') ADVANCE(45);
      if (lookahead == '\'') ADVANCE(48);
      if (lookahead == '(') ADVANCE(19);
      if (lookahead == ')') ADVANCE(20);
      if (lookahead == '*') ADVANCE(43);
      if (lookahead == '-') ADVANCE(54);
      if (lookahead == '.') ADVANCE(41);
      if (lookahead == '/') ADVANCE(2);
      if (lookahead == '?') ADVANCE(44);
      if (lookahead == ']') ADVANCE(23);
      if (lookahead == '`') ADVANCE(73);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(12)
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(70);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(74);
      END_STATE();
    case 2:
      if (lookahead == '*') ADVANCE(33);
      END_STATE();
    case 3:
      if (lookahead == '*') ADVANCE(38);
      if (lookahead == '-') ADVANCE(4);
      if (lookahead == '/') ADVANCE(6);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(14);
      if (lookahead != 0) ADVANCE(5);
      END_STATE();
    case 4:
      if (lookahead == '*') ADVANCE(38);
      if (lookahead == '-') ADVANCE(25);
      if (lookahead != 0) ADVANCE(5);
      END_STATE();
    case 5:
      if (lookahead == '*') ADVANCE(38);
      if (lookahead != 0) ADVANCE(5);
      END_STATE();
    case 6:
      if (lookahead == '*') ADVANCE(34);
      if (lookahead != 0) ADVANCE(5);
      END_STATE();
    case 7:
      if (lookahead == '-') ADVANCE(24);
      END_STATE();
    case 8:
      if (lookahead == '-') ADVANCE(7);
      if (lookahead == '/') ADVANCE(2);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(13)
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(46);
      END_STATE();
    case 9:
      if (lookahead == ':') ADVANCE(47);
      END_STATE();
    case 10:
      if (lookahead == '=') ADVANCE(58);
      END_STATE();
    case 11:
      if (lookahead == '|') ADVANCE(57);
      END_STATE();
    case 12:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(12)
      if (lookahead == '!') ADVANCE(71);
      if (lookahead == '"') ADVANCE(59);
      if (lookahead == '$') ADVANCE(45);
      if (lookahead == '\'') ADVANCE(48);
      if (lookahead == '(') ADVANCE(19);
      if (lookahead == ')') ADVANCE(20);
      if (lookahead == '*') ADVANCE(43);
      if (lookahead == '-') ADVANCE(54);
      if (lookahead == '.') ADVANCE(41);
      if (lookahead == '/') ADVANCE(2);
      if (lookahead == '?') ADVANCE(44);
      if (lookahead == ']') ADVANCE(23);
      if (lookahead == '`') ADVANCE(73);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(70);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(74);
      END_STATE();
    case 13:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(13)
      if (lookahead == '-') ADVANCE(7);
      if (lookahead == '/') ADVANCE(2);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(46);
      END_STATE();
    case 14:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(14);
      if (lookahead == '*') ADVANCE(38);
      if (lookahead == '-') ADVANCE(4);
      if (lookahead == '/') ADVANCE(6);
      if (lookahead != 0) ADVANCE(5);
      END_STATE();
    case 15:
      if (eof) ADVANCE(18);
      if (lookahead == '!') ADVANCE(10);
      if (lookahead == '"') ADVANCE(59);
      if (lookahead == '%') ADVANCE(55);
      if (lookahead == '\'') ADVANCE(48);
      if (lookahead == '(') ADVANCE(19);
      if (lookahead == ')') ADVANCE(20);
      if (lookahead == '*') ADVANCE(43);
      if (lookahead == '+') ADVANCE(53);
      if (lookahead == ',') ADVANCE(21);
      if (lookahead == '-') ADVANCE(54);
      if (lookahead == '.') ADVANCE(41);
      if (lookahead == '/') ADVANCE(39);
      if (lookahead == ':') ADVANCE(9);
      if (lookahead == ';') ADVANCE(40);
      if (lookahead == '<') ADVANCE(49);
      if (lookahead == '=') ADVANCE(42);
      if (lookahead == '>') ADVANCE(50);
      if (lookahead == ']') ADVANCE(23);
      if (lookahead == '^') ADVANCE(56);
      if (lookahead == '`') ADVANCE(73);
      if (lookahead == '|') ADVANCE(11);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(17)
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(70);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(74);
      END_STATE();
    case 16:
      if (eof) ADVANCE(18);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(16)
      if (lookahead == '!') ADVANCE(72);
      if (lookahead == '"') ADVANCE(59);
      if (lookahead == '$') ADVANCE(45);
      if (lookahead == '%') ADVANCE(55);
      if (lookahead == '\'') ADVANCE(48);
      if (lookahead == '(') ADVANCE(19);
      if (lookahead == ')') ADVANCE(20);
      if (lookahead == '*') ADVANCE(43);
      if (lookahead == '+') ADVANCE(53);
      if (lookahead == ',') ADVANCE(21);
      if (lookahead == '-') ADVANCE(54);
      if (lookahead == '.') ADVANCE(41);
      if (lookahead == '/') ADVANCE(39);
      if (lookahead == ':') ADVANCE(9);
      if (lookahead == ';') ADVANCE(40);
      if (lookahead == '<') ADVANCE(49);
      if (lookahead == '=') ADVANCE(42);
      if (lookahead == '>') ADVANCE(50);
      if (lookahead == '?') ADVANCE(44);
      if (lookahead == '[') ADVANCE(22);
      if (lookahead == ']') ADVANCE(23);
      if (lookahead == '^') ADVANCE(56);
      if (lookahead == '`') ADVANCE(73);
      if (lookahead == '|') ADVANCE(11);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(46);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(74);
      END_STATE();
    case 17:
      if (eof) ADVANCE(18);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(17)
      if (lookahead == '!') ADVANCE(10);
      if (lookahead == '"') ADVANCE(59);
      if (lookahead == '%') ADVANCE(55);
      if (lookahead == '\'') ADVANCE(48);
      if (lookahead == '(') ADVANCE(19);
      if (lookahead == ')') ADVANCE(20);
      if (lookahead == '*') ADVANCE(43);
      if (lookahead == '+') ADVANCE(53);
      if (lookahead == ',') ADVANCE(21);
      if (lookahead == '-') ADVANCE(54);
      if (lookahead == '.') ADVANCE(41);
      if (lookahead == '/') ADVANCE(39);
      if (lookahead == ':') ADVANCE(9);
      if (lookahead == ';') ADVANCE(40);
      if (lookahead == '<') ADVANCE(49);
      if (lookahead == '=') ADVANCE(42);
      if (lookahead == '>') ADVANCE(50);
      if (lookahead == ']') ADVANCE(23);
      if (lookahead == '^') ADVANCE(56);
      if (lookahead == '`') ADVANCE(73);
      if (lookahead == '|') ADVANCE(11);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(70);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(74);
      END_STATE();
    case 18:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 19:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 20:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 21:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 22:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 23:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 24:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 25:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      if (lookahead == '*') ADVANCE(38);
      if (lookahead != 0) ADVANCE(5);
      END_STATE();
    case 26:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(32);
      END_STATE();
    case 27:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(64);
      END_STATE();
    case 28:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(69);
      END_STATE();
    case 29:
      ACCEPT_TOKEN(aux_sym_comment_token1);
      if (lookahead == '*') ADVANCE(35);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(32);
      END_STATE();
    case 30:
      ACCEPT_TOKEN(aux_sym_comment_token1);
      if (lookahead == '-') ADVANCE(31);
      if (lookahead == '/') ADVANCE(29);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(30);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(32);
      END_STATE();
    case 31:
      ACCEPT_TOKEN(aux_sym_comment_token1);
      if (lookahead == '-') ADVANCE(26);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(32);
      END_STATE();
    case 32:
      ACCEPT_TOKEN(aux_sym_comment_token1);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(32);
      END_STATE();
    case 33:
      ACCEPT_TOKEN(anon_sym_SLASH_STAR);
      END_STATE();
    case 34:
      ACCEPT_TOKEN(anon_sym_SLASH_STAR);
      if (lookahead == '*') ADVANCE(38);
      if (lookahead != 0 &&
          lookahead != '/') ADVANCE(5);
      END_STATE();
    case 35:
      ACCEPT_TOKEN(anon_sym_SLASH_STAR);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(32);
      END_STATE();
    case 36:
      ACCEPT_TOKEN(anon_sym_SLASH_STAR);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(64);
      END_STATE();
    case 37:
      ACCEPT_TOKEN(anon_sym_SLASH_STAR);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(69);
      END_STATE();
    case 38:
      ACCEPT_TOKEN(aux_sym_marginalia_token1);
      if (lookahead == '*') ADVANCE(38);
      if (lookahead != 0 &&
          lookahead != '/') ADVANCE(5);
      END_STATE();
    case 39:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(33);
      END_STATE();
    case 40:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 41:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 42:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 43:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 44:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      END_STATE();
    case 46:
      ACCEPT_TOKEN(aux_sym_parameter_token1);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(46);
      END_STATE();
    case 47:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 48:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 49:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '=') ADVANCE(51);
      END_STATE();
    case 50:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(52);
      END_STATE();
    case 51:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 52:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 53:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 54:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(24);
      END_STATE();
    case 55:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 56:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 57:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 58:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 59:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(aux_sym__double_quote_string_token1);
      if (lookahead == '*') ADVANCE(36);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(64);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(aux_sym__double_quote_string_token1);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '/') ADVANCE(60);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(63);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(64);
      END_STATE();
    case 62:
      ACCEPT_TOKEN(aux_sym__double_quote_string_token1);
      if (lookahead == '-') ADVANCE(27);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(64);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(aux_sym__double_quote_string_token1);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(63);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '/') ADVANCE(60);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(64);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(aux_sym__double_quote_string_token1);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(64);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(aux_sym__literal_string_token1);
      if (lookahead == '*') ADVANCE(37);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(69);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(aux_sym__literal_string_token1);
      if (lookahead == '-') ADVANCE(67);
      if (lookahead == '/') ADVANCE(65);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(68);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(69);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(aux_sym__literal_string_token1);
      if (lookahead == '-') ADVANCE(28);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(69);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(aux_sym__literal_string_token1);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(68);
      if (lookahead == '-') ADVANCE(67);
      if (lookahead == '/') ADVANCE(65);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(69);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(aux_sym__literal_string_token1);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(69);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(sym__natural_number);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(70);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(sym_bang);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(sym_bang);
      if (lookahead == '=') ADVANCE(58);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(sym__identifier);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(74);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == 'A') ADVANCE(1);
      if (lookahead == 'B') ADVANCE(2);
      if (lookahead == 'C') ADVANCE(3);
      if (lookahead == 'D') ADVANCE(4);
      if (lookahead == 'E') ADVANCE(5);
      if (lookahead == 'F') ADVANCE(6);
      if (lookahead == 'G') ADVANCE(7);
      if (lookahead == 'H') ADVANCE(8);
      if (lookahead == 'I') ADVANCE(9);
      if (lookahead == 'J') ADVANCE(10);
      if (lookahead == 'K') ADVANCE(11);
      if (lookahead == 'L') ADVANCE(12);
      if (lookahead == 'M') ADVANCE(13);
      if (lookahead == 'N') ADVANCE(14);
      if (lookahead == 'O') ADVANCE(15);
      if (lookahead == 'P') ADVANCE(16);
      if (lookahead == 'R') ADVANCE(17);
      if (lookahead == 'S') ADVANCE(18);
      if (lookahead == 'T') ADVANCE(19);
      if (lookahead == 'U') ADVANCE(20);
      if (lookahead == 'V') ADVANCE(21);
      if (lookahead == 'W') ADVANCE(22);
      if (lookahead == 'X') ADVANCE(23);
      if (lookahead == 'Z') ADVANCE(24);
      if (lookahead == 'a') ADVANCE(25);
      if (lookahead == 'b') ADVANCE(26);
      if (lookahead == 'c') ADVANCE(27);
      if (lookahead == 'd') ADVANCE(28);
      if (lookahead == 'e') ADVANCE(29);
      if (lookahead == 'f') ADVANCE(30);
      if (lookahead == 'g') ADVANCE(31);
      if (lookahead == 'h') ADVANCE(32);
      if (lookahead == 'i') ADVANCE(33);
      if (lookahead == 'j') ADVANCE(34);
      if (lookahead == 'k') ADVANCE(35);
      if (lookahead == 'l') ADVANCE(36);
      if (lookahead == 'm') ADVANCE(37);
      if (lookahead == 'n') ADVANCE(38);
      if (lookahead == 'o') ADVANCE(39);
      if (lookahead == 'p') ADVANCE(40);
      if (lookahead == 'r') ADVANCE(41);
      if (lookahead == 's') ADVANCE(42);
      if (lookahead == 't') ADVANCE(43);
      if (lookahead == 'u') ADVANCE(44);
      if (lookahead == 'v') ADVANCE(45);
      if (lookahead == 'w') ADVANCE(46);
      if (lookahead == 'x') ADVANCE(47);
      if (lookahead == 'y') ADVANCE(48);
      if (lookahead == 'z') ADVANCE(49);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(50)
      END_STATE();
    case 1:
      if (lookahead == 'D') ADVANCE(51);
      if (lookahead == 'F') ADVANCE(52);
      if (lookahead == 'L') ADVANCE(53);
      if (lookahead == 'N') ADVANCE(54);
      if (lookahead == 'R') ADVANCE(55);
      if (lookahead == 'S') ADVANCE(56);
      if (lookahead == 'U') ADVANCE(57);
      if (lookahead == 'V') ADVANCE(58);
      END_STATE();
    case 2:
      if (lookahead == 'E') ADVANCE(59);
      if (lookahead == 'I') ADVANCE(60);
      if (lookahead == 'O') ADVANCE(61);
      if (lookahead == 'R') ADVANCE(62);
      if (lookahead == 'T') ADVANCE(63);
      if (lookahead == 'Y') ADVANCE(64);
      END_STATE();
    case 3:
      if (lookahead == 'A') ADVANCE(65);
      if (lookahead == 'H') ADVANCE(66);
      if (lookahead == 'O') ADVANCE(67);
      if (lookahead == 'R') ADVANCE(68);
      if (lookahead == 'S') ADVANCE(69);
      if (lookahead == 'U') ADVANCE(70);
      END_STATE();
    case 4:
      if (lookahead == 'A') ADVANCE(71);
      if (lookahead == 'E') ADVANCE(72);
      if (lookahead == 'I') ADVANCE(73);
      if (lookahead == 'O') ADVANCE(74);
      if (lookahead == 'R') ADVANCE(75);
      END_STATE();
    case 5:
      if (lookahead == 'L') ADVANCE(76);
      if (lookahead == 'N') ADVANCE(77);
      if (lookahead == 'S') ADVANCE(78);
      if (lookahead == 'X') ADVANCE(79);
      END_STATE();
    case 6:
      if (lookahead == 'A') ADVANCE(80);
      if (lookahead == 'I') ADVANCE(81);
      if (lookahead == 'L') ADVANCE(82);
      if (lookahead == 'O') ADVANCE(83);
      if (lookahead == 'R') ADVANCE(84);
      END_STATE();
    case 7:
      if (lookahead == 'E') ADVANCE(85);
      if (lookahead == 'I') ADVANCE(86);
      if (lookahead == 'R') ADVANCE(87);
      END_STATE();
    case 8:
      ACCEPT_TOKEN(anon_sym_H);
      if (lookahead == 'A') ADVANCE(88);
      END_STATE();
    case 9:
      if (lookahead == 'F') ADVANCE(89);
      if (lookahead == 'G') ADVANCE(90);
      if (lookahead == 'L') ADVANCE(91);
      if (lookahead == 'N') ADVANCE(92);
      if (lookahead == 'S') ADVANCE(93);
      END_STATE();
    case 10:
      if (lookahead == 'O') ADVANCE(94);
      if (lookahead == 'S') ADVANCE(95);
      END_STATE();
    case 11:
      if (lookahead == 'E') ADVANCE(96);
      END_STATE();
    case 12:
      if (lookahead == 'A') ADVANCE(97);
      if (lookahead == 'E') ADVANCE(98);
      if (lookahead == 'I') ADVANCE(99);
      if (lookahead == 'O') ADVANCE(100);
      END_STATE();
    case 13:
      ACCEPT_TOKEN(anon_sym_M);
      if (lookahead == 'A') ADVANCE(101);
      if (lookahead == 'E') ADVANCE(102);
      if (lookahead == 'I') ADVANCE(103);
      if (lookahead == 'O') ADVANCE(104);
      END_STATE();
    case 14:
      if (lookahead == 'A') ADVANCE(105);
      if (lookahead == 'O') ADVANCE(106);
      if (lookahead == 'U') ADVANCE(107);
      END_STATE();
    case 15:
      if (lookahead == 'F') ADVANCE(108);
      if (lookahead == 'I') ADVANCE(109);
      if (lookahead == 'N') ADVANCE(110);
      if (lookahead == 'R') ADVANCE(111);
      if (lookahead == 'T') ADVANCE(112);
      if (lookahead == 'U') ADVANCE(113);
      if (lookahead == 'V') ADVANCE(114);
      if (lookahead == 'W') ADVANCE(115);
      END_STATE();
    case 16:
      if (lookahead == 'A') ADVANCE(116);
      if (lookahead == 'R') ADVANCE(117);
      END_STATE();
    case 17:
      if (lookahead == 'A') ADVANCE(118);
      if (lookahead == 'C') ADVANCE(119);
      if (lookahead == 'E') ADVANCE(120);
      if (lookahead == 'I') ADVANCE(121);
      if (lookahead == 'O') ADVANCE(122);
      END_STATE();
    case 18:
      ACCEPT_TOKEN(anon_sym_S);
      if (lookahead == 'C') ADVANCE(123);
      if (lookahead == 'E') ADVANCE(124);
      if (lookahead == 'I') ADVANCE(125);
      if (lookahead == 'M') ADVANCE(126);
      if (lookahead == 'O') ADVANCE(127);
      if (lookahead == 'P') ADVANCE(128);
      if (lookahead == 'T') ADVANCE(129);
      END_STATE();
    case 19:
      if (lookahead == 'A') ADVANCE(130);
      if (lookahead == 'B') ADVANCE(131);
      if (lookahead == 'E') ADVANCE(132);
      if (lookahead == 'H') ADVANCE(133);
      if (lookahead == 'I') ADVANCE(134);
      if (lookahead == 'O') ADVANCE(135);
      if (lookahead == 'R') ADVANCE(136);
      if (lookahead == 'Y') ADVANCE(137);
      END_STATE();
    case 20:
      if (lookahead == 'N') ADVANCE(138);
      if (lookahead == 'P') ADVANCE(139);
      if (lookahead == 'S') ADVANCE(140);
      if (lookahead == 'U') ADVANCE(141);
      END_STATE();
    case 21:
      if (lookahead == 'A') ADVANCE(142);
      if (lookahead == 'I') ADVANCE(143);
      END_STATE();
    case 22:
      if (lookahead == 'H') ADVANCE(144);
      if (lookahead == 'I') ADVANCE(145);
      END_STATE();
    case 23:
      if (lookahead == 'M') ADVANCE(146);
      END_STATE();
    case 24:
      if (lookahead == 'E') ADVANCE(147);
      if (lookahead == 'O') ADVANCE(148);
      END_STATE();
    case 25:
      if (lookahead == 'd') ADVANCE(149);
      if (lookahead == 'f') ADVANCE(150);
      if (lookahead == 'g') ADVANCE(151);
      if (lookahead == 'l') ADVANCE(152);
      if (lookahead == 'n') ADVANCE(153);
      if (lookahead == 'r') ADVANCE(154);
      if (lookahead == 's') ADVANCE(155);
      if (lookahead == 'u') ADVANCE(156);
      if (lookahead == 'v') ADVANCE(157);
      END_STATE();
    case 26:
      if (lookahead == 'e') ADVANCE(158);
      if (lookahead == 'i') ADVANCE(159);
      if (lookahead == 'o') ADVANCE(160);
      if (lookahead == 'r') ADVANCE(161);
      if (lookahead == 't') ADVANCE(162);
      if (lookahead == 'y') ADVANCE(163);
      END_STATE();
    case 27:
      if (lookahead == 'a') ADVANCE(164);
      if (lookahead == 'e') ADVANCE(165);
      if (lookahead == 'h') ADVANCE(166);
      if (lookahead == 'o') ADVANCE(167);
      if (lookahead == 'r') ADVANCE(168);
      if (lookahead == 's') ADVANCE(169);
      if (lookahead == 'u') ADVANCE(170);
      END_STATE();
    case 28:
      ACCEPT_TOKEN(anon_sym_d);
      if (lookahead == 'a') ADVANCE(171);
      if (lookahead == 'e') ADVANCE(172);
      if (lookahead == 'i') ADVANCE(173);
      if (lookahead == 'o') ADVANCE(174);
      if (lookahead == 'r') ADVANCE(175);
      END_STATE();
    case 29:
      if (lookahead == 'l') ADVANCE(176);
      if (lookahead == 'n') ADVANCE(177);
      if (lookahead == 's') ADVANCE(178);
      if (lookahead == 'x') ADVANCE(179);
      END_STATE();
    case 30:
      if (lookahead == 'a') ADVANCE(180);
      if (lookahead == 'i') ADVANCE(181);
      if (lookahead == 'l') ADVANCE(182);
      if (lookahead == 'o') ADVANCE(183);
      if (lookahead == 'r') ADVANCE(184);
      END_STATE();
    case 31:
      if (lookahead == 'e') ADVANCE(185);
      if (lookahead == 'i') ADVANCE(186);
      if (lookahead == 'r') ADVANCE(187);
      END_STATE();
    case 32:
      if (lookahead == 'a') ADVANCE(188);
      if (lookahead == 'o') ADVANCE(189);
      END_STATE();
    case 33:
      if (lookahead == 'f') ADVANCE(89);
      if (lookahead == 'g') ADVANCE(190);
      if (lookahead == 'l') ADVANCE(191);
      if (lookahead == 'n') ADVANCE(192);
      if (lookahead == 's') ADVANCE(93);
      END_STATE();
    case 34:
      if (lookahead == 'o') ADVANCE(193);
      if (lookahead == 's') ADVANCE(194);
      END_STATE();
    case 35:
      if (lookahead == 'e') ADVANCE(195);
      END_STATE();
    case 36:
      if (lookahead == 'a') ADVANCE(196);
      if (lookahead == 'e') ADVANCE(197);
      if (lookahead == 'i') ADVANCE(198);
      if (lookahead == 'o') ADVANCE(199);
      END_STATE();
    case 37:
      ACCEPT_TOKEN(anon_sym_m);
      if (lookahead == 'a') ADVANCE(200);
      if (lookahead == 'e') ADVANCE(201);
      if (lookahead == 'i') ADVANCE(202);
      if (lookahead == 'o') ADVANCE(203);
      END_STATE();
    case 38:
      if (lookahead == 'a') ADVANCE(204);
      if (lookahead == 'o') ADVANCE(205);
      if (lookahead == 'u') ADVANCE(206);
      END_STATE();
    case 39:
      if (lookahead == 'f') ADVANCE(207);
      if (lookahead == 'i') ADVANCE(208);
      if (lookahead == 'n') ADVANCE(209);
      if (lookahead == 'r') ADVANCE(210);
      if (lookahead == 't') ADVANCE(211);
      if (lookahead == 'u') ADVANCE(212);
      if (lookahead == 'v') ADVANCE(213);
      if (lookahead == 'w') ADVANCE(214);
      END_STATE();
    case 40:
      if (lookahead == 'a') ADVANCE(215);
      if (lookahead == 'r') ADVANCE(216);
      END_STATE();
    case 41:
      if (lookahead == 'a') ADVANCE(217);
      if (lookahead == 'c') ADVANCE(218);
      if (lookahead == 'e') ADVANCE(219);
      if (lookahead == 'i') ADVANCE(220);
      if (lookahead == 'o') ADVANCE(221);
      END_STATE();
    case 42:
      if (lookahead == 'c') ADVANCE(222);
      if (lookahead == 'e') ADVANCE(223);
      if (lookahead == 'i') ADVANCE(224);
      if (lookahead == 'm') ADVANCE(225);
      if (lookahead == 'o') ADVANCE(226);
      if (lookahead == 'p') ADVANCE(227);
      if (lookahead == 't') ADVANCE(228);
      END_STATE();
    case 43:
      if (lookahead == 'a') ADVANCE(229);
      if (lookahead == 'b') ADVANCE(230);
      if (lookahead == 'e') ADVANCE(231);
      if (lookahead == 'h') ADVANCE(232);
      if (lookahead == 'i') ADVANCE(233);
      if (lookahead == 'o') ADVANCE(135);
      if (lookahead == 'r') ADVANCE(234);
      if (lookahead == 'y') ADVANCE(235);
      END_STATE();
    case 44:
      if (lookahead == 'n') ADVANCE(236);
      if (lookahead == 'p') ADVANCE(237);
      if (lookahead == 's') ADVANCE(238);
      if (lookahead == 'u') ADVANCE(239);
      END_STATE();
    case 45:
      if (lookahead == 'a') ADVANCE(240);
      if (lookahead == 'i') ADVANCE(241);
      END_STATE();
    case 46:
      if (lookahead == 'e') ADVANCE(242);
      if (lookahead == 'h') ADVANCE(243);
      if (lookahead == 'i') ADVANCE(244);
      END_STATE();
    case 47:
      if (lookahead == 'm') ADVANCE(245);
      END_STATE();
    case 48:
      ACCEPT_TOKEN(anon_sym_y);
      if (lookahead == 'e') ADVANCE(246);
      END_STATE();
    case 49:
      if (lookahead == 'e') ADVANCE(247);
      if (lookahead == 'o') ADVANCE(248);
      END_STATE();
    case 50:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(50)
      if (lookahead == 'A') ADVANCE(1);
      if (lookahead == 'B') ADVANCE(2);
      if (lookahead == 'C') ADVANCE(3);
      if (lookahead == 'D') ADVANCE(4);
      if (lookahead == 'E') ADVANCE(5);
      if (lookahead == 'F') ADVANCE(6);
      if (lookahead == 'G') ADVANCE(7);
      if (lookahead == 'H') ADVANCE(8);
      if (lookahead == 'I') ADVANCE(9);
      if (lookahead == 'J') ADVANCE(10);
      if (lookahead == 'K') ADVANCE(11);
      if (lookahead == 'L') ADVANCE(12);
      if (lookahead == 'M') ADVANCE(13);
      if (lookahead == 'N') ADVANCE(14);
      if (lookahead == 'O') ADVANCE(15);
      if (lookahead == 'P') ADVANCE(16);
      if (lookahead == 'R') ADVANCE(17);
      if (lookahead == 'S') ADVANCE(18);
      if (lookahead == 'T') ADVANCE(19);
      if (lookahead == 'U') ADVANCE(20);
      if (lookahead == 'V') ADVANCE(21);
      if (lookahead == 'W') ADVANCE(22);
      if (lookahead == 'X') ADVANCE(23);
      if (lookahead == 'Z') ADVANCE(24);
      if (lookahead == 'a') ADVANCE(25);
      if (lookahead == 'b') ADVANCE(26);
      if (lookahead == 'c') ADVANCE(27);
      if (lookahead == 'd') ADVANCE(28);
      if (lookahead == 'e') ADVANCE(29);
      if (lookahead == 'f') ADVANCE(30);
      if (lookahead == 'g') ADVANCE(31);
      if (lookahead == 'h') ADVANCE(32);
      if (lookahead == 'i') ADVANCE(33);
      if (lookahead == 'j') ADVANCE(34);
      if (lookahead == 'k') ADVANCE(35);
      if (lookahead == 'l') ADVANCE(36);
      if (lookahead == 'm') ADVANCE(37);
      if (lookahead == 'n') ADVANCE(38);
      if (lookahead == 'o') ADVANCE(39);
      if (lookahead == 'p') ADVANCE(40);
      if (lookahead == 'r') ADVANCE(41);
      if (lookahead == 's') ADVANCE(42);
      if (lookahead == 't') ADVANCE(43);
      if (lookahead == 'u') ADVANCE(44);
      if (lookahead == 'v') ADVANCE(45);
      if (lookahead == 'w') ADVANCE(46);
      if (lookahead == 'x') ADVANCE(47);
      if (lookahead == 'y') ADVANCE(48);
      if (lookahead == 'z') ADVANCE(49);
      END_STATE();
    case 51:
      if (lookahead == 'D') ADVANCE(249);
      END_STATE();
    case 52:
      if (lookahead == 'T') ADVANCE(250);
      END_STATE();
    case 53:
      if (lookahead == 'L') ADVANCE(251);
      if (lookahead == 'T') ADVANCE(252);
      END_STATE();
    case 54:
      if (lookahead == 'D') ADVANCE(253);
      END_STATE();
    case 55:
      if (lookahead == 'R') ADVANCE(254);
      END_STATE();
    case 56:
      ACCEPT_TOKEN(sym_keyword_as);
      if (lookahead == 'C') ADVANCE(255);
      END_STATE();
    case 57:
      if (lookahead == 'T') ADVANCE(256);
      END_STATE();
    case 58:
      if (lookahead == 'G') ADVANCE(257);
      if (lookahead == 'R') ADVANCE(258);
      END_STATE();
    case 59:
      if (lookahead == 'G') ADVANCE(259);
      if (lookahead == 'T') ADVANCE(260);
      END_STATE();
    case 60:
      if (lookahead == 'G') ADVANCE(261);
      END_STATE();
    case 61:
      if (lookahead == 'O') ADVANCE(262);
      if (lookahead == 'X') ADVANCE(263);
      END_STATE();
    case 62:
      if (lookahead == 'I') ADVANCE(264);
      END_STATE();
    case 63:
      if (lookahead == 'R') ADVANCE(265);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(sym_keyword_by);
      if (lookahead == 'T') ADVANCE(266);
      END_STATE();
    case 65:
      if (lookahead == 'C') ADVANCE(267);
      if (lookahead == 'S') ADVANCE(268);
      END_STATE();
    case 66:
      if (lookahead == 'A') ADVANCE(269);
      END_STATE();
    case 67:
      if (lookahead == 'L') ADVANCE(270);
      if (lookahead == 'M') ADVANCE(271);
      if (lookahead == 'N') ADVANCE(272);
      if (lookahead == 'U') ADVANCE(273);
      END_STATE();
    case 68:
      if (lookahead == 'E') ADVANCE(274);
      if (lookahead == 'O') ADVANCE(275);
      END_STATE();
    case 69:
      if (lookahead == 'V') ADVANCE(276);
      END_STATE();
    case 70:
      if (lookahead == 'R') ADVANCE(277);
      END_STATE();
    case 71:
      if (lookahead == 'T') ADVANCE(278);
      END_STATE();
    case 72:
      if (lookahead == 'C') ADVANCE(279);
      if (lookahead == 'F') ADVANCE(280);
      if (lookahead == 'L') ADVANCE(281);
      if (lookahead == 'S') ADVANCE(282);
      END_STATE();
    case 73:
      if (lookahead == 'S') ADVANCE(283);
      END_STATE();
    case 74:
      if (lookahead == 'U') ADVANCE(284);
      END_STATE();
    case 75:
      if (lookahead == 'O') ADVANCE(285);
      END_STATE();
    case 76:
      if (lookahead == 'S') ADVANCE(286);
      END_STATE();
    case 77:
      if (lookahead == 'D') ADVANCE(287);
      if (lookahead == 'G') ADVANCE(288);
      END_STATE();
    case 78:
      if (lookahead == 'C') ADVANCE(289);
      END_STATE();
    case 79:
      if (lookahead == 'C') ADVANCE(290);
      if (lookahead == 'I') ADVANCE(291);
      if (lookahead == 'T') ADVANCE(292);
      END_STATE();
    case 80:
      if (lookahead == 'L') ADVANCE(293);
      END_STATE();
    case 81:
      if (lookahead == 'E') ADVANCE(294);
      if (lookahead == 'R') ADVANCE(295);
      END_STATE();
    case 82:
      if (lookahead == 'O') ADVANCE(296);
      END_STATE();
    case 83:
      if (lookahead == 'L') ADVANCE(297);
      if (lookahead == 'R') ADVANCE(298);
      END_STATE();
    case 84:
      if (lookahead == 'O') ADVANCE(299);
      END_STATE();
    case 85:
      if (lookahead == 'O') ADVANCE(300);
      END_STATE();
    case 86:
      if (lookahead == 'N') ADVANCE(301);
      if (lookahead == 'S') ADVANCE(302);
      END_STATE();
    case 87:
      if (lookahead == 'O') ADVANCE(303);
      END_STATE();
    case 88:
      if (lookahead == 'S') ADVANCE(304);
      if (lookahead == 'V') ADVANCE(305);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(sym_keyword_if);
      END_STATE();
    case 90:
      if (lookahead == 'N') ADVANCE(306);
      END_STATE();
    case 91:
      if (lookahead == 'I') ADVANCE(307);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(sym_keyword_in);
      if (lookahead == 'D') ADVANCE(308);
      if (lookahead == 'N') ADVANCE(309);
      if (lookahead == 'S') ADVANCE(310);
      if (lookahead == 'T') ADVANCE(311);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(sym_keyword_is);
      END_STATE();
    case 94:
      if (lookahead == 'I') ADVANCE(312);
      END_STATE();
    case 95:
      if (lookahead == 'O') ADVANCE(313);
      END_STATE();
    case 96:
      if (lookahead == 'Y') ADVANCE(314);
      END_STATE();
    case 97:
      if (lookahead == 'S') ADVANCE(315);
      if (lookahead == 'T') ADVANCE(316);
      END_STATE();
    case 98:
      if (lookahead == 'F') ADVANCE(317);
      END_STATE();
    case 99:
      if (lookahead == 'K') ADVANCE(318);
      if (lookahead == 'M') ADVANCE(319);
      if (lookahead == 'N') ADVANCE(320);
      END_STATE();
    case 100:
      if (lookahead == 'C') ADVANCE(321);
      END_STATE();
    case 101:
      if (lookahead == 'T') ADVANCE(322);
      if (lookahead == 'X') ADVANCE(323);
      END_STATE();
    case 102:
      if (lookahead == 'D') ADVANCE(324);
      END_STATE();
    case 103:
      if (lookahead == 'N') ADVANCE(325);
      END_STATE();
    case 104:
      if (lookahead == 'D') ADVANCE(326);
      if (lookahead == 'N') ADVANCE(327);
      END_STATE();
    case 105:
      if (lookahead == 'M') ADVANCE(328);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(sym_keyword_no);
      if (lookahead == 'T') ADVANCE(329);
      END_STATE();
    case 107:
      if (lookahead == 'L') ADVANCE(330);
      if (lookahead == 'M') ADVANCE(331);
      END_STATE();
    case 108:
      if (lookahead == 'F') ADVANCE(332);
      END_STATE();
    case 109:
      if (lookahead == 'D') ADVANCE(333);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(sym_keyword_on);
      if (lookahead == 'L') ADVANCE(334);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(sym_keyword_or);
      if (lookahead == 'C') ADVANCE(335);
      if (lookahead == 'D') ADVANCE(336);
      END_STATE();
    case 112:
      if (lookahead == 'H') ADVANCE(337);
      END_STATE();
    case 113:
      if (lookahead == 'T') ADVANCE(338);
      END_STATE();
    case 114:
      if (lookahead == 'E') ADVANCE(339);
      END_STATE();
    case 115:
      if (lookahead == 'N') ADVANCE(340);
      END_STATE();
    case 116:
      if (lookahead == 'R') ADVANCE(341);
      END_STATE();
    case 117:
      if (lookahead == 'E') ADVANCE(342);
      if (lookahead == 'I') ADVANCE(343);
      END_STATE();
    case 118:
      if (lookahead == 'N') ADVANCE(344);
      END_STATE();
    case 119:
      if (lookahead == 'F') ADVANCE(345);
      END_STATE();
    case 120:
      if (lookahead == 'A') ADVANCE(346);
      if (lookahead == 'G') ADVANCE(347);
      if (lookahead == 'N') ADVANCE(348);
      if (lookahead == 'P') ADVANCE(349);
      if (lookahead == 'S') ADVANCE(350);
      if (lookahead == 'T') ADVANCE(351);
      END_STATE();
    case 121:
      if (lookahead == 'G') ADVANCE(352);
      END_STATE();
    case 122:
      if (lookahead == 'L') ADVANCE(353);
      if (lookahead == 'W') ADVANCE(354);
      END_STATE();
    case 123:
      if (lookahead == 'H') ADVANCE(355);
      END_STATE();
    case 124:
      if (lookahead == 'L') ADVANCE(356);
      if (lookahead == 'P') ADVANCE(357);
      if (lookahead == 'Q') ADVANCE(358);
      if (lookahead == 'R') ADVANCE(359);
      if (lookahead == 'T') ADVANCE(360);
      END_STATE();
    case 125:
      if (lookahead == 'M') ADVANCE(361);
      END_STATE();
    case 126:
      if (lookahead == 'A') ADVANCE(362);
      END_STATE();
    case 127:
      if (lookahead == 'R') ADVANCE(363);
      END_STATE();
    case 128:
      if (lookahead == 'G') ADVANCE(364);
      END_STATE();
    case 129:
      if (lookahead == 'A') ADVANCE(365);
      if (lookahead == 'O') ADVANCE(366);
      END_STATE();
    case 130:
      if (lookahead == 'B') ADVANCE(367);
      END_STATE();
    case 131:
      if (lookahead == 'L') ADVANCE(368);
      END_STATE();
    case 132:
      if (lookahead == 'M') ADVANCE(369);
      if (lookahead == 'R') ADVANCE(370);
      if (lookahead == 'X') ADVANCE(371);
      END_STATE();
    case 133:
      if (lookahead == 'E') ADVANCE(372);
      END_STATE();
    case 134:
      if (lookahead == 'E') ADVANCE(373);
      if (lookahead == 'M') ADVANCE(374);
      if (lookahead == 'N') ADVANCE(375);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(sym_keyword_to);
      END_STATE();
    case 136:
      if (lookahead == 'A') ADVANCE(376);
      if (lookahead == 'U') ADVANCE(377);
      END_STATE();
    case 137:
      if (lookahead == 'P') ADVANCE(378);
      END_STATE();
    case 138:
      if (lookahead == 'B') ADVANCE(379);
      if (lookahead == 'C') ADVANCE(380);
      if (lookahead == 'I') ADVANCE(381);
      if (lookahead == 'L') ADVANCE(382);
      if (lookahead == 'S') ADVANCE(383);
      END_STATE();
    case 139:
      if (lookahead == 'D') ADVANCE(384);
      END_STATE();
    case 140:
      if (lookahead == 'E') ADVANCE(385);
      if (lookahead == 'I') ADVANCE(386);
      END_STATE();
    case 141:
      if (lookahead == 'I') ADVANCE(387);
      END_STATE();
    case 142:
      if (lookahead == 'L') ADVANCE(388);
      if (lookahead == 'R') ADVANCE(389);
      END_STATE();
    case 143:
      if (lookahead == 'E') ADVANCE(390);
      END_STATE();
    case 144:
      if (lookahead == 'E') ADVANCE(391);
      END_STATE();
    case 145:
      if (lookahead == 'N') ADVANCE(392);
      if (lookahead == 'T') ADVANCE(393);
      END_STATE();
    case 146:
      if (lookahead == 'L') ADVANCE(394);
      END_STATE();
    case 147:
      if (lookahead == 'R') ADVANCE(395);
      END_STATE();
    case 148:
      if (lookahead == 'N') ADVANCE(396);
      END_STATE();
    case 149:
      if (lookahead == 'd') ADVANCE(249);
      END_STATE();
    case 150:
      if (lookahead == 't') ADVANCE(397);
      END_STATE();
    case 151:
      if (lookahead == 'o') ADVANCE(398);
      END_STATE();
    case 152:
      if (lookahead == 'l') ADVANCE(251);
      if (lookahead == 't') ADVANCE(399);
      END_STATE();
    case 153:
      if (lookahead == 'd') ADVANCE(253);
      END_STATE();
    case 154:
      if (lookahead == 'r') ADVANCE(400);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(sym_keyword_as);
      if (lookahead == 'c') ADVANCE(255);
      END_STATE();
    case 156:
      if (lookahead == 't') ADVANCE(401);
      END_STATE();
    case 157:
      if (lookahead == 'g') ADVANCE(257);
      if (lookahead == 'r') ADVANCE(402);
      END_STATE();
    case 158:
      if (lookahead == 'g') ADVANCE(403);
      if (lookahead == 't') ADVANCE(404);
      END_STATE();
    case 159:
      if (lookahead == 'g') ADVANCE(405);
      END_STATE();
    case 160:
      if (lookahead == 'o') ADVANCE(406);
      if (lookahead == 'x') ADVANCE(407);
      END_STATE();
    case 161:
      if (lookahead == 'i') ADVANCE(408);
      END_STATE();
    case 162:
      if (lookahead == 'r') ADVANCE(409);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(sym_keyword_by);
      if (lookahead == 't') ADVANCE(410);
      END_STATE();
    case 164:
      if (lookahead == 'c') ADVANCE(411);
      if (lookahead == 's') ADVANCE(412);
      END_STATE();
    case 165:
      if (lookahead == 'n') ADVANCE(413);
      END_STATE();
    case 166:
      if (lookahead == 'a') ADVANCE(414);
      END_STATE();
    case 167:
      if (lookahead == 'l') ADVANCE(415);
      if (lookahead == 'm') ADVANCE(416);
      if (lookahead == 'n') ADVANCE(417);
      if (lookahead == 'u') ADVANCE(418);
      END_STATE();
    case 168:
      if (lookahead == 'e') ADVANCE(419);
      if (lookahead == 'o') ADVANCE(420);
      END_STATE();
    case 169:
      if (lookahead == 'v') ADVANCE(276);
      END_STATE();
    case 170:
      if (lookahead == 'r') ADVANCE(421);
      END_STATE();
    case 171:
      if (lookahead == 't') ADVANCE(422);
      if (lookahead == 'y') ADVANCE(423);
      END_STATE();
    case 172:
      if (lookahead == 'c') ADVANCE(424);
      if (lookahead == 'f') ADVANCE(425);
      if (lookahead == 'l') ADVANCE(426);
      if (lookahead == 's') ADVANCE(427);
      END_STATE();
    case 173:
      if (lookahead == 's') ADVANCE(428);
      END_STATE();
    case 174:
      if (lookahead == 'u') ADVANCE(429);
      END_STATE();
    case 175:
      if (lookahead == 'o') ADVANCE(430);
      END_STATE();
    case 176:
      if (lookahead == 's') ADVANCE(431);
      END_STATE();
    case 177:
      if (lookahead == 'd') ADVANCE(287);
      if (lookahead == 'g') ADVANCE(432);
      END_STATE();
    case 178:
      if (lookahead == 'c') ADVANCE(433);
      END_STATE();
    case 179:
      if (lookahead == 'c') ADVANCE(434);
      if (lookahead == 'i') ADVANCE(435);
      if (lookahead == 't') ADVANCE(436);
      END_STATE();
    case 180:
      if (lookahead == 'l') ADVANCE(437);
      END_STATE();
    case 181:
      if (lookahead == 'e') ADVANCE(438);
      if (lookahead == 'r') ADVANCE(439);
      END_STATE();
    case 182:
      if (lookahead == 'o') ADVANCE(440);
      END_STATE();
    case 183:
      if (lookahead == 'l') ADVANCE(441);
      if (lookahead == 'r') ADVANCE(442);
      END_STATE();
    case 184:
      if (lookahead == 'o') ADVANCE(443);
      END_STATE();
    case 185:
      if (lookahead == 'o') ADVANCE(444);
      END_STATE();
    case 186:
      if (lookahead == 'n') ADVANCE(301);
      if (lookahead == 's') ADVANCE(445);
      END_STATE();
    case 187:
      if (lookahead == 'o') ADVANCE(446);
      END_STATE();
    case 188:
      if (lookahead == 's') ADVANCE(447);
      if (lookahead == 'v') ADVANCE(448);
      END_STATE();
    case 189:
      if (lookahead == 'u') ADVANCE(449);
      END_STATE();
    case 190:
      if (lookahead == 'n') ADVANCE(450);
      END_STATE();
    case 191:
      if (lookahead == 'i') ADVANCE(451);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(sym_keyword_in);
      if (lookahead == 'd') ADVANCE(452);
      if (lookahead == 'n') ADVANCE(453);
      if (lookahead == 's') ADVANCE(454);
      if (lookahead == 't') ADVANCE(455);
      END_STATE();
    case 193:
      if (lookahead == 'i') ADVANCE(456);
      END_STATE();
    case 194:
      if (lookahead == 'o') ADVANCE(457);
      END_STATE();
    case 195:
      if (lookahead == 'y') ADVANCE(314);
      END_STATE();
    case 196:
      if (lookahead == 's') ADVANCE(458);
      if (lookahead == 't') ADVANCE(459);
      END_STATE();
    case 197:
      if (lookahead == 'f') ADVANCE(460);
      END_STATE();
    case 198:
      if (lookahead == 'k') ADVANCE(461);
      if (lookahead == 'm') ADVANCE(462);
      if (lookahead == 'n') ADVANCE(463);
      END_STATE();
    case 199:
      if (lookahead == 'c') ADVANCE(464);
      END_STATE();
    case 200:
      if (lookahead == 't') ADVANCE(465);
      if (lookahead == 'x') ADVANCE(323);
      END_STATE();
    case 201:
      if (lookahead == 'd') ADVANCE(466);
      END_STATE();
    case 202:
      if (lookahead == 'c') ADVANCE(467);
      if (lookahead == 'l') ADVANCE(468);
      if (lookahead == 'n') ADVANCE(469);
      END_STATE();
    case 203:
      if (lookahead == 'd') ADVANCE(470);
      if (lookahead == 'n') ADVANCE(471);
      END_STATE();
    case 204:
      if (lookahead == 'm') ADVANCE(472);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(sym_keyword_no);
      if (lookahead == 't') ADVANCE(329);
      END_STATE();
    case 206:
      if (lookahead == 'l') ADVANCE(473);
      if (lookahead == 'm') ADVANCE(474);
      END_STATE();
    case 207:
      if (lookahead == 'f') ADVANCE(475);
      END_STATE();
    case 208:
      if (lookahead == 'd') ADVANCE(333);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(sym_keyword_on);
      if (lookahead == 'l') ADVANCE(476);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(sym_keyword_or);
      if (lookahead == 'c') ADVANCE(335);
      if (lookahead == 'd') ADVANCE(477);
      END_STATE();
    case 211:
      if (lookahead == 'h') ADVANCE(478);
      END_STATE();
    case 212:
      if (lookahead == 't') ADVANCE(479);
      END_STATE();
    case 213:
      if (lookahead == 'e') ADVANCE(480);
      END_STATE();
    case 214:
      if (lookahead == 'n') ADVANCE(481);
      END_STATE();
    case 215:
      if (lookahead == 'r') ADVANCE(482);
      END_STATE();
    case 216:
      if (lookahead == 'e') ADVANCE(483);
      if (lookahead == 'i') ADVANCE(484);
      END_STATE();
    case 217:
      if (lookahead == 'n') ADVANCE(485);
      END_STATE();
    case 218:
      if (lookahead == 'f') ADVANCE(486);
      END_STATE();
    case 219:
      if (lookahead == 'a') ADVANCE(487);
      if (lookahead == 'g') ADVANCE(488);
      if (lookahead == 'n') ADVANCE(489);
      if (lookahead == 'p') ADVANCE(490);
      if (lookahead == 's') ADVANCE(491);
      if (lookahead == 't') ADVANCE(492);
      END_STATE();
    case 220:
      if (lookahead == 'g') ADVANCE(493);
      END_STATE();
    case 221:
      if (lookahead == 'l') ADVANCE(494);
      if (lookahead == 'w') ADVANCE(495);
      END_STATE();
    case 222:
      if (lookahead == 'h') ADVANCE(496);
      END_STATE();
    case 223:
      if (lookahead == 'c') ADVANCE(497);
      if (lookahead == 'l') ADVANCE(498);
      if (lookahead == 'p') ADVANCE(499);
      if (lookahead == 'q') ADVANCE(500);
      if (lookahead == 'r') ADVANCE(501);
      if (lookahead == 't') ADVANCE(360);
      END_STATE();
    case 224:
      if (lookahead == 'm') ADVANCE(502);
      END_STATE();
    case 225:
      if (lookahead == 'a') ADVANCE(503);
      END_STATE();
    case 226:
      if (lookahead == 'r') ADVANCE(504);
      END_STATE();
    case 227:
      if (lookahead == 'g') ADVANCE(505);
      END_STATE();
    case 228:
      if (lookahead == 'a') ADVANCE(506);
      if (lookahead == 'o') ADVANCE(507);
      END_STATE();
    case 229:
      if (lookahead == 'b') ADVANCE(508);
      END_STATE();
    case 230:
      if (lookahead == 'l') ADVANCE(509);
      END_STATE();
    case 231:
      if (lookahead == 'm') ADVANCE(510);
      if (lookahead == 'r') ADVANCE(511);
      if (lookahead == 'x') ADVANCE(512);
      END_STATE();
    case 232:
      if (lookahead == 'e') ADVANCE(513);
      END_STATE();
    case 233:
      if (lookahead == 'e') ADVANCE(514);
      if (lookahead == 'm') ADVANCE(515);
      if (lookahead == 'n') ADVANCE(516);
      END_STATE();
    case 234:
      if (lookahead == 'a') ADVANCE(517);
      if (lookahead == 'u') ADVANCE(518);
      END_STATE();
    case 235:
      if (lookahead == 'p') ADVANCE(519);
      END_STATE();
    case 236:
      if (lookahead == 'b') ADVANCE(520);
      if (lookahead == 'c') ADVANCE(521);
      if (lookahead == 'i') ADVANCE(522);
      if (lookahead == 'l') ADVANCE(523);
      if (lookahead == 's') ADVANCE(524);
      END_STATE();
    case 237:
      if (lookahead == 'd') ADVANCE(525);
      END_STATE();
    case 238:
      if (lookahead == 'e') ADVANCE(385);
      if (lookahead == 'i') ADVANCE(526);
      END_STATE();
    case 239:
      if (lookahead == 'i') ADVANCE(527);
      END_STATE();
    case 240:
      if (lookahead == 'l') ADVANCE(528);
      if (lookahead == 'r') ADVANCE(529);
      END_STATE();
    case 241:
      if (lookahead == 'e') ADVANCE(530);
      END_STATE();
    case 242:
      if (lookahead == 'e') ADVANCE(531);
      END_STATE();
    case 243:
      if (lookahead == 'e') ADVANCE(532);
      END_STATE();
    case 244:
      if (lookahead == 'n') ADVANCE(533);
      if (lookahead == 't') ADVANCE(534);
      END_STATE();
    case 245:
      if (lookahead == 'l') ADVANCE(394);
      END_STATE();
    case 246:
      if (lookahead == 'a') ADVANCE(535);
      END_STATE();
    case 247:
      if (lookahead == 'r') ADVANCE(536);
      END_STATE();
    case 248:
      if (lookahead == 'n') ADVANCE(537);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(sym_keyword_add);
      END_STATE();
    case 250:
      if (lookahead == 'E') ADVANCE(538);
      END_STATE();
    case 251:
      ACCEPT_TOKEN(sym_keyword_all);
      END_STATE();
    case 252:
      if (lookahead == 'E') ADVANCE(539);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(sym_keyword_and);
      END_STATE();
    case 254:
      if (lookahead == 'A') ADVANCE(540);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(sym_keyword_asc);
      END_STATE();
    case 256:
      if (lookahead == 'O') ADVANCE(541);
      END_STATE();
    case 257:
      ACCEPT_TOKEN(sym_keyword_avg);
      END_STATE();
    case 258:
      if (lookahead == 'O') ADVANCE(542);
      END_STATE();
    case 259:
      if (lookahead == 'I') ADVANCE(543);
      END_STATE();
    case 260:
      if (lookahead == 'W') ADVANCE(544);
      END_STATE();
    case 261:
      if (lookahead == 'I') ADVANCE(545);
      if (lookahead == 'S') ADVANCE(546);
      END_STATE();
    case 262:
      if (lookahead == 'L') ADVANCE(547);
      END_STATE();
    case 263:
      if (lookahead == '2') ADVANCE(548);
      if (lookahead == '3') ADVANCE(549);
      END_STATE();
    case 264:
      if (lookahead == 'N') ADVANCE(550);
      END_STATE();
    case 265:
      if (lookahead == 'E') ADVANCE(551);
      END_STATE();
    case 266:
      if (lookahead == 'E') ADVANCE(552);
      END_STATE();
    case 267:
      if (lookahead == 'H') ADVANCE(553);
      END_STATE();
    case 268:
      if (lookahead == 'C') ADVANCE(554);
      if (lookahead == 'E') ADVANCE(555);
      if (lookahead == 'T') ADVANCE(556);
      END_STATE();
    case 269:
      if (lookahead == 'N') ADVANCE(557);
      if (lookahead == 'R') ADVANCE(558);
      END_STATE();
    case 270:
      if (lookahead == 'L') ADVANCE(559);
      if (lookahead == 'U') ADVANCE(560);
      END_STATE();
    case 271:
      if (lookahead == 'M') ADVANCE(561);
      if (lookahead == 'P') ADVANCE(562);
      END_STATE();
    case 272:
      if (lookahead == 'C') ADVANCE(563);
      if (lookahead == 'S') ADVANCE(564);
      END_STATE();
    case 273:
      if (lookahead == 'N') ADVANCE(565);
      END_STATE();
    case 274:
      if (lookahead == 'A') ADVANCE(566);
      END_STATE();
    case 275:
      if (lookahead == 'S') ADVANCE(567);
      END_STATE();
    case 276:
      ACCEPT_TOKEN(sym_keyword_csv);
      END_STATE();
    case 277:
      if (lookahead == 'R') ADVANCE(568);
      END_STATE();
    case 278:
      if (lookahead == 'A') ADVANCE(569);
      if (lookahead == 'E') ADVANCE(570);
      END_STATE();
    case 279:
      if (lookahead == 'I') ADVANCE(571);
      END_STATE();
    case 280:
      if (lookahead == 'A') ADVANCE(572);
      END_STATE();
    case 281:
      if (lookahead == 'E') ADVANCE(573);
      if (lookahead == 'I') ADVANCE(574);
      END_STATE();
    case 282:
      if (lookahead == 'C') ADVANCE(575);
      END_STATE();
    case 283:
      if (lookahead == 'T') ADVANCE(576);
      END_STATE();
    case 284:
      if (lookahead == 'B') ADVANCE(577);
      END_STATE();
    case 285:
      if (lookahead == 'P') ADVANCE(578);
      END_STATE();
    case 286:
      if (lookahead == 'E') ADVANCE(579);
      END_STATE();
    case 287:
      ACCEPT_TOKEN(sym_keyword_end);
      END_STATE();
    case 288:
      if (lookahead == 'I') ADVANCE(580);
      END_STATE();
    case 289:
      if (lookahead == 'A') ADVANCE(581);
      END_STATE();
    case 290:
      if (lookahead == 'E') ADVANCE(582);
      if (lookahead == 'L') ADVANCE(583);
      END_STATE();
    case 291:
      if (lookahead == 'S') ADVANCE(584);
      END_STATE();
    case 292:
      if (lookahead == 'E') ADVANCE(585);
      END_STATE();
    case 293:
      if (lookahead == 'S') ADVANCE(586);
      END_STATE();
    case 294:
      if (lookahead == 'L') ADVANCE(587);
      END_STATE();
    case 295:
      if (lookahead == 'S') ADVANCE(588);
      END_STATE();
    case 296:
      if (lookahead == 'A') ADVANCE(589);
      END_STATE();
    case 297:
      if (lookahead == 'L') ADVANCE(590);
      END_STATE();
    case 298:
      ACCEPT_TOKEN(sym_keyword_for);
      if (lookahead == 'C') ADVANCE(591);
      if (lookahead == 'M') ADVANCE(592);
      END_STATE();
    case 299:
      if (lookahead == 'M') ADVANCE(593);
      END_STATE();
    case 300:
      if (lookahead == 'G') ADVANCE(594);
      if (lookahead == 'M') ADVANCE(595);
      END_STATE();
    case 301:
      ACCEPT_TOKEN(sym_keyword_gin);
      END_STATE();
    case 302:
      if (lookahead == 'T') ADVANCE(596);
      END_STATE();
    case 303:
      if (lookahead == 'U') ADVANCE(597);
      END_STATE();
    case 304:
      if (lookahead == 'H') ADVANCE(598);
      END_STATE();
    case 305:
      if (lookahead == 'I') ADVANCE(599);
      END_STATE();
    case 306:
      if (lookahead == 'O') ADVANCE(600);
      END_STATE();
    case 307:
      if (lookahead == 'K') ADVANCE(601);
      END_STATE();
    case 308:
      if (lookahead == 'E') ADVANCE(602);
      END_STATE();
    case 309:
      if (lookahead == 'E') ADVANCE(603);
      END_STATE();
    case 310:
      if (lookahead == 'E') ADVANCE(604);
      END_STATE();
    case 311:
      ACCEPT_TOKEN(aux_sym_keyword_int_token1);
      if (lookahead == '1') ADVANCE(605);
      if (lookahead == '2') ADVANCE(606);
      if (lookahead == '3') ADVANCE(607);
      if (lookahead == '4') ADVANCE(608);
      if (lookahead == '8') ADVANCE(609);
      if (lookahead == 'E') ADVANCE(610);
      if (lookahead == 'O') ADVANCE(611);
      END_STATE();
    case 312:
      if (lookahead == 'N') ADVANCE(612);
      END_STATE();
    case 313:
      if (lookahead == 'N') ADVANCE(613);
      END_STATE();
    case 314:
      ACCEPT_TOKEN(sym_keyword_key);
      END_STATE();
    case 315:
      if (lookahead == 'T') ADVANCE(614);
      END_STATE();
    case 316:
      if (lookahead == 'E') ADVANCE(615);
      END_STATE();
    case 317:
      if (lookahead == 'T') ADVANCE(616);
      END_STATE();
    case 318:
      if (lookahead == 'E') ADVANCE(617);
      END_STATE();
    case 319:
      if (lookahead == 'I') ADVANCE(618);
      END_STATE();
    case 320:
      if (lookahead == 'E') ADVANCE(619);
      END_STATE();
    case 321:
      if (lookahead == 'A') ADVANCE(620);
      END_STATE();
    case 322:
      if (lookahead == 'E') ADVANCE(621);
      END_STATE();
    case 323:
      ACCEPT_TOKEN(sym_keyword_max);
      END_STATE();
    case 324:
      if (lookahead == 'I') ADVANCE(622);
      END_STATE();
    case 325:
      ACCEPT_TOKEN(sym_keyword_min);
      END_STATE();
    case 326:
      if (lookahead == 'I') ADVANCE(623);
      END_STATE();
    case 327:
      if (lookahead == 'E') ADVANCE(624);
      END_STATE();
    case 328:
      if (lookahead == 'E') ADVANCE(625);
      END_STATE();
    case 329:
      ACCEPT_TOKEN(sym_keyword_not);
      END_STATE();
    case 330:
      if (lookahead == 'L') ADVANCE(626);
      END_STATE();
    case 331:
      if (lookahead == 'E') ADVANCE(627);
      END_STATE();
    case 332:
      if (lookahead == 'S') ADVANCE(628);
      END_STATE();
    case 333:
      ACCEPT_TOKEN(sym_keyword_oid);
      END_STATE();
    case 334:
      if (lookahead == 'Y') ADVANCE(629);
      END_STATE();
    case 335:
      ACCEPT_TOKEN(sym_keyword_orc);
      END_STATE();
    case 336:
      if (lookahead == 'E') ADVANCE(630);
      END_STATE();
    case 337:
      if (lookahead == 'E') ADVANCE(631);
      END_STATE();
    case 338:
      if (lookahead == 'E') ADVANCE(632);
      END_STATE();
    case 339:
      if (lookahead == 'R') ADVANCE(633);
      END_STATE();
    case 340:
      if (lookahead == 'E') ADVANCE(634);
      END_STATE();
    case 341:
      if (lookahead == 'Q') ADVANCE(635);
      if (lookahead == 'T') ADVANCE(636);
      END_STATE();
    case 342:
      if (lookahead == 'C') ADVANCE(637);
      if (lookahead == 'S') ADVANCE(638);
      END_STATE();
    case 343:
      if (lookahead == 'M') ADVANCE(639);
      END_STATE();
    case 344:
      if (lookahead == 'G') ADVANCE(640);
      END_STATE();
    case 345:
      if (lookahead == 'I') ADVANCE(641);
      END_STATE();
    case 346:
      if (lookahead == 'L') ADVANCE(642);
      END_STATE();
    case 347:
      if (lookahead == 'C') ADVANCE(643);
      if (lookahead == 'N') ADVANCE(644);
      if (lookahead == 'P') ADVANCE(645);
      if (lookahead == 'T') ADVANCE(646);
      END_STATE();
    case 348:
      if (lookahead == 'A') ADVANCE(647);
      END_STATE();
    case 349:
      if (lookahead == 'L') ADVANCE(648);
      END_STATE();
    case 350:
      if (lookahead == 'T') ADVANCE(649);
      END_STATE();
    case 351:
      if (lookahead == 'U') ADVANCE(650);
      END_STATE();
    case 352:
      if (lookahead == 'H') ADVANCE(651);
      END_STATE();
    case 353:
      if (lookahead == 'L') ADVANCE(652);
      END_STATE();
    case 354:
      ACCEPT_TOKEN(sym_keyword_row);
      if (lookahead == 'S') ADVANCE(653);
      END_STATE();
    case 355:
      if (lookahead == 'E') ADVANCE(654);
      END_STATE();
    case 356:
      if (lookahead == 'E') ADVANCE(655);
      END_STATE();
    case 357:
      if (lookahead == 'A') ADVANCE(656);
      END_STATE();
    case 358:
      if (lookahead == 'U') ADVANCE(657);
      END_STATE();
    case 359:
      if (lookahead == 'I') ADVANCE(658);
      END_STATE();
    case 360:
      ACCEPT_TOKEN(sym_keyword_set);
      END_STATE();
    case 361:
      if (lookahead == 'I') ADVANCE(659);
      END_STATE();
    case 362:
      if (lookahead == 'L') ADVANCE(660);
      END_STATE();
    case 363:
      if (lookahead == 'T') ADVANCE(661);
      END_STATE();
    case 364:
      if (lookahead == 'I') ADVANCE(662);
      END_STATE();
    case 365:
      if (lookahead == 'T') ADVANCE(663);
      END_STATE();
    case 366:
      if (lookahead == 'R') ADVANCE(664);
      END_STATE();
    case 367:
      if (lookahead == 'L') ADVANCE(665);
      END_STATE();
    case 368:
      if (lookahead == 'P') ADVANCE(666);
      END_STATE();
    case 369:
      if (lookahead == 'P') ADVANCE(667);
      END_STATE();
    case 370:
      if (lookahead == 'M') ADVANCE(668);
      END_STATE();
    case 371:
      if (lookahead == 'T') ADVANCE(669);
      END_STATE();
    case 372:
      if (lookahead == 'N') ADVANCE(670);
      END_STATE();
    case 373:
      if (lookahead == 'S') ADVANCE(671);
      END_STATE();
    case 374:
      if (lookahead == 'E') ADVANCE(672);
      END_STATE();
    case 375:
      if (lookahead == 'Y') ADVANCE(673);
      END_STATE();
    case 376:
      if (lookahead == 'N') ADVANCE(674);
      END_STATE();
    case 377:
      if (lookahead == 'E') ADVANCE(675);
      END_STATE();
    case 378:
      if (lookahead == 'E') ADVANCE(676);
      END_STATE();
    case 379:
      if (lookahead == 'O') ADVANCE(677);
      END_STATE();
    case 380:
      if (lookahead == 'A') ADVANCE(678);
      END_STATE();
    case 381:
      if (lookahead == 'O') ADVANCE(679);
      if (lookahead == 'Q') ADVANCE(680);
      END_STATE();
    case 382:
      if (lookahead == 'O') ADVANCE(681);
      END_STATE();
    case 383:
      if (lookahead == 'I') ADVANCE(682);
      END_STATE();
    case 384:
      if (lookahead == 'A') ADVANCE(683);
      END_STATE();
    case 385:
      ACCEPT_TOKEN(sym_keyword_use);
      END_STATE();
    case 386:
      if (lookahead == 'N') ADVANCE(684);
      END_STATE();
    case 387:
      if (lookahead == 'D') ADVANCE(685);
      END_STATE();
    case 388:
      if (lookahead == 'U') ADVANCE(686);
      END_STATE();
    case 389:
      if (lookahead == 'C') ADVANCE(687);
      if (lookahead == 'Y') ADVANCE(688);
      END_STATE();
    case 390:
      if (lookahead == 'W') ADVANCE(689);
      END_STATE();
    case 391:
      if (lookahead == 'N') ADVANCE(690);
      if (lookahead == 'R') ADVANCE(691);
      END_STATE();
    case 392:
      if (lookahead == 'D') ADVANCE(692);
      END_STATE();
    case 393:
      if (lookahead == 'H') ADVANCE(693);
      END_STATE();
    case 394:
      ACCEPT_TOKEN(sym_keyword_xml);
      END_STATE();
    case 395:
      if (lookahead == 'O') ADVANCE(694);
      END_STATE();
    case 396:
      if (lookahead == 'E') ADVANCE(695);
      END_STATE();
    case 397:
      if (lookahead == 'e') ADVANCE(696);
      END_STATE();
    case 398:
      ACCEPT_TOKEN(anon_sym_ago);
      END_STATE();
    case 399:
      if (lookahead == 'e') ADVANCE(697);
      END_STATE();
    case 400:
      if (lookahead == 'a') ADVANCE(698);
      END_STATE();
    case 401:
      if (lookahead == 'o') ADVANCE(699);
      END_STATE();
    case 402:
      if (lookahead == 'o') ADVANCE(542);
      END_STATE();
    case 403:
      if (lookahead == 'i') ADVANCE(700);
      END_STATE();
    case 404:
      if (lookahead == 'w') ADVANCE(701);
      END_STATE();
    case 405:
      if (lookahead == 'i') ADVANCE(702);
      if (lookahead == 's') ADVANCE(703);
      END_STATE();
    case 406:
      if (lookahead == 'l') ADVANCE(704);
      END_STATE();
    case 407:
      if (lookahead == '2') ADVANCE(705);
      if (lookahead == '3') ADVANCE(706);
      END_STATE();
    case 408:
      if (lookahead == 'n') ADVANCE(550);
      END_STATE();
    case 409:
      if (lookahead == 'e') ADVANCE(707);
      END_STATE();
    case 410:
      if (lookahead == 'e') ADVANCE(708);
      END_STATE();
    case 411:
      if (lookahead == 'h') ADVANCE(709);
      END_STATE();
    case 412:
      if (lookahead == 'c') ADVANCE(710);
      if (lookahead == 'e') ADVANCE(555);
      if (lookahead == 't') ADVANCE(556);
      END_STATE();
    case 413:
      if (lookahead == 't') ADVANCE(711);
      END_STATE();
    case 414:
      if (lookahead == 'n') ADVANCE(712);
      if (lookahead == 'r') ADVANCE(713);
      END_STATE();
    case 415:
      if (lookahead == 'l') ADVANCE(714);
      if (lookahead == 'u') ADVANCE(715);
      END_STATE();
    case 416:
      if (lookahead == 'm') ADVANCE(716);
      if (lookahead == 'p') ADVANCE(717);
      END_STATE();
    case 417:
      if (lookahead == 'c') ADVANCE(718);
      if (lookahead == 's') ADVANCE(719);
      END_STATE();
    case 418:
      if (lookahead == 'n') ADVANCE(720);
      END_STATE();
    case 419:
      if (lookahead == 'a') ADVANCE(721);
      END_STATE();
    case 420:
      if (lookahead == 's') ADVANCE(722);
      END_STATE();
    case 421:
      if (lookahead == 'r') ADVANCE(723);
      END_STATE();
    case 422:
      if (lookahead == 'a') ADVANCE(569);
      if (lookahead == 'e') ADVANCE(724);
      END_STATE();
    case 423:
      ACCEPT_TOKEN(anon_sym_day);
      if (lookahead == 's') ADVANCE(725);
      END_STATE();
    case 424:
      if (lookahead == 'a') ADVANCE(726);
      if (lookahead == 'i') ADVANCE(727);
      END_STATE();
    case 425:
      if (lookahead == 'a') ADVANCE(728);
      END_STATE();
    case 426:
      if (lookahead == 'e') ADVANCE(729);
      if (lookahead == 'i') ADVANCE(730);
      END_STATE();
    case 427:
      if (lookahead == 'c') ADVANCE(575);
      END_STATE();
    case 428:
      if (lookahead == 't') ADVANCE(731);
      END_STATE();
    case 429:
      if (lookahead == 'b') ADVANCE(732);
      END_STATE();
    case 430:
      if (lookahead == 'p') ADVANCE(578);
      END_STATE();
    case 431:
      if (lookahead == 'e') ADVANCE(579);
      END_STATE();
    case 432:
      if (lookahead == 'i') ADVANCE(733);
      END_STATE();
    case 433:
      if (lookahead == 'a') ADVANCE(734);
      END_STATE();
    case 434:
      if (lookahead == 'e') ADVANCE(735);
      if (lookahead == 'l') ADVANCE(736);
      END_STATE();
    case 435:
      if (lookahead == 's') ADVANCE(737);
      END_STATE();
    case 436:
      if (lookahead == 'e') ADVANCE(738);
      END_STATE();
    case 437:
      if (lookahead == 's') ADVANCE(739);
      END_STATE();
    case 438:
      if (lookahead == 'l') ADVANCE(740);
      END_STATE();
    case 439:
      if (lookahead == 's') ADVANCE(741);
      END_STATE();
    case 440:
      if (lookahead == 'a') ADVANCE(742);
      END_STATE();
    case 441:
      if (lookahead == 'l') ADVANCE(743);
      END_STATE();
    case 442:
      ACCEPT_TOKEN(sym_keyword_for);
      if (lookahead == 'c') ADVANCE(744);
      if (lookahead == 'm') ADVANCE(745);
      END_STATE();
    case 443:
      if (lookahead == 'm') ADVANCE(593);
      END_STATE();
    case 444:
      if (lookahead == 'g') ADVANCE(746);
      if (lookahead == 'm') ADVANCE(747);
      END_STATE();
    case 445:
      if (lookahead == 't') ADVANCE(596);
      END_STATE();
    case 446:
      if (lookahead == 'u') ADVANCE(748);
      END_STATE();
    case 447:
      if (lookahead == 'h') ADVANCE(598);
      END_STATE();
    case 448:
      if (lookahead == 'i') ADVANCE(749);
      END_STATE();
    case 449:
      if (lookahead == 'r') ADVANCE(750);
      END_STATE();
    case 450:
      if (lookahead == 'o') ADVANCE(751);
      END_STATE();
    case 451:
      if (lookahead == 'k') ADVANCE(752);
      END_STATE();
    case 452:
      if (lookahead == 'e') ADVANCE(753);
      END_STATE();
    case 453:
      if (lookahead == 'e') ADVANCE(754);
      END_STATE();
    case 454:
      if (lookahead == 'e') ADVANCE(755);
      END_STATE();
    case 455:
      ACCEPT_TOKEN(aux_sym_keyword_int_token1);
      if (lookahead == '1') ADVANCE(605);
      if (lookahead == '2') ADVANCE(606);
      if (lookahead == '3') ADVANCE(607);
      if (lookahead == '4') ADVANCE(608);
      if (lookahead == '8') ADVANCE(609);
      if (lookahead == 'e') ADVANCE(756);
      if (lookahead == 'o') ADVANCE(611);
      END_STATE();
    case 456:
      if (lookahead == 'n') ADVANCE(612);
      END_STATE();
    case 457:
      if (lookahead == 'n') ADVANCE(757);
      END_STATE();
    case 458:
      if (lookahead == 't') ADVANCE(614);
      END_STATE();
    case 459:
      if (lookahead == 'e') ADVANCE(758);
      END_STATE();
    case 460:
      if (lookahead == 't') ADVANCE(616);
      END_STATE();
    case 461:
      if (lookahead == 'e') ADVANCE(617);
      END_STATE();
    case 462:
      if (lookahead == 'i') ADVANCE(759);
      END_STATE();
    case 463:
      if (lookahead == 'e') ADVANCE(760);
      END_STATE();
    case 464:
      if (lookahead == 'a') ADVANCE(761);
      END_STATE();
    case 465:
      if (lookahead == 'e') ADVANCE(762);
      END_STATE();
    case 466:
      if (lookahead == 'i') ADVANCE(763);
      END_STATE();
    case 467:
      if (lookahead == 'r') ADVANCE(764);
      END_STATE();
    case 468:
      if (lookahead == 'l') ADVANCE(765);
      END_STATE();
    case 469:
      ACCEPT_TOKEN(sym_keyword_min);
      if (lookahead == 'u') ADVANCE(766);
      END_STATE();
    case 470:
      if (lookahead == 'i') ADVANCE(767);
      END_STATE();
    case 471:
      if (lookahead == 'e') ADVANCE(768);
      if (lookahead == 't') ADVANCE(769);
      END_STATE();
    case 472:
      if (lookahead == 'e') ADVANCE(625);
      END_STATE();
    case 473:
      if (lookahead == 'l') ADVANCE(770);
      END_STATE();
    case 474:
      if (lookahead == 'e') ADVANCE(771);
      END_STATE();
    case 475:
      if (lookahead == 's') ADVANCE(772);
      END_STATE();
    case 476:
      if (lookahead == 'y') ADVANCE(629);
      END_STATE();
    case 477:
      if (lookahead == 'e') ADVANCE(773);
      END_STATE();
    case 478:
      if (lookahead == 'e') ADVANCE(774);
      END_STATE();
    case 479:
      if (lookahead == 'e') ADVANCE(775);
      END_STATE();
    case 480:
      if (lookahead == 'r') ADVANCE(633);
      END_STATE();
    case 481:
      if (lookahead == 'e') ADVANCE(776);
      END_STATE();
    case 482:
      if (lookahead == 'q') ADVANCE(777);
      if (lookahead == 't') ADVANCE(778);
      END_STATE();
    case 483:
      if (lookahead == 'c') ADVANCE(779);
      if (lookahead == 's') ADVANCE(780);
      END_STATE();
    case 484:
      if (lookahead == 'm') ADVANCE(781);
      END_STATE();
    case 485:
      if (lookahead == 'g') ADVANCE(782);
      END_STATE();
    case 486:
      if (lookahead == 'i') ADVANCE(783);
      END_STATE();
    case 487:
      if (lookahead == 'l') ADVANCE(642);
      END_STATE();
    case 488:
      if (lookahead == 'c') ADVANCE(784);
      if (lookahead == 'n') ADVANCE(785);
      if (lookahead == 'p') ADVANCE(786);
      if (lookahead == 't') ADVANCE(787);
      END_STATE();
    case 489:
      if (lookahead == 'a') ADVANCE(788);
      END_STATE();
    case 490:
      if (lookahead == 'l') ADVANCE(789);
      END_STATE();
    case 491:
      if (lookahead == 't') ADVANCE(790);
      END_STATE();
    case 492:
      if (lookahead == 'u') ADVANCE(791);
      END_STATE();
    case 493:
      if (lookahead == 'h') ADVANCE(792);
      END_STATE();
    case 494:
      if (lookahead == 'l') ADVANCE(793);
      END_STATE();
    case 495:
      ACCEPT_TOKEN(sym_keyword_row);
      if (lookahead == 's') ADVANCE(653);
      END_STATE();
    case 496:
      if (lookahead == 'e') ADVANCE(794);
      END_STATE();
    case 497:
      if (lookahead == 'o') ADVANCE(795);
      END_STATE();
    case 498:
      if (lookahead == 'e') ADVANCE(796);
      END_STATE();
    case 499:
      if (lookahead == 'a') ADVANCE(797);
      END_STATE();
    case 500:
      if (lookahead == 'u') ADVANCE(798);
      END_STATE();
    case 501:
      if (lookahead == 'i') ADVANCE(799);
      END_STATE();
    case 502:
      if (lookahead == 'i') ADVANCE(800);
      END_STATE();
    case 503:
      if (lookahead == 'l') ADVANCE(801);
      END_STATE();
    case 504:
      if (lookahead == 't') ADVANCE(661);
      END_STATE();
    case 505:
      if (lookahead == 'i') ADVANCE(802);
      END_STATE();
    case 506:
      if (lookahead == 't') ADVANCE(803);
      END_STATE();
    case 507:
      if (lookahead == 'r') ADVANCE(804);
      END_STATE();
    case 508:
      if (lookahead == 'l') ADVANCE(805);
      END_STATE();
    case 509:
      if (lookahead == 'p') ADVANCE(806);
      END_STATE();
    case 510:
      if (lookahead == 'p') ADVANCE(807);
      END_STATE();
    case 511:
      if (lookahead == 'm') ADVANCE(808);
      END_STATE();
    case 512:
      if (lookahead == 't') ADVANCE(809);
      END_STATE();
    case 513:
      if (lookahead == 'n') ADVANCE(670);
      END_STATE();
    case 514:
      if (lookahead == 's') ADVANCE(671);
      END_STATE();
    case 515:
      if (lookahead == 'e') ADVANCE(810);
      END_STATE();
    case 516:
      if (lookahead == 'y') ADVANCE(811);
      END_STATE();
    case 517:
      if (lookahead == 'n') ADVANCE(812);
      END_STATE();
    case 518:
      if (lookahead == 'e') ADVANCE(675);
      END_STATE();
    case 519:
      if (lookahead == 'e') ADVANCE(676);
      END_STATE();
    case 520:
      if (lookahead == 'o') ADVANCE(813);
      END_STATE();
    case 521:
      if (lookahead == 'a') ADVANCE(814);
      END_STATE();
    case 522:
      if (lookahead == 'o') ADVANCE(815);
      if (lookahead == 'q') ADVANCE(816);
      END_STATE();
    case 523:
      if (lookahead == 'o') ADVANCE(817);
      END_STATE();
    case 524:
      if (lookahead == 'i') ADVANCE(818);
      END_STATE();
    case 525:
      if (lookahead == 'a') ADVANCE(819);
      END_STATE();
    case 526:
      if (lookahead == 'n') ADVANCE(820);
      END_STATE();
    case 527:
      if (lookahead == 'd') ADVANCE(685);
      END_STATE();
    case 528:
      if (lookahead == 'u') ADVANCE(821);
      END_STATE();
    case 529:
      if (lookahead == 'c') ADVANCE(822);
      if (lookahead == 'y') ADVANCE(823);
      END_STATE();
    case 530:
      if (lookahead == 'w') ADVANCE(689);
      END_STATE();
    case 531:
      if (lookahead == 'k') ADVANCE(824);
      END_STATE();
    case 532:
      if (lookahead == 'n') ADVANCE(690);
      if (lookahead == 'r') ADVANCE(825);
      END_STATE();
    case 533:
      if (lookahead == 'd') ADVANCE(826);
      END_STATE();
    case 534:
      if (lookahead == 'h') ADVANCE(827);
      END_STATE();
    case 535:
      if (lookahead == 'r') ADVANCE(828);
      END_STATE();
    case 536:
      if (lookahead == 'o') ADVANCE(829);
      END_STATE();
    case 537:
      if (lookahead == 'e') ADVANCE(695);
      END_STATE();
    case 538:
      if (lookahead == 'R') ADVANCE(830);
      END_STATE();
    case 539:
      if (lookahead == 'R') ADVANCE(831);
      END_STATE();
    case 540:
      if (lookahead == 'Y') ADVANCE(832);
      END_STATE();
    case 541:
      if (lookahead == '_') ADVANCE(833);
      END_STATE();
    case 542:
      ACCEPT_TOKEN(sym_keyword_avro);
      END_STATE();
    case 543:
      if (lookahead == 'N') ADVANCE(834);
      END_STATE();
    case 544:
      if (lookahead == 'E') ADVANCE(835);
      END_STATE();
    case 545:
      if (lookahead == 'N') ADVANCE(836);
      END_STATE();
    case 546:
      if (lookahead == 'E') ADVANCE(837);
      END_STATE();
    case 547:
      if (lookahead == 'E') ADVANCE(838);
      END_STATE();
    case 548:
      if (lookahead == 'D') ADVANCE(839);
      END_STATE();
    case 549:
      if (lookahead == 'D') ADVANCE(840);
      END_STATE();
    case 550:
      ACCEPT_TOKEN(sym_keyword_brin);
      END_STATE();
    case 551:
      if (lookahead == 'E') ADVANCE(841);
      END_STATE();
    case 552:
      if (lookahead == 'A') ADVANCE(842);
      END_STATE();
    case 553:
      if (lookahead == 'E') ADVANCE(843);
      END_STATE();
    case 554:
      if (lookahead == 'A') ADVANCE(844);
      END_STATE();
    case 555:
      ACCEPT_TOKEN(sym_keyword_case);
      END_STATE();
    case 556:
      ACCEPT_TOKEN(sym_keyword_cast);
      END_STATE();
    case 557:
      if (lookahead == 'G') ADVANCE(845);
      END_STATE();
    case 558:
      ACCEPT_TOKEN(aux_sym_keyword_char_token1);
      if (lookahead == 'A') ADVANCE(846);
      END_STATE();
    case 559:
      if (lookahead == 'A') ADVANCE(847);
      END_STATE();
    case 560:
      if (lookahead == 'M') ADVANCE(848);
      END_STATE();
    case 561:
      if (lookahead == 'E') ADVANCE(849);
      if (lookahead == 'I') ADVANCE(850);
      END_STATE();
    case 562:
      if (lookahead == 'U') ADVANCE(851);
      END_STATE();
    case 563:
      if (lookahead == 'U') ADVANCE(852);
      END_STATE();
    case 564:
      if (lookahead == 'T') ADVANCE(853);
      END_STATE();
    case 565:
      if (lookahead == 'T') ADVANCE(854);
      END_STATE();
    case 566:
      if (lookahead == 'T') ADVANCE(855);
      END_STATE();
    case 567:
      if (lookahead == 'S') ADVANCE(856);
      END_STATE();
    case 568:
      if (lookahead == 'E') ADVANCE(857);
      END_STATE();
    case 569:
      ACCEPT_TOKEN(sym_keyword_data);
      END_STATE();
    case 570:
      ACCEPT_TOKEN(sym_keyword_date);
      if (lookahead == 'T') ADVANCE(858);
      END_STATE();
    case 571:
      if (lookahead == 'M') ADVANCE(859);
      END_STATE();
    case 572:
      if (lookahead == 'U') ADVANCE(860);
      END_STATE();
    case 573:
      if (lookahead == 'T') ADVANCE(861);
      END_STATE();
    case 574:
      if (lookahead == 'M') ADVANCE(862);
      END_STATE();
    case 575:
      ACCEPT_TOKEN(sym_keyword_desc);
      END_STATE();
    case 576:
      if (lookahead == 'I') ADVANCE(863);
      END_STATE();
    case 577:
      if (lookahead == 'L') ADVANCE(864);
      END_STATE();
    case 578:
      ACCEPT_TOKEN(sym_keyword_drop);
      END_STATE();
    case 579:
      ACCEPT_TOKEN(sym_keyword_else);
      END_STATE();
    case 580:
      if (lookahead == 'N') ADVANCE(865);
      END_STATE();
    case 581:
      if (lookahead == 'P') ADVANCE(866);
      END_STATE();
    case 582:
      if (lookahead == 'P') ADVANCE(867);
      END_STATE();
    case 583:
      if (lookahead == 'U') ADVANCE(868);
      END_STATE();
    case 584:
      if (lookahead == 'T') ADVANCE(869);
      END_STATE();
    case 585:
      if (lookahead == 'R') ADVANCE(870);
      END_STATE();
    case 586:
      if (lookahead == 'E') ADVANCE(871);
      END_STATE();
    case 587:
      if (lookahead == 'D') ADVANCE(872);
      END_STATE();
    case 588:
      if (lookahead == 'T') ADVANCE(873);
      END_STATE();
    case 589:
      if (lookahead == 'T') ADVANCE(874);
      END_STATE();
    case 590:
      if (lookahead == 'O') ADVANCE(875);
      END_STATE();
    case 591:
      if (lookahead == 'E') ADVANCE(876);
      END_STATE();
    case 592:
      if (lookahead == 'A') ADVANCE(877);
      END_STATE();
    case 593:
      ACCEPT_TOKEN(sym_keyword_from);
      END_STATE();
    case 594:
      if (lookahead == 'R') ADVANCE(878);
      END_STATE();
    case 595:
      if (lookahead == 'E') ADVANCE(879);
      END_STATE();
    case 596:
      ACCEPT_TOKEN(sym_keyword_gist);
      END_STATE();
    case 597:
      if (lookahead == 'P') ADVANCE(880);
      END_STATE();
    case 598:
      ACCEPT_TOKEN(sym_keyword_hash);
      END_STATE();
    case 599:
      if (lookahead == 'N') ADVANCE(881);
      END_STATE();
    case 600:
      if (lookahead == 'R') ADVANCE(882);
      END_STATE();
    case 601:
      if (lookahead == 'E') ADVANCE(883);
      END_STATE();
    case 602:
      if (lookahead == 'X') ADVANCE(884);
      END_STATE();
    case 603:
      if (lookahead == 'R') ADVANCE(885);
      END_STATE();
    case 604:
      if (lookahead == 'R') ADVANCE(886);
      END_STATE();
    case 605:
      ACCEPT_TOKEN(aux_sym_keyword_tinyint_token2);
      END_STATE();
    case 606:
      ACCEPT_TOKEN(aux_sym_keyword_smallint_token2);
      END_STATE();
    case 607:
      ACCEPT_TOKEN(aux_sym_keyword_mediumint_token2);
      END_STATE();
    case 608:
      ACCEPT_TOKEN(aux_sym_keyword_int_token3);
      END_STATE();
    case 609:
      ACCEPT_TOKEN(aux_sym_keyword_bigint_token2);
      END_STATE();
    case 610:
      if (lookahead == 'G') ADVANCE(887);
      if (lookahead == 'R') ADVANCE(888);
      END_STATE();
    case 611:
      ACCEPT_TOKEN(sym_keyword_into);
      END_STATE();
    case 612:
      ACCEPT_TOKEN(sym_keyword_join);
      END_STATE();
    case 613:
      ACCEPT_TOKEN(sym_keyword_json);
      if (lookahead == 'B') ADVANCE(889);
      if (lookahead == 'F') ADVANCE(890);
      END_STATE();
    case 614:
      ACCEPT_TOKEN(sym_keyword_last);
      END_STATE();
    case 615:
      if (lookahead == 'R') ADVANCE(891);
      END_STATE();
    case 616:
      ACCEPT_TOKEN(sym_keyword_left);
      END_STATE();
    case 617:
      ACCEPT_TOKEN(aux_sym_keyword_like_token1);
      END_STATE();
    case 618:
      if (lookahead == 'T') ADVANCE(892);
      END_STATE();
    case 619:
      if (lookahead == 'S') ADVANCE(893);
      END_STATE();
    case 620:
      if (lookahead == 'T') ADVANCE(894);
      END_STATE();
    case 621:
      if (lookahead == 'R') ADVANCE(895);
      END_STATE();
    case 622:
      if (lookahead == 'U') ADVANCE(896);
      END_STATE();
    case 623:
      if (lookahead == 'F') ADVANCE(897);
      END_STATE();
    case 624:
      if (lookahead == 'Y') ADVANCE(898);
      END_STATE();
    case 625:
      ACCEPT_TOKEN(sym_keyword_name);
      END_STATE();
    case 626:
      ACCEPT_TOKEN(sym_keyword_null);
      if (lookahead == 'S') ADVANCE(899);
      END_STATE();
    case 627:
      if (lookahead == 'R') ADVANCE(900);
      END_STATE();
    case 628:
      if (lookahead == 'E') ADVANCE(901);
      END_STATE();
    case 629:
      ACCEPT_TOKEN(sym_keyword_only);
      END_STATE();
    case 630:
      if (lookahead == 'R') ADVANCE(902);
      END_STATE();
    case 631:
      if (lookahead == 'R') ADVANCE(903);
      END_STATE();
    case 632:
      if (lookahead == 'R') ADVANCE(904);
      END_STATE();
    case 633:
      ACCEPT_TOKEN(sym_keyword_over);
      END_STATE();
    case 634:
      if (lookahead == 'R') ADVANCE(905);
      END_STATE();
    case 635:
      if (lookahead == 'U') ADVANCE(906);
      END_STATE();
    case 636:
      if (lookahead == 'I') ADVANCE(907);
      END_STATE();
    case 637:
      if (lookahead == 'E') ADVANCE(908);
      if (lookahead == 'I') ADVANCE(909);
      END_STATE();
    case 638:
      if (lookahead == 'E') ADVANCE(910);
      END_STATE();
    case 639:
      if (lookahead == 'A') ADVANCE(911);
      END_STATE();
    case 640:
      if (lookahead == 'E') ADVANCE(912);
      END_STATE();
    case 641:
      if (lookahead == 'L') ADVANCE(913);
      END_STATE();
    case 642:
      ACCEPT_TOKEN(aux_sym_keyword_real_token1);
      END_STATE();
    case 643:
      if (lookahead == 'L') ADVANCE(914);
      END_STATE();
    case 644:
      if (lookahead == 'A') ADVANCE(915);
      END_STATE();
    case 645:
      if (lookahead == 'R') ADVANCE(916);
      END_STATE();
    case 646:
      if (lookahead == 'Y') ADVANCE(917);
      END_STATE();
    case 647:
      if (lookahead == 'M') ADVANCE(918);
      END_STATE();
    case 648:
      if (lookahead == 'A') ADVANCE(919);
      if (lookahead == 'I') ADVANCE(920);
      END_STATE();
    case 649:
      if (lookahead == 'R') ADVANCE(921);
      END_STATE();
    case 650:
      if (lookahead == 'R') ADVANCE(922);
      END_STATE();
    case 651:
      if (lookahead == 'T') ADVANCE(923);
      END_STATE();
    case 652:
      if (lookahead == 'B') ADVANCE(924);
      END_STATE();
    case 653:
      ACCEPT_TOKEN(sym_keyword_rows);
      END_STATE();
    case 654:
      if (lookahead == 'M') ADVANCE(925);
      END_STATE();
    case 655:
      if (lookahead == 'C') ADVANCE(926);
      END_STATE();
    case 656:
      if (lookahead == 'R') ADVANCE(927);
      END_STATE();
    case 657:
      if (lookahead == 'E') ADVANCE(928);
      END_STATE();
    case 658:
      if (lookahead == 'A') ADVANCE(929);
      END_STATE();
    case 659:
      if (lookahead == 'L') ADVANCE(930);
      END_STATE();
    case 660:
      if (lookahead == 'L') ADVANCE(931);
      END_STATE();
    case 661:
      ACCEPT_TOKEN(sym_keyword_sort);
      END_STATE();
    case 662:
      if (lookahead == 'S') ADVANCE(932);
      END_STATE();
    case 663:
      if (lookahead == 'S') ADVANCE(933);
      END_STATE();
    case 664:
      if (lookahead == 'E') ADVANCE(934);
      END_STATE();
    case 665:
      if (lookahead == 'E') ADVANCE(935);
      END_STATE();
    case 666:
      if (lookahead == 'R') ADVANCE(936);
      END_STATE();
    case 667:
      ACCEPT_TOKEN(sym_keyword_temp);
      if (lookahead == 'O') ADVANCE(937);
      END_STATE();
    case 668:
      if (lookahead == 'I') ADVANCE(938);
      END_STATE();
    case 669:
      ACCEPT_TOKEN(sym_keyword_text);
      if (lookahead == 'F') ADVANCE(939);
      END_STATE();
    case 670:
      ACCEPT_TOKEN(sym_keyword_then);
      END_STATE();
    case 671:
      ACCEPT_TOKEN(sym_keyword_ties);
      END_STATE();
    case 672:
      ACCEPT_TOKEN(aux_sym_keyword_timestamp_token3);
      if (lookahead == 'S') ADVANCE(940);
      END_STATE();
    case 673:
      if (lookahead == 'I') ADVANCE(941);
      END_STATE();
    case 674:
      if (lookahead == 'S') ADVANCE(942);
      END_STATE();
    case 675:
      ACCEPT_TOKEN(sym_keyword_true);
      END_STATE();
    case 676:
      ACCEPT_TOKEN(sym_keyword_type);
      END_STATE();
    case 677:
      if (lookahead == 'U') ADVANCE(943);
      END_STATE();
    case 678:
      if (lookahead == 'C') ADVANCE(944);
      END_STATE();
    case 679:
      if (lookahead == 'N') ADVANCE(945);
      END_STATE();
    case 680:
      if (lookahead == 'U') ADVANCE(946);
      END_STATE();
    case 681:
      if (lookahead == 'G') ADVANCE(947);
      END_STATE();
    case 682:
      if (lookahead == 'G') ADVANCE(948);
      END_STATE();
    case 683:
      if (lookahead == 'T') ADVANCE(949);
      END_STATE();
    case 684:
      if (lookahead == 'G') ADVANCE(950);
      END_STATE();
    case 685:
      ACCEPT_TOKEN(sym_keyword_uuid);
      END_STATE();
    case 686:
      if (lookahead == 'E') ADVANCE(951);
      END_STATE();
    case 687:
      if (lookahead == 'H') ADVANCE(952);
      END_STATE();
    case 688:
      if (lookahead == 'I') ADVANCE(953);
      END_STATE();
    case 689:
      ACCEPT_TOKEN(sym_keyword_view);
      END_STATE();
    case 690:
      ACCEPT_TOKEN(sym_keyword_when);
      END_STATE();
    case 691:
      if (lookahead == 'E') ADVANCE(954);
      END_STATE();
    case 692:
      if (lookahead == 'O') ADVANCE(955);
      END_STATE();
    case 693:
      ACCEPT_TOKEN(aux_sym_keyword_with_token1);
      if (lookahead == 'O') ADVANCE(956);
      END_STATE();
    case 694:
      if (lookahead == 'F') ADVANCE(957);
      END_STATE();
    case 695:
      ACCEPT_TOKEN(aux_sym_keyword_timestamp_token4);
      END_STATE();
    case 696:
      if (lookahead == 'r') ADVANCE(830);
      END_STATE();
    case 697:
      if (lookahead == 'r') ADVANCE(831);
      END_STATE();
    case 698:
      if (lookahead == 'y') ADVANCE(832);
      END_STATE();
    case 699:
      if (lookahead == '_') ADVANCE(958);
      END_STATE();
    case 700:
      if (lookahead == 'n') ADVANCE(834);
      END_STATE();
    case 701:
      if (lookahead == 'e') ADVANCE(959);
      END_STATE();
    case 702:
      if (lookahead == 'n') ADVANCE(960);
      END_STATE();
    case 703:
      if (lookahead == 'e') ADVANCE(961);
      END_STATE();
    case 704:
      if (lookahead == 'e') ADVANCE(962);
      END_STATE();
    case 705:
      if (lookahead == 'd') ADVANCE(839);
      END_STATE();
    case 706:
      if (lookahead == 'd') ADVANCE(840);
      END_STATE();
    case 707:
      if (lookahead == 'e') ADVANCE(841);
      END_STATE();
    case 708:
      if (lookahead == 'a') ADVANCE(842);
      END_STATE();
    case 709:
      if (lookahead == 'e') ADVANCE(963);
      END_STATE();
    case 710:
      if (lookahead == 'a') ADVANCE(964);
      END_STATE();
    case 711:
      if (lookahead == 'u') ADVANCE(965);
      END_STATE();
    case 712:
      if (lookahead == 'g') ADVANCE(966);
      END_STATE();
    case 713:
      ACCEPT_TOKEN(aux_sym_keyword_char_token1);
      if (lookahead == 'a') ADVANCE(967);
      END_STATE();
    case 714:
      if (lookahead == 'a') ADVANCE(968);
      END_STATE();
    case 715:
      if (lookahead == 'm') ADVANCE(969);
      END_STATE();
    case 716:
      if (lookahead == 'e') ADVANCE(970);
      if (lookahead == 'i') ADVANCE(971);
      END_STATE();
    case 717:
      if (lookahead == 'u') ADVANCE(972);
      END_STATE();
    case 718:
      if (lookahead == 'u') ADVANCE(973);
      END_STATE();
    case 719:
      if (lookahead == 't') ADVANCE(974);
      END_STATE();
    case 720:
      if (lookahead == 't') ADVANCE(854);
      END_STATE();
    case 721:
      if (lookahead == 't') ADVANCE(975);
      END_STATE();
    case 722:
      if (lookahead == 's') ADVANCE(856);
      END_STATE();
    case 723:
      if (lookahead == 'e') ADVANCE(976);
      END_STATE();
    case 724:
      ACCEPT_TOKEN(sym_keyword_date);
      if (lookahead == 't') ADVANCE(977);
      END_STATE();
    case 725:
      ACCEPT_TOKEN(anon_sym_days);
      END_STATE();
    case 726:
      if (lookahead == 'd') ADVANCE(978);
      END_STATE();
    case 727:
      if (lookahead == 'm') ADVANCE(979);
      END_STATE();
    case 728:
      if (lookahead == 'u') ADVANCE(980);
      END_STATE();
    case 729:
      if (lookahead == 't') ADVANCE(981);
      END_STATE();
    case 730:
      if (lookahead == 'm') ADVANCE(982);
      END_STATE();
    case 731:
      if (lookahead == 'i') ADVANCE(983);
      END_STATE();
    case 732:
      if (lookahead == 'l') ADVANCE(984);
      END_STATE();
    case 733:
      if (lookahead == 'n') ADVANCE(985);
      END_STATE();
    case 734:
      if (lookahead == 'p') ADVANCE(986);
      END_STATE();
    case 735:
      if (lookahead == 'p') ADVANCE(987);
      END_STATE();
    case 736:
      if (lookahead == 'u') ADVANCE(988);
      END_STATE();
    case 737:
      if (lookahead == 't') ADVANCE(989);
      END_STATE();
    case 738:
      if (lookahead == 'r') ADVANCE(990);
      END_STATE();
    case 739:
      if (lookahead == 'e') ADVANCE(871);
      END_STATE();
    case 740:
      if (lookahead == 'd') ADVANCE(991);
      END_STATE();
    case 741:
      if (lookahead == 't') ADVANCE(873);
      END_STATE();
    case 742:
      if (lookahead == 't') ADVANCE(992);
      END_STATE();
    case 743:
      if (lookahead == 'o') ADVANCE(993);
      END_STATE();
    case 744:
      if (lookahead == 'e') ADVANCE(876);
      END_STATE();
    case 745:
      if (lookahead == 'a') ADVANCE(994);
      END_STATE();
    case 746:
      if (lookahead == 'r') ADVANCE(995);
      END_STATE();
    case 747:
      if (lookahead == 'e') ADVANCE(996);
      END_STATE();
    case 748:
      if (lookahead == 'p') ADVANCE(997);
      END_STATE();
    case 749:
      if (lookahead == 'n') ADVANCE(998);
      END_STATE();
    case 750:
      ACCEPT_TOKEN(anon_sym_hour);
      if (lookahead == 's') ADVANCE(999);
      END_STATE();
    case 751:
      if (lookahead == 'r') ADVANCE(1000);
      END_STATE();
    case 752:
      if (lookahead == 'e') ADVANCE(883);
      END_STATE();
    case 753:
      if (lookahead == 'x') ADVANCE(884);
      END_STATE();
    case 754:
      if (lookahead == 'r') ADVANCE(885);
      END_STATE();
    case 755:
      if (lookahead == 'r') ADVANCE(1001);
      END_STATE();
    case 756:
      if (lookahead == 'g') ADVANCE(1002);
      if (lookahead == 'r') ADVANCE(1003);
      END_STATE();
    case 757:
      ACCEPT_TOKEN(sym_keyword_json);
      if (lookahead == 'b') ADVANCE(889);
      if (lookahead == 'f') ADVANCE(1004);
      END_STATE();
    case 758:
      if (lookahead == 'r') ADVANCE(1005);
      END_STATE();
    case 759:
      if (lookahead == 't') ADVANCE(892);
      END_STATE();
    case 760:
      if (lookahead == 's') ADVANCE(893);
      END_STATE();
    case 761:
      if (lookahead == 't') ADVANCE(1006);
      END_STATE();
    case 762:
      if (lookahead == 'r') ADVANCE(1007);
      END_STATE();
    case 763:
      if (lookahead == 'u') ADVANCE(1008);
      END_STATE();
    case 764:
      if (lookahead == 'o') ADVANCE(1009);
      END_STATE();
    case 765:
      if (lookahead == 'e') ADVANCE(1010);
      if (lookahead == 'i') ADVANCE(1011);
      END_STATE();
    case 766:
      if (lookahead == 't') ADVANCE(1012);
      END_STATE();
    case 767:
      if (lookahead == 'f') ADVANCE(1013);
      END_STATE();
    case 768:
      if (lookahead == 'y') ADVANCE(898);
      END_STATE();
    case 769:
      if (lookahead == 'h') ADVANCE(1014);
      END_STATE();
    case 770:
      ACCEPT_TOKEN(sym_keyword_null);
      if (lookahead == 's') ADVANCE(899);
      END_STATE();
    case 771:
      if (lookahead == 'r') ADVANCE(1015);
      END_STATE();
    case 772:
      if (lookahead == 'e') ADVANCE(1016);
      END_STATE();
    case 773:
      if (lookahead == 'r') ADVANCE(902);
      END_STATE();
    case 774:
      if (lookahead == 'r') ADVANCE(1017);
      END_STATE();
    case 775:
      if (lookahead == 'r') ADVANCE(904);
      END_STATE();
    case 776:
      if (lookahead == 'r') ADVANCE(905);
      END_STATE();
    case 777:
      if (lookahead == 'u') ADVANCE(1018);
      END_STATE();
    case 778:
      if (lookahead == 'i') ADVANCE(1019);
      END_STATE();
    case 779:
      if (lookahead == 'e') ADVANCE(1020);
      if (lookahead == 'i') ADVANCE(1021);
      END_STATE();
    case 780:
      if (lookahead == 'e') ADVANCE(1022);
      END_STATE();
    case 781:
      if (lookahead == 'a') ADVANCE(1023);
      END_STATE();
    case 782:
      if (lookahead == 'e') ADVANCE(912);
      END_STATE();
    case 783:
      if (lookahead == 'l') ADVANCE(1024);
      END_STATE();
    case 784:
      if (lookahead == 'l') ADVANCE(1025);
      END_STATE();
    case 785:
      if (lookahead == 'a') ADVANCE(1026);
      END_STATE();
    case 786:
      if (lookahead == 'r') ADVANCE(1027);
      END_STATE();
    case 787:
      if (lookahead == 'y') ADVANCE(1028);
      END_STATE();
    case 788:
      if (lookahead == 'm') ADVANCE(1029);
      END_STATE();
    case 789:
      if (lookahead == 'a') ADVANCE(1030);
      if (lookahead == 'i') ADVANCE(1031);
      END_STATE();
    case 790:
      if (lookahead == 'r') ADVANCE(1032);
      END_STATE();
    case 791:
      if (lookahead == 'r') ADVANCE(1033);
      END_STATE();
    case 792:
      if (lookahead == 't') ADVANCE(923);
      END_STATE();
    case 793:
      if (lookahead == 'b') ADVANCE(1034);
      END_STATE();
    case 794:
      if (lookahead == 'm') ADVANCE(1035);
      END_STATE();
    case 795:
      if (lookahead == 'n') ADVANCE(1036);
      END_STATE();
    case 796:
      if (lookahead == 'c') ADVANCE(1037);
      END_STATE();
    case 797:
      if (lookahead == 'r') ADVANCE(1038);
      END_STATE();
    case 798:
      if (lookahead == 'e') ADVANCE(1039);
      END_STATE();
    case 799:
      if (lookahead == 'a') ADVANCE(1040);
      END_STATE();
    case 800:
      if (lookahead == 'l') ADVANCE(1041);
      END_STATE();
    case 801:
      if (lookahead == 'l') ADVANCE(1042);
      END_STATE();
    case 802:
      if (lookahead == 's') ADVANCE(1043);
      END_STATE();
    case 803:
      if (lookahead == 's') ADVANCE(933);
      END_STATE();
    case 804:
      if (lookahead == 'e') ADVANCE(1044);
      END_STATE();
    case 805:
      if (lookahead == 'e') ADVANCE(935);
      END_STATE();
    case 806:
      if (lookahead == 'r') ADVANCE(1045);
      END_STATE();
    case 807:
      ACCEPT_TOKEN(sym_keyword_temp);
      if (lookahead == 'o') ADVANCE(1046);
      END_STATE();
    case 808:
      if (lookahead == 'i') ADVANCE(1047);
      END_STATE();
    case 809:
      ACCEPT_TOKEN(sym_keyword_text);
      if (lookahead == 'f') ADVANCE(1048);
      END_STATE();
    case 810:
      ACCEPT_TOKEN(aux_sym_keyword_timestamp_token3);
      if (lookahead == 's') ADVANCE(1049);
      END_STATE();
    case 811:
      if (lookahead == 'i') ADVANCE(1050);
      END_STATE();
    case 812:
      if (lookahead == 's') ADVANCE(1051);
      END_STATE();
    case 813:
      if (lookahead == 'u') ADVANCE(1052);
      END_STATE();
    case 814:
      if (lookahead == 'c') ADVANCE(1053);
      END_STATE();
    case 815:
      if (lookahead == 'n') ADVANCE(945);
      END_STATE();
    case 816:
      if (lookahead == 'u') ADVANCE(1054);
      END_STATE();
    case 817:
      if (lookahead == 'g') ADVANCE(1055);
      END_STATE();
    case 818:
      if (lookahead == 'g') ADVANCE(1056);
      END_STATE();
    case 819:
      if (lookahead == 't') ADVANCE(1057);
      END_STATE();
    case 820:
      if (lookahead == 'g') ADVANCE(950);
      END_STATE();
    case 821:
      if (lookahead == 'e') ADVANCE(1058);
      END_STATE();
    case 822:
      if (lookahead == 'h') ADVANCE(1059);
      END_STATE();
    case 823:
      if (lookahead == 'i') ADVANCE(1060);
      END_STATE();
    case 824:
      ACCEPT_TOKEN(anon_sym_week);
      if (lookahead == 's') ADVANCE(1061);
      END_STATE();
    case 825:
      if (lookahead == 'e') ADVANCE(954);
      END_STATE();
    case 826:
      if (lookahead == 'o') ADVANCE(1062);
      END_STATE();
    case 827:
      ACCEPT_TOKEN(aux_sym_keyword_with_token1);
      if (lookahead == 'o') ADVANCE(1063);
      END_STATE();
    case 828:
      ACCEPT_TOKEN(anon_sym_year);
      if (lookahead == 's') ADVANCE(1064);
      END_STATE();
    case 829:
      if (lookahead == 'f') ADVANCE(1065);
      END_STATE();
    case 830:
      ACCEPT_TOKEN(sym_keyword_after);
      END_STATE();
    case 831:
      ACCEPT_TOKEN(sym_keyword_alter);
      END_STATE();
    case 832:
      ACCEPT_TOKEN(sym_keyword_array);
      END_STATE();
    case 833:
      if (lookahead == 'I') ADVANCE(1066);
      END_STATE();
    case 834:
      ACCEPT_TOKEN(sym_keyword_begin);
      END_STATE();
    case 835:
      if (lookahead == 'E') ADVANCE(1067);
      END_STATE();
    case 836:
      if (lookahead == 'T') ADVANCE(1068);
      END_STATE();
    case 837:
      if (lookahead == 'R') ADVANCE(1069);
      END_STATE();
    case 838:
      if (lookahead == 'A') ADVANCE(1070);
      END_STATE();
    case 839:
      ACCEPT_TOKEN(sym_keyword_box2d);
      END_STATE();
    case 840:
      ACCEPT_TOKEN(sym_keyword_box3d);
      END_STATE();
    case 841:
      ACCEPT_TOKEN(sym_keyword_btree);
      END_STATE();
    case 842:
      ACCEPT_TOKEN(sym_keyword_bytea);
      END_STATE();
    case 843:
      if (lookahead == 'D') ADVANCE(1071);
      END_STATE();
    case 844:
      if (lookahead == 'D') ADVANCE(1072);
      END_STATE();
    case 845:
      if (lookahead == 'E') ADVANCE(1073);
      END_STATE();
    case 846:
      if (lookahead == 'C') ADVANCE(1074);
      END_STATE();
    case 847:
      if (lookahead == 'T') ADVANCE(1075);
      END_STATE();
    case 848:
      if (lookahead == 'N') ADVANCE(1076);
      END_STATE();
    case 849:
      if (lookahead == 'N') ADVANCE(1077);
      END_STATE();
    case 850:
      if (lookahead == 'T') ADVANCE(1078);
      END_STATE();
    case 851:
      if (lookahead == 'T') ADVANCE(1079);
      END_STATE();
    case 852:
      if (lookahead == 'R') ADVANCE(1080);
      END_STATE();
    case 853:
      if (lookahead == 'R') ADVANCE(1081);
      END_STATE();
    case 854:
      ACCEPT_TOKEN(sym_keyword_count);
      END_STATE();
    case 855:
      if (lookahead == 'E') ADVANCE(1082);
      END_STATE();
    case 856:
      ACCEPT_TOKEN(sym_keyword_cross);
      END_STATE();
    case 857:
      if (lookahead == 'N') ADVANCE(1083);
      END_STATE();
    case 858:
      if (lookahead == 'I') ADVANCE(1084);
      END_STATE();
    case 859:
      if (lookahead == 'A') ADVANCE(1085);
      END_STATE();
    case 860:
      if (lookahead == 'L') ADVANCE(1086);
      END_STATE();
    case 861:
      if (lookahead == 'E') ADVANCE(1087);
      END_STATE();
    case 862:
      if (lookahead == 'I') ADVANCE(1088);
      END_STATE();
    case 863:
      if (lookahead == 'N') ADVANCE(1089);
      END_STATE();
    case 864:
      if (lookahead == 'E') ADVANCE(1090);
      END_STATE();
    case 865:
      if (lookahead == 'E') ADVANCE(1091);
      END_STATE();
    case 866:
      if (lookahead == 'E') ADVANCE(1092);
      END_STATE();
    case 867:
      if (lookahead == 'T') ADVANCE(1093);
      END_STATE();
    case 868:
      if (lookahead == 'D') ADVANCE(1094);
      END_STATE();
    case 869:
      if (lookahead == 'S') ADVANCE(1095);
      END_STATE();
    case 870:
      if (lookahead == 'N') ADVANCE(1096);
      END_STATE();
    case 871:
      ACCEPT_TOKEN(sym_keyword_false);
      END_STATE();
    case 872:
      if (lookahead == 'S') ADVANCE(1097);
      END_STATE();
    case 873:
      ACCEPT_TOKEN(sym_keyword_first);
      END_STATE();
    case 874:
      ACCEPT_TOKEN(sym_keyword_float);
      if (lookahead == '4') ADVANCE(1098);
      if (lookahead == '8') ADVANCE(1099);
      END_STATE();
    case 875:
      if (lookahead == 'W') ADVANCE(1100);
      END_STATE();
    case 876:
      ACCEPT_TOKEN(sym_keyword_force);
      END_STATE();
    case 877:
      if (lookahead == 'T') ADVANCE(1101);
      END_STATE();
    case 878:
      if (lookahead == 'A') ADVANCE(1102);
      END_STATE();
    case 879:
      if (lookahead == 'T') ADVANCE(1103);
      END_STATE();
    case 880:
      ACCEPT_TOKEN(sym_keyword_group);
      if (lookahead == 'S') ADVANCE(1104);
      if (lookahead == '_') ADVANCE(1105);
      END_STATE();
    case 881:
      if (lookahead == 'G') ADVANCE(1106);
      END_STATE();
    case 882:
      if (lookahead == 'E') ADVANCE(1107);
      END_STATE();
    case 883:
      ACCEPT_TOKEN(aux_sym_keyword_like_token2);
      END_STATE();
    case 884:
      ACCEPT_TOKEN(sym_keyword_index);
      END_STATE();
    case 885:
      ACCEPT_TOKEN(sym_keyword_inner);
      END_STATE();
    case 886:
      if (lookahead == 'T') ADVANCE(1108);
      END_STATE();
    case 887:
      if (lookahead == 'E') ADVANCE(1109);
      END_STATE();
    case 888:
      if (lookahead == 'S') ADVANCE(1110);
      if (lookahead == 'V') ADVANCE(1111);
      END_STATE();
    case 889:
      ACCEPT_TOKEN(sym_keyword_jsonb);
      END_STATE();
    case 890:
      if (lookahead == 'I') ADVANCE(1112);
      END_STATE();
    case 891:
      if (lookahead == 'A') ADVANCE(1113);
      END_STATE();
    case 892:
      ACCEPT_TOKEN(sym_keyword_limit);
      END_STATE();
    case 893:
      ACCEPT_TOKEN(sym_keyword_lines);
      END_STATE();
    case 894:
      if (lookahead == 'I') ADVANCE(1114);
      END_STATE();
    case 895:
      if (lookahead == 'I') ADVANCE(1115);
      END_STATE();
    case 896:
      if (lookahead == 'M') ADVANCE(1116);
      END_STATE();
    case 897:
      if (lookahead == 'Y') ADVANCE(1117);
      END_STATE();
    case 898:
      ACCEPT_TOKEN(sym_keyword_money);
      END_STATE();
    case 899:
      ACCEPT_TOKEN(sym_keyword_nulls);
      END_STATE();
    case 900:
      if (lookahead == 'I') ADVANCE(1118);
      END_STATE();
    case 901:
      if (lookahead == 'T') ADVANCE(1119);
      END_STATE();
    case 902:
      ACCEPT_TOKEN(sym_keyword_order);
      END_STATE();
    case 903:
      if (lookahead == 'S') ADVANCE(1120);
      END_STATE();
    case 904:
      ACCEPT_TOKEN(sym_keyword_outer);
      END_STATE();
    case 905:
      ACCEPT_TOKEN(sym_keyword_owner);
      END_STATE();
    case 906:
      if (lookahead == 'E') ADVANCE(1121);
      END_STATE();
    case 907:
      if (lookahead == 'T') ADVANCE(1122);
      END_STATE();
    case 908:
      if (lookahead == 'D') ADVANCE(1123);
      END_STATE();
    case 909:
      if (lookahead == 'S') ADVANCE(1124);
      END_STATE();
    case 910:
      if (lookahead == 'R') ADVANCE(1125);
      END_STATE();
    case 911:
      if (lookahead == 'R') ADVANCE(1126);
      END_STATE();
    case 912:
      ACCEPT_TOKEN(sym_keyword_range);
      END_STATE();
    case 913:
      if (lookahead == 'E') ADVANCE(1127);
      END_STATE();
    case 914:
      if (lookahead == 'A') ADVANCE(1128);
      END_STATE();
    case 915:
      if (lookahead == 'M') ADVANCE(1129);
      END_STATE();
    case 916:
      if (lookahead == 'O') ADVANCE(1130);
      END_STATE();
    case 917:
      if (lookahead == 'P') ADVANCE(1131);
      END_STATE();
    case 918:
      if (lookahead == 'E') ADVANCE(1132);
      END_STATE();
    case 919:
      if (lookahead == 'C') ADVANCE(1133);
      END_STATE();
    case 920:
      if (lookahead == 'C') ADVANCE(1134);
      END_STATE();
    case 921:
      if (lookahead == 'I') ADVANCE(1135);
      END_STATE();
    case 922:
      if (lookahead == 'N') ADVANCE(1136);
      END_STATE();
    case 923:
      ACCEPT_TOKEN(sym_keyword_right);
      END_STATE();
    case 924:
      if (lookahead == 'A') ADVANCE(1137);
      END_STATE();
    case 925:
      if (lookahead == 'A') ADVANCE(1138);
      END_STATE();
    case 926:
      if (lookahead == 'T') ADVANCE(1139);
      END_STATE();
    case 927:
      if (lookahead == 'A') ADVANCE(1140);
      END_STATE();
    case 928:
      if (lookahead == 'N') ADVANCE(1141);
      END_STATE();
    case 929:
      if (lookahead == 'L') ADVANCE(1142);
      END_STATE();
    case 930:
      if (lookahead == 'A') ADVANCE(1143);
      END_STATE();
    case 931:
      if (lookahead == 'I') ADVANCE(1144);
      if (lookahead == 'S') ADVANCE(1145);
      END_STATE();
    case 932:
      if (lookahead == 'T') ADVANCE(1146);
      END_STATE();
    case 933:
      ACCEPT_TOKEN(sym_keyword_stats);
      END_STATE();
    case 934:
      if (lookahead == 'D') ADVANCE(1147);
      END_STATE();
    case 935:
      ACCEPT_TOKEN(sym_keyword_table);
      END_STATE();
    case 936:
      if (lookahead == 'O') ADVANCE(1148);
      END_STATE();
    case 937:
      if (lookahead == 'R') ADVANCE(1149);
      END_STATE();
    case 938:
      if (lookahead == 'N') ADVANCE(1150);
      END_STATE();
    case 939:
      if (lookahead == 'I') ADVANCE(1151);
      END_STATE();
    case 940:
      if (lookahead == 'T') ADVANCE(1152);
      END_STATE();
    case 941:
      if (lookahead == 'N') ADVANCE(1153);
      END_STATE();
    case 942:
      if (lookahead == 'A') ADVANCE(1154);
      END_STATE();
    case 943:
      if (lookahead == 'N') ADVANCE(1155);
      END_STATE();
    case 944:
      if (lookahead == 'H') ADVANCE(1156);
      END_STATE();
    case 945:
      ACCEPT_TOKEN(sym_keyword_union);
      END_STATE();
    case 946:
      if (lookahead == 'E') ADVANCE(1157);
      END_STATE();
    case 947:
      if (lookahead == 'G') ADVANCE(1158);
      END_STATE();
    case 948:
      if (lookahead == 'N') ADVANCE(1159);
      END_STATE();
    case 949:
      if (lookahead == 'E') ADVANCE(1160);
      END_STATE();
    case 950:
      ACCEPT_TOKEN(sym_keyword_using);
      END_STATE();
    case 951:
      if (lookahead == 'S') ADVANCE(1161);
      END_STATE();
    case 952:
      if (lookahead == 'A') ADVANCE(1162);
      END_STATE();
    case 953:
      if (lookahead == 'N') ADVANCE(1163);
      END_STATE();
    case 954:
      ACCEPT_TOKEN(sym_keyword_where);
      END_STATE();
    case 955:
      if (lookahead == 'W') ADVANCE(1164);
      END_STATE();
    case 956:
      if (lookahead == 'U') ADVANCE(1165);
      END_STATE();
    case 957:
      if (lookahead == 'I') ADVANCE(1166);
      END_STATE();
    case 958:
      if (lookahead == 'i') ADVANCE(1167);
      END_STATE();
    case 959:
      if (lookahead == 'e') ADVANCE(1168);
      END_STATE();
    case 960:
      if (lookahead == 't') ADVANCE(1068);
      END_STATE();
    case 961:
      if (lookahead == 'r') ADVANCE(1169);
      END_STATE();
    case 962:
      if (lookahead == 'a') ADVANCE(1170);
      END_STATE();
    case 963:
      if (lookahead == 'd') ADVANCE(1071);
      END_STATE();
    case 964:
      if (lookahead == 'd') ADVANCE(1171);
      END_STATE();
    case 965:
      if (lookahead == 'r') ADVANCE(1172);
      END_STATE();
    case 966:
      if (lookahead == 'e') ADVANCE(1073);
      END_STATE();
    case 967:
      if (lookahead == 'c') ADVANCE(1173);
      END_STATE();
    case 968:
      if (lookahead == 't') ADVANCE(1174);
      END_STATE();
    case 969:
      if (lookahead == 'n') ADVANCE(1076);
      END_STATE();
    case 970:
      if (lookahead == 'n') ADVANCE(1175);
      END_STATE();
    case 971:
      if (lookahead == 't') ADVANCE(1078);
      END_STATE();
    case 972:
      if (lookahead == 't') ADVANCE(1176);
      END_STATE();
    case 973:
      if (lookahead == 'r') ADVANCE(1177);
      END_STATE();
    case 974:
      if (lookahead == 'r') ADVANCE(1178);
      END_STATE();
    case 975:
      if (lookahead == 'e') ADVANCE(1082);
      END_STATE();
    case 976:
      if (lookahead == 'n') ADVANCE(1179);
      END_STATE();
    case 977:
      if (lookahead == 'i') ADVANCE(1180);
      END_STATE();
    case 978:
      if (lookahead == 'e') ADVANCE(1181);
      END_STATE();
    case 979:
      if (lookahead == 'a') ADVANCE(1182);
      END_STATE();
    case 980:
      if (lookahead == 'l') ADVANCE(1183);
      END_STATE();
    case 981:
      if (lookahead == 'e') ADVANCE(1087);
      END_STATE();
    case 982:
      if (lookahead == 'i') ADVANCE(1184);
      END_STATE();
    case 983:
      if (lookahead == 'n') ADVANCE(1185);
      END_STATE();
    case 984:
      if (lookahead == 'e') ADVANCE(1090);
      END_STATE();
    case 985:
      if (lookahead == 'e') ADVANCE(1091);
      END_STATE();
    case 986:
      if (lookahead == 'e') ADVANCE(1186);
      END_STATE();
    case 987:
      if (lookahead == 't') ADVANCE(1093);
      END_STATE();
    case 988:
      if (lookahead == 'd') ADVANCE(1187);
      END_STATE();
    case 989:
      if (lookahead == 's') ADVANCE(1095);
      END_STATE();
    case 990:
      if (lookahead == 'n') ADVANCE(1188);
      END_STATE();
    case 991:
      if (lookahead == 's') ADVANCE(1097);
      END_STATE();
    case 992:
      ACCEPT_TOKEN(sym_keyword_float);
      if (lookahead == '4') ADVANCE(1098);
      if (lookahead == '8') ADVANCE(1099);
      END_STATE();
    case 993:
      if (lookahead == 'w') ADVANCE(1189);
      END_STATE();
    case 994:
      if (lookahead == 't') ADVANCE(1101);
      END_STATE();
    case 995:
      if (lookahead == 'a') ADVANCE(1190);
      END_STATE();
    case 996:
      if (lookahead == 't') ADVANCE(1191);
      END_STATE();
    case 997:
      ACCEPT_TOKEN(sym_keyword_group);
      if (lookahead == '_') ADVANCE(1192);
      if (lookahead == 's') ADVANCE(1104);
      END_STATE();
    case 998:
      if (lookahead == 'g') ADVANCE(1106);
      END_STATE();
    case 999:
      ACCEPT_TOKEN(anon_sym_hours);
      END_STATE();
    case 1000:
      if (lookahead == 'e') ADVANCE(1107);
      END_STATE();
    case 1001:
      if (lookahead == 't') ADVANCE(1108);
      END_STATE();
    case 1002:
      if (lookahead == 'e') ADVANCE(1193);
      END_STATE();
    case 1003:
      if (lookahead == 's') ADVANCE(1194);
      if (lookahead == 'v') ADVANCE(1195);
      END_STATE();
    case 1004:
      if (lookahead == 'i') ADVANCE(1196);
      END_STATE();
    case 1005:
      if (lookahead == 'a') ADVANCE(1197);
      END_STATE();
    case 1006:
      if (lookahead == 'i') ADVANCE(1198);
      END_STATE();
    case 1007:
      if (lookahead == 'i') ADVANCE(1199);
      END_STATE();
    case 1008:
      if (lookahead == 'm') ADVANCE(1200);
      END_STATE();
    case 1009:
      if (lookahead == 's') ADVANCE(1201);
      END_STATE();
    case 1010:
      if (lookahead == 'n') ADVANCE(1202);
      END_STATE();
    case 1011:
      if (lookahead == 's') ADVANCE(1203);
      END_STATE();
    case 1012:
      if (lookahead == 'e') ADVANCE(1204);
      END_STATE();
    case 1013:
      if (lookahead == 'y') ADVANCE(1117);
      END_STATE();
    case 1014:
      ACCEPT_TOKEN(anon_sym_month);
      if (lookahead == 's') ADVANCE(1205);
      END_STATE();
    case 1015:
      if (lookahead == 'i') ADVANCE(1206);
      END_STATE();
    case 1016:
      if (lookahead == 't') ADVANCE(1119);
      END_STATE();
    case 1017:
      if (lookahead == 's') ADVANCE(1120);
      END_STATE();
    case 1018:
      if (lookahead == 'e') ADVANCE(1207);
      END_STATE();
    case 1019:
      if (lookahead == 't') ADVANCE(1208);
      END_STATE();
    case 1020:
      if (lookahead == 'd') ADVANCE(1209);
      END_STATE();
    case 1021:
      if (lookahead == 's') ADVANCE(1210);
      END_STATE();
    case 1022:
      if (lookahead == 'r') ADVANCE(1211);
      END_STATE();
    case 1023:
      if (lookahead == 'r') ADVANCE(1212);
      END_STATE();
    case 1024:
      if (lookahead == 'e') ADVANCE(1127);
      END_STATE();
    case 1025:
      if (lookahead == 'a') ADVANCE(1213);
      END_STATE();
    case 1026:
      if (lookahead == 'm') ADVANCE(1214);
      END_STATE();
    case 1027:
      if (lookahead == 'o') ADVANCE(1215);
      END_STATE();
    case 1028:
      if (lookahead == 'p') ADVANCE(1216);
      END_STATE();
    case 1029:
      if (lookahead == 'e') ADVANCE(1132);
      END_STATE();
    case 1030:
      if (lookahead == 'c') ADVANCE(1217);
      END_STATE();
    case 1031:
      if (lookahead == 'c') ADVANCE(1218);
      END_STATE();
    case 1032:
      if (lookahead == 'i') ADVANCE(1219);
      END_STATE();
    case 1033:
      if (lookahead == 'n') ADVANCE(1220);
      END_STATE();
    case 1034:
      if (lookahead == 'a') ADVANCE(1221);
      END_STATE();
    case 1035:
      if (lookahead == 'a') ADVANCE(1138);
      END_STATE();
    case 1036:
      if (lookahead == 'd') ADVANCE(1222);
      END_STATE();
    case 1037:
      if (lookahead == 't') ADVANCE(1139);
      END_STATE();
    case 1038:
      if (lookahead == 'a') ADVANCE(1223);
      END_STATE();
    case 1039:
      if (lookahead == 'n') ADVANCE(1224);
      END_STATE();
    case 1040:
      if (lookahead == 'l') ADVANCE(1225);
      END_STATE();
    case 1041:
      if (lookahead == 'a') ADVANCE(1226);
      END_STATE();
    case 1042:
      if (lookahead == 'i') ADVANCE(1227);
      if (lookahead == 's') ADVANCE(1228);
      END_STATE();
    case 1043:
      if (lookahead == 't') ADVANCE(1146);
      END_STATE();
    case 1044:
      if (lookahead == 'd') ADVANCE(1147);
      END_STATE();
    case 1045:
      if (lookahead == 'o') ADVANCE(1229);
      END_STATE();
    case 1046:
      if (lookahead == 'r') ADVANCE(1230);
      END_STATE();
    case 1047:
      if (lookahead == 'n') ADVANCE(1231);
      END_STATE();
    case 1048:
      if (lookahead == 'i') ADVANCE(1232);
      END_STATE();
    case 1049:
      if (lookahead == 't') ADVANCE(1233);
      END_STATE();
    case 1050:
      if (lookahead == 'n') ADVANCE(1234);
      END_STATE();
    case 1051:
      if (lookahead == 'a') ADVANCE(1235);
      END_STATE();
    case 1052:
      if (lookahead == 'n') ADVANCE(1236);
      END_STATE();
    case 1053:
      if (lookahead == 'h') ADVANCE(1237);
      END_STATE();
    case 1054:
      if (lookahead == 'e') ADVANCE(1157);
      END_STATE();
    case 1055:
      if (lookahead == 'g') ADVANCE(1238);
      END_STATE();
    case 1056:
      if (lookahead == 'n') ADVANCE(1239);
      END_STATE();
    case 1057:
      if (lookahead == 'e') ADVANCE(1160);
      END_STATE();
    case 1058:
      if (lookahead == 's') ADVANCE(1161);
      END_STATE();
    case 1059:
      if (lookahead == 'a') ADVANCE(1240);
      END_STATE();
    case 1060:
      if (lookahead == 'n') ADVANCE(1241);
      END_STATE();
    case 1061:
      ACCEPT_TOKEN(anon_sym_weeks);
      END_STATE();
    case 1062:
      if (lookahead == 'w') ADVANCE(1164);
      END_STATE();
    case 1063:
      if (lookahead == 'u') ADVANCE(1242);
      END_STATE();
    case 1064:
      ACCEPT_TOKEN(anon_sym_years);
      END_STATE();
    case 1065:
      if (lookahead == 'i') ADVANCE(1243);
      END_STATE();
    case 1066:
      if (lookahead == 'N') ADVANCE(1244);
      END_STATE();
    case 1067:
      if (lookahead == 'N') ADVANCE(1245);
      END_STATE();
    case 1068:
      ACCEPT_TOKEN(aux_sym_keyword_bigint_token1);
      END_STATE();
    case 1069:
      if (lookahead == 'I') ADVANCE(1246);
      END_STATE();
    case 1070:
      if (lookahead == 'N') ADVANCE(1247);
      END_STATE();
    case 1071:
      ACCEPT_TOKEN(sym_keyword_cached);
      END_STATE();
    case 1072:
      if (lookahead == 'E') ADVANCE(1248);
      END_STATE();
    case 1073:
      ACCEPT_TOKEN(sym_keyword_change);
      END_STATE();
    case 1074:
      if (lookahead == 'T') ADVANCE(1249);
      END_STATE();
    case 1075:
      if (lookahead == 'E') ADVANCE(1250);
      END_STATE();
    case 1076:
      ACCEPT_TOKEN(sym_keyword_column);
      END_STATE();
    case 1077:
      if (lookahead == 'T') ADVANCE(1251);
      END_STATE();
    case 1078:
      ACCEPT_TOKEN(sym_keyword_commit);
      END_STATE();
    case 1079:
      if (lookahead == 'E') ADVANCE(1252);
      END_STATE();
    case 1080:
      if (lookahead == 'R') ADVANCE(1253);
      END_STATE();
    case 1081:
      if (lookahead == 'A') ADVANCE(1254);
      END_STATE();
    case 1082:
      ACCEPT_TOKEN(sym_keyword_create);
      END_STATE();
    case 1083:
      if (lookahead == 'T') ADVANCE(1255);
      END_STATE();
    case 1084:
      if (lookahead == 'M') ADVANCE(1256);
      END_STATE();
    case 1085:
      if (lookahead == 'L') ADVANCE(1257);
      END_STATE();
    case 1086:
      if (lookahead == 'T') ADVANCE(1258);
      END_STATE();
    case 1087:
      ACCEPT_TOKEN(sym_keyword_delete);
      END_STATE();
    case 1088:
      if (lookahead == 'T') ADVANCE(1259);
      END_STATE();
    case 1089:
      if (lookahead == 'C') ADVANCE(1260);
      END_STATE();
    case 1090:
      ACCEPT_TOKEN(sym_keyword_double);
      END_STATE();
    case 1091:
      ACCEPT_TOKEN(sym_keyword_engine);
      END_STATE();
    case 1092:
      if (lookahead == 'D') ADVANCE(1261);
      END_STATE();
    case 1093:
      ACCEPT_TOKEN(sym_keyword_except);
      END_STATE();
    case 1094:
      if (lookahead == 'E') ADVANCE(1262);
      END_STATE();
    case 1095:
      ACCEPT_TOKEN(sym_keyword_exists);
      END_STATE();
    case 1096:
      if (lookahead == 'A') ADVANCE(1263);
      END_STATE();
    case 1097:
      ACCEPT_TOKEN(sym_keyword_fields);
      END_STATE();
    case 1098:
      ACCEPT_TOKEN(aux_sym_keyword_real_token2);
      END_STATE();
    case 1099:
      ACCEPT_TOKEN(aux_sym_double_token1);
      END_STATE();
    case 1100:
      if (lookahead == 'I') ADVANCE(1264);
      END_STATE();
    case 1101:
      ACCEPT_TOKEN(sym_keyword_format);
      END_STATE();
    case 1102:
      if (lookahead == 'P') ADVANCE(1265);
      END_STATE();
    case 1103:
      if (lookahead == 'R') ADVANCE(1266);
      END_STATE();
    case 1104:
      ACCEPT_TOKEN(sym_keyword_groups);
      END_STATE();
    case 1105:
      if (lookahead == 'C') ADVANCE(1267);
      END_STATE();
    case 1106:
      ACCEPT_TOKEN(sym_keyword_having);
      END_STATE();
    case 1107:
      ACCEPT_TOKEN(sym_keyword_ignore);
      END_STATE();
    case 1108:
      ACCEPT_TOKEN(sym_keyword_insert);
      END_STATE();
    case 1109:
      if (lookahead == 'R') ADVANCE(1268);
      END_STATE();
    case 1110:
      if (lookahead == 'E') ADVANCE(1269);
      END_STATE();
    case 1111:
      if (lookahead == 'A') ADVANCE(1270);
      END_STATE();
    case 1112:
      if (lookahead == 'L') ADVANCE(1271);
      END_STATE();
    case 1113:
      if (lookahead == 'L') ADVANCE(1272);
      END_STATE();
    case 1114:
      if (lookahead == 'O') ADVANCE(1273);
      END_STATE();
    case 1115:
      if (lookahead == 'A') ADVANCE(1274);
      END_STATE();
    case 1116:
      if (lookahead == 'I') ADVANCE(1275);
      END_STATE();
    case 1117:
      ACCEPT_TOKEN(sym_keyword_modify);
      END_STATE();
    case 1118:
      if (lookahead == 'C') ADVANCE(1276);
      END_STATE();
    case 1119:
      ACCEPT_TOKEN(sym_keyword_offset);
      END_STATE();
    case 1120:
      ACCEPT_TOKEN(sym_keyword_others);
      END_STATE();
    case 1121:
      if (lookahead == 'T') ADVANCE(1277);
      END_STATE();
    case 1122:
      if (lookahead == 'I') ADVANCE(1278);
      END_STATE();
    case 1123:
      if (lookahead == 'I') ADVANCE(1279);
      END_STATE();
    case 1124:
      if (lookahead == 'I') ADVANCE(1280);
      END_STATE();
    case 1125:
      if (lookahead == 'V') ADVANCE(1281);
      END_STATE();
    case 1126:
      if (lookahead == 'Y') ADVANCE(1282);
      END_STATE();
    case 1127:
      ACCEPT_TOKEN(sym_keyword_rcfile);
      END_STATE();
    case 1128:
      if (lookahead == 'S') ADVANCE(1283);
      END_STATE();
    case 1129:
      if (lookahead == 'E') ADVANCE(1284);
      END_STATE();
    case 1130:
      if (lookahead == 'C') ADVANCE(1285);
      END_STATE();
    case 1131:
      if (lookahead == 'E') ADVANCE(1286);
      END_STATE();
    case 1132:
      ACCEPT_TOKEN(sym_keyword_rename);
      END_STATE();
    case 1133:
      if (lookahead == 'E') ADVANCE(1287);
      END_STATE();
    case 1134:
      if (lookahead == 'A') ADVANCE(1288);
      END_STATE();
    case 1135:
      if (lookahead == 'C') ADVANCE(1289);
      END_STATE();
    case 1136:
      if (lookahead == 'I') ADVANCE(1290);
      END_STATE();
    case 1137:
      if (lookahead == 'C') ADVANCE(1291);
      END_STATE();
    case 1138:
      ACCEPT_TOKEN(sym_keyword_schema);
      END_STATE();
    case 1139:
      ACCEPT_TOKEN(sym_keyword_select);
      END_STATE();
    case 1140:
      if (lookahead == 'T') ADVANCE(1292);
      END_STATE();
    case 1141:
      if (lookahead == 'C') ADVANCE(1293);
      END_STATE();
    case 1142:
      ACCEPT_TOKEN(aux_sym_keyword_serial_token1);
      if (lookahead == '2') ADVANCE(1294);
      if (lookahead == '4') ADVANCE(1295);
      if (lookahead == '8') ADVANCE(1296);
      END_STATE();
    case 1143:
      if (lookahead == 'R') ADVANCE(1297);
      END_STATE();
    case 1144:
      if (lookahead == 'N') ADVANCE(1298);
      END_STATE();
    case 1145:
      if (lookahead == 'E') ADVANCE(1299);
      END_STATE();
    case 1146:
      ACCEPT_TOKEN(sym_keyword_spgist);
      END_STATE();
    case 1147:
      ACCEPT_TOKEN(sym_keyword_stored);
      END_STATE();
    case 1148:
      if (lookahead == 'P') ADVANCE(1300);
      END_STATE();
    case 1149:
      if (lookahead == 'A') ADVANCE(1301);
      END_STATE();
    case 1150:
      if (lookahead == 'A') ADVANCE(1302);
      END_STATE();
    case 1151:
      if (lookahead == 'L') ADVANCE(1303);
      END_STATE();
    case 1152:
      if (lookahead == 'A') ADVANCE(1304);
      END_STATE();
    case 1153:
      if (lookahead == 'T') ADVANCE(1305);
      END_STATE();
    case 1154:
      if (lookahead == 'C') ADVANCE(1306);
      END_STATE();
    case 1155:
      if (lookahead == 'D') ADVANCE(1307);
      END_STATE();
    case 1156:
      if (lookahead == 'E') ADVANCE(1308);
      END_STATE();
    case 1157:
      ACCEPT_TOKEN(sym_keyword_unique);
      END_STATE();
    case 1158:
      if (lookahead == 'E') ADVANCE(1309);
      END_STATE();
    case 1159:
      if (lookahead == 'E') ADVANCE(1310);
      END_STATE();
    case 1160:
      ACCEPT_TOKEN(sym_keyword_update);
      END_STATE();
    case 1161:
      ACCEPT_TOKEN(sym_keyword_values);
      END_STATE();
    case 1162:
      if (lookahead == 'R') ADVANCE(1311);
      END_STATE();
    case 1163:
      if (lookahead == 'G') ADVANCE(1312);
      END_STATE();
    case 1164:
      ACCEPT_TOKEN(sym_keyword_window);
      END_STATE();
    case 1165:
      if (lookahead == 'T') ADVANCE(1313);
      END_STATE();
    case 1166:
      if (lookahead == 'L') ADVANCE(1314);
      END_STATE();
    case 1167:
      if (lookahead == 'n') ADVANCE(1315);
      END_STATE();
    case 1168:
      if (lookahead == 'n') ADVANCE(1245);
      END_STATE();
    case 1169:
      if (lookahead == 'i') ADVANCE(1316);
      END_STATE();
    case 1170:
      if (lookahead == 'n') ADVANCE(1247);
      END_STATE();
    case 1171:
      if (lookahead == 'e') ADVANCE(1248);
      END_STATE();
    case 1172:
      if (lookahead == 'y') ADVANCE(1317);
      END_STATE();
    case 1173:
      if (lookahead == 't') ADVANCE(1318);
      END_STATE();
    case 1174:
      if (lookahead == 'e') ADVANCE(1250);
      END_STATE();
    case 1175:
      if (lookahead == 't') ADVANCE(1251);
      END_STATE();
    case 1176:
      if (lookahead == 'e') ADVANCE(1252);
      END_STATE();
    case 1177:
      if (lookahead == 'r') ADVANCE(1319);
      END_STATE();
    case 1178:
      if (lookahead == 'a') ADVANCE(1320);
      END_STATE();
    case 1179:
      if (lookahead == 't') ADVANCE(1255);
      END_STATE();
    case 1180:
      if (lookahead == 'm') ADVANCE(1321);
      END_STATE();
    case 1181:
      ACCEPT_TOKEN(anon_sym_decade);
      END_STATE();
    case 1182:
      if (lookahead == 'l') ADVANCE(1257);
      END_STATE();
    case 1183:
      if (lookahead == 't') ADVANCE(1258);
      END_STATE();
    case 1184:
      if (lookahead == 't') ADVANCE(1322);
      END_STATE();
    case 1185:
      if (lookahead == 'c') ADVANCE(1323);
      END_STATE();
    case 1186:
      if (lookahead == 'd') ADVANCE(1261);
      END_STATE();
    case 1187:
      if (lookahead == 'e') ADVANCE(1262);
      END_STATE();
    case 1188:
      if (lookahead == 'a') ADVANCE(1324);
      END_STATE();
    case 1189:
      if (lookahead == 'i') ADVANCE(1325);
      END_STATE();
    case 1190:
      if (lookahead == 'p') ADVANCE(1326);
      END_STATE();
    case 1191:
      if (lookahead == 'r') ADVANCE(1327);
      END_STATE();
    case 1192:
      if (lookahead == 'c') ADVANCE(1328);
      END_STATE();
    case 1193:
      if (lookahead == 'r') ADVANCE(1268);
      END_STATE();
    case 1194:
      if (lookahead == 'e') ADVANCE(1329);
      END_STATE();
    case 1195:
      if (lookahead == 'a') ADVANCE(1330);
      END_STATE();
    case 1196:
      if (lookahead == 'l') ADVANCE(1331);
      END_STATE();
    case 1197:
      if (lookahead == 'l') ADVANCE(1272);
      END_STATE();
    case 1198:
      if (lookahead == 'o') ADVANCE(1332);
      END_STATE();
    case 1199:
      if (lookahead == 'a') ADVANCE(1333);
      END_STATE();
    case 1200:
      if (lookahead == 'i') ADVANCE(1334);
      END_STATE();
    case 1201:
      if (lookahead == 'e') ADVANCE(1335);
      END_STATE();
    case 1202:
      if (lookahead == 'n') ADVANCE(1336);
      END_STATE();
    case 1203:
      if (lookahead == 'e') ADVANCE(1337);
      END_STATE();
    case 1204:
      ACCEPT_TOKEN(anon_sym_minute);
      if (lookahead == 's') ADVANCE(1338);
      END_STATE();
    case 1205:
      ACCEPT_TOKEN(anon_sym_months);
      END_STATE();
    case 1206:
      if (lookahead == 'c') ADVANCE(1276);
      END_STATE();
    case 1207:
      if (lookahead == 't') ADVANCE(1277);
      END_STATE();
    case 1208:
      if (lookahead == 'i') ADVANCE(1339);
      END_STATE();
    case 1209:
      if (lookahead == 'i') ADVANCE(1340);
      END_STATE();
    case 1210:
      if (lookahead == 'i') ADVANCE(1341);
      END_STATE();
    case 1211:
      if (lookahead == 'v') ADVANCE(1342);
      END_STATE();
    case 1212:
      if (lookahead == 'y') ADVANCE(1282);
      END_STATE();
    case 1213:
      if (lookahead == 's') ADVANCE(1343);
      END_STATE();
    case 1214:
      if (lookahead == 'e') ADVANCE(1344);
      END_STATE();
    case 1215:
      if (lookahead == 'c') ADVANCE(1285);
      END_STATE();
    case 1216:
      if (lookahead == 'e') ADVANCE(1286);
      END_STATE();
    case 1217:
      if (lookahead == 'e') ADVANCE(1287);
      END_STATE();
    case 1218:
      if (lookahead == 'a') ADVANCE(1345);
      END_STATE();
    case 1219:
      if (lookahead == 'c') ADVANCE(1346);
      END_STATE();
    case 1220:
      if (lookahead == 'i') ADVANCE(1347);
      END_STATE();
    case 1221:
      if (lookahead == 'c') ADVANCE(1348);
      END_STATE();
    case 1222:
      ACCEPT_TOKEN(anon_sym_second);
      if (lookahead == 's') ADVANCE(1349);
      END_STATE();
    case 1223:
      if (lookahead == 't') ADVANCE(1350);
      END_STATE();
    case 1224:
      if (lookahead == 'c') ADVANCE(1351);
      END_STATE();
    case 1225:
      ACCEPT_TOKEN(aux_sym_keyword_serial_token1);
      if (lookahead == '2') ADVANCE(1294);
      if (lookahead == '4') ADVANCE(1295);
      if (lookahead == '8') ADVANCE(1296);
      END_STATE();
    case 1226:
      if (lookahead == 'r') ADVANCE(1297);
      END_STATE();
    case 1227:
      if (lookahead == 'n') ADVANCE(1352);
      END_STATE();
    case 1228:
      if (lookahead == 'e') ADVANCE(1353);
      END_STATE();
    case 1229:
      if (lookahead == 'p') ADVANCE(1354);
      END_STATE();
    case 1230:
      if (lookahead == 'a') ADVANCE(1355);
      END_STATE();
    case 1231:
      if (lookahead == 'a') ADVANCE(1356);
      END_STATE();
    case 1232:
      if (lookahead == 'l') ADVANCE(1357);
      END_STATE();
    case 1233:
      if (lookahead == 'a') ADVANCE(1358);
      END_STATE();
    case 1234:
      if (lookahead == 't') ADVANCE(1305);
      END_STATE();
    case 1235:
      if (lookahead == 'c') ADVANCE(1359);
      END_STATE();
    case 1236:
      if (lookahead == 'd') ADVANCE(1360);
      END_STATE();
    case 1237:
      if (lookahead == 'e') ADVANCE(1361);
      END_STATE();
    case 1238:
      if (lookahead == 'e') ADVANCE(1362);
      END_STATE();
    case 1239:
      if (lookahead == 'e') ADVANCE(1363);
      END_STATE();
    case 1240:
      if (lookahead == 'r') ADVANCE(1311);
      END_STATE();
    case 1241:
      if (lookahead == 'g') ADVANCE(1312);
      END_STATE();
    case 1242:
      if (lookahead == 't') ADVANCE(1313);
      END_STATE();
    case 1243:
      if (lookahead == 'l') ADVANCE(1364);
      END_STATE();
    case 1244:
      if (lookahead == 'C') ADVANCE(1365);
      END_STATE();
    case 1245:
      ACCEPT_TOKEN(sym_keyword_between);
      END_STATE();
    case 1246:
      if (lookahead == 'A') ADVANCE(1366);
      END_STATE();
    case 1247:
      ACCEPT_TOKEN(sym_keyword_boolean);
      END_STATE();
    case 1248:
      ACCEPT_TOKEN(sym_keyword_cascade);
      END_STATE();
    case 1249:
      if (lookahead == 'E') ADVANCE(1367);
      END_STATE();
    case 1250:
      ACCEPT_TOKEN(sym_keyword_collate);
      END_STATE();
    case 1251:
      ACCEPT_TOKEN(sym_keyword_comment);
      END_STATE();
    case 1252:
      ACCEPT_TOKEN(sym_keyword_compute);
      END_STATE();
    case 1253:
      if (lookahead == 'E') ADVANCE(1368);
      END_STATE();
    case 1254:
      if (lookahead == 'I') ADVANCE(1369);
      END_STATE();
    case 1255:
      ACCEPT_TOKEN(sym_keyword_current);
      END_STATE();
    case 1256:
      if (lookahead == 'E') ADVANCE(1370);
      END_STATE();
    case 1257:
      ACCEPT_TOKEN(sym_keyword_decimal);
      END_STATE();
    case 1258:
      ACCEPT_TOKEN(sym_keyword_default);
      END_STATE();
    case 1259:
      if (lookahead == 'E') ADVANCE(1371);
      END_STATE();
    case 1260:
      if (lookahead == 'T') ADVANCE(1372);
      END_STATE();
    case 1261:
      ACCEPT_TOKEN(sym_keyword_escaped);
      END_STATE();
    case 1262:
      ACCEPT_TOKEN(sym_keyword_exclude);
      END_STATE();
    case 1263:
      if (lookahead == 'L') ADVANCE(1373);
      END_STATE();
    case 1264:
      if (lookahead == 'N') ADVANCE(1374);
      END_STATE();
    case 1265:
      if (lookahead == 'H') ADVANCE(1375);
      END_STATE();
    case 1266:
      if (lookahead == 'Y') ADVANCE(1376);
      END_STATE();
    case 1267:
      if (lookahead == 'O') ADVANCE(1377);
      END_STATE();
    case 1268:
      ACCEPT_TOKEN(aux_sym_keyword_int_token2);
      END_STATE();
    case 1269:
      if (lookahead == 'C') ADVANCE(1378);
      END_STATE();
    case 1270:
      if (lookahead == 'L') ADVANCE(1379);
      END_STATE();
    case 1271:
      if (lookahead == 'E') ADVANCE(1380);
      END_STATE();
    case 1272:
      ACCEPT_TOKEN(sym_keyword_lateral);
      END_STATE();
    case 1273:
      if (lookahead == 'N') ADVANCE(1381);
      END_STATE();
    case 1274:
      if (lookahead == 'L') ADVANCE(1382);
      END_STATE();
    case 1275:
      if (lookahead == 'N') ADVANCE(1383);
      END_STATE();
    case 1276:
      ACCEPT_TOKEN(sym_keyword_numeric);
      END_STATE();
    case 1277:
      ACCEPT_TOKEN(sym_keyword_parquet);
      END_STATE();
    case 1278:
      if (lookahead == 'O') ADVANCE(1384);
      END_STATE();
    case 1279:
      if (lookahead == 'N') ADVANCE(1385);
      END_STATE();
    case 1280:
      if (lookahead == 'O') ADVANCE(1386);
      END_STATE();
    case 1281:
      if (lookahead == 'E') ADVANCE(1387);
      END_STATE();
    case 1282:
      ACCEPT_TOKEN(sym_keyword_primary);
      END_STATE();
    case 1283:
      if (lookahead == 'S') ADVANCE(1388);
      END_STATE();
    case 1284:
      if (lookahead == 'S') ADVANCE(1389);
      END_STATE();
    case 1285:
      ACCEPT_TOKEN(sym_keyword_regproc);
      END_STATE();
    case 1286:
      ACCEPT_TOKEN(sym_keyword_regtype);
      END_STATE();
    case 1287:
      ACCEPT_TOKEN(sym_keyword_replace);
      END_STATE();
    case 1288:
      if (lookahead == 'T') ADVANCE(1390);
      END_STATE();
    case 1289:
      if (lookahead == 'T') ADVANCE(1391);
      END_STATE();
    case 1290:
      if (lookahead == 'N') ADVANCE(1392);
      END_STATE();
    case 1291:
      if (lookahead == 'K') ADVANCE(1393);
      END_STATE();
    case 1292:
      if (lookahead == 'O') ADVANCE(1394);
      END_STATE();
    case 1293:
      if (lookahead == 'E') ADVANCE(1395);
      END_STATE();
    case 1294:
      ACCEPT_TOKEN(aux_sym_keyword_smallserial_token2);
      END_STATE();
    case 1295:
      ACCEPT_TOKEN(aux_sym_keyword_serial_token2);
      END_STATE();
    case 1296:
      ACCEPT_TOKEN(aux_sym_keyword_bigserial_token2);
      END_STATE();
    case 1297:
      ACCEPT_TOKEN(sym_keyword_similar);
      END_STATE();
    case 1298:
      if (lookahead == 'T') ADVANCE(1396);
      END_STATE();
    case 1299:
      if (lookahead == 'R') ADVANCE(1397);
      END_STATE();
    case 1300:
      if (lookahead == 'E') ADVANCE(1398);
      END_STATE();
    case 1301:
      if (lookahead == 'R') ADVANCE(1399);
      END_STATE();
    case 1302:
      if (lookahead == 'T') ADVANCE(1400);
      END_STATE();
    case 1303:
      if (lookahead == 'E') ADVANCE(1401);
      END_STATE();
    case 1304:
      if (lookahead == 'M') ADVANCE(1402);
      END_STATE();
    case 1305:
      ACCEPT_TOKEN(aux_sym_keyword_tinyint_token1);
      END_STATE();
    case 1306:
      if (lookahead == 'T') ADVANCE(1403);
      END_STATE();
    case 1307:
      if (lookahead == 'E') ADVANCE(1404);
      END_STATE();
    case 1308:
      if (lookahead == 'D') ADVANCE(1405);
      END_STATE();
    case 1309:
      if (lookahead == 'D') ADVANCE(1406);
      END_STATE();
    case 1310:
      if (lookahead == 'D') ADVANCE(1407);
      END_STATE();
    case 1311:
      ACCEPT_TOKEN(aux_sym_keyword_varchar_token1);
      END_STATE();
    case 1312:
      ACCEPT_TOKEN(aux_sym_keyword_varchar_token2);
      END_STATE();
    case 1313:
      ACCEPT_TOKEN(aux_sym_keyword_timestamp_token2);
      END_STATE();
    case 1314:
      if (lookahead == 'L') ADVANCE(1408);
      END_STATE();
    case 1315:
      if (lookahead == 'c') ADVANCE(1409);
      END_STATE();
    case 1316:
      if (lookahead == 'a') ADVANCE(1410);
      END_STATE();
    case 1317:
      ACCEPT_TOKEN(anon_sym_century);
      END_STATE();
    case 1318:
      if (lookahead == 'e') ADVANCE(1411);
      END_STATE();
    case 1319:
      if (lookahead == 'e') ADVANCE(1412);
      END_STATE();
    case 1320:
      if (lookahead == 'i') ADVANCE(1413);
      END_STATE();
    case 1321:
      if (lookahead == 'e') ADVANCE(1370);
      END_STATE();
    case 1322:
      if (lookahead == 'e') ADVANCE(1414);
      END_STATE();
    case 1323:
      if (lookahead == 't') ADVANCE(1372);
      END_STATE();
    case 1324:
      if (lookahead == 'l') ADVANCE(1373);
      END_STATE();
    case 1325:
      if (lookahead == 'n') ADVANCE(1415);
      END_STATE();
    case 1326:
      if (lookahead == 'h') ADVANCE(1416);
      END_STATE();
    case 1327:
      if (lookahead == 'y') ADVANCE(1376);
      END_STATE();
    case 1328:
      if (lookahead == 'o') ADVANCE(1417);
      END_STATE();
    case 1329:
      if (lookahead == 'c') ADVANCE(1418);
      END_STATE();
    case 1330:
      if (lookahead == 'l') ADVANCE(1379);
      END_STATE();
    case 1331:
      if (lookahead == 'e') ADVANCE(1380);
      END_STATE();
    case 1332:
      if (lookahead == 'n') ADVANCE(1381);
      END_STATE();
    case 1333:
      if (lookahead == 'l') ADVANCE(1419);
      END_STATE();
    case 1334:
      if (lookahead == 'n') ADVANCE(1420);
      END_STATE();
    case 1335:
      if (lookahead == 'c') ADVANCE(1421);
      END_STATE();
    case 1336:
      if (lookahead == 'i') ADVANCE(1422);
      END_STATE();
    case 1337:
      if (lookahead == 'c') ADVANCE(1423);
      END_STATE();
    case 1338:
      ACCEPT_TOKEN(anon_sym_minutes);
      END_STATE();
    case 1339:
      if (lookahead == 'o') ADVANCE(1424);
      END_STATE();
    case 1340:
      if (lookahead == 'n') ADVANCE(1425);
      END_STATE();
    case 1341:
      if (lookahead == 'o') ADVANCE(1426);
      END_STATE();
    case 1342:
      if (lookahead == 'e') ADVANCE(1387);
      END_STATE();
    case 1343:
      if (lookahead == 's') ADVANCE(1388);
      END_STATE();
    case 1344:
      if (lookahead == 's') ADVANCE(1427);
      END_STATE();
    case 1345:
      if (lookahead == 't') ADVANCE(1428);
      END_STATE();
    case 1346:
      if (lookahead == 't') ADVANCE(1391);
      END_STATE();
    case 1347:
      if (lookahead == 'n') ADVANCE(1429);
      END_STATE();
    case 1348:
      if (lookahead == 'k') ADVANCE(1393);
      END_STATE();
    case 1349:
      ACCEPT_TOKEN(anon_sym_seconds);
      END_STATE();
    case 1350:
      if (lookahead == 'o') ADVANCE(1430);
      END_STATE();
    case 1351:
      if (lookahead == 'e') ADVANCE(1431);
      END_STATE();
    case 1352:
      if (lookahead == 't') ADVANCE(1396);
      END_STATE();
    case 1353:
      if (lookahead == 'r') ADVANCE(1432);
      END_STATE();
    case 1354:
      if (lookahead == 'e') ADVANCE(1433);
      END_STATE();
    case 1355:
      if (lookahead == 'r') ADVANCE(1434);
      END_STATE();
    case 1356:
      if (lookahead == 't') ADVANCE(1435);
      END_STATE();
    case 1357:
      if (lookahead == 'e') ADVANCE(1401);
      END_STATE();
    case 1358:
      if (lookahead == 'm') ADVANCE(1436);
      END_STATE();
    case 1359:
      if (lookahead == 't') ADVANCE(1437);
      END_STATE();
    case 1360:
      if (lookahead == 'e') ADVANCE(1438);
      END_STATE();
    case 1361:
      if (lookahead == 'd') ADVANCE(1405);
      END_STATE();
    case 1362:
      if (lookahead == 'd') ADVANCE(1406);
      END_STATE();
    case 1363:
      if (lookahead == 'd') ADVANCE(1407);
      END_STATE();
    case 1364:
      if (lookahead == 'l') ADVANCE(1408);
      END_STATE();
    case 1365:
      if (lookahead == 'R') ADVANCE(1439);
      END_STATE();
    case 1366:
      if (lookahead == 'L') ADVANCE(1440);
      END_STATE();
    case 1367:
      if (lookahead == 'R') ADVANCE(1441);
      END_STATE();
    case 1368:
      if (lookahead == 'N') ADVANCE(1442);
      END_STATE();
    case 1369:
      if (lookahead == 'N') ADVANCE(1443);
      END_STATE();
    case 1370:
      ACCEPT_TOKEN(sym_keyword_datetime);
      END_STATE();
    case 1371:
      if (lookahead == 'D') ADVANCE(1444);
      END_STATE();
    case 1372:
      ACCEPT_TOKEN(sym_keyword_distinct);
      END_STATE();
    case 1373:
      ACCEPT_TOKEN(sym_keyword_external);
      END_STATE();
    case 1374:
      if (lookahead == 'G') ADVANCE(1445);
      END_STATE();
    case 1375:
      if (lookahead == 'Y') ADVANCE(1446);
      END_STATE();
    case 1376:
      ACCEPT_TOKEN(sym_keyword_geometry);
      END_STATE();
    case 1377:
      if (lookahead == 'N') ADVANCE(1447);
      END_STATE();
    case 1378:
      if (lookahead == 'T') ADVANCE(1448);
      END_STATE();
    case 1379:
      ACCEPT_TOKEN(sym_keyword_interval);
      END_STATE();
    case 1380:
      ACCEPT_TOKEN(sym_keyword_jsonfile);
      END_STATE();
    case 1381:
      ACCEPT_TOKEN(sym_keyword_location);
      END_STATE();
    case 1382:
      if (lookahead == 'I') ADVANCE(1449);
      END_STATE();
    case 1383:
      if (lookahead == 'T') ADVANCE(1450);
      END_STATE();
    case 1384:
      if (lookahead == 'N') ADVANCE(1451);
      END_STATE();
    case 1385:
      if (lookahead == 'G') ADVANCE(1452);
      END_STATE();
    case 1386:
      if (lookahead == 'N') ADVANCE(1453);
      END_STATE();
    case 1387:
      ACCEPT_TOKEN(sym_keyword_preserve);
      END_STATE();
    case 1388:
      ACCEPT_TOKEN(sym_keyword_regclass);
      END_STATE();
    case 1389:
      if (lookahead == 'P') ADVANCE(1454);
      END_STATE();
    case 1390:
      if (lookahead == 'I') ADVANCE(1455);
      END_STATE();
    case 1391:
      ACCEPT_TOKEN(sym_keyword_restrict);
      END_STATE();
    case 1392:
      if (lookahead == 'G') ADVANCE(1456);
      END_STATE();
    case 1393:
      ACCEPT_TOKEN(sym_keyword_rollback);
      END_STATE();
    case 1394:
      if (lookahead == 'R') ADVANCE(1457);
      END_STATE();
    case 1395:
      if (lookahead == 'F') ADVANCE(1458);
      END_STATE();
    case 1396:
      ACCEPT_TOKEN(aux_sym_keyword_smallint_token1);
      END_STATE();
    case 1397:
      if (lookahead == 'I') ADVANCE(1459);
      END_STATE();
    case 1398:
      if (lookahead == 'R') ADVANCE(1460);
      END_STATE();
    case 1399:
      if (lookahead == 'Y') ADVANCE(1461);
      END_STATE();
    case 1400:
      if (lookahead == 'E') ADVANCE(1462);
      END_STATE();
    case 1401:
      ACCEPT_TOKEN(sym_keyword_textfile);
      END_STATE();
    case 1402:
      if (lookahead == 'P') ADVANCE(1463);
      END_STATE();
    case 1403:
      if (lookahead == 'I') ADVANCE(1464);
      END_STATE();
    case 1404:
      if (lookahead == 'D') ADVANCE(1465);
      END_STATE();
    case 1405:
      ACCEPT_TOKEN(sym_keyword_uncached);
      END_STATE();
    case 1406:
      ACCEPT_TOKEN(sym_keyword_unlogged);
      END_STATE();
    case 1407:
      ACCEPT_TOKEN(sym_keyword_unsigned);
      END_STATE();
    case 1408:
      ACCEPT_TOKEN(sym_keyword_zerofill);
      END_STATE();
    case 1409:
      if (lookahead == 'r') ADVANCE(1466);
      END_STATE();
    case 1410:
      if (lookahead == 'l') ADVANCE(1440);
      END_STATE();
    case 1411:
      if (lookahead == 'r') ADVANCE(1441);
      END_STATE();
    case 1412:
      if (lookahead == 'n') ADVANCE(1467);
      END_STATE();
    case 1413:
      if (lookahead == 'n') ADVANCE(1468);
      END_STATE();
    case 1414:
      if (lookahead == 'd') ADVANCE(1444);
      END_STATE();
    case 1415:
      if (lookahead == 'g') ADVANCE(1445);
      END_STATE();
    case 1416:
      if (lookahead == 'y') ADVANCE(1446);
      END_STATE();
    case 1417:
      if (lookahead == 'n') ADVANCE(1469);
      END_STATE();
    case 1418:
      if (lookahead == 't') ADVANCE(1448);
      END_STATE();
    case 1419:
      if (lookahead == 'i') ADVANCE(1470);
      END_STATE();
    case 1420:
      if (lookahead == 't') ADVANCE(1450);
      END_STATE();
    case 1421:
      if (lookahead == 'o') ADVANCE(1471);
      END_STATE();
    case 1422:
      if (lookahead == 'u') ADVANCE(1472);
      END_STATE();
    case 1423:
      if (lookahead == 'o') ADVANCE(1473);
      END_STATE();
    case 1424:
      if (lookahead == 'n') ADVANCE(1474);
      END_STATE();
    case 1425:
      if (lookahead == 'g') ADVANCE(1452);
      END_STATE();
    case 1426:
      if (lookahead == 'n') ADVANCE(1453);
      END_STATE();
    case 1427:
      if (lookahead == 'p') ADVANCE(1475);
      END_STATE();
    case 1428:
      if (lookahead == 'i') ADVANCE(1476);
      END_STATE();
    case 1429:
      if (lookahead == 'g') ADVANCE(1456);
      END_STATE();
    case 1430:
      if (lookahead == 'r') ADVANCE(1457);
      END_STATE();
    case 1431:
      if (lookahead == 'f') ADVANCE(1477);
      END_STATE();
    case 1432:
      if (lookahead == 'i') ADVANCE(1478);
      END_STATE();
    case 1433:
      if (lookahead == 'r') ADVANCE(1479);
      END_STATE();
    case 1434:
      if (lookahead == 'y') ADVANCE(1461);
      END_STATE();
    case 1435:
      if (lookahead == 'e') ADVANCE(1480);
      END_STATE();
    case 1436:
      if (lookahead == 'p') ADVANCE(1481);
      END_STATE();
    case 1437:
      if (lookahead == 'i') ADVANCE(1482);
      END_STATE();
    case 1438:
      if (lookahead == 'd') ADVANCE(1465);
      END_STATE();
    case 1439:
      if (lookahead == 'E') ADVANCE(1483);
      END_STATE();
    case 1440:
      ACCEPT_TOKEN(aux_sym_keyword_bigserial_token1);
      END_STATE();
    case 1441:
      ACCEPT_TOKEN(aux_sym_keyword_character_token1);
      END_STATE();
    case 1442:
      if (lookahead == 'T') ADVANCE(1484);
      END_STATE();
    case 1443:
      if (lookahead == 'T') ADVANCE(1485);
      END_STATE();
    case 1444:
      ACCEPT_TOKEN(sym_keyword_delimited);
      END_STATE();
    case 1445:
      ACCEPT_TOKEN(sym_keyword_following);
      END_STATE();
    case 1446:
      ACCEPT_TOKEN(sym_keyword_geography);
      END_STATE();
    case 1447:
      if (lookahead == 'C') ADVANCE(1486);
      END_STATE();
    case 1448:
      ACCEPT_TOKEN(sym_keyword_intersect);
      END_STATE();
    case 1449:
      if (lookahead == 'Z') ADVANCE(1487);
      END_STATE();
    case 1450:
      ACCEPT_TOKEN(aux_sym_keyword_mediumint_token1);
      END_STATE();
    case 1451:
      ACCEPT_TOKEN(sym_keyword_partition);
      if (lookahead == 'E') ADVANCE(1488);
      END_STATE();
    case 1452:
      ACCEPT_TOKEN(sym_keyword_preceding);
      END_STATE();
    case 1453:
      ACCEPT_TOKEN(sym_keyword_precision);
      END_STATE();
    case 1454:
      if (lookahead == 'A') ADVANCE(1489);
      END_STATE();
    case 1455:
      if (lookahead == 'O') ADVANCE(1490);
      END_STATE();
    case 1456:
      ACCEPT_TOKEN(sym_keyword_returning);
      END_STATE();
    case 1457:
      ACCEPT_TOKEN(sym_keyword_separator);
      END_STATE();
    case 1458:
      if (lookahead == 'I') ADVANCE(1491);
      END_STATE();
    case 1459:
      if (lookahead == 'A') ADVANCE(1492);
      END_STATE();
    case 1460:
      if (lookahead == 'T') ADVANCE(1493);
      END_STATE();
    case 1461:
      ACCEPT_TOKEN(sym_keyword_temporary);
      END_STATE();
    case 1462:
      if (lookahead == 'D') ADVANCE(1494);
      END_STATE();
    case 1463:
      ACCEPT_TOKEN(aux_sym_keyword_timestamp_token1);
      if (lookahead == 'T') ADVANCE(1495);
      END_STATE();
    case 1464:
      if (lookahead == 'O') ADVANCE(1496);
      END_STATE();
    case 1465:
      ACCEPT_TOKEN(sym_keyword_unbounded);
      END_STATE();
    case 1466:
      if (lookahead == 'e') ADVANCE(1497);
      END_STATE();
    case 1467:
      if (lookahead == 't') ADVANCE(1498);
      END_STATE();
    case 1468:
      if (lookahead == 't') ADVANCE(1485);
      END_STATE();
    case 1469:
      if (lookahead == 'c') ADVANCE(1499);
      END_STATE();
    case 1470:
      if (lookahead == 'z') ADVANCE(1500);
      END_STATE();
    case 1471:
      if (lookahead == 'n') ADVANCE(1501);
      END_STATE();
    case 1472:
      if (lookahead == 'm') ADVANCE(1502);
      END_STATE();
    case 1473:
      if (lookahead == 'n') ADVANCE(1503);
      END_STATE();
    case 1474:
      ACCEPT_TOKEN(sym_keyword_partition);
      if (lookahead == 'e') ADVANCE(1504);
      END_STATE();
    case 1475:
      if (lookahead == 'a') ADVANCE(1505);
      END_STATE();
    case 1476:
      if (lookahead == 'o') ADVANCE(1506);
      END_STATE();
    case 1477:
      if (lookahead == 'i') ADVANCE(1507);
      END_STATE();
    case 1478:
      if (lookahead == 'a') ADVANCE(1508);
      END_STATE();
    case 1479:
      if (lookahead == 't') ADVANCE(1509);
      END_STATE();
    case 1480:
      if (lookahead == 'd') ADVANCE(1494);
      END_STATE();
    case 1481:
      ACCEPT_TOKEN(aux_sym_keyword_timestamp_token1);
      if (lookahead == 't') ADVANCE(1510);
      END_STATE();
    case 1482:
      if (lookahead == 'o') ADVANCE(1511);
      END_STATE();
    case 1483:
      if (lookahead == 'M') ADVANCE(1512);
      END_STATE();
    case 1484:
      if (lookahead == 'L') ADVANCE(1513);
      END_STATE();
    case 1485:
      ACCEPT_TOKEN(sym_keyword_constraint);
      END_STATE();
    case 1486:
      if (lookahead == 'A') ADVANCE(1514);
      END_STATE();
    case 1487:
      if (lookahead == 'E') ADVANCE(1515);
      END_STATE();
    case 1488:
      if (lookahead == 'D') ADVANCE(1516);
      END_STATE();
    case 1489:
      if (lookahead == 'C') ADVANCE(1517);
      END_STATE();
    case 1490:
      if (lookahead == 'N') ADVANCE(1518);
      END_STATE();
    case 1491:
      if (lookahead == 'L') ADVANCE(1519);
      END_STATE();
    case 1492:
      if (lookahead == 'L') ADVANCE(1520);
      END_STATE();
    case 1493:
      if (lookahead == 'I') ADVANCE(1521);
      END_STATE();
    case 1494:
      ACCEPT_TOKEN(sym_keyword_terminated);
      END_STATE();
    case 1495:
      if (lookahead == 'Z') ADVANCE(1522);
      END_STATE();
    case 1496:
      if (lookahead == 'N') ADVANCE(1523);
      END_STATE();
    case 1497:
      if (lookahead == 'm') ADVANCE(1524);
      END_STATE();
    case 1498:
      if (lookahead == 'l') ADVANCE(1525);
      END_STATE();
    case 1499:
      if (lookahead == 'a') ADVANCE(1526);
      END_STATE();
    case 1500:
      if (lookahead == 'e') ADVANCE(1527);
      END_STATE();
    case 1501:
      if (lookahead == 'd') ADVANCE(1528);
      END_STATE();
    case 1502:
      ACCEPT_TOKEN(anon_sym_millennium);
      END_STATE();
    case 1503:
      if (lookahead == 'd') ADVANCE(1529);
      END_STATE();
    case 1504:
      if (lookahead == 'd') ADVANCE(1516);
      END_STATE();
    case 1505:
      if (lookahead == 'c') ADVANCE(1530);
      END_STATE();
    case 1506:
      if (lookahead == 'n') ADVANCE(1518);
      END_STATE();
    case 1507:
      if (lookahead == 'l') ADVANCE(1531);
      END_STATE();
    case 1508:
      if (lookahead == 'l') ADVANCE(1520);
      END_STATE();
    case 1509:
      if (lookahead == 'i') ADVANCE(1532);
      END_STATE();
    case 1510:
      if (lookahead == 'z') ADVANCE(1522);
      END_STATE();
    case 1511:
      if (lookahead == 'n') ADVANCE(1523);
      END_STATE();
    case 1512:
      if (lookahead == 'E') ADVANCE(1533);
      END_STATE();
    case 1513:
      if (lookahead == 'Y') ADVANCE(1534);
      END_STATE();
    case 1514:
      if (lookahead == 'T') ADVANCE(1535);
      END_STATE();
    case 1515:
      if (lookahead == 'D') ADVANCE(1536);
      END_STATE();
    case 1516:
      ACCEPT_TOKEN(sym_keyword_partitioned);
      END_STATE();
    case 1517:
      if (lookahead == 'E') ADVANCE(1537);
      END_STATE();
    case 1518:
      ACCEPT_TOKEN(sym_keyword_replication);
      END_STATE();
    case 1519:
      if (lookahead == 'E') ADVANCE(1538);
      END_STATE();
    case 1520:
      ACCEPT_TOKEN(aux_sym_keyword_smallserial_token1);
      END_STATE();
    case 1521:
      if (lookahead == 'E') ADVANCE(1539);
      END_STATE();
    case 1522:
      ACCEPT_TOKEN(aux_sym_keyword_timestamptz_token1);
      END_STATE();
    case 1523:
      ACCEPT_TOKEN(sym_keyword_transaction);
      END_STATE();
    case 1524:
      if (lookahead == 'e') ADVANCE(1540);
      END_STATE();
    case 1525:
      if (lookahead == 'y') ADVANCE(1534);
      END_STATE();
    case 1526:
      if (lookahead == 't') ADVANCE(1535);
      END_STATE();
    case 1527:
      if (lookahead == 'd') ADVANCE(1536);
      END_STATE();
    case 1528:
      ACCEPT_TOKEN(anon_sym_microsecond);
      END_STATE();
    case 1529:
      ACCEPT_TOKEN(anon_sym_millisecond);
      END_STATE();
    case 1530:
      if (lookahead == 'e') ADVANCE(1537);
      END_STATE();
    case 1531:
      if (lookahead == 'e') ADVANCE(1538);
      END_STATE();
    case 1532:
      if (lookahead == 'e') ADVANCE(1541);
      END_STATE();
    case 1533:
      if (lookahead == 'N') ADVANCE(1542);
      END_STATE();
    case 1534:
      ACCEPT_TOKEN(sym_keyword_concurrently);
      END_STATE();
    case 1535:
      ACCEPT_TOKEN(sym_keyword_group_concat);
      END_STATE();
    case 1536:
      ACCEPT_TOKEN(sym_keyword_materialized);
      END_STATE();
    case 1537:
      ACCEPT_TOKEN(sym_keyword_regnamespace);
      END_STATE();
    case 1538:
      ACCEPT_TOKEN(sym_keyword_sequencefile);
      END_STATE();
    case 1539:
      if (lookahead == 'S') ADVANCE(1543);
      END_STATE();
    case 1540:
      if (lookahead == 'n') ADVANCE(1544);
      END_STATE();
    case 1541:
      if (lookahead == 's') ADVANCE(1543);
      END_STATE();
    case 1542:
      if (lookahead == 'T') ADVANCE(1545);
      END_STATE();
    case 1543:
      ACCEPT_TOKEN(sym_keyword_tblproperties);
      END_STATE();
    case 1544:
      if (lookahead == 't') ADVANCE(1545);
      END_STATE();
    case 1545:
      ACCEPT_TOKEN(sym_keyword_auto_increment);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0},
  [1] = {.lex_state = 0},
  [2] = {.lex_state = 0},
  [3] = {.lex_state = 0},
  [4] = {.lex_state = 0},
  [5] = {.lex_state = 0},
  [6] = {.lex_state = 0},
  [7] = {.lex_state = 0},
  [8] = {.lex_state = 0},
  [9] = {.lex_state = 0},
  [10] = {.lex_state = 0},
  [11] = {.lex_state = 0},
  [12] = {.lex_state = 0},
  [13] = {.lex_state = 0},
  [14] = {.lex_state = 0},
  [15] = {.lex_state = 0},
  [16] = {.lex_state = 0},
  [17] = {.lex_state = 0},
  [18] = {.lex_state = 0},
  [19] = {.lex_state = 0},
  [20] = {.lex_state = 0},
  [21] = {.lex_state = 0},
  [22] = {.lex_state = 0},
  [23] = {.lex_state = 0},
  [24] = {.lex_state = 0},
  [25] = {.lex_state = 0},
  [26] = {.lex_state = 0},
  [27] = {.lex_state = 0},
  [28] = {.lex_state = 0},
  [29] = {.lex_state = 0},
  [30] = {.lex_state = 0},
  [31] = {.lex_state = 0},
  [32] = {.lex_state = 0},
  [33] = {.lex_state = 0},
  [34] = {.lex_state = 0},
  [35] = {.lex_state = 0},
  [36] = {.lex_state = 0},
  [37] = {.lex_state = 0},
  [38] = {.lex_state = 0},
  [39] = {.lex_state = 0},
  [40] = {.lex_state = 0},
  [41] = {.lex_state = 0},
  [42] = {.lex_state = 0},
  [43] = {.lex_state = 0},
  [44] = {.lex_state = 0},
  [45] = {.lex_state = 0},
  [46] = {.lex_state = 0},
  [47] = {.lex_state = 0},
  [48] = {.lex_state = 0},
  [49] = {.lex_state = 0},
  [50] = {.lex_state = 15},
  [51] = {.lex_state = 15},
  [52] = {.lex_state = 15},
  [53] = {.lex_state = 15},
  [54] = {.lex_state = 15},
  [55] = {.lex_state = 15},
  [56] = {.lex_state = 15},
  [57] = {.lex_state = 15},
  [58] = {.lex_state = 15},
  [59] = {.lex_state = 15},
  [60] = {.lex_state = 15},
  [61] = {.lex_state = 15},
  [62] = {.lex_state = 15},
  [63] = {.lex_state = 15},
  [64] = {.lex_state = 15},
  [65] = {.lex_state = 15},
  [66] = {.lex_state = 15},
  [67] = {.lex_state = 15},
  [68] = {.lex_state = 15},
  [69] = {.lex_state = 15},
  [70] = {.lex_state = 15},
  [71] = {.lex_state = 15},
  [72] = {.lex_state = 0},
  [73] = {.lex_state = 15},
  [74] = {.lex_state = 15},
  [75] = {.lex_state = 15},
  [76] = {.lex_state = 15},
  [77] = {.lex_state = 15},
  [78] = {.lex_state = 15},
  [79] = {.lex_state = 15},
  [80] = {.lex_state = 15},
  [81] = {.lex_state = 15},
  [82] = {.lex_state = 15},
  [83] = {.lex_state = 15},
  [84] = {.lex_state = 15},
  [85] = {.lex_state = 15},
  [86] = {.lex_state = 15},
  [87] = {.lex_state = 15},
  [88] = {.lex_state = 15},
  [89] = {.lex_state = 15},
  [90] = {.lex_state = 15},
  [91] = {.lex_state = 15},
  [92] = {.lex_state = 15},
  [93] = {.lex_state = 15},
  [94] = {.lex_state = 15},
  [95] = {.lex_state = 15},
  [96] = {.lex_state = 15},
  [97] = {.lex_state = 15},
  [98] = {.lex_state = 15},
  [99] = {.lex_state = 15},
  [100] = {.lex_state = 15},
  [101] = {.lex_state = 15},
  [102] = {.lex_state = 15},
  [103] = {.lex_state = 15},
  [104] = {.lex_state = 15},
  [105] = {.lex_state = 15},
  [106] = {.lex_state = 15},
  [107] = {.lex_state = 15},
  [108] = {.lex_state = 15},
  [109] = {.lex_state = 15},
  [110] = {.lex_state = 15},
  [111] = {.lex_state = 15},
  [112] = {.lex_state = 15},
  [113] = {.lex_state = 15},
  [114] = {.lex_state = 15},
  [115] = {.lex_state = 15},
  [116] = {.lex_state = 15},
  [117] = {.lex_state = 15},
  [118] = {.lex_state = 15},
  [119] = {.lex_state = 15},
  [120] = {.lex_state = 15},
  [121] = {.lex_state = 15},
  [122] = {.lex_state = 15},
  [123] = {.lex_state = 15},
  [124] = {.lex_state = 15},
  [125] = {.lex_state = 15},
  [126] = {.lex_state = 15},
  [127] = {.lex_state = 15},
  [128] = {.lex_state = 15},
  [129] = {.lex_state = 15},
  [130] = {.lex_state = 15},
  [131] = {.lex_state = 15},
  [132] = {.lex_state = 15},
  [133] = {.lex_state = 15},
  [134] = {.lex_state = 15},
  [135] = {.lex_state = 15},
  [136] = {.lex_state = 15},
  [137] = {.lex_state = 15},
  [138] = {.lex_state = 15},
  [139] = {.lex_state = 15},
  [140] = {.lex_state = 15},
  [141] = {.lex_state = 15},
  [142] = {.lex_state = 15},
  [143] = {.lex_state = 15},
  [144] = {.lex_state = 15},
  [145] = {.lex_state = 15},
  [146] = {.lex_state = 15},
  [147] = {.lex_state = 15},
  [148] = {.lex_state = 15},
  [149] = {.lex_state = 15},
  [150] = {.lex_state = 15},
  [151] = {.lex_state = 15},
  [152] = {.lex_state = 15},
  [153] = {.lex_state = 15},
  [154] = {.lex_state = 15},
  [155] = {.lex_state = 15},
  [156] = {.lex_state = 15},
  [157] = {.lex_state = 15},
  [158] = {.lex_state = 15},
  [159] = {.lex_state = 15},
  [160] = {.lex_state = 15},
  [161] = {.lex_state = 15},
  [162] = {.lex_state = 15},
  [163] = {.lex_state = 15},
  [164] = {.lex_state = 15},
  [165] = {.lex_state = 15},
  [166] = {.lex_state = 15},
  [167] = {.lex_state = 15},
  [168] = {.lex_state = 15},
  [169] = {.lex_state = 15},
  [170] = {.lex_state = 15},
  [171] = {.lex_state = 15},
  [172] = {.lex_state = 15},
  [173] = {.lex_state = 15},
  [174] = {.lex_state = 15},
  [175] = {.lex_state = 15},
  [176] = {.lex_state = 15},
  [177] = {.lex_state = 15},
  [178] = {.lex_state = 15},
  [179] = {.lex_state = 15},
  [180] = {.lex_state = 15},
  [181] = {.lex_state = 15},
  [182] = {.lex_state = 15},
  [183] = {.lex_state = 15},
  [184] = {.lex_state = 15},
  [185] = {.lex_state = 15},
  [186] = {.lex_state = 15},
  [187] = {.lex_state = 15},
  [188] = {.lex_state = 15},
  [189] = {.lex_state = 15},
  [190] = {.lex_state = 15},
  [191] = {.lex_state = 15},
  [192] = {.lex_state = 15},
  [193] = {.lex_state = 15},
  [194] = {.lex_state = 15},
  [195] = {.lex_state = 15},
  [196] = {.lex_state = 15},
  [197] = {.lex_state = 15},
  [198] = {.lex_state = 15},
  [199] = {.lex_state = 15},
  [200] = {.lex_state = 15},
  [201] = {.lex_state = 15},
  [202] = {.lex_state = 15},
  [203] = {.lex_state = 15},
  [204] = {.lex_state = 15},
  [205] = {.lex_state = 15},
  [206] = {.lex_state = 15},
  [207] = {.lex_state = 15},
  [208] = {.lex_state = 15},
  [209] = {.lex_state = 15},
  [210] = {.lex_state = 15},
  [211] = {.lex_state = 15},
  [212] = {.lex_state = 15},
  [213] = {.lex_state = 15},
  [214] = {.lex_state = 15},
  [215] = {.lex_state = 15},
  [216] = {.lex_state = 15},
  [217] = {.lex_state = 15},
  [218] = {.lex_state = 15},
  [219] = {.lex_state = 15},
  [220] = {.lex_state = 15},
  [221] = {.lex_state = 15},
  [222] = {.lex_state = 15},
  [223] = {.lex_state = 15},
  [224] = {.lex_state = 15},
  [225] = {.lex_state = 15},
  [226] = {.lex_state = 15},
  [227] = {.lex_state = 15},
  [228] = {.lex_state = 15},
  [229] = {.lex_state = 15},
  [230] = {.lex_state = 15},
  [231] = {.lex_state = 15},
  [232] = {.lex_state = 15},
  [233] = {.lex_state = 15},
  [234] = {.lex_state = 15},
  [235] = {.lex_state = 15},
  [236] = {.lex_state = 15},
  [237] = {.lex_state = 15},
  [238] = {.lex_state = 15},
  [239] = {.lex_state = 15},
  [240] = {.lex_state = 15},
  [241] = {.lex_state = 15},
  [242] = {.lex_state = 15},
  [243] = {.lex_state = 15},
  [244] = {.lex_state = 15},
  [245] = {.lex_state = 15},
  [246] = {.lex_state = 15},
  [247] = {.lex_state = 15},
  [248] = {.lex_state = 15},
  [249] = {.lex_state = 15},
  [250] = {.lex_state = 15},
  [251] = {.lex_state = 15},
  [252] = {.lex_state = 15},
  [253] = {.lex_state = 15},
  [254] = {.lex_state = 15},
  [255] = {.lex_state = 15},
  [256] = {.lex_state = 15},
  [257] = {.lex_state = 15},
  [258] = {.lex_state = 15},
  [259] = {.lex_state = 15},
  [260] = {.lex_state = 15},
  [261] = {.lex_state = 15},
  [262] = {.lex_state = 15},
  [263] = {.lex_state = 15},
  [264] = {.lex_state = 15},
  [265] = {.lex_state = 15},
  [266] = {.lex_state = 15},
  [267] = {.lex_state = 15},
  [268] = {.lex_state = 15},
  [269] = {.lex_state = 15},
  [270] = {.lex_state = 15},
  [271] = {.lex_state = 15},
  [272] = {.lex_state = 15},
  [273] = {.lex_state = 15},
  [274] = {.lex_state = 15},
  [275] = {.lex_state = 15},
  [276] = {.lex_state = 15},
  [277] = {.lex_state = 15},
  [278] = {.lex_state = 15},
  [279] = {.lex_state = 15},
  [280] = {.lex_state = 15},
  [281] = {.lex_state = 15},
  [282] = {.lex_state = 15},
  [283] = {.lex_state = 15},
  [284] = {.lex_state = 15},
  [285] = {.lex_state = 15},
  [286] = {.lex_state = 15},
  [287] = {.lex_state = 15},
  [288] = {.lex_state = 15},
  [289] = {.lex_state = 15},
  [290] = {.lex_state = 15},
  [291] = {.lex_state = 15},
  [292] = {.lex_state = 15},
  [293] = {.lex_state = 15},
  [294] = {.lex_state = 15},
  [295] = {.lex_state = 15},
  [296] = {.lex_state = 15},
  [297] = {.lex_state = 15},
  [298] = {.lex_state = 15},
  [299] = {.lex_state = 15},
  [300] = {.lex_state = 15},
  [301] = {.lex_state = 15},
  [302] = {.lex_state = 15},
  [303] = {.lex_state = 15},
  [304] = {.lex_state = 15},
  [305] = {.lex_state = 15},
  [306] = {.lex_state = 15},
  [307] = {.lex_state = 15},
  [308] = {.lex_state = 15},
  [309] = {.lex_state = 15},
  [310] = {.lex_state = 15},
  [311] = {.lex_state = 15},
  [312] = {.lex_state = 15},
  [313] = {.lex_state = 15},
  [314] = {.lex_state = 15},
  [315] = {.lex_state = 15},
  [316] = {.lex_state = 15},
  [317] = {.lex_state = 15},
  [318] = {.lex_state = 15},
  [319] = {.lex_state = 15},
  [320] = {.lex_state = 15},
  [321] = {.lex_state = 15},
  [322] = {.lex_state = 15},
  [323] = {.lex_state = 15},
  [324] = {.lex_state = 15},
  [325] = {.lex_state = 15},
  [326] = {.lex_state = 15},
  [327] = {.lex_state = 15},
  [328] = {.lex_state = 15},
  [329] = {.lex_state = 15},
  [330] = {.lex_state = 15},
  [331] = {.lex_state = 15},
  [332] = {.lex_state = 15},
  [333] = {.lex_state = 15},
  [334] = {.lex_state = 15},
  [335] = {.lex_state = 15},
  [336] = {.lex_state = 15},
  [337] = {.lex_state = 15},
  [338] = {.lex_state = 15},
  [339] = {.lex_state = 15},
  [340] = {.lex_state = 15},
  [341] = {.lex_state = 15},
  [342] = {.lex_state = 15},
  [343] = {.lex_state = 15},
  [344] = {.lex_state = 15},
  [345] = {.lex_state = 15},
  [346] = {.lex_state = 15},
  [347] = {.lex_state = 15},
  [348] = {.lex_state = 15},
  [349] = {.lex_state = 15},
  [350] = {.lex_state = 15},
  [351] = {.lex_state = 15},
  [352] = {.lex_state = 15},
  [353] = {.lex_state = 15},
  [354] = {.lex_state = 15},
  [355] = {.lex_state = 15},
  [356] = {.lex_state = 15},
  [357] = {.lex_state = 15},
  [358] = {.lex_state = 15},
  [359] = {.lex_state = 15},
  [360] = {.lex_state = 15},
  [361] = {.lex_state = 15},
  [362] = {.lex_state = 15},
  [363] = {.lex_state = 15},
  [364] = {.lex_state = 15},
  [365] = {.lex_state = 15},
  [366] = {.lex_state = 15},
  [367] = {.lex_state = 0},
  [368] = {.lex_state = 15},
  [369] = {.lex_state = 15},
  [370] = {.lex_state = 0},
  [371] = {.lex_state = 15},
  [372] = {.lex_state = 15},
  [373] = {.lex_state = 15},
  [374] = {.lex_state = 15},
  [375] = {.lex_state = 15},
  [376] = {.lex_state = 15},
  [377] = {.lex_state = 15},
  [378] = {.lex_state = 15},
  [379] = {.lex_state = 15},
  [380] = {.lex_state = 15},
  [381] = {.lex_state = 15},
  [382] = {.lex_state = 15},
  [383] = {.lex_state = 15},
  [384] = {.lex_state = 15},
  [385] = {.lex_state = 15},
  [386] = {.lex_state = 15},
  [387] = {.lex_state = 15},
  [388] = {.lex_state = 15},
  [389] = {.lex_state = 15},
  [390] = {.lex_state = 15},
  [391] = {.lex_state = 15},
  [392] = {.lex_state = 15},
  [393] = {.lex_state = 15},
  [394] = {.lex_state = 15},
  [395] = {.lex_state = 15},
  [396] = {.lex_state = 15},
  [397] = {.lex_state = 15},
  [398] = {.lex_state = 15},
  [399] = {.lex_state = 15},
  [400] = {.lex_state = 15},
  [401] = {.lex_state = 15},
  [402] = {.lex_state = 15},
  [403] = {.lex_state = 15},
  [404] = {.lex_state = 15},
  [405] = {.lex_state = 15},
  [406] = {.lex_state = 15},
  [407] = {.lex_state = 15},
  [408] = {.lex_state = 15},
  [409] = {.lex_state = 15},
  [410] = {.lex_state = 15},
  [411] = {.lex_state = 15},
  [412] = {.lex_state = 15},
  [413] = {.lex_state = 15},
  [414] = {.lex_state = 15},
  [415] = {.lex_state = 15},
  [416] = {.lex_state = 15},
  [417] = {.lex_state = 15},
  [418] = {.lex_state = 15},
  [419] = {.lex_state = 15},
  [420] = {.lex_state = 15},
  [421] = {.lex_state = 15},
  [422] = {.lex_state = 15},
  [423] = {.lex_state = 15},
  [424] = {.lex_state = 15},
  [425] = {.lex_state = 15},
  [426] = {.lex_state = 15},
  [427] = {.lex_state = 15},
  [428] = {.lex_state = 15},
  [429] = {.lex_state = 15},
  [430] = {.lex_state = 15},
  [431] = {.lex_state = 15},
  [432] = {.lex_state = 15},
  [433] = {.lex_state = 15},
  [434] = {.lex_state = 15},
  [435] = {.lex_state = 15},
  [436] = {.lex_state = 15},
  [437] = {.lex_state = 15},
  [438] = {.lex_state = 15},
  [439] = {.lex_state = 15},
  [440] = {.lex_state = 15},
  [441] = {.lex_state = 15},
  [442] = {.lex_state = 15},
  [443] = {.lex_state = 15},
  [444] = {.lex_state = 15},
  [445] = {.lex_state = 15},
  [446] = {.lex_state = 15},
  [447] = {.lex_state = 15},
  [448] = {.lex_state = 15},
  [449] = {.lex_state = 15},
  [450] = {.lex_state = 15},
  [451] = {.lex_state = 15},
  [452] = {.lex_state = 15},
  [453] = {.lex_state = 15},
  [454] = {.lex_state = 15},
  [455] = {.lex_state = 15},
  [456] = {.lex_state = 15},
  [457] = {.lex_state = 15},
  [458] = {.lex_state = 15},
  [459] = {.lex_state = 15},
  [460] = {.lex_state = 15},
  [461] = {.lex_state = 15},
  [462] = {.lex_state = 15},
  [463] = {.lex_state = 15},
  [464] = {.lex_state = 15},
  [465] = {.lex_state = 15},
  [466] = {.lex_state = 15},
  [467] = {.lex_state = 15},
  [468] = {.lex_state = 15},
  [469] = {.lex_state = 15},
  [470] = {.lex_state = 15},
  [471] = {.lex_state = 15},
  [472] = {.lex_state = 15},
  [473] = {.lex_state = 15},
  [474] = {.lex_state = 15},
  [475] = {.lex_state = 15},
  [476] = {.lex_state = 15},
  [477] = {.lex_state = 15},
  [478] = {.lex_state = 15},
  [479] = {.lex_state = 15},
  [480] = {.lex_state = 15},
  [481] = {.lex_state = 15},
  [482] = {.lex_state = 15},
  [483] = {.lex_state = 15},
  [484] = {.lex_state = 15},
  [485] = {.lex_state = 15},
  [486] = {.lex_state = 15},
  [487] = {.lex_state = 15},
  [488] = {.lex_state = 15},
  [489] = {.lex_state = 15},
  [490] = {.lex_state = 15},
  [491] = {.lex_state = 15},
  [492] = {.lex_state = 15},
  [493] = {.lex_state = 15},
  [494] = {.lex_state = 15},
  [495] = {.lex_state = 15},
  [496] = {.lex_state = 15},
  [497] = {.lex_state = 15},
  [498] = {.lex_state = 15},
  [499] = {.lex_state = 15},
  [500] = {.lex_state = 15},
  [501] = {.lex_state = 15},
  [502] = {.lex_state = 15},
  [503] = {.lex_state = 15},
  [504] = {.lex_state = 15},
  [505] = {.lex_state = 15},
  [506] = {.lex_state = 15},
  [507] = {.lex_state = 15},
  [508] = {.lex_state = 15},
  [509] = {.lex_state = 15},
  [510] = {.lex_state = 15},
  [511] = {.lex_state = 15},
  [512] = {.lex_state = 15},
  [513] = {.lex_state = 15},
  [514] = {.lex_state = 15},
  [515] = {.lex_state = 15},
  [516] = {.lex_state = 15},
  [517] = {.lex_state = 15},
  [518] = {.lex_state = 15},
  [519] = {.lex_state = 15},
  [520] = {.lex_state = 15},
  [521] = {.lex_state = 15},
  [522] = {.lex_state = 15},
  [523] = {.lex_state = 15},
  [524] = {.lex_state = 15},
  [525] = {.lex_state = 15},
  [526] = {.lex_state = 15},
  [527] = {.lex_state = 15},
  [528] = {.lex_state = 15},
  [529] = {.lex_state = 15},
  [530] = {.lex_state = 15},
  [531] = {.lex_state = 15},
  [532] = {.lex_state = 15},
  [533] = {.lex_state = 15},
  [534] = {.lex_state = 15},
  [535] = {.lex_state = 15},
  [536] = {.lex_state = 15},
  [537] = {.lex_state = 15},
  [538] = {.lex_state = 1},
  [539] = {.lex_state = 15},
  [540] = {.lex_state = 15},
  [541] = {.lex_state = 15},
  [542] = {.lex_state = 15},
  [543] = {.lex_state = 15},
  [544] = {.lex_state = 15},
  [545] = {.lex_state = 15},
  [546] = {.lex_state = 15},
  [547] = {.lex_state = 15},
  [548] = {.lex_state = 15},
  [549] = {.lex_state = 15},
  [550] = {.lex_state = 15},
  [551] = {.lex_state = 15},
  [552] = {.lex_state = 15},
  [553] = {.lex_state = 15},
  [554] = {.lex_state = 15},
  [555] = {.lex_state = 15},
  [556] = {.lex_state = 15},
  [557] = {.lex_state = 15},
  [558] = {.lex_state = 15},
  [559] = {.lex_state = 15},
  [560] = {.lex_state = 15},
  [561] = {.lex_state = 15},
  [562] = {.lex_state = 15},
  [563] = {.lex_state = 15},
  [564] = {.lex_state = 15},
  [565] = {.lex_state = 15},
  [566] = {.lex_state = 15},
  [567] = {.lex_state = 15},
  [568] = {.lex_state = 15},
  [569] = {.lex_state = 15},
  [570] = {.lex_state = 15},
  [571] = {.lex_state = 15},
  [572] = {.lex_state = 15},
  [573] = {.lex_state = 15},
  [574] = {.lex_state = 15},
  [575] = {.lex_state = 15},
  [576] = {.lex_state = 15},
  [577] = {.lex_state = 1},
  [578] = {.lex_state = 15},
  [579] = {.lex_state = 15},
  [580] = {.lex_state = 15},
  [581] = {.lex_state = 15},
  [582] = {.lex_state = 15},
  [583] = {.lex_state = 15},
  [584] = {.lex_state = 1},
  [585] = {.lex_state = 15},
  [586] = {.lex_state = 15},
  [587] = {.lex_state = 15},
  [588] = {.lex_state = 15},
  [589] = {.lex_state = 15},
  [590] = {.lex_state = 15},
  [591] = {.lex_state = 15},
  [592] = {.lex_state = 15},
  [593] = {.lex_state = 15},
  [594] = {.lex_state = 15},
  [595] = {.lex_state = 15},
  [596] = {.lex_state = 15},
  [597] = {.lex_state = 15},
  [598] = {.lex_state = 15},
  [599] = {.lex_state = 15},
  [600] = {.lex_state = 15},
  [601] = {.lex_state = 15},
  [602] = {.lex_state = 15},
  [603] = {.lex_state = 15},
  [604] = {.lex_state = 15},
  [605] = {.lex_state = 15},
  [606] = {.lex_state = 15},
  [607] = {.lex_state = 15},
  [608] = {.lex_state = 15},
  [609] = {.lex_state = 15},
  [610] = {.lex_state = 15},
  [611] = {.lex_state = 15},
  [612] = {.lex_state = 15},
  [613] = {.lex_state = 15},
  [614] = {.lex_state = 15},
  [615] = {.lex_state = 15},
  [616] = {.lex_state = 15},
  [617] = {.lex_state = 15},
  [618] = {.lex_state = 15},
  [619] = {.lex_state = 15},
  [620] = {.lex_state = 1},
  [621] = {.lex_state = 15},
  [622] = {.lex_state = 15},
  [623] = {.lex_state = 15},
  [624] = {.lex_state = 15},
  [625] = {.lex_state = 15},
  [626] = {.lex_state = 15},
  [627] = {.lex_state = 15},
  [628] = {.lex_state = 15},
  [629] = {.lex_state = 15},
  [630] = {.lex_state = 15},
  [631] = {.lex_state = 15},
  [632] = {.lex_state = 15},
  [633] = {.lex_state = 15},
  [634] = {.lex_state = 15},
  [635] = {.lex_state = 15},
  [636] = {.lex_state = 15},
  [637] = {.lex_state = 15},
  [638] = {.lex_state = 15},
  [639] = {.lex_state = 15},
  [640] = {.lex_state = 15},
  [641] = {.lex_state = 15},
  [642] = {.lex_state = 15},
  [643] = {.lex_state = 15},
  [644] = {.lex_state = 15},
  [645] = {.lex_state = 1},
  [646] = {.lex_state = 15},
  [647] = {.lex_state = 15},
  [648] = {.lex_state = 1},
  [649] = {.lex_state = 15},
  [650] = {.lex_state = 15},
  [651] = {.lex_state = 15},
  [652] = {.lex_state = 15},
  [653] = {.lex_state = 15},
  [654] = {.lex_state = 15},
  [655] = {.lex_state = 15},
  [656] = {.lex_state = 15},
  [657] = {.lex_state = 1},
  [658] = {.lex_state = 15},
  [659] = {.lex_state = 1},
  [660] = {.lex_state = 15},
  [661] = {.lex_state = 15},
  [662] = {.lex_state = 15},
  [663] = {.lex_state = 15},
  [664] = {.lex_state = 15},
  [665] = {.lex_state = 15},
  [666] = {.lex_state = 15},
  [667] = {.lex_state = 15},
  [668] = {.lex_state = 15},
  [669] = {.lex_state = 15},
  [670] = {.lex_state = 1},
  [671] = {.lex_state = 15},
  [672] = {.lex_state = 15},
  [673] = {.lex_state = 15},
  [674] = {.lex_state = 15},
  [675] = {.lex_state = 15},
  [676] = {.lex_state = 1},
  [677] = {.lex_state = 15},
  [678] = {.lex_state = 15},
  [679] = {.lex_state = 15},
  [680] = {.lex_state = 15},
  [681] = {.lex_state = 15},
  [682] = {.lex_state = 15},
  [683] = {.lex_state = 15},
  [684] = {.lex_state = 15},
  [685] = {.lex_state = 15},
  [686] = {.lex_state = 15},
  [687] = {.lex_state = 15},
  [688] = {.lex_state = 15},
  [689] = {.lex_state = 15},
  [690] = {.lex_state = 15},
  [691] = {.lex_state = 15},
  [692] = {.lex_state = 15},
  [693] = {.lex_state = 15},
  [694] = {.lex_state = 15},
  [695] = {.lex_state = 15},
  [696] = {.lex_state = 15},
  [697] = {.lex_state = 15},
  [698] = {.lex_state = 15},
  [699] = {.lex_state = 15},
  [700] = {.lex_state = 15},
  [701] = {.lex_state = 15},
  [702] = {.lex_state = 15},
  [703] = {.lex_state = 15},
  [704] = {.lex_state = 15},
  [705] = {.lex_state = 1},
  [706] = {.lex_state = 15},
  [707] = {.lex_state = 15},
  [708] = {.lex_state = 15},
  [709] = {.lex_state = 15},
  [710] = {.lex_state = 15},
  [711] = {.lex_state = 15},
  [712] = {.lex_state = 15},
  [713] = {.lex_state = 15},
  [714] = {.lex_state = 15},
  [715] = {.lex_state = 15},
  [716] = {.lex_state = 15},
  [717] = {.lex_state = 15},
  [718] = {.lex_state = 15},
  [719] = {.lex_state = 15},
  [720] = {.lex_state = 15},
  [721] = {.lex_state = 15},
  [722] = {.lex_state = 15},
  [723] = {.lex_state = 15},
  [724] = {.lex_state = 15},
  [725] = {.lex_state = 15},
  [726] = {.lex_state = 15},
  [727] = {.lex_state = 15},
  [728] = {.lex_state = 15},
  [729] = {.lex_state = 15},
  [730] = {.lex_state = 15},
  [731] = {.lex_state = 15},
  [732] = {.lex_state = 15},
  [733] = {.lex_state = 15},
  [734] = {.lex_state = 15},
  [735] = {.lex_state = 15},
  [736] = {.lex_state = 15},
  [737] = {.lex_state = 15},
  [738] = {.lex_state = 15},
  [739] = {.lex_state = 15},
  [740] = {.lex_state = 15},
  [741] = {.lex_state = 15},
  [742] = {.lex_state = 15},
  [743] = {.lex_state = 15},
  [744] = {.lex_state = 15},
  [745] = {.lex_state = 15},
  [746] = {.lex_state = 15},
  [747] = {.lex_state = 15},
  [748] = {.lex_state = 15},
  [749] = {.lex_state = 15},
  [750] = {.lex_state = 15},
  [751] = {.lex_state = 15},
  [752] = {.lex_state = 15},
  [753] = {.lex_state = 15},
  [754] = {.lex_state = 15},
  [755] = {.lex_state = 15},
  [756] = {.lex_state = 15},
  [757] = {.lex_state = 15},
  [758] = {.lex_state = 15},
  [759] = {.lex_state = 15},
  [760] = {.lex_state = 15},
  [761] = {.lex_state = 15},
  [762] = {.lex_state = 15},
  [763] = {.lex_state = 15},
  [764] = {.lex_state = 15},
  [765] = {.lex_state = 15},
  [766] = {.lex_state = 15},
  [767] = {.lex_state = 15},
  [768] = {.lex_state = 15},
  [769] = {.lex_state = 15},
  [770] = {.lex_state = 15},
  [771] = {.lex_state = 15},
  [772] = {.lex_state = 15},
  [773] = {.lex_state = 15},
  [774] = {.lex_state = 15},
  [775] = {.lex_state = 15},
  [776] = {.lex_state = 15},
  [777] = {.lex_state = 15},
  [778] = {.lex_state = 15},
  [779] = {.lex_state = 15},
  [780] = {.lex_state = 15},
  [781] = {.lex_state = 15},
  [782] = {.lex_state = 15},
  [783] = {.lex_state = 15},
  [784] = {.lex_state = 15},
  [785] = {.lex_state = 15},
  [786] = {.lex_state = 1},
  [787] = {.lex_state = 1},
  [788] = {.lex_state = 15},
  [789] = {.lex_state = 15},
  [790] = {.lex_state = 15},
  [791] = {.lex_state = 15},
  [792] = {.lex_state = 15},
  [793] = {.lex_state = 15},
  [794] = {.lex_state = 15},
  [795] = {.lex_state = 15},
  [796] = {.lex_state = 15},
  [797] = {.lex_state = 15},
  [798] = {.lex_state = 15},
  [799] = {.lex_state = 15},
  [800] = {.lex_state = 15},
  [801] = {.lex_state = 15},
  [802] = {.lex_state = 15},
  [803] = {.lex_state = 15},
  [804] = {.lex_state = 15},
  [805] = {.lex_state = 15},
  [806] = {.lex_state = 15},
  [807] = {.lex_state = 15},
  [808] = {.lex_state = 15},
  [809] = {.lex_state = 15},
  [810] = {.lex_state = 1},
  [811] = {.lex_state = 15},
  [812] = {.lex_state = 1},
  [813] = {.lex_state = 15},
  [814] = {.lex_state = 15},
  [815] = {.lex_state = 15},
  [816] = {.lex_state = 15},
  [817] = {.lex_state = 15},
  [818] = {.lex_state = 15},
  [819] = {.lex_state = 15},
  [820] = {.lex_state = 15},
  [821] = {.lex_state = 15},
  [822] = {.lex_state = 15},
  [823] = {.lex_state = 15},
  [824] = {.lex_state = 15},
  [825] = {.lex_state = 15},
  [826] = {.lex_state = 15},
  [827] = {.lex_state = 15},
  [828] = {.lex_state = 15},
  [829] = {.lex_state = 15},
  [830] = {.lex_state = 15},
  [831] = {.lex_state = 15},
  [832] = {.lex_state = 15},
  [833] = {.lex_state = 15},
  [834] = {.lex_state = 15},
  [835] = {.lex_state = 15},
  [836] = {.lex_state = 15},
  [837] = {.lex_state = 15},
  [838] = {.lex_state = 15},
  [839] = {.lex_state = 15},
  [840] = {.lex_state = 15},
  [841] = {.lex_state = 15},
  [842] = {.lex_state = 15},
  [843] = {.lex_state = 15},
  [844] = {.lex_state = 15},
  [845] = {.lex_state = 15},
  [846] = {.lex_state = 1},
  [847] = {.lex_state = 1},
  [848] = {.lex_state = 15},
  [849] = {.lex_state = 15},
  [850] = {.lex_state = 15},
  [851] = {.lex_state = 1},
  [852] = {.lex_state = 15},
  [853] = {.lex_state = 15},
  [854] = {.lex_state = 1},
  [855] = {.lex_state = 1},
  [856] = {.lex_state = 15},
  [857] = {.lex_state = 15},
  [858] = {.lex_state = 15},
  [859] = {.lex_state = 15},
  [860] = {.lex_state = 15},
  [861] = {.lex_state = 15},
  [862] = {.lex_state = 15},
  [863] = {.lex_state = 15},
  [864] = {.lex_state = 15},
  [865] = {.lex_state = 15},
  [866] = {.lex_state = 15},
  [867] = {.lex_state = 15},
  [868] = {.lex_state = 15},
  [869] = {.lex_state = 15},
  [870] = {.lex_state = 15},
  [871] = {.lex_state = 15},
  [872] = {.lex_state = 15},
  [873] = {.lex_state = 15},
  [874] = {.lex_state = 15},
  [875] = {.lex_state = 15},
  [876] = {.lex_state = 15},
  [877] = {.lex_state = 1},
  [878] = {.lex_state = 15},
  [879] = {.lex_state = 1},
  [880] = {.lex_state = 15},
  [881] = {.lex_state = 1},
  [882] = {.lex_state = 15},
  [883] = {.lex_state = 15},
  [884] = {.lex_state = 1},
  [885] = {.lex_state = 15},
  [886] = {.lex_state = 15},
  [887] = {.lex_state = 1},
  [888] = {.lex_state = 1},
  [889] = {.lex_state = 15},
  [890] = {.lex_state = 15},
  [891] = {.lex_state = 15},
  [892] = {.lex_state = 15},
  [893] = {.lex_state = 1},
  [894] = {.lex_state = 1},
  [895] = {.lex_state = 1},
  [896] = {.lex_state = 1},
  [897] = {.lex_state = 1},
  [898] = {.lex_state = 1},
  [899] = {.lex_state = 1},
  [900] = {.lex_state = 1},
  [901] = {.lex_state = 1},
  [902] = {.lex_state = 1},
  [903] = {.lex_state = 1},
  [904] = {.lex_state = 1},
  [905] = {.lex_state = 1},
  [906] = {.lex_state = 1},
  [907] = {.lex_state = 1},
  [908] = {.lex_state = 1},
  [909] = {.lex_state = 1},
  [910] = {.lex_state = 1},
  [911] = {.lex_state = 1},
  [912] = {.lex_state = 1},
  [913] = {.lex_state = 15},
  [914] = {.lex_state = 1},
  [915] = {.lex_state = 1},
  [916] = {.lex_state = 1},
  [917] = {.lex_state = 15},
  [918] = {.lex_state = 15},
  [919] = {.lex_state = 15},
  [920] = {.lex_state = 15},
  [921] = {.lex_state = 1},
  [922] = {.lex_state = 1},
  [923] = {.lex_state = 1},
  [924] = {.lex_state = 1},
  [925] = {.lex_state = 1},
  [926] = {.lex_state = 15},
  [927] = {.lex_state = 15},
  [928] = {.lex_state = 1},
  [929] = {.lex_state = 1},
  [930] = {.lex_state = 15},
  [931] = {.lex_state = 15},
  [932] = {.lex_state = 15},
  [933] = {.lex_state = 15},
  [934] = {.lex_state = 15},
  [935] = {.lex_state = 15},
  [936] = {.lex_state = 15},
  [937] = {.lex_state = 15},
  [938] = {.lex_state = 15},
  [939] = {.lex_state = 15},
  [940] = {.lex_state = 15},
  [941] = {.lex_state = 15},
  [942] = {.lex_state = 15},
  [943] = {.lex_state = 15},
  [944] = {.lex_state = 15},
  [945] = {.lex_state = 15},
  [946] = {.lex_state = 15},
  [947] = {.lex_state = 15},
  [948] = {.lex_state = 15},
  [949] = {.lex_state = 15},
  [950] = {.lex_state = 15},
  [951] = {.lex_state = 15},
  [952] = {.lex_state = 15},
  [953] = {.lex_state = 15},
  [954] = {.lex_state = 15},
  [955] = {.lex_state = 15},
  [956] = {.lex_state = 15},
  [957] = {.lex_state = 15},
  [958] = {.lex_state = 15},
  [959] = {.lex_state = 15},
  [960] = {.lex_state = 15},
  [961] = {.lex_state = 15},
  [962] = {.lex_state = 15},
  [963] = {.lex_state = 15},
  [964] = {.lex_state = 15},
  [965] = {.lex_state = 15},
  [966] = {.lex_state = 15},
  [967] = {.lex_state = 15},
  [968] = {.lex_state = 15},
  [969] = {.lex_state = 15},
  [970] = {.lex_state = 15},
  [971] = {.lex_state = 1},
  [972] = {.lex_state = 15},
  [973] = {.lex_state = 15},
  [974] = {.lex_state = 15},
  [975] = {.lex_state = 15},
  [976] = {.lex_state = 15},
  [977] = {.lex_state = 15},
  [978] = {.lex_state = 15},
  [979] = {.lex_state = 15},
  [980] = {.lex_state = 15},
  [981] = {.lex_state = 15},
  [982] = {.lex_state = 15},
  [983] = {.lex_state = 15},
  [984] = {.lex_state = 1},
  [985] = {.lex_state = 15},
  [986] = {.lex_state = 15},
  [987] = {.lex_state = 15},
  [988] = {.lex_state = 15},
  [989] = {.lex_state = 15},
  [990] = {.lex_state = 15},
  [991] = {.lex_state = 15},
  [992] = {.lex_state = 15},
  [993] = {.lex_state = 15},
  [994] = {.lex_state = 15},
  [995] = {.lex_state = 15},
  [996] = {.lex_state = 15},
  [997] = {.lex_state = 15},
  [998] = {.lex_state = 15},
  [999] = {.lex_state = 15},
  [1000] = {.lex_state = 15},
  [1001] = {.lex_state = 15},
  [1002] = {.lex_state = 15},
  [1003] = {.lex_state = 15},
  [1004] = {.lex_state = 15},
  [1005] = {.lex_state = 15},
  [1006] = {.lex_state = 15},
  [1007] = {.lex_state = 15},
  [1008] = {.lex_state = 15},
  [1009] = {.lex_state = 15},
  [1010] = {.lex_state = 15},
  [1011] = {.lex_state = 15},
  [1012] = {.lex_state = 15},
  [1013] = {.lex_state = 15},
  [1014] = {.lex_state = 15},
  [1015] = {.lex_state = 15},
  [1016] = {.lex_state = 15},
  [1017] = {.lex_state = 15},
  [1018] = {.lex_state = 15},
  [1019] = {.lex_state = 15},
  [1020] = {.lex_state = 15},
  [1021] = {.lex_state = 15},
  [1022] = {.lex_state = 15},
  [1023] = {.lex_state = 15},
  [1024] = {.lex_state = 15},
  [1025] = {.lex_state = 15},
  [1026] = {.lex_state = 15},
  [1027] = {.lex_state = 15},
  [1028] = {.lex_state = 15},
  [1029] = {.lex_state = 15},
  [1030] = {.lex_state = 15},
  [1031] = {.lex_state = 15},
  [1032] = {.lex_state = 15},
  [1033] = {.lex_state = 15},
  [1034] = {.lex_state = 15},
  [1035] = {.lex_state = 15},
  [1036] = {.lex_state = 15},
  [1037] = {.lex_state = 15},
  [1038] = {.lex_state = 15},
  [1039] = {.lex_state = 15},
  [1040] = {.lex_state = 15},
  [1041] = {.lex_state = 15},
  [1042] = {.lex_state = 15},
  [1043] = {.lex_state = 15},
  [1044] = {.lex_state = 15},
  [1045] = {.lex_state = 15},
  [1046] = {.lex_state = 15},
  [1047] = {.lex_state = 15},
  [1048] = {.lex_state = 15},
  [1049] = {.lex_state = 15},
  [1050] = {.lex_state = 15},
  [1051] = {.lex_state = 15},
  [1052] = {.lex_state = 15},
  [1053] = {.lex_state = 15},
  [1054] = {.lex_state = 15},
  [1055] = {.lex_state = 15},
  [1056] = {.lex_state = 15},
  [1057] = {.lex_state = 15},
  [1058] = {.lex_state = 15},
  [1059] = {.lex_state = 15},
  [1060] = {.lex_state = 15},
  [1061] = {.lex_state = 15},
  [1062] = {.lex_state = 15},
  [1063] = {.lex_state = 15},
  [1064] = {.lex_state = 15},
  [1065] = {.lex_state = 15},
  [1066] = {.lex_state = 15},
  [1067] = {.lex_state = 15},
  [1068] = {.lex_state = 15},
  [1069] = {.lex_state = 15},
  [1070] = {.lex_state = 15},
  [1071] = {.lex_state = 15},
  [1072] = {.lex_state = 1},
  [1073] = {.lex_state = 15},
  [1074] = {.lex_state = 15},
  [1075] = {.lex_state = 15},
  [1076] = {.lex_state = 1},
  [1077] = {.lex_state = 15},
  [1078] = {.lex_state = 15},
  [1079] = {.lex_state = 15},
  [1080] = {.lex_state = 15},
  [1081] = {.lex_state = 15},
  [1082] = {.lex_state = 15},
  [1083] = {.lex_state = 15},
  [1084] = {.lex_state = 15},
  [1085] = {.lex_state = 15},
  [1086] = {.lex_state = 15},
  [1087] = {.lex_state = 15},
  [1088] = {.lex_state = 1},
  [1089] = {.lex_state = 1},
  [1090] = {.lex_state = 1},
  [1091] = {.lex_state = 1},
  [1092] = {.lex_state = 1},
  [1093] = {.lex_state = 1},
  [1094] = {.lex_state = 15},
  [1095] = {.lex_state = 15},
  [1096] = {.lex_state = 1},
  [1097] = {.lex_state = 1},
  [1098] = {.lex_state = 15},
  [1099] = {.lex_state = 1},
  [1100] = {.lex_state = 1},
  [1101] = {.lex_state = 15},
  [1102] = {.lex_state = 1},
  [1103] = {.lex_state = 1},
  [1104] = {.lex_state = 1},
  [1105] = {.lex_state = 1},
  [1106] = {.lex_state = 15},
  [1107] = {.lex_state = 15},
  [1108] = {.lex_state = 15},
  [1109] = {.lex_state = 15},
  [1110] = {.lex_state = 15},
  [1111] = {.lex_state = 15},
  [1112] = {.lex_state = 15},
  [1113] = {.lex_state = 15},
  [1114] = {.lex_state = 15},
  [1115] = {.lex_state = 15},
  [1116] = {.lex_state = 15},
  [1117] = {.lex_state = 15},
  [1118] = {.lex_state = 1},
  [1119] = {.lex_state = 15},
  [1120] = {.lex_state = 15},
  [1121] = {.lex_state = 15},
  [1122] = {.lex_state = 15},
  [1123] = {.lex_state = 15},
  [1124] = {.lex_state = 15},
  [1125] = {.lex_state = 15},
  [1126] = {.lex_state = 15},
  [1127] = {.lex_state = 15},
  [1128] = {.lex_state = 15},
  [1129] = {.lex_state = 15},
  [1130] = {.lex_state = 15},
  [1131] = {.lex_state = 15},
  [1132] = {.lex_state = 15},
  [1133] = {.lex_state = 15},
  [1134] = {.lex_state = 15},
  [1135] = {.lex_state = 15},
  [1136] = {.lex_state = 15},
  [1137] = {.lex_state = 15},
  [1138] = {.lex_state = 15},
  [1139] = {.lex_state = 15},
  [1140] = {.lex_state = 15},
  [1141] = {.lex_state = 15},
  [1142] = {.lex_state = 15},
  [1143] = {.lex_state = 15},
  [1144] = {.lex_state = 15},
  [1145] = {.lex_state = 15},
  [1146] = {.lex_state = 15},
  [1147] = {.lex_state = 15},
  [1148] = {.lex_state = 15},
  [1149] = {.lex_state = 15},
  [1150] = {.lex_state = 15},
  [1151] = {.lex_state = 15},
  [1152] = {.lex_state = 1},
  [1153] = {.lex_state = 15},
  [1154] = {.lex_state = 15},
  [1155] = {.lex_state = 15},
  [1156] = {.lex_state = 15},
  [1157] = {.lex_state = 15},
  [1158] = {.lex_state = 15},
  [1159] = {.lex_state = 15},
  [1160] = {.lex_state = 15},
  [1161] = {.lex_state = 15},
  [1162] = {.lex_state = 15},
  [1163] = {.lex_state = 15},
  [1164] = {.lex_state = 15},
  [1165] = {.lex_state = 15},
  [1166] = {.lex_state = 15},
  [1167] = {.lex_state = 15},
  [1168] = {.lex_state = 15},
  [1169] = {.lex_state = 1},
  [1170] = {.lex_state = 15},
  [1171] = {.lex_state = 15},
  [1172] = {.lex_state = 15},
  [1173] = {.lex_state = 15},
  [1174] = {.lex_state = 15},
  [1175] = {.lex_state = 15},
  [1176] = {.lex_state = 15},
  [1177] = {.lex_state = 15},
  [1178] = {.lex_state = 15},
  [1179] = {.lex_state = 15},
  [1180] = {.lex_state = 15},
  [1181] = {.lex_state = 15},
  [1182] = {.lex_state = 15},
  [1183] = {.lex_state = 15},
  [1184] = {.lex_state = 15},
  [1185] = {.lex_state = 15},
  [1186] = {.lex_state = 15},
  [1187] = {.lex_state = 15},
  [1188] = {.lex_state = 15},
  [1189] = {.lex_state = 15},
  [1190] = {.lex_state = 15},
  [1191] = {.lex_state = 15},
  [1192] = {.lex_state = 15},
  [1193] = {.lex_state = 15},
  [1194] = {.lex_state = 15},
  [1195] = {.lex_state = 15},
  [1196] = {.lex_state = 15},
  [1197] = {.lex_state = 15},
  [1198] = {.lex_state = 15},
  [1199] = {.lex_state = 15},
  [1200] = {.lex_state = 15},
  [1201] = {.lex_state = 15},
  [1202] = {.lex_state = 15},
  [1203] = {.lex_state = 15},
  [1204] = {.lex_state = 15},
  [1205] = {.lex_state = 15},
  [1206] = {.lex_state = 15},
  [1207] = {.lex_state = 15},
  [1208] = {.lex_state = 15},
  [1209] = {.lex_state = 15},
  [1210] = {.lex_state = 15},
  [1211] = {.lex_state = 15},
  [1212] = {.lex_state = 15},
  [1213] = {.lex_state = 15},
  [1214] = {.lex_state = 15},
  [1215] = {.lex_state = 15},
  [1216] = {.lex_state = 15},
  [1217] = {.lex_state = 15},
  [1218] = {.lex_state = 15},
  [1219] = {.lex_state = 15},
  [1220] = {.lex_state = 15},
  [1221] = {.lex_state = 15},
  [1222] = {.lex_state = 15},
  [1223] = {.lex_state = 15},
  [1224] = {.lex_state = 15},
  [1225] = {.lex_state = 15},
  [1226] = {.lex_state = 15},
  [1227] = {.lex_state = 15},
  [1228] = {.lex_state = 15},
  [1229] = {.lex_state = 15},
  [1230] = {.lex_state = 15},
  [1231] = {.lex_state = 15},
  [1232] = {.lex_state = 15},
  [1233] = {.lex_state = 15},
  [1234] = {.lex_state = 15},
  [1235] = {.lex_state = 15},
  [1236] = {.lex_state = 15},
  [1237] = {.lex_state = 15},
  [1238] = {.lex_state = 15},
  [1239] = {.lex_state = 15},
  [1240] = {.lex_state = 15},
  [1241] = {.lex_state = 15},
  [1242] = {.lex_state = 15},
  [1243] = {.lex_state = 15},
  [1244] = {.lex_state = 15},
  [1245] = {.lex_state = 15},
  [1246] = {.lex_state = 15},
  [1247] = {.lex_state = 15},
  [1248] = {.lex_state = 15},
  [1249] = {.lex_state = 15},
  [1250] = {.lex_state = 15},
  [1251] = {.lex_state = 15},
  [1252] = {.lex_state = 15},
  [1253] = {.lex_state = 15},
  [1254] = {.lex_state = 15},
  [1255] = {.lex_state = 15},
  [1256] = {.lex_state = 15},
  [1257] = {.lex_state = 15},
  [1258] = {.lex_state = 15},
  [1259] = {.lex_state = 15},
  [1260] = {.lex_state = 15},
  [1261] = {.lex_state = 15},
  [1262] = {.lex_state = 15},
  [1263] = {.lex_state = 15},
  [1264] = {.lex_state = 15},
  [1265] = {.lex_state = 15},
  [1266] = {.lex_state = 15},
  [1267] = {.lex_state = 15},
  [1268] = {.lex_state = 15},
  [1269] = {.lex_state = 15},
  [1270] = {.lex_state = 15},
  [1271] = {.lex_state = 15},
  [1272] = {.lex_state = 15},
  [1273] = {.lex_state = 15},
  [1274] = {.lex_state = 15},
  [1275] = {.lex_state = 15},
  [1276] = {.lex_state = 15},
  [1277] = {.lex_state = 15},
  [1278] = {.lex_state = 15},
  [1279] = {.lex_state = 15},
  [1280] = {.lex_state = 15},
  [1281] = {.lex_state = 15},
  [1282] = {.lex_state = 15},
  [1283] = {.lex_state = 15},
  [1284] = {.lex_state = 15},
  [1285] = {.lex_state = 15},
  [1286] = {.lex_state = 15},
  [1287] = {.lex_state = 15},
  [1288] = {.lex_state = 15},
  [1289] = {.lex_state = 15},
  [1290] = {.lex_state = 15},
  [1291] = {.lex_state = 15},
  [1292] = {.lex_state = 15},
  [1293] = {.lex_state = 15},
  [1294] = {.lex_state = 15},
  [1295] = {.lex_state = 15},
  [1296] = {.lex_state = 15},
  [1297] = {.lex_state = 15},
  [1298] = {.lex_state = 15},
  [1299] = {.lex_state = 15},
  [1300] = {.lex_state = 15},
  [1301] = {.lex_state = 15},
  [1302] = {.lex_state = 15},
  [1303] = {.lex_state = 15},
  [1304] = {.lex_state = 1},
  [1305] = {.lex_state = 15},
  [1306] = {.lex_state = 15},
  [1307] = {.lex_state = 15},
  [1308] = {.lex_state = 15},
  [1309] = {.lex_state = 15},
  [1310] = {.lex_state = 15},
  [1311] = {.lex_state = 15},
  [1312] = {.lex_state = 15},
  [1313] = {.lex_state = 15},
  [1314] = {.lex_state = 15},
  [1315] = {.lex_state = 15},
  [1316] = {.lex_state = 15},
  [1317] = {.lex_state = 15},
  [1318] = {.lex_state = 15},
  [1319] = {.lex_state = 15},
  [1320] = {.lex_state = 15},
  [1321] = {.lex_state = 15},
  [1322] = {.lex_state = 15},
  [1323] = {.lex_state = 15},
  [1324] = {.lex_state = 15},
  [1325] = {.lex_state = 15},
  [1326] = {.lex_state = 15},
  [1327] = {.lex_state = 15},
  [1328] = {.lex_state = 15},
  [1329] = {.lex_state = 15},
  [1330] = {.lex_state = 15},
  [1331] = {.lex_state = 15},
  [1332] = {.lex_state = 15},
  [1333] = {.lex_state = 15},
  [1334] = {.lex_state = 15},
  [1335] = {.lex_state = 15},
  [1336] = {.lex_state = 15},
  [1337] = {.lex_state = 15},
  [1338] = {.lex_state = 15},
  [1339] = {.lex_state = 15},
  [1340] = {.lex_state = 15},
  [1341] = {.lex_state = 15},
  [1342] = {.lex_state = 15},
  [1343] = {.lex_state = 15},
  [1344] = {.lex_state = 15},
  [1345] = {.lex_state = 15},
  [1346] = {.lex_state = 15},
  [1347] = {.lex_state = 15},
  [1348] = {.lex_state = 15},
  [1349] = {.lex_state = 15},
  [1350] = {.lex_state = 15},
  [1351] = {.lex_state = 15},
  [1352] = {.lex_state = 15},
  [1353] = {.lex_state = 15},
  [1354] = {.lex_state = 15},
  [1355] = {.lex_state = 15},
  [1356] = {.lex_state = 15},
  [1357] = {.lex_state = 15},
  [1358] = {.lex_state = 15},
  [1359] = {.lex_state = 15},
  [1360] = {.lex_state = 15},
  [1361] = {.lex_state = 15},
  [1362] = {.lex_state = 15},
  [1363] = {.lex_state = 15},
  [1364] = {.lex_state = 15},
  [1365] = {.lex_state = 15},
  [1366] = {.lex_state = 15},
  [1367] = {.lex_state = 15},
  [1368] = {.lex_state = 15},
  [1369] = {.lex_state = 15},
  [1370] = {.lex_state = 15},
  [1371] = {.lex_state = 15},
  [1372] = {.lex_state = 15},
  [1373] = {.lex_state = 15},
  [1374] = {.lex_state = 15},
  [1375] = {.lex_state = 15},
  [1376] = {.lex_state = 15},
  [1377] = {.lex_state = 15},
  [1378] = {.lex_state = 15},
  [1379] = {.lex_state = 15},
  [1380] = {.lex_state = 15},
  [1381] = {.lex_state = 15},
  [1382] = {.lex_state = 15},
  [1383] = {.lex_state = 15},
  [1384] = {.lex_state = 15},
  [1385] = {.lex_state = 15},
  [1386] = {.lex_state = 15},
  [1387] = {.lex_state = 15},
  [1388] = {.lex_state = 15},
  [1389] = {.lex_state = 15},
  [1390] = {.lex_state = 15},
  [1391] = {.lex_state = 15},
  [1392] = {.lex_state = 15},
  [1393] = {.lex_state = 15},
  [1394] = {.lex_state = 15},
  [1395] = {.lex_state = 15},
  [1396] = {.lex_state = 15},
  [1397] = {.lex_state = 15},
  [1398] = {.lex_state = 15},
  [1399] = {.lex_state = 15},
  [1400] = {.lex_state = 15},
  [1401] = {.lex_state = 15},
  [1402] = {.lex_state = 15},
  [1403] = {.lex_state = 15},
  [1404] = {.lex_state = 15},
  [1405] = {.lex_state = 15},
  [1406] = {.lex_state = 15},
  [1407] = {.lex_state = 15},
  [1408] = {.lex_state = 15},
  [1409] = {.lex_state = 15},
  [1410] = {.lex_state = 15},
  [1411] = {.lex_state = 15},
  [1412] = {.lex_state = 15},
  [1413] = {.lex_state = 15},
  [1414] = {.lex_state = 15},
  [1415] = {.lex_state = 15},
  [1416] = {.lex_state = 15},
  [1417] = {.lex_state = 15},
  [1418] = {.lex_state = 15},
  [1419] = {.lex_state = 1},
  [1420] = {.lex_state = 15},
  [1421] = {.lex_state = 1},
  [1422] = {.lex_state = 15},
  [1423] = {.lex_state = 15},
  [1424] = {.lex_state = 15},
  [1425] = {.lex_state = 15},
  [1426] = {.lex_state = 15},
  [1427] = {.lex_state = 1},
  [1428] = {.lex_state = 15},
  [1429] = {.lex_state = 1},
  [1430] = {.lex_state = 15},
  [1431] = {.lex_state = 15},
  [1432] = {.lex_state = 15},
  [1433] = {.lex_state = 15},
  [1434] = {.lex_state = 1},
  [1435] = {.lex_state = 15},
  [1436] = {.lex_state = 15},
  [1437] = {.lex_state = 15},
  [1438] = {.lex_state = 15},
  [1439] = {.lex_state = 15},
  [1440] = {.lex_state = 15},
  [1441] = {.lex_state = 1},
  [1442] = {.lex_state = 1},
  [1443] = {.lex_state = 15},
  [1444] = {.lex_state = 15},
  [1445] = {.lex_state = 15},
  [1446] = {.lex_state = 15},
  [1447] = {.lex_state = 15},
  [1448] = {.lex_state = 15},
  [1449] = {.lex_state = 15},
  [1450] = {.lex_state = 1},
  [1451] = {.lex_state = 15},
  [1452] = {.lex_state = 15},
  [1453] = {.lex_state = 15},
  [1454] = {.lex_state = 15},
  [1455] = {.lex_state = 15},
  [1456] = {.lex_state = 1},
  [1457] = {.lex_state = 1},
  [1458] = {.lex_state = 15},
  [1459] = {.lex_state = 15},
  [1460] = {.lex_state = 15},
  [1461] = {.lex_state = 1},
  [1462] = {.lex_state = 15},
  [1463] = {.lex_state = 1},
  [1464] = {.lex_state = 15},
  [1465] = {.lex_state = 15},
  [1466] = {.lex_state = 15},
  [1467] = {.lex_state = 15},
  [1468] = {.lex_state = 1},
  [1469] = {.lex_state = 15},
  [1470] = {.lex_state = 15},
  [1471] = {.lex_state = 15},
  [1472] = {.lex_state = 15},
  [1473] = {.lex_state = 1},
  [1474] = {.lex_state = 1},
  [1475] = {.lex_state = 1},
  [1476] = {.lex_state = 1},
  [1477] = {.lex_state = 1},
  [1478] = {.lex_state = 15},
  [1479] = {.lex_state = 1},
  [1480] = {.lex_state = 15},
  [1481] = {.lex_state = 1},
  [1482] = {.lex_state = 15},
  [1483] = {.lex_state = 1},
  [1484] = {.lex_state = 1},
  [1485] = {.lex_state = 15},
  [1486] = {.lex_state = 15},
  [1487] = {.lex_state = 1},
  [1488] = {.lex_state = 1},
  [1489] = {.lex_state = 15},
  [1490] = {.lex_state = 15},
  [1491] = {.lex_state = 15},
  [1492] = {.lex_state = 15},
  [1493] = {.lex_state = 15},
  [1494] = {.lex_state = 15},
  [1495] = {.lex_state = 1},
  [1496] = {.lex_state = 15},
  [1497] = {.lex_state = 15},
  [1498] = {.lex_state = 15},
  [1499] = {.lex_state = 15},
  [1500] = {.lex_state = 15},
  [1501] = {.lex_state = 15},
  [1502] = {.lex_state = 1},
  [1503] = {.lex_state = 1},
  [1504] = {.lex_state = 1},
  [1505] = {.lex_state = 1},
  [1506] = {.lex_state = 1},
  [1507] = {.lex_state = 15},
  [1508] = {.lex_state = 1},
  [1509] = {.lex_state = 15},
  [1510] = {.lex_state = 1},
  [1511] = {.lex_state = 1},
  [1512] = {.lex_state = 1},
  [1513] = {.lex_state = 15},
  [1514] = {.lex_state = 15},
  [1515] = {.lex_state = 1},
  [1516] = {.lex_state = 15},
  [1517] = {.lex_state = 15},
  [1518] = {.lex_state = 15},
  [1519] = {.lex_state = 15},
  [1520] = {.lex_state = 15},
  [1521] = {.lex_state = 15},
  [1522] = {.lex_state = 15},
  [1523] = {.lex_state = 15},
  [1524] = {.lex_state = 15},
  [1525] = {.lex_state = 15},
  [1526] = {.lex_state = 15},
  [1527] = {.lex_state = 15},
  [1528] = {.lex_state = 15},
  [1529] = {.lex_state = 15},
  [1530] = {.lex_state = 15},
  [1531] = {.lex_state = 15},
  [1532] = {.lex_state = 15},
  [1533] = {.lex_state = 15},
  [1534] = {.lex_state = 1},
  [1535] = {.lex_state = 15},
  [1536] = {.lex_state = 15},
  [1537] = {.lex_state = 15},
  [1538] = {.lex_state = 1},
  [1539] = {.lex_state = 1},
  [1540] = {.lex_state = 1},
  [1541] = {.lex_state = 1},
  [1542] = {.lex_state = 1},
  [1543] = {.lex_state = 1},
  [1544] = {.lex_state = 1},
  [1545] = {.lex_state = 1},
  [1546] = {.lex_state = 1},
  [1547] = {.lex_state = 15},
  [1548] = {.lex_state = 1},
  [1549] = {.lex_state = 15},
  [1550] = {.lex_state = 15},
  [1551] = {.lex_state = 1},
  [1552] = {.lex_state = 15},
  [1553] = {.lex_state = 1},
  [1554] = {.lex_state = 15},
  [1555] = {.lex_state = 1},
  [1556] = {.lex_state = 15},
  [1557] = {.lex_state = 1},
  [1558] = {.lex_state = 15},
  [1559] = {.lex_state = 1},
  [1560] = {.lex_state = 15},
  [1561] = {.lex_state = 15},
  [1562] = {.lex_state = 15},
  [1563] = {.lex_state = 15},
  [1564] = {.lex_state = 15},
  [1565] = {.lex_state = 15},
  [1566] = {.lex_state = 15},
  [1567] = {.lex_state = 1},
  [1568] = {.lex_state = 15},
  [1569] = {.lex_state = 15},
  [1570] = {.lex_state = 15},
  [1571] = {.lex_state = 15},
  [1572] = {.lex_state = 15},
  [1573] = {.lex_state = 15},
  [1574] = {.lex_state = 15},
  [1575] = {.lex_state = 15},
  [1576] = {.lex_state = 15},
  [1577] = {.lex_state = 15},
  [1578] = {.lex_state = 15},
  [1579] = {.lex_state = 1},
  [1580] = {.lex_state = 15},
  [1581] = {.lex_state = 15},
  [1582] = {.lex_state = 15},
  [1583] = {.lex_state = 15},
  [1584] = {.lex_state = 15},
  [1585] = {.lex_state = 15},
  [1586] = {.lex_state = 15},
  [1587] = {.lex_state = 15},
  [1588] = {.lex_state = 15},
  [1589] = {.lex_state = 15},
  [1590] = {.lex_state = 1},
  [1591] = {.lex_state = 1},
  [1592] = {.lex_state = 1},
  [1593] = {.lex_state = 15},
  [1594] = {.lex_state = 1},
  [1595] = {.lex_state = 15},
  [1596] = {.lex_state = 15},
  [1597] = {.lex_state = 15},
  [1598] = {.lex_state = 15},
  [1599] = {.lex_state = 15},
  [1600] = {.lex_state = 15},
  [1601] = {.lex_state = 15},
  [1602] = {.lex_state = 15},
  [1603] = {.lex_state = 15},
  [1604] = {.lex_state = 15},
  [1605] = {.lex_state = 1},
  [1606] = {.lex_state = 15},
  [1607] = {.lex_state = 1},
  [1608] = {.lex_state = 15},
  [1609] = {.lex_state = 1},
  [1610] = {.lex_state = 15},
  [1611] = {.lex_state = 1},
  [1612] = {.lex_state = 15},
  [1613] = {.lex_state = 1},
  [1614] = {.lex_state = 15},
  [1615] = {.lex_state = 15},
  [1616] = {.lex_state = 15},
  [1617] = {.lex_state = 15},
  [1618] = {.lex_state = 1},
  [1619] = {.lex_state = 1},
  [1620] = {.lex_state = 1},
  [1621] = {.lex_state = 15},
  [1622] = {.lex_state = 15},
  [1623] = {.lex_state = 15},
  [1624] = {.lex_state = 1},
  [1625] = {.lex_state = 1},
  [1626] = {.lex_state = 15},
  [1627] = {.lex_state = 15},
  [1628] = {.lex_state = 15},
  [1629] = {.lex_state = 15},
  [1630] = {.lex_state = 15},
  [1631] = {.lex_state = 15},
  [1632] = {.lex_state = 1},
  [1633] = {.lex_state = 1},
  [1634] = {.lex_state = 1},
  [1635] = {.lex_state = 1},
  [1636] = {.lex_state = 15},
  [1637] = {.lex_state = 15},
  [1638] = {.lex_state = 15},
  [1639] = {.lex_state = 1},
  [1640] = {.lex_state = 15},
  [1641] = {.lex_state = 1},
  [1642] = {.lex_state = 1},
  [1643] = {.lex_state = 15},
  [1644] = {.lex_state = 15},
  [1645] = {.lex_state = 1},
  [1646] = {.lex_state = 1},
  [1647] = {.lex_state = 1},
  [1648] = {.lex_state = 15},
  [1649] = {.lex_state = 15},
  [1650] = {.lex_state = 15},
  [1651] = {.lex_state = 15},
  [1652] = {.lex_state = 1},
  [1653] = {.lex_state = 15},
  [1654] = {.lex_state = 15},
  [1655] = {.lex_state = 15},
  [1656] = {.lex_state = 1},
  [1657] = {.lex_state = 15},
  [1658] = {.lex_state = 15},
  [1659] = {.lex_state = 15},
  [1660] = {.lex_state = 15},
  [1661] = {.lex_state = 15},
  [1662] = {.lex_state = 15},
  [1663] = {.lex_state = 1},
  [1664] = {.lex_state = 15},
  [1665] = {.lex_state = 15},
  [1666] = {.lex_state = 1},
  [1667] = {.lex_state = 1},
  [1668] = {.lex_state = 15},
  [1669] = {.lex_state = 1},
  [1670] = {.lex_state = 15},
  [1671] = {.lex_state = 1},
  [1672] = {.lex_state = 15},
  [1673] = {.lex_state = 15},
  [1674] = {.lex_state = 15},
  [1675] = {.lex_state = 1},
  [1676] = {.lex_state = 15},
  [1677] = {.lex_state = 15},
  [1678] = {.lex_state = 1},
  [1679] = {.lex_state = 1},
  [1680] = {.lex_state = 1},
  [1681] = {.lex_state = 15},
  [1682] = {.lex_state = 1},
  [1683] = {.lex_state = 1},
  [1684] = {.lex_state = 1},
  [1685] = {.lex_state = 1},
  [1686] = {.lex_state = 1},
  [1687] = {.lex_state = 1},
  [1688] = {.lex_state = 15},
  [1689] = {.lex_state = 15},
  [1690] = {.lex_state = 15},
  [1691] = {.lex_state = 15},
  [1692] = {.lex_state = 15},
  [1693] = {.lex_state = 1},
  [1694] = {.lex_state = 1},
  [1695] = {.lex_state = 15},
  [1696] = {.lex_state = 15},
  [1697] = {.lex_state = 1},
  [1698] = {.lex_state = 1},
  [1699] = {.lex_state = 1},
  [1700] = {.lex_state = 15},
  [1701] = {.lex_state = 15},
  [1702] = {.lex_state = 1},
  [1703] = {.lex_state = 15},
  [1704] = {.lex_state = 1},
  [1705] = {.lex_state = 15},
  [1706] = {.lex_state = 15},
  [1707] = {.lex_state = 15},
  [1708] = {.lex_state = 15},
  [1709] = {.lex_state = 1},
  [1710] = {.lex_state = 15},
  [1711] = {.lex_state = 15},
  [1712] = {.lex_state = 1},
  [1713] = {.lex_state = 1},
  [1714] = {.lex_state = 1},
  [1715] = {.lex_state = 1},
  [1716] = {.lex_state = 15},
  [1717] = {.lex_state = 15},
  [1718] = {.lex_state = 15},
  [1719] = {.lex_state = 1},
  [1720] = {.lex_state = 15},
  [1721] = {.lex_state = 1},
  [1722] = {.lex_state = 15},
  [1723] = {.lex_state = 1},
  [1724] = {.lex_state = 15},
  [1725] = {.lex_state = 1},
  [1726] = {.lex_state = 1},
  [1727] = {.lex_state = 1},
  [1728] = {.lex_state = 1},
  [1729] = {.lex_state = 1},
  [1730] = {.lex_state = 15},
  [1731] = {.lex_state = 1},
  [1732] = {.lex_state = 15},
  [1733] = {.lex_state = 1},
  [1734] = {.lex_state = 1},
  [1735] = {.lex_state = 1},
  [1736] = {.lex_state = 1},
  [1737] = {.lex_state = 1},
  [1738] = {.lex_state = 1},
  [1739] = {.lex_state = 1},
  [1740] = {.lex_state = 1},
  [1741] = {.lex_state = 1},
  [1742] = {.lex_state = 1},
  [1743] = {.lex_state = 1},
  [1744] = {.lex_state = 15},
  [1745] = {.lex_state = 15},
  [1746] = {.lex_state = 15},
  [1747] = {.lex_state = 1},
  [1748] = {.lex_state = 1},
  [1749] = {.lex_state = 1},
  [1750] = {.lex_state = 1},
  [1751] = {.lex_state = 1},
  [1752] = {.lex_state = 1},
  [1753] = {.lex_state = 1},
  [1754] = {.lex_state = 1},
  [1755] = {.lex_state = 1},
  [1756] = {.lex_state = 1},
  [1757] = {.lex_state = 1},
  [1758] = {.lex_state = 1},
  [1759] = {.lex_state = 1},
  [1760] = {.lex_state = 1},
  [1761] = {.lex_state = 1},
  [1762] = {.lex_state = 1},
  [1763] = {.lex_state = 1},
  [1764] = {.lex_state = 1},
  [1765] = {.lex_state = 1},
  [1766] = {.lex_state = 1},
  [1767] = {.lex_state = 1},
  [1768] = {.lex_state = 1},
  [1769] = {.lex_state = 1},
  [1770] = {.lex_state = 1},
  [1771] = {.lex_state = 1},
  [1772] = {.lex_state = 1},
  [1773] = {.lex_state = 1},
  [1774] = {.lex_state = 1},
  [1775] = {.lex_state = 1},
  [1776] = {.lex_state = 1},
  [1777] = {.lex_state = 15},
  [1778] = {.lex_state = 1},
  [1779] = {.lex_state = 1},
  [1780] = {.lex_state = 1},
  [1781] = {.lex_state = 1},
  [1782] = {.lex_state = 1},
  [1783] = {.lex_state = 1},
  [1784] = {.lex_state = 1},
  [1785] = {.lex_state = 1},
  [1786] = {.lex_state = 1},
  [1787] = {.lex_state = 1},
  [1788] = {.lex_state = 1},
  [1789] = {.lex_state = 1},
  [1790] = {.lex_state = 1},
  [1791] = {.lex_state = 1},
  [1792] = {.lex_state = 1},
  [1793] = {.lex_state = 1},
  [1794] = {.lex_state = 1},
  [1795] = {.lex_state = 15},
  [1796] = {.lex_state = 1},
  [1797] = {.lex_state = 1},
  [1798] = {.lex_state = 1},
  [1799] = {.lex_state = 1},
  [1800] = {.lex_state = 1},
  [1801] = {.lex_state = 15},
  [1802] = {.lex_state = 1},
  [1803] = {.lex_state = 1},
  [1804] = {.lex_state = 1},
  [1805] = {.lex_state = 1},
  [1806] = {.lex_state = 1},
  [1807] = {.lex_state = 1},
  [1808] = {.lex_state = 1},
  [1809] = {.lex_state = 1},
  [1810] = {.lex_state = 1},
  [1811] = {.lex_state = 1},
  [1812] = {.lex_state = 1},
  [1813] = {.lex_state = 15},
  [1814] = {.lex_state = 1},
  [1815] = {.lex_state = 1},
  [1816] = {.lex_state = 1},
  [1817] = {.lex_state = 15},
  [1818] = {.lex_state = 15},
  [1819] = {.lex_state = 15},
  [1820] = {.lex_state = 15},
  [1821] = {.lex_state = 1},
  [1822] = {.lex_state = 15},
  [1823] = {.lex_state = 15},
  [1824] = {.lex_state = 1},
  [1825] = {.lex_state = 1},
  [1826] = {.lex_state = 1},
  [1827] = {.lex_state = 1},
  [1828] = {.lex_state = 1},
  [1829] = {.lex_state = 1},
  [1830] = {.lex_state = 1},
  [1831] = {.lex_state = 1},
  [1832] = {.lex_state = 1},
  [1833] = {.lex_state = 15},
  [1834] = {.lex_state = 1},
  [1835] = {.lex_state = 15},
  [1836] = {.lex_state = 15},
  [1837] = {.lex_state = 15},
  [1838] = {.lex_state = 15},
  [1839] = {.lex_state = 1},
  [1840] = {.lex_state = 1},
  [1841] = {.lex_state = 1},
  [1842] = {.lex_state = 1},
  [1843] = {.lex_state = 15},
  [1844] = {.lex_state = 15},
  [1845] = {.lex_state = 15},
  [1846] = {.lex_state = 15},
  [1847] = {.lex_state = 1},
  [1848] = {.lex_state = 15},
  [1849] = {.lex_state = 1},
  [1850] = {.lex_state = 15},
  [1851] = {.lex_state = 1},
  [1852] = {.lex_state = 1},
  [1853] = {.lex_state = 1},
  [1854] = {.lex_state = 1},
  [1855] = {.lex_state = 1},
  [1856] = {.lex_state = 1},
  [1857] = {.lex_state = 15},
  [1858] = {.lex_state = 1},
  [1859] = {.lex_state = 15},
  [1860] = {.lex_state = 1},
  [1861] = {.lex_state = 15},
  [1862] = {.lex_state = 1},
  [1863] = {.lex_state = 1},
  [1864] = {.lex_state = 15},
  [1865] = {.lex_state = 1},
  [1866] = {.lex_state = 1},
  [1867] = {.lex_state = 1},
  [1868] = {.lex_state = 1},
  [1869] = {.lex_state = 15},
  [1870] = {.lex_state = 1},
  [1871] = {.lex_state = 1},
  [1872] = {.lex_state = 1},
  [1873] = {.lex_state = 1},
  [1874] = {.lex_state = 1},
  [1875] = {.lex_state = 1},
  [1876] = {.lex_state = 1},
  [1877] = {.lex_state = 1},
  [1878] = {.lex_state = 1},
  [1879] = {.lex_state = 1},
  [1880] = {.lex_state = 1},
  [1881] = {.lex_state = 1},
  [1882] = {.lex_state = 1},
  [1883] = {.lex_state = 1},
  [1884] = {.lex_state = 1},
  [1885] = {.lex_state = 1},
  [1886] = {.lex_state = 1},
  [1887] = {.lex_state = 1},
  [1888] = {.lex_state = 1},
  [1889] = {.lex_state = 1},
  [1890] = {.lex_state = 1},
  [1891] = {.lex_state = 1},
  [1892] = {.lex_state = 1},
  [1893] = {.lex_state = 1},
  [1894] = {.lex_state = 1},
  [1895] = {.lex_state = 1},
  [1896] = {.lex_state = 1},
  [1897] = {.lex_state = 1},
  [1898] = {.lex_state = 1},
  [1899] = {.lex_state = 15},
  [1900] = {.lex_state = 1},
  [1901] = {.lex_state = 15},
  [1902] = {.lex_state = 15},
  [1903] = {.lex_state = 15},
  [1904] = {.lex_state = 1},
  [1905] = {.lex_state = 1},
  [1906] = {.lex_state = 1},
  [1907] = {.lex_state = 1},
  [1908] = {.lex_state = 1},
  [1909] = {.lex_state = 1},
  [1910] = {.lex_state = 1},
  [1911] = {.lex_state = 1},
  [1912] = {.lex_state = 15},
  [1913] = {.lex_state = 1},
  [1914] = {.lex_state = 1},
  [1915] = {.lex_state = 1},
  [1916] = {.lex_state = 1},
  [1917] = {.lex_state = 1},
  [1918] = {.lex_state = 1},
  [1919] = {.lex_state = 1},
  [1920] = {.lex_state = 1},
  [1921] = {.lex_state = 1},
  [1922] = {.lex_state = 1},
  [1923] = {.lex_state = 1},
  [1924] = {.lex_state = 1},
  [1925] = {.lex_state = 15},
  [1926] = {.lex_state = 1},
  [1927] = {.lex_state = 1},
  [1928] = {.lex_state = 15},
  [1929] = {.lex_state = 1},
  [1930] = {.lex_state = 15},
  [1931] = {.lex_state = 15},
  [1932] = {.lex_state = 15},
  [1933] = {.lex_state = 15},
  [1934] = {.lex_state = 1},
  [1935] = {.lex_state = 1},
  [1936] = {.lex_state = 1},
  [1937] = {.lex_state = 1},
  [1938] = {.lex_state = 1},
  [1939] = {.lex_state = 1},
  [1940] = {.lex_state = 1},
  [1941] = {.lex_state = 15},
  [1942] = {.lex_state = 1},
  [1943] = {.lex_state = 1},
  [1944] = {.lex_state = 1},
  [1945] = {.lex_state = 1},
  [1946] = {.lex_state = 1},
  [1947] = {.lex_state = 1},
  [1948] = {.lex_state = 1},
  [1949] = {.lex_state = 1},
  [1950] = {.lex_state = 1},
  [1951] = {.lex_state = 1},
  [1952] = {.lex_state = 1},
  [1953] = {.lex_state = 1},
  [1954] = {.lex_state = 1},
  [1955] = {.lex_state = 1},
  [1956] = {.lex_state = 15},
  [1957] = {.lex_state = 15},
  [1958] = {.lex_state = 15},
  [1959] = {.lex_state = 1},
  [1960] = {.lex_state = 1},
  [1961] = {.lex_state = 15},
  [1962] = {.lex_state = 1},
  [1963] = {.lex_state = 15},
  [1964] = {.lex_state = 15},
  [1965] = {.lex_state = 1},
  [1966] = {.lex_state = 1},
  [1967] = {.lex_state = 1},
  [1968] = {.lex_state = 1},
  [1969] = {.lex_state = 1},
  [1970] = {.lex_state = 1},
  [1971] = {.lex_state = 1},
  [1972] = {.lex_state = 1},
  [1973] = {.lex_state = 1},
  [1974] = {.lex_state = 1},
  [1975] = {.lex_state = 1},
  [1976] = {.lex_state = 1},
  [1977] = {.lex_state = 15},
  [1978] = {.lex_state = 1},
  [1979] = {.lex_state = 15},
  [1980] = {.lex_state = 1},
  [1981] = {.lex_state = 1},
  [1982] = {.lex_state = 1},
  [1983] = {.lex_state = 1},
  [1984] = {.lex_state = 1},
  [1985] = {.lex_state = 1},
  [1986] = {.lex_state = 1},
  [1987] = {.lex_state = 1},
  [1988] = {.lex_state = 1},
  [1989] = {.lex_state = 1},
  [1990] = {.lex_state = 15},
  [1991] = {.lex_state = 15},
  [1992] = {.lex_state = 15},
  [1993] = {.lex_state = 1},
  [1994] = {.lex_state = 1},
  [1995] = {.lex_state = 1},
  [1996] = {.lex_state = 1},
  [1997] = {.lex_state = 1},
  [1998] = {.lex_state = 1},
  [1999] = {.lex_state = 1},
  [2000] = {.lex_state = 1},
  [2001] = {.lex_state = 15},
  [2002] = {.lex_state = 1},
  [2003] = {.lex_state = 1},
  [2004] = {.lex_state = 1},
  [2005] = {.lex_state = 1},
  [2006] = {.lex_state = 1},
  [2007] = {.lex_state = 1},
  [2008] = {.lex_state = 1},
  [2009] = {.lex_state = 1},
  [2010] = {.lex_state = 1},
  [2011] = {.lex_state = 1},
  [2012] = {.lex_state = 1},
  [2013] = {.lex_state = 1},
  [2014] = {.lex_state = 1},
  [2015] = {.lex_state = 1},
  [2016] = {.lex_state = 1},
  [2017] = {.lex_state = 1},
  [2018] = {.lex_state = 1},
  [2019] = {.lex_state = 1},
  [2020] = {.lex_state = 15},
  [2021] = {.lex_state = 1},
  [2022] = {.lex_state = 1},
  [2023] = {.lex_state = 1},
  [2024] = {.lex_state = 1},
  [2025] = {.lex_state = 1},
  [2026] = {.lex_state = 1},
  [2027] = {.lex_state = 1},
  [2028] = {.lex_state = 1},
  [2029] = {.lex_state = 1},
  [2030] = {.lex_state = 15},
  [2031] = {.lex_state = 1},
  [2032] = {.lex_state = 1},
  [2033] = {.lex_state = 1},
  [2034] = {.lex_state = 1},
  [2035] = {.lex_state = 1},
  [2036] = {.lex_state = 1},
  [2037] = {.lex_state = 15},
  [2038] = {.lex_state = 15},
  [2039] = {.lex_state = 1},
  [2040] = {.lex_state = 1},
  [2041] = {.lex_state = 1},
  [2042] = {.lex_state = 1},
  [2043] = {.lex_state = 1},
  [2044] = {.lex_state = 1},
  [2045] = {.lex_state = 1},
  [2046] = {.lex_state = 1},
  [2047] = {.lex_state = 1},
  [2048] = {.lex_state = 1},
  [2049] = {.lex_state = 1},
  [2050] = {.lex_state = 1},
  [2051] = {.lex_state = 1},
  [2052] = {.lex_state = 1},
  [2053] = {.lex_state = 1},
  [2054] = {.lex_state = 1},
  [2055] = {.lex_state = 1},
  [2056] = {.lex_state = 1},
  [2057] = {.lex_state = 1},
  [2058] = {.lex_state = 1},
  [2059] = {.lex_state = 1},
  [2060] = {.lex_state = 1},
  [2061] = {.lex_state = 1},
  [2062] = {.lex_state = 1},
  [2063] = {.lex_state = 1},
  [2064] = {.lex_state = 1},
  [2065] = {.lex_state = 1},
  [2066] = {.lex_state = 1},
  [2067] = {.lex_state = 1},
  [2068] = {.lex_state = 1},
  [2069] = {.lex_state = 1},
  [2070] = {.lex_state = 1},
  [2071] = {.lex_state = 1},
  [2072] = {.lex_state = 1},
  [2073] = {.lex_state = 1},
  [2074] = {.lex_state = 1},
  [2075] = {.lex_state = 1},
  [2076] = {.lex_state = 1},
  [2077] = {.lex_state = 1},
  [2078] = {.lex_state = 1},
  [2079] = {.lex_state = 1},
  [2080] = {.lex_state = 1},
  [2081] = {.lex_state = 1},
  [2082] = {.lex_state = 1},
  [2083] = {.lex_state = 1},
  [2084] = {.lex_state = 1},
  [2085] = {.lex_state = 1},
  [2086] = {.lex_state = 1},
  [2087] = {.lex_state = 1},
  [2088] = {.lex_state = 1},
  [2089] = {.lex_state = 1},
  [2090] = {.lex_state = 1},
  [2091] = {.lex_state = 1},
  [2092] = {.lex_state = 1},
  [2093] = {.lex_state = 1},
  [2094] = {.lex_state = 15},
  [2095] = {.lex_state = 1},
  [2096] = {.lex_state = 15},
  [2097] = {.lex_state = 1},
  [2098] = {.lex_state = 1},
  [2099] = {.lex_state = 1},
  [2100] = {.lex_state = 1},
  [2101] = {.lex_state = 1},
  [2102] = {.lex_state = 1},
  [2103] = {.lex_state = 1},
  [2104] = {.lex_state = 1},
  [2105] = {.lex_state = 1},
  [2106] = {.lex_state = 1},
  [2107] = {.lex_state = 1},
  [2108] = {.lex_state = 1},
  [2109] = {.lex_state = 1},
  [2110] = {.lex_state = 1},
  [2111] = {.lex_state = 1},
  [2112] = {.lex_state = 1},
  [2113] = {.lex_state = 1},
  [2114] = {.lex_state = 1},
  [2115] = {.lex_state = 1},
  [2116] = {.lex_state = 1},
  [2117] = {.lex_state = 1},
  [2118] = {.lex_state = 1},
  [2119] = {.lex_state = 1},
  [2120] = {.lex_state = 1},
  [2121] = {.lex_state = 1},
  [2122] = {.lex_state = 1},
  [2123] = {.lex_state = 1},
  [2124] = {.lex_state = 1},
  [2125] = {.lex_state = 1},
  [2126] = {.lex_state = 1},
  [2127] = {.lex_state = 1},
  [2128] = {.lex_state = 1},
  [2129] = {.lex_state = 1},
  [2130] = {.lex_state = 1},
  [2131] = {.lex_state = 1},
  [2132] = {.lex_state = 1},
  [2133] = {.lex_state = 1},
  [2134] = {.lex_state = 1},
  [2135] = {.lex_state = 1},
  [2136] = {.lex_state = 1},
  [2137] = {.lex_state = 15},
  [2138] = {.lex_state = 1},
  [2139] = {.lex_state = 15},
  [2140] = {.lex_state = 15},
  [2141] = {.lex_state = 15},
  [2142] = {.lex_state = 1},
  [2143] = {.lex_state = 1},
  [2144] = {.lex_state = 1},
  [2145] = {.lex_state = 1},
  [2146] = {.lex_state = 1},
  [2147] = {.lex_state = 1},
  [2148] = {.lex_state = 1},
  [2149] = {.lex_state = 1},
  [2150] = {.lex_state = 1},
  [2151] = {.lex_state = 1},
  [2152] = {.lex_state = 1},
  [2153] = {.lex_state = 1},
  [2154] = {.lex_state = 1},
  [2155] = {.lex_state = 1},
  [2156] = {.lex_state = 1},
  [2157] = {.lex_state = 1},
  [2158] = {.lex_state = 1},
  [2159] = {.lex_state = 1},
  [2160] = {.lex_state = 1},
  [2161] = {.lex_state = 1},
  [2162] = {.lex_state = 1},
  [2163] = {.lex_state = 1},
  [2164] = {.lex_state = 1},
  [2165] = {.lex_state = 1},
  [2166] = {.lex_state = 1},
  [2167] = {.lex_state = 1},
  [2168] = {.lex_state = 1},
  [2169] = {.lex_state = 1},
  [2170] = {.lex_state = 1},
  [2171] = {.lex_state = 15},
  [2172] = {.lex_state = 1},
  [2173] = {.lex_state = 1},
  [2174] = {.lex_state = 1},
  [2175] = {.lex_state = 1},
  [2176] = {.lex_state = 1},
  [2177] = {.lex_state = 1},
  [2178] = {.lex_state = 1},
  [2179] = {.lex_state = 1},
  [2180] = {.lex_state = 1},
  [2181] = {.lex_state = 1},
  [2182] = {.lex_state = 1},
  [2183] = {.lex_state = 1},
  [2184] = {.lex_state = 15},
  [2185] = {.lex_state = 15},
  [2186] = {.lex_state = 1},
  [2187] = {.lex_state = 1},
  [2188] = {.lex_state = 15},
  [2189] = {.lex_state = 1},
  [2190] = {.lex_state = 15},
  [2191] = {.lex_state = 1},
  [2192] = {.lex_state = 1},
  [2193] = {.lex_state = 1},
  [2194] = {.lex_state = 1},
  [2195] = {.lex_state = 1},
  [2196] = {.lex_state = 1},
  [2197] = {.lex_state = 1},
  [2198] = {.lex_state = 1},
  [2199] = {.lex_state = 1},
  [2200] = {.lex_state = 1},
  [2201] = {.lex_state = 1},
  [2202] = {.lex_state = 15},
  [2203] = {.lex_state = 1},
  [2204] = {.lex_state = 1},
  [2205] = {.lex_state = 1},
  [2206] = {.lex_state = 1},
  [2207] = {.lex_state = 1},
  [2208] = {.lex_state = 1},
  [2209] = {.lex_state = 1},
  [2210] = {.lex_state = 1},
  [2211] = {.lex_state = 1},
  [2212] = {.lex_state = 1},
  [2213] = {.lex_state = 1},
  [2214] = {.lex_state = 1},
  [2215] = {.lex_state = 1},
  [2216] = {.lex_state = 1},
  [2217] = {.lex_state = 1},
  [2218] = {.lex_state = 1},
  [2219] = {.lex_state = 1},
  [2220] = {.lex_state = 1},
  [2221] = {.lex_state = 1},
  [2222] = {.lex_state = 1},
  [2223] = {.lex_state = 1},
  [2224] = {.lex_state = 1},
  [2225] = {.lex_state = 1},
  [2226] = {.lex_state = 1},
  [2227] = {.lex_state = 1},
  [2228] = {.lex_state = 1},
  [2229] = {.lex_state = 1},
  [2230] = {.lex_state = 1},
  [2231] = {.lex_state = 1},
  [2232] = {.lex_state = 1},
  [2233] = {.lex_state = 1},
  [2234] = {.lex_state = 1},
  [2235] = {.lex_state = 1},
  [2236] = {.lex_state = 1},
  [2237] = {.lex_state = 1},
  [2238] = {.lex_state = 15},
  [2239] = {.lex_state = 1},
  [2240] = {.lex_state = 1},
  [2241] = {.lex_state = 1},
  [2242] = {.lex_state = 1},
  [2243] = {.lex_state = 1},
  [2244] = {.lex_state = 1},
  [2245] = {.lex_state = 15},
  [2246] = {.lex_state = 15},
  [2247] = {.lex_state = 1},
  [2248] = {.lex_state = 1},
  [2249] = {.lex_state = 1},
  [2250] = {.lex_state = 1},
  [2251] = {.lex_state = 1},
  [2252] = {.lex_state = 1},
  [2253] = {.lex_state = 1},
  [2254] = {.lex_state = 1},
  [2255] = {.lex_state = 1},
  [2256] = {.lex_state = 1},
  [2257] = {.lex_state = 1},
  [2258] = {.lex_state = 1},
  [2259] = {.lex_state = 1},
  [2260] = {.lex_state = 1},
  [2261] = {.lex_state = 1},
  [2262] = {.lex_state = 1},
  [2263] = {.lex_state = 1},
  [2264] = {.lex_state = 1},
  [2265] = {.lex_state = 1},
  [2266] = {.lex_state = 15},
  [2267] = {.lex_state = 15},
  [2268] = {.lex_state = 15},
  [2269] = {.lex_state = 1},
  [2270] = {.lex_state = 15},
  [2271] = {.lex_state = 15},
  [2272] = {.lex_state = 15},
  [2273] = {.lex_state = 1},
  [2274] = {.lex_state = 1},
  [2275] = {.lex_state = 1},
  [2276] = {.lex_state = 15},
  [2277] = {.lex_state = 15},
  [2278] = {.lex_state = 15},
  [2279] = {.lex_state = 15},
  [2280] = {.lex_state = 15},
  [2281] = {.lex_state = 15},
  [2282] = {.lex_state = 15},
  [2283] = {.lex_state = 15},
  [2284] = {.lex_state = 15},
  [2285] = {.lex_state = 15},
  [2286] = {.lex_state = 15},
  [2287] = {.lex_state = 15},
  [2288] = {.lex_state = 15},
  [2289] = {.lex_state = 15},
  [2290] = {.lex_state = 15},
  [2291] = {.lex_state = 15},
  [2292] = {.lex_state = 15},
  [2293] = {.lex_state = 15},
  [2294] = {.lex_state = 15},
  [2295] = {.lex_state = 15},
  [2296] = {.lex_state = 15},
  [2297] = {.lex_state = 15},
  [2298] = {.lex_state = 15},
  [2299] = {.lex_state = 15},
  [2300] = {.lex_state = 15},
  [2301] = {.lex_state = 15},
  [2302] = {.lex_state = 15},
  [2303] = {.lex_state = 15},
  [2304] = {.lex_state = 15},
  [2305] = {.lex_state = 15},
  [2306] = {.lex_state = 15},
  [2307] = {.lex_state = 15},
  [2308] = {.lex_state = 15},
  [2309] = {.lex_state = 15},
  [2310] = {.lex_state = 15},
  [2311] = {.lex_state = 15},
  [2312] = {.lex_state = 15},
  [2313] = {.lex_state = 15},
  [2314] = {.lex_state = 15},
  [2315] = {.lex_state = 15},
  [2316] = {.lex_state = 15},
  [2317] = {.lex_state = 15},
  [2318] = {.lex_state = 15},
  [2319] = {.lex_state = 15},
  [2320] = {.lex_state = 15},
  [2321] = {.lex_state = 15},
  [2322] = {.lex_state = 15},
  [2323] = {.lex_state = 15},
  [2324] = {.lex_state = 15},
  [2325] = {.lex_state = 15},
  [2326] = {.lex_state = 15},
  [2327] = {.lex_state = 15},
  [2328] = {.lex_state = 15},
  [2329] = {.lex_state = 15},
  [2330] = {.lex_state = 15},
  [2331] = {.lex_state = 15},
  [2332] = {.lex_state = 15},
  [2333] = {.lex_state = 15},
  [2334] = {.lex_state = 15},
  [2335] = {.lex_state = 15},
  [2336] = {.lex_state = 15},
  [2337] = {.lex_state = 15},
  [2338] = {.lex_state = 15},
  [2339] = {.lex_state = 15},
  [2340] = {.lex_state = 15},
  [2341] = {.lex_state = 15},
  [2342] = {.lex_state = 15},
  [2343] = {.lex_state = 15},
  [2344] = {.lex_state = 15},
  [2345] = {.lex_state = 15},
  [2346] = {.lex_state = 15},
  [2347] = {.lex_state = 15},
  [2348] = {.lex_state = 15},
  [2349] = {.lex_state = 15},
  [2350] = {.lex_state = 15},
  [2351] = {.lex_state = 15},
  [2352] = {.lex_state = 15},
  [2353] = {.lex_state = 15},
  [2354] = {.lex_state = 15},
  [2355] = {.lex_state = 15},
  [2356] = {.lex_state = 15},
  [2357] = {.lex_state = 15},
  [2358] = {.lex_state = 15},
  [2359] = {.lex_state = 15},
  [2360] = {.lex_state = 15},
  [2361] = {.lex_state = 15},
  [2362] = {.lex_state = 15},
  [2363] = {.lex_state = 15},
  [2364] = {.lex_state = 15},
  [2365] = {.lex_state = 15},
  [2366] = {.lex_state = 15},
  [2367] = {.lex_state = 15},
  [2368] = {.lex_state = 15},
  [2369] = {.lex_state = 15},
  [2370] = {.lex_state = 15},
  [2371] = {.lex_state = 15},
  [2372] = {.lex_state = 15},
  [2373] = {.lex_state = 15},
  [2374] = {.lex_state = 15},
  [2375] = {.lex_state = 15},
  [2376] = {.lex_state = 15},
  [2377] = {.lex_state = 15},
  [2378] = {.lex_state = 15},
  [2379] = {.lex_state = 15},
  [2380] = {.lex_state = 15},
  [2381] = {.lex_state = 15},
  [2382] = {.lex_state = 15},
  [2383] = {.lex_state = 15},
  [2384] = {.lex_state = 15},
  [2385] = {.lex_state = 15},
  [2386] = {.lex_state = 15},
  [2387] = {.lex_state = 15},
  [2388] = {.lex_state = 15},
  [2389] = {.lex_state = 15},
  [2390] = {.lex_state = 15},
  [2391] = {.lex_state = 15},
  [2392] = {.lex_state = 15},
  [2393] = {.lex_state = 15},
  [2394] = {.lex_state = 15},
  [2395] = {.lex_state = 15},
  [2396] = {.lex_state = 15},
  [2397] = {.lex_state = 15},
  [2398] = {.lex_state = 15},
  [2399] = {.lex_state = 15},
  [2400] = {.lex_state = 15},
  [2401] = {.lex_state = 15},
  [2402] = {.lex_state = 15},
  [2403] = {.lex_state = 15},
  [2404] = {.lex_state = 15},
  [2405] = {.lex_state = 15},
  [2406] = {.lex_state = 15},
  [2407] = {.lex_state = 15},
  [2408] = {.lex_state = 15},
  [2409] = {.lex_state = 15},
  [2410] = {.lex_state = 15},
  [2411] = {.lex_state = 15},
  [2412] = {.lex_state = 15},
  [2413] = {.lex_state = 15},
  [2414] = {.lex_state = 15},
  [2415] = {.lex_state = 15},
  [2416] = {.lex_state = 15},
  [2417] = {.lex_state = 15},
  [2418] = {.lex_state = 15},
  [2419] = {.lex_state = 15},
  [2420] = {.lex_state = 15},
  [2421] = {.lex_state = 15},
  [2422] = {.lex_state = 15},
  [2423] = {.lex_state = 15},
  [2424] = {.lex_state = 15},
  [2425] = {.lex_state = 15},
  [2426] = {.lex_state = 15},
  [2427] = {.lex_state = 15},
  [2428] = {.lex_state = 15},
  [2429] = {.lex_state = 15},
  [2430] = {.lex_state = 15},
  [2431] = {.lex_state = 15},
  [2432] = {.lex_state = 15},
  [2433] = {.lex_state = 15},
  [2434] = {.lex_state = 15},
  [2435] = {.lex_state = 15},
  [2436] = {.lex_state = 15},
  [2437] = {.lex_state = 15},
  [2438] = {.lex_state = 15},
  [2439] = {.lex_state = 15},
  [2440] = {.lex_state = 15},
  [2441] = {.lex_state = 15},
  [2442] = {.lex_state = 15},
  [2443] = {.lex_state = 15},
  [2444] = {.lex_state = 15},
  [2445] = {.lex_state = 15},
  [2446] = {.lex_state = 15},
  [2447] = {.lex_state = 0},
  [2448] = {.lex_state = 15},
  [2449] = {.lex_state = 15},
  [2450] = {.lex_state = 15},
  [2451] = {.lex_state = 15},
  [2452] = {.lex_state = 15},
  [2453] = {.lex_state = 0},
  [2454] = {.lex_state = 15},
  [2455] = {.lex_state = 15},
  [2456] = {.lex_state = 15},
  [2457] = {.lex_state = 15},
  [2458] = {.lex_state = 15},
  [2459] = {.lex_state = 15},
  [2460] = {.lex_state = 15},
  [2461] = {.lex_state = 15},
  [2462] = {.lex_state = 15},
  [2463] = {.lex_state = 15},
  [2464] = {.lex_state = 15},
  [2465] = {.lex_state = 15},
  [2466] = {.lex_state = 15},
  [2467] = {.lex_state = 15},
  [2468] = {.lex_state = 15},
  [2469] = {.lex_state = 15},
  [2470] = {.lex_state = 15},
  [2471] = {.lex_state = 15},
  [2472] = {.lex_state = 15},
  [2473] = {.lex_state = 15},
  [2474] = {.lex_state = 15},
  [2475] = {.lex_state = 15},
  [2476] = {.lex_state = 15},
  [2477] = {.lex_state = 15},
  [2478] = {.lex_state = 15},
  [2479] = {.lex_state = 15},
  [2480] = {.lex_state = 15},
  [2481] = {.lex_state = 15},
  [2482] = {.lex_state = 15},
  [2483] = {.lex_state = 15},
  [2484] = {.lex_state = 15},
  [2485] = {.lex_state = 15},
  [2486] = {.lex_state = 15},
  [2487] = {.lex_state = 15},
  [2488] = {.lex_state = 15},
  [2489] = {.lex_state = 15},
  [2490] = {.lex_state = 15},
  [2491] = {.lex_state = 15},
  [2492] = {.lex_state = 15},
  [2493] = {.lex_state = 15},
  [2494] = {.lex_state = 15},
  [2495] = {.lex_state = 15},
  [2496] = {.lex_state = 15},
  [2497] = {.lex_state = 15},
  [2498] = {.lex_state = 15},
  [2499] = {.lex_state = 15},
  [2500] = {.lex_state = 15},
  [2501] = {.lex_state = 15},
  [2502] = {.lex_state = 15},
  [2503] = {.lex_state = 15},
  [2504] = {.lex_state = 15},
  [2505] = {.lex_state = 15},
  [2506] = {.lex_state = 15},
  [2507] = {.lex_state = 15},
  [2508] = {.lex_state = 15},
  [2509] = {.lex_state = 15},
  [2510] = {.lex_state = 15},
  [2511] = {.lex_state = 15},
  [2512] = {.lex_state = 15},
  [2513] = {.lex_state = 15},
  [2514] = {.lex_state = 15},
  [2515] = {.lex_state = 15},
  [2516] = {.lex_state = 15},
  [2517] = {.lex_state = 15},
  [2518] = {.lex_state = 15},
  [2519] = {.lex_state = 15},
  [2520] = {.lex_state = 15},
  [2521] = {.lex_state = 15},
  [2522] = {.lex_state = 15},
  [2523] = {.lex_state = 15},
  [2524] = {.lex_state = 15},
  [2525] = {.lex_state = 15},
  [2526] = {.lex_state = 15},
  [2527] = {.lex_state = 15},
  [2528] = {.lex_state = 15},
  [2529] = {.lex_state = 15},
  [2530] = {.lex_state = 15},
  [2531] = {.lex_state = 15},
  [2532] = {.lex_state = 15},
  [2533] = {.lex_state = 15},
  [2534] = {.lex_state = 15},
  [2535] = {.lex_state = 15},
  [2536] = {.lex_state = 15},
  [2537] = {.lex_state = 15},
  [2538] = {.lex_state = 15},
  [2539] = {.lex_state = 15},
  [2540] = {.lex_state = 15},
  [2541] = {.lex_state = 15},
  [2542] = {.lex_state = 15},
  [2543] = {.lex_state = 15},
  [2544] = {.lex_state = 15},
  [2545] = {.lex_state = 15},
  [2546] = {.lex_state = 15},
  [2547] = {.lex_state = 15},
  [2548] = {.lex_state = 15},
  [2549] = {.lex_state = 15},
  [2550] = {.lex_state = 15},
  [2551] = {.lex_state = 15},
  [2552] = {.lex_state = 15},
  [2553] = {.lex_state = 15},
  [2554] = {.lex_state = 15},
  [2555] = {.lex_state = 15},
  [2556] = {.lex_state = 15},
  [2557] = {.lex_state = 15},
  [2558] = {.lex_state = 15},
  [2559] = {.lex_state = 15},
  [2560] = {.lex_state = 15},
  [2561] = {.lex_state = 0},
  [2562] = {.lex_state = 15},
  [2563] = {.lex_state = 15},
  [2564] = {.lex_state = 15},
  [2565] = {.lex_state = 15},
  [2566] = {.lex_state = 15},
  [2567] = {.lex_state = 15},
  [2568] = {.lex_state = 15},
  [2569] = {.lex_state = 15},
  [2570] = {.lex_state = 15},
  [2571] = {.lex_state = 15},
  [2572] = {.lex_state = 15},
  [2573] = {.lex_state = 15},
  [2574] = {.lex_state = 15},
  [2575] = {.lex_state = 0},
  [2576] = {.lex_state = 15},
  [2577] = {.lex_state = 15},
  [2578] = {.lex_state = 15},
  [2579] = {.lex_state = 15},
  [2580] = {.lex_state = 15},
  [2581] = {.lex_state = 15},
  [2582] = {.lex_state = 15},
  [2583] = {.lex_state = 15},
  [2584] = {.lex_state = 15},
  [2585] = {.lex_state = 15},
  [2586] = {.lex_state = 15},
  [2587] = {.lex_state = 15},
  [2588] = {.lex_state = 15},
  [2589] = {.lex_state = 15},
  [2590] = {.lex_state = 15},
  [2591] = {.lex_state = 15},
  [2592] = {.lex_state = 15},
  [2593] = {.lex_state = 15},
  [2594] = {.lex_state = 0},
  [2595] = {.lex_state = 15},
  [2596] = {.lex_state = 15},
  [2597] = {.lex_state = 15},
  [2598] = {.lex_state = 0},
  [2599] = {.lex_state = 15},
  [2600] = {.lex_state = 15},
  [2601] = {.lex_state = 15},
  [2602] = {.lex_state = 15},
  [2603] = {.lex_state = 15},
  [2604] = {.lex_state = 0},
  [2605] = {.lex_state = 0},
  [2606] = {.lex_state = 0},
  [2607] = {.lex_state = 15},
  [2608] = {.lex_state = 0},
  [2609] = {.lex_state = 15},
  [2610] = {.lex_state = 15},
  [2611] = {.lex_state = 15},
  [2612] = {.lex_state = 15},
  [2613] = {.lex_state = 15},
  [2614] = {.lex_state = 15},
  [2615] = {.lex_state = 15},
  [2616] = {.lex_state = 0},
  [2617] = {.lex_state = 15},
  [2618] = {.lex_state = 15},
  [2619] = {.lex_state = 15},
  [2620] = {.lex_state = 15},
  [2621] = {.lex_state = 15},
  [2622] = {.lex_state = 15},
  [2623] = {.lex_state = 15},
  [2624] = {.lex_state = 0},
  [2625] = {.lex_state = 15},
  [2626] = {.lex_state = 15},
  [2627] = {.lex_state = 15},
  [2628] = {.lex_state = 15},
  [2629] = {.lex_state = 15},
  [2630] = {.lex_state = 15},
  [2631] = {.lex_state = 15},
  [2632] = {.lex_state = 15},
  [2633] = {.lex_state = 15},
  [2634] = {.lex_state = 15},
  [2635] = {.lex_state = 15},
  [2636] = {.lex_state = 15},
  [2637] = {.lex_state = 15},
  [2638] = {.lex_state = 15},
  [2639] = {.lex_state = 15},
  [2640] = {.lex_state = 0},
  [2641] = {.lex_state = 15},
  [2642] = {.lex_state = 0},
  [2643] = {.lex_state = 0},
  [2644] = {.lex_state = 15},
  [2645] = {.lex_state = 0},
  [2646] = {.lex_state = 0},
  [2647] = {.lex_state = 15},
  [2648] = {.lex_state = 15},
  [2649] = {.lex_state = 15},
  [2650] = {.lex_state = 15},
  [2651] = {.lex_state = 15},
  [2652] = {.lex_state = 15},
  [2653] = {.lex_state = 15},
  [2654] = {.lex_state = 15},
  [2655] = {.lex_state = 15},
  [2656] = {.lex_state = 15},
  [2657] = {.lex_state = 15},
  [2658] = {.lex_state = 15},
  [2659] = {.lex_state = 15},
  [2660] = {.lex_state = 15},
  [2661] = {.lex_state = 15},
  [2662] = {.lex_state = 15},
  [2663] = {.lex_state = 15},
  [2664] = {.lex_state = 15},
  [2665] = {.lex_state = 15},
  [2666] = {.lex_state = 15},
  [2667] = {.lex_state = 15},
  [2668] = {.lex_state = 15},
  [2669] = {.lex_state = 15},
  [2670] = {.lex_state = 15},
  [2671] = {.lex_state = 15},
  [2672] = {.lex_state = 15},
  [2673] = {.lex_state = 15},
  [2674] = {.lex_state = 15},
  [2675] = {.lex_state = 15},
  [2676] = {.lex_state = 15},
  [2677] = {.lex_state = 15},
  [2678] = {.lex_state = 15},
  [2679] = {.lex_state = 15},
  [2680] = {.lex_state = 15},
  [2681] = {.lex_state = 15},
  [2682] = {.lex_state = 15},
  [2683] = {.lex_state = 15},
  [2684] = {.lex_state = 15},
  [2685] = {.lex_state = 15},
  [2686] = {.lex_state = 15},
  [2687] = {.lex_state = 15},
  [2688] = {.lex_state = 15},
  [2689] = {.lex_state = 15},
  [2690] = {.lex_state = 15},
  [2691] = {.lex_state = 15},
  [2692] = {.lex_state = 0},
  [2693] = {.lex_state = 15},
  [2694] = {.lex_state = 15},
  [2695] = {.lex_state = 15},
  [2696] = {.lex_state = 15},
  [2697] = {.lex_state = 15},
  [2698] = {.lex_state = 15},
  [2699] = {.lex_state = 15},
  [2700] = {.lex_state = 15},
  [2701] = {.lex_state = 15},
  [2702] = {.lex_state = 15},
  [2703] = {.lex_state = 15},
  [2704] = {.lex_state = 15},
  [2705] = {.lex_state = 15},
  [2706] = {.lex_state = 15},
  [2707] = {.lex_state = 15},
  [2708] = {.lex_state = 15},
  [2709] = {.lex_state = 15},
  [2710] = {.lex_state = 15},
  [2711] = {.lex_state = 0},
  [2712] = {.lex_state = 15},
  [2713] = {.lex_state = 15},
  [2714] = {.lex_state = 15},
  [2715] = {.lex_state = 15},
  [2716] = {.lex_state = 15},
  [2717] = {.lex_state = 15},
  [2718] = {.lex_state = 15},
  [2719] = {.lex_state = 15},
  [2720] = {.lex_state = 15},
  [2721] = {.lex_state = 15},
  [2722] = {.lex_state = 15},
  [2723] = {.lex_state = 15},
  [2724] = {.lex_state = 0},
  [2725] = {.lex_state = 15},
  [2726] = {.lex_state = 15},
  [2727] = {.lex_state = 15},
  [2728] = {.lex_state = 15},
  [2729] = {.lex_state = 15},
  [2730] = {.lex_state = 15},
  [2731] = {.lex_state = 15},
  [2732] = {.lex_state = 15},
  [2733] = {.lex_state = 15},
  [2734] = {.lex_state = 15},
  [2735] = {.lex_state = 15},
  [2736] = {.lex_state = 15},
  [2737] = {.lex_state = 15},
  [2738] = {.lex_state = 15},
  [2739] = {.lex_state = 15},
  [2740] = {.lex_state = 15},
  [2741] = {.lex_state = 15},
  [2742] = {.lex_state = 15},
  [2743] = {.lex_state = 15},
  [2744] = {.lex_state = 15},
  [2745] = {.lex_state = 15},
  [2746] = {.lex_state = 15},
  [2747] = {.lex_state = 15},
  [2748] = {.lex_state = 15},
  [2749] = {.lex_state = 15},
  [2750] = {.lex_state = 15},
  [2751] = {.lex_state = 15},
  [2752] = {.lex_state = 15},
  [2753] = {.lex_state = 15},
  [2754] = {.lex_state = 15},
  [2755] = {.lex_state = 15},
  [2756] = {.lex_state = 15},
  [2757] = {.lex_state = 15},
  [2758] = {.lex_state = 15},
  [2759] = {.lex_state = 15},
  [2760] = {.lex_state = 15},
  [2761] = {.lex_state = 15},
  [2762] = {.lex_state = 15},
  [2763] = {.lex_state = 0},
  [2764] = {.lex_state = 15},
  [2765] = {.lex_state = 15},
  [2766] = {.lex_state = 0},
  [2767] = {.lex_state = 15},
  [2768] = {.lex_state = 15},
  [2769] = {.lex_state = 0},
  [2770] = {.lex_state = 0},
  [2771] = {.lex_state = 15},
  [2772] = {.lex_state = 0},
  [2773] = {.lex_state = 15},
  [2774] = {.lex_state = 15},
  [2775] = {.lex_state = 15},
  [2776] = {.lex_state = 15},
  [2777] = {.lex_state = 15},
  [2778] = {.lex_state = 15},
  [2779] = {.lex_state = 0},
  [2780] = {.lex_state = 15},
  [2781] = {.lex_state = 15},
  [2782] = {.lex_state = 15},
  [2783] = {.lex_state = 15},
  [2784] = {.lex_state = 15},
  [2785] = {.lex_state = 15},
  [2786] = {.lex_state = 0},
  [2787] = {.lex_state = 0},
  [2788] = {.lex_state = 15},
  [2789] = {.lex_state = 15},
  [2790] = {.lex_state = 15},
  [2791] = {.lex_state = 15},
  [2792] = {.lex_state = 15},
  [2793] = {.lex_state = 15},
  [2794] = {.lex_state = 15},
  [2795] = {.lex_state = 15},
  [2796] = {.lex_state = 15},
  [2797] = {.lex_state = 0},
  [2798] = {.lex_state = 15},
  [2799] = {.lex_state = 15},
  [2800] = {.lex_state = 15},
  [2801] = {.lex_state = 15},
  [2802] = {.lex_state = 15},
  [2803] = {.lex_state = 15},
  [2804] = {.lex_state = 15},
  [2805] = {.lex_state = 15},
  [2806] = {.lex_state = 15},
  [2807] = {.lex_state = 15},
  [2808] = {.lex_state = 15},
  [2809] = {.lex_state = 15},
  [2810] = {.lex_state = 15},
  [2811] = {.lex_state = 15},
  [2812] = {.lex_state = 0},
  [2813] = {.lex_state = 15},
  [2814] = {.lex_state = 15},
  [2815] = {.lex_state = 15},
  [2816] = {.lex_state = 15},
  [2817] = {.lex_state = 15},
  [2818] = {.lex_state = 15},
  [2819] = {.lex_state = 15},
  [2820] = {.lex_state = 15},
  [2821] = {.lex_state = 15},
  [2822] = {.lex_state = 15},
  [2823] = {.lex_state = 15},
  [2824] = {.lex_state = 15},
  [2825] = {.lex_state = 15},
  [2826] = {.lex_state = 15},
  [2827] = {.lex_state = 15},
  [2828] = {.lex_state = 15},
  [2829] = {.lex_state = 0},
  [2830] = {.lex_state = 15},
  [2831] = {.lex_state = 15},
  [2832] = {.lex_state = 15},
  [2833] = {.lex_state = 15},
  [2834] = {.lex_state = 15},
  [2835] = {.lex_state = 15},
  [2836] = {.lex_state = 15},
  [2837] = {.lex_state = 15},
  [2838] = {.lex_state = 15},
  [2839] = {.lex_state = 15},
  [2840] = {.lex_state = 15},
  [2841] = {.lex_state = 15},
  [2842] = {.lex_state = 15},
  [2843] = {.lex_state = 15},
  [2844] = {.lex_state = 15},
  [2845] = {.lex_state = 15},
  [2846] = {.lex_state = 15},
  [2847] = {.lex_state = 15},
  [2848] = {.lex_state = 15},
  [2849] = {.lex_state = 15},
  [2850] = {.lex_state = 15},
  [2851] = {.lex_state = 15},
  [2852] = {.lex_state = 15},
  [2853] = {.lex_state = 15},
  [2854] = {.lex_state = 15},
  [2855] = {.lex_state = 15},
  [2856] = {.lex_state = 15},
  [2857] = {.lex_state = 15},
  [2858] = {.lex_state = 15},
  [2859] = {.lex_state = 15},
  [2860] = {.lex_state = 15},
  [2861] = {.lex_state = 15},
  [2862] = {.lex_state = 15},
  [2863] = {.lex_state = 15},
  [2864] = {.lex_state = 15},
  [2865] = {.lex_state = 15},
  [2866] = {.lex_state = 15},
  [2867] = {.lex_state = 15},
  [2868] = {.lex_state = 15},
  [2869] = {.lex_state = 15},
  [2870] = {.lex_state = 15},
  [2871] = {.lex_state = 15},
  [2872] = {.lex_state = 15},
  [2873] = {.lex_state = 15},
  [2874] = {.lex_state = 15},
  [2875] = {.lex_state = 15},
  [2876] = {.lex_state = 15},
  [2877] = {.lex_state = 15},
  [2878] = {.lex_state = 15},
  [2879] = {.lex_state = 15},
  [2880] = {.lex_state = 15},
  [2881] = {.lex_state = 15},
  [2882] = {.lex_state = 15},
  [2883] = {.lex_state = 15},
  [2884] = {.lex_state = 15},
  [2885] = {.lex_state = 15},
  [2886] = {.lex_state = 0},
  [2887] = {.lex_state = 15},
  [2888] = {.lex_state = 15},
  [2889] = {.lex_state = 15},
  [2890] = {.lex_state = 15},
  [2891] = {.lex_state = 15},
  [2892] = {.lex_state = 15},
  [2893] = {.lex_state = 15},
  [2894] = {.lex_state = 15},
  [2895] = {.lex_state = 15},
  [2896] = {.lex_state = 15},
  [2897] = {.lex_state = 15},
  [2898] = {.lex_state = 15},
  [2899] = {.lex_state = 15},
  [2900] = {.lex_state = 15},
  [2901] = {.lex_state = 15},
  [2902] = {.lex_state = 15},
  [2903] = {.lex_state = 0},
  [2904] = {.lex_state = 15},
  [2905] = {.lex_state = 15},
  [2906] = {.lex_state = 15},
  [2907] = {.lex_state = 15},
  [2908] = {.lex_state = 15},
  [2909] = {.lex_state = 15},
  [2910] = {.lex_state = 15},
  [2911] = {.lex_state = 15},
  [2912] = {.lex_state = 15},
  [2913] = {.lex_state = 15},
  [2914] = {.lex_state = 15},
  [2915] = {.lex_state = 15},
  [2916] = {.lex_state = 15},
  [2917] = {.lex_state = 15},
  [2918] = {.lex_state = 15},
  [2919] = {.lex_state = 15},
  [2920] = {.lex_state = 15},
  [2921] = {.lex_state = 15},
  [2922] = {.lex_state = 15},
  [2923] = {.lex_state = 15},
  [2924] = {.lex_state = 15},
  [2925] = {.lex_state = 15},
  [2926] = {.lex_state = 15},
  [2927] = {.lex_state = 15},
  [2928] = {.lex_state = 15},
  [2929] = {.lex_state = 15},
  [2930] = {.lex_state = 15},
  [2931] = {.lex_state = 15},
  [2932] = {.lex_state = 15},
  [2933] = {.lex_state = 15},
  [2934] = {.lex_state = 15},
  [2935] = {.lex_state = 15},
  [2936] = {.lex_state = 0},
  [2937] = {.lex_state = 15},
  [2938] = {.lex_state = 15},
  [2939] = {.lex_state = 15},
  [2940] = {.lex_state = 15},
  [2941] = {.lex_state = 15},
  [2942] = {.lex_state = 15},
  [2943] = {.lex_state = 15},
  [2944] = {.lex_state = 15},
  [2945] = {.lex_state = 15},
  [2946] = {.lex_state = 15},
  [2947] = {.lex_state = 15},
  [2948] = {.lex_state = 15},
  [2949] = {.lex_state = 15},
  [2950] = {.lex_state = 15},
  [2951] = {.lex_state = 15},
  [2952] = {.lex_state = 15},
  [2953] = {.lex_state = 15},
  [2954] = {.lex_state = 15},
  [2955] = {.lex_state = 15},
  [2956] = {.lex_state = 15},
  [2957] = {.lex_state = 15},
  [2958] = {.lex_state = 15},
  [2959] = {.lex_state = 0},
  [2960] = {.lex_state = 15},
  [2961] = {.lex_state = 15},
  [2962] = {.lex_state = 15},
  [2963] = {.lex_state = 15},
  [2964] = {.lex_state = 15},
  [2965] = {.lex_state = 15},
  [2966] = {.lex_state = 15},
  [2967] = {.lex_state = 15},
  [2968] = {.lex_state = 15},
  [2969] = {.lex_state = 15},
  [2970] = {.lex_state = 15},
  [2971] = {.lex_state = 15},
  [2972] = {.lex_state = 15},
  [2973] = {.lex_state = 15},
  [2974] = {.lex_state = 15},
  [2975] = {.lex_state = 15},
  [2976] = {.lex_state = 15},
  [2977] = {.lex_state = 15},
  [2978] = {.lex_state = 15},
  [2979] = {.lex_state = 15},
  [2980] = {.lex_state = 15},
  [2981] = {.lex_state = 15},
  [2982] = {.lex_state = 15},
  [2983] = {.lex_state = 15},
  [2984] = {.lex_state = 15},
  [2985] = {.lex_state = 15},
  [2986] = {.lex_state = 15},
  [2987] = {.lex_state = 15},
  [2988] = {.lex_state = 15},
  [2989] = {.lex_state = 15},
  [2990] = {.lex_state = 15},
  [2991] = {.lex_state = 15},
  [2992] = {.lex_state = 15},
  [2993] = {.lex_state = 15},
  [2994] = {.lex_state = 15},
  [2995] = {.lex_state = 15},
  [2996] = {.lex_state = 15},
  [2997] = {.lex_state = 15},
  [2998] = {.lex_state = 15},
  [2999] = {.lex_state = 15},
  [3000] = {.lex_state = 15},
  [3001] = {.lex_state = 15},
  [3002] = {.lex_state = 15},
  [3003] = {.lex_state = 15},
  [3004] = {.lex_state = 15},
  [3005] = {.lex_state = 15},
  [3006] = {.lex_state = 15},
  [3007] = {.lex_state = 15},
  [3008] = {.lex_state = 0},
  [3009] = {.lex_state = 15},
  [3010] = {.lex_state = 15},
  [3011] = {.lex_state = 15},
  [3012] = {.lex_state = 15},
  [3013] = {.lex_state = 15},
  [3014] = {.lex_state = 15},
  [3015] = {.lex_state = 15},
  [3016] = {.lex_state = 15},
  [3017] = {.lex_state = 15},
  [3018] = {.lex_state = 15},
  [3019] = {.lex_state = 15},
  [3020] = {.lex_state = 15},
  [3021] = {.lex_state = 15},
  [3022] = {.lex_state = 15},
  [3023] = {.lex_state = 15},
  [3024] = {.lex_state = 15},
  [3025] = {.lex_state = 15},
  [3026] = {.lex_state = 15},
  [3027] = {.lex_state = 15},
  [3028] = {.lex_state = 15},
  [3029] = {.lex_state = 15},
  [3030] = {.lex_state = 15},
  [3031] = {.lex_state = 15},
  [3032] = {.lex_state = 15},
  [3033] = {.lex_state = 15},
  [3034] = {.lex_state = 15},
  [3035] = {.lex_state = 15},
  [3036] = {.lex_state = 15},
  [3037] = {.lex_state = 15},
  [3038] = {.lex_state = 15},
  [3039] = {.lex_state = 15},
  [3040] = {.lex_state = 0},
  [3041] = {.lex_state = 15},
  [3042] = {.lex_state = 15},
  [3043] = {.lex_state = 0},
  [3044] = {.lex_state = 15},
  [3045] = {.lex_state = 0},
  [3046] = {.lex_state = 15},
  [3047] = {.lex_state = 15},
  [3048] = {.lex_state = 15},
  [3049] = {.lex_state = 15},
  [3050] = {.lex_state = 15},
  [3051] = {.lex_state = 0},
  [3052] = {.lex_state = 0},
  [3053] = {.lex_state = 0},
  [3054] = {.lex_state = 15},
  [3055] = {.lex_state = 15},
  [3056] = {.lex_state = 15},
  [3057] = {.lex_state = 15},
  [3058] = {.lex_state = 15},
  [3059] = {.lex_state = 15},
  [3060] = {.lex_state = 15},
  [3061] = {.lex_state = 15},
  [3062] = {.lex_state = 15},
  [3063] = {.lex_state = 15},
  [3064] = {.lex_state = 0},
  [3065] = {.lex_state = 15},
  [3066] = {.lex_state = 0},
  [3067] = {.lex_state = 15},
  [3068] = {.lex_state = 15},
  [3069] = {.lex_state = 15},
  [3070] = {.lex_state = 15},
  [3071] = {.lex_state = 15},
  [3072] = {.lex_state = 15},
  [3073] = {.lex_state = 15},
  [3074] = {.lex_state = 15},
  [3075] = {.lex_state = 15},
  [3076] = {.lex_state = 15},
  [3077] = {.lex_state = 15},
  [3078] = {.lex_state = 15},
  [3079] = {.lex_state = 0},
  [3080] = {.lex_state = 15},
  [3081] = {.lex_state = 15},
  [3082] = {.lex_state = 15},
  [3083] = {.lex_state = 15},
  [3084] = {.lex_state = 15},
  [3085] = {.lex_state = 15},
  [3086] = {.lex_state = 15},
  [3087] = {.lex_state = 15},
  [3088] = {.lex_state = 0},
  [3089] = {.lex_state = 15},
  [3090] = {.lex_state = 15},
  [3091] = {.lex_state = 15},
  [3092] = {.lex_state = 15},
  [3093] = {.lex_state = 15},
  [3094] = {.lex_state = 15},
  [3095] = {.lex_state = 15},
  [3096] = {.lex_state = 15},
  [3097] = {.lex_state = 15},
  [3098] = {.lex_state = 15},
  [3099] = {.lex_state = 15},
  [3100] = {.lex_state = 15},
  [3101] = {.lex_state = 15},
  [3102] = {.lex_state = 15},
  [3103] = {.lex_state = 15},
  [3104] = {.lex_state = 15},
  [3105] = {.lex_state = 15},
  [3106] = {.lex_state = 15},
  [3107] = {.lex_state = 15},
  [3108] = {.lex_state = 15},
  [3109] = {.lex_state = 15},
  [3110] = {.lex_state = 15},
  [3111] = {.lex_state = 15},
  [3112] = {.lex_state = 15},
  [3113] = {.lex_state = 15},
  [3114] = {.lex_state = 15},
  [3115] = {.lex_state = 15},
  [3116] = {.lex_state = 15},
  [3117] = {.lex_state = 15},
  [3118] = {.lex_state = 15},
  [3119] = {.lex_state = 15},
  [3120] = {.lex_state = 15},
  [3121] = {.lex_state = 15},
  [3122] = {.lex_state = 15},
  [3123] = {.lex_state = 15},
  [3124] = {.lex_state = 15},
  [3125] = {.lex_state = 15},
  [3126] = {.lex_state = 15},
  [3127] = {.lex_state = 15},
  [3128] = {.lex_state = 15},
  [3129] = {.lex_state = 15},
  [3130] = {.lex_state = 15},
  [3131] = {.lex_state = 15},
  [3132] = {.lex_state = 15},
  [3133] = {.lex_state = 15},
  [3134] = {.lex_state = 15},
  [3135] = {.lex_state = 15},
  [3136] = {.lex_state = 15},
  [3137] = {.lex_state = 15},
  [3138] = {.lex_state = 15},
  [3139] = {.lex_state = 15},
  [3140] = {.lex_state = 15},
  [3141] = {.lex_state = 15},
  [3142] = {.lex_state = 15},
  [3143] = {.lex_state = 15},
  [3144] = {.lex_state = 15},
  [3145] = {.lex_state = 15},
  [3146] = {.lex_state = 15},
  [3147] = {.lex_state = 15},
  [3148] = {.lex_state = 15},
  [3149] = {.lex_state = 15},
  [3150] = {.lex_state = 15},
  [3151] = {.lex_state = 15},
  [3152] = {.lex_state = 15},
  [3153] = {.lex_state = 15},
  [3154] = {.lex_state = 0},
  [3155] = {.lex_state = 15},
  [3156] = {.lex_state = 15},
  [3157] = {.lex_state = 15},
  [3158] = {.lex_state = 15},
  [3159] = {.lex_state = 15},
  [3160] = {.lex_state = 15},
  [3161] = {.lex_state = 15},
  [3162] = {.lex_state = 15},
  [3163] = {.lex_state = 15},
  [3164] = {.lex_state = 15},
  [3165] = {.lex_state = 15},
  [3166] = {.lex_state = 15},
  [3167] = {.lex_state = 15},
  [3168] = {.lex_state = 15},
  [3169] = {.lex_state = 15},
  [3170] = {.lex_state = 15},
  [3171] = {.lex_state = 15},
  [3172] = {.lex_state = 15},
  [3173] = {.lex_state = 15},
  [3174] = {.lex_state = 15},
  [3175] = {.lex_state = 15},
  [3176] = {.lex_state = 15},
  [3177] = {.lex_state = 15},
  [3178] = {.lex_state = 15},
  [3179] = {.lex_state = 0},
  [3180] = {.lex_state = 15},
  [3181] = {.lex_state = 15},
  [3182] = {.lex_state = 15},
  [3183] = {.lex_state = 15},
  [3184] = {.lex_state = 15},
  [3185] = {.lex_state = 15},
  [3186] = {.lex_state = 15},
  [3187] = {.lex_state = 15},
  [3188] = {.lex_state = 15},
  [3189] = {.lex_state = 15},
  [3190] = {.lex_state = 15},
  [3191] = {.lex_state = 15},
  [3192] = {.lex_state = 15},
  [3193] = {.lex_state = 15},
  [3194] = {.lex_state = 15},
  [3195] = {.lex_state = 15},
  [3196] = {.lex_state = 15},
  [3197] = {.lex_state = 15},
  [3198] = {.lex_state = 15},
  [3199] = {.lex_state = 15},
  [3200] = {.lex_state = 15},
  [3201] = {.lex_state = 15},
  [3202] = {.lex_state = 15},
  [3203] = {.lex_state = 15},
  [3204] = {.lex_state = 15},
  [3205] = {.lex_state = 15},
  [3206] = {.lex_state = 15},
  [3207] = {.lex_state = 15},
  [3208] = {.lex_state = 15},
  [3209] = {.lex_state = 15},
  [3210] = {.lex_state = 15},
  [3211] = {.lex_state = 15},
  [3212] = {.lex_state = 15},
  [3213] = {.lex_state = 15},
  [3214] = {.lex_state = 0},
  [3215] = {.lex_state = 15},
  [3216] = {.lex_state = 15},
  [3217] = {.lex_state = 0},
  [3218] = {.lex_state = 15},
  [3219] = {.lex_state = 15},
  [3220] = {.lex_state = 15},
  [3221] = {.lex_state = 0},
  [3222] = {.lex_state = 15},
  [3223] = {.lex_state = 15},
  [3224] = {.lex_state = 15},
  [3225] = {.lex_state = 15},
  [3226] = {.lex_state = 15},
  [3227] = {.lex_state = 15},
  [3228] = {.lex_state = 15},
  [3229] = {.lex_state = 15},
  [3230] = {.lex_state = 15},
  [3231] = {.lex_state = 15},
  [3232] = {.lex_state = 15},
  [3233] = {.lex_state = 15},
  [3234] = {.lex_state = 15},
  [3235] = {.lex_state = 15},
  [3236] = {.lex_state = 15},
  [3237] = {.lex_state = 15},
  [3238] = {.lex_state = 15},
  [3239] = {.lex_state = 15},
  [3240] = {.lex_state = 15},
  [3241] = {.lex_state = 15},
  [3242] = {.lex_state = 15},
  [3243] = {.lex_state = 15},
  [3244] = {.lex_state = 15},
  [3245] = {.lex_state = 15},
  [3246] = {.lex_state = 15},
  [3247] = {.lex_state = 15},
  [3248] = {.lex_state = 15},
  [3249] = {.lex_state = 15},
  [3250] = {.lex_state = 15},
  [3251] = {.lex_state = 15},
  [3252] = {.lex_state = 15},
  [3253] = {.lex_state = 0},
  [3254] = {.lex_state = 0},
  [3255] = {.lex_state = 15},
  [3256] = {.lex_state = 15},
  [3257] = {.lex_state = 15},
  [3258] = {.lex_state = 15},
  [3259] = {.lex_state = 15},
  [3260] = {.lex_state = 15},
  [3261] = {.lex_state = 15},
  [3262] = {.lex_state = 15},
  [3263] = {.lex_state = 15},
  [3264] = {.lex_state = 15},
  [3265] = {.lex_state = 15},
  [3266] = {.lex_state = 15},
  [3267] = {.lex_state = 15},
  [3268] = {.lex_state = 15},
  [3269] = {.lex_state = 15},
  [3270] = {.lex_state = 15},
  [3271] = {.lex_state = 15},
  [3272] = {.lex_state = 15},
  [3273] = {.lex_state = 15},
  [3274] = {.lex_state = 15},
  [3275] = {.lex_state = 15},
  [3276] = {.lex_state = 15},
  [3277] = {.lex_state = 15},
  [3278] = {.lex_state = 15},
  [3279] = {.lex_state = 15},
  [3280] = {.lex_state = 15},
  [3281] = {.lex_state = 15},
  [3282] = {.lex_state = 15},
  [3283] = {.lex_state = 15},
  [3284] = {.lex_state = 15},
  [3285] = {.lex_state = 15},
  [3286] = {.lex_state = 15},
  [3287] = {.lex_state = 15},
  [3288] = {.lex_state = 15},
  [3289] = {.lex_state = 15},
  [3290] = {.lex_state = 15},
  [3291] = {.lex_state = 15},
  [3292] = {.lex_state = 15},
  [3293] = {.lex_state = 15},
  [3294] = {.lex_state = 15},
  [3295] = {.lex_state = 0},
  [3296] = {.lex_state = 15},
  [3297] = {.lex_state = 15},
  [3298] = {.lex_state = 15},
  [3299] = {.lex_state = 15},
  [3300] = {.lex_state = 15},
  [3301] = {.lex_state = 15},
  [3302] = {.lex_state = 15},
  [3303] = {.lex_state = 15},
  [3304] = {.lex_state = 15},
  [3305] = {.lex_state = 15},
  [3306] = {.lex_state = 15},
  [3307] = {.lex_state = 15},
  [3308] = {.lex_state = 15},
  [3309] = {.lex_state = 15},
  [3310] = {.lex_state = 15},
  [3311] = {.lex_state = 0},
  [3312] = {.lex_state = 15},
  [3313] = {.lex_state = 15},
  [3314] = {.lex_state = 15},
  [3315] = {.lex_state = 15},
  [3316] = {.lex_state = 15},
  [3317] = {.lex_state = 15},
  [3318] = {.lex_state = 15},
  [3319] = {.lex_state = 15},
  [3320] = {.lex_state = 15},
  [3321] = {.lex_state = 15},
  [3322] = {.lex_state = 15},
  [3323] = {.lex_state = 15},
  [3324] = {.lex_state = 15},
  [3325] = {.lex_state = 15},
  [3326] = {.lex_state = 15},
  [3327] = {.lex_state = 15},
  [3328] = {.lex_state = 15},
  [3329] = {.lex_state = 15},
  [3330] = {.lex_state = 15},
  [3331] = {.lex_state = 15},
  [3332] = {.lex_state = 15},
  [3333] = {.lex_state = 15},
  [3334] = {.lex_state = 15},
  [3335] = {.lex_state = 15},
  [3336] = {.lex_state = 15},
  [3337] = {.lex_state = 15},
  [3338] = {.lex_state = 15},
  [3339] = {.lex_state = 15},
  [3340] = {.lex_state = 15},
  [3341] = {.lex_state = 15},
  [3342] = {.lex_state = 15},
  [3343] = {.lex_state = 15},
  [3344] = {.lex_state = 15},
  [3345] = {.lex_state = 15},
  [3346] = {.lex_state = 15},
  [3347] = {.lex_state = 15},
  [3348] = {.lex_state = 15},
  [3349] = {.lex_state = 0},
  [3350] = {.lex_state = 15},
  [3351] = {.lex_state = 15},
  [3352] = {.lex_state = 15},
  [3353] = {.lex_state = 15},
  [3354] = {.lex_state = 15},
  [3355] = {.lex_state = 0},
  [3356] = {.lex_state = 15},
  [3357] = {.lex_state = 15},
  [3358] = {.lex_state = 15},
  [3359] = {.lex_state = 15},
  [3360] = {.lex_state = 15},
  [3361] = {.lex_state = 15},
  [3362] = {.lex_state = 15},
  [3363] = {.lex_state = 15},
  [3364] = {.lex_state = 15},
  [3365] = {.lex_state = 15},
  [3366] = {.lex_state = 15},
  [3367] = {.lex_state = 15},
  [3368] = {.lex_state = 15},
  [3369] = {.lex_state = 15},
  [3370] = {.lex_state = 15},
  [3371] = {.lex_state = 15},
  [3372] = {.lex_state = 15},
  [3373] = {.lex_state = 15},
  [3374] = {.lex_state = 15},
  [3375] = {.lex_state = 15},
  [3376] = {.lex_state = 15},
  [3377] = {.lex_state = 15},
  [3378] = {.lex_state = 15},
  [3379] = {.lex_state = 15},
  [3380] = {.lex_state = 15},
  [3381] = {.lex_state = 15},
  [3382] = {.lex_state = 0},
  [3383] = {.lex_state = 15},
  [3384] = {.lex_state = 15},
  [3385] = {.lex_state = 15},
  [3386] = {.lex_state = 15},
  [3387] = {.lex_state = 15},
  [3388] = {.lex_state = 15},
  [3389] = {.lex_state = 15},
  [3390] = {.lex_state = 0},
  [3391] = {.lex_state = 15},
  [3392] = {.lex_state = 15},
  [3393] = {.lex_state = 15},
  [3394] = {.lex_state = 15},
  [3395] = {.lex_state = 15},
  [3396] = {.lex_state = 15},
  [3397] = {.lex_state = 15},
  [3398] = {.lex_state = 15},
  [3399] = {.lex_state = 15},
  [3400] = {.lex_state = 15},
  [3401] = {.lex_state = 15},
  [3402] = {.lex_state = 15},
  [3403] = {.lex_state = 15},
  [3404] = {.lex_state = 15},
  [3405] = {.lex_state = 15},
  [3406] = {.lex_state = 15},
  [3407] = {.lex_state = 15},
  [3408] = {.lex_state = 15},
  [3409] = {.lex_state = 15},
  [3410] = {.lex_state = 15},
  [3411] = {.lex_state = 15},
  [3412] = {.lex_state = 15},
  [3413] = {.lex_state = 15},
  [3414] = {.lex_state = 15},
  [3415] = {.lex_state = 15},
  [3416] = {.lex_state = 15},
  [3417] = {.lex_state = 15},
  [3418] = {.lex_state = 15},
  [3419] = {.lex_state = 15},
  [3420] = {.lex_state = 15},
  [3421] = {.lex_state = 15},
  [3422] = {.lex_state = 15},
  [3423] = {.lex_state = 15},
  [3424] = {.lex_state = 15},
  [3425] = {.lex_state = 15},
  [3426] = {.lex_state = 15},
  [3427] = {.lex_state = 15},
  [3428] = {.lex_state = 15},
  [3429] = {.lex_state = 15},
  [3430] = {.lex_state = 15},
  [3431] = {.lex_state = 15},
  [3432] = {.lex_state = 15},
  [3433] = {.lex_state = 15},
  [3434] = {.lex_state = 15},
  [3435] = {.lex_state = 15},
  [3436] = {.lex_state = 15},
  [3437] = {.lex_state = 15},
  [3438] = {.lex_state = 15},
  [3439] = {.lex_state = 15},
  [3440] = {.lex_state = 15},
  [3441] = {.lex_state = 15},
  [3442] = {.lex_state = 15},
  [3443] = {.lex_state = 15},
  [3444] = {.lex_state = 15},
  [3445] = {.lex_state = 15},
  [3446] = {.lex_state = 15},
  [3447] = {.lex_state = 15},
  [3448] = {.lex_state = 15},
  [3449] = {.lex_state = 15},
  [3450] = {.lex_state = 15},
  [3451] = {.lex_state = 15},
  [3452] = {.lex_state = 15},
  [3453] = {.lex_state = 15},
  [3454] = {.lex_state = 15},
  [3455] = {.lex_state = 15},
  [3456] = {.lex_state = 15},
  [3457] = {.lex_state = 15},
  [3458] = {.lex_state = 15},
  [3459] = {.lex_state = 15},
  [3460] = {.lex_state = 15},
  [3461] = {.lex_state = 0},
  [3462] = {.lex_state = 0},
  [3463] = {.lex_state = 0},
  [3464] = {.lex_state = 0},
  [3465] = {.lex_state = 15},
  [3466] = {.lex_state = 15},
  [3467] = {.lex_state = 15},
  [3468] = {.lex_state = 15},
  [3469] = {.lex_state = 15},
  [3470] = {.lex_state = 15},
  [3471] = {.lex_state = 0},
  [3472] = {.lex_state = 0},
  [3473] = {.lex_state = 0},
  [3474] = {.lex_state = 15},
  [3475] = {.lex_state = 15},
  [3476] = {.lex_state = 15},
  [3477] = {.lex_state = 15},
  [3478] = {.lex_state = 15},
  [3479] = {.lex_state = 15},
  [3480] = {.lex_state = 15},
  [3481] = {.lex_state = 15},
  [3482] = {.lex_state = 15},
  [3483] = {.lex_state = 15},
  [3484] = {.lex_state = 15},
  [3485] = {.lex_state = 15},
  [3486] = {.lex_state = 15},
  [3487] = {.lex_state = 15},
  [3488] = {.lex_state = 15},
  [3489] = {.lex_state = 15},
  [3490] = {.lex_state = 15},
  [3491] = {.lex_state = 0},
  [3492] = {.lex_state = 15},
  [3493] = {.lex_state = 15},
  [3494] = {.lex_state = 15},
  [3495] = {.lex_state = 15},
  [3496] = {.lex_state = 15},
  [3497] = {.lex_state = 15},
  [3498] = {.lex_state = 0},
  [3499] = {.lex_state = 15},
  [3500] = {.lex_state = 15},
  [3501] = {.lex_state = 15},
  [3502] = {.lex_state = 15},
  [3503] = {.lex_state = 15},
  [3504] = {.lex_state = 15},
  [3505] = {.lex_state = 15},
  [3506] = {.lex_state = 15},
  [3507] = {.lex_state = 15},
  [3508] = {.lex_state = 15},
  [3509] = {.lex_state = 15},
  [3510] = {.lex_state = 15},
  [3511] = {.lex_state = 15},
  [3512] = {.lex_state = 15},
  [3513] = {.lex_state = 15},
  [3514] = {.lex_state = 15},
  [3515] = {.lex_state = 15},
  [3516] = {.lex_state = 15},
  [3517] = {.lex_state = 15},
  [3518] = {.lex_state = 15},
  [3519] = {.lex_state = 15},
  [3520] = {.lex_state = 15},
  [3521] = {.lex_state = 15},
  [3522] = {.lex_state = 15},
  [3523] = {.lex_state = 15},
  [3524] = {.lex_state = 15},
  [3525] = {.lex_state = 15},
  [3526] = {.lex_state = 15},
  [3527] = {.lex_state = 15},
  [3528] = {.lex_state = 15},
  [3529] = {.lex_state = 15},
  [3530] = {.lex_state = 15},
  [3531] = {.lex_state = 15},
  [3532] = {.lex_state = 15},
  [3533] = {.lex_state = 15},
  [3534] = {.lex_state = 15},
  [3535] = {.lex_state = 15},
  [3536] = {.lex_state = 15},
  [3537] = {.lex_state = 15},
  [3538] = {.lex_state = 15},
  [3539] = {.lex_state = 15},
  [3540] = {.lex_state = 15},
  [3541] = {.lex_state = 15},
  [3542] = {.lex_state = 15},
  [3543] = {.lex_state = 15},
  [3544] = {.lex_state = 15},
  [3545] = {.lex_state = 15},
  [3546] = {.lex_state = 15},
  [3547] = {.lex_state = 15},
  [3548] = {.lex_state = 15},
  [3549] = {.lex_state = 15},
  [3550] = {.lex_state = 15},
  [3551] = {.lex_state = 15},
  [3552] = {.lex_state = 15},
  [3553] = {.lex_state = 15},
  [3554] = {.lex_state = 15},
  [3555] = {.lex_state = 15},
  [3556] = {.lex_state = 15},
  [3557] = {.lex_state = 15},
  [3558] = {.lex_state = 15},
  [3559] = {.lex_state = 15},
  [3560] = {.lex_state = 15},
  [3561] = {.lex_state = 15},
  [3562] = {.lex_state = 15},
  [3563] = {.lex_state = 15},
  [3564] = {.lex_state = 15},
  [3565] = {.lex_state = 15},
  [3566] = {.lex_state = 15},
  [3567] = {.lex_state = 15},
  [3568] = {.lex_state = 15},
  [3569] = {.lex_state = 15},
  [3570] = {.lex_state = 15},
  [3571] = {.lex_state = 15},
  [3572] = {.lex_state = 15},
  [3573] = {.lex_state = 15},
  [3574] = {.lex_state = 15},
  [3575] = {.lex_state = 15},
  [3576] = {.lex_state = 15},
  [3577] = {.lex_state = 15},
  [3578] = {.lex_state = 15},
  [3579] = {.lex_state = 15},
  [3580] = {.lex_state = 15},
  [3581] = {.lex_state = 15},
  [3582] = {.lex_state = 15},
  [3583] = {.lex_state = 15},
  [3584] = {.lex_state = 15},
  [3585] = {.lex_state = 15},
  [3586] = {.lex_state = 15},
  [3587] = {.lex_state = 15},
  [3588] = {.lex_state = 15},
  [3589] = {.lex_state = 15},
  [3590] = {.lex_state = 15},
  [3591] = {.lex_state = 15},
  [3592] = {.lex_state = 15},
  [3593] = {.lex_state = 15},
  [3594] = {.lex_state = 15},
  [3595] = {.lex_state = 15},
  [3596] = {.lex_state = 15},
  [3597] = {.lex_state = 15},
  [3598] = {.lex_state = 15},
  [3599] = {.lex_state = 15},
  [3600] = {.lex_state = 15},
  [3601] = {.lex_state = 15},
  [3602] = {.lex_state = 15},
  [3603] = {.lex_state = 15},
  [3604] = {.lex_state = 0},
  [3605] = {.lex_state = 15},
  [3606] = {.lex_state = 0},
  [3607] = {.lex_state = 15},
  [3608] = {.lex_state = 15},
  [3609] = {.lex_state = 0},
  [3610] = {.lex_state = 15},
  [3611] = {.lex_state = 15},
  [3612] = {.lex_state = 15},
  [3613] = {.lex_state = 15},
  [3614] = {.lex_state = 15},
  [3615] = {.lex_state = 15},
  [3616] = {.lex_state = 15},
  [3617] = {.lex_state = 15},
  [3618] = {.lex_state = 15},
  [3619] = {.lex_state = 15},
  [3620] = {.lex_state = 15},
  [3621] = {.lex_state = 15},
  [3622] = {.lex_state = 15},
  [3623] = {.lex_state = 15},
  [3624] = {.lex_state = 15},
  [3625] = {.lex_state = 15},
  [3626] = {.lex_state = 15},
  [3627] = {.lex_state = 15},
  [3628] = {.lex_state = 15},
  [3629] = {.lex_state = 15},
  [3630] = {.lex_state = 15},
  [3631] = {.lex_state = 15},
  [3632] = {.lex_state = 15},
  [3633] = {.lex_state = 15},
  [3634] = {.lex_state = 15},
  [3635] = {.lex_state = 15},
  [3636] = {.lex_state = 15},
  [3637] = {.lex_state = 15},
  [3638] = {.lex_state = 15},
  [3639] = {.lex_state = 15},
  [3640] = {.lex_state = 15},
  [3641] = {.lex_state = 15},
  [3642] = {.lex_state = 15},
  [3643] = {.lex_state = 15},
  [3644] = {.lex_state = 15},
  [3645] = {.lex_state = 15},
  [3646] = {.lex_state = 15},
  [3647] = {.lex_state = 15},
  [3648] = {.lex_state = 15},
  [3649] = {.lex_state = 15},
  [3650] = {.lex_state = 15},
  [3651] = {.lex_state = 15},
  [3652] = {.lex_state = 15},
  [3653] = {.lex_state = 15},
  [3654] = {.lex_state = 15},
  [3655] = {.lex_state = 15},
  [3656] = {.lex_state = 15},
  [3657] = {.lex_state = 15},
  [3658] = {.lex_state = 15},
  [3659] = {.lex_state = 15},
  [3660] = {.lex_state = 15},
  [3661] = {.lex_state = 15},
  [3662] = {.lex_state = 15},
  [3663] = {.lex_state = 15},
  [3664] = {.lex_state = 15},
  [3665] = {.lex_state = 15},
  [3666] = {.lex_state = 15},
  [3667] = {.lex_state = 15},
  [3668] = {.lex_state = 15},
  [3669] = {.lex_state = 15},
  [3670] = {.lex_state = 15},
  [3671] = {.lex_state = 15},
  [3672] = {.lex_state = 15},
  [3673] = {.lex_state = 15},
  [3674] = {.lex_state = 15},
  [3675] = {.lex_state = 15},
  [3676] = {.lex_state = 15},
  [3677] = {.lex_state = 15},
  [3678] = {.lex_state = 15},
  [3679] = {.lex_state = 15},
  [3680] = {.lex_state = 15},
  [3681] = {.lex_state = 15},
  [3682] = {.lex_state = 15},
  [3683] = {.lex_state = 15},
  [3684] = {.lex_state = 15},
  [3685] = {.lex_state = 15},
  [3686] = {.lex_state = 15},
  [3687] = {.lex_state = 15},
  [3688] = {.lex_state = 15},
  [3689] = {.lex_state = 15},
  [3690] = {.lex_state = 15},
  [3691] = {.lex_state = 15},
  [3692] = {.lex_state = 15},
  [3693] = {.lex_state = 15},
  [3694] = {.lex_state = 15},
  [3695] = {.lex_state = 15},
  [3696] = {.lex_state = 0},
  [3697] = {.lex_state = 15},
  [3698] = {.lex_state = 15},
  [3699] = {.lex_state = 15},
  [3700] = {.lex_state = 15},
  [3701] = {.lex_state = 15},
  [3702] = {.lex_state = 15},
  [3703] = {.lex_state = 15},
  [3704] = {.lex_state = 15},
  [3705] = {.lex_state = 15},
  [3706] = {.lex_state = 15},
  [3707] = {.lex_state = 15},
  [3708] = {.lex_state = 15},
  [3709] = {.lex_state = 15},
  [3710] = {.lex_state = 15},
  [3711] = {.lex_state = 15},
  [3712] = {.lex_state = 15},
  [3713] = {.lex_state = 0},
  [3714] = {.lex_state = 15},
  [3715] = {.lex_state = 15},
  [3716] = {.lex_state = 15},
  [3717] = {.lex_state = 15},
  [3718] = {.lex_state = 15},
  [3719] = {.lex_state = 15},
  [3720] = {.lex_state = 0},
  [3721] = {.lex_state = 15},
  [3722] = {.lex_state = 15},
  [3723] = {.lex_state = 15},
  [3724] = {.lex_state = 15},
  [3725] = {.lex_state = 0},
  [3726] = {.lex_state = 15},
  [3727] = {.lex_state = 0},
  [3728] = {.lex_state = 15},
  [3729] = {.lex_state = 15},
  [3730] = {.lex_state = 15},
  [3731] = {.lex_state = 15},
  [3732] = {.lex_state = 0},
  [3733] = {.lex_state = 15},
  [3734] = {.lex_state = 0},
  [3735] = {.lex_state = 15},
  [3736] = {.lex_state = 15},
  [3737] = {.lex_state = 15},
  [3738] = {.lex_state = 15},
  [3739] = {.lex_state = 15},
  [3740] = {.lex_state = 0},
  [3741] = {.lex_state = 15},
  [3742] = {.lex_state = 15},
  [3743] = {.lex_state = 15},
  [3744] = {.lex_state = 15},
  [3745] = {.lex_state = 15},
  [3746] = {.lex_state = 15},
  [3747] = {.lex_state = 15},
  [3748] = {.lex_state = 15},
  [3749] = {.lex_state = 15},
  [3750] = {.lex_state = 15},
  [3751] = {.lex_state = 15},
  [3752] = {.lex_state = 15},
  [3753] = {.lex_state = 15},
  [3754] = {.lex_state = 15},
  [3755] = {.lex_state = 15},
  [3756] = {.lex_state = 15},
  [3757] = {.lex_state = 15},
  [3758] = {.lex_state = 15},
  [3759] = {.lex_state = 15},
  [3760] = {.lex_state = 15},
  [3761] = {.lex_state = 15},
  [3762] = {.lex_state = 15},
  [3763] = {.lex_state = 15},
  [3764] = {.lex_state = 15},
  [3765] = {.lex_state = 15},
  [3766] = {.lex_state = 15},
  [3767] = {.lex_state = 15},
  [3768] = {.lex_state = 15},
  [3769] = {.lex_state = 15},
  [3770] = {.lex_state = 15},
  [3771] = {.lex_state = 15},
  [3772] = {.lex_state = 15},
  [3773] = {.lex_state = 15},
  [3774] = {.lex_state = 15},
  [3775] = {.lex_state = 15},
  [3776] = {.lex_state = 15},
  [3777] = {.lex_state = 15},
  [3778] = {.lex_state = 15},
  [3779] = {.lex_state = 15},
  [3780] = {.lex_state = 15},
  [3781] = {.lex_state = 15},
  [3782] = {.lex_state = 15},
  [3783] = {.lex_state = 15},
  [3784] = {.lex_state = 15},
  [3785] = {.lex_state = 0},
  [3786] = {.lex_state = 15},
  [3787] = {.lex_state = 15},
  [3788] = {.lex_state = 15},
  [3789] = {.lex_state = 15},
  [3790] = {.lex_state = 15},
  [3791] = {.lex_state = 15},
  [3792] = {.lex_state = 15},
  [3793] = {.lex_state = 15},
  [3794] = {.lex_state = 15},
  [3795] = {.lex_state = 15},
  [3796] = {.lex_state = 15},
  [3797] = {.lex_state = 15},
  [3798] = {.lex_state = 15},
  [3799] = {.lex_state = 15},
  [3800] = {.lex_state = 15},
  [3801] = {.lex_state = 15},
  [3802] = {.lex_state = 15},
  [3803] = {.lex_state = 15},
  [3804] = {.lex_state = 15},
  [3805] = {.lex_state = 15},
  [3806] = {.lex_state = 15},
  [3807] = {.lex_state = 15},
  [3808] = {.lex_state = 15},
  [3809] = {.lex_state = 15},
  [3810] = {.lex_state = 15},
  [3811] = {.lex_state = 15},
  [3812] = {.lex_state = 15},
  [3813] = {.lex_state = 15},
  [3814] = {.lex_state = 15},
  [3815] = {.lex_state = 15},
  [3816] = {.lex_state = 15},
  [3817] = {.lex_state = 15},
  [3818] = {.lex_state = 15},
  [3819] = {.lex_state = 15},
  [3820] = {.lex_state = 15},
  [3821] = {.lex_state = 15},
  [3822] = {.lex_state = 15},
  [3823] = {.lex_state = 15},
  [3824] = {.lex_state = 15},
  [3825] = {.lex_state = 15},
  [3826] = {.lex_state = 15},
  [3827] = {.lex_state = 15},
  [3828] = {.lex_state = 15},
  [3829] = {.lex_state = 15},
  [3830] = {.lex_state = 15},
  [3831] = {.lex_state = 15},
  [3832] = {.lex_state = 15},
  [3833] = {.lex_state = 15},
  [3834] = {.lex_state = 15},
  [3835] = {.lex_state = 15},
  [3836] = {.lex_state = 15},
  [3837] = {.lex_state = 15},
  [3838] = {.lex_state = 15},
  [3839] = {.lex_state = 15},
  [3840] = {.lex_state = 15},
  [3841] = {.lex_state = 15},
  [3842] = {.lex_state = 15},
  [3843] = {.lex_state = 15},
  [3844] = {.lex_state = 15},
  [3845] = {.lex_state = 15},
  [3846] = {.lex_state = 15},
  [3847] = {.lex_state = 15},
  [3848] = {.lex_state = 15},
  [3849] = {.lex_state = 15},
  [3850] = {.lex_state = 15},
  [3851] = {.lex_state = 15},
  [3852] = {.lex_state = 15},
  [3853] = {.lex_state = 15},
  [3854] = {.lex_state = 15},
  [3855] = {.lex_state = 0},
  [3856] = {.lex_state = 15},
  [3857] = {.lex_state = 0},
  [3858] = {.lex_state = 15},
  [3859] = {.lex_state = 15},
  [3860] = {.lex_state = 15},
  [3861] = {.lex_state = 15},
  [3862] = {.lex_state = 15},
  [3863] = {.lex_state = 15},
  [3864] = {.lex_state = 15},
  [3865] = {.lex_state = 15},
  [3866] = {.lex_state = 15},
  [3867] = {.lex_state = 15},
  [3868] = {.lex_state = 15},
  [3869] = {.lex_state = 15},
  [3870] = {.lex_state = 15},
  [3871] = {.lex_state = 15},
  [3872] = {.lex_state = 15},
  [3873] = {.lex_state = 15},
  [3874] = {.lex_state = 15},
  [3875] = {.lex_state = 15},
  [3876] = {.lex_state = 15},
  [3877] = {.lex_state = 15},
  [3878] = {.lex_state = 15},
  [3879] = {.lex_state = 15},
  [3880] = {.lex_state = 15},
  [3881] = {.lex_state = 15},
  [3882] = {.lex_state = 15},
  [3883] = {.lex_state = 15},
  [3884] = {.lex_state = 15},
  [3885] = {.lex_state = 15},
  [3886] = {.lex_state = 15},
  [3887] = {.lex_state = 15},
  [3888] = {.lex_state = 15},
  [3889] = {.lex_state = 15},
  [3890] = {.lex_state = 15},
  [3891] = {.lex_state = 15},
  [3892] = {.lex_state = 15},
  [3893] = {.lex_state = 15},
  [3894] = {.lex_state = 15},
  [3895] = {.lex_state = 15},
  [3896] = {.lex_state = 15},
  [3897] = {.lex_state = 15},
  [3898] = {.lex_state = 15},
  [3899] = {.lex_state = 15},
  [3900] = {.lex_state = 15},
  [3901] = {.lex_state = 15},
  [3902] = {.lex_state = 15},
  [3903] = {.lex_state = 15},
  [3904] = {.lex_state = 15},
  [3905] = {.lex_state = 15},
  [3906] = {.lex_state = 15},
  [3907] = {.lex_state = 15},
  [3908] = {.lex_state = 15},
  [3909] = {.lex_state = 15},
  [3910] = {.lex_state = 15},
  [3911] = {.lex_state = 15},
  [3912] = {.lex_state = 15},
  [3913] = {.lex_state = 15},
  [3914] = {.lex_state = 15},
  [3915] = {.lex_state = 15},
  [3916] = {.lex_state = 15},
  [3917] = {.lex_state = 15},
  [3918] = {.lex_state = 15},
  [3919] = {.lex_state = 15},
  [3920] = {.lex_state = 15},
  [3921] = {.lex_state = 15},
  [3922] = {.lex_state = 15},
  [3923] = {.lex_state = 15},
  [3924] = {.lex_state = 15},
  [3925] = {.lex_state = 15},
  [3926] = {.lex_state = 15},
  [3927] = {.lex_state = 15},
  [3928] = {.lex_state = 15},
  [3929] = {.lex_state = 15},
  [3930] = {.lex_state = 15},
  [3931] = {.lex_state = 15},
  [3932] = {.lex_state = 15},
  [3933] = {.lex_state = 15},
  [3934] = {.lex_state = 15},
  [3935] = {.lex_state = 15},
  [3936] = {.lex_state = 15},
  [3937] = {.lex_state = 15},
  [3938] = {.lex_state = 15},
  [3939] = {.lex_state = 15},
  [3940] = {.lex_state = 15},
  [3941] = {.lex_state = 15},
  [3942] = {.lex_state = 15},
  [3943] = {.lex_state = 15},
  [3944] = {.lex_state = 15},
  [3945] = {.lex_state = 15},
  [3946] = {.lex_state = 15},
  [3947] = {.lex_state = 15},
  [3948] = {.lex_state = 15},
  [3949] = {.lex_state = 15},
  [3950] = {.lex_state = 15},
  [3951] = {.lex_state = 15},
  [3952] = {.lex_state = 15},
  [3953] = {.lex_state = 15},
  [3954] = {.lex_state = 15},
  [3955] = {.lex_state = 15},
  [3956] = {.lex_state = 15},
  [3957] = {.lex_state = 15},
  [3958] = {.lex_state = 15},
  [3959] = {.lex_state = 15},
  [3960] = {.lex_state = 15},
  [3961] = {.lex_state = 15},
  [3962] = {.lex_state = 15},
  [3963] = {.lex_state = 15},
  [3964] = {.lex_state = 15},
  [3965] = {.lex_state = 15},
  [3966] = {.lex_state = 15},
  [3967] = {.lex_state = 15},
  [3968] = {.lex_state = 15},
  [3969] = {.lex_state = 15},
  [3970] = {.lex_state = 15},
  [3971] = {.lex_state = 15},
  [3972] = {.lex_state = 15},
  [3973] = {.lex_state = 15},
  [3974] = {.lex_state = 15},
  [3975] = {.lex_state = 15},
  [3976] = {.lex_state = 15},
  [3977] = {.lex_state = 15},
  [3978] = {.lex_state = 15},
  [3979] = {.lex_state = 15},
  [3980] = {.lex_state = 15},
  [3981] = {.lex_state = 15},
  [3982] = {.lex_state = 15},
  [3983] = {.lex_state = 15},
  [3984] = {.lex_state = 15},
  [3985] = {.lex_state = 15},
  [3986] = {.lex_state = 15},
  [3987] = {.lex_state = 15},
  [3988] = {.lex_state = 15},
  [3989] = {.lex_state = 15},
  [3990] = {.lex_state = 15},
  [3991] = {.lex_state = 15},
  [3992] = {.lex_state = 15},
  [3993] = {.lex_state = 15},
  [3994] = {.lex_state = 15},
  [3995] = {.lex_state = 15},
  [3996] = {.lex_state = 15},
  [3997] = {.lex_state = 15},
  [3998] = {.lex_state = 15},
  [3999] = {.lex_state = 15},
  [4000] = {.lex_state = 15},
  [4001] = {.lex_state = 15},
  [4002] = {.lex_state = 15},
  [4003] = {.lex_state = 15},
  [4004] = {.lex_state = 15},
  [4005] = {.lex_state = 15},
  [4006] = {.lex_state = 15},
  [4007] = {.lex_state = 15},
  [4008] = {.lex_state = 15},
  [4009] = {.lex_state = 15},
  [4010] = {.lex_state = 15},
  [4011] = {.lex_state = 15},
  [4012] = {.lex_state = 15},
  [4013] = {.lex_state = 15},
  [4014] = {.lex_state = 15},
  [4015] = {.lex_state = 15},
  [4016] = {.lex_state = 15},
  [4017] = {.lex_state = 15},
  [4018] = {.lex_state = 15},
  [4019] = {.lex_state = 15},
  [4020] = {.lex_state = 15},
  [4021] = {.lex_state = 15},
  [4022] = {.lex_state = 15},
  [4023] = {.lex_state = 15},
  [4024] = {.lex_state = 15},
  [4025] = {.lex_state = 15},
  [4026] = {.lex_state = 15},
  [4027] = {.lex_state = 15},
  [4028] = {.lex_state = 15},
  [4029] = {.lex_state = 15},
  [4030] = {.lex_state = 15},
  [4031] = {.lex_state = 15},
  [4032] = {.lex_state = 15},
  [4033] = {.lex_state = 15},
  [4034] = {.lex_state = 15},
  [4035] = {.lex_state = 15},
  [4036] = {.lex_state = 15},
  [4037] = {.lex_state = 15},
  [4038] = {.lex_state = 15},
  [4039] = {.lex_state = 15},
  [4040] = {.lex_state = 15},
  [4041] = {.lex_state = 15},
  [4042] = {.lex_state = 15},
  [4043] = {.lex_state = 15},
  [4044] = {.lex_state = 15},
  [4045] = {.lex_state = 15},
  [4046] = {.lex_state = 15},
  [4047] = {.lex_state = 15},
  [4048] = {.lex_state = 15},
  [4049] = {.lex_state = 15},
  [4050] = {.lex_state = 15},
  [4051] = {.lex_state = 15},
  [4052] = {.lex_state = 15},
  [4053] = {.lex_state = 15},
  [4054] = {.lex_state = 15},
  [4055] = {.lex_state = 15},
  [4056] = {.lex_state = 15},
  [4057] = {.lex_state = 15},
  [4058] = {.lex_state = 15},
  [4059] = {.lex_state = 15},
  [4060] = {.lex_state = 15},
  [4061] = {.lex_state = 15},
  [4062] = {.lex_state = 15},
  [4063] = {.lex_state = 15},
  [4064] = {.lex_state = 15},
  [4065] = {.lex_state = 15},
  [4066] = {.lex_state = 15},
  [4067] = {.lex_state = 15},
  [4068] = {.lex_state = 15},
  [4069] = {.lex_state = 15},
  [4070] = {.lex_state = 15},
  [4071] = {.lex_state = 15},
  [4072] = {.lex_state = 15},
  [4073] = {.lex_state = 15},
  [4074] = {.lex_state = 15},
  [4075] = {.lex_state = 15},
  [4076] = {.lex_state = 15},
  [4077] = {.lex_state = 15},
  [4078] = {.lex_state = 15},
  [4079] = {.lex_state = 15},
  [4080] = {.lex_state = 15},
  [4081] = {.lex_state = 15},
  [4082] = {.lex_state = 15},
  [4083] = {.lex_state = 15},
  [4084] = {.lex_state = 15},
  [4085] = {.lex_state = 15},
  [4086] = {.lex_state = 15},
  [4087] = {.lex_state = 15},
  [4088] = {.lex_state = 15},
  [4089] = {.lex_state = 15},
  [4090] = {.lex_state = 15},
  [4091] = {.lex_state = 15},
  [4092] = {.lex_state = 15},
  [4093] = {.lex_state = 15},
  [4094] = {.lex_state = 15},
  [4095] = {.lex_state = 15},
  [4096] = {.lex_state = 15},
  [4097] = {.lex_state = 15},
  [4098] = {.lex_state = 15},
  [4099] = {.lex_state = 15},
  [4100] = {.lex_state = 15},
  [4101] = {.lex_state = 15},
  [4102] = {.lex_state = 15},
  [4103] = {.lex_state = 15},
  [4104] = {.lex_state = 15},
  [4105] = {.lex_state = 15},
  [4106] = {.lex_state = 15},
  [4107] = {.lex_state = 15},
  [4108] = {.lex_state = 15},
  [4109] = {.lex_state = 15},
  [4110] = {.lex_state = 15},
  [4111] = {.lex_state = 15},
  [4112] = {.lex_state = 15},
  [4113] = {.lex_state = 15},
  [4114] = {.lex_state = 15},
  [4115] = {.lex_state = 15},
  [4116] = {.lex_state = 15},
  [4117] = {.lex_state = 15},
  [4118] = {.lex_state = 15},
  [4119] = {.lex_state = 15},
  [4120] = {.lex_state = 15},
  [4121] = {.lex_state = 15},
  [4122] = {.lex_state = 15},
  [4123] = {.lex_state = 15},
  [4124] = {.lex_state = 15},
  [4125] = {.lex_state = 15},
  [4126] = {.lex_state = 15},
  [4127] = {.lex_state = 15},
  [4128] = {.lex_state = 15},
  [4129] = {.lex_state = 15},
  [4130] = {.lex_state = 15},
  [4131] = {.lex_state = 0},
  [4132] = {.lex_state = 15},
  [4133] = {.lex_state = 15},
  [4134] = {.lex_state = 15},
  [4135] = {.lex_state = 15},
  [4136] = {.lex_state = 0},
  [4137] = {.lex_state = 15},
  [4138] = {.lex_state = 15},
  [4139] = {.lex_state = 15},
  [4140] = {.lex_state = 15},
  [4141] = {.lex_state = 15},
  [4142] = {.lex_state = 15},
  [4143] = {.lex_state = 15},
  [4144] = {.lex_state = 15},
  [4145] = {.lex_state = 15},
  [4146] = {.lex_state = 15},
  [4147] = {.lex_state = 0},
  [4148] = {.lex_state = 15},
  [4149] = {.lex_state = 15},
  [4150] = {.lex_state = 15},
  [4151] = {.lex_state = 0},
  [4152] = {.lex_state = 0},
  [4153] = {.lex_state = 15},
  [4154] = {.lex_state = 15},
  [4155] = {.lex_state = 15},
  [4156] = {.lex_state = 0},
  [4157] = {.lex_state = 0},
  [4158] = {.lex_state = 15},
  [4159] = {.lex_state = 15},
  [4160] = {.lex_state = 0},
  [4161] = {.lex_state = 0},
  [4162] = {.lex_state = 0},
  [4163] = {.lex_state = 0},
  [4164] = {.lex_state = 15},
  [4165] = {.lex_state = 15},
  [4166] = {.lex_state = 15},
  [4167] = {.lex_state = 15},
  [4168] = {.lex_state = 15},
  [4169] = {.lex_state = 15},
  [4170] = {.lex_state = 0},
  [4171] = {.lex_state = 15},
  [4172] = {.lex_state = 15},
  [4173] = {.lex_state = 0},
  [4174] = {.lex_state = 15},
  [4175] = {.lex_state = 15},
  [4176] = {.lex_state = 0},
  [4177] = {.lex_state = 15},
  [4178] = {.lex_state = 15},
  [4179] = {.lex_state = 15},
  [4180] = {.lex_state = 15},
  [4181] = {.lex_state = 15},
  [4182] = {.lex_state = 0},
  [4183] = {.lex_state = 15},
  [4184] = {.lex_state = 0},
  [4185] = {.lex_state = 0},
  [4186] = {.lex_state = 15},
  [4187] = {.lex_state = 15},
  [4188] = {.lex_state = 0},
  [4189] = {.lex_state = 15},
  [4190] = {.lex_state = 15},
  [4191] = {.lex_state = 15},
  [4192] = {.lex_state = 15},
  [4193] = {.lex_state = 15},
  [4194] = {.lex_state = 15},
  [4195] = {.lex_state = 15},
  [4196] = {.lex_state = 15},
  [4197] = {.lex_state = 0},
  [4198] = {.lex_state = 15},
  [4199] = {.lex_state = 15},
  [4200] = {.lex_state = 15},
  [4201] = {.lex_state = 15},
  [4202] = {.lex_state = 15},
  [4203] = {.lex_state = 15},
  [4204] = {.lex_state = 15},
  [4205] = {.lex_state = 15},
  [4206] = {.lex_state = 15},
  [4207] = {.lex_state = 15},
  [4208] = {.lex_state = 15},
  [4209] = {.lex_state = 15},
  [4210] = {.lex_state = 15},
  [4211] = {.lex_state = 15},
  [4212] = {.lex_state = 15},
  [4213] = {.lex_state = 15},
  [4214] = {.lex_state = 15},
  [4215] = {.lex_state = 15},
  [4216] = {.lex_state = 15},
  [4217] = {.lex_state = 15},
  [4218] = {.lex_state = 15},
  [4219] = {.lex_state = 15},
  [4220] = {.lex_state = 15},
  [4221] = {.lex_state = 15},
  [4222] = {.lex_state = 0},
  [4223] = {.lex_state = 15},
  [4224] = {.lex_state = 15},
  [4225] = {.lex_state = 15},
  [4226] = {.lex_state = 15},
  [4227] = {.lex_state = 15},
  [4228] = {.lex_state = 15},
  [4229] = {.lex_state = 15},
  [4230] = {.lex_state = 15},
  [4231] = {.lex_state = 15},
  [4232] = {.lex_state = 15},
  [4233] = {.lex_state = 15},
  [4234] = {.lex_state = 15},
  [4235] = {.lex_state = 15},
  [4236] = {.lex_state = 15},
  [4237] = {.lex_state = 15},
  [4238] = {.lex_state = 0},
  [4239] = {.lex_state = 15},
  [4240] = {.lex_state = 15},
  [4241] = {.lex_state = 15},
  [4242] = {.lex_state = 15},
  [4243] = {.lex_state = 15},
  [4244] = {.lex_state = 15},
  [4245] = {.lex_state = 15},
  [4246] = {.lex_state = 15},
  [4247] = {.lex_state = 15},
  [4248] = {.lex_state = 15},
  [4249] = {.lex_state = 15},
  [4250] = {.lex_state = 15},
  [4251] = {.lex_state = 15},
  [4252] = {.lex_state = 15},
  [4253] = {.lex_state = 15},
  [4254] = {.lex_state = 15},
  [4255] = {.lex_state = 15},
  [4256] = {.lex_state = 15},
  [4257] = {.lex_state = 0},
  [4258] = {.lex_state = 15},
  [4259] = {.lex_state = 15},
  [4260] = {.lex_state = 15},
  [4261] = {.lex_state = 15},
  [4262] = {.lex_state = 15},
  [4263] = {.lex_state = 15},
  [4264] = {.lex_state = 15},
  [4265] = {.lex_state = 15},
  [4266] = {.lex_state = 0},
  [4267] = {.lex_state = 15},
  [4268] = {.lex_state = 15},
  [4269] = {.lex_state = 15},
  [4270] = {.lex_state = 0},
  [4271] = {.lex_state = 15},
  [4272] = {.lex_state = 15},
  [4273] = {.lex_state = 0},
  [4274] = {.lex_state = 15},
  [4275] = {.lex_state = 15},
  [4276] = {.lex_state = 15},
  [4277] = {.lex_state = 15},
  [4278] = {.lex_state = 15},
  [4279] = {.lex_state = 15},
  [4280] = {.lex_state = 15},
  [4281] = {.lex_state = 0},
  [4282] = {.lex_state = 15},
  [4283] = {.lex_state = 15},
  [4284] = {.lex_state = 15},
  [4285] = {.lex_state = 15},
  [4286] = {.lex_state = 15},
  [4287] = {.lex_state = 0},
  [4288] = {.lex_state = 15},
  [4289] = {.lex_state = 15},
  [4290] = {.lex_state = 15},
  [4291] = {.lex_state = 15},
  [4292] = {.lex_state = 15},
  [4293] = {.lex_state = 15},
  [4294] = {.lex_state = 15},
  [4295] = {.lex_state = 0},
  [4296] = {.lex_state = 15},
  [4297] = {.lex_state = 15},
  [4298] = {.lex_state = 15},
  [4299] = {.lex_state = 15},
  [4300] = {.lex_state = 15},
  [4301] = {.lex_state = 15},
  [4302] = {.lex_state = 15},
  [4303] = {.lex_state = 15},
  [4304] = {.lex_state = 15},
  [4305] = {.lex_state = 15},
  [4306] = {.lex_state = 15},
  [4307] = {.lex_state = 15},
  [4308] = {.lex_state = 0},
  [4309] = {.lex_state = 15},
  [4310] = {.lex_state = 15},
  [4311] = {.lex_state = 15},
  [4312] = {.lex_state = 15},
  [4313] = {.lex_state = 15},
  [4314] = {.lex_state = 15},
  [4315] = {.lex_state = 15},
  [4316] = {.lex_state = 15},
  [4317] = {.lex_state = 15},
  [4318] = {.lex_state = 15},
  [4319] = {.lex_state = 15},
  [4320] = {.lex_state = 15},
  [4321] = {.lex_state = 15},
  [4322] = {.lex_state = 15},
  [4323] = {.lex_state = 15},
  [4324] = {.lex_state = 15},
  [4325] = {.lex_state = 15},
  [4326] = {.lex_state = 15},
  [4327] = {.lex_state = 15},
  [4328] = {.lex_state = 15},
  [4329] = {.lex_state = 15},
  [4330] = {.lex_state = 15},
  [4331] = {.lex_state = 15},
  [4332] = {.lex_state = 0},
  [4333] = {.lex_state = 15},
  [4334] = {.lex_state = 15},
  [4335] = {.lex_state = 0},
  [4336] = {.lex_state = 15},
  [4337] = {.lex_state = 15},
  [4338] = {.lex_state = 15},
  [4339] = {.lex_state = 15},
  [4340] = {.lex_state = 15},
  [4341] = {.lex_state = 15},
  [4342] = {.lex_state = 0},
  [4343] = {.lex_state = 15},
  [4344] = {.lex_state = 15},
  [4345] = {.lex_state = 15},
  [4346] = {.lex_state = 0},
  [4347] = {.lex_state = 15},
  [4348] = {.lex_state = 0},
  [4349] = {.lex_state = 0},
  [4350] = {.lex_state = 15},
  [4351] = {.lex_state = 15},
  [4352] = {.lex_state = 15},
  [4353] = {.lex_state = 0},
  [4354] = {.lex_state = 15},
  [4355] = {.lex_state = 15},
  [4356] = {.lex_state = 15},
  [4357] = {.lex_state = 15},
  [4358] = {.lex_state = 15},
  [4359] = {.lex_state = 15},
  [4360] = {.lex_state = 15},
  [4361] = {.lex_state = 15},
  [4362] = {.lex_state = 15},
  [4363] = {.lex_state = 15},
  [4364] = {.lex_state = 15},
  [4365] = {.lex_state = 0},
  [4366] = {.lex_state = 15},
  [4367] = {.lex_state = 15},
  [4368] = {.lex_state = 15},
  [4369] = {.lex_state = 15},
  [4370] = {.lex_state = 15},
  [4371] = {.lex_state = 15},
  [4372] = {.lex_state = 15},
  [4373] = {.lex_state = 15},
  [4374] = {.lex_state = 15},
  [4375] = {.lex_state = 15},
  [4376] = {.lex_state = 0},
  [4377] = {.lex_state = 15},
  [4378] = {.lex_state = 15},
  [4379] = {.lex_state = 15},
  [4380] = {.lex_state = 15},
  [4381] = {.lex_state = 15},
  [4382] = {.lex_state = 15},
  [4383] = {.lex_state = 15},
  [4384] = {.lex_state = 0},
  [4385] = {.lex_state = 0},
  [4386] = {.lex_state = 15},
  [4387] = {.lex_state = 0},
  [4388] = {.lex_state = 15},
  [4389] = {.lex_state = 15},
  [4390] = {.lex_state = 15},
  [4391] = {.lex_state = 15},
  [4392] = {.lex_state = 0},
  [4393] = {.lex_state = 0},
  [4394] = {.lex_state = 15},
  [4395] = {.lex_state = 15},
  [4396] = {.lex_state = 15},
  [4397] = {.lex_state = 0},
  [4398] = {.lex_state = 15},
  [4399] = {.lex_state = 15},
  [4400] = {.lex_state = 15},
  [4401] = {.lex_state = 15},
  [4402] = {.lex_state = 0},
  [4403] = {.lex_state = 15},
  [4404] = {.lex_state = 15},
  [4405] = {.lex_state = 15},
  [4406] = {.lex_state = 15},
  [4407] = {.lex_state = 15},
  [4408] = {.lex_state = 15},
  [4409] = {.lex_state = 15},
  [4410] = {.lex_state = 15},
  [4411] = {.lex_state = 0},
  [4412] = {.lex_state = 15},
  [4413] = {.lex_state = 0},
  [4414] = {.lex_state = 0},
  [4415] = {.lex_state = 15},
  [4416] = {.lex_state = 15},
  [4417] = {.lex_state = 15},
  [4418] = {.lex_state = 0},
  [4419] = {.lex_state = 15},
  [4420] = {.lex_state = 15},
  [4421] = {.lex_state = 15},
  [4422] = {.lex_state = 15},
  [4423] = {.lex_state = 15},
  [4424] = {.lex_state = 15},
  [4425] = {.lex_state = 0},
  [4426] = {.lex_state = 15},
  [4427] = {.lex_state = 15},
  [4428] = {.lex_state = 15},
  [4429] = {.lex_state = 15},
  [4430] = {.lex_state = 15},
  [4431] = {.lex_state = 0},
  [4432] = {.lex_state = 15},
  [4433] = {.lex_state = 15},
  [4434] = {.lex_state = 15},
  [4435] = {.lex_state = 15},
  [4436] = {.lex_state = 15},
  [4437] = {.lex_state = 15},
  [4438] = {.lex_state = 15},
  [4439] = {.lex_state = 15},
  [4440] = {.lex_state = 0},
  [4441] = {.lex_state = 15},
  [4442] = {.lex_state = 15},
  [4443] = {.lex_state = 0},
  [4444] = {.lex_state = 0},
  [4445] = {.lex_state = 0},
  [4446] = {.lex_state = 15},
  [4447] = {.lex_state = 15},
  [4448] = {.lex_state = 15},
  [4449] = {.lex_state = 15},
  [4450] = {.lex_state = 15},
  [4451] = {.lex_state = 15},
  [4452] = {.lex_state = 15},
  [4453] = {.lex_state = 0},
  [4454] = {.lex_state = 0},
  [4455] = {.lex_state = 0},
  [4456] = {.lex_state = 15},
  [4457] = {.lex_state = 15},
  [4458] = {.lex_state = 15},
  [4459] = {.lex_state = 0},
  [4460] = {.lex_state = 15},
  [4461] = {.lex_state = 0},
  [4462] = {.lex_state = 0},
  [4463] = {.lex_state = 15},
  [4464] = {.lex_state = 15},
  [4465] = {.lex_state = 15},
  [4466] = {.lex_state = 15},
  [4467] = {.lex_state = 15},
  [4468] = {.lex_state = 15},
  [4469] = {.lex_state = 15},
  [4470] = {.lex_state = 15},
  [4471] = {.lex_state = 0},
  [4472] = {.lex_state = 0},
  [4473] = {.lex_state = 15},
  [4474] = {.lex_state = 15},
  [4475] = {.lex_state = 15},
  [4476] = {.lex_state = 15},
  [4477] = {.lex_state = 15},
  [4478] = {.lex_state = 0},
  [4479] = {.lex_state = 15},
  [4480] = {.lex_state = 15},
  [4481] = {.lex_state = 0},
  [4482] = {.lex_state = 0},
  [4483] = {.lex_state = 0},
  [4484] = {.lex_state = 0},
  [4485] = {.lex_state = 0},
  [4486] = {.lex_state = 0},
  [4487] = {.lex_state = 0},
  [4488] = {.lex_state = 0},
  [4489] = {.lex_state = 0},
  [4490] = {.lex_state = 0},
  [4491] = {.lex_state = 0},
  [4492] = {.lex_state = 0},
  [4493] = {.lex_state = 0},
  [4494] = {.lex_state = 0},
  [4495] = {.lex_state = 0},
  [4496] = {.lex_state = 0},
  [4497] = {.lex_state = 0},
  [4498] = {.lex_state = 0},
  [4499] = {.lex_state = 0},
  [4500] = {.lex_state = 0},
  [4501] = {.lex_state = 0},
  [4502] = {.lex_state = 0},
  [4503] = {.lex_state = 0},
  [4504] = {.lex_state = 0},
  [4505] = {.lex_state = 0},
  [4506] = {.lex_state = 0},
  [4507] = {.lex_state = 0},
  [4508] = {.lex_state = 0},
  [4509] = {.lex_state = 0},
  [4510] = {.lex_state = 0},
  [4511] = {.lex_state = 0},
  [4512] = {.lex_state = 0},
  [4513] = {.lex_state = 0},
  [4514] = {.lex_state = 0},
  [4515] = {.lex_state = 0},
  [4516] = {.lex_state = 15},
  [4517] = {.lex_state = 15},
  [4518] = {.lex_state = 0},
  [4519] = {.lex_state = 15},
  [4520] = {.lex_state = 0},
  [4521] = {.lex_state = 0},
  [4522] = {.lex_state = 15},
  [4523] = {.lex_state = 15},
  [4524] = {.lex_state = 0},
  [4525] = {.lex_state = 0},
  [4526] = {.lex_state = 15},
  [4527] = {.lex_state = 15},
  [4528] = {.lex_state = 0},
  [4529] = {.lex_state = 15},
  [4530] = {.lex_state = 15},
  [4531] = {.lex_state = 15},
  [4532] = {.lex_state = 15},
  [4533] = {.lex_state = 15},
  [4534] = {.lex_state = 15},
  [4535] = {.lex_state = 0},
  [4536] = {.lex_state = 15},
  [4537] = {.lex_state = 15},
  [4538] = {.lex_state = 15},
  [4539] = {.lex_state = 15},
  [4540] = {.lex_state = 15},
  [4541] = {.lex_state = 15},
  [4542] = {.lex_state = 15},
  [4543] = {.lex_state = 0},
  [4544] = {.lex_state = 15},
  [4545] = {.lex_state = 0},
  [4546] = {.lex_state = 0},
  [4547] = {.lex_state = 15},
  [4548] = {.lex_state = 0},
  [4549] = {.lex_state = 0},
  [4550] = {.lex_state = 0},
  [4551] = {.lex_state = 15},
  [4552] = {.lex_state = 0},
  [4553] = {.lex_state = 0},
  [4554] = {.lex_state = 0},
  [4555] = {.lex_state = 15},
  [4556] = {.lex_state = 0},
  [4557] = {.lex_state = 0},
  [4558] = {.lex_state = 15},
  [4559] = {.lex_state = 0},
  [4560] = {.lex_state = 15},
  [4561] = {.lex_state = 15},
  [4562] = {.lex_state = 15},
  [4563] = {.lex_state = 15},
  [4564] = {.lex_state = 15},
  [4565] = {.lex_state = 0},
  [4566] = {.lex_state = 0},
  [4567] = {.lex_state = 15},
  [4568] = {.lex_state = 15},
  [4569] = {.lex_state = 0},
  [4570] = {.lex_state = 15},
  [4571] = {.lex_state = 0},
  [4572] = {.lex_state = 15},
  [4573] = {.lex_state = 15},
  [4574] = {.lex_state = 0},
  [4575] = {.lex_state = 15},
  [4576] = {.lex_state = 0},
  [4577] = {.lex_state = 0},
  [4578] = {.lex_state = 0},
  [4579] = {.lex_state = 15},
  [4580] = {.lex_state = 0},
  [4581] = {.lex_state = 15},
  [4582] = {.lex_state = 0},
  [4583] = {.lex_state = 15},
  [4584] = {.lex_state = 0},
  [4585] = {.lex_state = 0},
  [4586] = {.lex_state = 0},
  [4587] = {.lex_state = 15},
  [4588] = {.lex_state = 0},
  [4589] = {.lex_state = 0},
  [4590] = {.lex_state = 0},
  [4591] = {.lex_state = 15},
  [4592] = {.lex_state = 0},
  [4593] = {.lex_state = 15},
  [4594] = {.lex_state = 15},
  [4595] = {.lex_state = 0},
  [4596] = {.lex_state = 0},
  [4597] = {.lex_state = 0},
  [4598] = {.lex_state = 0},
  [4599] = {.lex_state = 0},
  [4600] = {.lex_state = 0},
  [4601] = {.lex_state = 0},
  [4602] = {.lex_state = 0},
  [4603] = {.lex_state = 0},
  [4604] = {.lex_state = 0},
  [4605] = {.lex_state = 0},
  [4606] = {.lex_state = 0},
  [4607] = {.lex_state = 0},
  [4608] = {.lex_state = 0},
  [4609] = {.lex_state = 0},
  [4610] = {.lex_state = 0},
  [4611] = {.lex_state = 0},
  [4612] = {.lex_state = 0},
  [4613] = {.lex_state = 0},
  [4614] = {.lex_state = 0},
  [4615] = {.lex_state = 0},
  [4616] = {.lex_state = 0},
  [4617] = {.lex_state = 0},
  [4618] = {.lex_state = 0},
  [4619] = {.lex_state = 0},
  [4620] = {.lex_state = 0},
  [4621] = {.lex_state = 0},
  [4622] = {.lex_state = 0},
  [4623] = {.lex_state = 1},
  [4624] = {.lex_state = 0},
  [4625] = {.lex_state = 0},
  [4626] = {.lex_state = 0},
  [4627] = {.lex_state = 0},
  [4628] = {.lex_state = 0},
  [4629] = {.lex_state = 0},
  [4630] = {.lex_state = 0},
  [4631] = {.lex_state = 0},
  [4632] = {.lex_state = 0},
  [4633] = {.lex_state = 0},
  [4634] = {.lex_state = 0},
  [4635] = {.lex_state = 0},
  [4636] = {.lex_state = 0},
  [4637] = {.lex_state = 0},
  [4638] = {.lex_state = 0},
  [4639] = {.lex_state = 1},
  [4640] = {.lex_state = 1},
  [4641] = {.lex_state = 0},
  [4642] = {.lex_state = 0},
  [4643] = {.lex_state = 0},
  [4644] = {.lex_state = 0},
  [4645] = {.lex_state = 0},
  [4646] = {.lex_state = 0},
  [4647] = {.lex_state = 0},
  [4648] = {.lex_state = 0},
  [4649] = {.lex_state = 0},
  [4650] = {.lex_state = 0},
  [4651] = {.lex_state = 0},
  [4652] = {.lex_state = 1},
  [4653] = {.lex_state = 0},
  [4654] = {.lex_state = 0},
  [4655] = {.lex_state = 0},
  [4656] = {.lex_state = 0},
  [4657] = {.lex_state = 0},
  [4658] = {.lex_state = 0},
  [4659] = {.lex_state = 1},
  [4660] = {.lex_state = 1},
  [4661] = {.lex_state = 0},
  [4662] = {.lex_state = 0},
  [4663] = {.lex_state = 0},
  [4664] = {.lex_state = 0},
  [4665] = {.lex_state = 0},
  [4666] = {.lex_state = 0},
  [4667] = {.lex_state = 0},
  [4668] = {.lex_state = 0},
  [4669] = {.lex_state = 0},
  [4670] = {.lex_state = 0},
  [4671] = {.lex_state = 0},
  [4672] = {.lex_state = 0},
  [4673] = {.lex_state = 0},
  [4674] = {.lex_state = 0},
  [4675] = {.lex_state = 0},
  [4676] = {.lex_state = 0},
  [4677] = {.lex_state = 0},
  [4678] = {.lex_state = 0},
  [4679] = {.lex_state = 0},
  [4680] = {.lex_state = 0},
  [4681] = {.lex_state = 0},
  [4682] = {.lex_state = 0},
  [4683] = {.lex_state = 0},
  [4684] = {.lex_state = 0},
  [4685] = {.lex_state = 0},
  [4686] = {.lex_state = 0},
  [4687] = {.lex_state = 0},
  [4688] = {.lex_state = 0},
  [4689] = {.lex_state = 0},
  [4690] = {.lex_state = 0},
  [4691] = {.lex_state = 0},
  [4692] = {.lex_state = 0},
  [4693] = {.lex_state = 0},
  [4694] = {.lex_state = 0},
  [4695] = {.lex_state = 0},
  [4696] = {.lex_state = 0},
  [4697] = {.lex_state = 0},
  [4698] = {.lex_state = 0},
  [4699] = {.lex_state = 0},
  [4700] = {.lex_state = 0},
  [4701] = {.lex_state = 0},
  [4702] = {.lex_state = 0},
  [4703] = {.lex_state = 0},
  [4704] = {.lex_state = 0},
  [4705] = {.lex_state = 0},
  [4706] = {.lex_state = 0},
  [4707] = {.lex_state = 0},
  [4708] = {.lex_state = 0},
  [4709] = {.lex_state = 0},
  [4710] = {.lex_state = 0},
  [4711] = {.lex_state = 0},
  [4712] = {.lex_state = 0},
  [4713] = {.lex_state = 0},
  [4714] = {.lex_state = 0},
  [4715] = {.lex_state = 0},
  [4716] = {.lex_state = 0},
  [4717] = {.lex_state = 0},
  [4718] = {.lex_state = 0},
  [4719] = {.lex_state = 0},
  [4720] = {.lex_state = 0},
  [4721] = {.lex_state = 0},
  [4722] = {.lex_state = 0},
  [4723] = {.lex_state = 0},
  [4724] = {.lex_state = 0},
  [4725] = {.lex_state = 0},
  [4726] = {.lex_state = 0},
  [4727] = {.lex_state = 0},
  [4728] = {.lex_state = 0},
  [4729] = {.lex_state = 0},
  [4730] = {.lex_state = 0},
  [4731] = {.lex_state = 0},
  [4732] = {.lex_state = 0},
  [4733] = {.lex_state = 0},
  [4734] = {.lex_state = 0},
  [4735] = {.lex_state = 0},
  [4736] = {.lex_state = 0},
  [4737] = {.lex_state = 0},
  [4738] = {.lex_state = 0},
  [4739] = {.lex_state = 0},
  [4740] = {.lex_state = 0},
  [4741] = {.lex_state = 0},
  [4742] = {.lex_state = 0},
  [4743] = {.lex_state = 0},
  [4744] = {.lex_state = 0},
  [4745] = {.lex_state = 0},
  [4746] = {.lex_state = 0},
  [4747] = {.lex_state = 0},
  [4748] = {.lex_state = 0},
  [4749] = {.lex_state = 0},
  [4750] = {.lex_state = 0},
  [4751] = {.lex_state = 0},
  [4752] = {.lex_state = 0},
  [4753] = {.lex_state = 0},
  [4754] = {.lex_state = 0},
  [4755] = {.lex_state = 0},
  [4756] = {.lex_state = 0},
  [4757] = {.lex_state = 0},
  [4758] = {.lex_state = 0},
  [4759] = {.lex_state = 0},
  [4760] = {.lex_state = 0},
  [4761] = {.lex_state = 0},
  [4762] = {.lex_state = 0},
  [4763] = {.lex_state = 0},
  [4764] = {.lex_state = 0},
  [4765] = {.lex_state = 0},
  [4766] = {.lex_state = 0},
  [4767] = {.lex_state = 0},
  [4768] = {.lex_state = 0},
  [4769] = {.lex_state = 0},
  [4770] = {.lex_state = 0},
  [4771] = {.lex_state = 0},
  [4772] = {.lex_state = 0},
  [4773] = {.lex_state = 0},
  [4774] = {.lex_state = 0},
  [4775] = {.lex_state = 0},
  [4776] = {.lex_state = 0},
  [4777] = {.lex_state = 0},
  [4778] = {.lex_state = 0},
  [4779] = {.lex_state = 0},
  [4780] = {.lex_state = 0},
  [4781] = {.lex_state = 0},
  [4782] = {.lex_state = 0},
  [4783] = {.lex_state = 0},
  [4784] = {.lex_state = 0},
  [4785] = {.lex_state = 0},
  [4786] = {.lex_state = 0},
  [4787] = {.lex_state = 0},
  [4788] = {.lex_state = 0},
  [4789] = {.lex_state = 0},
  [4790] = {.lex_state = 0},
  [4791] = {.lex_state = 0},
  [4792] = {.lex_state = 0},
  [4793] = {.lex_state = 0},
  [4794] = {.lex_state = 0},
  [4795] = {.lex_state = 0},
  [4796] = {.lex_state = 0},
  [4797] = {.lex_state = 0},
  [4798] = {.lex_state = 0},
  [4799] = {.lex_state = 0},
  [4800] = {.lex_state = 0},
  [4801] = {.lex_state = 0},
  [4802] = {.lex_state = 0},
  [4803] = {.lex_state = 0},
  [4804] = {.lex_state = 0},
  [4805] = {.lex_state = 0},
  [4806] = {.lex_state = 0},
  [4807] = {.lex_state = 0},
  [4808] = {.lex_state = 0},
  [4809] = {.lex_state = 0},
  [4810] = {.lex_state = 0},
  [4811] = {.lex_state = 0},
  [4812] = {.lex_state = 0},
  [4813] = {.lex_state = 0},
  [4814] = {.lex_state = 0},
  [4815] = {.lex_state = 0},
  [4816] = {.lex_state = 0},
  [4817] = {.lex_state = 0},
  [4818] = {.lex_state = 0},
  [4819] = {.lex_state = 0},
  [4820] = {.lex_state = 0},
  [4821] = {.lex_state = 0},
  [4822] = {.lex_state = 0},
  [4823] = {.lex_state = 0},
  [4824] = {.lex_state = 0},
  [4825] = {.lex_state = 0},
  [4826] = {.lex_state = 0},
  [4827] = {.lex_state = 0},
  [4828] = {.lex_state = 0},
  [4829] = {.lex_state = 0},
  [4830] = {.lex_state = 0},
  [4831] = {.lex_state = 0},
  [4832] = {.lex_state = 0},
  [4833] = {.lex_state = 0},
  [4834] = {.lex_state = 0},
  [4835] = {.lex_state = 0},
  [4836] = {.lex_state = 0},
  [4837] = {.lex_state = 0},
  [4838] = {.lex_state = 0},
  [4839] = {.lex_state = 0},
  [4840] = {.lex_state = 0},
  [4841] = {.lex_state = 0},
  [4842] = {.lex_state = 0},
  [4843] = {.lex_state = 0},
  [4844] = {.lex_state = 0},
  [4845] = {.lex_state = 0},
  [4846] = {.lex_state = 0},
  [4847] = {.lex_state = 0},
  [4848] = {.lex_state = 0},
  [4849] = {.lex_state = 0},
  [4850] = {.lex_state = 0},
  [4851] = {.lex_state = 0},
  [4852] = {.lex_state = 0},
  [4853] = {.lex_state = 0},
  [4854] = {.lex_state = 0},
  [4855] = {.lex_state = 0},
  [4856] = {.lex_state = 0},
  [4857] = {.lex_state = 0},
  [4858] = {.lex_state = 0},
  [4859] = {.lex_state = 0},
  [4860] = {.lex_state = 0},
  [4861] = {.lex_state = 0},
  [4862] = {.lex_state = 0},
  [4863] = {.lex_state = 0},
  [4864] = {.lex_state = 0},
  [4865] = {.lex_state = 0},
  [4866] = {.lex_state = 0},
  [4867] = {.lex_state = 0},
  [4868] = {.lex_state = 0},
  [4869] = {.lex_state = 0},
  [4870] = {.lex_state = 0},
  [4871] = {.lex_state = 0},
  [4872] = {.lex_state = 0},
  [4873] = {.lex_state = 0},
  [4874] = {.lex_state = 0},
  [4875] = {.lex_state = 0},
  [4876] = {.lex_state = 0},
  [4877] = {.lex_state = 0},
  [4878] = {.lex_state = 0},
  [4879] = {.lex_state = 0},
  [4880] = {.lex_state = 0},
  [4881] = {.lex_state = 0},
  [4882] = {.lex_state = 0},
  [4883] = {.lex_state = 0},
  [4884] = {.lex_state = 0},
  [4885] = {.lex_state = 0},
  [4886] = {.lex_state = 0},
  [4887] = {.lex_state = 0},
  [4888] = {.lex_state = 0},
  [4889] = {.lex_state = 0},
  [4890] = {.lex_state = 0},
  [4891] = {.lex_state = 0},
  [4892] = {.lex_state = 0},
  [4893] = {.lex_state = 0},
  [4894] = {.lex_state = 0},
  [4895] = {.lex_state = 0},
  [4896] = {.lex_state = 0},
  [4897] = {.lex_state = 0},
  [4898] = {.lex_state = 0},
  [4899] = {.lex_state = 0},
  [4900] = {.lex_state = 0},
  [4901] = {.lex_state = 0},
  [4902] = {.lex_state = 0},
  [4903] = {.lex_state = 0},
  [4904] = {.lex_state = 0},
  [4905] = {.lex_state = 0},
  [4906] = {.lex_state = 0},
  [4907] = {.lex_state = 0},
  [4908] = {.lex_state = 0},
  [4909] = {.lex_state = 0},
  [4910] = {.lex_state = 0},
  [4911] = {.lex_state = 0},
  [4912] = {.lex_state = 0},
  [4913] = {.lex_state = 0},
  [4914] = {.lex_state = 0},
  [4915] = {.lex_state = 0},
  [4916] = {.lex_state = 0},
  [4917] = {.lex_state = 0},
  [4918] = {.lex_state = 0},
  [4919] = {.lex_state = 0},
  [4920] = {.lex_state = 0},
  [4921] = {.lex_state = 0},
  [4922] = {.lex_state = 0},
  [4923] = {.lex_state = 0},
  [4924] = {.lex_state = 0},
  [4925] = {.lex_state = 0},
  [4926] = {.lex_state = 0},
  [4927] = {.lex_state = 0},
  [4928] = {.lex_state = 0},
  [4929] = {.lex_state = 0},
  [4930] = {.lex_state = 0},
  [4931] = {.lex_state = 0},
  [4932] = {.lex_state = 0},
  [4933] = {.lex_state = 0},
  [4934] = {.lex_state = 0},
  [4935] = {.lex_state = 0},
  [4936] = {.lex_state = 0},
  [4937] = {.lex_state = 0},
  [4938] = {.lex_state = 0},
  [4939] = {.lex_state = 0},
  [4940] = {.lex_state = 0},
  [4941] = {.lex_state = 15},
  [4942] = {.lex_state = 0},
  [4943] = {.lex_state = 0},
  [4944] = {.lex_state = 0},
  [4945] = {.lex_state = 15},
  [4946] = {.lex_state = 0},
  [4947] = {.lex_state = 0},
  [4948] = {.lex_state = 15},
  [4949] = {.lex_state = 0},
  [4950] = {.lex_state = 0},
  [4951] = {.lex_state = 0},
  [4952] = {.lex_state = 15},
  [4953] = {.lex_state = 0},
  [4954] = {.lex_state = 0},
  [4955] = {.lex_state = 0},
  [4956] = {.lex_state = 0},
  [4957] = {.lex_state = 0},
  [4958] = {.lex_state = 0},
  [4959] = {.lex_state = 0},
  [4960] = {.lex_state = 0},
  [4961] = {.lex_state = 0},
  [4962] = {.lex_state = 0},
  [4963] = {.lex_state = 0},
  [4964] = {.lex_state = 0},
  [4965] = {.lex_state = 0},
  [4966] = {.lex_state = 0},
  [4967] = {.lex_state = 0},
  [4968] = {.lex_state = 0},
  [4969] = {.lex_state = 0},
  [4970] = {.lex_state = 0},
  [4971] = {.lex_state = 0},
  [4972] = {.lex_state = 0},
  [4973] = {.lex_state = 0},
  [4974] = {.lex_state = 0},
  [4975] = {.lex_state = 0},
  [4976] = {.lex_state = 0},
  [4977] = {.lex_state = 0},
  [4978] = {.lex_state = 0},
  [4979] = {.lex_state = 15},
  [4980] = {.lex_state = 0},
  [4981] = {.lex_state = 0},
  [4982] = {.lex_state = 0},
  [4983] = {.lex_state = 0},
  [4984] = {.lex_state = 0},
  [4985] = {.lex_state = 0},
  [4986] = {.lex_state = 0},
  [4987] = {.lex_state = 0},
  [4988] = {.lex_state = 0},
  [4989] = {.lex_state = 0},
  [4990] = {.lex_state = 0},
  [4991] = {.lex_state = 0},
  [4992] = {.lex_state = 0},
  [4993] = {.lex_state = 0},
  [4994] = {.lex_state = 0},
  [4995] = {.lex_state = 0},
  [4996] = {.lex_state = 0},
  [4997] = {.lex_state = 0},
  [4998] = {.lex_state = 0},
  [4999] = {.lex_state = 0},
  [5000] = {.lex_state = 0},
  [5001] = {.lex_state = 0},
  [5002] = {.lex_state = 0},
  [5003] = {.lex_state = 0},
  [5004] = {.lex_state = 0},
  [5005] = {.lex_state = 0},
  [5006] = {.lex_state = 0},
  [5007] = {.lex_state = 0},
  [5008] = {.lex_state = 0},
  [5009] = {.lex_state = 0},
  [5010] = {.lex_state = 0},
  [5011] = {.lex_state = 0},
  [5012] = {.lex_state = 0},
  [5013] = {.lex_state = 0},
  [5014] = {.lex_state = 0},
  [5015] = {.lex_state = 0},
  [5016] = {.lex_state = 0},
  [5017] = {.lex_state = 0},
  [5018] = {.lex_state = 0},
  [5019] = {.lex_state = 0},
  [5020] = {.lex_state = 0},
  [5021] = {.lex_state = 0},
  [5022] = {.lex_state = 0},
  [5023] = {.lex_state = 0},
  [5024] = {.lex_state = 0},
  [5025] = {.lex_state = 0},
  [5026] = {.lex_state = 0},
  [5027] = {.lex_state = 0},
  [5028] = {.lex_state = 0},
  [5029] = {.lex_state = 0},
  [5030] = {.lex_state = 0},
  [5031] = {.lex_state = 0},
  [5032] = {.lex_state = 0},
  [5033] = {.lex_state = 0},
  [5034] = {.lex_state = 0},
  [5035] = {.lex_state = 0},
  [5036] = {.lex_state = 0},
  [5037] = {.lex_state = 0},
  [5038] = {.lex_state = 0},
  [5039] = {.lex_state = 0},
  [5040] = {.lex_state = 0},
  [5041] = {.lex_state = 0},
  [5042] = {.lex_state = 0},
  [5043] = {.lex_state = 0},
  [5044] = {.lex_state = 0},
  [5045] = {.lex_state = 0},
  [5046] = {.lex_state = 0},
  [5047] = {.lex_state = 0},
  [5048] = {.lex_state = 0},
  [5049] = {.lex_state = 0},
  [5050] = {.lex_state = 0},
  [5051] = {.lex_state = 0},
  [5052] = {.lex_state = 0},
  [5053] = {.lex_state = 0},
  [5054] = {.lex_state = 0},
  [5055] = {.lex_state = 0},
  [5056] = {.lex_state = 0},
  [5057] = {.lex_state = 0},
  [5058] = {.lex_state = 0},
  [5059] = {.lex_state = 0},
  [5060] = {.lex_state = 0},
  [5061] = {.lex_state = 0},
  [5062] = {.lex_state = 0},
  [5063] = {.lex_state = 0},
  [5064] = {.lex_state = 0},
  [5065] = {.lex_state = 0},
  [5066] = {.lex_state = 0},
  [5067] = {.lex_state = 0},
  [5068] = {.lex_state = 0},
  [5069] = {.lex_state = 0},
  [5070] = {.lex_state = 0},
  [5071] = {.lex_state = 0},
  [5072] = {.lex_state = 0},
  [5073] = {.lex_state = 0},
  [5074] = {.lex_state = 0},
  [5075] = {.lex_state = 0},
  [5076] = {.lex_state = 0},
  [5077] = {.lex_state = 0},
  [5078] = {.lex_state = 0},
  [5079] = {.lex_state = 0},
  [5080] = {.lex_state = 0},
  [5081] = {.lex_state = 0},
  [5082] = {.lex_state = 0},
  [5083] = {.lex_state = 0},
  [5084] = {.lex_state = 0},
  [5085] = {.lex_state = 0},
  [5086] = {.lex_state = 0},
  [5087] = {.lex_state = 0},
  [5088] = {.lex_state = 0},
  [5089] = {.lex_state = 0},
  [5090] = {.lex_state = 0},
  [5091] = {.lex_state = 0},
  [5092] = {.lex_state = 0},
  [5093] = {.lex_state = 0},
  [5094] = {.lex_state = 0},
  [5095] = {.lex_state = 0},
  [5096] = {.lex_state = 0},
  [5097] = {.lex_state = 0},
  [5098] = {.lex_state = 0},
  [5099] = {.lex_state = 0},
  [5100] = {.lex_state = 0},
  [5101] = {.lex_state = 0},
  [5102] = {.lex_state = 0},
  [5103] = {.lex_state = 0},
  [5104] = {.lex_state = 0},
  [5105] = {.lex_state = 0},
  [5106] = {.lex_state = 0},
  [5107] = {.lex_state = 0},
  [5108] = {.lex_state = 0},
  [5109] = {.lex_state = 0},
  [5110] = {.lex_state = 0},
  [5111] = {.lex_state = 0},
  [5112] = {.lex_state = 0},
  [5113] = {.lex_state = 0},
  [5114] = {.lex_state = 0},
  [5115] = {.lex_state = 0},
  [5116] = {.lex_state = 0},
  [5117] = {.lex_state = 0},
  [5118] = {.lex_state = 0},
  [5119] = {.lex_state = 0},
  [5120] = {.lex_state = 0},
  [5121] = {.lex_state = 0},
  [5122] = {.lex_state = 0},
  [5123] = {.lex_state = 0},
  [5124] = {.lex_state = 0},
  [5125] = {.lex_state = 0},
  [5126] = {.lex_state = 0},
  [5127] = {.lex_state = 0},
  [5128] = {.lex_state = 0},
  [5129] = {.lex_state = 0},
  [5130] = {.lex_state = 0},
  [5131] = {.lex_state = 0},
  [5132] = {.lex_state = 0},
  [5133] = {.lex_state = 0},
  [5134] = {.lex_state = 0},
  [5135] = {.lex_state = 0},
  [5136] = {.lex_state = 0},
  [5137] = {.lex_state = 0},
  [5138] = {.lex_state = 0},
  [5139] = {.lex_state = 0},
  [5140] = {.lex_state = 0},
  [5141] = {.lex_state = 0},
  [5142] = {.lex_state = 0},
  [5143] = {.lex_state = 0},
  [5144] = {.lex_state = 0},
  [5145] = {.lex_state = 0},
  [5146] = {.lex_state = 0},
  [5147] = {.lex_state = 0},
  [5148] = {.lex_state = 0},
  [5149] = {.lex_state = 0},
  [5150] = {.lex_state = 0},
  [5151] = {.lex_state = 0},
  [5152] = {.lex_state = 0},
  [5153] = {.lex_state = 0},
  [5154] = {.lex_state = 0},
  [5155] = {.lex_state = 0},
  [5156] = {.lex_state = 0},
  [5157] = {.lex_state = 0},
  [5158] = {.lex_state = 0},
  [5159] = {.lex_state = 0},
  [5160] = {.lex_state = 0},
  [5161] = {.lex_state = 0},
  [5162] = {.lex_state = 0},
  [5163] = {.lex_state = 0},
  [5164] = {.lex_state = 0},
  [5165] = {.lex_state = 0},
  [5166] = {.lex_state = 0},
  [5167] = {.lex_state = 0},
  [5168] = {.lex_state = 0},
  [5169] = {.lex_state = 0},
  [5170] = {.lex_state = 0},
  [5171] = {.lex_state = 0},
  [5172] = {.lex_state = 0},
  [5173] = {.lex_state = 0},
  [5174] = {.lex_state = 0},
  [5175] = {.lex_state = 0},
  [5176] = {.lex_state = 0},
  [5177] = {.lex_state = 0},
  [5178] = {.lex_state = 0},
  [5179] = {.lex_state = 0},
  [5180] = {.lex_state = 0},
  [5181] = {.lex_state = 0},
  [5182] = {.lex_state = 0},
  [5183] = {.lex_state = 0},
  [5184] = {.lex_state = 0},
  [5185] = {.lex_state = 0},
  [5186] = {.lex_state = 0},
  [5187] = {.lex_state = 0},
  [5188] = {.lex_state = 0},
  [5189] = {.lex_state = 0},
  [5190] = {.lex_state = 0},
  [5191] = {.lex_state = 0},
  [5192] = {.lex_state = 15},
  [5193] = {.lex_state = 0},
  [5194] = {.lex_state = 0},
  [5195] = {.lex_state = 0},
  [5196] = {.lex_state = 0},
  [5197] = {.lex_state = 0},
  [5198] = {.lex_state = 0},
  [5199] = {.lex_state = 0},
  [5200] = {.lex_state = 0},
  [5201] = {.lex_state = 0},
  [5202] = {.lex_state = 0},
  [5203] = {.lex_state = 0},
  [5204] = {.lex_state = 0},
  [5205] = {.lex_state = 0},
  [5206] = {.lex_state = 0},
  [5207] = {.lex_state = 0},
  [5208] = {.lex_state = 0},
  [5209] = {.lex_state = 0},
  [5210] = {.lex_state = 0},
  [5211] = {.lex_state = 0},
  [5212] = {.lex_state = 0},
  [5213] = {.lex_state = 0},
  [5214] = {.lex_state = 0},
  [5215] = {.lex_state = 0},
  [5216] = {.lex_state = 0},
  [5217] = {.lex_state = 0},
  [5218] = {.lex_state = 0},
  [5219] = {.lex_state = 0},
  [5220] = {.lex_state = 0},
  [5221] = {.lex_state = 0},
  [5222] = {.lex_state = 0},
  [5223] = {.lex_state = 0},
  [5224] = {.lex_state = 0},
  [5225] = {.lex_state = 0},
  [5226] = {.lex_state = 0},
  [5227] = {.lex_state = 0},
  [5228] = {.lex_state = 0},
  [5229] = {.lex_state = 0},
  [5230] = {.lex_state = 15},
  [5231] = {.lex_state = 0},
  [5232] = {.lex_state = 0},
  [5233] = {.lex_state = 0},
  [5234] = {.lex_state = 0},
  [5235] = {.lex_state = 0},
  [5236] = {.lex_state = 0},
  [5237] = {.lex_state = 0},
  [5238] = {.lex_state = 0},
  [5239] = {.lex_state = 0},
  [5240] = {.lex_state = 0},
  [5241] = {.lex_state = 0},
  [5242] = {.lex_state = 15},
  [5243] = {.lex_state = 0},
  [5244] = {.lex_state = 0},
  [5245] = {.lex_state = 0},
  [5246] = {.lex_state = 0},
  [5247] = {.lex_state = 0},
  [5248] = {.lex_state = 0},
  [5249] = {.lex_state = 0},
  [5250] = {.lex_state = 0},
  [5251] = {.lex_state = 0},
  [5252] = {.lex_state = 0},
  [5253] = {.lex_state = 0},
  [5254] = {.lex_state = 0},
  [5255] = {.lex_state = 0},
  [5256] = {.lex_state = 0},
  [5257] = {.lex_state = 0},
  [5258] = {.lex_state = 0},
  [5259] = {.lex_state = 0},
  [5260] = {.lex_state = 0},
  [5261] = {.lex_state = 0},
  [5262] = {.lex_state = 0},
  [5263] = {.lex_state = 0},
  [5264] = {.lex_state = 0},
  [5265] = {.lex_state = 0},
  [5266] = {.lex_state = 0},
  [5267] = {.lex_state = 0},
  [5268] = {.lex_state = 0},
  [5269] = {.lex_state = 0},
  [5270] = {.lex_state = 0},
  [5271] = {.lex_state = 0},
  [5272] = {.lex_state = 0},
  [5273] = {.lex_state = 0},
  [5274] = {.lex_state = 0},
  [5275] = {.lex_state = 0},
  [5276] = {.lex_state = 0},
  [5277] = {.lex_state = 0},
  [5278] = {.lex_state = 0},
  [5279] = {.lex_state = 0},
  [5280] = {.lex_state = 0},
  [5281] = {.lex_state = 0},
  [5282] = {.lex_state = 0},
  [5283] = {.lex_state = 0},
  [5284] = {.lex_state = 0},
  [5285] = {.lex_state = 0},
  [5286] = {.lex_state = 0},
  [5287] = {.lex_state = 0},
  [5288] = {.lex_state = 0},
  [5289] = {.lex_state = 0},
  [5290] = {.lex_state = 0},
  [5291] = {.lex_state = 0},
  [5292] = {.lex_state = 0},
  [5293] = {.lex_state = 0},
  [5294] = {.lex_state = 0},
  [5295] = {.lex_state = 0},
  [5296] = {.lex_state = 15},
  [5297] = {.lex_state = 0},
  [5298] = {.lex_state = 0},
  [5299] = {.lex_state = 0},
  [5300] = {.lex_state = 0},
  [5301] = {.lex_state = 0},
  [5302] = {.lex_state = 0},
  [5303] = {.lex_state = 0},
  [5304] = {.lex_state = 0},
  [5305] = {.lex_state = 0},
  [5306] = {.lex_state = 0},
  [5307] = {.lex_state = 0},
  [5308] = {.lex_state = 0},
  [5309] = {.lex_state = 0},
  [5310] = {.lex_state = 0},
  [5311] = {.lex_state = 0},
  [5312] = {.lex_state = 0},
  [5313] = {.lex_state = 0},
  [5314] = {.lex_state = 0},
  [5315] = {.lex_state = 0},
  [5316] = {.lex_state = 0},
  [5317] = {.lex_state = 0},
  [5318] = {.lex_state = 0},
  [5319] = {.lex_state = 0},
  [5320] = {.lex_state = 0},
  [5321] = {.lex_state = 0},
  [5322] = {.lex_state = 15},
  [5323] = {.lex_state = 0},
  [5324] = {.lex_state = 0},
  [5325] = {.lex_state = 0},
  [5326] = {.lex_state = 0},
  [5327] = {.lex_state = 0},
  [5328] = {.lex_state = 0},
  [5329] = {.lex_state = 0},
  [5330] = {.lex_state = 0},
  [5331] = {.lex_state = 0},
  [5332] = {.lex_state = 0},
  [5333] = {.lex_state = 0},
  [5334] = {.lex_state = 0},
  [5335] = {.lex_state = 0},
  [5336] = {.lex_state = 0},
  [5337] = {.lex_state = 0},
  [5338] = {.lex_state = 0},
  [5339] = {.lex_state = 0},
  [5340] = {.lex_state = 0},
  [5341] = {.lex_state = 0},
  [5342] = {.lex_state = 0},
  [5343] = {.lex_state = 0},
  [5344] = {.lex_state = 0},
  [5345] = {.lex_state = 0},
  [5346] = {.lex_state = 0},
  [5347] = {.lex_state = 0},
  [5348] = {.lex_state = 0},
  [5349] = {.lex_state = 0},
  [5350] = {.lex_state = 0},
  [5351] = {.lex_state = 0},
  [5352] = {.lex_state = 0},
  [5353] = {.lex_state = 0},
  [5354] = {.lex_state = 0},
  [5355] = {.lex_state = 0},
  [5356] = {.lex_state = 0},
  [5357] = {.lex_state = 0},
  [5358] = {.lex_state = 0},
  [5359] = {.lex_state = 0},
  [5360] = {.lex_state = 0},
  [5361] = {.lex_state = 0},
  [5362] = {.lex_state = 0},
  [5363] = {.lex_state = 0},
  [5364] = {.lex_state = 0},
  [5365] = {.lex_state = 0},
  [5366] = {.lex_state = 0},
  [5367] = {.lex_state = 0},
  [5368] = {.lex_state = 0},
  [5369] = {.lex_state = 0},
  [5370] = {.lex_state = 0},
  [5371] = {.lex_state = 0},
  [5372] = {.lex_state = 0},
  [5373] = {.lex_state = 0},
  [5374] = {.lex_state = 0},
  [5375] = {.lex_state = 0},
  [5376] = {.lex_state = 0},
  [5377] = {.lex_state = 0},
  [5378] = {.lex_state = 0},
  [5379] = {.lex_state = 0},
  [5380] = {.lex_state = 0},
  [5381] = {.lex_state = 0},
  [5382] = {.lex_state = 0},
  [5383] = {.lex_state = 0},
  [5384] = {.lex_state = 0},
  [5385] = {.lex_state = 0},
  [5386] = {.lex_state = 0},
  [5387] = {.lex_state = 0},
  [5388] = {.lex_state = 0},
  [5389] = {.lex_state = 15},
  [5390] = {.lex_state = 0},
  [5391] = {.lex_state = 0},
  [5392] = {.lex_state = 0},
  [5393] = {.lex_state = 0},
  [5394] = {.lex_state = 0},
  [5395] = {.lex_state = 0},
  [5396] = {.lex_state = 0},
  [5397] = {.lex_state = 15},
  [5398] = {.lex_state = 0},
  [5399] = {.lex_state = 0},
  [5400] = {.lex_state = 0},
  [5401] = {.lex_state = 0},
  [5402] = {.lex_state = 0},
  [5403] = {.lex_state = 0},
  [5404] = {.lex_state = 0},
  [5405] = {.lex_state = 0},
  [5406] = {.lex_state = 0},
  [5407] = {.lex_state = 0},
  [5408] = {.lex_state = 0},
  [5409] = {.lex_state = 0},
  [5410] = {.lex_state = 0},
  [5411] = {.lex_state = 0},
  [5412] = {.lex_state = 0},
  [5413] = {.lex_state = 0},
  [5414] = {.lex_state = 0},
  [5415] = {.lex_state = 0},
  [5416] = {.lex_state = 0},
  [5417] = {.lex_state = 0},
  [5418] = {.lex_state = 0},
  [5419] = {.lex_state = 0},
  [5420] = {.lex_state = 15},
  [5421] = {.lex_state = 0},
  [5422] = {.lex_state = 15},
  [5423] = {.lex_state = 0},
  [5424] = {.lex_state = 0},
  [5425] = {.lex_state = 0},
  [5426] = {.lex_state = 0},
  [5427] = {.lex_state = 0},
  [5428] = {.lex_state = 0},
  [5429] = {.lex_state = 0},
  [5430] = {.lex_state = 0},
  [5431] = {.lex_state = 0},
  [5432] = {.lex_state = 0},
  [5433] = {.lex_state = 0},
  [5434] = {.lex_state = 0},
  [5435] = {.lex_state = 0},
  [5436] = {.lex_state = 0},
  [5437] = {.lex_state = 0},
  [5438] = {.lex_state = 0},
  [5439] = {.lex_state = 0},
  [5440] = {.lex_state = 0},
  [5441] = {.lex_state = 15},
  [5442] = {.lex_state = 0},
  [5443] = {.lex_state = 0},
  [5444] = {.lex_state = 0},
  [5445] = {.lex_state = 0},
  [5446] = {.lex_state = 0},
  [5447] = {.lex_state = 0},
  [5448] = {.lex_state = 0},
  [5449] = {.lex_state = 0},
  [5450] = {.lex_state = 0},
  [5451] = {.lex_state = 0},
  [5452] = {.lex_state = 15},
  [5453] = {.lex_state = 0},
  [5454] = {.lex_state = 0},
  [5455] = {.lex_state = 0},
  [5456] = {.lex_state = 0},
  [5457] = {.lex_state = 0},
  [5458] = {.lex_state = 0},
  [5459] = {.lex_state = 0},
  [5460] = {.lex_state = 0},
  [5461] = {.lex_state = 0},
  [5462] = {.lex_state = 15},
  [5463] = {.lex_state = 15},
  [5464] = {.lex_state = 0},
  [5465] = {.lex_state = 0},
  [5466] = {.lex_state = 15},
  [5467] = {.lex_state = 0},
  [5468] = {.lex_state = 0},
  [5469] = {.lex_state = 0},
  [5470] = {.lex_state = 0},
  [5471] = {.lex_state = 0},
  [5472] = {.lex_state = 0},
  [5473] = {.lex_state = 0},
  [5474] = {.lex_state = 0},
  [5475] = {.lex_state = 0},
  [5476] = {.lex_state = 0},
  [5477] = {.lex_state = 0},
  [5478] = {.lex_state = 15},
  [5479] = {.lex_state = 0},
  [5480] = {.lex_state = 0},
  [5481] = {.lex_state = 0},
  [5482] = {.lex_state = 0},
  [5483] = {.lex_state = 0},
  [5484] = {.lex_state = 0},
  [5485] = {.lex_state = 15},
  [5486] = {.lex_state = 15},
  [5487] = {.lex_state = 0},
  [5488] = {.lex_state = 0},
  [5489] = {.lex_state = 0},
  [5490] = {.lex_state = 0},
  [5491] = {.lex_state = 0},
  [5492] = {.lex_state = 0},
  [5493] = {.lex_state = 0},
  [5494] = {.lex_state = 0},
  [5495] = {.lex_state = 0},
  [5496] = {.lex_state = 0},
  [5497] = {.lex_state = 0},
  [5498] = {.lex_state = 0},
  [5499] = {.lex_state = 0},
  [5500] = {.lex_state = 0},
  [5501] = {.lex_state = 0},
  [5502] = {.lex_state = 0},
  [5503] = {.lex_state = 15},
  [5504] = {.lex_state = 0},
  [5505] = {.lex_state = 0},
  [5506] = {.lex_state = 0},
  [5507] = {.lex_state = 0},
  [5508] = {.lex_state = 0},
  [5509] = {.lex_state = 0},
  [5510] = {.lex_state = 0},
  [5511] = {.lex_state = 15},
  [5512] = {.lex_state = 0},
  [5513] = {.lex_state = 0},
  [5514] = {.lex_state = 0},
  [5515] = {.lex_state = 0},
  [5516] = {.lex_state = 0},
  [5517] = {.lex_state = 0},
  [5518] = {.lex_state = 0},
  [5519] = {.lex_state = 15},
  [5520] = {.lex_state = 0},
  [5521] = {.lex_state = 0},
  [5522] = {.lex_state = 0},
  [5523] = {.lex_state = 15},
  [5524] = {.lex_state = 0},
  [5525] = {.lex_state = 0},
  [5526] = {.lex_state = 0},
  [5527] = {.lex_state = 0},
  [5528] = {.lex_state = 0},
  [5529] = {.lex_state = 0},
  [5530] = {.lex_state = 0},
  [5531] = {.lex_state = 0},
  [5532] = {.lex_state = 0},
  [5533] = {.lex_state = 15},
  [5534] = {.lex_state = 0},
  [5535] = {.lex_state = 0},
  [5536] = {.lex_state = 0},
  [5537] = {.lex_state = 0},
  [5538] = {.lex_state = 0},
  [5539] = {.lex_state = 0},
  [5540] = {.lex_state = 0},
  [5541] = {.lex_state = 0},
  [5542] = {.lex_state = 0},
  [5543] = {.lex_state = 15},
  [5544] = {.lex_state = 0},
  [5545] = {.lex_state = 0},
  [5546] = {.lex_state = 0},
  [5547] = {.lex_state = 0},
  [5548] = {.lex_state = 0},
  [5549] = {.lex_state = 0},
  [5550] = {.lex_state = 0},
  [5551] = {.lex_state = 0},
  [5552] = {.lex_state = 0},
  [5553] = {.lex_state = 0},
  [5554] = {.lex_state = 0},
  [5555] = {.lex_state = 0},
  [5556] = {.lex_state = 0},
  [5557] = {.lex_state = 0},
  [5558] = {.lex_state = 0},
  [5559] = {.lex_state = 0},
  [5560] = {.lex_state = 0},
  [5561] = {.lex_state = 15},
  [5562] = {.lex_state = 0},
  [5563] = {.lex_state = 0},
  [5564] = {.lex_state = 0},
  [5565] = {.lex_state = 0},
  [5566] = {.lex_state = 0},
  [5567] = {.lex_state = 0},
  [5568] = {.lex_state = 15},
  [5569] = {.lex_state = 0},
  [5570] = {.lex_state = 0},
  [5571] = {.lex_state = 0},
  [5572] = {.lex_state = 0},
  [5573] = {.lex_state = 15},
  [5574] = {.lex_state = 0},
  [5575] = {.lex_state = 0},
  [5576] = {.lex_state = 0},
  [5577] = {.lex_state = 0},
  [5578] = {.lex_state = 0},
  [5579] = {.lex_state = 15},
  [5580] = {.lex_state = 0},
  [5581] = {.lex_state = 0},
  [5582] = {.lex_state = 0},
  [5583] = {.lex_state = 0},
  [5584] = {.lex_state = 0},
  [5585] = {.lex_state = 0},
  [5586] = {.lex_state = 0},
  [5587] = {.lex_state = 0},
  [5588] = {.lex_state = 0},
  [5589] = {.lex_state = 0},
  [5590] = {.lex_state = 0},
  [5591] = {.lex_state = 0},
  [5592] = {.lex_state = 0},
  [5593] = {.lex_state = 0},
  [5594] = {.lex_state = 0},
  [5595] = {.lex_state = 0},
  [5596] = {.lex_state = 15},
  [5597] = {.lex_state = 0},
  [5598] = {.lex_state = 0},
  [5599] = {.lex_state = 0},
  [5600] = {.lex_state = 0},
  [5601] = {.lex_state = 0},
  [5602] = {.lex_state = 0},
  [5603] = {.lex_state = 0},
  [5604] = {.lex_state = 0},
  [5605] = {.lex_state = 0},
  [5606] = {.lex_state = 0},
  [5607] = {.lex_state = 0},
  [5608] = {.lex_state = 0},
  [5609] = {.lex_state = 0},
  [5610] = {.lex_state = 0},
  [5611] = {.lex_state = 0},
  [5612] = {.lex_state = 0},
  [5613] = {.lex_state = 0},
  [5614] = {.lex_state = 0},
  [5615] = {.lex_state = 0},
  [5616] = {.lex_state = 0},
  [5617] = {.lex_state = 0},
  [5618] = {.lex_state = 0},
  [5619] = {.lex_state = 0},
  [5620] = {.lex_state = 0},
  [5621] = {.lex_state = 0},
  [5622] = {.lex_state = 0},
  [5623] = {.lex_state = 0},
  [5624] = {.lex_state = 0},
  [5625] = {.lex_state = 0},
  [5626] = {.lex_state = 0},
  [5627] = {.lex_state = 0},
  [5628] = {.lex_state = 0},
  [5629] = {.lex_state = 0},
  [5630] = {.lex_state = 0},
  [5631] = {.lex_state = 0},
  [5632] = {.lex_state = 0},
  [5633] = {.lex_state = 0},
  [5634] = {.lex_state = 0},
  [5635] = {.lex_state = 0},
  [5636] = {.lex_state = 0},
  [5637] = {.lex_state = 0},
  [5638] = {.lex_state = 0},
  [5639] = {.lex_state = 0},
  [5640] = {.lex_state = 0},
  [5641] = {.lex_state = 0},
  [5642] = {.lex_state = 0},
  [5643] = {.lex_state = 0},
  [5644] = {.lex_state = 0},
  [5645] = {.lex_state = 0},
  [5646] = {.lex_state = 0},
  [5647] = {.lex_state = 0},
  [5648] = {.lex_state = 0},
  [5649] = {.lex_state = 0},
  [5650] = {.lex_state = 0},
  [5651] = {.lex_state = 0},
  [5652] = {.lex_state = 0},
  [5653] = {.lex_state = 0},
  [5654] = {.lex_state = 0},
  [5655] = {.lex_state = 0},
  [5656] = {.lex_state = 0},
  [5657] = {.lex_state = 0},
  [5658] = {.lex_state = 0},
  [5659] = {.lex_state = 0},
  [5660] = {.lex_state = 0},
  [5661] = {.lex_state = 0},
  [5662] = {.lex_state = 0},
  [5663] = {.lex_state = 0},
  [5664] = {.lex_state = 0},
  [5665] = {.lex_state = 0},
  [5666] = {.lex_state = 0},
  [5667] = {.lex_state = 0},
  [5668] = {.lex_state = 0},
  [5669] = {.lex_state = 0},
  [5670] = {.lex_state = 0},
  [5671] = {.lex_state = 0},
  [5672] = {.lex_state = 0},
  [5673] = {.lex_state = 0},
  [5674] = {.lex_state = 0},
  [5675] = {.lex_state = 0},
  [5676] = {.lex_state = 0},
  [5677] = {.lex_state = 0},
  [5678] = {.lex_state = 0},
  [5679] = {.lex_state = 0},
  [5680] = {.lex_state = 0},
  [5681] = {.lex_state = 0},
  [5682] = {.lex_state = 0},
  [5683] = {.lex_state = 0},
  [5684] = {.lex_state = 0},
  [5685] = {.lex_state = 0},
  [5686] = {.lex_state = 0},
  [5687] = {.lex_state = 0},
  [5688] = {.lex_state = 0},
  [5689] = {.lex_state = 0},
  [5690] = {.lex_state = 0},
  [5691] = {.lex_state = 0},
  [5692] = {.lex_state = 0},
  [5693] = {.lex_state = 0},
  [5694] = {.lex_state = 0},
  [5695] = {.lex_state = 0},
  [5696] = {.lex_state = 0},
  [5697] = {.lex_state = 0},
  [5698] = {.lex_state = 0},
  [5699] = {.lex_state = 15},
  [5700] = {.lex_state = 0},
  [5701] = {.lex_state = 0},
  [5702] = {.lex_state = 0},
  [5703] = {.lex_state = 0},
  [5704] = {.lex_state = 0},
  [5705] = {.lex_state = 0},
  [5706] = {.lex_state = 0},
  [5707] = {.lex_state = 0},
  [5708] = {.lex_state = 0},
  [5709] = {.lex_state = 0},
  [5710] = {.lex_state = 0},
  [5711] = {.lex_state = 0},
  [5712] = {.lex_state = 0},
  [5713] = {.lex_state = 0},
  [5714] = {.lex_state = 0},
  [5715] = {.lex_state = 0},
  [5716] = {.lex_state = 0},
  [5717] = {.lex_state = 0},
  [5718] = {.lex_state = 0},
  [5719] = {.lex_state = 0},
  [5720] = {.lex_state = 0},
  [5721] = {.lex_state = 0},
  [5722] = {.lex_state = 0},
  [5723] = {.lex_state = 0},
  [5724] = {.lex_state = 0},
  [5725] = {.lex_state = 0},
  [5726] = {.lex_state = 0},
  [5727] = {.lex_state = 0},
  [5728] = {.lex_state = 0},
  [5729] = {.lex_state = 0},
  [5730] = {.lex_state = 0},
  [5731] = {.lex_state = 0},
  [5732] = {.lex_state = 0},
  [5733] = {.lex_state = 0},
  [5734] = {.lex_state = 0},
  [5735] = {.lex_state = 0},
  [5736] = {.lex_state = 0},
  [5737] = {.lex_state = 0},
  [5738] = {.lex_state = 0},
  [5739] = {.lex_state = 0},
  [5740] = {.lex_state = 0},
  [5741] = {.lex_state = 0},
  [5742] = {.lex_state = 0},
  [5743] = {.lex_state = 0},
  [5744] = {.lex_state = 0},
  [5745] = {.lex_state = 0},
  [5746] = {.lex_state = 0},
  [5747] = {.lex_state = 0},
  [5748] = {.lex_state = 0},
  [5749] = {.lex_state = 0},
  [5750] = {.lex_state = 0},
  [5751] = {.lex_state = 0},
  [5752] = {.lex_state = 0},
  [5753] = {.lex_state = 0},
  [5754] = {.lex_state = 0},
  [5755] = {.lex_state = 0},
  [5756] = {.lex_state = 0},
  [5757] = {.lex_state = 0},
  [5758] = {.lex_state = 0},
  [5759] = {.lex_state = 0},
  [5760] = {.lex_state = 0},
  [5761] = {.lex_state = 0},
  [5762] = {.lex_state = 0},
  [5763] = {.lex_state = 0},
  [5764] = {.lex_state = 0},
  [5765] = {.lex_state = 0},
  [5766] = {.lex_state = 0},
  [5767] = {.lex_state = 0},
  [5768] = {.lex_state = 0},
  [5769] = {.lex_state = 0},
  [5770] = {.lex_state = 0},
  [5771] = {.lex_state = 0},
  [5772] = {.lex_state = 0},
  [5773] = {.lex_state = 0},
  [5774] = {.lex_state = 0},
  [5775] = {.lex_state = 0},
  [5776] = {.lex_state = 0},
  [5777] = {.lex_state = 0},
  [5778] = {.lex_state = 0},
  [5779] = {.lex_state = 0},
  [5780] = {.lex_state = 0},
  [5781] = {.lex_state = 0},
  [5782] = {.lex_state = 0},
  [5783] = {.lex_state = 0},
  [5784] = {.lex_state = 0},
  [5785] = {.lex_state = 0},
  [5786] = {.lex_state = 0},
  [5787] = {.lex_state = 0},
  [5788] = {.lex_state = 0},
  [5789] = {.lex_state = 0},
  [5790] = {.lex_state = 0},
  [5791] = {.lex_state = 0},
  [5792] = {.lex_state = 0},
  [5793] = {.lex_state = 15},
  [5794] = {.lex_state = 15},
  [5795] = {.lex_state = 0},
  [5796] = {.lex_state = 0},
  [5797] = {.lex_state = 0},
  [5798] = {.lex_state = 0},
  [5799] = {.lex_state = 0},
  [5800] = {.lex_state = 0},
  [5801] = {.lex_state = 0},
  [5802] = {.lex_state = 0},
  [5803] = {.lex_state = 0},
  [5804] = {.lex_state = 0},
  [5805] = {.lex_state = 0},
  [5806] = {.lex_state = 0},
  [5807] = {.lex_state = 0},
  [5808] = {.lex_state = 0},
  [5809] = {.lex_state = 0},
  [5810] = {.lex_state = 0},
  [5811] = {.lex_state = 0},
  [5812] = {.lex_state = 0},
  [5813] = {.lex_state = 0},
  [5814] = {.lex_state = 0},
  [5815] = {.lex_state = 15},
  [5816] = {.lex_state = 0},
  [5817] = {.lex_state = 0},
  [5818] = {.lex_state = 15},
  [5819] = {.lex_state = 0},
  [5820] = {.lex_state = 0},
  [5821] = {.lex_state = 0},
  [5822] = {.lex_state = 0},
  [5823] = {.lex_state = 0},
  [5824] = {.lex_state = 15},
  [5825] = {.lex_state = 15},
  [5826] = {.lex_state = 0},
  [5827] = {.lex_state = 0},
  [5828] = {.lex_state = 0},
  [5829] = {.lex_state = 0},
  [5830] = {.lex_state = 0},
  [5831] = {.lex_state = 0},
  [5832] = {.lex_state = 0},
  [5833] = {.lex_state = 0},
  [5834] = {.lex_state = 0},
  [5835] = {.lex_state = 0},
  [5836] = {.lex_state = 0},
  [5837] = {.lex_state = 0},
  [5838] = {.lex_state = 0},
  [5839] = {.lex_state = 0},
  [5840] = {.lex_state = 0},
  [5841] = {.lex_state = 0},
  [5842] = {.lex_state = 0},
  [5843] = {.lex_state = 0},
  [5844] = {.lex_state = 0},
  [5845] = {.lex_state = 0},
  [5846] = {.lex_state = 0},
  [5847] = {.lex_state = 0},
  [5848] = {.lex_state = 0},
  [5849] = {.lex_state = 0},
  [5850] = {.lex_state = 0},
  [5851] = {.lex_state = 0},
  [5852] = {.lex_state = 0},
  [5853] = {.lex_state = 0},
  [5854] = {.lex_state = 0},
  [5855] = {.lex_state = 0},
  [5856] = {.lex_state = 0},
  [5857] = {.lex_state = 0},
  [5858] = {.lex_state = 0},
  [5859] = {.lex_state = 0},
  [5860] = {.lex_state = 0},
  [5861] = {.lex_state = 0},
  [5862] = {.lex_state = 0},
  [5863] = {.lex_state = 15},
  [5864] = {.lex_state = 0},
  [5865] = {.lex_state = 15},
  [5866] = {.lex_state = 0},
  [5867] = {.lex_state = 0},
  [5868] = {.lex_state = 0},
  [5869] = {.lex_state = 0},
  [5870] = {.lex_state = 0},
  [5871] = {.lex_state = 0},
  [5872] = {.lex_state = 0},
  [5873] = {.lex_state = 0},
  [5874] = {.lex_state = 0},
  [5875] = {.lex_state = 15},
  [5876] = {.lex_state = 0},
  [5877] = {.lex_state = 0},
  [5878] = {.lex_state = 0},
  [5879] = {.lex_state = 0},
  [5880] = {.lex_state = 0},
  [5881] = {.lex_state = 0},
  [5882] = {.lex_state = 0},
  [5883] = {.lex_state = 0},
  [5884] = {.lex_state = 0},
  [5885] = {.lex_state = 0},
  [5886] = {.lex_state = 0},
  [5887] = {.lex_state = 0},
  [5888] = {.lex_state = 0},
  [5889] = {.lex_state = 0},
  [5890] = {.lex_state = 15},
  [5891] = {.lex_state = 0},
  [5892] = {.lex_state = 0},
  [5893] = {.lex_state = 0},
  [5894] = {.lex_state = 0},
  [5895] = {.lex_state = 0},
  [5896] = {.lex_state = 0},
  [5897] = {.lex_state = 0},
  [5898] = {.lex_state = 0},
  [5899] = {.lex_state = 15},
  [5900] = {.lex_state = 0},
  [5901] = {.lex_state = 0},
  [5902] = {.lex_state = 0},
  [5903] = {.lex_state = 15},
  [5904] = {.lex_state = 0},
  [5905] = {.lex_state = 0},
  [5906] = {.lex_state = 0},
  [5907] = {.lex_state = 0},
  [5908] = {.lex_state = 0},
  [5909] = {.lex_state = 0},
  [5910] = {.lex_state = 0},
  [5911] = {.lex_state = 0},
  [5912] = {.lex_state = 0},
  [5913] = {.lex_state = 0},
  [5914] = {.lex_state = 0},
  [5915] = {.lex_state = 0},
  [5916] = {.lex_state = 0},
  [5917] = {.lex_state = 0},
  [5918] = {.lex_state = 0},
  [5919] = {.lex_state = 0},
  [5920] = {.lex_state = 0},
  [5921] = {.lex_state = 0},
  [5922] = {.lex_state = 0},
  [5923] = {.lex_state = 0},
  [5924] = {.lex_state = 0},
  [5925] = {.lex_state = 0},
  [5926] = {.lex_state = 0},
  [5927] = {.lex_state = 0},
  [5928] = {.lex_state = 0},
  [5929] = {.lex_state = 0},
  [5930] = {.lex_state = 0},
  [5931] = {.lex_state = 0},
  [5932] = {.lex_state = 15},
  [5933] = {.lex_state = 0},
  [5934] = {.lex_state = 0},
  [5935] = {.lex_state = 0},
  [5936] = {.lex_state = 0},
  [5937] = {.lex_state = 0},
  [5938] = {.lex_state = 0},
  [5939] = {.lex_state = 0},
  [5940] = {.lex_state = 0},
  [5941] = {.lex_state = 15},
  [5942] = {.lex_state = 0},
  [5943] = {.lex_state = 0},
  [5944] = {.lex_state = 0},
  [5945] = {.lex_state = 0},
  [5946] = {.lex_state = 0},
  [5947] = {.lex_state = 0},
  [5948] = {.lex_state = 0},
  [5949] = {.lex_state = 0},
  [5950] = {.lex_state = 0},
  [5951] = {.lex_state = 0},
  [5952] = {.lex_state = 15},
  [5953] = {.lex_state = 0},
  [5954] = {.lex_state = 0},
  [5955] = {.lex_state = 0},
  [5956] = {.lex_state = 0},
  [5957] = {.lex_state = 0},
  [5958] = {.lex_state = 0},
  [5959] = {.lex_state = 0},
  [5960] = {.lex_state = 0},
  [5961] = {.lex_state = 0},
  [5962] = {.lex_state = 0},
  [5963] = {.lex_state = 0},
  [5964] = {.lex_state = 0},
  [5965] = {.lex_state = 0},
  [5966] = {.lex_state = 0},
  [5967] = {.lex_state = 15},
  [5968] = {.lex_state = 0},
  [5969] = {.lex_state = 0},
  [5970] = {.lex_state = 0},
  [5971] = {.lex_state = 0},
  [5972] = {.lex_state = 15},
  [5973] = {.lex_state = 0},
  [5974] = {.lex_state = 0},
  [5975] = {.lex_state = 0},
  [5976] = {.lex_state = 0},
  [5977] = {.lex_state = 0},
  [5978] = {.lex_state = 0},
  [5979] = {.lex_state = 0},
  [5980] = {.lex_state = 0},
  [5981] = {.lex_state = 0},
  [5982] = {.lex_state = 0},
  [5983] = {.lex_state = 0},
  [5984] = {.lex_state = 0},
  [5985] = {.lex_state = 0},
  [5986] = {.lex_state = 15},
  [5987] = {.lex_state = 15},
  [5988] = {.lex_state = 15},
  [5989] = {.lex_state = 0},
  [5990] = {.lex_state = 0},
  [5991] = {.lex_state = 0},
  [5992] = {.lex_state = 0},
  [5993] = {.lex_state = 0},
  [5994] = {.lex_state = 0},
  [5995] = {.lex_state = 0},
  [5996] = {.lex_state = 0},
  [5997] = {.lex_state = 0},
  [5998] = {.lex_state = 0},
  [5999] = {.lex_state = 0},
  [6000] = {.lex_state = 0},
  [6001] = {.lex_state = 15},
  [6002] = {.lex_state = 0},
  [6003] = {.lex_state = 15},
  [6004] = {.lex_state = 0},
  [6005] = {.lex_state = 0},
  [6006] = {.lex_state = 15},
  [6007] = {.lex_state = 0},
  [6008] = {.lex_state = 0},
  [6009] = {.lex_state = 0},
  [6010] = {.lex_state = 0},
  [6011] = {.lex_state = 0},
  [6012] = {.lex_state = 0},
  [6013] = {.lex_state = 0},
  [6014] = {.lex_state = 0},
  [6015] = {.lex_state = 0},
  [6016] = {.lex_state = 0},
  [6017] = {.lex_state = 0},
  [6018] = {.lex_state = 0},
  [6019] = {.lex_state = 0},
  [6020] = {.lex_state = 0},
  [6021] = {.lex_state = 0},
  [6022] = {.lex_state = 0},
  [6023] = {.lex_state = 15},
  [6024] = {.lex_state = 0},
  [6025] = {.lex_state = 8},
  [6026] = {.lex_state = 0},
  [6027] = {.lex_state = 0},
  [6028] = {.lex_state = 0},
  [6029] = {.lex_state = 0},
  [6030] = {.lex_state = 0},
  [6031] = {.lex_state = 0},
  [6032] = {.lex_state = 0},
  [6033] = {.lex_state = 0},
  [6034] = {.lex_state = 0},
  [6035] = {.lex_state = 0},
  [6036] = {.lex_state = 0},
  [6037] = {.lex_state = 0},
  [6038] = {.lex_state = 0},
  [6039] = {.lex_state = 0},
  [6040] = {.lex_state = 0},
  [6041] = {.lex_state = 0},
  [6042] = {.lex_state = 0},
  [6043] = {.lex_state = 0},
  [6044] = {.lex_state = 0},
  [6045] = {.lex_state = 0},
  [6046] = {.lex_state = 0},
  [6047] = {.lex_state = 0},
  [6048] = {.lex_state = 0},
  [6049] = {.lex_state = 0},
  [6050] = {.lex_state = 0},
  [6051] = {.lex_state = 0},
  [6052] = {.lex_state = 0},
  [6053] = {.lex_state = 0},
  [6054] = {.lex_state = 0},
  [6055] = {.lex_state = 0},
  [6056] = {.lex_state = 0},
  [6057] = {.lex_state = 0},
  [6058] = {.lex_state = 0},
  [6059] = {.lex_state = 0},
  [6060] = {.lex_state = 0},
  [6061] = {.lex_state = 0},
  [6062] = {.lex_state = 0},
  [6063] = {.lex_state = 0},
  [6064] = {.lex_state = 0},
  [6065] = {.lex_state = 0},
  [6066] = {.lex_state = 0},
  [6067] = {.lex_state = 0},
  [6068] = {.lex_state = 15},
  [6069] = {.lex_state = 8},
  [6070] = {.lex_state = 0},
  [6071] = {.lex_state = 0},
  [6072] = {.lex_state = 0},
  [6073] = {.lex_state = 0},
  [6074] = {.lex_state = 0},
  [6075] = {.lex_state = 15},
  [6076] = {.lex_state = 0},
  [6077] = {.lex_state = 0},
  [6078] = {.lex_state = 0},
  [6079] = {.lex_state = 0},
  [6080] = {.lex_state = 0},
  [6081] = {.lex_state = 0},
  [6082] = {.lex_state = 0},
  [6083] = {.lex_state = 0},
  [6084] = {.lex_state = 0},
  [6085] = {.lex_state = 0},
  [6086] = {.lex_state = 0},
  [6087] = {.lex_state = 0},
  [6088] = {.lex_state = 0},
  [6089] = {.lex_state = 15},
  [6090] = {.lex_state = 0},
  [6091] = {.lex_state = 0},
  [6092] = {.lex_state = 8},
  [6093] = {.lex_state = 0},
  [6094] = {.lex_state = 15},
  [6095] = {.lex_state = 0},
  [6096] = {.lex_state = 0},
  [6097] = {.lex_state = 0},
  [6098] = {.lex_state = 0},
  [6099] = {.lex_state = 0},
  [6100] = {.lex_state = 0},
  [6101] = {.lex_state = 0},
  [6102] = {.lex_state = 0},
  [6103] = {.lex_state = 0},
  [6104] = {.lex_state = 0},
  [6105] = {.lex_state = 0},
  [6106] = {.lex_state = 0},
  [6107] = {.lex_state = 0},
  [6108] = {.lex_state = 0},
  [6109] = {.lex_state = 0},
  [6110] = {.lex_state = 0},
  [6111] = {.lex_state = 0},
  [6112] = {.lex_state = 0},
  [6113] = {.lex_state = 0},
  [6114] = {.lex_state = 0},
  [6115] = {.lex_state = 0},
  [6116] = {.lex_state = 0},
  [6117] = {.lex_state = 0},
  [6118] = {.lex_state = 0},
  [6119] = {.lex_state = 0},
  [6120] = {.lex_state = 0},
  [6121] = {.lex_state = 0},
  [6122] = {.lex_state = 0},
  [6123] = {.lex_state = 0},
  [6124] = {.lex_state = 0},
  [6125] = {.lex_state = 0},
  [6126] = {.lex_state = 0},
  [6127] = {.lex_state = 0},
  [6128] = {.lex_state = 0},
  [6129] = {.lex_state = 0},
  [6130] = {.lex_state = 0},
  [6131] = {.lex_state = 0},
  [6132] = {.lex_state = 0},
  [6133] = {.lex_state = 0},
  [6134] = {.lex_state = 0},
  [6135] = {.lex_state = 0},
  [6136] = {.lex_state = 0},
  [6137] = {.lex_state = 15},
  [6138] = {.lex_state = 8},
  [6139] = {.lex_state = 0},
  [6140] = {.lex_state = 0},
  [6141] = {.lex_state = 0},
  [6142] = {.lex_state = 0},
  [6143] = {.lex_state = 0},
  [6144] = {.lex_state = 15},
  [6145] = {.lex_state = 0},
  [6146] = {.lex_state = 0},
  [6147] = {.lex_state = 0},
  [6148] = {.lex_state = 0},
  [6149] = {.lex_state = 0},
  [6150] = {.lex_state = 0},
  [6151] = {.lex_state = 0},
  [6152] = {.lex_state = 0},
  [6153] = {.lex_state = 0},
  [6154] = {.lex_state = 0},
  [6155] = {.lex_state = 0},
  [6156] = {.lex_state = 0},
  [6157] = {.lex_state = 0},
  [6158] = {.lex_state = 0},
  [6159] = {.lex_state = 0},
  [6160] = {.lex_state = 0},
  [6161] = {.lex_state = 0},
  [6162] = {.lex_state = 0},
  [6163] = {.lex_state = 0},
  [6164] = {.lex_state = 15},
  [6165] = {.lex_state = 0},
  [6166] = {.lex_state = 0},
  [6167] = {.lex_state = 0},
  [6168] = {.lex_state = 8},
  [6169] = {.lex_state = 0},
  [6170] = {.lex_state = 15},
  [6171] = {.lex_state = 0},
  [6172] = {.lex_state = 0},
  [6173] = {.lex_state = 0},
  [6174] = {.lex_state = 0},
  [6175] = {.lex_state = 0},
  [6176] = {.lex_state = 0},
  [6177] = {.lex_state = 0},
  [6178] = {.lex_state = 0},
  [6179] = {.lex_state = 0},
  [6180] = {.lex_state = 0},
  [6181] = {.lex_state = 0},
  [6182] = {.lex_state = 0},
  [6183] = {.lex_state = 0},
  [6184] = {.lex_state = 0},
  [6185] = {.lex_state = 0},
  [6186] = {.lex_state = 0},
  [6187] = {.lex_state = 0},
  [6188] = {.lex_state = 0},
  [6189] = {.lex_state = 0},
  [6190] = {.lex_state = 0},
  [6191] = {.lex_state = 0},
  [6192] = {.lex_state = 0},
  [6193] = {.lex_state = 0},
  [6194] = {.lex_state = 0},
  [6195] = {.lex_state = 0},
  [6196] = {.lex_state = 0},
  [6197] = {.lex_state = 0},
  [6198] = {.lex_state = 0},
  [6199] = {.lex_state = 0},
  [6200] = {.lex_state = 0},
  [6201] = {.lex_state = 0},
  [6202] = {.lex_state = 0},
  [6203] = {.lex_state = 0},
  [6204] = {.lex_state = 0},
  [6205] = {.lex_state = 0},
  [6206] = {.lex_state = 0},
  [6207] = {.lex_state = 0},
  [6208] = {.lex_state = 0},
  [6209] = {.lex_state = 0},
  [6210] = {.lex_state = 0},
  [6211] = {.lex_state = 0},
  [6212] = {.lex_state = 0},
  [6213] = {.lex_state = 0},
  [6214] = {.lex_state = 0},
  [6215] = {.lex_state = 0},
  [6216] = {.lex_state = 0},
  [6217] = {.lex_state = 0},
  [6218] = {.lex_state = 0},
  [6219] = {.lex_state = 0},
  [6220] = {.lex_state = 66},
  [6221] = {.lex_state = 61},
  [6222] = {.lex_state = 0},
  [6223] = {.lex_state = 0},
  [6224] = {.lex_state = 0},
  [6225] = {.lex_state = 0},
  [6226] = {.lex_state = 0},
  [6227] = {.lex_state = 0},
  [6228] = {.lex_state = 0},
  [6229] = {.lex_state = 0},
  [6230] = {.lex_state = 0},
  [6231] = {.lex_state = 0},
  [6232] = {.lex_state = 0},
  [6233] = {.lex_state = 0},
  [6234] = {.lex_state = 0},
  [6235] = {.lex_state = 0},
  [6236] = {.lex_state = 0},
  [6237] = {.lex_state = 0},
  [6238] = {.lex_state = 0},
  [6239] = {.lex_state = 15},
  [6240] = {.lex_state = 0},
  [6241] = {.lex_state = 8},
  [6242] = {.lex_state = 0},
  [6243] = {.lex_state = 0},
  [6244] = {.lex_state = 0},
  [6245] = {.lex_state = 15},
  [6246] = {.lex_state = 0},
  [6247] = {.lex_state = 0},
  [6248] = {.lex_state = 0},
  [6249] = {.lex_state = 0},
  [6250] = {.lex_state = 0},
  [6251] = {.lex_state = 0},
  [6252] = {.lex_state = 0},
  [6253] = {.lex_state = 0},
  [6254] = {.lex_state = 0},
  [6255] = {.lex_state = 0},
  [6256] = {.lex_state = 0},
  [6257] = {.lex_state = 0},
  [6258] = {.lex_state = 0},
  [6259] = {.lex_state = 0},
  [6260] = {.lex_state = 0},
  [6261] = {.lex_state = 0},
  [6262] = {.lex_state = 0},
  [6263] = {.lex_state = 0},
  [6264] = {.lex_state = 15},
  [6265] = {.lex_state = 15},
  [6266] = {.lex_state = 15},
  [6267] = {.lex_state = 0},
  [6268] = {.lex_state = 0},
  [6269] = {.lex_state = 15},
  [6270] = {.lex_state = 15},
  [6271] = {.lex_state = 15},
  [6272] = {.lex_state = 15},
  [6273] = {.lex_state = 15},
  [6274] = {.lex_state = 15},
  [6275] = {.lex_state = 15},
  [6276] = {.lex_state = 0},
  [6277] = {.lex_state = 0},
  [6278] = {.lex_state = 0},
  [6279] = {.lex_state = 0},
  [6280] = {.lex_state = 0},
  [6281] = {.lex_state = 0},
  [6282] = {.lex_state = 0},
  [6283] = {.lex_state = 0},
  [6284] = {.lex_state = 0},
  [6285] = {.lex_state = 0},
  [6286] = {.lex_state = 0},
  [6287] = {.lex_state = 0},
  [6288] = {.lex_state = 0},
  [6289] = {.lex_state = 0},
  [6290] = {.lex_state = 0},
  [6291] = {.lex_state = 0},
  [6292] = {.lex_state = 0},
  [6293] = {.lex_state = 0},
  [6294] = {.lex_state = 0},
  [6295] = {.lex_state = 0},
  [6296] = {.lex_state = 15},
  [6297] = {.lex_state = 15},
  [6298] = {.lex_state = 15},
  [6299] = {.lex_state = 15},
  [6300] = {.lex_state = 15},
  [6301] = {.lex_state = 0},
  [6302] = {.lex_state = 0},
  [6303] = {.lex_state = 0},
  [6304] = {.lex_state = 0},
  [6305] = {.lex_state = 15},
  [6306] = {.lex_state = 0},
  [6307] = {.lex_state = 8},
  [6308] = {.lex_state = 15},
  [6309] = {.lex_state = 0},
  [6310] = {.lex_state = 0},
  [6311] = {.lex_state = 0},
  [6312] = {.lex_state = 0},
  [6313] = {.lex_state = 0},
  [6314] = {.lex_state = 0},
  [6315] = {.lex_state = 0},
  [6316] = {.lex_state = 0},
  [6317] = {.lex_state = 0},
  [6318] = {.lex_state = 0},
  [6319] = {.lex_state = 0},
  [6320] = {.lex_state = 0},
  [6321] = {.lex_state = 0},
  [6322] = {.lex_state = 0},
  [6323] = {.lex_state = 15},
  [6324] = {.lex_state = 15},
  [6325] = {.lex_state = 15},
  [6326] = {.lex_state = 15},
  [6327] = {.lex_state = 0},
  [6328] = {.lex_state = 0},
  [6329] = {.lex_state = 0},
  [6330] = {.lex_state = 0},
  [6331] = {.lex_state = 0},
  [6332] = {.lex_state = 0},
  [6333] = {.lex_state = 0},
  [6334] = {.lex_state = 0},
  [6335] = {.lex_state = 0},
  [6336] = {.lex_state = 0},
  [6337] = {.lex_state = 15},
  [6338] = {.lex_state = 15},
  [6339] = {.lex_state = 15},
  [6340] = {.lex_state = 0},
  [6341] = {.lex_state = 0},
  [6342] = {.lex_state = 0},
  [6343] = {.lex_state = 0},
  [6344] = {.lex_state = 0},
  [6345] = {.lex_state = 0},
  [6346] = {.lex_state = 0},
  [6347] = {.lex_state = 0},
  [6348] = {.lex_state = 0},
  [6349] = {.lex_state = 15},
  [6350] = {.lex_state = 0},
  [6351] = {.lex_state = 0},
  [6352] = {.lex_state = 0},
  [6353] = {.lex_state = 0},
  [6354] = {.lex_state = 0},
  [6355] = {.lex_state = 0},
  [6356] = {.lex_state = 0},
  [6357] = {.lex_state = 0},
  [6358] = {.lex_state = 0},
  [6359] = {.lex_state = 0},
  [6360] = {.lex_state = 0},
  [6361] = {.lex_state = 0},
  [6362] = {.lex_state = 0},
  [6363] = {.lex_state = 0},
  [6364] = {.lex_state = 15},
  [6365] = {.lex_state = 0},
  [6366] = {.lex_state = 8},
  [6367] = {.lex_state = 15},
  [6368] = {.lex_state = 0},
  [6369] = {.lex_state = 0},
  [6370] = {.lex_state = 0},
  [6371] = {.lex_state = 0},
  [6372] = {.lex_state = 0},
  [6373] = {.lex_state = 0},
  [6374] = {.lex_state = 0},
  [6375] = {.lex_state = 0},
  [6376] = {.lex_state = 0},
  [6377] = {.lex_state = 0},
  [6378] = {.lex_state = 0},
  [6379] = {.lex_state = 0},
  [6380] = {.lex_state = 0},
  [6381] = {.lex_state = 0},
  [6382] = {.lex_state = 0},
  [6383] = {.lex_state = 0},
  [6384] = {.lex_state = 0},
  [6385] = {.lex_state = 0},
  [6386] = {.lex_state = 0},
  [6387] = {.lex_state = 0},
  [6388] = {.lex_state = 0},
  [6389] = {.lex_state = 0},
  [6390] = {.lex_state = 0},
  [6391] = {.lex_state = 0},
  [6392] = {.lex_state = 66},
  [6393] = {.lex_state = 61},
  [6394] = {.lex_state = 0},
  [6395] = {.lex_state = 0},
  [6396] = {.lex_state = 0},
  [6397] = {.lex_state = 0},
  [6398] = {.lex_state = 0},
  [6399] = {.lex_state = 0},
  [6400] = {.lex_state = 0},
  [6401] = {.lex_state = 0},
  [6402] = {.lex_state = 0},
  [6403] = {.lex_state = 0},
  [6404] = {.lex_state = 0},
  [6405] = {.lex_state = 0},
  [6406] = {.lex_state = 0},
  [6407] = {.lex_state = 0},
  [6408] = {.lex_state = 0},
  [6409] = {.lex_state = 0},
  [6410] = {.lex_state = 15},
  [6411] = {.lex_state = 15},
  [6412] = {.lex_state = 15},
  [6413] = {.lex_state = 0},
  [6414] = {.lex_state = 0},
  [6415] = {.lex_state = 15},
  [6416] = {.lex_state = 15},
  [6417] = {.lex_state = 15},
  [6418] = {.lex_state = 15},
  [6419] = {.lex_state = 15},
  [6420] = {.lex_state = 15},
  [6421] = {.lex_state = 15},
  [6422] = {.lex_state = 0},
  [6423] = {.lex_state = 15},
  [6424] = {.lex_state = 0},
  [6425] = {.lex_state = 0},
  [6426] = {.lex_state = 15},
  [6427] = {.lex_state = 15},
  [6428] = {.lex_state = 15},
  [6429] = {.lex_state = 15},
  [6430] = {.lex_state = 15},
  [6431] = {.lex_state = 8},
  [6432] = {.lex_state = 15},
  [6433] = {.lex_state = 0},
  [6434] = {.lex_state = 0},
  [6435] = {.lex_state = 0},
  [6436] = {.lex_state = 0},
  [6437] = {.lex_state = 15},
  [6438] = {.lex_state = 15},
  [6439] = {.lex_state = 15},
  [6440] = {.lex_state = 15},
  [6441] = {.lex_state = 0},
  [6442] = {.lex_state = 0},
  [6443] = {.lex_state = 0},
  [6444] = {.lex_state = 0},
  [6445] = {.lex_state = 0},
  [6446] = {.lex_state = 15},
  [6447] = {.lex_state = 15},
  [6448] = {.lex_state = 15},
  [6449] = {.lex_state = 0},
  [6450] = {.lex_state = 0},
  [6451] = {.lex_state = 0},
  [6452] = {.lex_state = 0},
  [6453] = {.lex_state = 15},
  [6454] = {.lex_state = 0},
  [6455] = {.lex_state = 0},
  [6456] = {.lex_state = 0},
  [6457] = {.lex_state = 0},
  [6458] = {.lex_state = 0},
  [6459] = {.lex_state = 0},
  [6460] = {.lex_state = 0},
  [6461] = {.lex_state = 0},
  [6462] = {.lex_state = 0},
  [6463] = {.lex_state = 0},
  [6464] = {.lex_state = 0},
  [6465] = {.lex_state = 0},
  [6466] = {.lex_state = 0},
  [6467] = {.lex_state = 0},
  [6468] = {.lex_state = 0},
  [6469] = {.lex_state = 0},
  [6470] = {.lex_state = 0},
  [6471] = {.lex_state = 66},
  [6472] = {.lex_state = 61},
  [6473] = {.lex_state = 0},
  [6474] = {.lex_state = 0},
  [6475] = {.lex_state = 0},
  [6476] = {.lex_state = 0},
  [6477] = {.lex_state = 0},
  [6478] = {.lex_state = 0},
  [6479] = {.lex_state = 0},
  [6480] = {.lex_state = 0},
  [6481] = {.lex_state = 0},
  [6482] = {.lex_state = 0},
  [6483] = {.lex_state = 0},
  [6484] = {.lex_state = 0},
  [6485] = {.lex_state = 15},
  [6486] = {.lex_state = 15},
  [6487] = {.lex_state = 15},
  [6488] = {.lex_state = 0},
  [6489] = {.lex_state = 0},
  [6490] = {.lex_state = 15},
  [6491] = {.lex_state = 15},
  [6492] = {.lex_state = 15},
  [6493] = {.lex_state = 15},
  [6494] = {.lex_state = 15},
  [6495] = {.lex_state = 15},
  [6496] = {.lex_state = 15},
  [6497] = {.lex_state = 0},
  [6498] = {.lex_state = 0},
  [6499] = {.lex_state = 15},
  [6500] = {.lex_state = 0},
  [6501] = {.lex_state = 15},
  [6502] = {.lex_state = 15},
  [6503] = {.lex_state = 15},
  [6504] = {.lex_state = 15},
  [6505] = {.lex_state = 15},
  [6506] = {.lex_state = 8},
  [6507] = {.lex_state = 15},
  [6508] = {.lex_state = 0},
  [6509] = {.lex_state = 0},
  [6510] = {.lex_state = 0},
  [6511] = {.lex_state = 0},
  [6512] = {.lex_state = 15},
  [6513] = {.lex_state = 15},
  [6514] = {.lex_state = 15},
  [6515] = {.lex_state = 15},
  [6516] = {.lex_state = 0},
  [6517] = {.lex_state = 0},
  [6518] = {.lex_state = 0},
  [6519] = {.lex_state = 0},
  [6520] = {.lex_state = 0},
  [6521] = {.lex_state = 15},
  [6522] = {.lex_state = 15},
  [6523] = {.lex_state = 15},
  [6524] = {.lex_state = 0},
  [6525] = {.lex_state = 0},
  [6526] = {.lex_state = 0},
  [6527] = {.lex_state = 0},
  [6528] = {.lex_state = 15},
  [6529] = {.lex_state = 0},
  [6530] = {.lex_state = 0},
  [6531] = {.lex_state = 0},
  [6532] = {.lex_state = 0},
  [6533] = {.lex_state = 0},
  [6534] = {.lex_state = 0},
  [6535] = {.lex_state = 0},
  [6536] = {.lex_state = 0},
  [6537] = {.lex_state = 0},
  [6538] = {.lex_state = 0},
  [6539] = {.lex_state = 66},
  [6540] = {.lex_state = 61},
  [6541] = {.lex_state = 0},
  [6542] = {.lex_state = 0},
  [6543] = {.lex_state = 0},
  [6544] = {.lex_state = 0},
  [6545] = {.lex_state = 0},
  [6546] = {.lex_state = 0},
  [6547] = {.lex_state = 0},
  [6548] = {.lex_state = 0},
  [6549] = {.lex_state = 0},
  [6550] = {.lex_state = 0},
  [6551] = {.lex_state = 15},
  [6552] = {.lex_state = 15},
  [6553] = {.lex_state = 15},
  [6554] = {.lex_state = 0},
  [6555] = {.lex_state = 0},
  [6556] = {.lex_state = 15},
  [6557] = {.lex_state = 15},
  [6558] = {.lex_state = 15},
  [6559] = {.lex_state = 15},
  [6560] = {.lex_state = 15},
  [6561] = {.lex_state = 15},
  [6562] = {.lex_state = 15},
  [6563] = {.lex_state = 0},
  [6564] = {.lex_state = 0},
  [6565] = {.lex_state = 0},
  [6566] = {.lex_state = 0},
  [6567] = {.lex_state = 15},
  [6568] = {.lex_state = 15},
  [6569] = {.lex_state = 15},
  [6570] = {.lex_state = 15},
  [6571] = {.lex_state = 15},
  [6572] = {.lex_state = 0},
  [6573] = {.lex_state = 0},
  [6574] = {.lex_state = 0},
  [6575] = {.lex_state = 0},
  [6576] = {.lex_state = 15},
  [6577] = {.lex_state = 15},
  [6578] = {.lex_state = 15},
  [6579] = {.lex_state = 15},
  [6580] = {.lex_state = 15},
  [6581] = {.lex_state = 0},
  [6582] = {.lex_state = 8},
  [6583] = {.lex_state = 15},
  [6584] = {.lex_state = 0},
  [6585] = {.lex_state = 0},
  [6586] = {.lex_state = 15},
  [6587] = {.lex_state = 15},
  [6588] = {.lex_state = 15},
  [6589] = {.lex_state = 0},
  [6590] = {.lex_state = 0},
  [6591] = {.lex_state = 0},
  [6592] = {.lex_state = 0},
  [6593] = {.lex_state = 15},
  [6594] = {.lex_state = 0},
  [6595] = {.lex_state = 0},
  [6596] = {.lex_state = 0},
  [6597] = {.lex_state = 66},
  [6598] = {.lex_state = 61},
  [6599] = {.lex_state = 0},
  [6600] = {.lex_state = 0},
  [6601] = {.lex_state = 0},
  [6602] = {.lex_state = 0},
  [6603] = {.lex_state = 0},
  [6604] = {.lex_state = 0},
  [6605] = {.lex_state = 0},
  [6606] = {.lex_state = 0},
  [6607] = {.lex_state = 0},
  [6608] = {.lex_state = 0},
  [6609] = {.lex_state = 15},
  [6610] = {.lex_state = 15},
  [6611] = {.lex_state = 15},
  [6612] = {.lex_state = 0},
  [6613] = {.lex_state = 0},
  [6614] = {.lex_state = 15},
  [6615] = {.lex_state = 15},
  [6616] = {.lex_state = 15},
  [6617] = {.lex_state = 15},
  [6618] = {.lex_state = 15},
  [6619] = {.lex_state = 15},
  [6620] = {.lex_state = 15},
  [6621] = {.lex_state = 0},
  [6622] = {.lex_state = 0},
  [6623] = {.lex_state = 0},
  [6624] = {.lex_state = 0},
  [6625] = {.lex_state = 15},
  [6626] = {.lex_state = 15},
  [6627] = {.lex_state = 15},
  [6628] = {.lex_state = 15},
  [6629] = {.lex_state = 15},
  [6630] = {.lex_state = 0},
  [6631] = {.lex_state = 0},
  [6632] = {.lex_state = 0},
  [6633] = {.lex_state = 0},
  [6634] = {.lex_state = 15},
  [6635] = {.lex_state = 15},
  [6636] = {.lex_state = 15},
  [6637] = {.lex_state = 15},
  [6638] = {.lex_state = 0},
  [6639] = {.lex_state = 0},
  [6640] = {.lex_state = 0},
  [6641] = {.lex_state = 15},
  [6642] = {.lex_state = 15},
  [6643] = {.lex_state = 15},
  [6644] = {.lex_state = 0},
  [6645] = {.lex_state = 0},
  [6646] = {.lex_state = 15},
  [6647] = {.lex_state = 0},
  [6648] = {.lex_state = 66},
  [6649] = {.lex_state = 61},
  [6650] = {.lex_state = 0},
  [6651] = {.lex_state = 0},
  [6652] = {.lex_state = 0},
  [6653] = {.lex_state = 0},
  [6654] = {.lex_state = 0},
  [6655] = {.lex_state = 0},
  [6656] = {.lex_state = 0},
  [6657] = {.lex_state = 0},
  [6658] = {.lex_state = 0},
  [6659] = {.lex_state = 0},
  [6660] = {.lex_state = 15},
  [6661] = {.lex_state = 15},
  [6662] = {.lex_state = 15},
  [6663] = {.lex_state = 0},
  [6664] = {.lex_state = 0},
  [6665] = {.lex_state = 15},
  [6666] = {.lex_state = 15},
  [6667] = {.lex_state = 15},
  [6668] = {.lex_state = 15},
  [6669] = {.lex_state = 15},
  [6670] = {.lex_state = 15},
  [6671] = {.lex_state = 15},
  [6672] = {.lex_state = 0},
  [6673] = {.lex_state = 0},
  [6674] = {.lex_state = 0},
  [6675] = {.lex_state = 0},
  [6676] = {.lex_state = 15},
  [6677] = {.lex_state = 15},
  [6678] = {.lex_state = 15},
  [6679] = {.lex_state = 15},
  [6680] = {.lex_state = 15},
  [6681] = {.lex_state = 0},
  [6682] = {.lex_state = 0},
  [6683] = {.lex_state = 15},
  [6684] = {.lex_state = 0},
  [6685] = {.lex_state = 15},
  [6686] = {.lex_state = 15},
  [6687] = {.lex_state = 15},
  [6688] = {.lex_state = 15},
  [6689] = {.lex_state = 8},
  [6690] = {.lex_state = 15},
  [6691] = {.lex_state = 0},
  [6692] = {.lex_state = 15},
  [6693] = {.lex_state = 15},
  [6694] = {.lex_state = 15},
  [6695] = {.lex_state = 0},
  [6696] = {.lex_state = 0},
  [6697] = {.lex_state = 15},
  [6698] = {.lex_state = 0},
  [6699] = {.lex_state = 66},
  [6700] = {.lex_state = 61},
  [6701] = {.lex_state = 0},
  [6702] = {.lex_state = 0},
  [6703] = {.lex_state = 0},
  [6704] = {.lex_state = 0},
  [6705] = {.lex_state = 0},
  [6706] = {.lex_state = 0},
  [6707] = {.lex_state = 0},
  [6708] = {.lex_state = 0},
  [6709] = {.lex_state = 0},
  [6710] = {.lex_state = 15},
  [6711] = {.lex_state = 15},
  [6712] = {.lex_state = 15},
  [6713] = {.lex_state = 0},
  [6714] = {.lex_state = 0},
  [6715] = {.lex_state = 15},
  [6716] = {.lex_state = 15},
  [6717] = {.lex_state = 15},
  [6718] = {.lex_state = 15},
  [6719] = {.lex_state = 15},
  [6720] = {.lex_state = 15},
  [6721] = {.lex_state = 15},
  [6722] = {.lex_state = 0},
  [6723] = {.lex_state = 15},
  [6724] = {.lex_state = 15},
  [6725] = {.lex_state = 15},
  [6726] = {.lex_state = 15},
  [6727] = {.lex_state = 15},
  [6728] = {.lex_state = 0},
  [6729] = {.lex_state = 15},
  [6730] = {.lex_state = 15},
  [6731] = {.lex_state = 15},
  [6732] = {.lex_state = 15},
  [6733] = {.lex_state = 0},
  [6734] = {.lex_state = 15},
  [6735] = {.lex_state = 15},
  [6736] = {.lex_state = 15},
  [6737] = {.lex_state = 0},
  [6738] = {.lex_state = 15},
  [6739] = {.lex_state = 0},
  [6740] = {.lex_state = 66},
  [6741] = {.lex_state = 61},
  [6742] = {.lex_state = 0},
  [6743] = {.lex_state = 0},
  [6744] = {.lex_state = 0},
  [6745] = {.lex_state = 0},
  [6746] = {.lex_state = 0},
  [6747] = {.lex_state = 0},
  [6748] = {.lex_state = 0},
  [6749] = {.lex_state = 0},
  [6750] = {.lex_state = 0},
  [6751] = {.lex_state = 15},
  [6752] = {.lex_state = 15},
  [6753] = {.lex_state = 15},
  [6754] = {.lex_state = 0},
  [6755] = {.lex_state = 0},
  [6756] = {.lex_state = 15},
  [6757] = {.lex_state = 15},
  [6758] = {.lex_state = 15},
  [6759] = {.lex_state = 15},
  [6760] = {.lex_state = 15},
  [6761] = {.lex_state = 15},
  [6762] = {.lex_state = 15},
  [6763] = {.lex_state = 0},
  [6764] = {.lex_state = 15},
  [6765] = {.lex_state = 15},
  [6766] = {.lex_state = 15},
  [6767] = {.lex_state = 15},
  [6768] = {.lex_state = 15},
  [6769] = {.lex_state = 0},
  [6770] = {.lex_state = 15},
  [6771] = {.lex_state = 15},
  [6772] = {.lex_state = 15},
  [6773] = {.lex_state = 15},
  [6774] = {.lex_state = 0},
  [6775] = {.lex_state = 15},
  [6776] = {.lex_state = 15},
  [6777] = {.lex_state = 15},
  [6778] = {.lex_state = 0},
  [6779] = {.lex_state = 15},
  [6780] = {.lex_state = 0},
  [6781] = {.lex_state = 66},
  [6782] = {.lex_state = 61},
  [6783] = {.lex_state = 0},
  [6784] = {.lex_state = 0},
  [6785] = {.lex_state = 0},
  [6786] = {.lex_state = 0},
  [6787] = {.lex_state = 0},
  [6788] = {.lex_state = 0},
  [6789] = {.lex_state = 0},
  [6790] = {.lex_state = 0},
  [6791] = {.lex_state = 0},
  [6792] = {.lex_state = 15},
  [6793] = {.lex_state = 15},
  [6794] = {.lex_state = 15},
  [6795] = {.lex_state = 0},
  [6796] = {.lex_state = 0},
  [6797] = {.lex_state = 15},
  [6798] = {.lex_state = 15},
  [6799] = {.lex_state = 15},
  [6800] = {.lex_state = 15},
  [6801] = {.lex_state = 15},
  [6802] = {.lex_state = 15},
  [6803] = {.lex_state = 15},
  [6804] = {.lex_state = 0},
  [6805] = {.lex_state = 15},
  [6806] = {.lex_state = 15},
  [6807] = {.lex_state = 15},
  [6808] = {.lex_state = 15},
  [6809] = {.lex_state = 15},
  [6810] = {.lex_state = 0},
  [6811] = {.lex_state = 15},
  [6812] = {.lex_state = 15},
  [6813] = {.lex_state = 15},
  [6814] = {.lex_state = 15},
  [6815] = {.lex_state = 0},
  [6816] = {.lex_state = 15},
  [6817] = {.lex_state = 15},
  [6818] = {.lex_state = 15},
  [6819] = {.lex_state = 0},
  [6820] = {.lex_state = 15},
  [6821] = {.lex_state = 0},
  [6822] = {.lex_state = 66},
  [6823] = {.lex_state = 61},
  [6824] = {.lex_state = 0},
  [6825] = {.lex_state = 0},
  [6826] = {.lex_state = 0},
  [6827] = {.lex_state = 0},
  [6828] = {.lex_state = 0},
  [6829] = {.lex_state = 0},
  [6830] = {.lex_state = 0},
  [6831] = {.lex_state = 0},
  [6832] = {.lex_state = 0},
  [6833] = {.lex_state = 15},
  [6834] = {.lex_state = 15},
  [6835] = {.lex_state = 15},
  [6836] = {.lex_state = 0},
  [6837] = {.lex_state = 0},
  [6838] = {.lex_state = 15},
  [6839] = {.lex_state = 15},
  [6840] = {.lex_state = 15},
  [6841] = {.lex_state = 15},
  [6842] = {.lex_state = 15},
  [6843] = {.lex_state = 15},
  [6844] = {.lex_state = 15},
  [6845] = {.lex_state = 0},
  [6846] = {.lex_state = 15},
  [6847] = {.lex_state = 15},
  [6848] = {.lex_state = 15},
  [6849] = {.lex_state = 15},
  [6850] = {.lex_state = 15},
  [6851] = {.lex_state = 15},
  [6852] = {.lex_state = 15},
  [6853] = {.lex_state = 15},
  [6854] = {.lex_state = 15},
  [6855] = {.lex_state = 15},
  [6856] = {.lex_state = 0},
  [6857] = {.lex_state = 15},
  [6858] = {.lex_state = 15},
  [6859] = {.lex_state = 15},
  [6860] = {.lex_state = 0},
  [6861] = {.lex_state = 15},
  [6862] = {.lex_state = 0},
  [6863] = {.lex_state = 66},
  [6864] = {.lex_state = 61},
  [6865] = {.lex_state = 0},
  [6866] = {.lex_state = 0},
  [6867] = {.lex_state = 8},
  [6868] = {.lex_state = 0},
  [6869] = {.lex_state = 15},
  [6870] = {.lex_state = 0},
  [6871] = {.lex_state = 0},
  [6872] = {.lex_state = 0},
  [6873] = {.lex_state = 0},
  [6874] = {.lex_state = 15},
  [6875] = {.lex_state = 15},
  [6876] = {.lex_state = 15},
  [6877] = {.lex_state = 0},
  [6878] = {.lex_state = 0},
  [6879] = {.lex_state = 15},
  [6880] = {.lex_state = 15},
  [6881] = {.lex_state = 15},
  [6882] = {.lex_state = 15},
  [6883] = {.lex_state = 15},
  [6884] = {.lex_state = 15},
  [6885] = {.lex_state = 15},
  [6886] = {.lex_state = 0},
  [6887] = {.lex_state = 15},
  [6888] = {.lex_state = 15},
  [6889] = {.lex_state = 15},
  [6890] = {.lex_state = 15},
  [6891] = {.lex_state = 15},
  [6892] = {.lex_state = 0},
  [6893] = {.lex_state = 15},
  [6894] = {.lex_state = 15},
  [6895] = {.lex_state = 15},
  [6896] = {.lex_state = 15},
  [6897] = {.lex_state = 0},
  [6898] = {.lex_state = 15},
  [6899] = {.lex_state = 15},
  [6900] = {.lex_state = 15},
  [6901] = {.lex_state = 0},
  [6902] = {.lex_state = 15},
  [6903] = {.lex_state = 0},
  [6904] = {.lex_state = 66},
  [6905] = {.lex_state = 61},
  [6906] = {.lex_state = 0},
  [6907] = {.lex_state = 0},
  [6908] = {.lex_state = 0},
  [6909] = {.lex_state = 0},
  [6910] = {.lex_state = 0},
  [6911] = {.lex_state = 0},
  [6912] = {.lex_state = 0},
  [6913] = {.lex_state = 0},
  [6914] = {.lex_state = 0},
  [6915] = {.lex_state = 15},
  [6916] = {.lex_state = 15},
  [6917] = {.lex_state = 15},
  [6918] = {.lex_state = 0},
  [6919] = {.lex_state = 0},
  [6920] = {.lex_state = 15},
  [6921] = {.lex_state = 15},
  [6922] = {.lex_state = 15},
  [6923] = {.lex_state = 15},
  [6924] = {.lex_state = 15},
  [6925] = {.lex_state = 15},
  [6926] = {.lex_state = 15},
  [6927] = {.lex_state = 0},
  [6928] = {.lex_state = 15},
  [6929] = {.lex_state = 15},
  [6930] = {.lex_state = 15},
  [6931] = {.lex_state = 15},
  [6932] = {.lex_state = 15},
  [6933] = {.lex_state = 0},
  [6934] = {.lex_state = 15},
  [6935] = {.lex_state = 15},
  [6936] = {.lex_state = 15},
  [6937] = {.lex_state = 15},
  [6938] = {.lex_state = 0},
  [6939] = {.lex_state = 15},
  [6940] = {.lex_state = 15},
  [6941] = {.lex_state = 15},
  [6942] = {.lex_state = 0},
  [6943] = {.lex_state = 15},
  [6944] = {.lex_state = 0},
  [6945] = {.lex_state = 66},
  [6946] = {.lex_state = 61},
  [6947] = {.lex_state = 0},
  [6948] = {.lex_state = 0},
  [6949] = {.lex_state = 0},
  [6950] = {.lex_state = 0},
  [6951] = {.lex_state = 0},
  [6952] = {.lex_state = 0},
  [6953] = {.lex_state = 0},
  [6954] = {.lex_state = 0},
  [6955] = {.lex_state = 0},
  [6956] = {.lex_state = 15},
  [6957] = {.lex_state = 15},
  [6958] = {.lex_state = 15},
  [6959] = {.lex_state = 0},
  [6960] = {.lex_state = 0},
  [6961] = {.lex_state = 15},
  [6962] = {.lex_state = 15},
  [6963] = {.lex_state = 15},
  [6964] = {.lex_state = 15},
  [6965] = {.lex_state = 15},
  [6966] = {.lex_state = 15},
  [6967] = {.lex_state = 15},
  [6968] = {.lex_state = 0},
  [6969] = {.lex_state = 15},
  [6970] = {.lex_state = 15},
  [6971] = {.lex_state = 15},
  [6972] = {.lex_state = 15},
  [6973] = {.lex_state = 15},
  [6974] = {.lex_state = 0},
  [6975] = {.lex_state = 15},
  [6976] = {.lex_state = 15},
  [6977] = {.lex_state = 15},
  [6978] = {.lex_state = 15},
  [6979] = {.lex_state = 0},
  [6980] = {.lex_state = 15},
  [6981] = {.lex_state = 15},
  [6982] = {.lex_state = 15},
  [6983] = {.lex_state = 0},
  [6984] = {.lex_state = 15},
  [6985] = {.lex_state = 0},
  [6986] = {.lex_state = 66},
  [6987] = {.lex_state = 61},
  [6988] = {.lex_state = 0},
  [6989] = {.lex_state = 0},
  [6990] = {.lex_state = 0},
  [6991] = {.lex_state = 0},
  [6992] = {.lex_state = 0},
  [6993] = {.lex_state = 0},
  [6994] = {.lex_state = 0},
  [6995] = {.lex_state = 0},
  [6996] = {.lex_state = 0},
  [6997] = {.lex_state = 15},
  [6998] = {.lex_state = 15},
  [6999] = {.lex_state = 15},
  [7000] = {.lex_state = 0},
  [7001] = {.lex_state = 0},
  [7002] = {.lex_state = 15},
  [7003] = {.lex_state = 15},
  [7004] = {.lex_state = 15},
  [7005] = {.lex_state = 15},
  [7006] = {.lex_state = 15},
  [7007] = {.lex_state = 15},
  [7008] = {.lex_state = 15},
  [7009] = {.lex_state = 0},
  [7010] = {.lex_state = 15},
  [7011] = {.lex_state = 15},
  [7012] = {.lex_state = 15},
  [7013] = {.lex_state = 15},
  [7014] = {.lex_state = 15},
  [7015] = {.lex_state = 0},
  [7016] = {.lex_state = 15},
  [7017] = {.lex_state = 15},
  [7018] = {.lex_state = 15},
  [7019] = {.lex_state = 15},
  [7020] = {.lex_state = 0},
  [7021] = {.lex_state = 15},
  [7022] = {.lex_state = 15},
  [7023] = {.lex_state = 15},
  [7024] = {.lex_state = 0},
  [7025] = {.lex_state = 15},
  [7026] = {.lex_state = 0},
  [7027] = {.lex_state = 66},
  [7028] = {.lex_state = 61},
  [7029] = {.lex_state = 0},
  [7030] = {.lex_state = 0},
  [7031] = {.lex_state = 0},
  [7032] = {.lex_state = 0},
  [7033] = {.lex_state = 15},
  [7034] = {.lex_state = 0},
  [7035] = {.lex_state = 0},
  [7036] = {.lex_state = 8},
  [7037] = {.lex_state = 0},
  [7038] = {.lex_state = 15},
  [7039] = {.lex_state = 15},
  [7040] = {.lex_state = 15},
  [7041] = {.lex_state = 0},
  [7042] = {.lex_state = 0},
  [7043] = {.lex_state = 15},
  [7044] = {.lex_state = 15},
  [7045] = {.lex_state = 15},
  [7046] = {.lex_state = 15},
  [7047] = {.lex_state = 15},
  [7048] = {.lex_state = 15},
  [7049] = {.lex_state = 15},
  [7050] = {.lex_state = 15},
  [7051] = {.lex_state = 15},
  [7052] = {.lex_state = 15},
  [7053] = {.lex_state = 15},
  [7054] = {.lex_state = 15},
  [7055] = {.lex_state = 15},
  [7056] = {.lex_state = 0},
  [7057] = {.lex_state = 15},
  [7058] = {.lex_state = 15},
  [7059] = {.lex_state = 15},
  [7060] = {.lex_state = 15},
  [7061] = {.lex_state = 0},
  [7062] = {.lex_state = 15},
  [7063] = {.lex_state = 15},
  [7064] = {.lex_state = 15},
  [7065] = {.lex_state = 0},
  [7066] = {.lex_state = 15},
  [7067] = {.lex_state = 0},
  [7068] = {.lex_state = 66},
  [7069] = {.lex_state = 61},
  [7070] = {.lex_state = 0},
  [7071] = {.lex_state = 0},
  [7072] = {.lex_state = 15},
  [7073] = {.lex_state = 0},
  [7074] = {.lex_state = 15},
  [7075] = {.lex_state = 0},
  [7076] = {.lex_state = 15},
  [7077] = {.lex_state = 15},
  [7078] = {.lex_state = 0},
  [7079] = {.lex_state = 15},
  [7080] = {.lex_state = 15},
  [7081] = {.lex_state = 15},
  [7082] = {.lex_state = 0},
  [7083] = {.lex_state = 0},
  [7084] = {.lex_state = 15},
  [7085] = {.lex_state = 15},
  [7086] = {.lex_state = 15},
  [7087] = {.lex_state = 15},
  [7088] = {.lex_state = 15},
  [7089] = {.lex_state = 15},
  [7090] = {.lex_state = 15},
  [7091] = {.lex_state = 15},
  [7092] = {.lex_state = 15},
  [7093] = {.lex_state = 15},
  [7094] = {.lex_state = 15},
  [7095] = {.lex_state = 15},
  [7096] = {.lex_state = 15},
  [7097] = {.lex_state = 0},
  [7098] = {.lex_state = 15},
  [7099] = {.lex_state = 15},
  [7100] = {.lex_state = 15},
  [7101] = {.lex_state = 15},
  [7102] = {.lex_state = 0},
  [7103] = {.lex_state = 15},
  [7104] = {.lex_state = 15},
  [7105] = {.lex_state = 15},
  [7106] = {.lex_state = 0},
  [7107] = {.lex_state = 15},
  [7108] = {.lex_state = 0},
  [7109] = {.lex_state = 66},
  [7110] = {.lex_state = 61},
  [7111] = {.lex_state = 0},
  [7112] = {.lex_state = 0},
  [7113] = {.lex_state = 0},
  [7114] = {.lex_state = 15},
  [7115] = {.lex_state = 15},
  [7116] = {.lex_state = 0},
  [7117] = {.lex_state = 0},
  [7118] = {.lex_state = 0},
  [7119] = {.lex_state = 15},
  [7120] = {.lex_state = 15},
  [7121] = {.lex_state = 15},
  [7122] = {.lex_state = 0},
  [7123] = {.lex_state = 0},
  [7124] = {.lex_state = 15},
  [7125] = {.lex_state = 15},
  [7126] = {.lex_state = 15},
  [7127] = {.lex_state = 15},
  [7128] = {.lex_state = 15},
  [7129] = {.lex_state = 15},
  [7130] = {.lex_state = 15},
  [7131] = {.lex_state = 15},
  [7132] = {.lex_state = 15},
  [7133] = {.lex_state = 15},
  [7134] = {.lex_state = 15},
  [7135] = {.lex_state = 15},
  [7136] = {.lex_state = 15},
  [7137] = {.lex_state = 15},
  [7138] = {.lex_state = 15},
  [7139] = {.lex_state = 15},
  [7140] = {.lex_state = 15},
  [7141] = {.lex_state = 15},
  [7142] = {.lex_state = 15},
  [7143] = {.lex_state = 15},
  [7144] = {.lex_state = 15},
  [7145] = {.lex_state = 15},
  [7146] = {.lex_state = 15},
  [7147] = {.lex_state = 15},
  [7148] = {.lex_state = 0},
  [7149] = {.lex_state = 66},
  [7150] = {.lex_state = 61},
  [7151] = {.lex_state = 0},
  [7152] = {.lex_state = 0},
  [7153] = {.lex_state = 0},
  [7154] = {.lex_state = 0},
  [7155] = {.lex_state = 0},
  [7156] = {.lex_state = 0},
  [7157] = {.lex_state = 15},
  [7158] = {.lex_state = 0},
  [7159] = {.lex_state = 0},
  [7160] = {.lex_state = 15},
  [7161] = {.lex_state = 15},
  [7162] = {.lex_state = 15},
  [7163] = {.lex_state = 0},
  [7164] = {.lex_state = 0},
  [7165] = {.lex_state = 15},
  [7166] = {.lex_state = 15},
  [7167] = {.lex_state = 15},
  [7168] = {.lex_state = 15},
  [7169] = {.lex_state = 15},
  [7170] = {.lex_state = 15},
  [7171] = {.lex_state = 15},
  [7172] = {.lex_state = 0},
  [7173] = {.lex_state = 15},
  [7174] = {.lex_state = 15},
  [7175] = {.lex_state = 15},
  [7176] = {.lex_state = 15},
  [7177] = {.lex_state = 15},
  [7178] = {.lex_state = 0},
  [7179] = {.lex_state = 15},
  [7180] = {.lex_state = 15},
  [7181] = {.lex_state = 15},
  [7182] = {.lex_state = 15},
  [7183] = {.lex_state = 0},
  [7184] = {.lex_state = 15},
  [7185] = {.lex_state = 15},
  [7186] = {.lex_state = 15},
  [7187] = {.lex_state = 0},
  [7188] = {.lex_state = 15},
  [7189] = {.lex_state = 0},
  [7190] = {.lex_state = 0},
  [7191] = {.lex_state = 0},
  [7192] = {.lex_state = 0},
  [7193] = {.lex_state = 0},
  [7194] = {.lex_state = 0},
  [7195] = {.lex_state = 0},
  [7196] = {.lex_state = 0},
  [7197] = {.lex_state = 0},
  [7198] = {.lex_state = 0},
  [7199] = {.lex_state = 0},
  [7200] = {.lex_state = 0},
  [7201] = {.lex_state = 0},
  [7202] = {.lex_state = 0},
  [7203] = {.lex_state = 0},
  [7204] = {.lex_state = 0},
  [7205] = {.lex_state = 0},
  [7206] = {.lex_state = 0},
  [7207] = {.lex_state = 0},
  [7208] = {.lex_state = 0},
  [7209] = {.lex_state = 0},
  [7210] = {.lex_state = 0},
  [7211] = {.lex_state = 0},
  [7212] = {.lex_state = 0},
  [7213] = {.lex_state = 0},
  [7214] = {.lex_state = 0},
  [7215] = {.lex_state = 0},
  [7216] = {.lex_state = 0},
  [7217] = {.lex_state = 0},
  [7218] = {.lex_state = 15},
  [7219] = {.lex_state = 0},
  [7220] = {.lex_state = 0},
  [7221] = {.lex_state = 0},
  [7222] = {.lex_state = 8},
  [7223] = {.lex_state = 0},
  [7224] = {.lex_state = 0},
  [7225] = {.lex_state = 0},
  [7226] = {.lex_state = 0},
  [7227] = {.lex_state = 0},
  [7228] = {.lex_state = 0},
  [7229] = {.lex_state = 0},
  [7230] = {.lex_state = 0},
  [7231] = {.lex_state = 0},
  [7232] = {.lex_state = 0},
  [7233] = {.lex_state = 0},
  [7234] = {.lex_state = 0},
  [7235] = {.lex_state = 0},
  [7236] = {.lex_state = 0},
  [7237] = {.lex_state = 0},
  [7238] = {.lex_state = 0},
  [7239] = {.lex_state = 0},
  [7240] = {.lex_state = 0},
  [7241] = {.lex_state = 0},
  [7242] = {.lex_state = 0},
  [7243] = {.lex_state = 0},
  [7244] = {.lex_state = 0},
  [7245] = {.lex_state = 0},
  [7246] = {.lex_state = 0},
  [7247] = {.lex_state = 0},
  [7248] = {.lex_state = 0},
  [7249] = {.lex_state = 0},
  [7250] = {.lex_state = 0},
  [7251] = {.lex_state = 0},
  [7252] = {.lex_state = 0},
  [7253] = {.lex_state = 0},
  [7254] = {.lex_state = 0},
  [7255] = {.lex_state = 0},
  [7256] = {.lex_state = 0},
  [7257] = {.lex_state = 0},
  [7258] = {.lex_state = 0},
  [7259] = {.lex_state = 0},
  [7260] = {.lex_state = 0},
  [7261] = {.lex_state = 0},
  [7262] = {.lex_state = 0},
  [7263] = {.lex_state = 0},
  [7264] = {.lex_state = 0},
  [7265] = {.lex_state = 0},
  [7266] = {.lex_state = 0},
  [7267] = {.lex_state = 0},
  [7268] = {.lex_state = 0},
  [7269] = {.lex_state = 0},
  [7270] = {.lex_state = 0},
  [7271] = {.lex_state = 0},
  [7272] = {.lex_state = 0},
  [7273] = {.lex_state = 0},
  [7274] = {.lex_state = 0},
  [7275] = {.lex_state = 0},
  [7276] = {.lex_state = 0},
  [7277] = {.lex_state = 0},
  [7278] = {.lex_state = 15},
  [7279] = {.lex_state = 0},
  [7280] = {.lex_state = 0},
  [7281] = {.lex_state = 8},
  [7282] = {.lex_state = 15},
  [7283] = {.lex_state = 0},
  [7284] = {.lex_state = 0},
  [7285] = {.lex_state = 0},
  [7286] = {.lex_state = 0},
  [7287] = {.lex_state = 0},
  [7288] = {.lex_state = 0},
  [7289] = {.lex_state = 0},
  [7290] = {.lex_state = 0},
  [7291] = {.lex_state = 0},
  [7292] = {.lex_state = 0},
  [7293] = {.lex_state = 0},
  [7294] = {.lex_state = 0},
  [7295] = {.lex_state = 0},
  [7296] = {.lex_state = 0},
  [7297] = {.lex_state = 0},
  [7298] = {.lex_state = 0},
  [7299] = {.lex_state = 0},
  [7300] = {.lex_state = 0},
  [7301] = {.lex_state = 0},
  [7302] = {.lex_state = 0},
  [7303] = {.lex_state = 0},
  [7304] = {.lex_state = 0},
  [7305] = {.lex_state = 0},
  [7306] = {.lex_state = 0},
  [7307] = {.lex_state = 0},
  [7308] = {.lex_state = 0},
  [7309] = {.lex_state = 0},
  [7310] = {.lex_state = 0},
  [7311] = {.lex_state = 0},
  [7312] = {.lex_state = 0},
  [7313] = {.lex_state = 0},
  [7314] = {.lex_state = 0},
  [7315] = {.lex_state = 0},
  [7316] = {.lex_state = 0},
  [7317] = {.lex_state = 0},
  [7318] = {.lex_state = 0},
  [7319] = {.lex_state = 0},
  [7320] = {.lex_state = 0},
  [7321] = {.lex_state = 0},
  [7322] = {.lex_state = 0},
  [7323] = {.lex_state = 0},
  [7324] = {.lex_state = 0},
  [7325] = {.lex_state = 0},
  [7326] = {.lex_state = 0},
  [7327] = {.lex_state = 0},
  [7328] = {.lex_state = 0},
  [7329] = {.lex_state = 0},
  [7330] = {.lex_state = 0},
  [7331] = {.lex_state = 0},
  [7332] = {.lex_state = 0},
  [7333] = {.lex_state = 0},
  [7334] = {.lex_state = 0},
  [7335] = {.lex_state = 0},
  [7336] = {.lex_state = 0},
  [7337] = {.lex_state = 0},
  [7338] = {.lex_state = 0},
  [7339] = {.lex_state = 0},
  [7340] = {.lex_state = 0},
  [7341] = {.lex_state = 0},
  [7342] = {.lex_state = 0},
  [7343] = {.lex_state = 15},
  [7344] = {.lex_state = 0},
  [7345] = {.lex_state = 0},
  [7346] = {.lex_state = 0},
  [7347] = {.lex_state = 0},
  [7348] = {.lex_state = 0},
  [7349] = {.lex_state = 8},
  [7350] = {.lex_state = 15},
  [7351] = {.lex_state = 0},
  [7352] = {.lex_state = 0},
  [7353] = {.lex_state = 15},
  [7354] = {.lex_state = 0},
  [7355] = {.lex_state = 0},
  [7356] = {.lex_state = 0},
  [7357] = {.lex_state = 0},
  [7358] = {.lex_state = 0},
  [7359] = {.lex_state = 0},
  [7360] = {.lex_state = 0},
  [7361] = {.lex_state = 0},
  [7362] = {.lex_state = 0},
  [7363] = {.lex_state = 0},
  [7364] = {.lex_state = 0},
  [7365] = {.lex_state = 0},
  [7366] = {.lex_state = 0},
  [7367] = {.lex_state = 0},
  [7368] = {.lex_state = 0},
  [7369] = {.lex_state = 0},
  [7370] = {.lex_state = 0},
  [7371] = {.lex_state = 0},
  [7372] = {.lex_state = 0},
  [7373] = {.lex_state = 0},
  [7374] = {.lex_state = 0},
  [7375] = {.lex_state = 0},
  [7376] = {.lex_state = 0},
  [7377] = {.lex_state = 0},
  [7378] = {.lex_state = 0},
  [7379] = {.lex_state = 0},
  [7380] = {.lex_state = 0},
  [7381] = {.lex_state = 0},
  [7382] = {.lex_state = 0},
  [7383] = {.lex_state = 0},
  [7384] = {.lex_state = 0},
  [7385] = {.lex_state = 0},
  [7386] = {.lex_state = 0},
  [7387] = {.lex_state = 0},
  [7388] = {.lex_state = 0},
  [7389] = {.lex_state = 0},
  [7390] = {.lex_state = 0},
  [7391] = {.lex_state = 0},
  [7392] = {.lex_state = 0},
  [7393] = {.lex_state = 0},
  [7394] = {.lex_state = 0},
  [7395] = {.lex_state = 0},
  [7396] = {.lex_state = 0},
  [7397] = {.lex_state = 0},
  [7398] = {.lex_state = 0},
  [7399] = {.lex_state = 0},
  [7400] = {.lex_state = 0},
  [7401] = {.lex_state = 0},
  [7402] = {.lex_state = 0},
  [7403] = {.lex_state = 0},
  [7404] = {.lex_state = 0},
  [7405] = {.lex_state = 0},
  [7406] = {.lex_state = 0},
  [7407] = {.lex_state = 0},
  [7408] = {.lex_state = 0},
  [7409] = {.lex_state = 0},
  [7410] = {.lex_state = 0},
  [7411] = {.lex_state = 0},
  [7412] = {.lex_state = 0},
  [7413] = {.lex_state = 0},
  [7414] = {.lex_state = 0},
  [7415] = {.lex_state = 0},
  [7416] = {.lex_state = 0},
  [7417] = {.lex_state = 0},
  [7418] = {.lex_state = 0},
  [7419] = {.lex_state = 0},
  [7420] = {.lex_state = 0},
  [7421] = {.lex_state = 0},
  [7422] = {.lex_state = 0},
  [7423] = {.lex_state = 0},
  [7424] = {.lex_state = 0},
  [7425] = {.lex_state = 0},
  [7426] = {.lex_state = 0},
  [7427] = {.lex_state = 0},
  [7428] = {.lex_state = 0},
  [7429] = {.lex_state = 0},
  [7430] = {.lex_state = 0},
  [7431] = {.lex_state = 0},
  [7432] = {.lex_state = 0},
  [7433] = {.lex_state = 0},
  [7434] = {.lex_state = 0},
  [7435] = {.lex_state = 0},
  [7436] = {.lex_state = 0},
  [7437] = {.lex_state = 0},
  [7438] = {.lex_state = 0},
  [7439] = {.lex_state = 0},
  [7440] = {.lex_state = 0},
  [7441] = {.lex_state = 0},
  [7442] = {.lex_state = 0},
  [7443] = {.lex_state = 0},
  [7444] = {.lex_state = 0},
  [7445] = {.lex_state = 0},
  [7446] = {.lex_state = 0},
  [7447] = {.lex_state = 0},
  [7448] = {.lex_state = 0},
  [7449] = {.lex_state = 0},
  [7450] = {.lex_state = 0},
  [7451] = {.lex_state = 15},
  [7452] = {.lex_state = 0},
  [7453] = {.lex_state = 0},
  [7454] = {.lex_state = 0},
  [7455] = {.lex_state = 0},
  [7456] = {.lex_state = 0},
  [7457] = {.lex_state = 0},
  [7458] = {.lex_state = 0},
  [7459] = {.lex_state = 0},
  [7460] = {.lex_state = 0},
  [7461] = {.lex_state = 15},
  [7462] = {.lex_state = 0},
  [7463] = {.lex_state = 0},
  [7464] = {.lex_state = 0},
  [7465] = {.lex_state = 0},
  [7466] = {.lex_state = 0},
  [7467] = {.lex_state = 0},
  [7468] = {.lex_state = 0},
  [7469] = {.lex_state = 0},
  [7470] = {.lex_state = 0},
  [7471] = {.lex_state = 0},
  [7472] = {.lex_state = 15},
  [7473] = {.lex_state = 15},
  [7474] = {.lex_state = 0},
  [7475] = {.lex_state = 0},
  [7476] = {.lex_state = 0},
  [7477] = {.lex_state = 0},
  [7478] = {.lex_state = 0},
  [7479] = {.lex_state = 0},
  [7480] = {.lex_state = 0},
  [7481] = {.lex_state = 0},
  [7482] = {.lex_state = 0},
  [7483] = {.lex_state = 0},
  [7484] = {.lex_state = 15},
  [7485] = {.lex_state = 0},
  [7486] = {.lex_state = 15},
  [7487] = {.lex_state = 0},
  [7488] = {.lex_state = 0},
  [7489] = {.lex_state = 0},
  [7490] = {.lex_state = 0},
  [7491] = {.lex_state = 0},
  [7492] = {.lex_state = 0},
  [7493] = {.lex_state = 0},
  [7494] = {.lex_state = 0},
  [7495] = {.lex_state = 0},
  [7496] = {.lex_state = 0},
  [7497] = {.lex_state = 0},
  [7498] = {.lex_state = 0},
  [7499] = {.lex_state = 0},
  [7500] = {.lex_state = 0},
  [7501] = {.lex_state = 0},
  [7502] = {.lex_state = 0},
  [7503] = {.lex_state = 0},
  [7504] = {.lex_state = 0},
  [7505] = {.lex_state = 0},
  [7506] = {.lex_state = 0},
  [7507] = {.lex_state = 0},
  [7508] = {.lex_state = 15},
  [7509] = {.lex_state = 0},
  [7510] = {.lex_state = 0},
  [7511] = {.lex_state = 15},
  [7512] = {.lex_state = 0},
  [7513] = {.lex_state = 0},
  [7514] = {.lex_state = 0},
  [7515] = {.lex_state = 0},
  [7516] = {.lex_state = 0},
  [7517] = {.lex_state = 0},
  [7518] = {.lex_state = 15},
  [7519] = {.lex_state = 0},
  [7520] = {.lex_state = 0},
  [7521] = {.lex_state = 0},
  [7522] = {.lex_state = 0},
  [7523] = {.lex_state = 0},
  [7524] = {.lex_state = 8},
  [7525] = {.lex_state = 15},
  [7526] = {.lex_state = 0},
  [7527] = {.lex_state = 0},
  [7528] = {.lex_state = 0},
  [7529] = {.lex_state = 0},
  [7530] = {.lex_state = 0},
  [7531] = {.lex_state = 0},
  [7532] = {.lex_state = 0},
  [7533] = {.lex_state = 0},
  [7534] = {.lex_state = 0},
  [7535] = {.lex_state = 0},
  [7536] = {.lex_state = 15},
  [7537] = {.lex_state = 0},
  [7538] = {.lex_state = 0},
  [7539] = {.lex_state = 15},
  [7540] = {.lex_state = 15},
  [7541] = {.lex_state = 15},
  [7542] = {.lex_state = 0},
  [7543] = {.lex_state = 15},
  [7544] = {.lex_state = 0},
  [7545] = {.lex_state = 0},
  [7546] = {.lex_state = 0},
  [7547] = {.lex_state = 0},
  [7548] = {.lex_state = 0},
  [7549] = {.lex_state = 0},
  [7550] = {.lex_state = 0},
  [7551] = {.lex_state = 0},
  [7552] = {.lex_state = 0},
  [7553] = {.lex_state = 0},
  [7554] = {.lex_state = 0},
  [7555] = {.lex_state = 0},
  [7556] = {.lex_state = 0},
  [7557] = {.lex_state = 0},
  [7558] = {.lex_state = 15},
  [7559] = {.lex_state = 0},
  [7560] = {.lex_state = 15},
  [7561] = {.lex_state = 15},
  [7562] = {.lex_state = 15},
  [7563] = {.lex_state = 15},
  [7564] = {.lex_state = 0},
  [7565] = {.lex_state = 0},
  [7566] = {.lex_state = 0},
  [7567] = {.lex_state = 0},
  [7568] = {.lex_state = 0},
  [7569] = {.lex_state = 0},
  [7570] = {.lex_state = 0},
  [7571] = {.lex_state = 15},
  [7572] = {.lex_state = 0},
  [7573] = {.lex_state = 15},
  [7574] = {.lex_state = 15},
  [7575] = {.lex_state = 15},
  [7576] = {.lex_state = 15},
  [7577] = {.lex_state = 0},
  [7578] = {.lex_state = 0},
  [7579] = {.lex_state = 0},
  [7580] = {.lex_state = 0},
  [7581] = {.lex_state = 0},
  [7582] = {.lex_state = 0},
  [7583] = {.lex_state = 0},
  [7584] = {.lex_state = 15},
  [7585] = {.lex_state = 0},
  [7586] = {.lex_state = 15},
  [7587] = {.lex_state = 15},
  [7588] = {.lex_state = 15},
  [7589] = {.lex_state = 15},
  [7590] = {.lex_state = 0},
  [7591] = {.lex_state = 0},
  [7592] = {.lex_state = 0},
  [7593] = {.lex_state = 15},
  [7594] = {.lex_state = 0},
  [7595] = {.lex_state = 15},
  [7596] = {.lex_state = 15},
  [7597] = {.lex_state = 15},
  [7598] = {.lex_state = 15},
  [7599] = {.lex_state = 15},
  [7600] = {.lex_state = 0},
  [7601] = {.lex_state = 0},
  [7602] = {.lex_state = 0},
  [7603] = {.lex_state = 0},
  [7604] = {.lex_state = 0},
  [7605] = {.lex_state = 15},
  [7606] = {.lex_state = 15},
  [7607] = {.lex_state = 15},
  [7608] = {.lex_state = 15},
  [7609] = {.lex_state = 15},
  [7610] = {.lex_state = 0},
  [7611] = {.lex_state = 0},
  [7612] = {.lex_state = 0},
  [7613] = {.lex_state = 15},
  [7614] = {.lex_state = 15},
  [7615] = {.lex_state = 15},
  [7616] = {.lex_state = 15},
  [7617] = {.lex_state = 15},
  [7618] = {.lex_state = 0},
  [7619] = {.lex_state = 0},
  [7620] = {.lex_state = 0},
  [7621] = {.lex_state = 15},
  [7622] = {.lex_state = 15},
  [7623] = {.lex_state = 15},
  [7624] = {.lex_state = 15},
  [7625] = {.lex_state = 15},
  [7626] = {.lex_state = 0},
  [7627] = {.lex_state = 15},
  [7628] = {.lex_state = 15},
  [7629] = {.lex_state = 15},
  [7630] = {.lex_state = 15},
  [7631] = {.lex_state = 15},
  [7632] = {.lex_state = 15},
  [7633] = {.lex_state = 15},
  [7634] = {.lex_state = 15},
  [7635] = {.lex_state = 0},
  [7636] = {.lex_state = 0},
  [7637] = {.lex_state = 15},
  [7638] = {.lex_state = 15},
  [7639] = {.lex_state = 15},
  [7640] = {.lex_state = 15},
  [7641] = {.lex_state = 15},
  [7642] = {.lex_state = 30},
  [7643] = {.lex_state = 0},
  [7644] = {.lex_state = 15},
  [7645] = {.lex_state = 15},
  [7646] = {.lex_state = 15},
  [7647] = {.lex_state = 15},
  [7648] = {.lex_state = 15},
  [7649] = {.lex_state = 15},
  [7650] = {.lex_state = 0},
  [7651] = {.lex_state = 0},
  [7652] = {.lex_state = 61},
  [7653] = {.lex_state = 15},
  [7654] = {.lex_state = 15},
  [7655] = {.lex_state = 15},
  [7656] = {.lex_state = 15},
  [7657] = {.lex_state = 15},
  [7658] = {.lex_state = 0},
  [7659] = {.lex_state = 66},
  [7660] = {.lex_state = 8},
  [7661] = {.lex_state = 15},
  [7662] = {.lex_state = 15},
  [7663] = {.lex_state = 15},
  [7664] = {.lex_state = 15},
  [7665] = {.lex_state = 15},
  [7666] = {.lex_state = 0},
  [7667] = {.lex_state = 15},
  [7668] = {.lex_state = 0},
  [7669] = {.lex_state = 15},
  [7670] = {.lex_state = 15},
  [7671] = {.lex_state = 15},
  [7672] = {.lex_state = 15},
  [7673] = {.lex_state = 15},
  [7674] = {.lex_state = 0},
  [7675] = {.lex_state = 0},
  [7676] = {.lex_state = 0},
  [7677] = {.lex_state = 15},
  [7678] = {.lex_state = 15},
  [7679] = {.lex_state = 15},
  [7680] = {.lex_state = 15},
  [7681] = {.lex_state = 15},
  [7682] = {.lex_state = 0},
  [7683] = {.lex_state = 0},
  [7684] = {.lex_state = 15},
  [7685] = {.lex_state = 15},
  [7686] = {.lex_state = 15},
  [7687] = {.lex_state = 15},
  [7688] = {.lex_state = 15},
  [7689] = {.lex_state = 0},
  [7690] = {.lex_state = 0},
  [7691] = {.lex_state = 0},
  [7692] = {.lex_state = 15},
  [7693] = {.lex_state = 15},
  [7694] = {.lex_state = 15},
  [7695] = {.lex_state = 15},
  [7696] = {.lex_state = 15},
  [7697] = {.lex_state = 0},
  [7698] = {.lex_state = 0},
  [7699] = {.lex_state = 0},
  [7700] = {.lex_state = 15},
  [7701] = {.lex_state = 15},
  [7702] = {.lex_state = 15},
  [7703] = {.lex_state = 15},
  [7704] = {.lex_state = 15},
  [7705] = {.lex_state = 0},
  [7706] = {.lex_state = 0},
  [7707] = {.lex_state = 0},
  [7708] = {.lex_state = 0},
  [7709] = {.lex_state = 0},
  [7710] = {.lex_state = 0},
  [7711] = {.lex_state = 0},
  [7712] = {.lex_state = 0},
  [7713] = {.lex_state = 0},
  [7714] = {.lex_state = 0},
  [7715] = {.lex_state = 0},
  [7716] = {.lex_state = 0},
  [7717] = {.lex_state = 15},
  [7718] = {.lex_state = 0},
  [7719] = {.lex_state = 0},
  [7720] = {.lex_state = 15},
  [7721] = {.lex_state = 0},
  [7722] = {.lex_state = 0},
  [7723] = {.lex_state = 0},
  [7724] = {.lex_state = 0},
  [7725] = {.lex_state = 0},
  [7726] = {.lex_state = 15},
  [7727] = {.lex_state = 0},
  [7728] = {.lex_state = 0},
  [7729] = {.lex_state = 0},
  [7730] = {.lex_state = 0},
  [7731] = {.lex_state = 0},
  [7732] = {.lex_state = 0},
  [7733] = {.lex_state = 0},
  [7734] = {.lex_state = 0},
  [7735] = {.lex_state = 0},
  [7736] = {.lex_state = 0},
  [7737] = {.lex_state = 0},
  [7738] = {.lex_state = 0},
  [7739] = {.lex_state = 0},
  [7740] = {.lex_state = 0},
  [7741] = {.lex_state = 15},
  [7742] = {.lex_state = 0},
  [7743] = {.lex_state = 0},
  [7744] = {.lex_state = 0},
  [7745] = {.lex_state = 0},
  [7746] = {.lex_state = 0},
  [7747] = {.lex_state = 0},
  [7748] = {.lex_state = 0},
  [7749] = {.lex_state = 0},
  [7750] = {.lex_state = 0},
  [7751] = {.lex_state = 0},
  [7752] = {.lex_state = 0},
  [7753] = {.lex_state = 0},
  [7754] = {.lex_state = 0},
  [7755] = {.lex_state = 0},
  [7756] = {.lex_state = 0},
  [7757] = {.lex_state = 0},
  [7758] = {.lex_state = 0},
  [7759] = {.lex_state = 0},
  [7760] = {.lex_state = 0},
  [7761] = {.lex_state = 0},
  [7762] = {.lex_state = 15},
  [7763] = {.lex_state = 0},
  [7764] = {.lex_state = 3},
  [7765] = {.lex_state = 0},
  [7766] = {.lex_state = 0},
  [7767] = {.lex_state = 0},
  [7768] = {.lex_state = 0},
  [7769] = {.lex_state = 0},
  [7770] = {(TSStateId)(-1)},
  [7771] = {(TSStateId)(-1)},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [sym_comment] = STATE(0),
    [sym_marginalia] = STATE(0),
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym__identifier] = ACTIONS(1),
    [sym_keyword_select] = ACTIONS(1),
    [sym_keyword_delete] = ACTIONS(1),
    [sym_keyword_insert] = ACTIONS(1),
    [sym_keyword_replace] = ACTIONS(1),
    [sym_keyword_update] = ACTIONS(1),
    [sym_keyword_into] = ACTIONS(1),
    [sym_keyword_values] = ACTIONS(1),
    [sym_keyword_set] = ACTIONS(1),
    [sym_keyword_from] = ACTIONS(1),
    [sym_keyword_left] = ACTIONS(1),
    [sym_keyword_right] = ACTIONS(1),
    [sym_keyword_inner] = ACTIONS(1),
    [sym_keyword_outer] = ACTIONS(1),
    [sym_keyword_cross] = ACTIONS(1),
    [sym_keyword_join] = ACTIONS(1),
    [sym_keyword_lateral] = ACTIONS(1),
    [sym_keyword_on] = ACTIONS(1),
    [sym_keyword_where] = ACTIONS(1),
    [sym_keyword_order] = ACTIONS(1),
    [sym_keyword_group] = ACTIONS(1),
    [sym_keyword_partition] = ACTIONS(1),
    [sym_keyword_by] = ACTIONS(1),
    [sym_keyword_having] = ACTIONS(1),
    [sym_keyword_desc] = ACTIONS(1),
    [sym_keyword_asc] = ACTIONS(1),
    [sym_keyword_limit] = ACTIONS(1),
    [sym_keyword_offset] = ACTIONS(1),
    [sym_keyword_primary] = ACTIONS(1),
    [sym_keyword_create] = ACTIONS(1),
    [sym_keyword_alter] = ACTIONS(1),
    [sym_keyword_change] = ACTIONS(1),
    [sym_keyword_modify] = ACTIONS(1),
    [sym_keyword_drop] = ACTIONS(1),
    [sym_keyword_add] = ACTIONS(1),
    [sym_keyword_table] = ACTIONS(1),
    [sym_keyword_view] = ACTIONS(1),
    [sym_keyword_materialized] = ACTIONS(1),
    [sym_keyword_column] = ACTIONS(1),
    [sym_keyword_key] = ACTIONS(1),
    [sym_keyword_as] = ACTIONS(1),
    [sym_keyword_distinct] = ACTIONS(1),
    [sym_keyword_constraint] = ACTIONS(1),
    [sym_keyword_cast] = ACTIONS(1),
    [sym_keyword_count] = ACTIONS(1),
    [sym_keyword_group_concat] = ACTIONS(1),
    [sym_keyword_separator] = ACTIONS(1),
    [sym_keyword_max] = ACTIONS(1),
    [sym_keyword_min] = ACTIONS(1),
    [sym_keyword_avg] = ACTIONS(1),
    [sym_keyword_case] = ACTIONS(1),
    [sym_keyword_when] = ACTIONS(1),
    [sym_keyword_then] = ACTIONS(1),
    [sym_keyword_else] = ACTIONS(1),
    [sym_keyword_end] = ACTIONS(1),
    [sym_keyword_in] = ACTIONS(1),
    [sym_keyword_and] = ACTIONS(1),
    [sym_keyword_or] = ACTIONS(1),
    [sym_keyword_is] = ACTIONS(1),
    [sym_keyword_not] = ACTIONS(1),
    [sym_keyword_force] = ACTIONS(1),
    [sym_keyword_ignore] = ACTIONS(1),
    [sym_keyword_using] = ACTIONS(1),
    [sym_keyword_use] = ACTIONS(1),
    [sym_keyword_index] = ACTIONS(1),
    [sym_keyword_for] = ACTIONS(1),
    [sym_keyword_if] = ACTIONS(1),
    [sym_keyword_exists] = ACTIONS(1),
    [sym_keyword_auto_increment] = ACTIONS(1),
    [sym_keyword_collate] = ACTIONS(1),
    [aux_sym_keyword_character_token1] = ACTIONS(1),
    [sym_keyword_engine] = ACTIONS(1),
    [sym_keyword_default] = ACTIONS(1),
    [sym_keyword_cascade] = ACTIONS(1),
    [sym_keyword_restrict] = ACTIONS(1),
    [aux_sym_keyword_with_token1] = ACTIONS(1),
    [sym_keyword_no] = ACTIONS(1),
    [sym_keyword_data] = ACTIONS(1),
    [sym_keyword_type] = ACTIONS(1),
    [sym_keyword_rename] = ACTIONS(1),
    [sym_keyword_to] = ACTIONS(1),
    [sym_keyword_schema] = ACTIONS(1),
    [sym_keyword_owner] = ACTIONS(1),
    [sym_keyword_temp] = ACTIONS(1),
    [sym_keyword_temporary] = ACTIONS(1),
    [sym_keyword_unlogged] = ACTIONS(1),
    [sym_keyword_union] = ACTIONS(1),
    [sym_keyword_all] = ACTIONS(1),
    [sym_keyword_except] = ACTIONS(1),
    [sym_keyword_intersect] = ACTIONS(1),
    [sym_keyword_returning] = ACTIONS(1),
    [sym_keyword_begin] = ACTIONS(1),
    [sym_keyword_commit] = ACTIONS(1),
    [sym_keyword_rollback] = ACTIONS(1),
    [sym_keyword_transaction] = ACTIONS(1),
    [sym_keyword_over] = ACTIONS(1),
    [sym_keyword_nulls] = ACTIONS(1),
    [sym_keyword_first] = ACTIONS(1),
    [sym_keyword_after] = ACTIONS(1),
    [sym_keyword_last] = ACTIONS(1),
    [sym_keyword_window] = ACTIONS(1),
    [sym_keyword_range] = ACTIONS(1),
    [sym_keyword_rows] = ACTIONS(1),
    [sym_keyword_groups] = ACTIONS(1),
    [sym_keyword_between] = ACTIONS(1),
    [sym_keyword_unbounded] = ACTIONS(1),
    [sym_keyword_preceding] = ACTIONS(1),
    [sym_keyword_following] = ACTIONS(1),
    [sym_keyword_exclude] = ACTIONS(1),
    [sym_keyword_current] = ACTIONS(1),
    [sym_keyword_row] = ACTIONS(1),
    [sym_keyword_ties] = ACTIONS(1),
    [sym_keyword_others] = ACTIONS(1),
    [sym_keyword_only] = ACTIONS(1),
    [sym_keyword_unique] = ACTIONS(1),
    [sym_keyword_concurrently] = ACTIONS(1),
    [sym_keyword_btree] = ACTIONS(1),
    [sym_keyword_hash] = ACTIONS(1),
    [sym_keyword_gist] = ACTIONS(1),
    [sym_keyword_spgist] = ACTIONS(1),
    [sym_keyword_gin] = ACTIONS(1),
    [sym_keyword_brin] = ACTIONS(1),
    [aux_sym_keyword_like_token1] = ACTIONS(1),
    [aux_sym_keyword_like_token2] = ACTIONS(1),
    [sym_keyword_similar] = ACTIONS(1),
    [sym_keyword_preserve] = ACTIONS(1),
    [sym_keyword_unsigned] = ACTIONS(1),
    [sym_keyword_zerofill] = ACTIONS(1),
    [sym_keyword_external] = ACTIONS(1),
    [sym_keyword_stored] = ACTIONS(1),
    [sym_keyword_cached] = ACTIONS(1),
    [sym_keyword_uncached] = ACTIONS(1),
    [sym_keyword_replication] = ACTIONS(1),
    [sym_keyword_tblproperties] = ACTIONS(1),
    [sym_keyword_compute] = ACTIONS(1),
    [sym_keyword_stats] = ACTIONS(1),
    [sym_keyword_location] = ACTIONS(1),
    [sym_keyword_partitioned] = ACTIONS(1),
    [sym_keyword_comment] = ACTIONS(1),
    [sym_keyword_sort] = ACTIONS(1),
    [sym_keyword_format] = ACTIONS(1),
    [sym_keyword_delimited] = ACTIONS(1),
    [sym_keyword_fields] = ACTIONS(1),
    [sym_keyword_terminated] = ACTIONS(1),
    [sym_keyword_escaped] = ACTIONS(1),
    [sym_keyword_lines] = ACTIONS(1),
    [sym_keyword_parquet] = ACTIONS(1),
    [sym_keyword_rcfile] = ACTIONS(1),
    [sym_keyword_csv] = ACTIONS(1),
    [sym_keyword_textfile] = ACTIONS(1),
    [sym_keyword_avro] = ACTIONS(1),
    [sym_keyword_sequencefile] = ACTIONS(1),
    [sym_keyword_orc] = ACTIONS(1),
    [sym_keyword_jsonfile] = ACTIONS(1),
    [sym_keyword_null] = ACTIONS(1),
    [sym_keyword_true] = ACTIONS(1),
    [sym_keyword_false] = ACTIONS(1),
    [sym_keyword_boolean] = ACTIONS(1),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(1),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(1),
    [aux_sym_keyword_serial_token1] = ACTIONS(1),
    [aux_sym_keyword_serial_token2] = ACTIONS(1),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(1),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(1),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(1),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(1),
    [aux_sym_keyword_smallint_token1] = ACTIONS(1),
    [aux_sym_keyword_smallint_token2] = ACTIONS(1),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(1),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(1),
    [aux_sym_keyword_int_token1] = ACTIONS(1),
    [aux_sym_keyword_int_token2] = ACTIONS(1),
    [aux_sym_keyword_int_token3] = ACTIONS(1),
    [aux_sym_keyword_bigint_token1] = ACTIONS(1),
    [aux_sym_keyword_bigint_token2] = ACTIONS(1),
    [sym_keyword_decimal] = ACTIONS(1),
    [sym_keyword_numeric] = ACTIONS(1),
    [aux_sym_keyword_real_token1] = ACTIONS(1),
    [aux_sym_keyword_real_token2] = ACTIONS(1),
    [sym_keyword_float] = ACTIONS(1),
    [sym_keyword_double] = ACTIONS(1),
    [sym_keyword_precision] = ACTIONS(1),
    [sym_keyword_money] = ACTIONS(1),
    [aux_sym_keyword_char_token1] = ACTIONS(1),
    [aux_sym_keyword_varchar_token1] = ACTIONS(1),
    [aux_sym_keyword_varchar_token2] = ACTIONS(1),
    [sym_keyword_text] = ACTIONS(1),
    [sym_keyword_uuid] = ACTIONS(1),
    [sym_keyword_json] = ACTIONS(1),
    [sym_keyword_jsonb] = ACTIONS(1),
    [sym_keyword_xml] = ACTIONS(1),
    [sym_keyword_bytea] = ACTIONS(1),
    [sym_keyword_date] = ACTIONS(1),
    [sym_keyword_datetime] = ACTIONS(1),
    [aux_sym_keyword_timestamp_token1] = ACTIONS(1),
    [aux_sym_keyword_timestamp_token2] = ACTIONS(1),
    [aux_sym_keyword_timestamp_token3] = ACTIONS(1),
    [aux_sym_keyword_timestamp_token4] = ACTIONS(1),
    [aux_sym_keyword_timestamptz_token1] = ACTIONS(1),
    [sym_keyword_interval] = ACTIONS(1),
    [sym_keyword_geometry] = ACTIONS(1),
    [sym_keyword_geography] = ACTIONS(1),
    [sym_keyword_box2d] = ACTIONS(1),
    [sym_keyword_box3d] = ACTIONS(1),
    [sym_keyword_oid] = ACTIONS(1),
    [sym_keyword_name] = ACTIONS(1),
    [sym_keyword_regclass] = ACTIONS(1),
    [sym_keyword_regnamespace] = ACTIONS(1),
    [sym_keyword_regproc] = ACTIONS(1),
    [sym_keyword_regtype] = ACTIONS(1),
    [sym_keyword_array] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [aux_sym_double_token1] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_DOLLAR] = ACTIONS(1),
    [aux_sym_parameter_token1] = ACTIONS(1),
    [anon_sym_COLON_COLON] = ACTIONS(1),
    [anon_sym_millennium] = ACTIONS(1),
    [anon_sym_century] = ACTIONS(1),
    [anon_sym_decade] = ACTIONS(1),
    [anon_sym_year] = ACTIONS(1),
    [anon_sym_month] = ACTIONS(1),
    [anon_sym_week] = ACTIONS(1),
    [anon_sym_day] = ACTIONS(1),
    [anon_sym_hour] = ACTIONS(1),
    [anon_sym_minute] = ACTIONS(1),
    [anon_sym_second] = ACTIONS(1),
    [anon_sym_millisecond] = ACTIONS(1),
    [anon_sym_microsecond] = ACTIONS(1),
    [anon_sym_y] = ACTIONS(1),
    [anon_sym_m] = ACTIONS(1),
    [anon_sym_d] = ACTIONS(1),
    [anon_sym_H] = ACTIONS(1),
    [anon_sym_M] = ACTIONS(1),
    [anon_sym_S] = ACTIONS(1),
    [anon_sym_years] = ACTIONS(1),
    [anon_sym_months] = ACTIONS(1),
    [anon_sym_weeks] = ACTIONS(1),
    [anon_sym_days] = ACTIONS(1),
    [anon_sym_hours] = ACTIONS(1),
    [anon_sym_minutes] = ACTIONS(1),
    [anon_sym_seconds] = ACTIONS(1),
    [anon_sym_ago] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [sym__natural_number] = ACTIONS(1),
    [sym_bang] = ACTIONS(1),
    [anon_sym_BQUOTE] = ACTIONS(1),
  },
  [1] = {
    [sym_program] = STATE(7737),
    [sym_keyword_with] = STATE(5569),
    [sym_comment] = STATE(1),
    [sym_marginalia] = STATE(1),
    [sym_compound_statement] = STATE(4989),
    [sym_statement] = STATE(4989),
    [sym__ddl_statement] = STATE(4917),
    [sym__dml_statement] = STATE(4917),
    [sym_transaction] = STATE(4989),
    [sym__begin] = STATE(2903),
    [sym__select_statement] = STATE(4807),
    [sym_select] = STATE(4686),
    [sym__delete_statement] = STATE(4807),
    [sym_delete] = STATE(5844),
    [sym__create_statement] = STATE(4911),
    [sym_create_table] = STATE(4886),
    [sym_create_view] = STATE(4886),
    [sym_create_materialized_view] = STATE(4886),
    [sym_create_index] = STATE(4886),
    [sym__alter_statement] = STATE(4911),
    [sym_alter_table] = STATE(4884),
    [sym_alter_view] = STATE(4884),
    [sym__drop_statement] = STATE(4911),
    [sym_drop_table] = STATE(4882),
    [sym_drop_view] = STATE(4882),
    [sym_drop_index] = STATE(4882),
    [sym__insert_statement] = STATE(4807),
    [sym_insert] = STATE(4868),
    [sym__update_statement] = STATE(4807),
    [sym_update] = STATE(4892),
    [aux_sym_program_repeat1] = STATE(2812),
    [ts_builtin_sym_end] = ACTIONS(7),
    [sym_keyword_select] = ACTIONS(9),
    [sym_keyword_delete] = ACTIONS(11),
    [sym_keyword_insert] = ACTIONS(13),
    [sym_keyword_replace] = ACTIONS(13),
    [sym_keyword_update] = ACTIONS(15),
    [sym_keyword_create] = ACTIONS(17),
    [sym_keyword_alter] = ACTIONS(19),
    [sym_keyword_drop] = ACTIONS(21),
    [aux_sym_keyword_with_token1] = ACTIONS(23),
    [sym_keyword_begin] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
  },
  [2] = {
    [sym_keyword_smallserial] = STATE(2803),
    [sym_keyword_serial] = STATE(2803),
    [sym_keyword_bigserial] = STATE(2803),
    [sym_keyword_tinyint] = STATE(2436),
    [sym_keyword_smallint] = STATE(2435),
    [sym_keyword_mediumint] = STATE(2434),
    [sym_keyword_int] = STATE(2430),
    [sym_keyword_bigint] = STATE(2443),
    [sym_keyword_real] = STATE(2442),
    [sym_keyword_char] = STATE(2660),
    [sym_keyword_varchar] = STATE(2661),
    [sym_keyword_timestamp] = STATE(2803),
    [sym_keyword_timestamptz] = STATE(2803),
    [sym__type] = STATE(4909),
    [sym_tinyint] = STATE(2803),
    [sym_smallint] = STATE(2803),
    [sym_mediumint] = STATE(2803),
    [sym_int] = STATE(2803),
    [sym_bigint] = STATE(2803),
    [sym_float] = STATE(2803),
    [sym_double] = STATE(2803),
    [sym_decimal] = STATE(2803),
    [sym_numeric] = STATE(2803),
    [sym_char] = STATE(2803),
    [sym_varchar] = STATE(2803),
    [sym_comment] = STATE(2),
    [sym_marginalia] = STATE(2),
    [aux_sym_keyword_character_token1] = ACTIONS(27),
    [sym_keyword_unsigned] = ACTIONS(29),
    [sym_keyword_boolean] = ACTIONS(31),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(33),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(33),
    [aux_sym_keyword_serial_token1] = ACTIONS(35),
    [aux_sym_keyword_serial_token2] = ACTIONS(37),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(39),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(39),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(41),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(41),
    [aux_sym_keyword_smallint_token1] = ACTIONS(43),
    [aux_sym_keyword_smallint_token2] = ACTIONS(43),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(45),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(45),
    [aux_sym_keyword_int_token1] = ACTIONS(47),
    [aux_sym_keyword_int_token2] = ACTIONS(49),
    [aux_sym_keyword_int_token3] = ACTIONS(49),
    [aux_sym_keyword_bigint_token1] = ACTIONS(51),
    [aux_sym_keyword_bigint_token2] = ACTIONS(51),
    [sym_keyword_decimal] = ACTIONS(53),
    [sym_keyword_numeric] = ACTIONS(55),
    [aux_sym_keyword_real_token1] = ACTIONS(57),
    [aux_sym_keyword_real_token2] = ACTIONS(57),
    [sym_keyword_float] = ACTIONS(59),
    [sym_keyword_double] = ACTIONS(61),
    [sym_keyword_money] = ACTIONS(31),
    [aux_sym_keyword_char_token1] = ACTIONS(63),
    [aux_sym_keyword_varchar_token1] = ACTIONS(65),
    [sym_keyword_text] = ACTIONS(31),
    [sym_keyword_uuid] = ACTIONS(31),
    [sym_keyword_json] = ACTIONS(67),
    [sym_keyword_jsonb] = ACTIONS(31),
    [sym_keyword_xml] = ACTIONS(31),
    [sym_keyword_bytea] = ACTIONS(31),
    [sym_keyword_date] = ACTIONS(67),
    [sym_keyword_datetime] = ACTIONS(31),
    [aux_sym_keyword_timestamp_token1] = ACTIONS(69),
    [aux_sym_keyword_timestamptz_token1] = ACTIONS(71),
    [sym_keyword_interval] = ACTIONS(31),
    [sym_keyword_geometry] = ACTIONS(31),
    [sym_keyword_geography] = ACTIONS(31),
    [sym_keyword_box2d] = ACTIONS(31),
    [sym_keyword_box3d] = ACTIONS(31),
    [sym_keyword_oid] = ACTIONS(31),
    [sym_keyword_name] = ACTIONS(31),
    [sym_keyword_regclass] = ACTIONS(31),
    [sym_keyword_regnamespace] = ACTIONS(31),
    [sym_keyword_regproc] = ACTIONS(31),
    [sym_keyword_regtype] = ACTIONS(31),
    [anon_sym_RPAREN] = ACTIONS(73),
    [aux_sym_double_token1] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
  },
  [3] = {
    [sym_keyword_smallserial] = STATE(2803),
    [sym_keyword_serial] = STATE(2803),
    [sym_keyword_bigserial] = STATE(2803),
    [sym_keyword_tinyint] = STATE(2436),
    [sym_keyword_smallint] = STATE(2435),
    [sym_keyword_mediumint] = STATE(2434),
    [sym_keyword_int] = STATE(2430),
    [sym_keyword_bigint] = STATE(2443),
    [sym_keyword_real] = STATE(2442),
    [sym_keyword_char] = STATE(2660),
    [sym_keyword_varchar] = STATE(2661),
    [sym_keyword_timestamp] = STATE(2803),
    [sym_keyword_timestamptz] = STATE(2803),
    [sym__type] = STATE(4909),
    [sym_tinyint] = STATE(2803),
    [sym_smallint] = STATE(2803),
    [sym_mediumint] = STATE(2803),
    [sym_int] = STATE(2803),
    [sym_bigint] = STATE(2803),
    [sym_float] = STATE(2803),
    [sym_double] = STATE(2803),
    [sym_decimal] = STATE(2803),
    [sym_numeric] = STATE(2803),
    [sym_char] = STATE(2803),
    [sym_varchar] = STATE(2803),
    [sym_comment] = STATE(3),
    [sym_marginalia] = STATE(3),
    [aux_sym_keyword_character_token1] = ACTIONS(27),
    [sym_keyword_unsigned] = ACTIONS(29),
    [sym_keyword_boolean] = ACTIONS(31),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(33),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(33),
    [aux_sym_keyword_serial_token1] = ACTIONS(35),
    [aux_sym_keyword_serial_token2] = ACTIONS(37),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(39),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(39),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(41),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(41),
    [aux_sym_keyword_smallint_token1] = ACTIONS(43),
    [aux_sym_keyword_smallint_token2] = ACTIONS(43),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(45),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(45),
    [aux_sym_keyword_int_token1] = ACTIONS(47),
    [aux_sym_keyword_int_token2] = ACTIONS(49),
    [aux_sym_keyword_int_token3] = ACTIONS(49),
    [aux_sym_keyword_bigint_token1] = ACTIONS(51),
    [aux_sym_keyword_bigint_token2] = ACTIONS(51),
    [sym_keyword_decimal] = ACTIONS(53),
    [sym_keyword_numeric] = ACTIONS(55),
    [aux_sym_keyword_real_token1] = ACTIONS(57),
    [aux_sym_keyword_real_token2] = ACTIONS(57),
    [sym_keyword_float] = ACTIONS(59),
    [sym_keyword_double] = ACTIONS(61),
    [sym_keyword_money] = ACTIONS(31),
    [aux_sym_keyword_char_token1] = ACTIONS(63),
    [aux_sym_keyword_varchar_token1] = ACTIONS(65),
    [sym_keyword_text] = ACTIONS(31),
    [sym_keyword_uuid] = ACTIONS(31),
    [sym_keyword_json] = ACTIONS(67),
    [sym_keyword_jsonb] = ACTIONS(31),
    [sym_keyword_xml] = ACTIONS(31),
    [sym_keyword_bytea] = ACTIONS(31),
    [sym_keyword_date] = ACTIONS(67),
    [sym_keyword_datetime] = ACTIONS(31),
    [aux_sym_keyword_timestamp_token1] = ACTIONS(69),
    [aux_sym_keyword_timestamptz_token1] = ACTIONS(71),
    [sym_keyword_interval] = ACTIONS(31),
    [sym_keyword_geometry] = ACTIONS(31),
    [sym_keyword_geography] = ACTIONS(31),
    [sym_keyword_box2d] = ACTIONS(31),
    [sym_keyword_box3d] = ACTIONS(31),
    [sym_keyword_oid] = ACTIONS(31),
    [sym_keyword_name] = ACTIONS(31),
    [sym_keyword_regclass] = ACTIONS(31),
    [sym_keyword_regnamespace] = ACTIONS(31),
    [sym_keyword_regproc] = ACTIONS(31),
    [sym_keyword_regtype] = ACTIONS(31),
    [anon_sym_RPAREN] = ACTIONS(77),
    [aux_sym_double_token1] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
  },
  [4] = {
    [sym_keyword_smallserial] = STATE(2803),
    [sym_keyword_serial] = STATE(2803),
    [sym_keyword_bigserial] = STATE(2803),
    [sym_keyword_tinyint] = STATE(2436),
    [sym_keyword_smallint] = STATE(2435),
    [sym_keyword_mediumint] = STATE(2434),
    [sym_keyword_int] = STATE(2430),
    [sym_keyword_bigint] = STATE(2443),
    [sym_keyword_real] = STATE(2442),
    [sym_keyword_char] = STATE(2660),
    [sym_keyword_varchar] = STATE(2661),
    [sym_keyword_timestamp] = STATE(2803),
    [sym_keyword_timestamptz] = STATE(2803),
    [sym__type] = STATE(4909),
    [sym_tinyint] = STATE(2803),
    [sym_smallint] = STATE(2803),
    [sym_mediumint] = STATE(2803),
    [sym_int] = STATE(2803),
    [sym_bigint] = STATE(2803),
    [sym_float] = STATE(2803),
    [sym_double] = STATE(2803),
    [sym_decimal] = STATE(2803),
    [sym_numeric] = STATE(2803),
    [sym_char] = STATE(2803),
    [sym_varchar] = STATE(2803),
    [sym_comment] = STATE(4),
    [sym_marginalia] = STATE(4),
    [aux_sym_keyword_character_token1] = ACTIONS(27),
    [sym_keyword_unsigned] = ACTIONS(29),
    [sym_keyword_boolean] = ACTIONS(31),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(33),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(33),
    [aux_sym_keyword_serial_token1] = ACTIONS(35),
    [aux_sym_keyword_serial_token2] = ACTIONS(37),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(39),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(39),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(41),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(41),
    [aux_sym_keyword_smallint_token1] = ACTIONS(43),
    [aux_sym_keyword_smallint_token2] = ACTIONS(43),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(45),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(45),
    [aux_sym_keyword_int_token1] = ACTIONS(47),
    [aux_sym_keyword_int_token2] = ACTIONS(49),
    [aux_sym_keyword_int_token3] = ACTIONS(49),
    [aux_sym_keyword_bigint_token1] = ACTIONS(51),
    [aux_sym_keyword_bigint_token2] = ACTIONS(51),
    [sym_keyword_decimal] = ACTIONS(53),
    [sym_keyword_numeric] = ACTIONS(55),
    [aux_sym_keyword_real_token1] = ACTIONS(57),
    [aux_sym_keyword_real_token2] = ACTIONS(57),
    [sym_keyword_float] = ACTIONS(59),
    [sym_keyword_double] = ACTIONS(61),
    [sym_keyword_money] = ACTIONS(31),
    [aux_sym_keyword_char_token1] = ACTIONS(63),
    [aux_sym_keyword_varchar_token1] = ACTIONS(65),
    [sym_keyword_text] = ACTIONS(31),
    [sym_keyword_uuid] = ACTIONS(31),
    [sym_keyword_json] = ACTIONS(67),
    [sym_keyword_jsonb] = ACTIONS(31),
    [sym_keyword_xml] = ACTIONS(31),
    [sym_keyword_bytea] = ACTIONS(31),
    [sym_keyword_date] = ACTIONS(67),
    [sym_keyword_datetime] = ACTIONS(31),
    [aux_sym_keyword_timestamp_token1] = ACTIONS(69),
    [aux_sym_keyword_timestamptz_token1] = ACTIONS(71),
    [sym_keyword_interval] = ACTIONS(31),
    [sym_keyword_geometry] = ACTIONS(31),
    [sym_keyword_geography] = ACTIONS(31),
    [sym_keyword_box2d] = ACTIONS(31),
    [sym_keyword_box3d] = ACTIONS(31),
    [sym_keyword_oid] = ACTIONS(31),
    [sym_keyword_name] = ACTIONS(31),
    [sym_keyword_regclass] = ACTIONS(31),
    [sym_keyword_regnamespace] = ACTIONS(31),
    [sym_keyword_regproc] = ACTIONS(31),
    [sym_keyword_regtype] = ACTIONS(31),
    [anon_sym_RPAREN] = ACTIONS(79),
    [aux_sym_double_token1] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
  },
  [5] = {
    [sym_keyword_smallserial] = STATE(2803),
    [sym_keyword_serial] = STATE(2803),
    [sym_keyword_bigserial] = STATE(2803),
    [sym_keyword_tinyint] = STATE(2436),
    [sym_keyword_smallint] = STATE(2435),
    [sym_keyword_mediumint] = STATE(2434),
    [sym_keyword_int] = STATE(2430),
    [sym_keyword_bigint] = STATE(2443),
    [sym_keyword_real] = STATE(2442),
    [sym_keyword_char] = STATE(2660),
    [sym_keyword_varchar] = STATE(2661),
    [sym_keyword_timestamp] = STATE(2803),
    [sym_keyword_timestamptz] = STATE(2803),
    [sym__type] = STATE(4909),
    [sym_tinyint] = STATE(2803),
    [sym_smallint] = STATE(2803),
    [sym_mediumint] = STATE(2803),
    [sym_int] = STATE(2803),
    [sym_bigint] = STATE(2803),
    [sym_float] = STATE(2803),
    [sym_double] = STATE(2803),
    [sym_decimal] = STATE(2803),
    [sym_numeric] = STATE(2803),
    [sym_char] = STATE(2803),
    [sym_varchar] = STATE(2803),
    [sym_comment] = STATE(5),
    [sym_marginalia] = STATE(5),
    [aux_sym_keyword_character_token1] = ACTIONS(27),
    [sym_keyword_unsigned] = ACTIONS(29),
    [sym_keyword_boolean] = ACTIONS(31),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(33),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(33),
    [aux_sym_keyword_serial_token1] = ACTIONS(35),
    [aux_sym_keyword_serial_token2] = ACTIONS(37),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(39),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(39),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(41),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(41),
    [aux_sym_keyword_smallint_token1] = ACTIONS(43),
    [aux_sym_keyword_smallint_token2] = ACTIONS(43),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(45),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(45),
    [aux_sym_keyword_int_token1] = ACTIONS(47),
    [aux_sym_keyword_int_token2] = ACTIONS(49),
    [aux_sym_keyword_int_token3] = ACTIONS(49),
    [aux_sym_keyword_bigint_token1] = ACTIONS(51),
    [aux_sym_keyword_bigint_token2] = ACTIONS(51),
    [sym_keyword_decimal] = ACTIONS(53),
    [sym_keyword_numeric] = ACTIONS(55),
    [aux_sym_keyword_real_token1] = ACTIONS(57),
    [aux_sym_keyword_real_token2] = ACTIONS(57),
    [sym_keyword_float] = ACTIONS(59),
    [sym_keyword_double] = ACTIONS(61),
    [sym_keyword_money] = ACTIONS(31),
    [aux_sym_keyword_char_token1] = ACTIONS(63),
    [aux_sym_keyword_varchar_token1] = ACTIONS(65),
    [sym_keyword_text] = ACTIONS(31),
    [sym_keyword_uuid] = ACTIONS(31),
    [sym_keyword_json] = ACTIONS(67),
    [sym_keyword_jsonb] = ACTIONS(31),
    [sym_keyword_xml] = ACTIONS(31),
    [sym_keyword_bytea] = ACTIONS(31),
    [sym_keyword_date] = ACTIONS(67),
    [sym_keyword_datetime] = ACTIONS(31),
    [aux_sym_keyword_timestamp_token1] = ACTIONS(69),
    [aux_sym_keyword_timestamptz_token1] = ACTIONS(71),
    [sym_keyword_interval] = ACTIONS(31),
    [sym_keyword_geometry] = ACTIONS(31),
    [sym_keyword_geography] = ACTIONS(31),
    [sym_keyword_box2d] = ACTIONS(31),
    [sym_keyword_box3d] = ACTIONS(31),
    [sym_keyword_oid] = ACTIONS(31),
    [sym_keyword_name] = ACTIONS(31),
    [sym_keyword_regclass] = ACTIONS(31),
    [sym_keyword_regnamespace] = ACTIONS(31),
    [sym_keyword_regproc] = ACTIONS(31),
    [sym_keyword_regtype] = ACTIONS(31),
    [anon_sym_RPAREN] = ACTIONS(81),
    [aux_sym_double_token1] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
  },
  [6] = {
    [sym_keyword_smallserial] = STATE(873),
    [sym_keyword_serial] = STATE(873),
    [sym_keyword_bigserial] = STATE(873),
    [sym_keyword_tinyint] = STATE(430),
    [sym_keyword_smallint] = STATE(419),
    [sym_keyword_mediumint] = STATE(417),
    [sym_keyword_int] = STATE(415),
    [sym_keyword_bigint] = STATE(414),
    [sym_keyword_real] = STATE(413),
    [sym_keyword_char] = STATE(731),
    [sym_keyword_varchar] = STATE(732),
    [sym_keyword_timestamp] = STATE(873),
    [sym_keyword_timestamptz] = STATE(873),
    [sym__type] = STATE(7363),
    [sym_tinyint] = STATE(873),
    [sym_smallint] = STATE(873),
    [sym_mediumint] = STATE(873),
    [sym_int] = STATE(873),
    [sym_bigint] = STATE(873),
    [sym_float] = STATE(873),
    [sym_double] = STATE(873),
    [sym_decimal] = STATE(873),
    [sym_numeric] = STATE(873),
    [sym_char] = STATE(873),
    [sym_varchar] = STATE(873),
    [sym_comment] = STATE(6),
    [sym_marginalia] = STATE(6),
    [aux_sym_keyword_character_token1] = ACTIONS(83),
    [sym_keyword_unsigned] = ACTIONS(85),
    [sym_keyword_boolean] = ACTIONS(87),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(89),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(89),
    [aux_sym_keyword_serial_token1] = ACTIONS(91),
    [aux_sym_keyword_serial_token2] = ACTIONS(93),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(95),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(95),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(97),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(97),
    [aux_sym_keyword_smallint_token1] = ACTIONS(99),
    [aux_sym_keyword_smallint_token2] = ACTIONS(99),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(101),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(101),
    [aux_sym_keyword_int_token1] = ACTIONS(103),
    [aux_sym_keyword_int_token2] = ACTIONS(105),
    [aux_sym_keyword_int_token3] = ACTIONS(105),
    [aux_sym_keyword_bigint_token1] = ACTIONS(107),
    [aux_sym_keyword_bigint_token2] = ACTIONS(107),
    [sym_keyword_decimal] = ACTIONS(109),
    [sym_keyword_numeric] = ACTIONS(111),
    [aux_sym_keyword_real_token1] = ACTIONS(113),
    [aux_sym_keyword_real_token2] = ACTIONS(113),
    [sym_keyword_float] = ACTIONS(115),
    [sym_keyword_double] = ACTIONS(117),
    [sym_keyword_money] = ACTIONS(87),
    [aux_sym_keyword_char_token1] = ACTIONS(119),
    [aux_sym_keyword_varchar_token1] = ACTIONS(121),
    [sym_keyword_text] = ACTIONS(87),
    [sym_keyword_uuid] = ACTIONS(87),
    [sym_keyword_json] = ACTIONS(123),
    [sym_keyword_jsonb] = ACTIONS(87),
    [sym_keyword_xml] = ACTIONS(87),
    [sym_keyword_bytea] = ACTIONS(87),
    [sym_keyword_date] = ACTIONS(123),
    [sym_keyword_datetime] = ACTIONS(87),
    [aux_sym_keyword_timestamp_token1] = ACTIONS(125),
    [aux_sym_keyword_timestamptz_token1] = ACTIONS(127),
    [sym_keyword_interval] = ACTIONS(87),
    [sym_keyword_geometry] = ACTIONS(87),
    [sym_keyword_geography] = ACTIONS(87),
    [sym_keyword_box2d] = ACTIONS(87),
    [sym_keyword_box3d] = ACTIONS(87),
    [sym_keyword_oid] = ACTIONS(87),
    [sym_keyword_name] = ACTIONS(87),
    [sym_keyword_regclass] = ACTIONS(87),
    [sym_keyword_regnamespace] = ACTIONS(87),
    [sym_keyword_regproc] = ACTIONS(87),
    [sym_keyword_regtype] = ACTIONS(87),
    [aux_sym_double_token1] = ACTIONS(129),
    [anon_sym_DASH_DASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
  },
  [7] = {
    [sym_keyword_smallserial] = STATE(873),
    [sym_keyword_serial] = STATE(873),
    [sym_keyword_bigserial] = STATE(873),
    [sym_keyword_tinyint] = STATE(430),
    [sym_keyword_smallint] = STATE(419),
    [sym_keyword_mediumint] = STATE(417),
    [sym_keyword_int] = STATE(415),
    [sym_keyword_bigint] = STATE(414),
    [sym_keyword_real] = STATE(413),
    [sym_keyword_char] = STATE(731),
    [sym_keyword_varchar] = STATE(732),
    [sym_keyword_timestamp] = STATE(873),
    [sym_keyword_timestamptz] = STATE(873),
    [sym__type] = STATE(6474),
    [sym_tinyint] = STATE(873),
    [sym_smallint] = STATE(873),
    [sym_mediumint] = STATE(873),
    [sym_int] = STATE(873),
    [sym_bigint] = STATE(873),
    [sym_float] = STATE(873),
    [sym_double] = STATE(873),
    [sym_decimal] = STATE(873),
    [sym_numeric] = STATE(873),
    [sym_char] = STATE(873),
    [sym_varchar] = STATE(873),
    [sym_comment] = STATE(7),
    [sym_marginalia] = STATE(7),
    [aux_sym_keyword_character_token1] = ACTIONS(83),
    [sym_keyword_unsigned] = ACTIONS(85),
    [sym_keyword_boolean] = ACTIONS(87),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(89),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(89),
    [aux_sym_keyword_serial_token1] = ACTIONS(91),
    [aux_sym_keyword_serial_token2] = ACTIONS(93),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(95),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(95),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(97),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(97),
    [aux_sym_keyword_smallint_token1] = ACTIONS(99),
    [aux_sym_keyword_smallint_token2] = ACTIONS(99),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(101),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(101),
    [aux_sym_keyword_int_token1] = ACTIONS(103),
    [aux_sym_keyword_int_token2] = ACTIONS(105),
    [aux_sym_keyword_int_token3] = ACTIONS(105),
    [aux_sym_keyword_bigint_token1] = ACTIONS(107),
    [aux_sym_keyword_bigint_token2] = ACTIONS(107),
    [sym_keyword_decimal] = ACTIONS(109),
    [sym_keyword_numeric] = ACTIONS(111),
    [aux_sym_keyword_real_token1] = ACTIONS(113),
    [aux_sym_keyword_real_token2] = ACTIONS(113),
    [sym_keyword_float] = ACTIONS(115),
    [sym_keyword_double] = ACTIONS(117),
    [sym_keyword_money] = ACTIONS(87),
    [aux_sym_keyword_char_token1] = ACTIONS(119),
    [aux_sym_keyword_varchar_token1] = ACTIONS(121),
    [sym_keyword_text] = ACTIONS(87),
    [sym_keyword_uuid] = ACTIONS(87),
    [sym_keyword_json] = ACTIONS(123),
    [sym_keyword_jsonb] = ACTIONS(87),
    [sym_keyword_xml] = ACTIONS(87),
    [sym_keyword_bytea] = ACTIONS(87),
    [sym_keyword_date] = ACTIONS(123),
    [sym_keyword_datetime] = ACTIONS(87),
    [aux_sym_keyword_timestamp_token1] = ACTIONS(125),
    [aux_sym_keyword_timestamptz_token1] = ACTIONS(127),
    [sym_keyword_interval] = ACTIONS(87),
    [sym_keyword_geometry] = ACTIONS(87),
    [sym_keyword_geography] = ACTIONS(87),
    [sym_keyword_box2d] = ACTIONS(87),
    [sym_keyword_box3d] = ACTIONS(87),
    [sym_keyword_oid] = ACTIONS(87),
    [sym_keyword_name] = ACTIONS(87),
    [sym_keyword_regclass] = ACTIONS(87),
    [sym_keyword_regnamespace] = ACTIONS(87),
    [sym_keyword_regproc] = ACTIONS(87),
    [sym_keyword_regtype] = ACTIONS(87),
    [aux_sym_double_token1] = ACTIONS(129),
    [anon_sym_DASH_DASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
  },
  [8] = {
    [sym_keyword_smallserial] = STATE(3832),
    [sym_keyword_serial] = STATE(3832),
    [sym_keyword_bigserial] = STATE(3832),
    [sym_keyword_tinyint] = STATE(3263),
    [sym_keyword_smallint] = STATE(3266),
    [sym_keyword_mediumint] = STATE(3267),
    [sym_keyword_int] = STATE(3278),
    [sym_keyword_bigint] = STATE(3270),
    [sym_keyword_real] = STATE(3271),
    [sym_keyword_char] = STATE(3453),
    [sym_keyword_varchar] = STATE(3452),
    [sym_keyword_timestamp] = STATE(3832),
    [sym_keyword_timestamptz] = STATE(3832),
    [sym__type] = STATE(3591),
    [sym_tinyint] = STATE(3832),
    [sym_smallint] = STATE(3832),
    [sym_mediumint] = STATE(3832),
    [sym_int] = STATE(3832),
    [sym_bigint] = STATE(3832),
    [sym_float] = STATE(3832),
    [sym_double] = STATE(3832),
    [sym_decimal] = STATE(3832),
    [sym_numeric] = STATE(3832),
    [sym_char] = STATE(3832),
    [sym_varchar] = STATE(3832),
    [sym_comment] = STATE(8),
    [sym_marginalia] = STATE(8),
    [aux_sym_keyword_character_token1] = ACTIONS(131),
    [sym_keyword_unsigned] = ACTIONS(133),
    [sym_keyword_boolean] = ACTIONS(135),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(137),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(137),
    [aux_sym_keyword_serial_token1] = ACTIONS(139),
    [aux_sym_keyword_serial_token2] = ACTIONS(141),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(143),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(143),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(145),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(145),
    [aux_sym_keyword_smallint_token1] = ACTIONS(147),
    [aux_sym_keyword_smallint_token2] = ACTIONS(147),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(149),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(149),
    [aux_sym_keyword_int_token1] = ACTIONS(151),
    [aux_sym_keyword_int_token2] = ACTIONS(153),
    [aux_sym_keyword_int_token3] = ACTIONS(153),
    [aux_sym_keyword_bigint_token1] = ACTIONS(155),
    [aux_sym_keyword_bigint_token2] = ACTIONS(155),
    [sym_keyword_decimal] = ACTIONS(157),
    [sym_keyword_numeric] = ACTIONS(159),
    [aux_sym_keyword_real_token1] = ACTIONS(161),
    [aux_sym_keyword_real_token2] = ACTIONS(161),
    [sym_keyword_float] = ACTIONS(163),
    [sym_keyword_double] = ACTIONS(165),
    [sym_keyword_money] = ACTIONS(135),
    [aux_sym_keyword_char_token1] = ACTIONS(167),
    [aux_sym_keyword_varchar_token1] = ACTIONS(169),
    [sym_keyword_text] = ACTIONS(135),
    [sym_keyword_uuid] = ACTIONS(135),
    [sym_keyword_json] = ACTIONS(171),
    [sym_keyword_jsonb] = ACTIONS(135),
    [sym_keyword_xml] = ACTIONS(135),
    [sym_keyword_bytea] = ACTIONS(135),
    [sym_keyword_date] = ACTIONS(171),
    [sym_keyword_datetime] = ACTIONS(135),
    [aux_sym_keyword_timestamp_token1] = ACTIONS(173),
    [aux_sym_keyword_timestamptz_token1] = ACTIONS(175),
    [sym_keyword_interval] = ACTIONS(135),
    [sym_keyword_geometry] = ACTIONS(135),
    [sym_keyword_geography] = ACTIONS(135),
    [sym_keyword_box2d] = ACTIONS(135),
    [sym_keyword_box3d] = ACTIONS(135),
    [sym_keyword_oid] = ACTIONS(135),
    [sym_keyword_name] = ACTIONS(135),
    [sym_keyword_regclass] = ACTIONS(135),
    [sym_keyword_regnamespace] = ACTIONS(135),
    [sym_keyword_regproc] = ACTIONS(135),
    [sym_keyword_regtype] = ACTIONS(135),
    [aux_sym_double_token1] = ACTIONS(177),
    [anon_sym_DASH_DASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
  },
  [9] = {
    [sym_keyword_smallserial] = STATE(636),
    [sym_keyword_serial] = STATE(636),
    [sym_keyword_bigserial] = STATE(636),
    [sym_keyword_tinyint] = STATE(316),
    [sym_keyword_smallint] = STATE(309),
    [sym_keyword_mediumint] = STATE(350),
    [sym_keyword_int] = STATE(339),
    [sym_keyword_bigint] = STATE(337),
    [sym_keyword_real] = STATE(330),
    [sym_keyword_char] = STATE(556),
    [sym_keyword_varchar] = STATE(555),
    [sym_keyword_timestamp] = STATE(636),
    [sym_keyword_timestamptz] = STATE(636),
    [sym__type] = STATE(712),
    [sym_tinyint] = STATE(636),
    [sym_smallint] = STATE(636),
    [sym_mediumint] = STATE(636),
    [sym_int] = STATE(636),
    [sym_bigint] = STATE(636),
    [sym_float] = STATE(636),
    [sym_double] = STATE(636),
    [sym_decimal] = STATE(636),
    [sym_numeric] = STATE(636),
    [sym_char] = STATE(636),
    [sym_varchar] = STATE(636),
    [sym_comment] = STATE(9),
    [sym_marginalia] = STATE(9),
    [aux_sym_keyword_character_token1] = ACTIONS(179),
    [sym_keyword_unsigned] = ACTIONS(181),
    [sym_keyword_boolean] = ACTIONS(183),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(185),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(185),
    [aux_sym_keyword_serial_token1] = ACTIONS(187),
    [aux_sym_keyword_serial_token2] = ACTIONS(189),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(191),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(191),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(193),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(193),
    [aux_sym_keyword_smallint_token1] = ACTIONS(195),
    [aux_sym_keyword_smallint_token2] = ACTIONS(195),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(197),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(197),
    [aux_sym_keyword_int_token1] = ACTIONS(199),
    [aux_sym_keyword_int_token2] = ACTIONS(201),
    [aux_sym_keyword_int_token3] = ACTIONS(201),
    [aux_sym_keyword_bigint_token1] = ACTIONS(203),
    [aux_sym_keyword_bigint_token2] = ACTIONS(203),
    [sym_keyword_decimal] = ACTIONS(205),
    [sym_keyword_numeric] = ACTIONS(207),
    [aux_sym_keyword_real_token1] = ACTIONS(209),
    [aux_sym_keyword_real_token2] = ACTIONS(209),
    [sym_keyword_float] = ACTIONS(211),
    [sym_keyword_double] = ACTIONS(213),
    [sym_keyword_money] = ACTIONS(183),
    [aux_sym_keyword_char_token1] = ACTIONS(215),
    [aux_sym_keyword_varchar_token1] = ACTIONS(217),
    [sym_keyword_text] = ACTIONS(183),
    [sym_keyword_uuid] = ACTIONS(183),
    [sym_keyword_json] = ACTIONS(219),
    [sym_keyword_jsonb] = ACTIONS(183),
    [sym_keyword_xml] = ACTIONS(183),
    [sym_keyword_bytea] = ACTIONS(183),
    [sym_keyword_date] = ACTIONS(219),
    [sym_keyword_datetime] = ACTIONS(183),
    [aux_sym_keyword_timestamp_token1] = ACTIONS(221),
    [aux_sym_keyword_timestamptz_token1] = ACTIONS(223),
    [sym_keyword_interval] = ACTIONS(183),
    [sym_keyword_geometry] = ACTIONS(183),
    [sym_keyword_geography] = ACTIONS(183),
    [sym_keyword_box2d] = ACTIONS(183),
    [sym_keyword_box3d] = ACTIONS(183),
    [sym_keyword_oid] = ACTIONS(183),
    [sym_keyword_name] = ACTIONS(183),
    [sym_keyword_regclass] = ACTIONS(183),
    [sym_keyword_regnamespace] = ACTIONS(183),
    [sym_keyword_regproc] = ACTIONS(183),
    [sym_keyword_regtype] = ACTIONS(183),
    [aux_sym_double_token1] = ACTIONS(225),
    [anon_sym_DASH_DASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
  },
  [10] = {
    [sym_keyword_smallserial] = STATE(2501),
    [sym_keyword_serial] = STATE(2501),
    [sym_keyword_bigserial] = STATE(2501),
    [sym_keyword_tinyint] = STATE(2309),
    [sym_keyword_smallint] = STATE(2310),
    [sym_keyword_mediumint] = STATE(2311),
    [sym_keyword_int] = STATE(2312),
    [sym_keyword_bigint] = STATE(2313),
    [sym_keyword_real] = STATE(2314),
    [sym_keyword_char] = STATE(2481),
    [sym_keyword_varchar] = STATE(2480),
    [sym_keyword_timestamp] = STATE(2501),
    [sym_keyword_timestamptz] = STATE(2501),
    [sym__type] = STATE(2580),
    [sym_tinyint] = STATE(2501),
    [sym_smallint] = STATE(2501),
    [sym_mediumint] = STATE(2501),
    [sym_int] = STATE(2501),
    [sym_bigint] = STATE(2501),
    [sym_float] = STATE(2501),
    [sym_double] = STATE(2501),
    [sym_decimal] = STATE(2501),
    [sym_numeric] = STATE(2501),
    [sym_char] = STATE(2501),
    [sym_varchar] = STATE(2501),
    [sym_comment] = STATE(10),
    [sym_marginalia] = STATE(10),
    [aux_sym_keyword_character_token1] = ACTIONS(227),
    [sym_keyword_unsigned] = ACTIONS(229),
    [sym_keyword_boolean] = ACTIONS(231),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(233),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(233),
    [aux_sym_keyword_serial_token1] = ACTIONS(235),
    [aux_sym_keyword_serial_token2] = ACTIONS(237),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(239),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(239),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(241),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(241),
    [aux_sym_keyword_smallint_token1] = ACTIONS(243),
    [aux_sym_keyword_smallint_token2] = ACTIONS(243),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(245),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(245),
    [aux_sym_keyword_int_token1] = ACTIONS(247),
    [aux_sym_keyword_int_token2] = ACTIONS(249),
    [aux_sym_keyword_int_token3] = ACTIONS(249),
    [aux_sym_keyword_bigint_token1] = ACTIONS(251),
    [aux_sym_keyword_bigint_token2] = ACTIONS(251),
    [sym_keyword_decimal] = ACTIONS(253),
    [sym_keyword_numeric] = ACTIONS(255),
    [aux_sym_keyword_real_token1] = ACTIONS(257),
    [aux_sym_keyword_real_token2] = ACTIONS(257),
    [sym_keyword_float] = ACTIONS(259),
    [sym_keyword_double] = ACTIONS(261),
    [sym_keyword_money] = ACTIONS(231),
    [aux_sym_keyword_char_token1] = ACTIONS(263),
    [aux_sym_keyword_varchar_token1] = ACTIONS(265),
    [sym_keyword_text] = ACTIONS(231),
    [sym_keyword_uuid] = ACTIONS(231),
    [sym_keyword_json] = ACTIONS(267),
    [sym_keyword_jsonb] = ACTIONS(231),
    [sym_keyword_xml] = ACTIONS(231),
    [sym_keyword_bytea] = ACTIONS(231),
    [sym_keyword_date] = ACTIONS(267),
    [sym_keyword_datetime] = ACTIONS(231),
    [aux_sym_keyword_timestamp_token1] = ACTIONS(269),
    [aux_sym_keyword_timestamptz_token1] = ACTIONS(271),
    [sym_keyword_interval] = ACTIONS(231),
    [sym_keyword_geometry] = ACTIONS(231),
    [sym_keyword_geography] = ACTIONS(231),
    [sym_keyword_box2d] = ACTIONS(231),
    [sym_keyword_box3d] = ACTIONS(231),
    [sym_keyword_oid] = ACTIONS(231),
    [sym_keyword_name] = ACTIONS(231),
    [sym_keyword_regclass] = ACTIONS(231),
    [sym_keyword_regnamespace] = ACTIONS(231),
    [sym_keyword_regproc] = ACTIONS(231),
    [sym_keyword_regtype] = ACTIONS(231),
    [aux_sym_double_token1] = ACTIONS(273),
    [anon_sym_DASH_DASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
  },
  [11] = {
    [sym_keyword_smallserial] = STATE(1496),
    [sym_keyword_serial] = STATE(1496),
    [sym_keyword_bigserial] = STATE(1496),
    [sym_keyword_tinyint] = STATE(800),
    [sym_keyword_smallint] = STATE(801),
    [sym_keyword_mediumint] = STATE(802),
    [sym_keyword_int] = STATE(803),
    [sym_keyword_bigint] = STATE(804),
    [sym_keyword_real] = STATE(833),
    [sym_keyword_char] = STATE(1378),
    [sym_keyword_varchar] = STATE(1377),
    [sym_keyword_timestamp] = STATE(1496),
    [sym_keyword_timestamptz] = STATE(1496),
    [sym__type] = STATE(1523),
    [sym_tinyint] = STATE(1496),
    [sym_smallint] = STATE(1496),
    [sym_mediumint] = STATE(1496),
    [sym_int] = STATE(1496),
    [sym_bigint] = STATE(1496),
    [sym_float] = STATE(1496),
    [sym_double] = STATE(1496),
    [sym_decimal] = STATE(1496),
    [sym_numeric] = STATE(1496),
    [sym_char] = STATE(1496),
    [sym_varchar] = STATE(1496),
    [sym_comment] = STATE(11),
    [sym_marginalia] = STATE(11),
    [aux_sym_keyword_character_token1] = ACTIONS(275),
    [sym_keyword_unsigned] = ACTIONS(277),
    [sym_keyword_boolean] = ACTIONS(279),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(281),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(281),
    [aux_sym_keyword_serial_token1] = ACTIONS(283),
    [aux_sym_keyword_serial_token2] = ACTIONS(285),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(287),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(287),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(289),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(289),
    [aux_sym_keyword_smallint_token1] = ACTIONS(291),
    [aux_sym_keyword_smallint_token2] = ACTIONS(291),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(293),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(293),
    [aux_sym_keyword_int_token1] = ACTIONS(295),
    [aux_sym_keyword_int_token2] = ACTIONS(297),
    [aux_sym_keyword_int_token3] = ACTIONS(297),
    [aux_sym_keyword_bigint_token1] = ACTIONS(299),
    [aux_sym_keyword_bigint_token2] = ACTIONS(299),
    [sym_keyword_decimal] = ACTIONS(301),
    [sym_keyword_numeric] = ACTIONS(303),
    [aux_sym_keyword_real_token1] = ACTIONS(305),
    [aux_sym_keyword_real_token2] = ACTIONS(305),
    [sym_keyword_float] = ACTIONS(307),
    [sym_keyword_double] = ACTIONS(309),
    [sym_keyword_money] = ACTIONS(279),
    [aux_sym_keyword_char_token1] = ACTIONS(311),
    [aux_sym_keyword_varchar_token1] = ACTIONS(313),
    [sym_keyword_text] = ACTIONS(279),
    [sym_keyword_uuid] = ACTIONS(279),
    [sym_keyword_json] = ACTIONS(315),
    [sym_keyword_jsonb] = ACTIONS(279),
    [sym_keyword_xml] = ACTIONS(279),
    [sym_keyword_bytea] = ACTIONS(279),
    [sym_keyword_date] = ACTIONS(315),
    [sym_keyword_datetime] = ACTIONS(279),
    [aux_sym_keyword_timestamp_token1] = ACTIONS(317),
    [aux_sym_keyword_timestamptz_token1] = ACTIONS(319),
    [sym_keyword_interval] = ACTIONS(279),
    [sym_keyword_geometry] = ACTIONS(279),
    [sym_keyword_geography] = ACTIONS(279),
    [sym_keyword_box2d] = ACTIONS(279),
    [sym_keyword_box3d] = ACTIONS(279),
    [sym_keyword_oid] = ACTIONS(279),
    [sym_keyword_name] = ACTIONS(279),
    [sym_keyword_regclass] = ACTIONS(279),
    [sym_keyword_regnamespace] = ACTIONS(279),
    [sym_keyword_regproc] = ACTIONS(279),
    [sym_keyword_regtype] = ACTIONS(279),
    [aux_sym_double_token1] = ACTIONS(321),
    [anon_sym_DASH_DASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
  },
  [12] = {
    [sym_keyword_smallserial] = STATE(1300),
    [sym_keyword_serial] = STATE(1300),
    [sym_keyword_bigserial] = STATE(1300),
    [sym_keyword_tinyint] = STATE(689),
    [sym_keyword_smallint] = STATE(688),
    [sym_keyword_mediumint] = STATE(687),
    [sym_keyword_int] = STATE(684),
    [sym_keyword_bigint] = STATE(683),
    [sym_keyword_real] = STATE(682),
    [sym_keyword_char] = STATE(1147),
    [sym_keyword_varchar] = STATE(1148),
    [sym_keyword_timestamp] = STATE(1300),
    [sym_keyword_timestamptz] = STATE(1300),
    [sym__type] = STATE(1408),
    [sym_tinyint] = STATE(1300),
    [sym_smallint] = STATE(1300),
    [sym_mediumint] = STATE(1300),
    [sym_int] = STATE(1300),
    [sym_bigint] = STATE(1300),
    [sym_float] = STATE(1300),
    [sym_double] = STATE(1300),
    [sym_decimal] = STATE(1300),
    [sym_numeric] = STATE(1300),
    [sym_char] = STATE(1300),
    [sym_varchar] = STATE(1300),
    [sym_comment] = STATE(12),
    [sym_marginalia] = STATE(12),
    [aux_sym_keyword_character_token1] = ACTIONS(323),
    [sym_keyword_unsigned] = ACTIONS(325),
    [sym_keyword_boolean] = ACTIONS(327),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(329),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(329),
    [aux_sym_keyword_serial_token1] = ACTIONS(331),
    [aux_sym_keyword_serial_token2] = ACTIONS(333),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(335),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(335),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(337),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(337),
    [aux_sym_keyword_smallint_token1] = ACTIONS(339),
    [aux_sym_keyword_smallint_token2] = ACTIONS(339),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(341),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(341),
    [aux_sym_keyword_int_token1] = ACTIONS(343),
    [aux_sym_keyword_int_token2] = ACTIONS(345),
    [aux_sym_keyword_int_token3] = ACTIONS(345),
    [aux_sym_keyword_bigint_token1] = ACTIONS(347),
    [aux_sym_keyword_bigint_token2] = ACTIONS(347),
    [sym_keyword_decimal] = ACTIONS(349),
    [sym_keyword_numeric] = ACTIONS(351),
    [aux_sym_keyword_real_token1] = ACTIONS(353),
    [aux_sym_keyword_real_token2] = ACTIONS(353),
    [sym_keyword_float] = ACTIONS(355),
    [sym_keyword_double] = ACTIONS(357),
    [sym_keyword_money] = ACTIONS(327),
    [aux_sym_keyword_char_token1] = ACTIONS(359),
    [aux_sym_keyword_varchar_token1] = ACTIONS(361),
    [sym_keyword_text] = ACTIONS(327),
    [sym_keyword_uuid] = ACTIONS(327),
    [sym_keyword_json] = ACTIONS(363),
    [sym_keyword_jsonb] = ACTIONS(327),
    [sym_keyword_xml] = ACTIONS(327),
    [sym_keyword_bytea] = ACTIONS(327),
    [sym_keyword_date] = ACTIONS(363),
    [sym_keyword_datetime] = ACTIONS(327),
    [aux_sym_keyword_timestamp_token1] = ACTIONS(365),
    [aux_sym_keyword_timestamptz_token1] = ACTIONS(367),
    [sym_keyword_interval] = ACTIONS(327),
    [sym_keyword_geometry] = ACTIONS(327),
    [sym_keyword_geography] = ACTIONS(327),
    [sym_keyword_box2d] = ACTIONS(327),
    [sym_keyword_box3d] = ACTIONS(327),
    [sym_keyword_oid] = ACTIONS(327),
    [sym_keyword_name] = ACTIONS(327),
    [sym_keyword_regclass] = ACTIONS(327),
    [sym_keyword_regnamespace] = ACTIONS(327),
    [sym_keyword_regproc] = ACTIONS(327),
    [sym_keyword_regtype] = ACTIONS(327),
    [aux_sym_double_token1] = ACTIONS(369),
    [anon_sym_DASH_DASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
  },
  [13] = {
    [sym_keyword_smallserial] = STATE(3905),
    [sym_keyword_serial] = STATE(3905),
    [sym_keyword_bigserial] = STATE(3905),
    [sym_keyword_tinyint] = STATE(3367),
    [sym_keyword_smallint] = STATE(3369),
    [sym_keyword_mediumint] = STATE(3374),
    [sym_keyword_int] = STATE(3327),
    [sym_keyword_bigint] = STATE(3330),
    [sym_keyword_real] = STATE(3334),
    [sym_keyword_char] = STATE(3889),
    [sym_keyword_varchar] = STATE(3888),
    [sym_keyword_timestamp] = STATE(3905),
    [sym_keyword_timestamptz] = STATE(3905),
    [sym__type] = STATE(3986),
    [sym_tinyint] = STATE(3905),
    [sym_smallint] = STATE(3905),
    [sym_mediumint] = STATE(3905),
    [sym_int] = STATE(3905),
    [sym_bigint] = STATE(3905),
    [sym_float] = STATE(3905),
    [sym_double] = STATE(3905),
    [sym_decimal] = STATE(3905),
    [sym_numeric] = STATE(3905),
    [sym_char] = STATE(3905),
    [sym_varchar] = STATE(3905),
    [sym_comment] = STATE(13),
    [sym_marginalia] = STATE(13),
    [aux_sym_keyword_character_token1] = ACTIONS(371),
    [sym_keyword_unsigned] = ACTIONS(373),
    [sym_keyword_boolean] = ACTIONS(375),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(377),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(377),
    [aux_sym_keyword_serial_token1] = ACTIONS(379),
    [aux_sym_keyword_serial_token2] = ACTIONS(381),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(383),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(383),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(385),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(385),
    [aux_sym_keyword_smallint_token1] = ACTIONS(387),
    [aux_sym_keyword_smallint_token2] = ACTIONS(387),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(389),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(389),
    [aux_sym_keyword_int_token1] = ACTIONS(391),
    [aux_sym_keyword_int_token2] = ACTIONS(393),
    [aux_sym_keyword_int_token3] = ACTIONS(393),
    [aux_sym_keyword_bigint_token1] = ACTIONS(395),
    [aux_sym_keyword_bigint_token2] = ACTIONS(395),
    [sym_keyword_decimal] = ACTIONS(397),
    [sym_keyword_numeric] = ACTIONS(399),
    [aux_sym_keyword_real_token1] = ACTIONS(401),
    [aux_sym_keyword_real_token2] = ACTIONS(401),
    [sym_keyword_float] = ACTIONS(403),
    [sym_keyword_double] = ACTIONS(405),
    [sym_keyword_money] = ACTIONS(375),
    [aux_sym_keyword_char_token1] = ACTIONS(407),
    [aux_sym_keyword_varchar_token1] = ACTIONS(409),
    [sym_keyword_text] = ACTIONS(375),
    [sym_keyword_uuid] = ACTIONS(375),
    [sym_keyword_json] = ACTIONS(411),
    [sym_keyword_jsonb] = ACTIONS(375),
    [sym_keyword_xml] = ACTIONS(375),
    [sym_keyword_bytea] = ACTIONS(375),
    [sym_keyword_date] = ACTIONS(411),
    [sym_keyword_datetime] = ACTIONS(375),
    [aux_sym_keyword_timestamp_token1] = ACTIONS(413),
    [aux_sym_keyword_timestamptz_token1] = ACTIONS(415),
    [sym_keyword_interval] = ACTIONS(375),
    [sym_keyword_geometry] = ACTIONS(375),
    [sym_keyword_geography] = ACTIONS(375),
    [sym_keyword_box2d] = ACTIONS(375),
    [sym_keyword_box3d] = ACTIONS(375),
    [sym_keyword_oid] = ACTIONS(375),
    [sym_keyword_name] = ACTIONS(375),
    [sym_keyword_regclass] = ACTIONS(375),
    [sym_keyword_regnamespace] = ACTIONS(375),
    [sym_keyword_regproc] = ACTIONS(375),
    [sym_keyword_regtype] = ACTIONS(375),
    [aux_sym_double_token1] = ACTIONS(417),
    [anon_sym_DASH_DASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
  },
  [14] = {
    [sym_keyword_smallserial] = STATE(4369),
    [sym_keyword_serial] = STATE(4369),
    [sym_keyword_bigserial] = STATE(4369),
    [sym_keyword_tinyint] = STATE(4148),
    [sym_keyword_smallint] = STATE(4149),
    [sym_keyword_mediumint] = STATE(4150),
    [sym_keyword_int] = STATE(4153),
    [sym_keyword_bigint] = STATE(4154),
    [sym_keyword_real] = STATE(4155),
    [sym_keyword_char] = STATE(4341),
    [sym_keyword_varchar] = STATE(4336),
    [sym_keyword_timestamp] = STATE(4369),
    [sym_keyword_timestamptz] = STATE(4369),
    [sym__type] = STATE(4409),
    [sym_tinyint] = STATE(4369),
    [sym_smallint] = STATE(4369),
    [sym_mediumint] = STATE(4369),
    [sym_int] = STATE(4369),
    [sym_bigint] = STATE(4369),
    [sym_float] = STATE(4369),
    [sym_double] = STATE(4369),
    [sym_decimal] = STATE(4369),
    [sym_numeric] = STATE(4369),
    [sym_char] = STATE(4369),
    [sym_varchar] = STATE(4369),
    [sym_comment] = STATE(14),
    [sym_marginalia] = STATE(14),
    [aux_sym_keyword_character_token1] = ACTIONS(419),
    [sym_keyword_unsigned] = ACTIONS(421),
    [sym_keyword_boolean] = ACTIONS(423),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(425),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(425),
    [aux_sym_keyword_serial_token1] = ACTIONS(427),
    [aux_sym_keyword_serial_token2] = ACTIONS(429),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(431),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(431),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(433),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(433),
    [aux_sym_keyword_smallint_token1] = ACTIONS(435),
    [aux_sym_keyword_smallint_token2] = ACTIONS(435),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(437),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(437),
    [aux_sym_keyword_int_token1] = ACTIONS(439),
    [aux_sym_keyword_int_token2] = ACTIONS(441),
    [aux_sym_keyword_int_token3] = ACTIONS(441),
    [aux_sym_keyword_bigint_token1] = ACTIONS(443),
    [aux_sym_keyword_bigint_token2] = ACTIONS(443),
    [sym_keyword_decimal] = ACTIONS(445),
    [sym_keyword_numeric] = ACTIONS(447),
    [aux_sym_keyword_real_token1] = ACTIONS(449),
    [aux_sym_keyword_real_token2] = ACTIONS(449),
    [sym_keyword_float] = ACTIONS(451),
    [sym_keyword_double] = ACTIONS(453),
    [sym_keyword_money] = ACTIONS(423),
    [aux_sym_keyword_char_token1] = ACTIONS(455),
    [aux_sym_keyword_varchar_token1] = ACTIONS(457),
    [sym_keyword_text] = ACTIONS(423),
    [sym_keyword_uuid] = ACTIONS(423),
    [sym_keyword_json] = ACTIONS(459),
    [sym_keyword_jsonb] = ACTIONS(423),
    [sym_keyword_xml] = ACTIONS(423),
    [sym_keyword_bytea] = ACTIONS(423),
    [sym_keyword_date] = ACTIONS(459),
    [sym_keyword_datetime] = ACTIONS(423),
    [aux_sym_keyword_timestamp_token1] = ACTIONS(461),
    [aux_sym_keyword_timestamptz_token1] = ACTIONS(463),
    [sym_keyword_interval] = ACTIONS(423),
    [sym_keyword_geometry] = ACTIONS(423),
    [sym_keyword_geography] = ACTIONS(423),
    [sym_keyword_box2d] = ACTIONS(423),
    [sym_keyword_box3d] = ACTIONS(423),
    [sym_keyword_oid] = ACTIONS(423),
    [sym_keyword_name] = ACTIONS(423),
    [sym_keyword_regclass] = ACTIONS(423),
    [sym_keyword_regnamespace] = ACTIONS(423),
    [sym_keyword_regproc] = ACTIONS(423),
    [sym_keyword_regtype] = ACTIONS(423),
    [aux_sym_double_token1] = ACTIONS(465),
    [anon_sym_DASH_DASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
  },
  [15] = {
    [sym_keyword_smallserial] = STATE(2803),
    [sym_keyword_serial] = STATE(2803),
    [sym_keyword_bigserial] = STATE(2803),
    [sym_keyword_tinyint] = STATE(2436),
    [sym_keyword_smallint] = STATE(2435),
    [sym_keyword_mediumint] = STATE(2434),
    [sym_keyword_int] = STATE(2430),
    [sym_keyword_bigint] = STATE(2443),
    [sym_keyword_real] = STATE(2442),
    [sym_keyword_char] = STATE(2660),
    [sym_keyword_varchar] = STATE(2661),
    [sym_keyword_timestamp] = STATE(2803),
    [sym_keyword_timestamptz] = STATE(2803),
    [sym__type] = STATE(4909),
    [sym_tinyint] = STATE(2803),
    [sym_smallint] = STATE(2803),
    [sym_mediumint] = STATE(2803),
    [sym_int] = STATE(2803),
    [sym_bigint] = STATE(2803),
    [sym_float] = STATE(2803),
    [sym_double] = STATE(2803),
    [sym_decimal] = STATE(2803),
    [sym_numeric] = STATE(2803),
    [sym_char] = STATE(2803),
    [sym_varchar] = STATE(2803),
    [sym_comment] = STATE(15),
    [sym_marginalia] = STATE(15),
    [aux_sym_keyword_character_token1] = ACTIONS(27),
    [sym_keyword_unsigned] = ACTIONS(29),
    [sym_keyword_boolean] = ACTIONS(31),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(33),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(33),
    [aux_sym_keyword_serial_token1] = ACTIONS(35),
    [aux_sym_keyword_serial_token2] = ACTIONS(37),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(39),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(39),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(41),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(41),
    [aux_sym_keyword_smallint_token1] = ACTIONS(43),
    [aux_sym_keyword_smallint_token2] = ACTIONS(43),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(45),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(45),
    [aux_sym_keyword_int_token1] = ACTIONS(47),
    [aux_sym_keyword_int_token2] = ACTIONS(49),
    [aux_sym_keyword_int_token3] = ACTIONS(49),
    [aux_sym_keyword_bigint_token1] = ACTIONS(51),
    [aux_sym_keyword_bigint_token2] = ACTIONS(51),
    [sym_keyword_decimal] = ACTIONS(53),
    [sym_keyword_numeric] = ACTIONS(55),
    [aux_sym_keyword_real_token1] = ACTIONS(57),
    [aux_sym_keyword_real_token2] = ACTIONS(57),
    [sym_keyword_float] = ACTIONS(59),
    [sym_keyword_double] = ACTIONS(61),
    [sym_keyword_money] = ACTIONS(31),
    [aux_sym_keyword_char_token1] = ACTIONS(63),
    [aux_sym_keyword_varchar_token1] = ACTIONS(65),
    [sym_keyword_text] = ACTIONS(31),
    [sym_keyword_uuid] = ACTIONS(31),
    [sym_keyword_json] = ACTIONS(67),
    [sym_keyword_jsonb] = ACTIONS(31),
    [sym_keyword_xml] = ACTIONS(31),
    [sym_keyword_bytea] = ACTIONS(31),
    [sym_keyword_date] = ACTIONS(67),
    [sym_keyword_datetime] = ACTIONS(31),
    [aux_sym_keyword_timestamp_token1] = ACTIONS(69),
    [aux_sym_keyword_timestamptz_token1] = ACTIONS(71),
    [sym_keyword_interval] = ACTIONS(31),
    [sym_keyword_geometry] = ACTIONS(31),
    [sym_keyword_geography] = ACTIONS(31),
    [sym_keyword_box2d] = ACTIONS(31),
    [sym_keyword_box3d] = ACTIONS(31),
    [sym_keyword_oid] = ACTIONS(31),
    [sym_keyword_name] = ACTIONS(31),
    [sym_keyword_regclass] = ACTIONS(31),
    [sym_keyword_regnamespace] = ACTIONS(31),
    [sym_keyword_regproc] = ACTIONS(31),
    [sym_keyword_regtype] = ACTIONS(31),
    [aux_sym_double_token1] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
  },
  [16] = {
    [sym_keyword_smallserial] = STATE(2337),
    [sym_keyword_serial] = STATE(2337),
    [sym_keyword_bigserial] = STATE(2337),
    [sym_keyword_tinyint] = STATE(1403),
    [sym_keyword_smallint] = STATE(1402),
    [sym_keyword_mediumint] = STATE(1401),
    [sym_keyword_int] = STATE(1400),
    [sym_keyword_bigint] = STATE(1194),
    [sym_keyword_real] = STATE(1418),
    [sym_keyword_char] = STATE(1822),
    [sym_keyword_varchar] = STATE(1823),
    [sym_keyword_timestamp] = STATE(2337),
    [sym_keyword_timestamptz] = STATE(2337),
    [sym__type] = STATE(2333),
    [sym_tinyint] = STATE(2337),
    [sym_smallint] = STATE(2337),
    [sym_mediumint] = STATE(2337),
    [sym_int] = STATE(2337),
    [sym_bigint] = STATE(2337),
    [sym_float] = STATE(2337),
    [sym_double] = STATE(2337),
    [sym_decimal] = STATE(2337),
    [sym_numeric] = STATE(2337),
    [sym_char] = STATE(2337),
    [sym_varchar] = STATE(2337),
    [sym_comment] = STATE(16),
    [sym_marginalia] = STATE(16),
    [aux_sym_keyword_character_token1] = ACTIONS(467),
    [sym_keyword_unsigned] = ACTIONS(469),
    [sym_keyword_boolean] = ACTIONS(471),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(473),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(473),
    [aux_sym_keyword_serial_token1] = ACTIONS(475),
    [aux_sym_keyword_serial_token2] = ACTIONS(477),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(479),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(479),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(481),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(481),
    [aux_sym_keyword_smallint_token1] = ACTIONS(483),
    [aux_sym_keyword_smallint_token2] = ACTIONS(483),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(485),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(485),
    [aux_sym_keyword_int_token1] = ACTIONS(487),
    [aux_sym_keyword_int_token2] = ACTIONS(489),
    [aux_sym_keyword_int_token3] = ACTIONS(489),
    [aux_sym_keyword_bigint_token1] = ACTIONS(491),
    [aux_sym_keyword_bigint_token2] = ACTIONS(491),
    [sym_keyword_decimal] = ACTIONS(493),
    [sym_keyword_numeric] = ACTIONS(495),
    [aux_sym_keyword_real_token1] = ACTIONS(497),
    [aux_sym_keyword_real_token2] = ACTIONS(497),
    [sym_keyword_float] = ACTIONS(499),
    [sym_keyword_double] = ACTIONS(501),
    [sym_keyword_money] = ACTIONS(471),
    [aux_sym_keyword_char_token1] = ACTIONS(503),
    [aux_sym_keyword_varchar_token1] = ACTIONS(505),
    [sym_keyword_text] = ACTIONS(471),
    [sym_keyword_uuid] = ACTIONS(471),
    [sym_keyword_json] = ACTIONS(507),
    [sym_keyword_jsonb] = ACTIONS(471),
    [sym_keyword_xml] = ACTIONS(471),
    [sym_keyword_bytea] = ACTIONS(471),
    [sym_keyword_date] = ACTIONS(507),
    [sym_keyword_datetime] = ACTIONS(471),
    [aux_sym_keyword_timestamp_token1] = ACTIONS(509),
    [aux_sym_keyword_timestamptz_token1] = ACTIONS(511),
    [sym_keyword_interval] = ACTIONS(471),
    [sym_keyword_geometry] = ACTIONS(471),
    [sym_keyword_geography] = ACTIONS(471),
    [sym_keyword_box2d] = ACTIONS(471),
    [sym_keyword_box3d] = ACTIONS(471),
    [sym_keyword_oid] = ACTIONS(471),
    [sym_keyword_name] = ACTIONS(471),
    [sym_keyword_regclass] = ACTIONS(471),
    [sym_keyword_regnamespace] = ACTIONS(471),
    [sym_keyword_regproc] = ACTIONS(471),
    [sym_keyword_regtype] = ACTIONS(471),
    [aux_sym_double_token1] = ACTIONS(513),
    [anon_sym_DASH_DASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
  },
  [17] = {
    [sym_keyword_smallserial] = STATE(217),
    [sym_keyword_serial] = STATE(217),
    [sym_keyword_bigserial] = STATE(217),
    [sym_keyword_tinyint] = STATE(81),
    [sym_keyword_smallint] = STATE(66),
    [sym_keyword_mediumint] = STATE(79),
    [sym_keyword_int] = STATE(80),
    [sym_keyword_bigint] = STATE(78),
    [sym_keyword_real] = STATE(77),
    [sym_keyword_char] = STATE(151),
    [sym_keyword_varchar] = STATE(149),
    [sym_keyword_timestamp] = STATE(217),
    [sym_keyword_timestamptz] = STATE(217),
    [sym__type] = STATE(4156),
    [sym_tinyint] = STATE(217),
    [sym_smallint] = STATE(217),
    [sym_mediumint] = STATE(217),
    [sym_int] = STATE(217),
    [sym_bigint] = STATE(217),
    [sym_float] = STATE(217),
    [sym_double] = STATE(217),
    [sym_decimal] = STATE(217),
    [sym_numeric] = STATE(217),
    [sym_char] = STATE(217),
    [sym_varchar] = STATE(217),
    [sym_comment] = STATE(17),
    [sym_marginalia] = STATE(17),
    [aux_sym_keyword_character_token1] = ACTIONS(515),
    [sym_keyword_unsigned] = ACTIONS(517),
    [sym_keyword_boolean] = ACTIONS(519),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(521),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(521),
    [aux_sym_keyword_serial_token1] = ACTIONS(523),
    [aux_sym_keyword_serial_token2] = ACTIONS(525),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(527),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(527),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(529),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(529),
    [aux_sym_keyword_smallint_token1] = ACTIONS(531),
    [aux_sym_keyword_smallint_token2] = ACTIONS(531),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(533),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(533),
    [aux_sym_keyword_int_token1] = ACTIONS(535),
    [aux_sym_keyword_int_token2] = ACTIONS(537),
    [aux_sym_keyword_int_token3] = ACTIONS(537),
    [aux_sym_keyword_bigint_token1] = ACTIONS(539),
    [aux_sym_keyword_bigint_token2] = ACTIONS(539),
    [sym_keyword_decimal] = ACTIONS(541),
    [sym_keyword_numeric] = ACTIONS(543),
    [aux_sym_keyword_real_token1] = ACTIONS(545),
    [aux_sym_keyword_real_token2] = ACTIONS(545),
    [sym_keyword_float] = ACTIONS(547),
    [sym_keyword_double] = ACTIONS(549),
    [sym_keyword_money] = ACTIONS(519),
    [aux_sym_keyword_char_token1] = ACTIONS(551),
    [aux_sym_keyword_varchar_token1] = ACTIONS(553),
    [sym_keyword_text] = ACTIONS(519),
    [sym_keyword_uuid] = ACTIONS(519),
    [sym_keyword_json] = ACTIONS(555),
    [sym_keyword_jsonb] = ACTIONS(519),
    [sym_keyword_xml] = ACTIONS(519),
    [sym_keyword_bytea] = ACTIONS(519),
    [sym_keyword_date] = ACTIONS(555),
    [sym_keyword_datetime] = ACTIONS(519),
    [aux_sym_keyword_timestamp_token1] = ACTIONS(557),
    [aux_sym_keyword_timestamptz_token1] = ACTIONS(559),
    [sym_keyword_interval] = ACTIONS(519),
    [sym_keyword_geometry] = ACTIONS(519),
    [sym_keyword_geography] = ACTIONS(519),
    [sym_keyword_box2d] = ACTIONS(519),
    [sym_keyword_box3d] = ACTIONS(519),
    [sym_keyword_oid] = ACTIONS(519),
    [sym_keyword_name] = ACTIONS(519),
    [sym_keyword_regclass] = ACTIONS(519),
    [sym_keyword_regnamespace] = ACTIONS(519),
    [sym_keyword_regproc] = ACTIONS(519),
    [sym_keyword_regtype] = ACTIONS(519),
    [aux_sym_double_token1] = ACTIONS(561),
    [anon_sym_DASH_DASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
  },
  [18] = {
    [sym_keyword_smallserial] = STATE(997),
    [sym_keyword_serial] = STATE(997),
    [sym_keyword_bigserial] = STATE(997),
    [sym_keyword_tinyint] = STATE(493),
    [sym_keyword_smallint] = STATE(495),
    [sym_keyword_mediumint] = STATE(496),
    [sym_keyword_int] = STATE(497),
    [sym_keyword_bigint] = STATE(506),
    [sym_keyword_real] = STATE(511),
    [sym_keyword_char] = STATE(839),
    [sym_keyword_varchar] = STATE(841),
    [sym_keyword_timestamp] = STATE(997),
    [sym_keyword_timestamptz] = STATE(997),
    [sym__type] = STATE(1149),
    [sym_tinyint] = STATE(997),
    [sym_smallint] = STATE(997),
    [sym_mediumint] = STATE(997),
    [sym_int] = STATE(997),
    [sym_bigint] = STATE(997),
    [sym_float] = STATE(997),
    [sym_double] = STATE(997),
    [sym_decimal] = STATE(997),
    [sym_numeric] = STATE(997),
    [sym_char] = STATE(997),
    [sym_varchar] = STATE(997),
    [sym_comment] = STATE(18),
    [sym_marginalia] = STATE(18),
    [aux_sym_keyword_character_token1] = ACTIONS(563),
    [sym_keyword_unsigned] = ACTIONS(565),
    [sym_keyword_boolean] = ACTIONS(567),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(569),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(569),
    [aux_sym_keyword_serial_token1] = ACTIONS(571),
    [aux_sym_keyword_serial_token2] = ACTIONS(573),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(575),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(575),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(577),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(577),
    [aux_sym_keyword_smallint_token1] = ACTIONS(579),
    [aux_sym_keyword_smallint_token2] = ACTIONS(579),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(581),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(581),
    [aux_sym_keyword_int_token1] = ACTIONS(583),
    [aux_sym_keyword_int_token2] = ACTIONS(585),
    [aux_sym_keyword_int_token3] = ACTIONS(585),
    [aux_sym_keyword_bigint_token1] = ACTIONS(587),
    [aux_sym_keyword_bigint_token2] = ACTIONS(587),
    [sym_keyword_decimal] = ACTIONS(589),
    [sym_keyword_numeric] = ACTIONS(591),
    [aux_sym_keyword_real_token1] = ACTIONS(593),
    [aux_sym_keyword_real_token2] = ACTIONS(593),
    [sym_keyword_float] = ACTIONS(595),
    [sym_keyword_double] = ACTIONS(597),
    [sym_keyword_money] = ACTIONS(567),
    [aux_sym_keyword_char_token1] = ACTIONS(599),
    [aux_sym_keyword_varchar_token1] = ACTIONS(601),
    [sym_keyword_text] = ACTIONS(567),
    [sym_keyword_uuid] = ACTIONS(567),
    [sym_keyword_json] = ACTIONS(603),
    [sym_keyword_jsonb] = ACTIONS(567),
    [sym_keyword_xml] = ACTIONS(567),
    [sym_keyword_bytea] = ACTIONS(567),
    [sym_keyword_date] = ACTIONS(603),
    [sym_keyword_datetime] = ACTIONS(567),
    [aux_sym_keyword_timestamp_token1] = ACTIONS(605),
    [aux_sym_keyword_timestamptz_token1] = ACTIONS(607),
    [sym_keyword_interval] = ACTIONS(567),
    [sym_keyword_geometry] = ACTIONS(567),
    [sym_keyword_geography] = ACTIONS(567),
    [sym_keyword_box2d] = ACTIONS(567),
    [sym_keyword_box3d] = ACTIONS(567),
    [sym_keyword_oid] = ACTIONS(567),
    [sym_keyword_name] = ACTIONS(567),
    [sym_keyword_regclass] = ACTIONS(567),
    [sym_keyword_regnamespace] = ACTIONS(567),
    [sym_keyword_regproc] = ACTIONS(567),
    [sym_keyword_regtype] = ACTIONS(567),
    [aux_sym_double_token1] = ACTIONS(609),
    [anon_sym_DASH_DASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
  },
  [19] = {
    [sym_keyword_smallserial] = STATE(873),
    [sym_keyword_serial] = STATE(873),
    [sym_keyword_bigserial] = STATE(873),
    [sym_keyword_tinyint] = STATE(430),
    [sym_keyword_smallint] = STATE(419),
    [sym_keyword_mediumint] = STATE(417),
    [sym_keyword_int] = STATE(415),
    [sym_keyword_bigint] = STATE(414),
    [sym_keyword_real] = STATE(413),
    [sym_keyword_char] = STATE(731),
    [sym_keyword_varchar] = STATE(732),
    [sym_keyword_timestamp] = STATE(873),
    [sym_keyword_timestamptz] = STATE(873),
    [sym__type] = STATE(6027),
    [sym_tinyint] = STATE(873),
    [sym_smallint] = STATE(873),
    [sym_mediumint] = STATE(873),
    [sym_int] = STATE(873),
    [sym_bigint] = STATE(873),
    [sym_float] = STATE(873),
    [sym_double] = STATE(873),
    [sym_decimal] = STATE(873),
    [sym_numeric] = STATE(873),
    [sym_char] = STATE(873),
    [sym_varchar] = STATE(873),
    [sym_comment] = STATE(19),
    [sym_marginalia] = STATE(19),
    [aux_sym_keyword_character_token1] = ACTIONS(83),
    [sym_keyword_unsigned] = ACTIONS(85),
    [sym_keyword_boolean] = ACTIONS(87),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(89),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(89),
    [aux_sym_keyword_serial_token1] = ACTIONS(91),
    [aux_sym_keyword_serial_token2] = ACTIONS(93),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(95),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(95),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(97),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(97),
    [aux_sym_keyword_smallint_token1] = ACTIONS(99),
    [aux_sym_keyword_smallint_token2] = ACTIONS(99),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(101),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(101),
    [aux_sym_keyword_int_token1] = ACTIONS(103),
    [aux_sym_keyword_int_token2] = ACTIONS(105),
    [aux_sym_keyword_int_token3] = ACTIONS(105),
    [aux_sym_keyword_bigint_token1] = ACTIONS(107),
    [aux_sym_keyword_bigint_token2] = ACTIONS(107),
    [sym_keyword_decimal] = ACTIONS(109),
    [sym_keyword_numeric] = ACTIONS(111),
    [aux_sym_keyword_real_token1] = ACTIONS(113),
    [aux_sym_keyword_real_token2] = ACTIONS(113),
    [sym_keyword_float] = ACTIONS(115),
    [sym_keyword_double] = ACTIONS(117),
    [sym_keyword_money] = ACTIONS(87),
    [aux_sym_keyword_char_token1] = ACTIONS(119),
    [aux_sym_keyword_varchar_token1] = ACTIONS(121),
    [sym_keyword_text] = ACTIONS(87),
    [sym_keyword_uuid] = ACTIONS(87),
    [sym_keyword_json] = ACTIONS(123),
    [sym_keyword_jsonb] = ACTIONS(87),
    [sym_keyword_xml] = ACTIONS(87),
    [sym_keyword_bytea] = ACTIONS(87),
    [sym_keyword_date] = ACTIONS(123),
    [sym_keyword_datetime] = ACTIONS(87),
    [aux_sym_keyword_timestamp_token1] = ACTIONS(125),
    [aux_sym_keyword_timestamptz_token1] = ACTIONS(127),
    [sym_keyword_interval] = ACTIONS(87),
    [sym_keyword_geometry] = ACTIONS(87),
    [sym_keyword_geography] = ACTIONS(87),
    [sym_keyword_box2d] = ACTIONS(87),
    [sym_keyword_box3d] = ACTIONS(87),
    [sym_keyword_oid] = ACTIONS(87),
    [sym_keyword_name] = ACTIONS(87),
    [sym_keyword_regclass] = ACTIONS(87),
    [sym_keyword_regnamespace] = ACTIONS(87),
    [sym_keyword_regproc] = ACTIONS(87),
    [sym_keyword_regtype] = ACTIONS(87),
    [aux_sym_double_token1] = ACTIONS(129),
    [anon_sym_DASH_DASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
  },
  [20] = {
    [sym_keyword_smallserial] = STATE(873),
    [sym_keyword_serial] = STATE(873),
    [sym_keyword_bigserial] = STATE(873),
    [sym_keyword_tinyint] = STATE(430),
    [sym_keyword_smallint] = STATE(419),
    [sym_keyword_mediumint] = STATE(417),
    [sym_keyword_int] = STATE(415),
    [sym_keyword_bigint] = STATE(414),
    [sym_keyword_real] = STATE(413),
    [sym_keyword_char] = STATE(731),
    [sym_keyword_varchar] = STATE(732),
    [sym_keyword_timestamp] = STATE(873),
    [sym_keyword_timestamptz] = STATE(873),
    [sym__type] = STATE(6155),
    [sym_tinyint] = STATE(873),
    [sym_smallint] = STATE(873),
    [sym_mediumint] = STATE(873),
    [sym_int] = STATE(873),
    [sym_bigint] = STATE(873),
    [sym_float] = STATE(873),
    [sym_double] = STATE(873),
    [sym_decimal] = STATE(873),
    [sym_numeric] = STATE(873),
    [sym_char] = STATE(873),
    [sym_varchar] = STATE(873),
    [sym_comment] = STATE(20),
    [sym_marginalia] = STATE(20),
    [aux_sym_keyword_character_token1] = ACTIONS(83),
    [sym_keyword_unsigned] = ACTIONS(85),
    [sym_keyword_boolean] = ACTIONS(87),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(89),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(89),
    [aux_sym_keyword_serial_token1] = ACTIONS(91),
    [aux_sym_keyword_serial_token2] = ACTIONS(93),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(95),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(95),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(97),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(97),
    [aux_sym_keyword_smallint_token1] = ACTIONS(99),
    [aux_sym_keyword_smallint_token2] = ACTIONS(99),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(101),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(101),
    [aux_sym_keyword_int_token1] = ACTIONS(103),
    [aux_sym_keyword_int_token2] = ACTIONS(105),
    [aux_sym_keyword_int_token3] = ACTIONS(105),
    [aux_sym_keyword_bigint_token1] = ACTIONS(107),
    [aux_sym_keyword_bigint_token2] = ACTIONS(107),
    [sym_keyword_decimal] = ACTIONS(109),
    [sym_keyword_numeric] = ACTIONS(111),
    [aux_sym_keyword_real_token1] = ACTIONS(113),
    [aux_sym_keyword_real_token2] = ACTIONS(113),
    [sym_keyword_float] = ACTIONS(115),
    [sym_keyword_double] = ACTIONS(117),
    [sym_keyword_money] = ACTIONS(87),
    [aux_sym_keyword_char_token1] = ACTIONS(119),
    [aux_sym_keyword_varchar_token1] = ACTIONS(121),
    [sym_keyword_text] = ACTIONS(87),
    [sym_keyword_uuid] = ACTIONS(87),
    [sym_keyword_json] = ACTIONS(123),
    [sym_keyword_jsonb] = ACTIONS(87),
    [sym_keyword_xml] = ACTIONS(87),
    [sym_keyword_bytea] = ACTIONS(87),
    [sym_keyword_date] = ACTIONS(123),
    [sym_keyword_datetime] = ACTIONS(87),
    [aux_sym_keyword_timestamp_token1] = ACTIONS(125),
    [aux_sym_keyword_timestamptz_token1] = ACTIONS(127),
    [sym_keyword_interval] = ACTIONS(87),
    [sym_keyword_geometry] = ACTIONS(87),
    [sym_keyword_geography] = ACTIONS(87),
    [sym_keyword_box2d] = ACTIONS(87),
    [sym_keyword_box3d] = ACTIONS(87),
    [sym_keyword_oid] = ACTIONS(87),
    [sym_keyword_name] = ACTIONS(87),
    [sym_keyword_regclass] = ACTIONS(87),
    [sym_keyword_regnamespace] = ACTIONS(87),
    [sym_keyword_regproc] = ACTIONS(87),
    [sym_keyword_regtype] = ACTIONS(87),
    [aux_sym_double_token1] = ACTIONS(129),
    [anon_sym_DASH_DASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
  },
  [21] = {
    [sym_keyword_smallserial] = STATE(873),
    [sym_keyword_serial] = STATE(873),
    [sym_keyword_bigserial] = STATE(873),
    [sym_keyword_tinyint] = STATE(430),
    [sym_keyword_smallint] = STATE(419),
    [sym_keyword_mediumint] = STATE(417),
    [sym_keyword_int] = STATE(415),
    [sym_keyword_bigint] = STATE(414),
    [sym_keyword_real] = STATE(413),
    [sym_keyword_char] = STATE(731),
    [sym_keyword_varchar] = STATE(732),
    [sym_keyword_timestamp] = STATE(873),
    [sym_keyword_timestamptz] = STATE(873),
    [sym__type] = STATE(6165),
    [sym_tinyint] = STATE(873),
    [sym_smallint] = STATE(873),
    [sym_mediumint] = STATE(873),
    [sym_int] = STATE(873),
    [sym_bigint] = STATE(873),
    [sym_float] = STATE(873),
    [sym_double] = STATE(873),
    [sym_decimal] = STATE(873),
    [sym_numeric] = STATE(873),
    [sym_char] = STATE(873),
    [sym_varchar] = STATE(873),
    [sym_comment] = STATE(21),
    [sym_marginalia] = STATE(21),
    [aux_sym_keyword_character_token1] = ACTIONS(83),
    [sym_keyword_unsigned] = ACTIONS(85),
    [sym_keyword_boolean] = ACTIONS(87),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(89),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(89),
    [aux_sym_keyword_serial_token1] = ACTIONS(91),
    [aux_sym_keyword_serial_token2] = ACTIONS(93),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(95),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(95),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(97),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(97),
    [aux_sym_keyword_smallint_token1] = ACTIONS(99),
    [aux_sym_keyword_smallint_token2] = ACTIONS(99),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(101),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(101),
    [aux_sym_keyword_int_token1] = ACTIONS(103),
    [aux_sym_keyword_int_token2] = ACTIONS(105),
    [aux_sym_keyword_int_token3] = ACTIONS(105),
    [aux_sym_keyword_bigint_token1] = ACTIONS(107),
    [aux_sym_keyword_bigint_token2] = ACTIONS(107),
    [sym_keyword_decimal] = ACTIONS(109),
    [sym_keyword_numeric] = ACTIONS(111),
    [aux_sym_keyword_real_token1] = ACTIONS(113),
    [aux_sym_keyword_real_token2] = ACTIONS(113),
    [sym_keyword_float] = ACTIONS(115),
    [sym_keyword_double] = ACTIONS(117),
    [sym_keyword_money] = ACTIONS(87),
    [aux_sym_keyword_char_token1] = ACTIONS(119),
    [aux_sym_keyword_varchar_token1] = ACTIONS(121),
    [sym_keyword_text] = ACTIONS(87),
    [sym_keyword_uuid] = ACTIONS(87),
    [sym_keyword_json] = ACTIONS(123),
    [sym_keyword_jsonb] = ACTIONS(87),
    [sym_keyword_xml] = ACTIONS(87),
    [sym_keyword_bytea] = ACTIONS(87),
    [sym_keyword_date] = ACTIONS(123),
    [sym_keyword_datetime] = ACTIONS(87),
    [aux_sym_keyword_timestamp_token1] = ACTIONS(125),
    [aux_sym_keyword_timestamptz_token1] = ACTIONS(127),
    [sym_keyword_interval] = ACTIONS(87),
    [sym_keyword_geometry] = ACTIONS(87),
    [sym_keyword_geography] = ACTIONS(87),
    [sym_keyword_box2d] = ACTIONS(87),
    [sym_keyword_box3d] = ACTIONS(87),
    [sym_keyword_oid] = ACTIONS(87),
    [sym_keyword_name] = ACTIONS(87),
    [sym_keyword_regclass] = ACTIONS(87),
    [sym_keyword_regnamespace] = ACTIONS(87),
    [sym_keyword_regproc] = ACTIONS(87),
    [sym_keyword_regtype] = ACTIONS(87),
    [aux_sym_double_token1] = ACTIONS(129),
    [anon_sym_DASH_DASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
  },
  [22] = {
    [sym_keyword_smallserial] = STATE(873),
    [sym_keyword_serial] = STATE(873),
    [sym_keyword_bigserial] = STATE(873),
    [sym_keyword_tinyint] = STATE(430),
    [sym_keyword_smallint] = STATE(419),
    [sym_keyword_mediumint] = STATE(417),
    [sym_keyword_int] = STATE(415),
    [sym_keyword_bigint] = STATE(414),
    [sym_keyword_real] = STATE(413),
    [sym_keyword_char] = STATE(731),
    [sym_keyword_varchar] = STATE(732),
    [sym_keyword_timestamp] = STATE(873),
    [sym_keyword_timestamptz] = STATE(873),
    [sym__type] = STATE(6078),
    [sym_tinyint] = STATE(873),
    [sym_smallint] = STATE(873),
    [sym_mediumint] = STATE(873),
    [sym_int] = STATE(873),
    [sym_bigint] = STATE(873),
    [sym_float] = STATE(873),
    [sym_double] = STATE(873),
    [sym_decimal] = STATE(873),
    [sym_numeric] = STATE(873),
    [sym_char] = STATE(873),
    [sym_varchar] = STATE(873),
    [sym_comment] = STATE(22),
    [sym_marginalia] = STATE(22),
    [aux_sym_keyword_character_token1] = ACTIONS(83),
    [sym_keyword_unsigned] = ACTIONS(85),
    [sym_keyword_boolean] = ACTIONS(87),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(89),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(89),
    [aux_sym_keyword_serial_token1] = ACTIONS(91),
    [aux_sym_keyword_serial_token2] = ACTIONS(93),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(95),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(95),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(97),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(97),
    [aux_sym_keyword_smallint_token1] = ACTIONS(99),
    [aux_sym_keyword_smallint_token2] = ACTIONS(99),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(101),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(101),
    [aux_sym_keyword_int_token1] = ACTIONS(103),
    [aux_sym_keyword_int_token2] = ACTIONS(105),
    [aux_sym_keyword_int_token3] = ACTIONS(105),
    [aux_sym_keyword_bigint_token1] = ACTIONS(107),
    [aux_sym_keyword_bigint_token2] = ACTIONS(107),
    [sym_keyword_decimal] = ACTIONS(109),
    [sym_keyword_numeric] = ACTIONS(111),
    [aux_sym_keyword_real_token1] = ACTIONS(113),
    [aux_sym_keyword_real_token2] = ACTIONS(113),
    [sym_keyword_float] = ACTIONS(115),
    [sym_keyword_double] = ACTIONS(117),
    [sym_keyword_money] = ACTIONS(87),
    [aux_sym_keyword_char_token1] = ACTIONS(119),
    [aux_sym_keyword_varchar_token1] = ACTIONS(121),
    [sym_keyword_text] = ACTIONS(87),
    [sym_keyword_uuid] = ACTIONS(87),
    [sym_keyword_json] = ACTIONS(123),
    [sym_keyword_jsonb] = ACTIONS(87),
    [sym_keyword_xml] = ACTIONS(87),
    [sym_keyword_bytea] = ACTIONS(87),
    [sym_keyword_date] = ACTIONS(123),
    [sym_keyword_datetime] = ACTIONS(87),
    [aux_sym_keyword_timestamp_token1] = ACTIONS(125),
    [aux_sym_keyword_timestamptz_token1] = ACTIONS(127),
    [sym_keyword_interval] = ACTIONS(87),
    [sym_keyword_geometry] = ACTIONS(87),
    [sym_keyword_geography] = ACTIONS(87),
    [sym_keyword_box2d] = ACTIONS(87),
    [sym_keyword_box3d] = ACTIONS(87),
    [sym_keyword_oid] = ACTIONS(87),
    [sym_keyword_name] = ACTIONS(87),
    [sym_keyword_regclass] = ACTIONS(87),
    [sym_keyword_regnamespace] = ACTIONS(87),
    [sym_keyword_regproc] = ACTIONS(87),
    [sym_keyword_regtype] = ACTIONS(87),
    [aux_sym_double_token1] = ACTIONS(129),
    [anon_sym_DASH_DASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
  },
  [23] = {
    [sym_keyword_smallserial] = STATE(3308),
    [sym_keyword_serial] = STATE(3308),
    [sym_keyword_bigserial] = STATE(3308),
    [sym_keyword_tinyint] = STATE(2858),
    [sym_keyword_smallint] = STATE(2864),
    [sym_keyword_mediumint] = STATE(2865),
    [sym_keyword_int] = STATE(2866),
    [sym_keyword_bigint] = STATE(2867),
    [sym_keyword_real] = STATE(2870),
    [sym_keyword_char] = STATE(3076),
    [sym_keyword_varchar] = STATE(3075),
    [sym_keyword_timestamp] = STATE(3308),
    [sym_keyword_timestamptz] = STATE(3308),
    [sym__type] = STATE(3192),
    [sym_tinyint] = STATE(3308),
    [sym_smallint] = STATE(3308),
    [sym_mediumint] = STATE(3308),
    [sym_int] = STATE(3308),
    [sym_bigint] = STATE(3308),
    [sym_float] = STATE(3308),
    [sym_double] = STATE(3308),
    [sym_decimal] = STATE(3308),
    [sym_numeric] = STATE(3308),
    [sym_char] = STATE(3308),
    [sym_varchar] = STATE(3308),
    [sym_comment] = STATE(23),
    [sym_marginalia] = STATE(23),
    [aux_sym_keyword_character_token1] = ACTIONS(611),
    [sym_keyword_unsigned] = ACTIONS(613),
    [sym_keyword_boolean] = ACTIONS(615),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(617),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(617),
    [aux_sym_keyword_serial_token1] = ACTIONS(619),
    [aux_sym_keyword_serial_token2] = ACTIONS(621),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(623),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(623),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(625),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(625),
    [aux_sym_keyword_smallint_token1] = ACTIONS(627),
    [aux_sym_keyword_smallint_token2] = ACTIONS(627),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(629),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(629),
    [aux_sym_keyword_int_token1] = ACTIONS(631),
    [aux_sym_keyword_int_token2] = ACTIONS(633),
    [aux_sym_keyword_int_token3] = ACTIONS(633),
    [aux_sym_keyword_bigint_token1] = ACTIONS(635),
    [aux_sym_keyword_bigint_token2] = ACTIONS(635),
    [sym_keyword_decimal] = ACTIONS(637),
    [sym_keyword_numeric] = ACTIONS(639),
    [aux_sym_keyword_real_token1] = ACTIONS(641),
    [aux_sym_keyword_real_token2] = ACTIONS(641),
    [sym_keyword_float] = ACTIONS(643),
    [sym_keyword_double] = ACTIONS(645),
    [sym_keyword_money] = ACTIONS(615),
    [aux_sym_keyword_char_token1] = ACTIONS(647),
    [aux_sym_keyword_varchar_token1] = ACTIONS(649),
    [sym_keyword_text] = ACTIONS(615),
    [sym_keyword_uuid] = ACTIONS(615),
    [sym_keyword_json] = ACTIONS(651),
    [sym_keyword_jsonb] = ACTIONS(615),
    [sym_keyword_xml] = ACTIONS(615),
    [sym_keyword_bytea] = ACTIONS(615),
    [sym_keyword_date] = ACTIONS(651),
    [sym_keyword_datetime] = ACTIONS(615),
    [aux_sym_keyword_timestamp_token1] = ACTIONS(653),
    [aux_sym_keyword_timestamptz_token1] = ACTIONS(655),
    [sym_keyword_interval] = ACTIONS(615),
    [sym_keyword_geometry] = ACTIONS(615),
    [sym_keyword_geography] = ACTIONS(615),
    [sym_keyword_box2d] = ACTIONS(615),
    [sym_keyword_box3d] = ACTIONS(615),
    [sym_keyword_oid] = ACTIONS(615),
    [sym_keyword_name] = ACTIONS(615),
    [sym_keyword_regclass] = ACTIONS(615),
    [sym_keyword_regnamespace] = ACTIONS(615),
    [sym_keyword_regproc] = ACTIONS(615),
    [sym_keyword_regtype] = ACTIONS(615),
    [aux_sym_double_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
  },
  [24] = {
    [sym_keyword_smallserial] = STATE(217),
    [sym_keyword_serial] = STATE(217),
    [sym_keyword_bigserial] = STATE(217),
    [sym_keyword_tinyint] = STATE(81),
    [sym_keyword_smallint] = STATE(66),
    [sym_keyword_mediumint] = STATE(79),
    [sym_keyword_int] = STATE(80),
    [sym_keyword_bigint] = STATE(78),
    [sym_keyword_real] = STATE(77),
    [sym_keyword_char] = STATE(151),
    [sym_keyword_varchar] = STATE(149),
    [sym_keyword_timestamp] = STATE(217),
    [sym_keyword_timestamptz] = STATE(217),
    [sym__type] = STATE(1227),
    [sym_tinyint] = STATE(217),
    [sym_smallint] = STATE(217),
    [sym_mediumint] = STATE(217),
    [sym_int] = STATE(217),
    [sym_bigint] = STATE(217),
    [sym_float] = STATE(217),
    [sym_double] = STATE(217),
    [sym_decimal] = STATE(217),
    [sym_numeric] = STATE(217),
    [sym_char] = STATE(217),
    [sym_varchar] = STATE(217),
    [sym_comment] = STATE(24),
    [sym_marginalia] = STATE(24),
    [aux_sym_keyword_character_token1] = ACTIONS(515),
    [sym_keyword_unsigned] = ACTIONS(517),
    [sym_keyword_boolean] = ACTIONS(519),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(521),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(521),
    [aux_sym_keyword_serial_token1] = ACTIONS(523),
    [aux_sym_keyword_serial_token2] = ACTIONS(525),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(527),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(527),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(529),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(529),
    [aux_sym_keyword_smallint_token1] = ACTIONS(531),
    [aux_sym_keyword_smallint_token2] = ACTIONS(531),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(533),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(533),
    [aux_sym_keyword_int_token1] = ACTIONS(535),
    [aux_sym_keyword_int_token2] = ACTIONS(537),
    [aux_sym_keyword_int_token3] = ACTIONS(537),
    [aux_sym_keyword_bigint_token1] = ACTIONS(539),
    [aux_sym_keyword_bigint_token2] = ACTIONS(539),
    [sym_keyword_decimal] = ACTIONS(541),
    [sym_keyword_numeric] = ACTIONS(543),
    [aux_sym_keyword_real_token1] = ACTIONS(545),
    [aux_sym_keyword_real_token2] = ACTIONS(545),
    [sym_keyword_float] = ACTIONS(547),
    [sym_keyword_double] = ACTIONS(549),
    [sym_keyword_money] = ACTIONS(519),
    [aux_sym_keyword_char_token1] = ACTIONS(551),
    [aux_sym_keyword_varchar_token1] = ACTIONS(553),
    [sym_keyword_text] = ACTIONS(519),
    [sym_keyword_uuid] = ACTIONS(519),
    [sym_keyword_json] = ACTIONS(555),
    [sym_keyword_jsonb] = ACTIONS(519),
    [sym_keyword_xml] = ACTIONS(519),
    [sym_keyword_bytea] = ACTIONS(519),
    [sym_keyword_date] = ACTIONS(555),
    [sym_keyword_datetime] = ACTIONS(519),
    [aux_sym_keyword_timestamp_token1] = ACTIONS(557),
    [aux_sym_keyword_timestamptz_token1] = ACTIONS(559),
    [sym_keyword_interval] = ACTIONS(519),
    [sym_keyword_geometry] = ACTIONS(519),
    [sym_keyword_geography] = ACTIONS(519),
    [sym_keyword_box2d] = ACTIONS(519),
    [sym_keyword_box3d] = ACTIONS(519),
    [sym_keyword_oid] = ACTIONS(519),
    [sym_keyword_name] = ACTIONS(519),
    [sym_keyword_regclass] = ACTIONS(519),
    [sym_keyword_regnamespace] = ACTIONS(519),
    [sym_keyword_regproc] = ACTIONS(519),
    [sym_keyword_regtype] = ACTIONS(519),
    [aux_sym_double_token1] = ACTIONS(561),
    [anon_sym_DASH_DASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
  },
  [25] = {
    [sym_keyword_smallserial] = STATE(873),
    [sym_keyword_serial] = STATE(873),
    [sym_keyword_bigserial] = STATE(873),
    [sym_keyword_tinyint] = STATE(430),
    [sym_keyword_smallint] = STATE(419),
    [sym_keyword_mediumint] = STATE(417),
    [sym_keyword_int] = STATE(415),
    [sym_keyword_bigint] = STATE(414),
    [sym_keyword_real] = STATE(413),
    [sym_keyword_char] = STATE(731),
    [sym_keyword_varchar] = STATE(732),
    [sym_keyword_timestamp] = STATE(873),
    [sym_keyword_timestamptz] = STATE(873),
    [sym__type] = STATE(7388),
    [sym_tinyint] = STATE(873),
    [sym_smallint] = STATE(873),
    [sym_mediumint] = STATE(873),
    [sym_int] = STATE(873),
    [sym_bigint] = STATE(873),
    [sym_float] = STATE(873),
    [sym_double] = STATE(873),
    [sym_decimal] = STATE(873),
    [sym_numeric] = STATE(873),
    [sym_char] = STATE(873),
    [sym_varchar] = STATE(873),
    [sym_comment] = STATE(25),
    [sym_marginalia] = STATE(25),
    [aux_sym_keyword_character_token1] = ACTIONS(83),
    [sym_keyword_unsigned] = ACTIONS(85),
    [sym_keyword_boolean] = ACTIONS(87),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(89),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(89),
    [aux_sym_keyword_serial_token1] = ACTIONS(91),
    [aux_sym_keyword_serial_token2] = ACTIONS(93),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(95),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(95),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(97),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(97),
    [aux_sym_keyword_smallint_token1] = ACTIONS(99),
    [aux_sym_keyword_smallint_token2] = ACTIONS(99),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(101),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(101),
    [aux_sym_keyword_int_token1] = ACTIONS(103),
    [aux_sym_keyword_int_token2] = ACTIONS(105),
    [aux_sym_keyword_int_token3] = ACTIONS(105),
    [aux_sym_keyword_bigint_token1] = ACTIONS(107),
    [aux_sym_keyword_bigint_token2] = ACTIONS(107),
    [sym_keyword_decimal] = ACTIONS(109),
    [sym_keyword_numeric] = ACTIONS(111),
    [aux_sym_keyword_real_token1] = ACTIONS(113),
    [aux_sym_keyword_real_token2] = ACTIONS(113),
    [sym_keyword_float] = ACTIONS(115),
    [sym_keyword_double] = ACTIONS(117),
    [sym_keyword_money] = ACTIONS(87),
    [aux_sym_keyword_char_token1] = ACTIONS(119),
    [aux_sym_keyword_varchar_token1] = ACTIONS(121),
    [sym_keyword_text] = ACTIONS(87),
    [sym_keyword_uuid] = ACTIONS(87),
    [sym_keyword_json] = ACTIONS(123),
    [sym_keyword_jsonb] = ACTIONS(87),
    [sym_keyword_xml] = ACTIONS(87),
    [sym_keyword_bytea] = ACTIONS(87),
    [sym_keyword_date] = ACTIONS(123),
    [sym_keyword_datetime] = ACTIONS(87),
    [aux_sym_keyword_timestamp_token1] = ACTIONS(125),
    [aux_sym_keyword_timestamptz_token1] = ACTIONS(127),
    [sym_keyword_interval] = ACTIONS(87),
    [sym_keyword_geometry] = ACTIONS(87),
    [sym_keyword_geography] = ACTIONS(87),
    [sym_keyword_box2d] = ACTIONS(87),
    [sym_keyword_box3d] = ACTIONS(87),
    [sym_keyword_oid] = ACTIONS(87),
    [sym_keyword_name] = ACTIONS(87),
    [sym_keyword_regclass] = ACTIONS(87),
    [sym_keyword_regnamespace] = ACTIONS(87),
    [sym_keyword_regproc] = ACTIONS(87),
    [sym_keyword_regtype] = ACTIONS(87),
    [aux_sym_double_token1] = ACTIONS(129),
    [anon_sym_DASH_DASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
  },
  [26] = {
    [sym_keyword_smallserial] = STATE(2961),
    [sym_keyword_serial] = STATE(2961),
    [sym_keyword_bigserial] = STATE(2961),
    [sym_keyword_tinyint] = STATE(2553),
    [sym_keyword_smallint] = STATE(2554),
    [sym_keyword_mediumint] = STATE(2555),
    [sym_keyword_int] = STATE(2556),
    [sym_keyword_bigint] = STATE(2557),
    [sym_keyword_real] = STATE(2558),
    [sym_keyword_char] = STATE(2775),
    [sym_keyword_varchar] = STATE(2773),
    [sym_keyword_timestamp] = STATE(2961),
    [sym_keyword_timestamptz] = STATE(2961),
    [sym__type] = STATE(2979),
    [sym_tinyint] = STATE(2961),
    [sym_smallint] = STATE(2961),
    [sym_mediumint] = STATE(2961),
    [sym_int] = STATE(2961),
    [sym_bigint] = STATE(2961),
    [sym_float] = STATE(2961),
    [sym_double] = STATE(2961),
    [sym_decimal] = STATE(2961),
    [sym_numeric] = STATE(2961),
    [sym_char] = STATE(2961),
    [sym_varchar] = STATE(2961),
    [sym_comment] = STATE(26),
    [sym_marginalia] = STATE(26),
    [aux_sym_keyword_character_token1] = ACTIONS(659),
    [sym_keyword_unsigned] = ACTIONS(661),
    [sym_keyword_boolean] = ACTIONS(663),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(665),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(665),
    [aux_sym_keyword_serial_token1] = ACTIONS(667),
    [aux_sym_keyword_serial_token2] = ACTIONS(669),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(671),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(671),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(673),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(673),
    [aux_sym_keyword_smallint_token1] = ACTIONS(675),
    [aux_sym_keyword_smallint_token2] = ACTIONS(675),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(677),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(677),
    [aux_sym_keyword_int_token1] = ACTIONS(679),
    [aux_sym_keyword_int_token2] = ACTIONS(681),
    [aux_sym_keyword_int_token3] = ACTIONS(681),
    [aux_sym_keyword_bigint_token1] = ACTIONS(683),
    [aux_sym_keyword_bigint_token2] = ACTIONS(683),
    [sym_keyword_decimal] = ACTIONS(685),
    [sym_keyword_numeric] = ACTIONS(687),
    [aux_sym_keyword_real_token1] = ACTIONS(689),
    [aux_sym_keyword_real_token2] = ACTIONS(689),
    [sym_keyword_float] = ACTIONS(691),
    [sym_keyword_double] = ACTIONS(693),
    [sym_keyword_money] = ACTIONS(663),
    [aux_sym_keyword_char_token1] = ACTIONS(695),
    [aux_sym_keyword_varchar_token1] = ACTIONS(697),
    [sym_keyword_text] = ACTIONS(663),
    [sym_keyword_uuid] = ACTIONS(663),
    [sym_keyword_json] = ACTIONS(699),
    [sym_keyword_jsonb] = ACTIONS(663),
    [sym_keyword_xml] = ACTIONS(663),
    [sym_keyword_bytea] = ACTIONS(663),
    [sym_keyword_date] = ACTIONS(699),
    [sym_keyword_datetime] = ACTIONS(663),
    [aux_sym_keyword_timestamp_token1] = ACTIONS(701),
    [aux_sym_keyword_timestamptz_token1] = ACTIONS(703),
    [sym_keyword_interval] = ACTIONS(663),
    [sym_keyword_geometry] = ACTIONS(663),
    [sym_keyword_geography] = ACTIONS(663),
    [sym_keyword_box2d] = ACTIONS(663),
    [sym_keyword_box3d] = ACTIONS(663),
    [sym_keyword_oid] = ACTIONS(663),
    [sym_keyword_name] = ACTIONS(663),
    [sym_keyword_regclass] = ACTIONS(663),
    [sym_keyword_regnamespace] = ACTIONS(663),
    [sym_keyword_regproc] = ACTIONS(663),
    [sym_keyword_regtype] = ACTIONS(663),
    [aux_sym_double_token1] = ACTIONS(705),
    [anon_sym_DASH_DASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
  },
  [27] = {
    [sym_keyword_smallserial] = STATE(1705),
    [sym_keyword_serial] = STATE(1705),
    [sym_keyword_bigserial] = STATE(1705),
    [sym_keyword_tinyint] = STATE(826),
    [sym_keyword_smallint] = STATE(827),
    [sym_keyword_mediumint] = STATE(828),
    [sym_keyword_int] = STATE(830),
    [sym_keyword_bigint] = STATE(831),
    [sym_keyword_real] = STATE(832),
    [sym_keyword_char] = STATE(1225),
    [sym_keyword_varchar] = STATE(1215),
    [sym_keyword_timestamp] = STATE(1705),
    [sym_keyword_timestamptz] = STATE(1705),
    [sym__type] = STATE(1722),
    [sym_tinyint] = STATE(1705),
    [sym_smallint] = STATE(1705),
    [sym_mediumint] = STATE(1705),
    [sym_int] = STATE(1705),
    [sym_bigint] = STATE(1705),
    [sym_float] = STATE(1705),
    [sym_double] = STATE(1705),
    [sym_decimal] = STATE(1705),
    [sym_numeric] = STATE(1705),
    [sym_char] = STATE(1705),
    [sym_varchar] = STATE(1705),
    [sym_comment] = STATE(27),
    [sym_marginalia] = STATE(27),
    [aux_sym_keyword_character_token1] = ACTIONS(707),
    [sym_keyword_unsigned] = ACTIONS(709),
    [sym_keyword_boolean] = ACTIONS(711),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(713),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(713),
    [aux_sym_keyword_serial_token1] = ACTIONS(715),
    [aux_sym_keyword_serial_token2] = ACTIONS(717),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(719),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(719),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(721),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(721),
    [aux_sym_keyword_smallint_token1] = ACTIONS(723),
    [aux_sym_keyword_smallint_token2] = ACTIONS(723),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(725),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(725),
    [aux_sym_keyword_int_token1] = ACTIONS(727),
    [aux_sym_keyword_int_token2] = ACTIONS(729),
    [aux_sym_keyword_int_token3] = ACTIONS(729),
    [aux_sym_keyword_bigint_token1] = ACTIONS(731),
    [aux_sym_keyword_bigint_token2] = ACTIONS(731),
    [sym_keyword_decimal] = ACTIONS(733),
    [sym_keyword_numeric] = ACTIONS(735),
    [aux_sym_keyword_real_token1] = ACTIONS(737),
    [aux_sym_keyword_real_token2] = ACTIONS(737),
    [sym_keyword_float] = ACTIONS(739),
    [sym_keyword_double] = ACTIONS(741),
    [sym_keyword_money] = ACTIONS(711),
    [aux_sym_keyword_char_token1] = ACTIONS(743),
    [aux_sym_keyword_varchar_token1] = ACTIONS(745),
    [sym_keyword_text] = ACTIONS(711),
    [sym_keyword_uuid] = ACTIONS(711),
    [sym_keyword_json] = ACTIONS(747),
    [sym_keyword_jsonb] = ACTIONS(711),
    [sym_keyword_xml] = ACTIONS(711),
    [sym_keyword_bytea] = ACTIONS(711),
    [sym_keyword_date] = ACTIONS(747),
    [sym_keyword_datetime] = ACTIONS(711),
    [aux_sym_keyword_timestamp_token1] = ACTIONS(749),
    [aux_sym_keyword_timestamptz_token1] = ACTIONS(751),
    [sym_keyword_interval] = ACTIONS(711),
    [sym_keyword_geometry] = ACTIONS(711),
    [sym_keyword_geography] = ACTIONS(711),
    [sym_keyword_box2d] = ACTIONS(711),
    [sym_keyword_box3d] = ACTIONS(711),
    [sym_keyword_oid] = ACTIONS(711),
    [sym_keyword_name] = ACTIONS(711),
    [sym_keyword_regclass] = ACTIONS(711),
    [sym_keyword_regnamespace] = ACTIONS(711),
    [sym_keyword_regproc] = ACTIONS(711),
    [sym_keyword_regtype] = ACTIONS(711),
    [aux_sym_double_token1] = ACTIONS(753),
    [anon_sym_DASH_DASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
  },
  [28] = {
    [sym_keyword_smallserial] = STATE(873),
    [sym_keyword_serial] = STATE(873),
    [sym_keyword_bigserial] = STATE(873),
    [sym_keyword_tinyint] = STATE(430),
    [sym_keyword_smallint] = STATE(419),
    [sym_keyword_mediumint] = STATE(417),
    [sym_keyword_int] = STATE(415),
    [sym_keyword_bigint] = STATE(414),
    [sym_keyword_real] = STATE(413),
    [sym_keyword_char] = STATE(731),
    [sym_keyword_varchar] = STATE(732),
    [sym_keyword_timestamp] = STATE(873),
    [sym_keyword_timestamptz] = STATE(873),
    [sym__type] = STATE(7327),
    [sym_tinyint] = STATE(873),
    [sym_smallint] = STATE(873),
    [sym_mediumint] = STATE(873),
    [sym_int] = STATE(873),
    [sym_bigint] = STATE(873),
    [sym_float] = STATE(873),
    [sym_double] = STATE(873),
    [sym_decimal] = STATE(873),
    [sym_numeric] = STATE(873),
    [sym_char] = STATE(873),
    [sym_varchar] = STATE(873),
    [sym_comment] = STATE(28),
    [sym_marginalia] = STATE(28),
    [aux_sym_keyword_character_token1] = ACTIONS(83),
    [sym_keyword_unsigned] = ACTIONS(85),
    [sym_keyword_boolean] = ACTIONS(87),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(89),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(89),
    [aux_sym_keyword_serial_token1] = ACTIONS(91),
    [aux_sym_keyword_serial_token2] = ACTIONS(93),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(95),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(95),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(97),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(97),
    [aux_sym_keyword_smallint_token1] = ACTIONS(99),
    [aux_sym_keyword_smallint_token2] = ACTIONS(99),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(101),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(101),
    [aux_sym_keyword_int_token1] = ACTIONS(103),
    [aux_sym_keyword_int_token2] = ACTIONS(105),
    [aux_sym_keyword_int_token3] = ACTIONS(105),
    [aux_sym_keyword_bigint_token1] = ACTIONS(107),
    [aux_sym_keyword_bigint_token2] = ACTIONS(107),
    [sym_keyword_decimal] = ACTIONS(109),
    [sym_keyword_numeric] = ACTIONS(111),
    [aux_sym_keyword_real_token1] = ACTIONS(113),
    [aux_sym_keyword_real_token2] = ACTIONS(113),
    [sym_keyword_float] = ACTIONS(115),
    [sym_keyword_double] = ACTIONS(117),
    [sym_keyword_money] = ACTIONS(87),
    [aux_sym_keyword_char_token1] = ACTIONS(119),
    [aux_sym_keyword_varchar_token1] = ACTIONS(121),
    [sym_keyword_text] = ACTIONS(87),
    [sym_keyword_uuid] = ACTIONS(87),
    [sym_keyword_json] = ACTIONS(123),
    [sym_keyword_jsonb] = ACTIONS(87),
    [sym_keyword_xml] = ACTIONS(87),
    [sym_keyword_bytea] = ACTIONS(87),
    [sym_keyword_date] = ACTIONS(123),
    [sym_keyword_datetime] = ACTIONS(87),
    [aux_sym_keyword_timestamp_token1] = ACTIONS(125),
    [aux_sym_keyword_timestamptz_token1] = ACTIONS(127),
    [sym_keyword_interval] = ACTIONS(87),
    [sym_keyword_geometry] = ACTIONS(87),
    [sym_keyword_geography] = ACTIONS(87),
    [sym_keyword_box2d] = ACTIONS(87),
    [sym_keyword_box3d] = ACTIONS(87),
    [sym_keyword_oid] = ACTIONS(87),
    [sym_keyword_name] = ACTIONS(87),
    [sym_keyword_regclass] = ACTIONS(87),
    [sym_keyword_regnamespace] = ACTIONS(87),
    [sym_keyword_regproc] = ACTIONS(87),
    [sym_keyword_regtype] = ACTIONS(87),
    [aux_sym_double_token1] = ACTIONS(129),
    [anon_sym_DASH_DASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
  },
  [29] = {
    [sym_keyword_smallserial] = STATE(873),
    [sym_keyword_serial] = STATE(873),
    [sym_keyword_bigserial] = STATE(873),
    [sym_keyword_tinyint] = STATE(430),
    [sym_keyword_smallint] = STATE(419),
    [sym_keyword_mediumint] = STATE(417),
    [sym_keyword_int] = STATE(415),
    [sym_keyword_bigint] = STATE(414),
    [sym_keyword_real] = STATE(413),
    [sym_keyword_char] = STATE(731),
    [sym_keyword_varchar] = STATE(732),
    [sym_keyword_timestamp] = STATE(873),
    [sym_keyword_timestamptz] = STATE(873),
    [sym__type] = STATE(6096),
    [sym_tinyint] = STATE(873),
    [sym_smallint] = STATE(873),
    [sym_mediumint] = STATE(873),
    [sym_int] = STATE(873),
    [sym_bigint] = STATE(873),
    [sym_float] = STATE(873),
    [sym_double] = STATE(873),
    [sym_decimal] = STATE(873),
    [sym_numeric] = STATE(873),
    [sym_char] = STATE(873),
    [sym_varchar] = STATE(873),
    [sym_comment] = STATE(29),
    [sym_marginalia] = STATE(29),
    [aux_sym_keyword_character_token1] = ACTIONS(83),
    [sym_keyword_unsigned] = ACTIONS(85),
    [sym_keyword_boolean] = ACTIONS(87),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(89),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(89),
    [aux_sym_keyword_serial_token1] = ACTIONS(91),
    [aux_sym_keyword_serial_token2] = ACTIONS(93),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(95),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(95),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(97),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(97),
    [aux_sym_keyword_smallint_token1] = ACTIONS(99),
    [aux_sym_keyword_smallint_token2] = ACTIONS(99),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(101),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(101),
    [aux_sym_keyword_int_token1] = ACTIONS(103),
    [aux_sym_keyword_int_token2] = ACTIONS(105),
    [aux_sym_keyword_int_token3] = ACTIONS(105),
    [aux_sym_keyword_bigint_token1] = ACTIONS(107),
    [aux_sym_keyword_bigint_token2] = ACTIONS(107),
    [sym_keyword_decimal] = ACTIONS(109),
    [sym_keyword_numeric] = ACTIONS(111),
    [aux_sym_keyword_real_token1] = ACTIONS(113),
    [aux_sym_keyword_real_token2] = ACTIONS(113),
    [sym_keyword_float] = ACTIONS(115),
    [sym_keyword_double] = ACTIONS(117),
    [sym_keyword_money] = ACTIONS(87),
    [aux_sym_keyword_char_token1] = ACTIONS(119),
    [aux_sym_keyword_varchar_token1] = ACTIONS(121),
    [sym_keyword_text] = ACTIONS(87),
    [sym_keyword_uuid] = ACTIONS(87),
    [sym_keyword_json] = ACTIONS(123),
    [sym_keyword_jsonb] = ACTIONS(87),
    [sym_keyword_xml] = ACTIONS(87),
    [sym_keyword_bytea] = ACTIONS(87),
    [sym_keyword_date] = ACTIONS(123),
    [sym_keyword_datetime] = ACTIONS(87),
    [aux_sym_keyword_timestamp_token1] = ACTIONS(125),
    [aux_sym_keyword_timestamptz_token1] = ACTIONS(127),
    [sym_keyword_interval] = ACTIONS(87),
    [sym_keyword_geometry] = ACTIONS(87),
    [sym_keyword_geography] = ACTIONS(87),
    [sym_keyword_box2d] = ACTIONS(87),
    [sym_keyword_box3d] = ACTIONS(87),
    [sym_keyword_oid] = ACTIONS(87),
    [sym_keyword_name] = ACTIONS(87),
    [sym_keyword_regclass] = ACTIONS(87),
    [sym_keyword_regnamespace] = ACTIONS(87),
    [sym_keyword_regproc] = ACTIONS(87),
    [sym_keyword_regtype] = ACTIONS(87),
    [aux_sym_double_token1] = ACTIONS(129),
    [anon_sym_DASH_DASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
  },
  [30] = {
    [sym_keyword_smallserial] = STATE(578),
    [sym_keyword_serial] = STATE(578),
    [sym_keyword_bigserial] = STATE(578),
    [sym_keyword_tinyint] = STATE(297),
    [sym_keyword_smallint] = STATE(298),
    [sym_keyword_mediumint] = STATE(270),
    [sym_keyword_int] = STATE(300),
    [sym_keyword_bigint] = STATE(301),
    [sym_keyword_real] = STATE(269),
    [sym_keyword_char] = STATE(376),
    [sym_keyword_varchar] = STATE(377),
    [sym_keyword_timestamp] = STATE(578),
    [sym_keyword_timestamptz] = STATE(578),
    [sym__type] = STATE(601),
    [sym_tinyint] = STATE(578),
    [sym_smallint] = STATE(578),
    [sym_mediumint] = STATE(578),
    [sym_int] = STATE(578),
    [sym_bigint] = STATE(578),
    [sym_float] = STATE(578),
    [sym_double] = STATE(578),
    [sym_decimal] = STATE(578),
    [sym_numeric] = STATE(578),
    [sym_char] = STATE(578),
    [sym_varchar] = STATE(578),
    [sym_comment] = STATE(30),
    [sym_marginalia] = STATE(30),
    [aux_sym_keyword_character_token1] = ACTIONS(755),
    [sym_keyword_unsigned] = ACTIONS(757),
    [sym_keyword_boolean] = ACTIONS(759),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(761),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(761),
    [aux_sym_keyword_serial_token1] = ACTIONS(763),
    [aux_sym_keyword_serial_token2] = ACTIONS(765),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(767),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(767),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(769),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(769),
    [aux_sym_keyword_smallint_token1] = ACTIONS(771),
    [aux_sym_keyword_smallint_token2] = ACTIONS(771),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(773),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(773),
    [aux_sym_keyword_int_token1] = ACTIONS(775),
    [aux_sym_keyword_int_token2] = ACTIONS(777),
    [aux_sym_keyword_int_token3] = ACTIONS(777),
    [aux_sym_keyword_bigint_token1] = ACTIONS(779),
    [aux_sym_keyword_bigint_token2] = ACTIONS(779),
    [sym_keyword_decimal] = ACTIONS(781),
    [sym_keyword_numeric] = ACTIONS(783),
    [aux_sym_keyword_real_token1] = ACTIONS(785),
    [aux_sym_keyword_real_token2] = ACTIONS(785),
    [sym_keyword_float] = ACTIONS(787),
    [sym_keyword_double] = ACTIONS(789),
    [sym_keyword_money] = ACTIONS(759),
    [aux_sym_keyword_char_token1] = ACTIONS(791),
    [aux_sym_keyword_varchar_token1] = ACTIONS(793),
    [sym_keyword_text] = ACTIONS(759),
    [sym_keyword_uuid] = ACTIONS(759),
    [sym_keyword_json] = ACTIONS(795),
    [sym_keyword_jsonb] = ACTIONS(759),
    [sym_keyword_xml] = ACTIONS(759),
    [sym_keyword_bytea] = ACTIONS(759),
    [sym_keyword_date] = ACTIONS(795),
    [sym_keyword_datetime] = ACTIONS(759),
    [aux_sym_keyword_timestamp_token1] = ACTIONS(797),
    [aux_sym_keyword_timestamptz_token1] = ACTIONS(799),
    [sym_keyword_interval] = ACTIONS(759),
    [sym_keyword_geometry] = ACTIONS(759),
    [sym_keyword_geography] = ACTIONS(759),
    [sym_keyword_box2d] = ACTIONS(759),
    [sym_keyword_box3d] = ACTIONS(759),
    [sym_keyword_oid] = ACTIONS(759),
    [sym_keyword_name] = ACTIONS(759),
    [sym_keyword_regclass] = ACTIONS(759),
    [sym_keyword_regnamespace] = ACTIONS(759),
    [sym_keyword_regproc] = ACTIONS(759),
    [sym_keyword_regtype] = ACTIONS(759),
    [aux_sym_double_token1] = ACTIONS(801),
    [anon_sym_DASH_DASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
  },
  [31] = {
    [sym_keyword_smallserial] = STATE(873),
    [sym_keyword_serial] = STATE(873),
    [sym_keyword_bigserial] = STATE(873),
    [sym_keyword_tinyint] = STATE(430),
    [sym_keyword_smallint] = STATE(419),
    [sym_keyword_mediumint] = STATE(417),
    [sym_keyword_int] = STATE(415),
    [sym_keyword_bigint] = STATE(414),
    [sym_keyword_real] = STATE(413),
    [sym_keyword_char] = STATE(731),
    [sym_keyword_varchar] = STATE(732),
    [sym_keyword_timestamp] = STATE(873),
    [sym_keyword_timestamptz] = STATE(873),
    [sym__type] = STATE(7209),
    [sym_tinyint] = STATE(873),
    [sym_smallint] = STATE(873),
    [sym_mediumint] = STATE(873),
    [sym_int] = STATE(873),
    [sym_bigint] = STATE(873),
    [sym_float] = STATE(873),
    [sym_double] = STATE(873),
    [sym_decimal] = STATE(873),
    [sym_numeric] = STATE(873),
    [sym_char] = STATE(873),
    [sym_varchar] = STATE(873),
    [sym_comment] = STATE(31),
    [sym_marginalia] = STATE(31),
    [aux_sym_keyword_character_token1] = ACTIONS(83),
    [sym_keyword_unsigned] = ACTIONS(85),
    [sym_keyword_boolean] = ACTIONS(87),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(89),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(89),
    [aux_sym_keyword_serial_token1] = ACTIONS(91),
    [aux_sym_keyword_serial_token2] = ACTIONS(93),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(95),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(95),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(97),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(97),
    [aux_sym_keyword_smallint_token1] = ACTIONS(99),
    [aux_sym_keyword_smallint_token2] = ACTIONS(99),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(101),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(101),
    [aux_sym_keyword_int_token1] = ACTIONS(103),
    [aux_sym_keyword_int_token2] = ACTIONS(105),
    [aux_sym_keyword_int_token3] = ACTIONS(105),
    [aux_sym_keyword_bigint_token1] = ACTIONS(107),
    [aux_sym_keyword_bigint_token2] = ACTIONS(107),
    [sym_keyword_decimal] = ACTIONS(109),
    [sym_keyword_numeric] = ACTIONS(111),
    [aux_sym_keyword_real_token1] = ACTIONS(113),
    [aux_sym_keyword_real_token2] = ACTIONS(113),
    [sym_keyword_float] = ACTIONS(115),
    [sym_keyword_double] = ACTIONS(117),
    [sym_keyword_money] = ACTIONS(87),
    [aux_sym_keyword_char_token1] = ACTIONS(119),
    [aux_sym_keyword_varchar_token1] = ACTIONS(121),
    [sym_keyword_text] = ACTIONS(87),
    [sym_keyword_uuid] = ACTIONS(87),
    [sym_keyword_json] = ACTIONS(123),
    [sym_keyword_jsonb] = ACTIONS(87),
    [sym_keyword_xml] = ACTIONS(87),
    [sym_keyword_bytea] = ACTIONS(87),
    [sym_keyword_date] = ACTIONS(123),
    [sym_keyword_datetime] = ACTIONS(87),
    [aux_sym_keyword_timestamp_token1] = ACTIONS(125),
    [aux_sym_keyword_timestamptz_token1] = ACTIONS(127),
    [sym_keyword_interval] = ACTIONS(87),
    [sym_keyword_geometry] = ACTIONS(87),
    [sym_keyword_geography] = ACTIONS(87),
    [sym_keyword_box2d] = ACTIONS(87),
    [sym_keyword_box3d] = ACTIONS(87),
    [sym_keyword_oid] = ACTIONS(87),
    [sym_keyword_name] = ACTIONS(87),
    [sym_keyword_regclass] = ACTIONS(87),
    [sym_keyword_regnamespace] = ACTIONS(87),
    [sym_keyword_regproc] = ACTIONS(87),
    [sym_keyword_regtype] = ACTIONS(87),
    [aux_sym_double_token1] = ACTIONS(129),
    [anon_sym_DASH_DASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
  },
  [32] = {
    [sym_keyword_smallserial] = STATE(4057),
    [sym_keyword_serial] = STATE(4057),
    [sym_keyword_bigserial] = STATE(4057),
    [sym_keyword_tinyint] = STATE(3340),
    [sym_keyword_smallint] = STATE(3341),
    [sym_keyword_mediumint] = STATE(3342),
    [sym_keyword_int] = STATE(3343),
    [sym_keyword_bigint] = STATE(3344),
    [sym_keyword_real] = STATE(3347),
    [sym_keyword_char] = STATE(3535),
    [sym_keyword_varchar] = STATE(3676),
    [sym_keyword_timestamp] = STATE(4057),
    [sym_keyword_timestamptz] = STATE(4057),
    [sym__type] = STATE(4115),
    [sym_tinyint] = STATE(4057),
    [sym_smallint] = STATE(4057),
    [sym_mediumint] = STATE(4057),
    [sym_int] = STATE(4057),
    [sym_bigint] = STATE(4057),
    [sym_float] = STATE(4057),
    [sym_double] = STATE(4057),
    [sym_decimal] = STATE(4057),
    [sym_numeric] = STATE(4057),
    [sym_char] = STATE(4057),
    [sym_varchar] = STATE(4057),
    [sym_comment] = STATE(32),
    [sym_marginalia] = STATE(32),
    [aux_sym_keyword_character_token1] = ACTIONS(803),
    [sym_keyword_unsigned] = ACTIONS(805),
    [sym_keyword_boolean] = ACTIONS(807),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(809),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(809),
    [aux_sym_keyword_serial_token1] = ACTIONS(811),
    [aux_sym_keyword_serial_token2] = ACTIONS(813),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(815),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(815),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(817),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(817),
    [aux_sym_keyword_smallint_token1] = ACTIONS(819),
    [aux_sym_keyword_smallint_token2] = ACTIONS(819),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(821),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(821),
    [aux_sym_keyword_int_token1] = ACTIONS(823),
    [aux_sym_keyword_int_token2] = ACTIONS(825),
    [aux_sym_keyword_int_token3] = ACTIONS(825),
    [aux_sym_keyword_bigint_token1] = ACTIONS(827),
    [aux_sym_keyword_bigint_token2] = ACTIONS(827),
    [sym_keyword_decimal] = ACTIONS(829),
    [sym_keyword_numeric] = ACTIONS(831),
    [aux_sym_keyword_real_token1] = ACTIONS(833),
    [aux_sym_keyword_real_token2] = ACTIONS(833),
    [sym_keyword_float] = ACTIONS(835),
    [sym_keyword_double] = ACTIONS(837),
    [sym_keyword_money] = ACTIONS(807),
    [aux_sym_keyword_char_token1] = ACTIONS(839),
    [aux_sym_keyword_varchar_token1] = ACTIONS(841),
    [sym_keyword_text] = ACTIONS(807),
    [sym_keyword_uuid] = ACTIONS(807),
    [sym_keyword_json] = ACTIONS(843),
    [sym_keyword_jsonb] = ACTIONS(807),
    [sym_keyword_xml] = ACTIONS(807),
    [sym_keyword_bytea] = ACTIONS(807),
    [sym_keyword_date] = ACTIONS(843),
    [sym_keyword_datetime] = ACTIONS(807),
    [aux_sym_keyword_timestamp_token1] = ACTIONS(845),
    [aux_sym_keyword_timestamptz_token1] = ACTIONS(847),
    [sym_keyword_interval] = ACTIONS(807),
    [sym_keyword_geometry] = ACTIONS(807),
    [sym_keyword_geography] = ACTIONS(807),
    [sym_keyword_box2d] = ACTIONS(807),
    [sym_keyword_box3d] = ACTIONS(807),
    [sym_keyword_oid] = ACTIONS(807),
    [sym_keyword_name] = ACTIONS(807),
    [sym_keyword_regclass] = ACTIONS(807),
    [sym_keyword_regnamespace] = ACTIONS(807),
    [sym_keyword_regproc] = ACTIONS(807),
    [sym_keyword_regtype] = ACTIONS(807),
    [aux_sym_double_token1] = ACTIONS(849),
    [anon_sym_DASH_DASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
  },
  [33] = {
    [sym_keyword_smallserial] = STATE(873),
    [sym_keyword_serial] = STATE(873),
    [sym_keyword_bigserial] = STATE(873),
    [sym_keyword_tinyint] = STATE(430),
    [sym_keyword_smallint] = STATE(419),
    [sym_keyword_mediumint] = STATE(417),
    [sym_keyword_int] = STATE(415),
    [sym_keyword_bigint] = STATE(414),
    [sym_keyword_real] = STATE(413),
    [sym_keyword_char] = STATE(731),
    [sym_keyword_varchar] = STATE(732),
    [sym_keyword_timestamp] = STATE(873),
    [sym_keyword_timestamptz] = STATE(873),
    [sym__type] = STATE(4822),
    [sym_tinyint] = STATE(873),
    [sym_smallint] = STATE(873),
    [sym_mediumint] = STATE(873),
    [sym_int] = STATE(873),
    [sym_bigint] = STATE(873),
    [sym_float] = STATE(873),
    [sym_double] = STATE(873),
    [sym_decimal] = STATE(873),
    [sym_numeric] = STATE(873),
    [sym_char] = STATE(873),
    [sym_varchar] = STATE(873),
    [sym_comment] = STATE(33),
    [sym_marginalia] = STATE(33),
    [aux_sym_keyword_character_token1] = ACTIONS(83),
    [sym_keyword_unsigned] = ACTIONS(85),
    [sym_keyword_boolean] = ACTIONS(87),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(89),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(89),
    [aux_sym_keyword_serial_token1] = ACTIONS(91),
    [aux_sym_keyword_serial_token2] = ACTIONS(93),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(95),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(95),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(97),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(97),
    [aux_sym_keyword_smallint_token1] = ACTIONS(99),
    [aux_sym_keyword_smallint_token2] = ACTIONS(99),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(101),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(101),
    [aux_sym_keyword_int_token1] = ACTIONS(103),
    [aux_sym_keyword_int_token2] = ACTIONS(105),
    [aux_sym_keyword_int_token3] = ACTIONS(105),
    [aux_sym_keyword_bigint_token1] = ACTIONS(107),
    [aux_sym_keyword_bigint_token2] = ACTIONS(107),
    [sym_keyword_decimal] = ACTIONS(109),
    [sym_keyword_numeric] = ACTIONS(111),
    [aux_sym_keyword_real_token1] = ACTIONS(113),
    [aux_sym_keyword_real_token2] = ACTIONS(113),
    [sym_keyword_float] = ACTIONS(115),
    [sym_keyword_double] = ACTIONS(117),
    [sym_keyword_money] = ACTIONS(87),
    [aux_sym_keyword_char_token1] = ACTIONS(119),
    [aux_sym_keyword_varchar_token1] = ACTIONS(121),
    [sym_keyword_text] = ACTIONS(87),
    [sym_keyword_uuid] = ACTIONS(87),
    [sym_keyword_json] = ACTIONS(123),
    [sym_keyword_jsonb] = ACTIONS(87),
    [sym_keyword_xml] = ACTIONS(87),
    [sym_keyword_bytea] = ACTIONS(87),
    [sym_keyword_date] = ACTIONS(123),
    [sym_keyword_datetime] = ACTIONS(87),
    [aux_sym_keyword_timestamp_token1] = ACTIONS(125),
    [aux_sym_keyword_timestamptz_token1] = ACTIONS(127),
    [sym_keyword_interval] = ACTIONS(87),
    [sym_keyword_geometry] = ACTIONS(87),
    [sym_keyword_geography] = ACTIONS(87),
    [sym_keyword_box2d] = ACTIONS(87),
    [sym_keyword_box3d] = ACTIONS(87),
    [sym_keyword_oid] = ACTIONS(87),
    [sym_keyword_name] = ACTIONS(87),
    [sym_keyword_regclass] = ACTIONS(87),
    [sym_keyword_regnamespace] = ACTIONS(87),
    [sym_keyword_regproc] = ACTIONS(87),
    [sym_keyword_regtype] = ACTIONS(87),
    [aux_sym_double_token1] = ACTIONS(129),
    [anon_sym_DASH_DASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
  },
  [34] = {
    [sym_keyword_smallserial] = STATE(2803),
    [sym_keyword_serial] = STATE(2803),
    [sym_keyword_bigserial] = STATE(2803),
    [sym_keyword_tinyint] = STATE(2436),
    [sym_keyword_smallint] = STATE(2435),
    [sym_keyword_mediumint] = STATE(2434),
    [sym_keyword_int] = STATE(2430),
    [sym_keyword_bigint] = STATE(2443),
    [sym_keyword_real] = STATE(2442),
    [sym_keyword_char] = STATE(2660),
    [sym_keyword_varchar] = STATE(2661),
    [sym_keyword_timestamp] = STATE(2803),
    [sym_keyword_timestamptz] = STATE(2803),
    [sym__type] = STATE(3559),
    [sym_tinyint] = STATE(2803),
    [sym_smallint] = STATE(2803),
    [sym_mediumint] = STATE(2803),
    [sym_int] = STATE(2803),
    [sym_bigint] = STATE(2803),
    [sym_float] = STATE(2803),
    [sym_double] = STATE(2803),
    [sym_decimal] = STATE(2803),
    [sym_numeric] = STATE(2803),
    [sym_char] = STATE(2803),
    [sym_varchar] = STATE(2803),
    [sym_comment] = STATE(34),
    [sym_marginalia] = STATE(34),
    [aux_sym_keyword_character_token1] = ACTIONS(27),
    [sym_keyword_unsigned] = ACTIONS(29),
    [sym_keyword_boolean] = ACTIONS(31),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(33),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(33),
    [aux_sym_keyword_serial_token1] = ACTIONS(35),
    [aux_sym_keyword_serial_token2] = ACTIONS(37),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(39),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(39),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(41),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(41),
    [aux_sym_keyword_smallint_token1] = ACTIONS(43),
    [aux_sym_keyword_smallint_token2] = ACTIONS(43),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(45),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(45),
    [aux_sym_keyword_int_token1] = ACTIONS(47),
    [aux_sym_keyword_int_token2] = ACTIONS(49),
    [aux_sym_keyword_int_token3] = ACTIONS(49),
    [aux_sym_keyword_bigint_token1] = ACTIONS(51),
    [aux_sym_keyword_bigint_token2] = ACTIONS(51),
    [sym_keyword_decimal] = ACTIONS(53),
    [sym_keyword_numeric] = ACTIONS(55),
    [aux_sym_keyword_real_token1] = ACTIONS(57),
    [aux_sym_keyword_real_token2] = ACTIONS(57),
    [sym_keyword_float] = ACTIONS(59),
    [sym_keyword_double] = ACTIONS(61),
    [sym_keyword_money] = ACTIONS(31),
    [aux_sym_keyword_char_token1] = ACTIONS(63),
    [aux_sym_keyword_varchar_token1] = ACTIONS(65),
    [sym_keyword_text] = ACTIONS(31),
    [sym_keyword_uuid] = ACTIONS(31),
    [sym_keyword_json] = ACTIONS(67),
    [sym_keyword_jsonb] = ACTIONS(31),
    [sym_keyword_xml] = ACTIONS(31),
    [sym_keyword_bytea] = ACTIONS(31),
    [sym_keyword_date] = ACTIONS(67),
    [sym_keyword_datetime] = ACTIONS(31),
    [aux_sym_keyword_timestamp_token1] = ACTIONS(69),
    [aux_sym_keyword_timestamptz_token1] = ACTIONS(71),
    [sym_keyword_interval] = ACTIONS(31),
    [sym_keyword_geometry] = ACTIONS(31),
    [sym_keyword_geography] = ACTIONS(31),
    [sym_keyword_box2d] = ACTIONS(31),
    [sym_keyword_box3d] = ACTIONS(31),
    [sym_keyword_oid] = ACTIONS(31),
    [sym_keyword_name] = ACTIONS(31),
    [sym_keyword_regclass] = ACTIONS(31),
    [sym_keyword_regnamespace] = ACTIONS(31),
    [sym_keyword_regproc] = ACTIONS(31),
    [sym_keyword_regtype] = ACTIONS(31),
    [aux_sym_double_token1] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
  },
  [35] = {
    [sym_keyword_smallserial] = STATE(873),
    [sym_keyword_serial] = STATE(873),
    [sym_keyword_bigserial] = STATE(873),
    [sym_keyword_tinyint] = STATE(430),
    [sym_keyword_smallint] = STATE(419),
    [sym_keyword_mediumint] = STATE(417),
    [sym_keyword_int] = STATE(415),
    [sym_keyword_bigint] = STATE(414),
    [sym_keyword_real] = STATE(413),
    [sym_keyword_char] = STATE(731),
    [sym_keyword_varchar] = STATE(732),
    [sym_keyword_timestamp] = STATE(873),
    [sym_keyword_timestamptz] = STATE(873),
    [sym__type] = STATE(6230),
    [sym_tinyint] = STATE(873),
    [sym_smallint] = STATE(873),
    [sym_mediumint] = STATE(873),
    [sym_int] = STATE(873),
    [sym_bigint] = STATE(873),
    [sym_float] = STATE(873),
    [sym_double] = STATE(873),
    [sym_decimal] = STATE(873),
    [sym_numeric] = STATE(873),
    [sym_char] = STATE(873),
    [sym_varchar] = STATE(873),
    [sym_comment] = STATE(35),
    [sym_marginalia] = STATE(35),
    [aux_sym_keyword_character_token1] = ACTIONS(83),
    [sym_keyword_unsigned] = ACTIONS(85),
    [sym_keyword_boolean] = ACTIONS(87),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(89),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(89),
    [aux_sym_keyword_serial_token1] = ACTIONS(91),
    [aux_sym_keyword_serial_token2] = ACTIONS(93),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(95),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(95),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(97),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(97),
    [aux_sym_keyword_smallint_token1] = ACTIONS(99),
    [aux_sym_keyword_smallint_token2] = ACTIONS(99),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(101),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(101),
    [aux_sym_keyword_int_token1] = ACTIONS(103),
    [aux_sym_keyword_int_token2] = ACTIONS(105),
    [aux_sym_keyword_int_token3] = ACTIONS(105),
    [aux_sym_keyword_bigint_token1] = ACTIONS(107),
    [aux_sym_keyword_bigint_token2] = ACTIONS(107),
    [sym_keyword_decimal] = ACTIONS(109),
    [sym_keyword_numeric] = ACTIONS(111),
    [aux_sym_keyword_real_token1] = ACTIONS(113),
    [aux_sym_keyword_real_token2] = ACTIONS(113),
    [sym_keyword_float] = ACTIONS(115),
    [sym_keyword_double] = ACTIONS(117),
    [sym_keyword_money] = ACTIONS(87),
    [aux_sym_keyword_char_token1] = ACTIONS(119),
    [aux_sym_keyword_varchar_token1] = ACTIONS(121),
    [sym_keyword_text] = ACTIONS(87),
    [sym_keyword_uuid] = ACTIONS(87),
    [sym_keyword_json] = ACTIONS(123),
    [sym_keyword_jsonb] = ACTIONS(87),
    [sym_keyword_xml] = ACTIONS(87),
    [sym_keyword_bytea] = ACTIONS(87),
    [sym_keyword_date] = ACTIONS(123),
    [sym_keyword_datetime] = ACTIONS(87),
    [aux_sym_keyword_timestamp_token1] = ACTIONS(125),
    [aux_sym_keyword_timestamptz_token1] = ACTIONS(127),
    [sym_keyword_interval] = ACTIONS(87),
    [sym_keyword_geometry] = ACTIONS(87),
    [sym_keyword_geography] = ACTIONS(87),
    [sym_keyword_box2d] = ACTIONS(87),
    [sym_keyword_box3d] = ACTIONS(87),
    [sym_keyword_oid] = ACTIONS(87),
    [sym_keyword_name] = ACTIONS(87),
    [sym_keyword_regclass] = ACTIONS(87),
    [sym_keyword_regnamespace] = ACTIONS(87),
    [sym_keyword_regproc] = ACTIONS(87),
    [sym_keyword_regtype] = ACTIONS(87),
    [aux_sym_double_token1] = ACTIONS(129),
    [anon_sym_DASH_DASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
  },
  [36] = {
    [sym_keyword_smallserial] = STATE(873),
    [sym_keyword_serial] = STATE(873),
    [sym_keyword_bigserial] = STATE(873),
    [sym_keyword_tinyint] = STATE(430),
    [sym_keyword_smallint] = STATE(419),
    [sym_keyword_mediumint] = STATE(417),
    [sym_keyword_int] = STATE(415),
    [sym_keyword_bigint] = STATE(414),
    [sym_keyword_real] = STATE(413),
    [sym_keyword_char] = STATE(731),
    [sym_keyword_varchar] = STATE(732),
    [sym_keyword_timestamp] = STATE(873),
    [sym_keyword_timestamptz] = STATE(873),
    [sym__type] = STATE(6293),
    [sym_tinyint] = STATE(873),
    [sym_smallint] = STATE(873),
    [sym_mediumint] = STATE(873),
    [sym_int] = STATE(873),
    [sym_bigint] = STATE(873),
    [sym_float] = STATE(873),
    [sym_double] = STATE(873),
    [sym_decimal] = STATE(873),
    [sym_numeric] = STATE(873),
    [sym_char] = STATE(873),
    [sym_varchar] = STATE(873),
    [sym_comment] = STATE(36),
    [sym_marginalia] = STATE(36),
    [aux_sym_keyword_character_token1] = ACTIONS(83),
    [sym_keyword_unsigned] = ACTIONS(85),
    [sym_keyword_boolean] = ACTIONS(87),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(89),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(89),
    [aux_sym_keyword_serial_token1] = ACTIONS(91),
    [aux_sym_keyword_serial_token2] = ACTIONS(93),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(95),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(95),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(97),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(97),
    [aux_sym_keyword_smallint_token1] = ACTIONS(99),
    [aux_sym_keyword_smallint_token2] = ACTIONS(99),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(101),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(101),
    [aux_sym_keyword_int_token1] = ACTIONS(103),
    [aux_sym_keyword_int_token2] = ACTIONS(105),
    [aux_sym_keyword_int_token3] = ACTIONS(105),
    [aux_sym_keyword_bigint_token1] = ACTIONS(107),
    [aux_sym_keyword_bigint_token2] = ACTIONS(107),
    [sym_keyword_decimal] = ACTIONS(109),
    [sym_keyword_numeric] = ACTIONS(111),
    [aux_sym_keyword_real_token1] = ACTIONS(113),
    [aux_sym_keyword_real_token2] = ACTIONS(113),
    [sym_keyword_float] = ACTIONS(115),
    [sym_keyword_double] = ACTIONS(117),
    [sym_keyword_money] = ACTIONS(87),
    [aux_sym_keyword_char_token1] = ACTIONS(119),
    [aux_sym_keyword_varchar_token1] = ACTIONS(121),
    [sym_keyword_text] = ACTIONS(87),
    [sym_keyword_uuid] = ACTIONS(87),
    [sym_keyword_json] = ACTIONS(123),
    [sym_keyword_jsonb] = ACTIONS(87),
    [sym_keyword_xml] = ACTIONS(87),
    [sym_keyword_bytea] = ACTIONS(87),
    [sym_keyword_date] = ACTIONS(123),
    [sym_keyword_datetime] = ACTIONS(87),
    [aux_sym_keyword_timestamp_token1] = ACTIONS(125),
    [aux_sym_keyword_timestamptz_token1] = ACTIONS(127),
    [sym_keyword_interval] = ACTIONS(87),
    [sym_keyword_geometry] = ACTIONS(87),
    [sym_keyword_geography] = ACTIONS(87),
    [sym_keyword_box2d] = ACTIONS(87),
    [sym_keyword_box3d] = ACTIONS(87),
    [sym_keyword_oid] = ACTIONS(87),
    [sym_keyword_name] = ACTIONS(87),
    [sym_keyword_regclass] = ACTIONS(87),
    [sym_keyword_regnamespace] = ACTIONS(87),
    [sym_keyword_regproc] = ACTIONS(87),
    [sym_keyword_regtype] = ACTIONS(87),
    [aux_sym_double_token1] = ACTIONS(129),
    [anon_sym_DASH_DASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
  },
  [37] = {
    [sym_keyword_smallserial] = STATE(3074),
    [sym_keyword_serial] = STATE(3074),
    [sym_keyword_bigserial] = STATE(3074),
    [sym_keyword_tinyint] = STATE(2729),
    [sym_keyword_smallint] = STATE(2725),
    [sym_keyword_mediumint] = STATE(2726),
    [sym_keyword_int] = STATE(2728),
    [sym_keyword_bigint] = STATE(2722),
    [sym_keyword_real] = STATE(2721),
    [sym_keyword_char] = STATE(3015),
    [sym_keyword_varchar] = STATE(3010),
    [sym_keyword_timestamp] = STATE(3074),
    [sym_keyword_timestamptz] = STATE(3074),
    [sym__type] = STATE(3117),
    [sym_tinyint] = STATE(3074),
    [sym_smallint] = STATE(3074),
    [sym_mediumint] = STATE(3074),
    [sym_int] = STATE(3074),
    [sym_bigint] = STATE(3074),
    [sym_float] = STATE(3074),
    [sym_double] = STATE(3074),
    [sym_decimal] = STATE(3074),
    [sym_numeric] = STATE(3074),
    [sym_char] = STATE(3074),
    [sym_varchar] = STATE(3074),
    [sym_comment] = STATE(37),
    [sym_marginalia] = STATE(37),
    [aux_sym_keyword_character_token1] = ACTIONS(851),
    [sym_keyword_unsigned] = ACTIONS(853),
    [sym_keyword_boolean] = ACTIONS(855),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(857),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(857),
    [aux_sym_keyword_serial_token1] = ACTIONS(859),
    [aux_sym_keyword_serial_token2] = ACTIONS(861),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(863),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(863),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(865),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(865),
    [aux_sym_keyword_smallint_token1] = ACTIONS(867),
    [aux_sym_keyword_smallint_token2] = ACTIONS(867),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(869),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(869),
    [aux_sym_keyword_int_token1] = ACTIONS(871),
    [aux_sym_keyword_int_token2] = ACTIONS(873),
    [aux_sym_keyword_int_token3] = ACTIONS(873),
    [aux_sym_keyword_bigint_token1] = ACTIONS(875),
    [aux_sym_keyword_bigint_token2] = ACTIONS(875),
    [sym_keyword_decimal] = ACTIONS(877),
    [sym_keyword_numeric] = ACTIONS(879),
    [aux_sym_keyword_real_token1] = ACTIONS(881),
    [aux_sym_keyword_real_token2] = ACTIONS(881),
    [sym_keyword_float] = ACTIONS(883),
    [sym_keyword_double] = ACTIONS(885),
    [sym_keyword_money] = ACTIONS(855),
    [aux_sym_keyword_char_token1] = ACTIONS(887),
    [aux_sym_keyword_varchar_token1] = ACTIONS(889),
    [sym_keyword_text] = ACTIONS(855),
    [sym_keyword_uuid] = ACTIONS(855),
    [sym_keyword_json] = ACTIONS(891),
    [sym_keyword_jsonb] = ACTIONS(855),
    [sym_keyword_xml] = ACTIONS(855),
    [sym_keyword_bytea] = ACTIONS(855),
    [sym_keyword_date] = ACTIONS(891),
    [sym_keyword_datetime] = ACTIONS(855),
    [aux_sym_keyword_timestamp_token1] = ACTIONS(893),
    [aux_sym_keyword_timestamptz_token1] = ACTIONS(895),
    [sym_keyword_interval] = ACTIONS(855),
    [sym_keyword_geometry] = ACTIONS(855),
    [sym_keyword_geography] = ACTIONS(855),
    [sym_keyword_box2d] = ACTIONS(855),
    [sym_keyword_box3d] = ACTIONS(855),
    [sym_keyword_oid] = ACTIONS(855),
    [sym_keyword_name] = ACTIONS(855),
    [sym_keyword_regclass] = ACTIONS(855),
    [sym_keyword_regnamespace] = ACTIONS(855),
    [sym_keyword_regproc] = ACTIONS(855),
    [sym_keyword_regtype] = ACTIONS(855),
    [aux_sym_double_token1] = ACTIONS(897),
    [anon_sym_DASH_DASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
  },
  [38] = {
    [sym_keyword_smallserial] = STATE(873),
    [sym_keyword_serial] = STATE(873),
    [sym_keyword_bigserial] = STATE(873),
    [sym_keyword_tinyint] = STATE(430),
    [sym_keyword_smallint] = STATE(419),
    [sym_keyword_mediumint] = STATE(417),
    [sym_keyword_int] = STATE(415),
    [sym_keyword_bigint] = STATE(414),
    [sym_keyword_real] = STATE(413),
    [sym_keyword_char] = STATE(731),
    [sym_keyword_varchar] = STATE(732),
    [sym_keyword_timestamp] = STATE(873),
    [sym_keyword_timestamptz] = STATE(873),
    [sym__type] = STATE(4817),
    [sym_tinyint] = STATE(873),
    [sym_smallint] = STATE(873),
    [sym_mediumint] = STATE(873),
    [sym_int] = STATE(873),
    [sym_bigint] = STATE(873),
    [sym_float] = STATE(873),
    [sym_double] = STATE(873),
    [sym_decimal] = STATE(873),
    [sym_numeric] = STATE(873),
    [sym_char] = STATE(873),
    [sym_varchar] = STATE(873),
    [sym_comment] = STATE(38),
    [sym_marginalia] = STATE(38),
    [aux_sym_keyword_character_token1] = ACTIONS(83),
    [sym_keyword_unsigned] = ACTIONS(85),
    [sym_keyword_boolean] = ACTIONS(87),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(89),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(89),
    [aux_sym_keyword_serial_token1] = ACTIONS(91),
    [aux_sym_keyword_serial_token2] = ACTIONS(93),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(95),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(95),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(97),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(97),
    [aux_sym_keyword_smallint_token1] = ACTIONS(99),
    [aux_sym_keyword_smallint_token2] = ACTIONS(99),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(101),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(101),
    [aux_sym_keyword_int_token1] = ACTIONS(103),
    [aux_sym_keyword_int_token2] = ACTIONS(105),
    [aux_sym_keyword_int_token3] = ACTIONS(105),
    [aux_sym_keyword_bigint_token1] = ACTIONS(107),
    [aux_sym_keyword_bigint_token2] = ACTIONS(107),
    [sym_keyword_decimal] = ACTIONS(109),
    [sym_keyword_numeric] = ACTIONS(111),
    [aux_sym_keyword_real_token1] = ACTIONS(113),
    [aux_sym_keyword_real_token2] = ACTIONS(113),
    [sym_keyword_float] = ACTIONS(115),
    [sym_keyword_double] = ACTIONS(117),
    [sym_keyword_money] = ACTIONS(87),
    [aux_sym_keyword_char_token1] = ACTIONS(119),
    [aux_sym_keyword_varchar_token1] = ACTIONS(121),
    [sym_keyword_text] = ACTIONS(87),
    [sym_keyword_uuid] = ACTIONS(87),
    [sym_keyword_json] = ACTIONS(123),
    [sym_keyword_jsonb] = ACTIONS(87),
    [sym_keyword_xml] = ACTIONS(87),
    [sym_keyword_bytea] = ACTIONS(87),
    [sym_keyword_date] = ACTIONS(123),
    [sym_keyword_datetime] = ACTIONS(87),
    [aux_sym_keyword_timestamp_token1] = ACTIONS(125),
    [aux_sym_keyword_timestamptz_token1] = ACTIONS(127),
    [sym_keyword_interval] = ACTIONS(87),
    [sym_keyword_geometry] = ACTIONS(87),
    [sym_keyword_geography] = ACTIONS(87),
    [sym_keyword_box2d] = ACTIONS(87),
    [sym_keyword_box3d] = ACTIONS(87),
    [sym_keyword_oid] = ACTIONS(87),
    [sym_keyword_name] = ACTIONS(87),
    [sym_keyword_regclass] = ACTIONS(87),
    [sym_keyword_regnamespace] = ACTIONS(87),
    [sym_keyword_regproc] = ACTIONS(87),
    [sym_keyword_regtype] = ACTIONS(87),
    [aux_sym_double_token1] = ACTIONS(129),
    [anon_sym_DASH_DASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
  },
  [39] = {
    [sym_keyword_smallserial] = STATE(873),
    [sym_keyword_serial] = STATE(873),
    [sym_keyword_bigserial] = STATE(873),
    [sym_keyword_tinyint] = STATE(430),
    [sym_keyword_smallint] = STATE(419),
    [sym_keyword_mediumint] = STATE(417),
    [sym_keyword_int] = STATE(415),
    [sym_keyword_bigint] = STATE(414),
    [sym_keyword_real] = STATE(413),
    [sym_keyword_char] = STATE(731),
    [sym_keyword_varchar] = STATE(732),
    [sym_keyword_timestamp] = STATE(873),
    [sym_keyword_timestamptz] = STATE(873),
    [sym__type] = STATE(7264),
    [sym_tinyint] = STATE(873),
    [sym_smallint] = STATE(873),
    [sym_mediumint] = STATE(873),
    [sym_int] = STATE(873),
    [sym_bigint] = STATE(873),
    [sym_float] = STATE(873),
    [sym_double] = STATE(873),
    [sym_decimal] = STATE(873),
    [sym_numeric] = STATE(873),
    [sym_char] = STATE(873),
    [sym_varchar] = STATE(873),
    [sym_comment] = STATE(39),
    [sym_marginalia] = STATE(39),
    [aux_sym_keyword_character_token1] = ACTIONS(83),
    [sym_keyword_unsigned] = ACTIONS(85),
    [sym_keyword_boolean] = ACTIONS(87),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(89),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(89),
    [aux_sym_keyword_serial_token1] = ACTIONS(91),
    [aux_sym_keyword_serial_token2] = ACTIONS(93),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(95),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(95),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(97),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(97),
    [aux_sym_keyword_smallint_token1] = ACTIONS(99),
    [aux_sym_keyword_smallint_token2] = ACTIONS(99),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(101),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(101),
    [aux_sym_keyword_int_token1] = ACTIONS(103),
    [aux_sym_keyword_int_token2] = ACTIONS(105),
    [aux_sym_keyword_int_token3] = ACTIONS(105),
    [aux_sym_keyword_bigint_token1] = ACTIONS(107),
    [aux_sym_keyword_bigint_token2] = ACTIONS(107),
    [sym_keyword_decimal] = ACTIONS(109),
    [sym_keyword_numeric] = ACTIONS(111),
    [aux_sym_keyword_real_token1] = ACTIONS(113),
    [aux_sym_keyword_real_token2] = ACTIONS(113),
    [sym_keyword_float] = ACTIONS(115),
    [sym_keyword_double] = ACTIONS(117),
    [sym_keyword_money] = ACTIONS(87),
    [aux_sym_keyword_char_token1] = ACTIONS(119),
    [aux_sym_keyword_varchar_token1] = ACTIONS(121),
    [sym_keyword_text] = ACTIONS(87),
    [sym_keyword_uuid] = ACTIONS(87),
    [sym_keyword_json] = ACTIONS(123),
    [sym_keyword_jsonb] = ACTIONS(87),
    [sym_keyword_xml] = ACTIONS(87),
    [sym_keyword_bytea] = ACTIONS(87),
    [sym_keyword_date] = ACTIONS(123),
    [sym_keyword_datetime] = ACTIONS(87),
    [aux_sym_keyword_timestamp_token1] = ACTIONS(125),
    [aux_sym_keyword_timestamptz_token1] = ACTIONS(127),
    [sym_keyword_interval] = ACTIONS(87),
    [sym_keyword_geometry] = ACTIONS(87),
    [sym_keyword_geography] = ACTIONS(87),
    [sym_keyword_box2d] = ACTIONS(87),
    [sym_keyword_box3d] = ACTIONS(87),
    [sym_keyword_oid] = ACTIONS(87),
    [sym_keyword_name] = ACTIONS(87),
    [sym_keyword_regclass] = ACTIONS(87),
    [sym_keyword_regnamespace] = ACTIONS(87),
    [sym_keyword_regproc] = ACTIONS(87),
    [sym_keyword_regtype] = ACTIONS(87),
    [aux_sym_double_token1] = ACTIONS(129),
    [anon_sym_DASH_DASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
  },
  [40] = {
    [sym_keyword_smallserial] = STATE(873),
    [sym_keyword_serial] = STATE(873),
    [sym_keyword_bigserial] = STATE(873),
    [sym_keyword_tinyint] = STATE(430),
    [sym_keyword_smallint] = STATE(419),
    [sym_keyword_mediumint] = STATE(417),
    [sym_keyword_int] = STATE(415),
    [sym_keyword_bigint] = STATE(414),
    [sym_keyword_real] = STATE(413),
    [sym_keyword_char] = STATE(731),
    [sym_keyword_varchar] = STATE(732),
    [sym_keyword_timestamp] = STATE(873),
    [sym_keyword_timestamptz] = STATE(873),
    [sym__type] = STATE(6993),
    [sym_tinyint] = STATE(873),
    [sym_smallint] = STATE(873),
    [sym_mediumint] = STATE(873),
    [sym_int] = STATE(873),
    [sym_bigint] = STATE(873),
    [sym_float] = STATE(873),
    [sym_double] = STATE(873),
    [sym_decimal] = STATE(873),
    [sym_numeric] = STATE(873),
    [sym_char] = STATE(873),
    [sym_varchar] = STATE(873),
    [sym_comment] = STATE(40),
    [sym_marginalia] = STATE(40),
    [aux_sym_keyword_character_token1] = ACTIONS(83),
    [sym_keyword_unsigned] = ACTIONS(85),
    [sym_keyword_boolean] = ACTIONS(87),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(89),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(89),
    [aux_sym_keyword_serial_token1] = ACTIONS(91),
    [aux_sym_keyword_serial_token2] = ACTIONS(93),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(95),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(95),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(97),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(97),
    [aux_sym_keyword_smallint_token1] = ACTIONS(99),
    [aux_sym_keyword_smallint_token2] = ACTIONS(99),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(101),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(101),
    [aux_sym_keyword_int_token1] = ACTIONS(103),
    [aux_sym_keyword_int_token2] = ACTIONS(105),
    [aux_sym_keyword_int_token3] = ACTIONS(105),
    [aux_sym_keyword_bigint_token1] = ACTIONS(107),
    [aux_sym_keyword_bigint_token2] = ACTIONS(107),
    [sym_keyword_decimal] = ACTIONS(109),
    [sym_keyword_numeric] = ACTIONS(111),
    [aux_sym_keyword_real_token1] = ACTIONS(113),
    [aux_sym_keyword_real_token2] = ACTIONS(113),
    [sym_keyword_float] = ACTIONS(115),
    [sym_keyword_double] = ACTIONS(117),
    [sym_keyword_money] = ACTIONS(87),
    [aux_sym_keyword_char_token1] = ACTIONS(119),
    [aux_sym_keyword_varchar_token1] = ACTIONS(121),
    [sym_keyword_text] = ACTIONS(87),
    [sym_keyword_uuid] = ACTIONS(87),
    [sym_keyword_json] = ACTIONS(123),
    [sym_keyword_jsonb] = ACTIONS(87),
    [sym_keyword_xml] = ACTIONS(87),
    [sym_keyword_bytea] = ACTIONS(87),
    [sym_keyword_date] = ACTIONS(123),
    [sym_keyword_datetime] = ACTIONS(87),
    [aux_sym_keyword_timestamp_token1] = ACTIONS(125),
    [aux_sym_keyword_timestamptz_token1] = ACTIONS(127),
    [sym_keyword_interval] = ACTIONS(87),
    [sym_keyword_geometry] = ACTIONS(87),
    [sym_keyword_geography] = ACTIONS(87),
    [sym_keyword_box2d] = ACTIONS(87),
    [sym_keyword_box3d] = ACTIONS(87),
    [sym_keyword_oid] = ACTIONS(87),
    [sym_keyword_name] = ACTIONS(87),
    [sym_keyword_regclass] = ACTIONS(87),
    [sym_keyword_regnamespace] = ACTIONS(87),
    [sym_keyword_regproc] = ACTIONS(87),
    [sym_keyword_regtype] = ACTIONS(87),
    [aux_sym_double_token1] = ACTIONS(129),
    [anon_sym_DASH_DASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
  },
  [41] = {
    [sym_keyword_smallserial] = STATE(873),
    [sym_keyword_serial] = STATE(873),
    [sym_keyword_bigserial] = STATE(873),
    [sym_keyword_tinyint] = STATE(430),
    [sym_keyword_smallint] = STATE(419),
    [sym_keyword_mediumint] = STATE(417),
    [sym_keyword_int] = STATE(415),
    [sym_keyword_bigint] = STATE(414),
    [sym_keyword_real] = STATE(413),
    [sym_keyword_char] = STATE(731),
    [sym_keyword_varchar] = STATE(732),
    [sym_keyword_timestamp] = STATE(873),
    [sym_keyword_timestamptz] = STATE(873),
    [sym__type] = STATE(6357),
    [sym_tinyint] = STATE(873),
    [sym_smallint] = STATE(873),
    [sym_mediumint] = STATE(873),
    [sym_int] = STATE(873),
    [sym_bigint] = STATE(873),
    [sym_float] = STATE(873),
    [sym_double] = STATE(873),
    [sym_decimal] = STATE(873),
    [sym_numeric] = STATE(873),
    [sym_char] = STATE(873),
    [sym_varchar] = STATE(873),
    [sym_comment] = STATE(41),
    [sym_marginalia] = STATE(41),
    [aux_sym_keyword_character_token1] = ACTIONS(83),
    [sym_keyword_unsigned] = ACTIONS(85),
    [sym_keyword_boolean] = ACTIONS(87),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(89),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(89),
    [aux_sym_keyword_serial_token1] = ACTIONS(91),
    [aux_sym_keyword_serial_token2] = ACTIONS(93),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(95),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(95),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(97),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(97),
    [aux_sym_keyword_smallint_token1] = ACTIONS(99),
    [aux_sym_keyword_smallint_token2] = ACTIONS(99),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(101),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(101),
    [aux_sym_keyword_int_token1] = ACTIONS(103),
    [aux_sym_keyword_int_token2] = ACTIONS(105),
    [aux_sym_keyword_int_token3] = ACTIONS(105),
    [aux_sym_keyword_bigint_token1] = ACTIONS(107),
    [aux_sym_keyword_bigint_token2] = ACTIONS(107),
    [sym_keyword_decimal] = ACTIONS(109),
    [sym_keyword_numeric] = ACTIONS(111),
    [aux_sym_keyword_real_token1] = ACTIONS(113),
    [aux_sym_keyword_real_token2] = ACTIONS(113),
    [sym_keyword_float] = ACTIONS(115),
    [sym_keyword_double] = ACTIONS(117),
    [sym_keyword_money] = ACTIONS(87),
    [aux_sym_keyword_char_token1] = ACTIONS(119),
    [aux_sym_keyword_varchar_token1] = ACTIONS(121),
    [sym_keyword_text] = ACTIONS(87),
    [sym_keyword_uuid] = ACTIONS(87),
    [sym_keyword_json] = ACTIONS(123),
    [sym_keyword_jsonb] = ACTIONS(87),
    [sym_keyword_xml] = ACTIONS(87),
    [sym_keyword_bytea] = ACTIONS(87),
    [sym_keyword_date] = ACTIONS(123),
    [sym_keyword_datetime] = ACTIONS(87),
    [aux_sym_keyword_timestamp_token1] = ACTIONS(125),
    [aux_sym_keyword_timestamptz_token1] = ACTIONS(127),
    [sym_keyword_interval] = ACTIONS(87),
    [sym_keyword_geometry] = ACTIONS(87),
    [sym_keyword_geography] = ACTIONS(87),
    [sym_keyword_box2d] = ACTIONS(87),
    [sym_keyword_box3d] = ACTIONS(87),
    [sym_keyword_oid] = ACTIONS(87),
    [sym_keyword_name] = ACTIONS(87),
    [sym_keyword_regclass] = ACTIONS(87),
    [sym_keyword_regnamespace] = ACTIONS(87),
    [sym_keyword_regproc] = ACTIONS(87),
    [sym_keyword_regtype] = ACTIONS(87),
    [aux_sym_double_token1] = ACTIONS(129),
    [anon_sym_DASH_DASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
  },
  [42] = {
    [sym_keyword_smallserial] = STATE(873),
    [sym_keyword_serial] = STATE(873),
    [sym_keyword_bigserial] = STATE(873),
    [sym_keyword_tinyint] = STATE(430),
    [sym_keyword_smallint] = STATE(419),
    [sym_keyword_mediumint] = STATE(417),
    [sym_keyword_int] = STATE(415),
    [sym_keyword_bigint] = STATE(414),
    [sym_keyword_real] = STATE(413),
    [sym_keyword_char] = STATE(731),
    [sym_keyword_varchar] = STATE(732),
    [sym_keyword_timestamp] = STATE(873),
    [sym_keyword_timestamptz] = STATE(873),
    [sym__type] = STATE(6398),
    [sym_tinyint] = STATE(873),
    [sym_smallint] = STATE(873),
    [sym_mediumint] = STATE(873),
    [sym_int] = STATE(873),
    [sym_bigint] = STATE(873),
    [sym_float] = STATE(873),
    [sym_double] = STATE(873),
    [sym_decimal] = STATE(873),
    [sym_numeric] = STATE(873),
    [sym_char] = STATE(873),
    [sym_varchar] = STATE(873),
    [sym_comment] = STATE(42),
    [sym_marginalia] = STATE(42),
    [aux_sym_keyword_character_token1] = ACTIONS(83),
    [sym_keyword_unsigned] = ACTIONS(85),
    [sym_keyword_boolean] = ACTIONS(87),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(89),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(89),
    [aux_sym_keyword_serial_token1] = ACTIONS(91),
    [aux_sym_keyword_serial_token2] = ACTIONS(93),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(95),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(95),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(97),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(97),
    [aux_sym_keyword_smallint_token1] = ACTIONS(99),
    [aux_sym_keyword_smallint_token2] = ACTIONS(99),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(101),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(101),
    [aux_sym_keyword_int_token1] = ACTIONS(103),
    [aux_sym_keyword_int_token2] = ACTIONS(105),
    [aux_sym_keyword_int_token3] = ACTIONS(105),
    [aux_sym_keyword_bigint_token1] = ACTIONS(107),
    [aux_sym_keyword_bigint_token2] = ACTIONS(107),
    [sym_keyword_decimal] = ACTIONS(109),
    [sym_keyword_numeric] = ACTIONS(111),
    [aux_sym_keyword_real_token1] = ACTIONS(113),
    [aux_sym_keyword_real_token2] = ACTIONS(113),
    [sym_keyword_float] = ACTIONS(115),
    [sym_keyword_double] = ACTIONS(117),
    [sym_keyword_money] = ACTIONS(87),
    [aux_sym_keyword_char_token1] = ACTIONS(119),
    [aux_sym_keyword_varchar_token1] = ACTIONS(121),
    [sym_keyword_text] = ACTIONS(87),
    [sym_keyword_uuid] = ACTIONS(87),
    [sym_keyword_json] = ACTIONS(123),
    [sym_keyword_jsonb] = ACTIONS(87),
    [sym_keyword_xml] = ACTIONS(87),
    [sym_keyword_bytea] = ACTIONS(87),
    [sym_keyword_date] = ACTIONS(123),
    [sym_keyword_datetime] = ACTIONS(87),
    [aux_sym_keyword_timestamp_token1] = ACTIONS(125),
    [aux_sym_keyword_timestamptz_token1] = ACTIONS(127),
    [sym_keyword_interval] = ACTIONS(87),
    [sym_keyword_geometry] = ACTIONS(87),
    [sym_keyword_geography] = ACTIONS(87),
    [sym_keyword_box2d] = ACTIONS(87),
    [sym_keyword_box3d] = ACTIONS(87),
    [sym_keyword_oid] = ACTIONS(87),
    [sym_keyword_name] = ACTIONS(87),
    [sym_keyword_regclass] = ACTIONS(87),
    [sym_keyword_regnamespace] = ACTIONS(87),
    [sym_keyword_regproc] = ACTIONS(87),
    [sym_keyword_regtype] = ACTIONS(87),
    [aux_sym_double_token1] = ACTIONS(129),
    [anon_sym_DASH_DASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
  },
  [43] = {
    [sym_keyword_smallserial] = STATE(3585),
    [sym_keyword_serial] = STATE(3585),
    [sym_keyword_bigserial] = STATE(3585),
    [sym_keyword_tinyint] = STATE(3296),
    [sym_keyword_smallint] = STATE(3299),
    [sym_keyword_mediumint] = STATE(3300),
    [sym_keyword_int] = STATE(3301),
    [sym_keyword_bigint] = STATE(3303),
    [sym_keyword_real] = STATE(3304),
    [sym_keyword_char] = STATE(3402),
    [sym_keyword_varchar] = STATE(3401),
    [sym_keyword_timestamp] = STATE(3585),
    [sym_keyword_timestamptz] = STATE(3585),
    [sym__type] = STATE(3719),
    [sym_tinyint] = STATE(3585),
    [sym_smallint] = STATE(3585),
    [sym_mediumint] = STATE(3585),
    [sym_int] = STATE(3585),
    [sym_bigint] = STATE(3585),
    [sym_float] = STATE(3585),
    [sym_double] = STATE(3585),
    [sym_decimal] = STATE(3585),
    [sym_numeric] = STATE(3585),
    [sym_char] = STATE(3585),
    [sym_varchar] = STATE(3585),
    [sym_comment] = STATE(43),
    [sym_marginalia] = STATE(43),
    [aux_sym_keyword_character_token1] = ACTIONS(899),
    [sym_keyword_unsigned] = ACTIONS(901),
    [sym_keyword_boolean] = ACTIONS(903),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(905),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(905),
    [aux_sym_keyword_serial_token1] = ACTIONS(907),
    [aux_sym_keyword_serial_token2] = ACTIONS(909),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(911),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(911),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(913),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(913),
    [aux_sym_keyword_smallint_token1] = ACTIONS(915),
    [aux_sym_keyword_smallint_token2] = ACTIONS(915),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(917),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(917),
    [aux_sym_keyword_int_token1] = ACTIONS(919),
    [aux_sym_keyword_int_token2] = ACTIONS(921),
    [aux_sym_keyword_int_token3] = ACTIONS(921),
    [aux_sym_keyword_bigint_token1] = ACTIONS(923),
    [aux_sym_keyword_bigint_token2] = ACTIONS(923),
    [sym_keyword_decimal] = ACTIONS(925),
    [sym_keyword_numeric] = ACTIONS(927),
    [aux_sym_keyword_real_token1] = ACTIONS(929),
    [aux_sym_keyword_real_token2] = ACTIONS(929),
    [sym_keyword_float] = ACTIONS(931),
    [sym_keyword_double] = ACTIONS(933),
    [sym_keyword_money] = ACTIONS(903),
    [aux_sym_keyword_char_token1] = ACTIONS(935),
    [aux_sym_keyword_varchar_token1] = ACTIONS(937),
    [sym_keyword_text] = ACTIONS(903),
    [sym_keyword_uuid] = ACTIONS(903),
    [sym_keyword_json] = ACTIONS(939),
    [sym_keyword_jsonb] = ACTIONS(903),
    [sym_keyword_xml] = ACTIONS(903),
    [sym_keyword_bytea] = ACTIONS(903),
    [sym_keyword_date] = ACTIONS(939),
    [sym_keyword_datetime] = ACTIONS(903),
    [aux_sym_keyword_timestamp_token1] = ACTIONS(941),
    [aux_sym_keyword_timestamptz_token1] = ACTIONS(943),
    [sym_keyword_interval] = ACTIONS(903),
    [sym_keyword_geometry] = ACTIONS(903),
    [sym_keyword_geography] = ACTIONS(903),
    [sym_keyword_box2d] = ACTIONS(903),
    [sym_keyword_box3d] = ACTIONS(903),
    [sym_keyword_oid] = ACTIONS(903),
    [sym_keyword_name] = ACTIONS(903),
    [sym_keyword_regclass] = ACTIONS(903),
    [sym_keyword_regnamespace] = ACTIONS(903),
    [sym_keyword_regproc] = ACTIONS(903),
    [sym_keyword_regtype] = ACTIONS(903),
    [aux_sym_double_token1] = ACTIONS(945),
    [anon_sym_DASH_DASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
  },
  [44] = {
    [sym_keyword_smallserial] = STATE(873),
    [sym_keyword_serial] = STATE(873),
    [sym_keyword_bigserial] = STATE(873),
    [sym_keyword_tinyint] = STATE(430),
    [sym_keyword_smallint] = STATE(419),
    [sym_keyword_mediumint] = STATE(417),
    [sym_keyword_int] = STATE(415),
    [sym_keyword_bigint] = STATE(414),
    [sym_keyword_real] = STATE(413),
    [sym_keyword_char] = STATE(731),
    [sym_keyword_varchar] = STATE(732),
    [sym_keyword_timestamp] = STATE(873),
    [sym_keyword_timestamptz] = STATE(873),
    [sym__type] = STATE(6564),
    [sym_tinyint] = STATE(873),
    [sym_smallint] = STATE(873),
    [sym_mediumint] = STATE(873),
    [sym_int] = STATE(873),
    [sym_bigint] = STATE(873),
    [sym_float] = STATE(873),
    [sym_double] = STATE(873),
    [sym_decimal] = STATE(873),
    [sym_numeric] = STATE(873),
    [sym_char] = STATE(873),
    [sym_varchar] = STATE(873),
    [sym_comment] = STATE(44),
    [sym_marginalia] = STATE(44),
    [aux_sym_keyword_character_token1] = ACTIONS(83),
    [sym_keyword_unsigned] = ACTIONS(85),
    [sym_keyword_boolean] = ACTIONS(87),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(89),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(89),
    [aux_sym_keyword_serial_token1] = ACTIONS(91),
    [aux_sym_keyword_serial_token2] = ACTIONS(93),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(95),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(95),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(97),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(97),
    [aux_sym_keyword_smallint_token1] = ACTIONS(99),
    [aux_sym_keyword_smallint_token2] = ACTIONS(99),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(101),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(101),
    [aux_sym_keyword_int_token1] = ACTIONS(103),
    [aux_sym_keyword_int_token2] = ACTIONS(105),
    [aux_sym_keyword_int_token3] = ACTIONS(105),
    [aux_sym_keyword_bigint_token1] = ACTIONS(107),
    [aux_sym_keyword_bigint_token2] = ACTIONS(107),
    [sym_keyword_decimal] = ACTIONS(109),
    [sym_keyword_numeric] = ACTIONS(111),
    [aux_sym_keyword_real_token1] = ACTIONS(113),
    [aux_sym_keyword_real_token2] = ACTIONS(113),
    [sym_keyword_float] = ACTIONS(115),
    [sym_keyword_double] = ACTIONS(117),
    [sym_keyword_money] = ACTIONS(87),
    [aux_sym_keyword_char_token1] = ACTIONS(119),
    [aux_sym_keyword_varchar_token1] = ACTIONS(121),
    [sym_keyword_text] = ACTIONS(87),
    [sym_keyword_uuid] = ACTIONS(87),
    [sym_keyword_json] = ACTIONS(123),
    [sym_keyword_jsonb] = ACTIONS(87),
    [sym_keyword_xml] = ACTIONS(87),
    [sym_keyword_bytea] = ACTIONS(87),
    [sym_keyword_date] = ACTIONS(123),
    [sym_keyword_datetime] = ACTIONS(87),
    [aux_sym_keyword_timestamp_token1] = ACTIONS(125),
    [aux_sym_keyword_timestamptz_token1] = ACTIONS(127),
    [sym_keyword_interval] = ACTIONS(87),
    [sym_keyword_geometry] = ACTIONS(87),
    [sym_keyword_geography] = ACTIONS(87),
    [sym_keyword_box2d] = ACTIONS(87),
    [sym_keyword_box3d] = ACTIONS(87),
    [sym_keyword_oid] = ACTIONS(87),
    [sym_keyword_name] = ACTIONS(87),
    [sym_keyword_regclass] = ACTIONS(87),
    [sym_keyword_regnamespace] = ACTIONS(87),
    [sym_keyword_regproc] = ACTIONS(87),
    [sym_keyword_regtype] = ACTIONS(87),
    [aux_sym_double_token1] = ACTIONS(129),
    [anon_sym_DASH_DASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
  },
  [45] = {
    [sym_keyword_smallserial] = STATE(873),
    [sym_keyword_serial] = STATE(873),
    [sym_keyword_bigserial] = STATE(873),
    [sym_keyword_tinyint] = STATE(430),
    [sym_keyword_smallint] = STATE(419),
    [sym_keyword_mediumint] = STATE(417),
    [sym_keyword_int] = STATE(415),
    [sym_keyword_bigint] = STATE(414),
    [sym_keyword_real] = STATE(413),
    [sym_keyword_char] = STATE(731),
    [sym_keyword_varchar] = STATE(732),
    [sym_keyword_timestamp] = STATE(873),
    [sym_keyword_timestamptz] = STATE(873),
    [sym__type] = STATE(6656),
    [sym_tinyint] = STATE(873),
    [sym_smallint] = STATE(873),
    [sym_mediumint] = STATE(873),
    [sym_int] = STATE(873),
    [sym_bigint] = STATE(873),
    [sym_float] = STATE(873),
    [sym_double] = STATE(873),
    [sym_decimal] = STATE(873),
    [sym_numeric] = STATE(873),
    [sym_char] = STATE(873),
    [sym_varchar] = STATE(873),
    [sym_comment] = STATE(45),
    [sym_marginalia] = STATE(45),
    [aux_sym_keyword_character_token1] = ACTIONS(83),
    [sym_keyword_unsigned] = ACTIONS(85),
    [sym_keyword_boolean] = ACTIONS(87),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(89),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(89),
    [aux_sym_keyword_serial_token1] = ACTIONS(91),
    [aux_sym_keyword_serial_token2] = ACTIONS(93),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(95),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(95),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(97),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(97),
    [aux_sym_keyword_smallint_token1] = ACTIONS(99),
    [aux_sym_keyword_smallint_token2] = ACTIONS(99),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(101),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(101),
    [aux_sym_keyword_int_token1] = ACTIONS(103),
    [aux_sym_keyword_int_token2] = ACTIONS(105),
    [aux_sym_keyword_int_token3] = ACTIONS(105),
    [aux_sym_keyword_bigint_token1] = ACTIONS(107),
    [aux_sym_keyword_bigint_token2] = ACTIONS(107),
    [sym_keyword_decimal] = ACTIONS(109),
    [sym_keyword_numeric] = ACTIONS(111),
    [aux_sym_keyword_real_token1] = ACTIONS(113),
    [aux_sym_keyword_real_token2] = ACTIONS(113),
    [sym_keyword_float] = ACTIONS(115),
    [sym_keyword_double] = ACTIONS(117),
    [sym_keyword_money] = ACTIONS(87),
    [aux_sym_keyword_char_token1] = ACTIONS(119),
    [aux_sym_keyword_varchar_token1] = ACTIONS(121),
    [sym_keyword_text] = ACTIONS(87),
    [sym_keyword_uuid] = ACTIONS(87),
    [sym_keyword_json] = ACTIONS(123),
    [sym_keyword_jsonb] = ACTIONS(87),
    [sym_keyword_xml] = ACTIONS(87),
    [sym_keyword_bytea] = ACTIONS(87),
    [sym_keyword_date] = ACTIONS(123),
    [sym_keyword_datetime] = ACTIONS(87),
    [aux_sym_keyword_timestamp_token1] = ACTIONS(125),
    [aux_sym_keyword_timestamptz_token1] = ACTIONS(127),
    [sym_keyword_interval] = ACTIONS(87),
    [sym_keyword_geometry] = ACTIONS(87),
    [sym_keyword_geography] = ACTIONS(87),
    [sym_keyword_box2d] = ACTIONS(87),
    [sym_keyword_box3d] = ACTIONS(87),
    [sym_keyword_oid] = ACTIONS(87),
    [sym_keyword_name] = ACTIONS(87),
    [sym_keyword_regclass] = ACTIONS(87),
    [sym_keyword_regnamespace] = ACTIONS(87),
    [sym_keyword_regproc] = ACTIONS(87),
    [sym_keyword_regtype] = ACTIONS(87),
    [aux_sym_double_token1] = ACTIONS(129),
    [anon_sym_DASH_DASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
  },
  [46] = {
    [sym_keyword_smallserial] = STATE(873),
    [sym_keyword_serial] = STATE(873),
    [sym_keyword_bigserial] = STATE(873),
    [sym_keyword_tinyint] = STATE(430),
    [sym_keyword_smallint] = STATE(419),
    [sym_keyword_mediumint] = STATE(417),
    [sym_keyword_int] = STATE(415),
    [sym_keyword_bigint] = STATE(414),
    [sym_keyword_real] = STATE(413),
    [sym_keyword_char] = STATE(731),
    [sym_keyword_varchar] = STATE(732),
    [sym_keyword_timestamp] = STATE(873),
    [sym_keyword_timestamptz] = STATE(873),
    [sym__type] = STATE(4839),
    [sym_tinyint] = STATE(873),
    [sym_smallint] = STATE(873),
    [sym_mediumint] = STATE(873),
    [sym_int] = STATE(873),
    [sym_bigint] = STATE(873),
    [sym_float] = STATE(873),
    [sym_double] = STATE(873),
    [sym_decimal] = STATE(873),
    [sym_numeric] = STATE(873),
    [sym_char] = STATE(873),
    [sym_varchar] = STATE(873),
    [sym_comment] = STATE(46),
    [sym_marginalia] = STATE(46),
    [aux_sym_keyword_character_token1] = ACTIONS(83),
    [sym_keyword_unsigned] = ACTIONS(85),
    [sym_keyword_boolean] = ACTIONS(87),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(89),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(89),
    [aux_sym_keyword_serial_token1] = ACTIONS(91),
    [aux_sym_keyword_serial_token2] = ACTIONS(93),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(95),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(95),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(97),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(97),
    [aux_sym_keyword_smallint_token1] = ACTIONS(99),
    [aux_sym_keyword_smallint_token2] = ACTIONS(99),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(101),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(101),
    [aux_sym_keyword_int_token1] = ACTIONS(103),
    [aux_sym_keyword_int_token2] = ACTIONS(105),
    [aux_sym_keyword_int_token3] = ACTIONS(105),
    [aux_sym_keyword_bigint_token1] = ACTIONS(107),
    [aux_sym_keyword_bigint_token2] = ACTIONS(107),
    [sym_keyword_decimal] = ACTIONS(109),
    [sym_keyword_numeric] = ACTIONS(111),
    [aux_sym_keyword_real_token1] = ACTIONS(113),
    [aux_sym_keyword_real_token2] = ACTIONS(113),
    [sym_keyword_float] = ACTIONS(115),
    [sym_keyword_double] = ACTIONS(117),
    [sym_keyword_money] = ACTIONS(87),
    [aux_sym_keyword_char_token1] = ACTIONS(119),
    [aux_sym_keyword_varchar_token1] = ACTIONS(121),
    [sym_keyword_text] = ACTIONS(87),
    [sym_keyword_uuid] = ACTIONS(87),
    [sym_keyword_json] = ACTIONS(123),
    [sym_keyword_jsonb] = ACTIONS(87),
    [sym_keyword_xml] = ACTIONS(87),
    [sym_keyword_bytea] = ACTIONS(87),
    [sym_keyword_date] = ACTIONS(123),
    [sym_keyword_datetime] = ACTIONS(87),
    [aux_sym_keyword_timestamp_token1] = ACTIONS(125),
    [aux_sym_keyword_timestamptz_token1] = ACTIONS(127),
    [sym_keyword_interval] = ACTIONS(87),
    [sym_keyword_geometry] = ACTIONS(87),
    [sym_keyword_geography] = ACTIONS(87),
    [sym_keyword_box2d] = ACTIONS(87),
    [sym_keyword_box3d] = ACTIONS(87),
    [sym_keyword_oid] = ACTIONS(87),
    [sym_keyword_name] = ACTIONS(87),
    [sym_keyword_regclass] = ACTIONS(87),
    [sym_keyword_regnamespace] = ACTIONS(87),
    [sym_keyword_regproc] = ACTIONS(87),
    [sym_keyword_regtype] = ACTIONS(87),
    [aux_sym_double_token1] = ACTIONS(129),
    [anon_sym_DASH_DASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
  },
  [47] = {
    [sym_keyword_smallserial] = STATE(873),
    [sym_keyword_serial] = STATE(873),
    [sym_keyword_bigserial] = STATE(873),
    [sym_keyword_tinyint] = STATE(430),
    [sym_keyword_smallint] = STATE(419),
    [sym_keyword_mediumint] = STATE(417),
    [sym_keyword_int] = STATE(415),
    [sym_keyword_bigint] = STATE(414),
    [sym_keyword_real] = STATE(413),
    [sym_keyword_char] = STATE(731),
    [sym_keyword_varchar] = STATE(732),
    [sym_keyword_timestamp] = STATE(873),
    [sym_keyword_timestamptz] = STATE(873),
    [sym__type] = STATE(4853),
    [sym_tinyint] = STATE(873),
    [sym_smallint] = STATE(873),
    [sym_mediumint] = STATE(873),
    [sym_int] = STATE(873),
    [sym_bigint] = STATE(873),
    [sym_float] = STATE(873),
    [sym_double] = STATE(873),
    [sym_decimal] = STATE(873),
    [sym_numeric] = STATE(873),
    [sym_char] = STATE(873),
    [sym_varchar] = STATE(873),
    [sym_comment] = STATE(47),
    [sym_marginalia] = STATE(47),
    [aux_sym_keyword_character_token1] = ACTIONS(83),
    [sym_keyword_unsigned] = ACTIONS(85),
    [sym_keyword_boolean] = ACTIONS(87),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(89),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(89),
    [aux_sym_keyword_serial_token1] = ACTIONS(91),
    [aux_sym_keyword_serial_token2] = ACTIONS(93),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(95),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(95),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(97),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(97),
    [aux_sym_keyword_smallint_token1] = ACTIONS(99),
    [aux_sym_keyword_smallint_token2] = ACTIONS(99),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(101),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(101),
    [aux_sym_keyword_int_token1] = ACTIONS(103),
    [aux_sym_keyword_int_token2] = ACTIONS(105),
    [aux_sym_keyword_int_token3] = ACTIONS(105),
    [aux_sym_keyword_bigint_token1] = ACTIONS(107),
    [aux_sym_keyword_bigint_token2] = ACTIONS(107),
    [sym_keyword_decimal] = ACTIONS(109),
    [sym_keyword_numeric] = ACTIONS(111),
    [aux_sym_keyword_real_token1] = ACTIONS(113),
    [aux_sym_keyword_real_token2] = ACTIONS(113),
    [sym_keyword_float] = ACTIONS(115),
    [sym_keyword_double] = ACTIONS(117),
    [sym_keyword_money] = ACTIONS(87),
    [aux_sym_keyword_char_token1] = ACTIONS(119),
    [aux_sym_keyword_varchar_token1] = ACTIONS(121),
    [sym_keyword_text] = ACTIONS(87),
    [sym_keyword_uuid] = ACTIONS(87),
    [sym_keyword_json] = ACTIONS(123),
    [sym_keyword_jsonb] = ACTIONS(87),
    [sym_keyword_xml] = ACTIONS(87),
    [sym_keyword_bytea] = ACTIONS(87),
    [sym_keyword_date] = ACTIONS(123),
    [sym_keyword_datetime] = ACTIONS(87),
    [aux_sym_keyword_timestamp_token1] = ACTIONS(125),
    [aux_sym_keyword_timestamptz_token1] = ACTIONS(127),
    [sym_keyword_interval] = ACTIONS(87),
    [sym_keyword_geometry] = ACTIONS(87),
    [sym_keyword_geography] = ACTIONS(87),
    [sym_keyword_box2d] = ACTIONS(87),
    [sym_keyword_box3d] = ACTIONS(87),
    [sym_keyword_oid] = ACTIONS(87),
    [sym_keyword_name] = ACTIONS(87),
    [sym_keyword_regclass] = ACTIONS(87),
    [sym_keyword_regnamespace] = ACTIONS(87),
    [sym_keyword_regproc] = ACTIONS(87),
    [sym_keyword_regtype] = ACTIONS(87),
    [aux_sym_double_token1] = ACTIONS(129),
    [anon_sym_DASH_DASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
  },
  [48] = {
    [sym_keyword_smallserial] = STATE(873),
    [sym_keyword_serial] = STATE(873),
    [sym_keyword_bigserial] = STATE(873),
    [sym_keyword_tinyint] = STATE(430),
    [sym_keyword_smallint] = STATE(419),
    [sym_keyword_mediumint] = STATE(417),
    [sym_keyword_int] = STATE(415),
    [sym_keyword_bigint] = STATE(414),
    [sym_keyword_real] = STATE(413),
    [sym_keyword_char] = STATE(731),
    [sym_keyword_varchar] = STATE(732),
    [sym_keyword_timestamp] = STATE(873),
    [sym_keyword_timestamptz] = STATE(873),
    [sym__type] = STATE(2020),
    [sym_tinyint] = STATE(873),
    [sym_smallint] = STATE(873),
    [sym_mediumint] = STATE(873),
    [sym_int] = STATE(873),
    [sym_bigint] = STATE(873),
    [sym_float] = STATE(873),
    [sym_double] = STATE(873),
    [sym_decimal] = STATE(873),
    [sym_numeric] = STATE(873),
    [sym_char] = STATE(873),
    [sym_varchar] = STATE(873),
    [sym_comment] = STATE(48),
    [sym_marginalia] = STATE(48),
    [aux_sym_keyword_character_token1] = ACTIONS(83),
    [sym_keyword_unsigned] = ACTIONS(85),
    [sym_keyword_boolean] = ACTIONS(87),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(89),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(89),
    [aux_sym_keyword_serial_token1] = ACTIONS(91),
    [aux_sym_keyword_serial_token2] = ACTIONS(93),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(95),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(95),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(97),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(97),
    [aux_sym_keyword_smallint_token1] = ACTIONS(99),
    [aux_sym_keyword_smallint_token2] = ACTIONS(99),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(101),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(101),
    [aux_sym_keyword_int_token1] = ACTIONS(103),
    [aux_sym_keyword_int_token2] = ACTIONS(105),
    [aux_sym_keyword_int_token3] = ACTIONS(105),
    [aux_sym_keyword_bigint_token1] = ACTIONS(107),
    [aux_sym_keyword_bigint_token2] = ACTIONS(107),
    [sym_keyword_decimal] = ACTIONS(109),
    [sym_keyword_numeric] = ACTIONS(111),
    [aux_sym_keyword_real_token1] = ACTIONS(113),
    [aux_sym_keyword_real_token2] = ACTIONS(113),
    [sym_keyword_float] = ACTIONS(115),
    [sym_keyword_double] = ACTIONS(117),
    [sym_keyword_money] = ACTIONS(87),
    [aux_sym_keyword_char_token1] = ACTIONS(119),
    [aux_sym_keyword_varchar_token1] = ACTIONS(121),
    [sym_keyword_text] = ACTIONS(87),
    [sym_keyword_uuid] = ACTIONS(87),
    [sym_keyword_json] = ACTIONS(123),
    [sym_keyword_jsonb] = ACTIONS(87),
    [sym_keyword_xml] = ACTIONS(87),
    [sym_keyword_bytea] = ACTIONS(87),
    [sym_keyword_date] = ACTIONS(123),
    [sym_keyword_datetime] = ACTIONS(87),
    [aux_sym_keyword_timestamp_token1] = ACTIONS(125),
    [aux_sym_keyword_timestamptz_token1] = ACTIONS(127),
    [sym_keyword_interval] = ACTIONS(87),
    [sym_keyword_geometry] = ACTIONS(87),
    [sym_keyword_geography] = ACTIONS(87),
    [sym_keyword_box2d] = ACTIONS(87),
    [sym_keyword_box3d] = ACTIONS(87),
    [sym_keyword_oid] = ACTIONS(87),
    [sym_keyword_name] = ACTIONS(87),
    [sym_keyword_regclass] = ACTIONS(87),
    [sym_keyword_regnamespace] = ACTIONS(87),
    [sym_keyword_regproc] = ACTIONS(87),
    [sym_keyword_regtype] = ACTIONS(87),
    [aux_sym_double_token1] = ACTIONS(129),
    [anon_sym_DASH_DASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
  },
  [49] = {
    [sym_keyword_smallserial] = STATE(873),
    [sym_keyword_serial] = STATE(873),
    [sym_keyword_bigserial] = STATE(873),
    [sym_keyword_tinyint] = STATE(430),
    [sym_keyword_smallint] = STATE(419),
    [sym_keyword_mediumint] = STATE(417),
    [sym_keyword_int] = STATE(415),
    [sym_keyword_bigint] = STATE(414),
    [sym_keyword_real] = STATE(413),
    [sym_keyword_char] = STATE(731),
    [sym_keyword_varchar] = STATE(732),
    [sym_keyword_timestamp] = STATE(873),
    [sym_keyword_timestamptz] = STATE(873),
    [sym__type] = STATE(6790),
    [sym_tinyint] = STATE(873),
    [sym_smallint] = STATE(873),
    [sym_mediumint] = STATE(873),
    [sym_int] = STATE(873),
    [sym_bigint] = STATE(873),
    [sym_float] = STATE(873),
    [sym_double] = STATE(873),
    [sym_decimal] = STATE(873),
    [sym_numeric] = STATE(873),
    [sym_char] = STATE(873),
    [sym_varchar] = STATE(873),
    [sym_comment] = STATE(49),
    [sym_marginalia] = STATE(49),
    [aux_sym_keyword_character_token1] = ACTIONS(83),
    [sym_keyword_unsigned] = ACTIONS(85),
    [sym_keyword_boolean] = ACTIONS(87),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(89),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(89),
    [aux_sym_keyword_serial_token1] = ACTIONS(91),
    [aux_sym_keyword_serial_token2] = ACTIONS(93),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(95),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(95),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(97),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(97),
    [aux_sym_keyword_smallint_token1] = ACTIONS(99),
    [aux_sym_keyword_smallint_token2] = ACTIONS(99),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(101),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(101),
    [aux_sym_keyword_int_token1] = ACTIONS(103),
    [aux_sym_keyword_int_token2] = ACTIONS(105),
    [aux_sym_keyword_int_token3] = ACTIONS(105),
    [aux_sym_keyword_bigint_token1] = ACTIONS(107),
    [aux_sym_keyword_bigint_token2] = ACTIONS(107),
    [sym_keyword_decimal] = ACTIONS(109),
    [sym_keyword_numeric] = ACTIONS(111),
    [aux_sym_keyword_real_token1] = ACTIONS(113),
    [aux_sym_keyword_real_token2] = ACTIONS(113),
    [sym_keyword_float] = ACTIONS(115),
    [sym_keyword_double] = ACTIONS(117),
    [sym_keyword_money] = ACTIONS(87),
    [aux_sym_keyword_char_token1] = ACTIONS(119),
    [aux_sym_keyword_varchar_token1] = ACTIONS(121),
    [sym_keyword_text] = ACTIONS(87),
    [sym_keyword_uuid] = ACTIONS(87),
    [sym_keyword_json] = ACTIONS(123),
    [sym_keyword_jsonb] = ACTIONS(87),
    [sym_keyword_xml] = ACTIONS(87),
    [sym_keyword_bytea] = ACTIONS(87),
    [sym_keyword_date] = ACTIONS(123),
    [sym_keyword_datetime] = ACTIONS(87),
    [aux_sym_keyword_timestamp_token1] = ACTIONS(125),
    [aux_sym_keyword_timestamptz_token1] = ACTIONS(127),
    [sym_keyword_interval] = ACTIONS(87),
    [sym_keyword_geometry] = ACTIONS(87),
    [sym_keyword_geography] = ACTIONS(87),
    [sym_keyword_box2d] = ACTIONS(87),
    [sym_keyword_box3d] = ACTIONS(87),
    [sym_keyword_oid] = ACTIONS(87),
    [sym_keyword_name] = ACTIONS(87),
    [sym_keyword_regclass] = ACTIONS(87),
    [sym_keyword_regnamespace] = ACTIONS(87),
    [sym_keyword_regproc] = ACTIONS(87),
    [sym_keyword_regtype] = ACTIONS(87),
    [aux_sym_double_token1] = ACTIONS(129),
    [anon_sym_DASH_DASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
  },
  [50] = {
    [sym_comment] = STATE(50),
    [sym_marginalia] = STATE(50),
    [sym__identifier] = ACTIONS(947),
    [sym_keyword_select] = ACTIONS(947),
    [sym_keyword_delete] = ACTIONS(947),
    [sym_keyword_insert] = ACTIONS(947),
    [sym_keyword_replace] = ACTIONS(947),
    [sym_keyword_update] = ACTIONS(947),
    [sym_keyword_set] = ACTIONS(947),
    [sym_keyword_left] = ACTIONS(947),
    [sym_keyword_right] = ACTIONS(947),
    [sym_keyword_inner] = ACTIONS(947),
    [sym_keyword_cross] = ACTIONS(947),
    [sym_keyword_join] = ACTIONS(947),
    [sym_keyword_on] = ACTIONS(947),
    [sym_keyword_where] = ACTIONS(947),
    [sym_keyword_order] = ACTIONS(947),
    [sym_keyword_group] = ACTIONS(947),
    [sym_keyword_partition] = ACTIONS(947),
    [sym_keyword_limit] = ACTIONS(947),
    [sym_keyword_create] = ACTIONS(947),
    [sym_keyword_alter] = ACTIONS(947),
    [sym_keyword_drop] = ACTIONS(947),
    [sym_keyword_as] = ACTIONS(947),
    [sym_keyword_end] = ACTIONS(947),
    [sym_keyword_in] = ACTIONS(947),
    [sym_keyword_and] = ACTIONS(947),
    [sym_keyword_or] = ACTIONS(947),
    [sym_keyword_is] = ACTIONS(947),
    [sym_keyword_not] = ACTIONS(947),
    [sym_keyword_force] = ACTIONS(947),
    [sym_keyword_ignore] = ACTIONS(947),
    [sym_keyword_using] = ACTIONS(947),
    [sym_keyword_use] = ACTIONS(947),
    [sym_keyword_collate] = ACTIONS(947),
    [sym_keyword_engine] = ACTIONS(947),
    [sym_keyword_default] = ACTIONS(947),
    [aux_sym_keyword_with_token1] = ACTIONS(947),
    [sym_keyword_union] = ACTIONS(947),
    [sym_keyword_except] = ACTIONS(947),
    [sym_keyword_intersect] = ACTIONS(947),
    [sym_keyword_returning] = ACTIONS(947),
    [sym_keyword_commit] = ACTIONS(947),
    [sym_keyword_rollback] = ACTIONS(947),
    [sym_keyword_window] = ACTIONS(947),
    [sym_keyword_row] = ACTIONS(947),
    [aux_sym_keyword_like_token1] = ACTIONS(947),
    [aux_sym_keyword_like_token2] = ACTIONS(947),
    [sym_keyword_similar] = ACTIONS(947),
    [sym_keyword_stored] = ACTIONS(947),
    [sym_keyword_tblproperties] = ACTIONS(947),
    [sym_keyword_location] = ACTIONS(947),
    [sym_keyword_partitioned] = ACTIONS(947),
    [sym_keyword_sort] = ACTIONS(947),
    [anon_sym_LPAREN] = ACTIONS(949),
    [anon_sym_RPAREN] = ACTIONS(949),
    [anon_sym_COMMA] = ACTIONS(949),
    [anon_sym_DASH_DASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(947),
    [anon_sym_SEMI] = ACTIONS(949),
    [anon_sym_DOT] = ACTIONS(949),
    [anon_sym_EQ] = ACTIONS(949),
    [anon_sym_STAR] = ACTIONS(949),
    [anon_sym_COLON_COLON] = ACTIONS(949),
    [anon_sym_SQUOTE] = ACTIONS(949),
    [anon_sym_LT] = ACTIONS(947),
    [anon_sym_GT] = ACTIONS(947),
    [anon_sym_LT_EQ] = ACTIONS(949),
    [anon_sym_GT_EQ] = ACTIONS(949),
    [anon_sym_PLUS] = ACTIONS(949),
    [anon_sym_DASH] = ACTIONS(947),
    [anon_sym_PERCENT] = ACTIONS(949),
    [anon_sym_CARET] = ACTIONS(949),
    [anon_sym_PIPE_PIPE] = ACTIONS(949),
    [anon_sym_BANG_EQ] = ACTIONS(949),
    [anon_sym_DQUOTE] = ACTIONS(949),
    [anon_sym_BQUOTE] = ACTIONS(949),
  },
  [51] = {
    [sym_comment] = STATE(51),
    [sym_marginalia] = STATE(51),
    [sym__identifier] = ACTIONS(951),
    [sym_keyword_select] = ACTIONS(951),
    [sym_keyword_delete] = ACTIONS(951),
    [sym_keyword_insert] = ACTIONS(951),
    [sym_keyword_replace] = ACTIONS(951),
    [sym_keyword_update] = ACTIONS(951),
    [sym_keyword_set] = ACTIONS(951),
    [sym_keyword_left] = ACTIONS(951),
    [sym_keyword_right] = ACTIONS(951),
    [sym_keyword_inner] = ACTIONS(951),
    [sym_keyword_cross] = ACTIONS(951),
    [sym_keyword_join] = ACTIONS(951),
    [sym_keyword_on] = ACTIONS(951),
    [sym_keyword_where] = ACTIONS(951),
    [sym_keyword_order] = ACTIONS(951),
    [sym_keyword_group] = ACTIONS(951),
    [sym_keyword_partition] = ACTIONS(951),
    [sym_keyword_limit] = ACTIONS(951),
    [sym_keyword_create] = ACTIONS(951),
    [sym_keyword_alter] = ACTIONS(951),
    [sym_keyword_drop] = ACTIONS(951),
    [sym_keyword_as] = ACTIONS(951),
    [sym_keyword_end] = ACTIONS(951),
    [sym_keyword_in] = ACTIONS(951),
    [sym_keyword_and] = ACTIONS(951),
    [sym_keyword_or] = ACTIONS(951),
    [sym_keyword_is] = ACTIONS(951),
    [sym_keyword_not] = ACTIONS(951),
    [sym_keyword_force] = ACTIONS(951),
    [sym_keyword_ignore] = ACTIONS(951),
    [sym_keyword_using] = ACTIONS(951),
    [sym_keyword_use] = ACTIONS(951),
    [sym_keyword_collate] = ACTIONS(951),
    [sym_keyword_engine] = ACTIONS(951),
    [sym_keyword_default] = ACTIONS(951),
    [aux_sym_keyword_with_token1] = ACTIONS(951),
    [sym_keyword_union] = ACTIONS(951),
    [sym_keyword_except] = ACTIONS(951),
    [sym_keyword_intersect] = ACTIONS(951),
    [sym_keyword_returning] = ACTIONS(951),
    [sym_keyword_commit] = ACTIONS(951),
    [sym_keyword_rollback] = ACTIONS(951),
    [sym_keyword_window] = ACTIONS(951),
    [sym_keyword_row] = ACTIONS(951),
    [aux_sym_keyword_like_token1] = ACTIONS(951),
    [aux_sym_keyword_like_token2] = ACTIONS(951),
    [sym_keyword_similar] = ACTIONS(951),
    [sym_keyword_stored] = ACTIONS(951),
    [sym_keyword_tblproperties] = ACTIONS(951),
    [sym_keyword_location] = ACTIONS(951),
    [sym_keyword_partitioned] = ACTIONS(951),
    [sym_keyword_sort] = ACTIONS(951),
    [anon_sym_LPAREN] = ACTIONS(953),
    [anon_sym_RPAREN] = ACTIONS(953),
    [anon_sym_COMMA] = ACTIONS(953),
    [anon_sym_DASH_DASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(951),
    [anon_sym_SEMI] = ACTIONS(953),
    [anon_sym_DOT] = ACTIONS(953),
    [anon_sym_EQ] = ACTIONS(953),
    [anon_sym_STAR] = ACTIONS(953),
    [anon_sym_COLON_COLON] = ACTIONS(953),
    [anon_sym_SQUOTE] = ACTIONS(953),
    [anon_sym_LT] = ACTIONS(951),
    [anon_sym_GT] = ACTIONS(951),
    [anon_sym_LT_EQ] = ACTIONS(953),
    [anon_sym_GT_EQ] = ACTIONS(953),
    [anon_sym_PLUS] = ACTIONS(953),
    [anon_sym_DASH] = ACTIONS(951),
    [anon_sym_PERCENT] = ACTIONS(953),
    [anon_sym_CARET] = ACTIONS(953),
    [anon_sym_PIPE_PIPE] = ACTIONS(953),
    [anon_sym_BANG_EQ] = ACTIONS(953),
    [anon_sym_DQUOTE] = ACTIONS(953),
    [anon_sym_BQUOTE] = ACTIONS(953),
  },
  [52] = {
    [sym_comment] = STATE(52),
    [sym_marginalia] = STATE(52),
    [ts_builtin_sym_end] = ACTIONS(953),
    [sym__identifier] = ACTIONS(951),
    [sym_keyword_select] = ACTIONS(951),
    [sym_keyword_delete] = ACTIONS(951),
    [sym_keyword_insert] = ACTIONS(951),
    [sym_keyword_replace] = ACTIONS(951),
    [sym_keyword_update] = ACTIONS(951),
    [sym_keyword_values] = ACTIONS(951),
    [sym_keyword_set] = ACTIONS(951),
    [sym_keyword_from] = ACTIONS(951),
    [sym_keyword_on] = ACTIONS(951),
    [sym_keyword_primary] = ACTIONS(951),
    [sym_keyword_create] = ACTIONS(951),
    [sym_keyword_alter] = ACTIONS(951),
    [sym_keyword_change] = ACTIONS(951),
    [sym_keyword_modify] = ACTIONS(951),
    [sym_keyword_drop] = ACTIONS(951),
    [sym_keyword_add] = ACTIONS(951),
    [sym_keyword_as] = ACTIONS(951),
    [sym_keyword_end] = ACTIONS(951),
    [sym_keyword_in] = ACTIONS(951),
    [sym_keyword_and] = ACTIONS(951),
    [sym_keyword_or] = ACTIONS(951),
    [sym_keyword_is] = ACTIONS(951),
    [sym_keyword_not] = ACTIONS(951),
    [sym_keyword_using] = ACTIONS(951),
    [sym_keyword_collate] = ACTIONS(951),
    [sym_keyword_engine] = ACTIONS(951),
    [sym_keyword_default] = ACTIONS(951),
    [sym_keyword_cascade] = ACTIONS(951),
    [sym_keyword_restrict] = ACTIONS(951),
    [aux_sym_keyword_with_token1] = ACTIONS(951),
    [sym_keyword_type] = ACTIONS(951),
    [sym_keyword_rename] = ACTIONS(951),
    [sym_keyword_to] = ACTIONS(951),
    [sym_keyword_owner] = ACTIONS(951),
    [sym_keyword_union] = ACTIONS(951),
    [sym_keyword_except] = ACTIONS(951),
    [sym_keyword_intersect] = ACTIONS(951),
    [sym_keyword_returning] = ACTIONS(951),
    [sym_keyword_begin] = ACTIONS(951),
    [sym_keyword_commit] = ACTIONS(951),
    [sym_keyword_rollback] = ACTIONS(951),
    [sym_keyword_window] = ACTIONS(951),
    [aux_sym_keyword_like_token1] = ACTIONS(951),
    [aux_sym_keyword_like_token2] = ACTIONS(951),
    [sym_keyword_similar] = ACTIONS(951),
    [anon_sym_LPAREN] = ACTIONS(953),
    [anon_sym_RPAREN] = ACTIONS(953),
    [anon_sym_COMMA] = ACTIONS(953),
    [anon_sym_DASH_DASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(951),
    [anon_sym_SEMI] = ACTIONS(953),
    [anon_sym_DOT] = ACTIONS(953),
    [anon_sym_EQ] = ACTIONS(953),
    [anon_sym_STAR] = ACTIONS(953),
    [anon_sym_COLON_COLON] = ACTIONS(953),
    [anon_sym_SQUOTE] = ACTIONS(953),
    [anon_sym_LT] = ACTIONS(951),
    [anon_sym_GT] = ACTIONS(951),
    [anon_sym_LT_EQ] = ACTIONS(953),
    [anon_sym_GT_EQ] = ACTIONS(953),
    [anon_sym_PLUS] = ACTIONS(953),
    [anon_sym_DASH] = ACTIONS(951),
    [anon_sym_PERCENT] = ACTIONS(953),
    [anon_sym_CARET] = ACTIONS(953),
    [anon_sym_PIPE_PIPE] = ACTIONS(953),
    [anon_sym_BANG_EQ] = ACTIONS(953),
    [anon_sym_DQUOTE] = ACTIONS(953),
    [anon_sym_BQUOTE] = ACTIONS(953),
  },
  [53] = {
    [sym_comment] = STATE(53),
    [sym_marginalia] = STATE(53),
    [ts_builtin_sym_end] = ACTIONS(949),
    [sym__identifier] = ACTIONS(947),
    [sym_keyword_select] = ACTIONS(947),
    [sym_keyword_delete] = ACTIONS(947),
    [sym_keyword_insert] = ACTIONS(947),
    [sym_keyword_replace] = ACTIONS(947),
    [sym_keyword_update] = ACTIONS(947),
    [sym_keyword_values] = ACTIONS(947),
    [sym_keyword_set] = ACTIONS(947),
    [sym_keyword_from] = ACTIONS(947),
    [sym_keyword_on] = ACTIONS(947),
    [sym_keyword_primary] = ACTIONS(947),
    [sym_keyword_create] = ACTIONS(947),
    [sym_keyword_alter] = ACTIONS(947),
    [sym_keyword_change] = ACTIONS(947),
    [sym_keyword_modify] = ACTIONS(947),
    [sym_keyword_drop] = ACTIONS(947),
    [sym_keyword_add] = ACTIONS(947),
    [sym_keyword_as] = ACTIONS(947),
    [sym_keyword_end] = ACTIONS(947),
    [sym_keyword_in] = ACTIONS(947),
    [sym_keyword_and] = ACTIONS(947),
    [sym_keyword_or] = ACTIONS(947),
    [sym_keyword_is] = ACTIONS(947),
    [sym_keyword_not] = ACTIONS(947),
    [sym_keyword_using] = ACTIONS(947),
    [sym_keyword_collate] = ACTIONS(947),
    [sym_keyword_engine] = ACTIONS(947),
    [sym_keyword_default] = ACTIONS(947),
    [sym_keyword_cascade] = ACTIONS(947),
    [sym_keyword_restrict] = ACTIONS(947),
    [aux_sym_keyword_with_token1] = ACTIONS(947),
    [sym_keyword_type] = ACTIONS(947),
    [sym_keyword_rename] = ACTIONS(947),
    [sym_keyword_to] = ACTIONS(947),
    [sym_keyword_owner] = ACTIONS(947),
    [sym_keyword_union] = ACTIONS(947),
    [sym_keyword_except] = ACTIONS(947),
    [sym_keyword_intersect] = ACTIONS(947),
    [sym_keyword_returning] = ACTIONS(947),
    [sym_keyword_begin] = ACTIONS(947),
    [sym_keyword_commit] = ACTIONS(947),
    [sym_keyword_rollback] = ACTIONS(947),
    [sym_keyword_window] = ACTIONS(947),
    [aux_sym_keyword_like_token1] = ACTIONS(947),
    [aux_sym_keyword_like_token2] = ACTIONS(947),
    [sym_keyword_similar] = ACTIONS(947),
    [anon_sym_LPAREN] = ACTIONS(949),
    [anon_sym_RPAREN] = ACTIONS(949),
    [anon_sym_COMMA] = ACTIONS(949),
    [anon_sym_DASH_DASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(947),
    [anon_sym_SEMI] = ACTIONS(949),
    [anon_sym_DOT] = ACTIONS(949),
    [anon_sym_EQ] = ACTIONS(949),
    [anon_sym_STAR] = ACTIONS(949),
    [anon_sym_COLON_COLON] = ACTIONS(949),
    [anon_sym_SQUOTE] = ACTIONS(949),
    [anon_sym_LT] = ACTIONS(947),
    [anon_sym_GT] = ACTIONS(947),
    [anon_sym_LT_EQ] = ACTIONS(949),
    [anon_sym_GT_EQ] = ACTIONS(949),
    [anon_sym_PLUS] = ACTIONS(949),
    [anon_sym_DASH] = ACTIONS(947),
    [anon_sym_PERCENT] = ACTIONS(949),
    [anon_sym_CARET] = ACTIONS(949),
    [anon_sym_PIPE_PIPE] = ACTIONS(949),
    [anon_sym_BANG_EQ] = ACTIONS(949),
    [anon_sym_DQUOTE] = ACTIONS(949),
    [anon_sym_BQUOTE] = ACTIONS(949),
  },
  [54] = {
    [sym_comment] = STATE(54),
    [sym_marginalia] = STATE(54),
    [ts_builtin_sym_end] = ACTIONS(955),
    [sym__identifier] = ACTIONS(957),
    [sym_keyword_select] = ACTIONS(957),
    [sym_keyword_delete] = ACTIONS(957),
    [sym_keyword_insert] = ACTIONS(957),
    [sym_keyword_replace] = ACTIONS(957),
    [sym_keyword_update] = ACTIONS(957),
    [sym_keyword_from] = ACTIONS(957),
    [sym_keyword_partition] = ACTIONS(957),
    [sym_keyword_offset] = ACTIONS(957),
    [sym_keyword_create] = ACTIONS(957),
    [sym_keyword_alter] = ACTIONS(957),
    [sym_keyword_drop] = ACTIONS(957),
    [sym_keyword_as] = ACTIONS(957),
    [sym_keyword_end] = ACTIONS(957),
    [sym_keyword_in] = ACTIONS(957),
    [sym_keyword_and] = ACTIONS(957),
    [sym_keyword_or] = ACTIONS(957),
    [sym_keyword_is] = ACTIONS(957),
    [sym_keyword_not] = ACTIONS(957),
    [sym_keyword_collate] = ACTIONS(957),
    [sym_keyword_engine] = ACTIONS(957),
    [sym_keyword_default] = ACTIONS(957),
    [aux_sym_keyword_with_token1] = ACTIONS(957),
    [sym_keyword_union] = ACTIONS(957),
    [sym_keyword_except] = ACTIONS(957),
    [sym_keyword_intersect] = ACTIONS(957),
    [sym_keyword_returning] = ACTIONS(957),
    [sym_keyword_begin] = ACTIONS(957),
    [sym_keyword_commit] = ACTIONS(957),
    [sym_keyword_rollback] = ACTIONS(957),
    [sym_keyword_window] = ACTIONS(957),
    [sym_keyword_row] = ACTIONS(957),
    [aux_sym_keyword_like_token1] = ACTIONS(957),
    [aux_sym_keyword_like_token2] = ACTIONS(957),
    [sym_keyword_similar] = ACTIONS(957),
    [sym_keyword_stored] = ACTIONS(957),
    [sym_keyword_cached] = ACTIONS(957),
    [sym_keyword_uncached] = ACTIONS(957),
    [sym_keyword_tblproperties] = ACTIONS(957),
    [sym_keyword_location] = ACTIONS(957),
    [sym_keyword_partitioned] = ACTIONS(957),
    [sym_keyword_sort] = ACTIONS(957),
    [sym_keyword_escaped] = ACTIONS(957),
    [sym_keyword_lines] = ACTIONS(957),
    [anon_sym_RPAREN] = ACTIONS(955),
    [anon_sym_COMMA] = ACTIONS(955),
    [anon_sym_DASH_DASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(957),
    [anon_sym_SEMI] = ACTIONS(955),
    [anon_sym_DOT] = ACTIONS(955),
    [anon_sym_EQ] = ACTIONS(955),
    [anon_sym_STAR] = ACTIONS(955),
    [anon_sym_COLON_COLON] = ACTIONS(955),
    [anon_sym_SQUOTE] = ACTIONS(955),
    [anon_sym_LT] = ACTIONS(957),
    [anon_sym_GT] = ACTIONS(957),
    [anon_sym_LT_EQ] = ACTIONS(955),
    [anon_sym_GT_EQ] = ACTIONS(955),
    [anon_sym_PLUS] = ACTIONS(955),
    [anon_sym_DASH] = ACTIONS(957),
    [anon_sym_PERCENT] = ACTIONS(955),
    [anon_sym_CARET] = ACTIONS(955),
    [anon_sym_PIPE_PIPE] = ACTIONS(955),
    [anon_sym_BANG_EQ] = ACTIONS(955),
    [anon_sym_DQUOTE] = ACTIONS(955),
    [anon_sym_BQUOTE] = ACTIONS(955),
  },
  [55] = {
    [sym_comment] = STATE(55),
    [sym_marginalia] = STATE(55),
    [ts_builtin_sym_end] = ACTIONS(959),
    [sym__identifier] = ACTIONS(961),
    [sym_keyword_select] = ACTIONS(961),
    [sym_keyword_delete] = ACTIONS(961),
    [sym_keyword_insert] = ACTIONS(961),
    [sym_keyword_replace] = ACTIONS(961),
    [sym_keyword_update] = ACTIONS(961),
    [sym_keyword_from] = ACTIONS(961),
    [sym_keyword_partition] = ACTIONS(961),
    [sym_keyword_offset] = ACTIONS(961),
    [sym_keyword_create] = ACTIONS(961),
    [sym_keyword_alter] = ACTIONS(961),
    [sym_keyword_drop] = ACTIONS(961),
    [sym_keyword_as] = ACTIONS(961),
    [sym_keyword_end] = ACTIONS(961),
    [sym_keyword_in] = ACTIONS(961),
    [sym_keyword_and] = ACTIONS(961),
    [sym_keyword_or] = ACTIONS(961),
    [sym_keyword_is] = ACTIONS(961),
    [sym_keyword_not] = ACTIONS(961),
    [sym_keyword_collate] = ACTIONS(961),
    [sym_keyword_engine] = ACTIONS(961),
    [sym_keyword_default] = ACTIONS(961),
    [aux_sym_keyword_with_token1] = ACTIONS(961),
    [sym_keyword_union] = ACTIONS(961),
    [sym_keyword_except] = ACTIONS(961),
    [sym_keyword_intersect] = ACTIONS(961),
    [sym_keyword_returning] = ACTIONS(961),
    [sym_keyword_begin] = ACTIONS(961),
    [sym_keyword_commit] = ACTIONS(961),
    [sym_keyword_rollback] = ACTIONS(961),
    [sym_keyword_window] = ACTIONS(961),
    [sym_keyword_row] = ACTIONS(961),
    [aux_sym_keyword_like_token1] = ACTIONS(961),
    [aux_sym_keyword_like_token2] = ACTIONS(961),
    [sym_keyword_similar] = ACTIONS(961),
    [sym_keyword_stored] = ACTIONS(961),
    [sym_keyword_cached] = ACTIONS(961),
    [sym_keyword_uncached] = ACTIONS(961),
    [sym_keyword_tblproperties] = ACTIONS(961),
    [sym_keyword_location] = ACTIONS(961),
    [sym_keyword_partitioned] = ACTIONS(961),
    [sym_keyword_sort] = ACTIONS(961),
    [sym_keyword_escaped] = ACTIONS(961),
    [sym_keyword_lines] = ACTIONS(961),
    [anon_sym_RPAREN] = ACTIONS(959),
    [anon_sym_COMMA] = ACTIONS(959),
    [anon_sym_DASH_DASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(961),
    [anon_sym_SEMI] = ACTIONS(959),
    [anon_sym_EQ] = ACTIONS(959),
    [anon_sym_STAR] = ACTIONS(959),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_SQUOTE] = ACTIONS(959),
    [anon_sym_LT] = ACTIONS(961),
    [anon_sym_GT] = ACTIONS(961),
    [anon_sym_LT_EQ] = ACTIONS(959),
    [anon_sym_GT_EQ] = ACTIONS(959),
    [anon_sym_PLUS] = ACTIONS(959),
    [anon_sym_DASH] = ACTIONS(961),
    [anon_sym_PERCENT] = ACTIONS(959),
    [anon_sym_CARET] = ACTIONS(959),
    [anon_sym_PIPE_PIPE] = ACTIONS(959),
    [anon_sym_BANG_EQ] = ACTIONS(959),
    [anon_sym_DQUOTE] = ACTIONS(959),
    [anon_sym_BQUOTE] = ACTIONS(959),
  },
  [56] = {
    [sym_comment] = STATE(56),
    [sym_marginalia] = STATE(56),
    [sym__identifier] = ACTIONS(963),
    [sym_keyword_select] = ACTIONS(963),
    [sym_keyword_delete] = ACTIONS(963),
    [sym_keyword_insert] = ACTIONS(963),
    [sym_keyword_replace] = ACTIONS(963),
    [sym_keyword_update] = ACTIONS(963),
    [sym_keyword_set] = ACTIONS(963),
    [sym_keyword_left] = ACTIONS(963),
    [sym_keyword_right] = ACTIONS(963),
    [sym_keyword_inner] = ACTIONS(963),
    [sym_keyword_cross] = ACTIONS(963),
    [sym_keyword_join] = ACTIONS(963),
    [sym_keyword_on] = ACTIONS(963),
    [sym_keyword_where] = ACTIONS(963),
    [sym_keyword_order] = ACTIONS(963),
    [sym_keyword_group] = ACTIONS(963),
    [sym_keyword_limit] = ACTIONS(963),
    [sym_keyword_create] = ACTIONS(963),
    [sym_keyword_alter] = ACTIONS(963),
    [sym_keyword_drop] = ACTIONS(963),
    [sym_keyword_as] = ACTIONS(963),
    [sym_keyword_end] = ACTIONS(963),
    [sym_keyword_in] = ACTIONS(963),
    [sym_keyword_and] = ACTIONS(963),
    [sym_keyword_or] = ACTIONS(963),
    [sym_keyword_is] = ACTIONS(963),
    [sym_keyword_not] = ACTIONS(963),
    [sym_keyword_force] = ACTIONS(963),
    [sym_keyword_ignore] = ACTIONS(963),
    [sym_keyword_using] = ACTIONS(963),
    [sym_keyword_use] = ACTIONS(963),
    [aux_sym_keyword_with_token1] = ACTIONS(963),
    [sym_keyword_union] = ACTIONS(963),
    [sym_keyword_except] = ACTIONS(963),
    [sym_keyword_intersect] = ACTIONS(963),
    [sym_keyword_returning] = ACTIONS(963),
    [sym_keyword_commit] = ACTIONS(963),
    [sym_keyword_rollback] = ACTIONS(963),
    [sym_keyword_over] = ACTIONS(963),
    [sym_keyword_window] = ACTIONS(963),
    [aux_sym_keyword_like_token1] = ACTIONS(963),
    [aux_sym_keyword_like_token2] = ACTIONS(963),
    [sym_keyword_similar] = ACTIONS(963),
    [anon_sym_RPAREN] = ACTIONS(965),
    [anon_sym_COMMA] = ACTIONS(965),
    [anon_sym_DASH_DASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(963),
    [anon_sym_SEMI] = ACTIONS(965),
    [anon_sym_EQ] = ACTIONS(965),
    [anon_sym_STAR] = ACTIONS(965),
    [anon_sym_COLON_COLON] = ACTIONS(965),
    [anon_sym_LT] = ACTIONS(963),
    [anon_sym_GT] = ACTIONS(963),
    [anon_sym_LT_EQ] = ACTIONS(965),
    [anon_sym_GT_EQ] = ACTIONS(965),
    [anon_sym_PLUS] = ACTIONS(965),
    [anon_sym_DASH] = ACTIONS(963),
    [anon_sym_PERCENT] = ACTIONS(965),
    [anon_sym_CARET] = ACTIONS(965),
    [anon_sym_PIPE_PIPE] = ACTIONS(965),
    [anon_sym_BANG_EQ] = ACTIONS(965),
    [anon_sym_DQUOTE] = ACTIONS(965),
    [anon_sym_BQUOTE] = ACTIONS(965),
  },
  [57] = {
    [sym_comment] = STATE(57),
    [sym_marginalia] = STATE(57),
    [sym__identifier] = ACTIONS(967),
    [sym_keyword_select] = ACTIONS(967),
    [sym_keyword_delete] = ACTIONS(967),
    [sym_keyword_insert] = ACTIONS(967),
    [sym_keyword_replace] = ACTIONS(967),
    [sym_keyword_update] = ACTIONS(967),
    [sym_keyword_set] = ACTIONS(967),
    [sym_keyword_left] = ACTIONS(967),
    [sym_keyword_right] = ACTIONS(967),
    [sym_keyword_inner] = ACTIONS(967),
    [sym_keyword_cross] = ACTIONS(967),
    [sym_keyword_join] = ACTIONS(967),
    [sym_keyword_on] = ACTIONS(967),
    [sym_keyword_where] = ACTIONS(967),
    [sym_keyword_order] = ACTIONS(967),
    [sym_keyword_group] = ACTIONS(967),
    [sym_keyword_limit] = ACTIONS(967),
    [sym_keyword_create] = ACTIONS(967),
    [sym_keyword_alter] = ACTIONS(967),
    [sym_keyword_drop] = ACTIONS(967),
    [sym_keyword_as] = ACTIONS(967),
    [sym_keyword_end] = ACTIONS(967),
    [sym_keyword_in] = ACTIONS(967),
    [sym_keyword_and] = ACTIONS(967),
    [sym_keyword_or] = ACTIONS(967),
    [sym_keyword_is] = ACTIONS(967),
    [sym_keyword_not] = ACTIONS(967),
    [sym_keyword_force] = ACTIONS(967),
    [sym_keyword_ignore] = ACTIONS(967),
    [sym_keyword_using] = ACTIONS(967),
    [sym_keyword_use] = ACTIONS(967),
    [aux_sym_keyword_with_token1] = ACTIONS(967),
    [sym_keyword_union] = ACTIONS(967),
    [sym_keyword_except] = ACTIONS(967),
    [sym_keyword_intersect] = ACTIONS(967),
    [sym_keyword_returning] = ACTIONS(967),
    [sym_keyword_commit] = ACTIONS(967),
    [sym_keyword_rollback] = ACTIONS(967),
    [sym_keyword_over] = ACTIONS(967),
    [sym_keyword_window] = ACTIONS(967),
    [aux_sym_keyword_like_token1] = ACTIONS(967),
    [aux_sym_keyword_like_token2] = ACTIONS(967),
    [sym_keyword_similar] = ACTIONS(967),
    [anon_sym_RPAREN] = ACTIONS(969),
    [anon_sym_COMMA] = ACTIONS(969),
    [anon_sym_DASH_DASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(967),
    [anon_sym_SEMI] = ACTIONS(969),
    [anon_sym_EQ] = ACTIONS(969),
    [anon_sym_STAR] = ACTIONS(969),
    [anon_sym_COLON_COLON] = ACTIONS(969),
    [anon_sym_LT] = ACTIONS(967),
    [anon_sym_GT] = ACTIONS(967),
    [anon_sym_LT_EQ] = ACTIONS(969),
    [anon_sym_GT_EQ] = ACTIONS(969),
    [anon_sym_PLUS] = ACTIONS(969),
    [anon_sym_DASH] = ACTIONS(967),
    [anon_sym_PERCENT] = ACTIONS(969),
    [anon_sym_CARET] = ACTIONS(969),
    [anon_sym_PIPE_PIPE] = ACTIONS(969),
    [anon_sym_BANG_EQ] = ACTIONS(969),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [anon_sym_BQUOTE] = ACTIONS(969),
  },
  [58] = {
    [sym_comment] = STATE(58),
    [sym_marginalia] = STATE(58),
    [sym__identifier] = ACTIONS(957),
    [sym_keyword_select] = ACTIONS(957),
    [sym_keyword_delete] = ACTIONS(957),
    [sym_keyword_insert] = ACTIONS(957),
    [sym_keyword_replace] = ACTIONS(957),
    [sym_keyword_update] = ACTIONS(957),
    [sym_keyword_from] = ACTIONS(957),
    [sym_keyword_partition] = ACTIONS(957),
    [sym_keyword_create] = ACTIONS(957),
    [sym_keyword_alter] = ACTIONS(957),
    [sym_keyword_drop] = ACTIONS(957),
    [sym_keyword_as] = ACTIONS(957),
    [sym_keyword_end] = ACTIONS(957),
    [sym_keyword_in] = ACTIONS(957),
    [sym_keyword_and] = ACTIONS(957),
    [sym_keyword_or] = ACTIONS(957),
    [sym_keyword_is] = ACTIONS(957),
    [sym_keyword_not] = ACTIONS(957),
    [sym_keyword_collate] = ACTIONS(957),
    [sym_keyword_engine] = ACTIONS(957),
    [sym_keyword_default] = ACTIONS(957),
    [aux_sym_keyword_with_token1] = ACTIONS(957),
    [sym_keyword_union] = ACTIONS(957),
    [sym_keyword_except] = ACTIONS(957),
    [sym_keyword_intersect] = ACTIONS(957),
    [sym_keyword_returning] = ACTIONS(957),
    [sym_keyword_commit] = ACTIONS(957),
    [sym_keyword_rollback] = ACTIONS(957),
    [sym_keyword_window] = ACTIONS(957),
    [sym_keyword_row] = ACTIONS(957),
    [aux_sym_keyword_like_token1] = ACTIONS(957),
    [aux_sym_keyword_like_token2] = ACTIONS(957),
    [sym_keyword_similar] = ACTIONS(957),
    [sym_keyword_stored] = ACTIONS(957),
    [sym_keyword_cached] = ACTIONS(957),
    [sym_keyword_uncached] = ACTIONS(957),
    [sym_keyword_tblproperties] = ACTIONS(957),
    [sym_keyword_location] = ACTIONS(957),
    [sym_keyword_partitioned] = ACTIONS(957),
    [sym_keyword_sort] = ACTIONS(957),
    [sym_keyword_escaped] = ACTIONS(957),
    [sym_keyword_lines] = ACTIONS(957),
    [anon_sym_COMMA] = ACTIONS(955),
    [anon_sym_DASH_DASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(957),
    [anon_sym_SEMI] = ACTIONS(955),
    [anon_sym_DOT] = ACTIONS(955),
    [anon_sym_EQ] = ACTIONS(955),
    [anon_sym_STAR] = ACTIONS(955),
    [anon_sym_COLON_COLON] = ACTIONS(955),
    [anon_sym_SQUOTE] = ACTIONS(955),
    [anon_sym_LT] = ACTIONS(957),
    [anon_sym_GT] = ACTIONS(957),
    [anon_sym_LT_EQ] = ACTIONS(955),
    [anon_sym_GT_EQ] = ACTIONS(955),
    [anon_sym_PLUS] = ACTIONS(955),
    [anon_sym_DASH] = ACTIONS(957),
    [anon_sym_PERCENT] = ACTIONS(955),
    [anon_sym_CARET] = ACTIONS(955),
    [anon_sym_PIPE_PIPE] = ACTIONS(955),
    [anon_sym_BANG_EQ] = ACTIONS(955),
    [anon_sym_DQUOTE] = ACTIONS(955),
    [anon_sym_BQUOTE] = ACTIONS(955),
  },
  [59] = {
    [sym_comment] = STATE(59),
    [sym_marginalia] = STATE(59),
    [sym__identifier] = ACTIONS(971),
    [sym_keyword_select] = ACTIONS(971),
    [sym_keyword_delete] = ACTIONS(971),
    [sym_keyword_insert] = ACTIONS(971),
    [sym_keyword_replace] = ACTIONS(971),
    [sym_keyword_update] = ACTIONS(971),
    [sym_keyword_set] = ACTIONS(971),
    [sym_keyword_left] = ACTIONS(971),
    [sym_keyword_right] = ACTIONS(971),
    [sym_keyword_inner] = ACTIONS(971),
    [sym_keyword_cross] = ACTIONS(971),
    [sym_keyword_join] = ACTIONS(971),
    [sym_keyword_on] = ACTIONS(971),
    [sym_keyword_where] = ACTIONS(971),
    [sym_keyword_order] = ACTIONS(971),
    [sym_keyword_group] = ACTIONS(971),
    [sym_keyword_limit] = ACTIONS(971),
    [sym_keyword_create] = ACTIONS(971),
    [sym_keyword_alter] = ACTIONS(971),
    [sym_keyword_drop] = ACTIONS(971),
    [sym_keyword_as] = ACTIONS(971),
    [sym_keyword_end] = ACTIONS(971),
    [sym_keyword_in] = ACTIONS(971),
    [sym_keyword_and] = ACTIONS(971),
    [sym_keyword_or] = ACTIONS(971),
    [sym_keyword_is] = ACTIONS(971),
    [sym_keyword_not] = ACTIONS(971),
    [sym_keyword_force] = ACTIONS(971),
    [sym_keyword_ignore] = ACTIONS(971),
    [sym_keyword_using] = ACTIONS(971),
    [sym_keyword_use] = ACTIONS(971),
    [aux_sym_keyword_with_token1] = ACTIONS(971),
    [sym_keyword_union] = ACTIONS(971),
    [sym_keyword_except] = ACTIONS(971),
    [sym_keyword_intersect] = ACTIONS(971),
    [sym_keyword_returning] = ACTIONS(971),
    [sym_keyword_commit] = ACTIONS(971),
    [sym_keyword_rollback] = ACTIONS(971),
    [sym_keyword_over] = ACTIONS(971),
    [sym_keyword_window] = ACTIONS(971),
    [aux_sym_keyword_like_token1] = ACTIONS(971),
    [aux_sym_keyword_like_token2] = ACTIONS(971),
    [sym_keyword_similar] = ACTIONS(971),
    [anon_sym_RPAREN] = ACTIONS(973),
    [anon_sym_COMMA] = ACTIONS(973),
    [anon_sym_DASH_DASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(971),
    [anon_sym_SEMI] = ACTIONS(973),
    [anon_sym_EQ] = ACTIONS(973),
    [anon_sym_STAR] = ACTIONS(973),
    [anon_sym_COLON_COLON] = ACTIONS(973),
    [anon_sym_LT] = ACTIONS(971),
    [anon_sym_GT] = ACTIONS(971),
    [anon_sym_LT_EQ] = ACTIONS(973),
    [anon_sym_GT_EQ] = ACTIONS(973),
    [anon_sym_PLUS] = ACTIONS(973),
    [anon_sym_DASH] = ACTIONS(971),
    [anon_sym_PERCENT] = ACTIONS(973),
    [anon_sym_CARET] = ACTIONS(973),
    [anon_sym_PIPE_PIPE] = ACTIONS(973),
    [anon_sym_BANG_EQ] = ACTIONS(973),
    [anon_sym_DQUOTE] = ACTIONS(973),
    [anon_sym_BQUOTE] = ACTIONS(973),
  },
  [60] = {
    [sym_comment] = STATE(60),
    [sym_marginalia] = STATE(60),
    [sym__identifier] = ACTIONS(975),
    [sym_keyword_select] = ACTIONS(975),
    [sym_keyword_delete] = ACTIONS(975),
    [sym_keyword_insert] = ACTIONS(975),
    [sym_keyword_replace] = ACTIONS(975),
    [sym_keyword_update] = ACTIONS(975),
    [sym_keyword_set] = ACTIONS(975),
    [sym_keyword_left] = ACTIONS(975),
    [sym_keyword_right] = ACTIONS(975),
    [sym_keyword_inner] = ACTIONS(975),
    [sym_keyword_cross] = ACTIONS(975),
    [sym_keyword_join] = ACTIONS(975),
    [sym_keyword_on] = ACTIONS(975),
    [sym_keyword_where] = ACTIONS(975),
    [sym_keyword_order] = ACTIONS(975),
    [sym_keyword_group] = ACTIONS(975),
    [sym_keyword_limit] = ACTIONS(975),
    [sym_keyword_create] = ACTIONS(975),
    [sym_keyword_alter] = ACTIONS(975),
    [sym_keyword_drop] = ACTIONS(975),
    [sym_keyword_as] = ACTIONS(975),
    [sym_keyword_end] = ACTIONS(975),
    [sym_keyword_in] = ACTIONS(975),
    [sym_keyword_and] = ACTIONS(975),
    [sym_keyword_or] = ACTIONS(975),
    [sym_keyword_is] = ACTIONS(975),
    [sym_keyword_not] = ACTIONS(975),
    [sym_keyword_force] = ACTIONS(975),
    [sym_keyword_ignore] = ACTIONS(975),
    [sym_keyword_using] = ACTIONS(975),
    [sym_keyword_use] = ACTIONS(975),
    [aux_sym_keyword_with_token1] = ACTIONS(975),
    [sym_keyword_union] = ACTIONS(975),
    [sym_keyword_except] = ACTIONS(975),
    [sym_keyword_intersect] = ACTIONS(975),
    [sym_keyword_returning] = ACTIONS(975),
    [sym_keyword_commit] = ACTIONS(975),
    [sym_keyword_rollback] = ACTIONS(975),
    [sym_keyword_window] = ACTIONS(975),
    [aux_sym_keyword_like_token1] = ACTIONS(975),
    [aux_sym_keyword_like_token2] = ACTIONS(975),
    [sym_keyword_similar] = ACTIONS(975),
    [anon_sym_RPAREN] = ACTIONS(977),
    [anon_sym_COMMA] = ACTIONS(977),
    [anon_sym_DASH_DASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(975),
    [anon_sym_SEMI] = ACTIONS(977),
    [anon_sym_EQ] = ACTIONS(977),
    [anon_sym_STAR] = ACTIONS(977),
    [anon_sym_COLON_COLON] = ACTIONS(977),
    [anon_sym_LT] = ACTIONS(975),
    [anon_sym_GT] = ACTIONS(975),
    [anon_sym_LT_EQ] = ACTIONS(977),
    [anon_sym_GT_EQ] = ACTIONS(977),
    [anon_sym_PLUS] = ACTIONS(977),
    [anon_sym_DASH] = ACTIONS(975),
    [anon_sym_PERCENT] = ACTIONS(977),
    [anon_sym_CARET] = ACTIONS(977),
    [anon_sym_PIPE_PIPE] = ACTIONS(977),
    [anon_sym_BANG_EQ] = ACTIONS(977),
    [anon_sym_DQUOTE] = ACTIONS(977),
    [anon_sym_BQUOTE] = ACTIONS(977),
  },
  [61] = {
    [sym_comment] = STATE(61),
    [sym_marginalia] = STATE(61),
    [ts_builtin_sym_end] = ACTIONS(955),
    [sym_keyword_select] = ACTIONS(955),
    [sym_keyword_delete] = ACTIONS(955),
    [sym_keyword_insert] = ACTIONS(955),
    [sym_keyword_replace] = ACTIONS(955),
    [sym_keyword_update] = ACTIONS(955),
    [sym_keyword_set] = ACTIONS(955),
    [sym_keyword_left] = ACTIONS(955),
    [sym_keyword_right] = ACTIONS(955),
    [sym_keyword_inner] = ACTIONS(955),
    [sym_keyword_cross] = ACTIONS(955),
    [sym_keyword_join] = ACTIONS(955),
    [sym_keyword_on] = ACTIONS(955),
    [sym_keyword_where] = ACTIONS(955),
    [sym_keyword_order] = ACTIONS(955),
    [sym_keyword_group] = ACTIONS(955),
    [sym_keyword_limit] = ACTIONS(955),
    [sym_keyword_create] = ACTIONS(955),
    [sym_keyword_alter] = ACTIONS(955),
    [sym_keyword_drop] = ACTIONS(955),
    [sym_keyword_end] = ACTIONS(955),
    [sym_keyword_in] = ACTIONS(957),
    [sym_keyword_and] = ACTIONS(955),
    [sym_keyword_or] = ACTIONS(957),
    [sym_keyword_is] = ACTIONS(955),
    [sym_keyword_not] = ACTIONS(955),
    [sym_keyword_force] = ACTIONS(955),
    [sym_keyword_ignore] = ACTIONS(955),
    [sym_keyword_using] = ACTIONS(955),
    [sym_keyword_use] = ACTIONS(955),
    [aux_sym_keyword_with_token1] = ACTIONS(955),
    [sym_keyword_union] = ACTIONS(955),
    [sym_keyword_except] = ACTIONS(955),
    [sym_keyword_intersect] = ACTIONS(955),
    [sym_keyword_returning] = ACTIONS(955),
    [sym_keyword_begin] = ACTIONS(955),
    [sym_keyword_commit] = ACTIONS(955),
    [sym_keyword_rollback] = ACTIONS(955),
    [sym_keyword_window] = ACTIONS(955),
    [aux_sym_keyword_like_token1] = ACTIONS(955),
    [aux_sym_keyword_like_token2] = ACTIONS(955),
    [sym_keyword_similar] = ACTIONS(955),
    [anon_sym_LPAREN] = ACTIONS(955),
    [anon_sym_RPAREN] = ACTIONS(955),
    [anon_sym_COMMA] = ACTIONS(955),
    [anon_sym_DASH_DASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(957),
    [anon_sym_SEMI] = ACTIONS(955),
    [anon_sym_DOT] = ACTIONS(955),
    [anon_sym_EQ] = ACTIONS(955),
    [anon_sym_STAR] = ACTIONS(955),
    [anon_sym_COLON_COLON] = ACTIONS(955),
    [anon_sym_LT] = ACTIONS(957),
    [anon_sym_GT] = ACTIONS(957),
    [anon_sym_LT_EQ] = ACTIONS(955),
    [anon_sym_GT_EQ] = ACTIONS(955),
    [anon_sym_PLUS] = ACTIONS(955),
    [anon_sym_DASH] = ACTIONS(957),
    [anon_sym_PERCENT] = ACTIONS(955),
    [anon_sym_CARET] = ACTIONS(955),
    [anon_sym_PIPE_PIPE] = ACTIONS(955),
    [anon_sym_BANG_EQ] = ACTIONS(955),
  },
  [62] = {
    [sym_comment] = STATE(62),
    [sym_marginalia] = STATE(62),
    [sym__identifier] = ACTIONS(961),
    [sym_keyword_select] = ACTIONS(961),
    [sym_keyword_delete] = ACTIONS(961),
    [sym_keyword_insert] = ACTIONS(961),
    [sym_keyword_replace] = ACTIONS(961),
    [sym_keyword_update] = ACTIONS(961),
    [sym_keyword_from] = ACTIONS(961),
    [sym_keyword_partition] = ACTIONS(961),
    [sym_keyword_create] = ACTIONS(961),
    [sym_keyword_alter] = ACTIONS(961),
    [sym_keyword_drop] = ACTIONS(961),
    [sym_keyword_as] = ACTIONS(961),
    [sym_keyword_end] = ACTIONS(961),
    [sym_keyword_in] = ACTIONS(961),
    [sym_keyword_and] = ACTIONS(961),
    [sym_keyword_or] = ACTIONS(961),
    [sym_keyword_is] = ACTIONS(961),
    [sym_keyword_not] = ACTIONS(961),
    [sym_keyword_collate] = ACTIONS(961),
    [sym_keyword_engine] = ACTIONS(961),
    [sym_keyword_default] = ACTIONS(961),
    [aux_sym_keyword_with_token1] = ACTIONS(961),
    [sym_keyword_union] = ACTIONS(961),
    [sym_keyword_except] = ACTIONS(961),
    [sym_keyword_intersect] = ACTIONS(961),
    [sym_keyword_returning] = ACTIONS(961),
    [sym_keyword_commit] = ACTIONS(961),
    [sym_keyword_rollback] = ACTIONS(961),
    [sym_keyword_window] = ACTIONS(961),
    [sym_keyword_row] = ACTIONS(961),
    [aux_sym_keyword_like_token1] = ACTIONS(961),
    [aux_sym_keyword_like_token2] = ACTIONS(961),
    [sym_keyword_similar] = ACTIONS(961),
    [sym_keyword_stored] = ACTIONS(961),
    [sym_keyword_cached] = ACTIONS(961),
    [sym_keyword_uncached] = ACTIONS(961),
    [sym_keyword_tblproperties] = ACTIONS(961),
    [sym_keyword_location] = ACTIONS(961),
    [sym_keyword_partitioned] = ACTIONS(961),
    [sym_keyword_sort] = ACTIONS(961),
    [sym_keyword_escaped] = ACTIONS(961),
    [sym_keyword_lines] = ACTIONS(961),
    [anon_sym_COMMA] = ACTIONS(959),
    [anon_sym_DASH_DASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(961),
    [anon_sym_SEMI] = ACTIONS(959),
    [anon_sym_EQ] = ACTIONS(959),
    [anon_sym_STAR] = ACTIONS(959),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_SQUOTE] = ACTIONS(959),
    [anon_sym_LT] = ACTIONS(961),
    [anon_sym_GT] = ACTIONS(961),
    [anon_sym_LT_EQ] = ACTIONS(959),
    [anon_sym_GT_EQ] = ACTIONS(959),
    [anon_sym_PLUS] = ACTIONS(959),
    [anon_sym_DASH] = ACTIONS(961),
    [anon_sym_PERCENT] = ACTIONS(959),
    [anon_sym_CARET] = ACTIONS(959),
    [anon_sym_PIPE_PIPE] = ACTIONS(959),
    [anon_sym_BANG_EQ] = ACTIONS(959),
    [anon_sym_DQUOTE] = ACTIONS(959),
    [anon_sym_BQUOTE] = ACTIONS(959),
  },
  [63] = {
    [sym_comment] = STATE(63),
    [sym_marginalia] = STATE(63),
    [sym__identifier] = ACTIONS(979),
    [sym_keyword_select] = ACTIONS(979),
    [sym_keyword_delete] = ACTIONS(979),
    [sym_keyword_insert] = ACTIONS(979),
    [sym_keyword_replace] = ACTIONS(979),
    [sym_keyword_update] = ACTIONS(979),
    [sym_keyword_set] = ACTIONS(979),
    [sym_keyword_left] = ACTIONS(979),
    [sym_keyword_right] = ACTIONS(979),
    [sym_keyword_inner] = ACTIONS(979),
    [sym_keyword_cross] = ACTIONS(979),
    [sym_keyword_join] = ACTIONS(979),
    [sym_keyword_on] = ACTIONS(979),
    [sym_keyword_where] = ACTIONS(979),
    [sym_keyword_order] = ACTIONS(979),
    [sym_keyword_group] = ACTIONS(979),
    [sym_keyword_limit] = ACTIONS(979),
    [sym_keyword_create] = ACTIONS(979),
    [sym_keyword_alter] = ACTIONS(979),
    [sym_keyword_drop] = ACTIONS(979),
    [sym_keyword_as] = ACTIONS(979),
    [sym_keyword_end] = ACTIONS(979),
    [sym_keyword_in] = ACTIONS(979),
    [sym_keyword_and] = ACTIONS(979),
    [sym_keyword_or] = ACTIONS(979),
    [sym_keyword_is] = ACTIONS(979),
    [sym_keyword_not] = ACTIONS(979),
    [sym_keyword_force] = ACTIONS(979),
    [sym_keyword_ignore] = ACTIONS(979),
    [sym_keyword_using] = ACTIONS(979),
    [sym_keyword_use] = ACTIONS(979),
    [aux_sym_keyword_with_token1] = ACTIONS(979),
    [sym_keyword_union] = ACTIONS(979),
    [sym_keyword_except] = ACTIONS(979),
    [sym_keyword_intersect] = ACTIONS(979),
    [sym_keyword_returning] = ACTIONS(979),
    [sym_keyword_commit] = ACTIONS(979),
    [sym_keyword_rollback] = ACTIONS(979),
    [sym_keyword_window] = ACTIONS(979),
    [aux_sym_keyword_like_token1] = ACTIONS(979),
    [aux_sym_keyword_like_token2] = ACTIONS(979),
    [sym_keyword_similar] = ACTIONS(979),
    [anon_sym_RPAREN] = ACTIONS(981),
    [anon_sym_COMMA] = ACTIONS(981),
    [anon_sym_DASH_DASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH] = ACTIONS(979),
    [anon_sym_SEMI] = ACTIONS(981),
    [anon_sym_EQ] = ACTIONS(981),
    [anon_sym_STAR] = ACTIONS(981),
    [anon_sym_COLON_COLON] = ACTIONS(981),
    [anon_sym_LT] = ACTIONS(979),
    [anon_sym_GT] = ACTIONS(979),
    [anon_sym_LT_EQ] = ACTIONS(981),
    [anon_sym_GT_EQ] = ACTIONS(981),
    [anon_sym_PLUS] = ACTIONS(981),
    [anon_sym_DASH] = ACTIONS(979),
    [anon_sym_PERCENT] = ACTIONS(981),
    [anon_sym_CARET] = ACTIONS(981),
    [anon_sym_PIPE_PIPE] = ACTIONS(981),
    [anon_sym_BANG_EQ] = ACTIONS(981),
    [anon_sym_DQUOTE] = ACTIONS(981),
    [anon_sym_BQUOTE] = ACTIONS(981),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(987), 1,
      sym_keyword_unsigned,
    ACTIONS(989), 1,
      sym_keyword_zerofill,
    ACTIONS(991), 1,
      sym_keyword_precision,
    ACTIONS(993), 1,
      anon_sym_LPAREN,
    STATE(64), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(985), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(983), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [82] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(65), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(997), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(995), 52,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_null,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [155] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1003), 1,
      sym_keyword_unsigned,
    ACTIONS(1005), 1,
      sym_keyword_zerofill,
    ACTIONS(1007), 1,
      anon_sym_LPAREN,
    STATE(66), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1001), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(999), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [234] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(67), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(949), 17,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(947), 41,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [307] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(68), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1011), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1009), 52,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_null,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [380] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(69), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1015), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1013), 52,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_null,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [453] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(70), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1019), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1017), 52,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_null,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [526] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(71), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(953), 17,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(951), 41,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [599] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(72), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1023), 7,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1021), 51,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_values,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_partition,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_change,
      sym_keyword_modify,
      sym_keyword_drop,
      sym_keyword_add,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_cascade,
      aux_sym_keyword_with_token1,
      sym_keyword_rename,
      sym_keyword_owner,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [672] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(73), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1027), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1025), 52,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_null,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [745] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(74), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1031), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1029), 52,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_null,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [818] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1037), 1,
      sym_keyword_unsigned,
    ACTIONS(1039), 1,
      sym_keyword_zerofill,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    STATE(75), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1035), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1033), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [897] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1047), 1,
      sym_keyword_unsigned,
    ACTIONS(1049), 1,
      sym_keyword_zerofill,
    ACTIONS(1051), 1,
      anon_sym_LPAREN,
    STATE(76), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1045), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1043), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [976] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(987), 1,
      sym_keyword_unsigned,
    ACTIONS(989), 1,
      sym_keyword_zerofill,
    ACTIONS(993), 1,
      anon_sym_LPAREN,
    STATE(77), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(985), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(983), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [1055] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1057), 1,
      sym_keyword_unsigned,
    ACTIONS(1059), 1,
      sym_keyword_zerofill,
    ACTIONS(1061), 1,
      anon_sym_LPAREN,
    STATE(78), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1055), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1053), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [1134] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1067), 1,
      sym_keyword_unsigned,
    ACTIONS(1069), 1,
      sym_keyword_zerofill,
    ACTIONS(1071), 1,
      anon_sym_LPAREN,
    STATE(79), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1065), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1063), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [1213] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1077), 1,
      sym_keyword_unsigned,
    ACTIONS(1079), 1,
      sym_keyword_zerofill,
    ACTIONS(1081), 1,
      anon_sym_LPAREN,
    STATE(80), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1075), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1073), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [1292] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1087), 1,
      sym_keyword_unsigned,
    ACTIONS(1089), 1,
      sym_keyword_zerofill,
    ACTIONS(1091), 1,
      anon_sym_LPAREN,
    STATE(81), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1085), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1083), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [1371] = 14,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1095), 1,
      sym_keyword_in,
    ACTIONS(1097), 1,
      sym_keyword_is,
    ACTIONS(1099), 1,
      anon_sym_SLASH,
    ACTIONS(1105), 1,
      anon_sym_PLUS,
    ACTIONS(1107), 1,
      anon_sym_DASH,
    ACTIONS(1109), 1,
      anon_sym_CARET,
    ACTIONS(1101), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1103), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(82), 2,
      sym_comment,
      sym_marginalia,
    STATE(2053), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(2054), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 40,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [1461] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1097), 1,
      sym_keyword_is,
    STATE(83), 2,
      sym_comment,
      sym_marginalia,
    STATE(2053), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(2054), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1113), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1111), 44,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [1539] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1119), 1,
      sym_keyword_unsigned,
    ACTIONS(1121), 1,
      sym_keyword_zerofill,
    STATE(84), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1117), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1115), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [1615] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1097), 1,
      sym_keyword_is,
    STATE(85), 2,
      sym_comment,
      sym_marginalia,
    STATE(2053), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(2054), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1103), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1093), 44,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [1693] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1127), 1,
      aux_sym_keyword_varchar_token2,
    STATE(86), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1125), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1123), 50,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [1767] = 11,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1097), 1,
      sym_keyword_is,
    ACTIONS(1099), 1,
      anon_sym_SLASH,
    ACTIONS(1109), 1,
      anon_sym_CARET,
    ACTIONS(1101), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(87), 2,
      sym_comment,
      sym_marginalia,
    STATE(2053), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1103), 4,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    STATE(2054), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 41,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [1851] = 15,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1095), 1,
      sym_keyword_in,
    ACTIONS(1097), 1,
      sym_keyword_is,
    ACTIONS(1099), 1,
      anon_sym_SLASH,
    ACTIONS(1105), 1,
      anon_sym_PLUS,
    ACTIONS(1107), 1,
      anon_sym_DASH,
    ACTIONS(1109), 1,
      anon_sym_CARET,
    ACTIONS(1101), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1131), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(88), 2,
      sym_comment,
      sym_marginalia,
    STATE(2053), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1129), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2054), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 36,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_PIPE,
  [1943] = 16,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1095), 1,
      sym_keyword_in,
    ACTIONS(1097), 1,
      sym_keyword_is,
    ACTIONS(1099), 1,
      anon_sym_SLASH,
    ACTIONS(1105), 1,
      anon_sym_PLUS,
    ACTIONS(1107), 1,
      anon_sym_DASH,
    ACTIONS(1109), 1,
      anon_sym_CARET,
    ACTIONS(1133), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1101), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1131), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(89), 2,
      sym_comment,
      sym_marginalia,
    STATE(2053), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1129), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2054), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 35,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
  [2037] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1135), 1,
      sym_keyword_precision,
    ACTIONS(1137), 1,
      anon_sym_LPAREN,
    STATE(90), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1045), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1043), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [2113] = 13,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1097), 1,
      sym_keyword_is,
    ACTIONS(1099), 1,
      anon_sym_SLASH,
    ACTIONS(1105), 1,
      anon_sym_PLUS,
    ACTIONS(1107), 1,
      anon_sym_DASH,
    ACTIONS(1109), 1,
      anon_sym_CARET,
    ACTIONS(1101), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(91), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1103), 3,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2053), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(2054), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 40,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [2201] = 20,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1095), 1,
      sym_keyword_in,
    ACTIONS(1097), 1,
      sym_keyword_is,
    ACTIONS(1099), 1,
      anon_sym_SLASH,
    ACTIONS(1105), 1,
      anon_sym_PLUS,
    ACTIONS(1107), 1,
      anon_sym_DASH,
    ACTIONS(1109), 1,
      anon_sym_CARET,
    ACTIONS(1133), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1139), 1,
      sym_keyword_and,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(1101), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1131), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    STATE(92), 2,
      sym_comment,
      sym_marginalia,
    STATE(2053), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1129), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2054), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 30,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
  [2303] = 19,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1095), 1,
      sym_keyword_in,
    ACTIONS(1097), 1,
      sym_keyword_is,
    ACTIONS(1099), 1,
      anon_sym_SLASH,
    ACTIONS(1105), 1,
      anon_sym_PLUS,
    ACTIONS(1107), 1,
      anon_sym_DASH,
    ACTIONS(1109), 1,
      anon_sym_CARET,
    ACTIONS(1133), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(1101), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1131), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    STATE(93), 2,
      sym_comment,
      sym_marginalia,
    STATE(2053), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1129), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2054), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 31,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
  [2403] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1151), 1,
      sym_keyword_as,
    ACTIONS(1153), 1,
      sym_keyword_in,
    ACTIONS(1155), 1,
      sym_keyword_and,
    ACTIONS(1157), 1,
      sym_keyword_or,
    ACTIONS(1159), 1,
      sym_keyword_is,
    ACTIONS(1161), 1,
      sym_keyword_not,
    ACTIONS(1165), 1,
      sym_keyword_similar,
    ACTIONS(1169), 1,
      anon_sym_SLASH,
    ACTIONS(1175), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1179), 1,
      anon_sym_PLUS,
    ACTIONS(1181), 1,
      anon_sym_DASH,
    ACTIONS(1183), 1,
      anon_sym_CARET,
    ACTIONS(1185), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    STATE(2766), 1,
      sym__double_quote_string,
    STATE(2770), 1,
      sym_identifier,
    STATE(4577), 1,
      sym__alias_identifier,
    STATE(4588), 1,
      sym__alias,
    ACTIONS(1163), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(1167), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(1173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1177), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(94), 2,
      sym_comment,
      sym_marginalia,
    STATE(1802), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1171), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1803), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1149), 18,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
  [2527] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1195), 1,
      sym_keyword_unsigned,
    ACTIONS(1197), 1,
      sym_keyword_zerofill,
    STATE(95), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1193), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1191), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [2603] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(96), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(965), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(963), 42,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_over,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [2675] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(97), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(969), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(967), 42,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_over,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [2747] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(98), 2,
      sym_comment,
      sym_marginalia,
    STATE(2053), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(2054), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1103), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1093), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [2823] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1203), 1,
      sym_keyword_unsigned,
    ACTIONS(1205), 1,
      sym_keyword_zerofill,
    STATE(99), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1201), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1199), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [2899] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1211), 1,
      sym_keyword_unsigned,
    ACTIONS(1213), 1,
      sym_keyword_zerofill,
    STATE(100), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1209), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1207), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [2975] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1097), 1,
      sym_keyword_is,
    ACTIONS(1109), 1,
      anon_sym_CARET,
    STATE(101), 2,
      sym_comment,
      sym_marginalia,
    STATE(2053), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(2054), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1103), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1093), 43,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [3055] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1219), 1,
      sym_keyword_unsigned,
    ACTIONS(1221), 1,
      sym_keyword_zerofill,
    STATE(102), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1217), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1215), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [3131] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1227), 1,
      sym_keyword_unsigned,
    ACTIONS(1229), 1,
      sym_keyword_zerofill,
    STATE(103), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1225), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1223), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [3207] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1235), 1,
      sym_keyword_unsigned,
    ACTIONS(1237), 1,
      sym_keyword_zerofill,
    STATE(104), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1233), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1231), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [3283] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1243), 1,
      sym_keyword_unsigned,
    ACTIONS(1245), 1,
      sym_keyword_zerofill,
    STATE(105), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1241), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1239), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [3359] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(106), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(973), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(971), 42,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_over,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [3431] = 11,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1247), 1,
      sym_keyword_is,
    ACTIONS(1249), 1,
      anon_sym_SLASH,
    ACTIONS(1253), 1,
      anon_sym_CARET,
    ACTIONS(1251), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(107), 2,
      sym_comment,
      sym_marginalia,
    STATE(1786), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1787), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1103), 5,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1093), 39,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [3514] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(108), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1257), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1255), 50,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [3585] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(109), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(981), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(979), 41,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [3656] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(110), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(977), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(975), 41,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [3727] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(1247), 1,
      sym_keyword_is,
    ACTIONS(1249), 1,
      anon_sym_SLASH,
    ACTIONS(1253), 1,
      anon_sym_CARET,
    ACTIONS(1261), 1,
      sym_keyword_in,
    ACTIONS(1263), 1,
      sym_keyword_and,
    ACTIONS(1265), 1,
      sym_keyword_or,
    ACTIONS(1269), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1273), 1,
      anon_sym_PLUS,
    ACTIONS(1275), 1,
      anon_sym_DASH,
    ACTIONS(1277), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(1251), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1271), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(111), 2,
      sym_comment,
      sym_marginalia,
    STATE(1786), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1267), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1787), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1259), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [3832] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(1247), 1,
      sym_keyword_is,
    ACTIONS(1249), 1,
      anon_sym_SLASH,
    ACTIONS(1253), 1,
      anon_sym_CARET,
    ACTIONS(1261), 1,
      sym_keyword_in,
    ACTIONS(1263), 1,
      sym_keyword_and,
    ACTIONS(1265), 1,
      sym_keyword_or,
    ACTIONS(1269), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1273), 1,
      anon_sym_PLUS,
    ACTIONS(1275), 1,
      anon_sym_DASH,
    ACTIONS(1277), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(1251), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1271), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(112), 2,
      sym_comment,
      sym_marginalia,
    STATE(1786), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1267), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1787), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1279), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [3937] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(1247), 1,
      sym_keyword_is,
    ACTIONS(1249), 1,
      anon_sym_SLASH,
    ACTIONS(1253), 1,
      anon_sym_CARET,
    ACTIONS(1261), 1,
      sym_keyword_in,
    ACTIONS(1263), 1,
      sym_keyword_and,
    ACTIONS(1265), 1,
      sym_keyword_or,
    ACTIONS(1269), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1273), 1,
      anon_sym_PLUS,
    ACTIONS(1275), 1,
      anon_sym_DASH,
    ACTIONS(1277), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(1251), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1271), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(113), 2,
      sym_comment,
      sym_marginalia,
    STATE(1786), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1267), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1787), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1281), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [4042] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(1247), 1,
      sym_keyword_is,
    ACTIONS(1249), 1,
      anon_sym_SLASH,
    ACTIONS(1253), 1,
      anon_sym_CARET,
    ACTIONS(1261), 1,
      sym_keyword_in,
    ACTIONS(1263), 1,
      sym_keyword_and,
    ACTIONS(1265), 1,
      sym_keyword_or,
    ACTIONS(1269), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1273), 1,
      anon_sym_PLUS,
    ACTIONS(1275), 1,
      anon_sym_DASH,
    ACTIONS(1277), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(1251), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1271), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(114), 2,
      sym_comment,
      sym_marginalia,
    STATE(1786), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1267), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1787), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1283), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [4147] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(1247), 1,
      sym_keyword_is,
    ACTIONS(1249), 1,
      anon_sym_SLASH,
    ACTIONS(1253), 1,
      anon_sym_CARET,
    ACTIONS(1261), 1,
      sym_keyword_in,
    ACTIONS(1263), 1,
      sym_keyword_and,
    ACTIONS(1265), 1,
      sym_keyword_or,
    ACTIONS(1269), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1273), 1,
      anon_sym_PLUS,
    ACTIONS(1275), 1,
      anon_sym_DASH,
    ACTIONS(1277), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(1251), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1271), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(115), 2,
      sym_comment,
      sym_marginalia,
    STATE(1786), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1267), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1787), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1285), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [4252] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(1247), 1,
      sym_keyword_is,
    ACTIONS(1249), 1,
      anon_sym_SLASH,
    ACTIONS(1253), 1,
      anon_sym_CARET,
    ACTIONS(1261), 1,
      sym_keyword_in,
    ACTIONS(1263), 1,
      sym_keyword_and,
    ACTIONS(1265), 1,
      sym_keyword_or,
    ACTIONS(1269), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1273), 1,
      anon_sym_PLUS,
    ACTIONS(1275), 1,
      anon_sym_DASH,
    ACTIONS(1277), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(1251), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1271), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(116), 2,
      sym_comment,
      sym_marginalia,
    STATE(1786), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1267), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1787), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1287), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [4357] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(1247), 1,
      sym_keyword_is,
    ACTIONS(1249), 1,
      anon_sym_SLASH,
    ACTIONS(1253), 1,
      anon_sym_CARET,
    ACTIONS(1261), 1,
      sym_keyword_in,
    ACTIONS(1263), 1,
      sym_keyword_and,
    ACTIONS(1265), 1,
      sym_keyword_or,
    ACTIONS(1269), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1273), 1,
      anon_sym_PLUS,
    ACTIONS(1275), 1,
      anon_sym_DASH,
    ACTIONS(1277), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(1251), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1271), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(117), 2,
      sym_comment,
      sym_marginalia,
    STATE(1786), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1267), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1787), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1289), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [4462] = 13,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1247), 1,
      sym_keyword_is,
    ACTIONS(1249), 1,
      anon_sym_SLASH,
    ACTIONS(1253), 1,
      anon_sym_CARET,
    ACTIONS(1273), 1,
      anon_sym_PLUS,
    ACTIONS(1275), 1,
      anon_sym_DASH,
    ACTIONS(1251), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(118), 2,
      sym_comment,
      sym_marginalia,
    STATE(1786), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1103), 4,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1787), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 38,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [4549] = 20,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1103), 1,
      sym_keyword_or,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(1247), 1,
      sym_keyword_is,
    ACTIONS(1249), 1,
      anon_sym_SLASH,
    ACTIONS(1253), 1,
      anon_sym_CARET,
    ACTIONS(1261), 1,
      sym_keyword_in,
    ACTIONS(1273), 1,
      anon_sym_PLUS,
    ACTIONS(1275), 1,
      anon_sym_DASH,
    ACTIONS(1277), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(1251), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1271), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(119), 2,
      sym_comment,
      sym_marginalia,
    STATE(1786), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1267), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1787), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 29,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
  [4650] = 21,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1103), 1,
      sym_keyword_or,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(1247), 1,
      sym_keyword_is,
    ACTIONS(1249), 1,
      anon_sym_SLASH,
    ACTIONS(1253), 1,
      anon_sym_CARET,
    ACTIONS(1261), 1,
      sym_keyword_in,
    ACTIONS(1263), 1,
      sym_keyword_and,
    ACTIONS(1273), 1,
      anon_sym_PLUS,
    ACTIONS(1275), 1,
      anon_sym_DASH,
    ACTIONS(1277), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(1251), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1271), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(120), 2,
      sym_comment,
      sym_marginalia,
    STATE(1786), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1267), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1787), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 28,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
  [4753] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1247), 1,
      sym_keyword_is,
    ACTIONS(1253), 1,
      anon_sym_CARET,
    STATE(121), 2,
      sym_comment,
      sym_marginalia,
    STATE(1786), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1787), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1103), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1093), 41,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [4832] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(1247), 1,
      sym_keyword_is,
    ACTIONS(1249), 1,
      anon_sym_SLASH,
    ACTIONS(1253), 1,
      anon_sym_CARET,
    ACTIONS(1261), 1,
      sym_keyword_in,
    ACTIONS(1263), 1,
      sym_keyword_and,
    ACTIONS(1265), 1,
      sym_keyword_or,
    ACTIONS(1269), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1273), 1,
      anon_sym_PLUS,
    ACTIONS(1275), 1,
      anon_sym_DASH,
    ACTIONS(1277), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(1251), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1271), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(122), 2,
      sym_comment,
      sym_marginalia,
    STATE(1786), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1267), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1787), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1291), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [4937] = 14,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1247), 1,
      sym_keyword_is,
    ACTIONS(1249), 1,
      anon_sym_SLASH,
    ACTIONS(1253), 1,
      anon_sym_CARET,
    ACTIONS(1261), 1,
      sym_keyword_in,
    ACTIONS(1273), 1,
      anon_sym_PLUS,
    ACTIONS(1275), 1,
      anon_sym_DASH,
    ACTIONS(1251), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(123), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1103), 3,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1786), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1787), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 38,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [5026] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(1247), 1,
      sym_keyword_is,
    ACTIONS(1249), 1,
      anon_sym_SLASH,
    ACTIONS(1253), 1,
      anon_sym_CARET,
    ACTIONS(1261), 1,
      sym_keyword_in,
    ACTIONS(1263), 1,
      sym_keyword_and,
    ACTIONS(1265), 1,
      sym_keyword_or,
    ACTIONS(1269), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1273), 1,
      anon_sym_PLUS,
    ACTIONS(1275), 1,
      anon_sym_DASH,
    ACTIONS(1277), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(1251), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1271), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(124), 2,
      sym_comment,
      sym_marginalia,
    STATE(1786), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1267), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1787), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1293), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [5131] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(1247), 1,
      sym_keyword_is,
    ACTIONS(1249), 1,
      anon_sym_SLASH,
    ACTIONS(1253), 1,
      anon_sym_CARET,
    ACTIONS(1261), 1,
      sym_keyword_in,
    ACTIONS(1263), 1,
      sym_keyword_and,
    ACTIONS(1265), 1,
      sym_keyword_or,
    ACTIONS(1269), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1273), 1,
      anon_sym_PLUS,
    ACTIONS(1275), 1,
      anon_sym_DASH,
    ACTIONS(1277), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(1251), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1271), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(125), 2,
      sym_comment,
      sym_marginalia,
    STATE(1786), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1267), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1787), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1295), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [5236] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(1247), 1,
      sym_keyword_is,
    ACTIONS(1249), 1,
      anon_sym_SLASH,
    ACTIONS(1253), 1,
      anon_sym_CARET,
    ACTIONS(1261), 1,
      sym_keyword_in,
    ACTIONS(1263), 1,
      sym_keyword_and,
    ACTIONS(1265), 1,
      sym_keyword_or,
    ACTIONS(1269), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1273), 1,
      anon_sym_PLUS,
    ACTIONS(1275), 1,
      anon_sym_DASH,
    ACTIONS(1277), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(1251), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1271), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(126), 2,
      sym_comment,
      sym_marginalia,
    STATE(1786), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1267), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1787), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1297), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [5341] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(1247), 1,
      sym_keyword_is,
    ACTIONS(1249), 1,
      anon_sym_SLASH,
    ACTIONS(1253), 1,
      anon_sym_CARET,
    ACTIONS(1261), 1,
      sym_keyword_in,
    ACTIONS(1263), 1,
      sym_keyword_and,
    ACTIONS(1265), 1,
      sym_keyword_or,
    ACTIONS(1269), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1273), 1,
      anon_sym_PLUS,
    ACTIONS(1275), 1,
      anon_sym_DASH,
    ACTIONS(1277), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(1251), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1271), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(127), 2,
      sym_comment,
      sym_marginalia,
    STATE(1786), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1267), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1787), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1299), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [5446] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1247), 1,
      sym_keyword_is,
    STATE(128), 2,
      sym_comment,
      sym_marginalia,
    STATE(1786), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1787), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1103), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1093), 42,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [5523] = 16,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1103), 1,
      sym_keyword_or,
    ACTIONS(1247), 1,
      sym_keyword_is,
    ACTIONS(1249), 1,
      anon_sym_SLASH,
    ACTIONS(1253), 1,
      anon_sym_CARET,
    ACTIONS(1261), 1,
      sym_keyword_in,
    ACTIONS(1273), 1,
      anon_sym_PLUS,
    ACTIONS(1275), 1,
      anon_sym_DASH,
    ACTIONS(1251), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1271), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(129), 2,
      sym_comment,
      sym_marginalia,
    STATE(1786), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1267), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1787), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 34,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_PIPE,
  [5616] = 17,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1103), 1,
      sym_keyword_or,
    ACTIONS(1247), 1,
      sym_keyword_is,
    ACTIONS(1249), 1,
      anon_sym_SLASH,
    ACTIONS(1253), 1,
      anon_sym_CARET,
    ACTIONS(1261), 1,
      sym_keyword_in,
    ACTIONS(1273), 1,
      anon_sym_PLUS,
    ACTIONS(1275), 1,
      anon_sym_DASH,
    ACTIONS(1277), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1251), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1271), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(130), 2,
      sym_comment,
      sym_marginalia,
    STATE(1786), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1267), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1787), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
  [5711] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1247), 1,
      sym_keyword_is,
    STATE(131), 2,
      sym_comment,
      sym_marginalia,
    STATE(1786), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1787), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1113), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1111), 42,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [5788] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1151), 1,
      sym_keyword_as,
    ACTIONS(1161), 1,
      sym_keyword_not,
    ACTIONS(1165), 1,
      sym_keyword_similar,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(1301), 1,
      sym_keyword_in,
    ACTIONS(1303), 1,
      sym_keyword_and,
    ACTIONS(1305), 1,
      sym_keyword_or,
    ACTIONS(1307), 1,
      sym_keyword_is,
    ACTIONS(1309), 1,
      anon_sym_SLASH,
    ACTIONS(1315), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1319), 1,
      anon_sym_PLUS,
    ACTIONS(1321), 1,
      anon_sym_DASH,
    ACTIONS(1323), 1,
      anon_sym_CARET,
    ACTIONS(1325), 1,
      anon_sym_PIPE_PIPE,
    STATE(2766), 1,
      sym__double_quote_string,
    STATE(2770), 1,
      sym_identifier,
    STATE(4577), 1,
      sym__alias_identifier,
    STATE(4588), 1,
      sym__alias,
    ACTIONS(1163), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(1313), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1317), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(132), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1167), 3,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(2159), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1311), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2160), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1149), 16,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
  [5911] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(133), 2,
      sym_comment,
      sym_marginalia,
    STATE(1786), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1787), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1103), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1093), 43,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [5986] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1331), 1,
      sym_keyword_zerofill,
    STATE(134), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1329), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1327), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [6059] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1337), 1,
      anon_sym_LPAREN,
    STATE(135), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1335), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1333), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [6132] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1343), 1,
      anon_sym_LPAREN,
    STATE(136), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1341), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1339), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [6205] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1345), 1,
      anon_sym_LPAREN,
    STATE(137), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1329), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1327), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [6278] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1351), 1,
      anon_sym_LPAREN,
    STATE(138), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1349), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1347), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [6351] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(139), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1125), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1123), 50,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [6422] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1357), 1,
      anon_sym_LPAREN,
    STATE(140), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1355), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1353), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [6495] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1363), 1,
      sym_keyword_zerofill,
    STATE(141), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1361), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1359), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [6568] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1369), 1,
      sym_keyword_zerofill,
    STATE(142), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1367), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1365), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [6641] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1375), 1,
      sym_keyword_zerofill,
    STATE(143), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1373), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1371), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [6714] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1381), 1,
      sym_keyword_zerofill,
    STATE(144), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1379), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1377), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [6787] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1387), 1,
      anon_sym_LPAREN,
    STATE(145), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1385), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1383), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [6860] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1389), 1,
      sym_keyword_zerofill,
    STATE(146), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1335), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1333), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [6933] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(147), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1393), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1391), 50,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [7004] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1395), 1,
      sym_keyword_zerofill,
    STATE(148), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1341), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1339), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [7077] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1401), 1,
      anon_sym_LPAREN,
    STATE(149), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1399), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1397), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [7150] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1403), 1,
      sym_keyword_zerofill,
    STATE(150), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1349), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1347), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [7223] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1409), 1,
      anon_sym_LPAREN,
    STATE(151), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1407), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1405), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [7296] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1415), 1,
      sym_keyword_zerofill,
    STATE(152), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1413), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1411), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [7369] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1421), 1,
      anon_sym_LPAREN,
    STATE(153), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1419), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1417), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [7442] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1049), 1,
      sym_keyword_zerofill,
    STATE(154), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1045), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1043), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [7515] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1427), 1,
      sym_keyword_zerofill,
    STATE(155), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1425), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1423), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [7588] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1433), 1,
      sym_keyword_zerofill,
    STATE(156), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1431), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1429), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [7661] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1439), 1,
      sym_keyword_zerofill,
    STATE(157), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1437), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1435), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [7734] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1445), 1,
      aux_sym_keyword_with_token1,
    ACTIONS(1447), 1,
      aux_sym_keyword_timestamp_token2,
    STATE(158), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1443), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1441), 48,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [7809] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1449), 1,
      sym_keyword_zerofill,
    STATE(159), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1355), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1353), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [7882] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1137), 1,
      anon_sym_LPAREN,
    STATE(160), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1045), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1043), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [7955] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1451), 1,
      anon_sym_LPAREN,
    STATE(161), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1361), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1359), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [8028] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1453), 1,
      anon_sym_LPAREN,
    STATE(162), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1379), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1377), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [8101] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1459), 1,
      sym_keyword_zerofill,
    STATE(163), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1457), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1455), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [8174] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1465), 1,
      sym_keyword_zerofill,
    STATE(164), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1463), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1461), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [8247] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(1467), 1,
      sym_keyword_in,
    ACTIONS(1469), 1,
      sym_keyword_and,
    ACTIONS(1471), 1,
      sym_keyword_or,
    ACTIONS(1473), 1,
      sym_keyword_is,
    ACTIONS(1475), 1,
      anon_sym_SLASH,
    ACTIONS(1481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1485), 1,
      anon_sym_PLUS,
    ACTIONS(1487), 1,
      anon_sym_DASH,
    ACTIONS(1489), 1,
      anon_sym_CARET,
    ACTIONS(1491), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(1479), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1483), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(165), 2,
      sym_comment,
      sym_marginalia,
    STATE(1793), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1477), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1794), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1279), 26,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [8351] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(166), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1495), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1493), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [8421] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(167), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1499), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1497), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [8491] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(168), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1503), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1501), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [8561] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(169), 2,
      sym_comment,
      sym_marginalia,
    STATE(1876), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1877), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1103), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1093), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [8635] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(170), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1361), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1359), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [8705] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(171), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1379), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1377), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [8775] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(172), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1507), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1505), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [8845] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(173), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1335), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1333), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [8915] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(174), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1341), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1339), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [8985] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(175), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1349), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1347), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [9055] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(176), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1511), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1509), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [9125] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(177), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1045), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1043), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [9195] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(178), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1515), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1513), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [9265] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(179), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1519), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1517), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [9335] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(1269), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1521), 1,
      sym_keyword_in,
    ACTIONS(1523), 1,
      sym_keyword_and,
    ACTIONS(1525), 1,
      sym_keyword_or,
    ACTIONS(1527), 1,
      sym_keyword_is,
    ACTIONS(1529), 1,
      anon_sym_SLASH,
    ACTIONS(1537), 1,
      anon_sym_PLUS,
    ACTIONS(1539), 1,
      anon_sym_DASH,
    ACTIONS(1541), 1,
      anon_sym_CARET,
    ACTIONS(1543), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(1533), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1535), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(180), 2,
      sym_comment,
      sym_marginalia,
    STATE(1876), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1531), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1877), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1281), 26,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      anon_sym_SEMI,
  [9439] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1527), 1,
      sym_keyword_is,
    STATE(181), 2,
      sym_comment,
      sym_marginalia,
    STATE(1876), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1877), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1113), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1111), 41,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_and,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [9515] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(182), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1355), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1353), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [9585] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(183), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1547), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1545), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [9655] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1549), 1,
      sym_keyword_unsigned,
    ACTIONS(1551), 1,
      sym_keyword_zerofill,
    ACTIONS(1553), 1,
      sym_keyword_precision,
    ACTIONS(1555), 1,
      anon_sym_LPAREN,
    STATE(184), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(985), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(983), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [9733] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(185), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1457), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1455), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [9803] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(186), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(955), 17,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_SQUOTE,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(957), 38,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_partition,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_row,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_stored,
      sym_keyword_cached,
      sym_keyword_uncached,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym_keyword_escaped,
      sym_keyword_lines,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [9873] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(187), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1367), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1365), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [9943] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(188), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1413), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1411), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [10013] = 13,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1527), 1,
      sym_keyword_is,
    ACTIONS(1529), 1,
      anon_sym_SLASH,
    ACTIONS(1537), 1,
      anon_sym_PLUS,
    ACTIONS(1539), 1,
      anon_sym_DASH,
    ACTIONS(1541), 1,
      anon_sym_CARET,
    ACTIONS(1533), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(189), 2,
      sym_comment,
      sym_marginalia,
    STATE(1876), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1103), 4,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1877), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 37,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_and,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [10099] = 20,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1103), 1,
      sym_keyword_or,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(1521), 1,
      sym_keyword_in,
    ACTIONS(1527), 1,
      sym_keyword_is,
    ACTIONS(1529), 1,
      anon_sym_SLASH,
    ACTIONS(1537), 1,
      anon_sym_PLUS,
    ACTIONS(1539), 1,
      anon_sym_DASH,
    ACTIONS(1541), 1,
      anon_sym_CARET,
    ACTIONS(1543), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(1533), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1535), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(190), 2,
      sym_comment,
      sym_marginalia,
    STATE(1876), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1531), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1877), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 28,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_and,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
  [10199] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(191), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1425), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1423), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [10269] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(192), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1463), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1461), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [10339] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(193), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1559), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1557), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [10409] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(194), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(985), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(983), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [10479] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(195), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1563), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1561), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [10549] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(196), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1567), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1565), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [10619] = 21,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1103), 1,
      sym_keyword_or,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(1521), 1,
      sym_keyword_in,
    ACTIONS(1523), 1,
      sym_keyword_and,
    ACTIONS(1527), 1,
      sym_keyword_is,
    ACTIONS(1529), 1,
      anon_sym_SLASH,
    ACTIONS(1537), 1,
      anon_sym_PLUS,
    ACTIONS(1539), 1,
      anon_sym_DASH,
    ACTIONS(1541), 1,
      anon_sym_CARET,
    ACTIONS(1543), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(1533), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1535), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(197), 2,
      sym_comment,
      sym_marginalia,
    STATE(1876), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1531), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1877), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 27,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
  [10721] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(198), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1571), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1569), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [10791] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(199), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1575), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1573), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [10861] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(200), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1579), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1577), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [10931] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1527), 1,
      sym_keyword_is,
    ACTIONS(1541), 1,
      anon_sym_CARET,
    STATE(201), 2,
      sym_comment,
      sym_marginalia,
    STATE(1876), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1877), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1103), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1093), 40,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_and,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [11009] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(202), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1583), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1581), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [11079] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(203), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1587), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1585), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [11149] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(204), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1591), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1589), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [11219] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(205), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1595), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1593), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [11289] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(206), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1217), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1215), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [11359] = 14,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1521), 1,
      sym_keyword_in,
    ACTIONS(1527), 1,
      sym_keyword_is,
    ACTIONS(1529), 1,
      anon_sym_SLASH,
    ACTIONS(1537), 1,
      anon_sym_PLUS,
    ACTIONS(1539), 1,
      anon_sym_DASH,
    ACTIONS(1541), 1,
      anon_sym_CARET,
    ACTIONS(1533), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(207), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1103), 3,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1876), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1877), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 37,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_and,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [11447] = 11,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1527), 1,
      sym_keyword_is,
    ACTIONS(1529), 1,
      anon_sym_SLASH,
    ACTIONS(1541), 1,
      anon_sym_CARET,
    ACTIONS(1533), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(208), 2,
      sym_comment,
      sym_marginalia,
    STATE(1876), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1877), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1103), 5,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1093), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_and,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [11529] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(209), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1437), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1435), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [11599] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(210), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1431), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1429), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [11669] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(211), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1599), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1597), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [11739] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(212), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1603), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1601), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [11809] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(213), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1329), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1327), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [11879] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(1467), 1,
      sym_keyword_in,
    ACTIONS(1469), 1,
      sym_keyword_and,
    ACTIONS(1471), 1,
      sym_keyword_or,
    ACTIONS(1473), 1,
      sym_keyword_is,
    ACTIONS(1475), 1,
      anon_sym_SLASH,
    ACTIONS(1481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1485), 1,
      anon_sym_PLUS,
    ACTIONS(1487), 1,
      anon_sym_DASH,
    ACTIONS(1489), 1,
      anon_sym_CARET,
    ACTIONS(1491), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(1479), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1483), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(214), 2,
      sym_comment,
      sym_marginalia,
    STATE(1793), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1477), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1794), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1291), 26,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [11983] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(215), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1607), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1605), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [12053] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(216), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1611), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1609), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [12123] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(217), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1615), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1613), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [12193] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(218), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1619), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1617), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [12263] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(219), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1373), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1371), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [12333] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1527), 1,
      sym_keyword_is,
    STATE(220), 2,
      sym_comment,
      sym_marginalia,
    STATE(1876), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1877), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1103), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1093), 41,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_and,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [12409] = 11,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1473), 1,
      sym_keyword_is,
    ACTIONS(1475), 1,
      anon_sym_SLASH,
    ACTIONS(1489), 1,
      anon_sym_CARET,
    ACTIONS(1479), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(221), 2,
      sym_comment,
      sym_marginalia,
    STATE(1793), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1794), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1103), 5,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1093), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [12491] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1473), 1,
      sym_keyword_is,
    STATE(222), 2,
      sym_comment,
      sym_marginalia,
    STATE(1793), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1794), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1103), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1093), 41,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [12567] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(1467), 1,
      sym_keyword_in,
    ACTIONS(1469), 1,
      sym_keyword_and,
    ACTIONS(1471), 1,
      sym_keyword_or,
    ACTIONS(1473), 1,
      sym_keyword_is,
    ACTIONS(1475), 1,
      anon_sym_SLASH,
    ACTIONS(1481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1485), 1,
      anon_sym_PLUS,
    ACTIONS(1487), 1,
      anon_sym_DASH,
    ACTIONS(1489), 1,
      anon_sym_CARET,
    ACTIONS(1491), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(1479), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1483), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(223), 2,
      sym_comment,
      sym_marginalia,
    STATE(1793), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1477), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1794), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1299), 26,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [12671] = 16,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1103), 1,
      sym_keyword_or,
    ACTIONS(1467), 1,
      sym_keyword_in,
    ACTIONS(1473), 1,
      sym_keyword_is,
    ACTIONS(1475), 1,
      anon_sym_SLASH,
    ACTIONS(1485), 1,
      anon_sym_PLUS,
    ACTIONS(1487), 1,
      anon_sym_DASH,
    ACTIONS(1489), 1,
      anon_sym_CARET,
    ACTIONS(1479), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1483), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(224), 2,
      sym_comment,
      sym_marginalia,
    STATE(1793), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1477), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1794), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 33,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_PIPE,
  [12763] = 17,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1103), 1,
      sym_keyword_or,
    ACTIONS(1467), 1,
      sym_keyword_in,
    ACTIONS(1473), 1,
      sym_keyword_is,
    ACTIONS(1475), 1,
      anon_sym_SLASH,
    ACTIONS(1485), 1,
      anon_sym_PLUS,
    ACTIONS(1487), 1,
      anon_sym_DASH,
    ACTIONS(1489), 1,
      anon_sym_CARET,
    ACTIONS(1491), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1479), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1483), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(225), 2,
      sym_comment,
      sym_marginalia,
    STATE(1793), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1477), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1794), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 32,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
  [12857] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(226), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1623), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1621), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [12927] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(1269), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1521), 1,
      sym_keyword_in,
    ACTIONS(1523), 1,
      sym_keyword_and,
    ACTIONS(1525), 1,
      sym_keyword_or,
    ACTIONS(1527), 1,
      sym_keyword_is,
    ACTIONS(1529), 1,
      anon_sym_SLASH,
    ACTIONS(1537), 1,
      anon_sym_PLUS,
    ACTIONS(1539), 1,
      anon_sym_DASH,
    ACTIONS(1541), 1,
      anon_sym_CARET,
    ACTIONS(1543), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(1533), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1535), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(227), 2,
      sym_comment,
      sym_marginalia,
    STATE(1876), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1531), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1877), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1259), 26,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      anon_sym_SEMI,
  [13031] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(1269), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1521), 1,
      sym_keyword_in,
    ACTIONS(1523), 1,
      sym_keyword_and,
    ACTIONS(1525), 1,
      sym_keyword_or,
    ACTIONS(1527), 1,
      sym_keyword_is,
    ACTIONS(1529), 1,
      anon_sym_SLASH,
    ACTIONS(1537), 1,
      anon_sym_PLUS,
    ACTIONS(1539), 1,
      anon_sym_DASH,
    ACTIONS(1541), 1,
      anon_sym_CARET,
    ACTIONS(1543), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(1533), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1535), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(228), 2,
      sym_comment,
      sym_marginalia,
    STATE(1876), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1531), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1877), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1279), 26,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      anon_sym_SEMI,
  [13135] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(229), 2,
      sym_comment,
      sym_marginalia,
    STATE(1793), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1794), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1103), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1093), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [13209] = 14,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1467), 1,
      sym_keyword_in,
    ACTIONS(1473), 1,
      sym_keyword_is,
    ACTIONS(1475), 1,
      anon_sym_SLASH,
    ACTIONS(1485), 1,
      anon_sym_PLUS,
    ACTIONS(1487), 1,
      anon_sym_DASH,
    ACTIONS(1489), 1,
      anon_sym_CARET,
    ACTIONS(1479), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(230), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1103), 3,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1793), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1794), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 37,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [13297] = 16,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1103), 1,
      sym_keyword_or,
    ACTIONS(1521), 1,
      sym_keyword_in,
    ACTIONS(1527), 1,
      sym_keyword_is,
    ACTIONS(1529), 1,
      anon_sym_SLASH,
    ACTIONS(1537), 1,
      anon_sym_PLUS,
    ACTIONS(1539), 1,
      anon_sym_DASH,
    ACTIONS(1541), 1,
      anon_sym_CARET,
    ACTIONS(1533), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1535), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(231), 2,
      sym_comment,
      sym_marginalia,
    STATE(1876), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1531), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1877), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 33,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_and,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_PIPE,
  [13389] = 20,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1103), 1,
      sym_keyword_or,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(1467), 1,
      sym_keyword_in,
    ACTIONS(1473), 1,
      sym_keyword_is,
    ACTIONS(1475), 1,
      anon_sym_SLASH,
    ACTIONS(1485), 1,
      anon_sym_PLUS,
    ACTIONS(1487), 1,
      anon_sym_DASH,
    ACTIONS(1489), 1,
      anon_sym_CARET,
    ACTIONS(1491), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(1479), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1483), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(232), 2,
      sym_comment,
      sym_marginalia,
    STATE(1793), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1477), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1794), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 28,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
  [13489] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1473), 1,
      sym_keyword_is,
    ACTIONS(1489), 1,
      anon_sym_CARET,
    STATE(233), 2,
      sym_comment,
      sym_marginalia,
    STATE(1793), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1794), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1103), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1093), 40,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [13567] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(1467), 1,
      sym_keyword_in,
    ACTIONS(1469), 1,
      sym_keyword_and,
    ACTIONS(1471), 1,
      sym_keyword_or,
    ACTIONS(1473), 1,
      sym_keyword_is,
    ACTIONS(1475), 1,
      anon_sym_SLASH,
    ACTIONS(1481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1485), 1,
      anon_sym_PLUS,
    ACTIONS(1487), 1,
      anon_sym_DASH,
    ACTIONS(1489), 1,
      anon_sym_CARET,
    ACTIONS(1491), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(1479), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1483), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(234), 2,
      sym_comment,
      sym_marginalia,
    STATE(1793), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1477), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1794), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1297), 26,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [13671] = 17,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1103), 1,
      sym_keyword_or,
    ACTIONS(1521), 1,
      sym_keyword_in,
    ACTIONS(1527), 1,
      sym_keyword_is,
    ACTIONS(1529), 1,
      anon_sym_SLASH,
    ACTIONS(1537), 1,
      anon_sym_PLUS,
    ACTIONS(1539), 1,
      anon_sym_DASH,
    ACTIONS(1541), 1,
      anon_sym_CARET,
    ACTIONS(1543), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1533), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1535), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(235), 2,
      sym_comment,
      sym_marginalia,
    STATE(1876), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1531), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1877), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 32,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_and,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
  [13765] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(236), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1627), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1625), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [13835] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(1467), 1,
      sym_keyword_in,
    ACTIONS(1469), 1,
      sym_keyword_and,
    ACTIONS(1471), 1,
      sym_keyword_or,
    ACTIONS(1473), 1,
      sym_keyword_is,
    ACTIONS(1475), 1,
      anon_sym_SLASH,
    ACTIONS(1481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1485), 1,
      anon_sym_PLUS,
    ACTIONS(1487), 1,
      anon_sym_DASH,
    ACTIONS(1489), 1,
      anon_sym_CARET,
    ACTIONS(1491), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(1479), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1483), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(237), 2,
      sym_comment,
      sym_marginalia,
    STATE(1793), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1477), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1794), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1293), 26,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [13939] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(238), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1631), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1629), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [14009] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(1269), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1521), 1,
      sym_keyword_in,
    ACTIONS(1523), 1,
      sym_keyword_and,
    ACTIONS(1525), 1,
      sym_keyword_or,
    ACTIONS(1527), 1,
      sym_keyword_is,
    ACTIONS(1529), 1,
      anon_sym_SLASH,
    ACTIONS(1537), 1,
      anon_sym_PLUS,
    ACTIONS(1539), 1,
      anon_sym_DASH,
    ACTIONS(1541), 1,
      anon_sym_CARET,
    ACTIONS(1543), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(1533), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1535), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(239), 2,
      sym_comment,
      sym_marginalia,
    STATE(1876), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1531), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1877), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1283), 26,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      anon_sym_SEMI,
  [14113] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1473), 1,
      sym_keyword_is,
    STATE(240), 2,
      sym_comment,
      sym_marginalia,
    STATE(1793), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1794), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1113), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1111), 41,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [14189] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(241), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1635), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1633), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [14259] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(1467), 1,
      sym_keyword_in,
    ACTIONS(1469), 1,
      sym_keyword_and,
    ACTIONS(1471), 1,
      sym_keyword_or,
    ACTIONS(1473), 1,
      sym_keyword_is,
    ACTIONS(1475), 1,
      anon_sym_SLASH,
    ACTIONS(1481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1485), 1,
      anon_sym_PLUS,
    ACTIONS(1487), 1,
      anon_sym_DASH,
    ACTIONS(1489), 1,
      anon_sym_CARET,
    ACTIONS(1491), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(1479), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1483), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(242), 2,
      sym_comment,
      sym_marginalia,
    STATE(1793), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1477), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1794), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1289), 26,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [14363] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(1467), 1,
      sym_keyword_in,
    ACTIONS(1469), 1,
      sym_keyword_and,
    ACTIONS(1471), 1,
      sym_keyword_or,
    ACTIONS(1473), 1,
      sym_keyword_is,
    ACTIONS(1475), 1,
      anon_sym_SLASH,
    ACTIONS(1481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1485), 1,
      anon_sym_PLUS,
    ACTIONS(1487), 1,
      anon_sym_DASH,
    ACTIONS(1489), 1,
      anon_sym_CARET,
    ACTIONS(1491), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(1479), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1483), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(243), 2,
      sym_comment,
      sym_marginalia,
    STATE(1793), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1477), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1794), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1287), 26,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [14467] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(1467), 1,
      sym_keyword_in,
    ACTIONS(1469), 1,
      sym_keyword_and,
    ACTIONS(1471), 1,
      sym_keyword_or,
    ACTIONS(1473), 1,
      sym_keyword_is,
    ACTIONS(1475), 1,
      anon_sym_SLASH,
    ACTIONS(1481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1485), 1,
      anon_sym_PLUS,
    ACTIONS(1487), 1,
      anon_sym_DASH,
    ACTIONS(1489), 1,
      anon_sym_CARET,
    ACTIONS(1491), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(1479), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1483), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(244), 2,
      sym_comment,
      sym_marginalia,
    STATE(1793), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1477), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1794), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1285), 26,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [14571] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(1269), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1521), 1,
      sym_keyword_in,
    ACTIONS(1523), 1,
      sym_keyword_and,
    ACTIONS(1525), 1,
      sym_keyword_or,
    ACTIONS(1527), 1,
      sym_keyword_is,
    ACTIONS(1529), 1,
      anon_sym_SLASH,
    ACTIONS(1537), 1,
      anon_sym_PLUS,
    ACTIONS(1539), 1,
      anon_sym_DASH,
    ACTIONS(1541), 1,
      anon_sym_CARET,
    ACTIONS(1543), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(1533), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1535), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(245), 2,
      sym_comment,
      sym_marginalia,
    STATE(1876), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1531), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1877), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1291), 26,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      anon_sym_SEMI,
  [14675] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(1467), 1,
      sym_keyword_in,
    ACTIONS(1469), 1,
      sym_keyword_and,
    ACTIONS(1471), 1,
      sym_keyword_or,
    ACTIONS(1473), 1,
      sym_keyword_is,
    ACTIONS(1475), 1,
      anon_sym_SLASH,
    ACTIONS(1481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1485), 1,
      anon_sym_PLUS,
    ACTIONS(1487), 1,
      anon_sym_DASH,
    ACTIONS(1489), 1,
      anon_sym_CARET,
    ACTIONS(1491), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(1479), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1483), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(246), 2,
      sym_comment,
      sym_marginalia,
    STATE(1793), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1477), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1794), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1283), 26,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [14779] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(1269), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1521), 1,
      sym_keyword_in,
    ACTIONS(1523), 1,
      sym_keyword_and,
    ACTIONS(1525), 1,
      sym_keyword_or,
    ACTIONS(1527), 1,
      sym_keyword_is,
    ACTIONS(1529), 1,
      anon_sym_SLASH,
    ACTIONS(1537), 1,
      anon_sym_PLUS,
    ACTIONS(1539), 1,
      anon_sym_DASH,
    ACTIONS(1541), 1,
      anon_sym_CARET,
    ACTIONS(1543), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(1533), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1535), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(247), 2,
      sym_comment,
      sym_marginalia,
    STATE(1876), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1531), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1877), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1289), 26,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      anon_sym_SEMI,
  [14883] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(1467), 1,
      sym_keyword_in,
    ACTIONS(1469), 1,
      sym_keyword_and,
    ACTIONS(1471), 1,
      sym_keyword_or,
    ACTIONS(1473), 1,
      sym_keyword_is,
    ACTIONS(1475), 1,
      anon_sym_SLASH,
    ACTIONS(1481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1485), 1,
      anon_sym_PLUS,
    ACTIONS(1487), 1,
      anon_sym_DASH,
    ACTIONS(1489), 1,
      anon_sym_CARET,
    ACTIONS(1491), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(1479), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1483), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(248), 2,
      sym_comment,
      sym_marginalia,
    STATE(1793), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1477), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1794), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1281), 26,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [14987] = 21,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1103), 1,
      sym_keyword_or,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(1467), 1,
      sym_keyword_in,
    ACTIONS(1469), 1,
      sym_keyword_and,
    ACTIONS(1473), 1,
      sym_keyword_is,
    ACTIONS(1475), 1,
      anon_sym_SLASH,
    ACTIONS(1485), 1,
      anon_sym_PLUS,
    ACTIONS(1487), 1,
      anon_sym_DASH,
    ACTIONS(1489), 1,
      anon_sym_CARET,
    ACTIONS(1491), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(1479), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1483), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(249), 2,
      sym_comment,
      sym_marginalia,
    STATE(1793), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1477), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1794), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 27,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
  [15089] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(1269), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1521), 1,
      sym_keyword_in,
    ACTIONS(1523), 1,
      sym_keyword_and,
    ACTIONS(1525), 1,
      sym_keyword_or,
    ACTIONS(1527), 1,
      sym_keyword_is,
    ACTIONS(1529), 1,
      anon_sym_SLASH,
    ACTIONS(1537), 1,
      anon_sym_PLUS,
    ACTIONS(1539), 1,
      anon_sym_DASH,
    ACTIONS(1541), 1,
      anon_sym_CARET,
    ACTIONS(1543), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(1533), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1535), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(250), 2,
      sym_comment,
      sym_marginalia,
    STATE(1876), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1531), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1877), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1293), 26,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      anon_sym_SEMI,
  [15193] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(1467), 1,
      sym_keyword_in,
    ACTIONS(1469), 1,
      sym_keyword_and,
    ACTIONS(1471), 1,
      sym_keyword_or,
    ACTIONS(1473), 1,
      sym_keyword_is,
    ACTIONS(1475), 1,
      anon_sym_SLASH,
    ACTIONS(1481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1485), 1,
      anon_sym_PLUS,
    ACTIONS(1487), 1,
      anon_sym_DASH,
    ACTIONS(1489), 1,
      anon_sym_CARET,
    ACTIONS(1491), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(1479), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1483), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(251), 2,
      sym_comment,
      sym_marginalia,
    STATE(1793), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1477), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1794), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1295), 26,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [15297] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(1269), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1521), 1,
      sym_keyword_in,
    ACTIONS(1523), 1,
      sym_keyword_and,
    ACTIONS(1525), 1,
      sym_keyword_or,
    ACTIONS(1527), 1,
      sym_keyword_is,
    ACTIONS(1529), 1,
      anon_sym_SLASH,
    ACTIONS(1537), 1,
      anon_sym_PLUS,
    ACTIONS(1539), 1,
      anon_sym_DASH,
    ACTIONS(1541), 1,
      anon_sym_CARET,
    ACTIONS(1543), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(1533), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1535), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(252), 2,
      sym_comment,
      sym_marginalia,
    STATE(1876), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1531), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1877), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1287), 26,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      anon_sym_SEMI,
  [15401] = 13,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1473), 1,
      sym_keyword_is,
    ACTIONS(1475), 1,
      anon_sym_SLASH,
    ACTIONS(1485), 1,
      anon_sym_PLUS,
    ACTIONS(1487), 1,
      anon_sym_DASH,
    ACTIONS(1489), 1,
      anon_sym_CARET,
    ACTIONS(1479), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(253), 2,
      sym_comment,
      sym_marginalia,
    STATE(1793), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1103), 4,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1794), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 37,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [15487] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(254), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1639), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1637), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [15557] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(1467), 1,
      sym_keyword_in,
    ACTIONS(1469), 1,
      sym_keyword_and,
    ACTIONS(1471), 1,
      sym_keyword_or,
    ACTIONS(1473), 1,
      sym_keyword_is,
    ACTIONS(1475), 1,
      anon_sym_SLASH,
    ACTIONS(1481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1485), 1,
      anon_sym_PLUS,
    ACTIONS(1487), 1,
      anon_sym_DASH,
    ACTIONS(1489), 1,
      anon_sym_CARET,
    ACTIONS(1491), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(1479), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1483), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(255), 2,
      sym_comment,
      sym_marginalia,
    STATE(1793), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1477), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1794), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1259), 26,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [15661] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(1269), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1521), 1,
      sym_keyword_in,
    ACTIONS(1523), 1,
      sym_keyword_and,
    ACTIONS(1525), 1,
      sym_keyword_or,
    ACTIONS(1527), 1,
      sym_keyword_is,
    ACTIONS(1529), 1,
      anon_sym_SLASH,
    ACTIONS(1537), 1,
      anon_sym_PLUS,
    ACTIONS(1539), 1,
      anon_sym_DASH,
    ACTIONS(1541), 1,
      anon_sym_CARET,
    ACTIONS(1543), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(1533), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1535), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(256), 2,
      sym_comment,
      sym_marginalia,
    STATE(1876), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1531), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1877), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1285), 26,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      anon_sym_SEMI,
  [15765] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(257), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1643), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1641), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [15835] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(1269), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1521), 1,
      sym_keyword_in,
    ACTIONS(1523), 1,
      sym_keyword_and,
    ACTIONS(1525), 1,
      sym_keyword_or,
    ACTIONS(1527), 1,
      sym_keyword_is,
    ACTIONS(1529), 1,
      anon_sym_SLASH,
    ACTIONS(1537), 1,
      anon_sym_PLUS,
    ACTIONS(1539), 1,
      anon_sym_DASH,
    ACTIONS(1541), 1,
      anon_sym_CARET,
    ACTIONS(1543), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(1533), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1535), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(258), 2,
      sym_comment,
      sym_marginalia,
    STATE(1876), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1531), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1877), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1295), 26,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      anon_sym_SEMI,
  [15939] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(1269), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1521), 1,
      sym_keyword_in,
    ACTIONS(1523), 1,
      sym_keyword_and,
    ACTIONS(1525), 1,
      sym_keyword_or,
    ACTIONS(1527), 1,
      sym_keyword_is,
    ACTIONS(1529), 1,
      anon_sym_SLASH,
    ACTIONS(1537), 1,
      anon_sym_PLUS,
    ACTIONS(1539), 1,
      anon_sym_DASH,
    ACTIONS(1541), 1,
      anon_sym_CARET,
    ACTIONS(1543), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(1533), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1535), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(259), 2,
      sym_comment,
      sym_marginalia,
    STATE(1876), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1531), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1877), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1297), 26,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      anon_sym_SEMI,
  [16043] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(1269), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1521), 1,
      sym_keyword_in,
    ACTIONS(1523), 1,
      sym_keyword_and,
    ACTIONS(1525), 1,
      sym_keyword_or,
    ACTIONS(1527), 1,
      sym_keyword_is,
    ACTIONS(1529), 1,
      anon_sym_SLASH,
    ACTIONS(1537), 1,
      anon_sym_PLUS,
    ACTIONS(1539), 1,
      anon_sym_DASH,
    ACTIONS(1541), 1,
      anon_sym_CARET,
    ACTIONS(1543), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(1533), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1535), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(260), 2,
      sym_comment,
      sym_marginalia,
    STATE(1876), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1531), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1877), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1299), 26,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      anon_sym_SEMI,
  [16147] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(261), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1647), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1645), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [16217] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(262), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1651), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1649), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [16287] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(263), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1655), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1653), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [16357] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(264), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1659), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1657), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [16427] = 25,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(1665), 1,
      sym_keyword_in,
    ACTIONS(1667), 1,
      sym_keyword_and,
    ACTIONS(1669), 1,
      sym_keyword_or,
    ACTIONS(1671), 1,
      sym_keyword_is,
    ACTIONS(1673), 1,
      sym_keyword_using,
    ACTIONS(1675), 1,
      anon_sym_SLASH,
    ACTIONS(1681), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1685), 1,
      anon_sym_PLUS,
    ACTIONS(1687), 1,
      anon_sym_DASH,
    ACTIONS(1689), 1,
      anon_sym_CARET,
    ACTIONS(1691), 1,
      anon_sym_PIPE_PIPE,
    STATE(4454), 1,
      sym_direction,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(1663), 2,
      sym_keyword_desc,
      sym_keyword_asc,
    ACTIONS(1679), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1683), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(265), 2,
      sym_comment,
      sym_marginalia,
    STATE(2138), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1677), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2183), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1661), 22,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [16537] = 26,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(1695), 1,
      sym_keyword_having,
    ACTIONS(1697), 1,
      sym_keyword_in,
    ACTIONS(1699), 1,
      sym_keyword_and,
    ACTIONS(1701), 1,
      sym_keyword_or,
    ACTIONS(1703), 1,
      sym_keyword_is,
    ACTIONS(1705), 1,
      anon_sym_COMMA,
    ACTIONS(1707), 1,
      anon_sym_SLASH,
    ACTIONS(1713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1717), 1,
      anon_sym_PLUS,
    ACTIONS(1719), 1,
      anon_sym_DASH,
    ACTIONS(1721), 1,
      anon_sym_CARET,
    ACTIONS(1723), 1,
      anon_sym_PIPE_PIPE,
    STATE(4513), 1,
      aux_sym_array_repeat1,
    STATE(4571), 1,
      sym__having,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(1711), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1715), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(266), 2,
      sym_comment,
      sym_marginalia,
    STATE(2262), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1709), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2261), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1693), 22,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [16649] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(267), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1727), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1725), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [16719] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(268), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1731), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1729), 49,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [16789] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1549), 1,
      sym_keyword_unsigned,
    ACTIONS(1551), 1,
      sym_keyword_zerofill,
    ACTIONS(1555), 1,
      anon_sym_LPAREN,
    STATE(269), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(985), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(983), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [16864] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1733), 1,
      sym_keyword_unsigned,
    ACTIONS(1735), 1,
      sym_keyword_zerofill,
    ACTIONS(1737), 1,
      anon_sym_LPAREN,
    STATE(270), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1065), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1063), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [16939] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1671), 1,
      sym_keyword_is,
    STATE(271), 2,
      sym_comment,
      sym_marginalia,
    STATE(2138), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(2183), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1113), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1111), 41,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [17014] = 13,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1671), 1,
      sym_keyword_is,
    ACTIONS(1675), 1,
      anon_sym_SLASH,
    ACTIONS(1685), 1,
      anon_sym_PLUS,
    ACTIONS(1687), 1,
      anon_sym_DASH,
    ACTIONS(1689), 1,
      anon_sym_CARET,
    ACTIONS(1679), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(272), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1103), 3,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2138), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(2183), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 37,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [17099] = 19,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(1665), 1,
      sym_keyword_in,
    ACTIONS(1671), 1,
      sym_keyword_is,
    ACTIONS(1675), 1,
      anon_sym_SLASH,
    ACTIONS(1685), 1,
      anon_sym_PLUS,
    ACTIONS(1687), 1,
      anon_sym_DASH,
    ACTIONS(1689), 1,
      anon_sym_CARET,
    ACTIONS(1691), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(1679), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1683), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(273), 2,
      sym_comment,
      sym_marginalia,
    STATE(2138), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1677), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2183), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 28,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
  [17196] = 20,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(1665), 1,
      sym_keyword_in,
    ACTIONS(1667), 1,
      sym_keyword_and,
    ACTIONS(1671), 1,
      sym_keyword_is,
    ACTIONS(1675), 1,
      anon_sym_SLASH,
    ACTIONS(1685), 1,
      anon_sym_PLUS,
    ACTIONS(1687), 1,
      anon_sym_DASH,
    ACTIONS(1689), 1,
      anon_sym_CARET,
    ACTIONS(1691), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(1679), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1683), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(274), 2,
      sym_comment,
      sym_marginalia,
    STATE(2138), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1677), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2183), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 27,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_or,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
  [17295] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(275), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1015), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1013), 48,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [17364] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1739), 1,
      sym_keyword_unsigned,
    ACTIONS(1741), 1,
      sym_keyword_zerofill,
    ACTIONS(1743), 1,
      anon_sym_LPAREN,
    STATE(276), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1045), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1043), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [17439] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(277), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(959), 16,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_SQUOTE,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(961), 38,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_partition,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_row,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_stored,
      sym_keyword_cached,
      sym_keyword_uncached,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym_keyword_escaped,
      sym_keyword_lines,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [17508] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(278), 2,
      sym_comment,
      sym_marginalia,
    STATE(2138), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(2183), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1103), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1093), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [17581] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1671), 1,
      sym_keyword_is,
    ACTIONS(1689), 1,
      anon_sym_CARET,
    STATE(279), 2,
      sym_comment,
      sym_marginalia,
    STATE(2138), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(2183), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1103), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1093), 40,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [17658] = 14,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1665), 1,
      sym_keyword_in,
    ACTIONS(1671), 1,
      sym_keyword_is,
    ACTIONS(1675), 1,
      anon_sym_SLASH,
    ACTIONS(1685), 1,
      anon_sym_PLUS,
    ACTIONS(1687), 1,
      anon_sym_DASH,
    ACTIONS(1689), 1,
      anon_sym_CARET,
    ACTIONS(1103), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1679), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(280), 2,
      sym_comment,
      sym_marginalia,
    STATE(2138), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(2183), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 37,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [17745] = 11,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1671), 1,
      sym_keyword_is,
    ACTIONS(1675), 1,
      anon_sym_SLASH,
    ACTIONS(1689), 1,
      anon_sym_CARET,
    ACTIONS(1679), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(281), 2,
      sym_comment,
      sym_marginalia,
    STATE(2138), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1103), 4,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    STATE(2183), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [17826] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(282), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(997), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(995), 48,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [17895] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1671), 1,
      sym_keyword_is,
    STATE(283), 2,
      sym_comment,
      sym_marginalia,
    STATE(2138), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(2183), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1103), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1093), 41,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [17970] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(284), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1011), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1009), 48,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [18039] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(285), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1019), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1017), 48,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [18108] = 15,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1665), 1,
      sym_keyword_in,
    ACTIONS(1671), 1,
      sym_keyword_is,
    ACTIONS(1675), 1,
      anon_sym_SLASH,
    ACTIONS(1685), 1,
      anon_sym_PLUS,
    ACTIONS(1687), 1,
      anon_sym_DASH,
    ACTIONS(1689), 1,
      anon_sym_CARET,
    ACTIONS(1679), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1683), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(286), 2,
      sym_comment,
      sym_marginalia,
    STATE(2138), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1677), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2183), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 33,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_PIPE,
  [18197] = 16,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1665), 1,
      sym_keyword_in,
    ACTIONS(1671), 1,
      sym_keyword_is,
    ACTIONS(1675), 1,
      anon_sym_SLASH,
    ACTIONS(1685), 1,
      anon_sym_PLUS,
    ACTIONS(1687), 1,
      anon_sym_DASH,
    ACTIONS(1689), 1,
      anon_sym_CARET,
    ACTIONS(1691), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1679), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1683), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(287), 2,
      sym_comment,
      sym_marginalia,
    STATE(2138), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1677), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2183), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 32,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
  [18288] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(288), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1027), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1025), 48,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [18357] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(289), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1031), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1029), 48,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [18426] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1745), 1,
      sym_keyword_unsigned,
    ACTIONS(1747), 1,
      sym_keyword_zerofill,
    ACTIONS(1749), 1,
      anon_sym_LPAREN,
    STATE(290), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1035), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1033), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [18501] = 17,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1103), 1,
      sym_keyword_or,
    ACTIONS(1697), 1,
      sym_keyword_in,
    ACTIONS(1703), 1,
      sym_keyword_is,
    ACTIONS(1707), 1,
      anon_sym_SLASH,
    ACTIONS(1717), 1,
      anon_sym_PLUS,
    ACTIONS(1719), 1,
      anon_sym_DASH,
    ACTIONS(1721), 1,
      anon_sym_CARET,
    ACTIONS(1723), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1711), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1715), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(291), 2,
      sym_comment,
      sym_marginalia,
    STATE(2262), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1709), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2261), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 31,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
  [18594] = 16,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1103), 1,
      sym_keyword_or,
    ACTIONS(1697), 1,
      sym_keyword_in,
    ACTIONS(1703), 1,
      sym_keyword_is,
    ACTIONS(1707), 1,
      anon_sym_SLASH,
    ACTIONS(1717), 1,
      anon_sym_PLUS,
    ACTIONS(1719), 1,
      anon_sym_DASH,
    ACTIONS(1721), 1,
      anon_sym_CARET,
    ACTIONS(1711), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1715), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(292), 2,
      sym_comment,
      sym_marginalia,
    STATE(2262), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1709), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2261), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 32,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_PIPE,
  [18685] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1751), 1,
      sym_keyword_unsigned,
    ACTIONS(1753), 1,
      sym_keyword_zerofill,
    ACTIONS(1755), 1,
      sym_keyword_precision,
    ACTIONS(1757), 1,
      anon_sym_LPAREN,
    STATE(293), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(985), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(983), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [18762] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1703), 1,
      sym_keyword_is,
    STATE(294), 2,
      sym_comment,
      sym_marginalia,
    STATE(2262), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(2261), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1103), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1093), 40,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [18837] = 11,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1703), 1,
      sym_keyword_is,
    ACTIONS(1707), 1,
      anon_sym_SLASH,
    ACTIONS(1721), 1,
      anon_sym_CARET,
    ACTIONS(1711), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(295), 2,
      sym_comment,
      sym_marginalia,
    STATE(2262), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(2261), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1103), 5,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1093), 37,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [18918] = 14,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1697), 1,
      sym_keyword_in,
    ACTIONS(1703), 1,
      sym_keyword_is,
    ACTIONS(1707), 1,
      anon_sym_SLASH,
    ACTIONS(1717), 1,
      anon_sym_PLUS,
    ACTIONS(1719), 1,
      anon_sym_DASH,
    ACTIONS(1721), 1,
      anon_sym_CARET,
    ACTIONS(1711), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(296), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1103), 3,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2262), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(2261), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 36,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [19005] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1759), 1,
      sym_keyword_unsigned,
    ACTIONS(1761), 1,
      sym_keyword_zerofill,
    ACTIONS(1763), 1,
      anon_sym_LPAREN,
    STATE(297), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1085), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1083), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [19080] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1765), 1,
      sym_keyword_unsigned,
    ACTIONS(1767), 1,
      sym_keyword_zerofill,
    ACTIONS(1769), 1,
      anon_sym_LPAREN,
    STATE(298), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1001), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(999), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [19155] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1703), 1,
      sym_keyword_is,
    ACTIONS(1721), 1,
      anon_sym_CARET,
    STATE(299), 2,
      sym_comment,
      sym_marginalia,
    STATE(2262), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(2261), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1103), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1093), 39,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [19232] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1771), 1,
      sym_keyword_unsigned,
    ACTIONS(1773), 1,
      sym_keyword_zerofill,
    ACTIONS(1775), 1,
      anon_sym_LPAREN,
    STATE(300), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1075), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1073), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [19307] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1777), 1,
      sym_keyword_unsigned,
    ACTIONS(1779), 1,
      sym_keyword_zerofill,
    ACTIONS(1781), 1,
      anon_sym_LPAREN,
    STATE(301), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1055), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1053), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [19382] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1703), 1,
      sym_keyword_is,
    STATE(302), 2,
      sym_comment,
      sym_marginalia,
    STATE(2262), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(2261), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1113), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1111), 40,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [19457] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(303), 2,
      sym_comment,
      sym_marginalia,
    STATE(2262), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(2261), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1103), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1093), 41,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [19530] = 13,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1703), 1,
      sym_keyword_is,
    ACTIONS(1707), 1,
      anon_sym_SLASH,
    ACTIONS(1717), 1,
      anon_sym_PLUS,
    ACTIONS(1719), 1,
      anon_sym_DASH,
    ACTIONS(1721), 1,
      anon_sym_CARET,
    ACTIONS(1711), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(304), 2,
      sym_comment,
      sym_marginalia,
    STATE(2262), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1103), 4,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2261), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 36,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [19615] = 21,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1103), 1,
      sym_keyword_or,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(1697), 1,
      sym_keyword_in,
    ACTIONS(1699), 1,
      sym_keyword_and,
    ACTIONS(1703), 1,
      sym_keyword_is,
    ACTIONS(1707), 1,
      anon_sym_SLASH,
    ACTIONS(1717), 1,
      anon_sym_PLUS,
    ACTIONS(1719), 1,
      anon_sym_DASH,
    ACTIONS(1721), 1,
      anon_sym_CARET,
    ACTIONS(1723), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(1711), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1715), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(305), 2,
      sym_comment,
      sym_marginalia,
    STATE(2262), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1709), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2261), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 26,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
  [19716] = 20,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1103), 1,
      sym_keyword_or,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(1697), 1,
      sym_keyword_in,
    ACTIONS(1703), 1,
      sym_keyword_is,
    ACTIONS(1707), 1,
      anon_sym_SLASH,
    ACTIONS(1717), 1,
      anon_sym_PLUS,
    ACTIONS(1719), 1,
      anon_sym_DASH,
    ACTIONS(1721), 1,
      anon_sym_CARET,
    ACTIONS(1723), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(1711), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1715), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(306), 2,
      sym_comment,
      sym_marginalia,
    STATE(2262), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1709), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2261), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 27,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
  [19815] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1783), 1,
      sym_keyword_is,
    ACTIONS(1785), 1,
      anon_sym_CARET,
    STATE(307), 2,
      sym_comment,
      sym_marginalia,
    STATE(1748), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1749), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 14,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1103), 30,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [19891] = 14,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1783), 1,
      sym_keyword_is,
    ACTIONS(1785), 1,
      anon_sym_CARET,
    ACTIONS(1787), 1,
      sym_keyword_in,
    ACTIONS(1789), 1,
      anon_sym_SLASH,
    ACTIONS(1793), 1,
      anon_sym_PLUS,
    ACTIONS(1795), 1,
      anon_sym_DASH,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(308), 2,
      sym_comment,
      sym_marginalia,
    STATE(1748), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1749), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1103), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      sym__identifier,
  [19977] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1797), 1,
      sym_keyword_unsigned,
    ACTIONS(1799), 1,
      sym_keyword_zerofill,
    ACTIONS(1801), 1,
      anon_sym_LPAREN,
    STATE(309), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1001), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(999), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [20051] = 11,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1783), 1,
      sym_keyword_is,
    ACTIONS(1785), 1,
      anon_sym_CARET,
    ACTIONS(1789), 1,
      anon_sym_SLASH,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(310), 2,
      sym_comment,
      sym_marginalia,
    STATE(1748), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1749), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 12,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1103), 29,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [20131] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(311), 2,
      sym_comment,
      sym_marginalia,
    STATE(1748), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1749), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1103), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [20203] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1783), 1,
      sym_keyword_is,
    STATE(312), 2,
      sym_comment,
      sym_marginalia,
    STATE(1748), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1749), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1103), 30,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [20277] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(313), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1011), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1009), 48,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_null,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [20345] = 16,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1783), 1,
      sym_keyword_is,
    ACTIONS(1785), 1,
      anon_sym_CARET,
    ACTIONS(1787), 1,
      sym_keyword_in,
    ACTIONS(1789), 1,
      anon_sym_SLASH,
    ACTIONS(1793), 1,
      anon_sym_PLUS,
    ACTIONS(1795), 1,
      anon_sym_DASH,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1805), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(314), 2,
      sym_comment,
      sym_marginalia,
    STATE(1748), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1803), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1749), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 7,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1103), 25,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym__identifier,
  [20435] = 17,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1783), 1,
      sym_keyword_is,
    ACTIONS(1785), 1,
      anon_sym_CARET,
    ACTIONS(1787), 1,
      sym_keyword_in,
    ACTIONS(1789), 1,
      anon_sym_SLASH,
    ACTIONS(1793), 1,
      anon_sym_PLUS,
    ACTIONS(1795), 1,
      anon_sym_DASH,
    ACTIONS(1807), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1805), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(315), 2,
      sym_comment,
      sym_marginalia,
    STATE(1748), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1803), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1749), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 6,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1103), 25,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym__identifier,
  [20527] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1809), 1,
      sym_keyword_unsigned,
    ACTIONS(1811), 1,
      sym_keyword_zerofill,
    ACTIONS(1813), 1,
      anon_sym_LPAREN,
    STATE(316), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1085), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1083), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [20601] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1815), 1,
      sym_keyword_unsigned,
    ACTIONS(1817), 1,
      sym_keyword_zerofill,
    STATE(317), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1233), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1231), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [20673] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1819), 1,
      sym_keyword_unsigned,
    ACTIONS(1821), 1,
      sym_keyword_zerofill,
    STATE(318), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1209), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1207), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [20745] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1823), 1,
      sym_keyword_unsigned,
    ACTIONS(1825), 1,
      sym_keyword_zerofill,
    STATE(319), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1201), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1199), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [20817] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1827), 1,
      sym_keyword_unsigned,
    ACTIONS(1829), 1,
      sym_keyword_zerofill,
    STATE(320), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1241), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1239), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [20889] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1831), 1,
      sym_keyword_unsigned,
    ACTIONS(1833), 1,
      sym_keyword_zerofill,
    STATE(321), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1225), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1223), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [20961] = 21,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1161), 1,
      sym_keyword_not,
    ACTIONS(1165), 1,
      sym_keyword_similar,
    ACTIONS(1783), 1,
      sym_keyword_is,
    ACTIONS(1785), 1,
      anon_sym_CARET,
    ACTIONS(1787), 1,
      sym_keyword_in,
    ACTIONS(1789), 1,
      anon_sym_SLASH,
    ACTIONS(1793), 1,
      anon_sym_PLUS,
    ACTIONS(1795), 1,
      anon_sym_DASH,
    ACTIONS(1807), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1835), 1,
      sym_keyword_and,
    ACTIONS(1163), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1805), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(322), 2,
      sym_comment,
      sym_marginalia,
    STATE(1748), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1803), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1749), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 6,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1103), 20,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_or,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      sym__identifier,
  [21061] = 20,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1161), 1,
      sym_keyword_not,
    ACTIONS(1165), 1,
      sym_keyword_similar,
    ACTIONS(1783), 1,
      sym_keyword_is,
    ACTIONS(1785), 1,
      anon_sym_CARET,
    ACTIONS(1787), 1,
      sym_keyword_in,
    ACTIONS(1789), 1,
      anon_sym_SLASH,
    ACTIONS(1793), 1,
      anon_sym_PLUS,
    ACTIONS(1795), 1,
      anon_sym_DASH,
    ACTIONS(1807), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1163), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1805), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(323), 2,
      sym_comment,
      sym_marginalia,
    STATE(1748), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1803), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1749), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 6,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1103), 21,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      sym__identifier,
  [21159] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1837), 1,
      aux_sym_keyword_varchar_token2,
    STATE(324), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1125), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1123), 46,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [21229] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1839), 1,
      sym_keyword_precision,
    ACTIONS(1841), 1,
      anon_sym_LPAREN,
    STATE(325), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1045), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1043), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [21301] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1843), 1,
      sym_keyword_unsigned,
    ACTIONS(1845), 1,
      sym_keyword_zerofill,
    ACTIONS(1847), 1,
      anon_sym_LPAREN,
    STATE(326), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1045), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1043), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [21375] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(1697), 1,
      sym_keyword_in,
    ACTIONS(1699), 1,
      sym_keyword_and,
    ACTIONS(1701), 1,
      sym_keyword_or,
    ACTIONS(1703), 1,
      sym_keyword_is,
    ACTIONS(1707), 1,
      anon_sym_SLASH,
    ACTIONS(1713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1717), 1,
      anon_sym_PLUS,
    ACTIONS(1719), 1,
      anon_sym_DASH,
    ACTIONS(1721), 1,
      anon_sym_CARET,
    ACTIONS(1723), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(1711), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1715), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(327), 2,
      sym_comment,
      sym_marginalia,
    STATE(2262), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1709), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2261), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1849), 24,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [21477] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(328), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1015), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1013), 48,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_null,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [21545] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(329), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1019), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1017), 48,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_null,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [21613] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1751), 1,
      sym_keyword_unsigned,
    ACTIONS(1753), 1,
      sym_keyword_zerofill,
    ACTIONS(1757), 1,
      anon_sym_LPAREN,
    STATE(330), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(985), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(983), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [21687] = 13,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1783), 1,
      sym_keyword_is,
    ACTIONS(1785), 1,
      anon_sym_CARET,
    ACTIONS(1789), 1,
      anon_sym_SLASH,
    ACTIONS(1793), 1,
      anon_sym_PLUS,
    ACTIONS(1795), 1,
      anon_sym_DASH,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(331), 2,
      sym_comment,
      sym_marginalia,
    STATE(1748), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1749), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1103), 28,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      sym__identifier,
  [21771] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1851), 1,
      sym_keyword_unsigned,
    ACTIONS(1853), 1,
      sym_keyword_zerofill,
    STATE(332), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1117), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1115), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [21843] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(333), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(997), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(995), 48,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_null,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [21911] = 20,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1153), 1,
      sym_keyword_in,
    ACTIONS(1159), 1,
      sym_keyword_is,
    ACTIONS(1161), 1,
      sym_keyword_not,
    ACTIONS(1165), 1,
      sym_keyword_similar,
    ACTIONS(1169), 1,
      anon_sym_SLASH,
    ACTIONS(1179), 1,
      anon_sym_PLUS,
    ACTIONS(1181), 1,
      anon_sym_DASH,
    ACTIONS(1183), 1,
      anon_sym_CARET,
    ACTIONS(1185), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1163), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(1173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1177), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(334), 2,
      sym_comment,
      sym_marginalia,
    STATE(1802), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1171), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1803), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1103), 22,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      sym__identifier,
  [22009] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1783), 1,
      sym_keyword_is,
    STATE(335), 2,
      sym_comment,
      sym_marginalia,
    STATE(1748), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1749), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1111), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1113), 30,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [22083] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1855), 1,
      sym_keyword_unsigned,
    ACTIONS(1857), 1,
      sym_keyword_zerofill,
    STATE(336), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1193), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1191), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [22155] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1859), 1,
      sym_keyword_unsigned,
    ACTIONS(1861), 1,
      sym_keyword_zerofill,
    ACTIONS(1863), 1,
      anon_sym_LPAREN,
    STATE(337), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1055), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1053), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [22229] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(338), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1027), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1025), 48,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_null,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [22297] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1865), 1,
      sym_keyword_unsigned,
    ACTIONS(1867), 1,
      sym_keyword_zerofill,
    ACTIONS(1869), 1,
      anon_sym_LPAREN,
    STATE(339), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1075), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1073), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [22371] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1871), 1,
      sym_keyword_unsigned,
    ACTIONS(1873), 1,
      sym_keyword_zerofill,
    ACTIONS(1875), 1,
      anon_sym_LPAREN,
    STATE(340), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1035), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1033), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [22445] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(341), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1031), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1029), 48,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_null,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [22513] = 13,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1159), 1,
      sym_keyword_is,
    ACTIONS(1169), 1,
      anon_sym_SLASH,
    ACTIONS(1179), 1,
      anon_sym_PLUS,
    ACTIONS(1181), 1,
      anon_sym_DASH,
    ACTIONS(1183), 1,
      anon_sym_CARET,
    ACTIONS(1173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(342), 2,
      sym_comment,
      sym_marginalia,
    STATE(1802), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1803), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1103), 29,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      sym__identifier,
  [22597] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1877), 1,
      sym_keyword_unsigned,
    ACTIONS(1879), 1,
      sym_keyword_zerofill,
    STATE(343), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1217), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1215), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [22669] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1881), 1,
      sym_keyword_unsigned,
    ACTIONS(1883), 1,
      sym_keyword_zerofill,
    ACTIONS(1885), 1,
      sym_keyword_precision,
    ACTIONS(1887), 1,
      anon_sym_LPAREN,
    STATE(344), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(983), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(985), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [22745] = 17,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1153), 1,
      sym_keyword_in,
    ACTIONS(1159), 1,
      sym_keyword_is,
    ACTIONS(1169), 1,
      anon_sym_SLASH,
    ACTIONS(1179), 1,
      anon_sym_PLUS,
    ACTIONS(1181), 1,
      anon_sym_DASH,
    ACTIONS(1183), 1,
      anon_sym_CARET,
    ACTIONS(1185), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1177), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(345), 2,
      sym_comment,
      sym_marginalia,
    STATE(1802), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1171), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1803), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1103), 26,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym__identifier,
  [22837] = 16,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1153), 1,
      sym_keyword_in,
    ACTIONS(1159), 1,
      sym_keyword_is,
    ACTIONS(1169), 1,
      anon_sym_SLASH,
    ACTIONS(1179), 1,
      anon_sym_PLUS,
    ACTIONS(1181), 1,
      anon_sym_DASH,
    ACTIONS(1183), 1,
      anon_sym_CARET,
    ACTIONS(1173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1177), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(346), 2,
      sym_comment,
      sym_marginalia,
    STATE(1802), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1171), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1803), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1103), 26,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym__identifier,
  [22927] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1159), 1,
      sym_keyword_is,
    STATE(347), 2,
      sym_comment,
      sym_marginalia,
    STATE(1802), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1803), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1103), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [23001] = 11,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1159), 1,
      sym_keyword_is,
    ACTIONS(1169), 1,
      anon_sym_SLASH,
    ACTIONS(1183), 1,
      anon_sym_CARET,
    ACTIONS(1173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(348), 2,
      sym_comment,
      sym_marginalia,
    STATE(1802), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1803), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1103), 30,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [23081] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1159), 1,
      sym_keyword_is,
    STATE(349), 2,
      sym_comment,
      sym_marginalia,
    STATE(1802), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1803), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1111), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1113), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [23155] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1889), 1,
      sym_keyword_unsigned,
    ACTIONS(1891), 1,
      sym_keyword_zerofill,
    ACTIONS(1893), 1,
      anon_sym_LPAREN,
    STATE(350), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1065), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1063), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [23229] = 14,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1153), 1,
      sym_keyword_in,
    ACTIONS(1159), 1,
      sym_keyword_is,
    ACTIONS(1169), 1,
      anon_sym_SLASH,
    ACTIONS(1179), 1,
      anon_sym_PLUS,
    ACTIONS(1181), 1,
      anon_sym_DASH,
    ACTIONS(1183), 1,
      anon_sym_CARET,
    ACTIONS(1173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(351), 2,
      sym_comment,
      sym_marginalia,
    STATE(1802), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1803), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1103), 28,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      sym__identifier,
  [23315] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1159), 1,
      sym_keyword_is,
    ACTIONS(1183), 1,
      anon_sym_CARET,
    STATE(352), 2,
      sym_comment,
      sym_marginalia,
    STATE(1802), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1803), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1103), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [23391] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(353), 2,
      sym_comment,
      sym_marginalia,
    STATE(1802), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1803), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1103), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [23463] = 21,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1153), 1,
      sym_keyword_in,
    ACTIONS(1155), 1,
      sym_keyword_and,
    ACTIONS(1159), 1,
      sym_keyword_is,
    ACTIONS(1161), 1,
      sym_keyword_not,
    ACTIONS(1165), 1,
      sym_keyword_similar,
    ACTIONS(1169), 1,
      anon_sym_SLASH,
    ACTIONS(1179), 1,
      anon_sym_PLUS,
    ACTIONS(1181), 1,
      anon_sym_DASH,
    ACTIONS(1183), 1,
      anon_sym_CARET,
    ACTIONS(1185), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1163), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(1173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1177), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(354), 2,
      sym_comment,
      sym_marginalia,
    STATE(1802), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1171), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1803), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1103), 21,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_or,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      sym__identifier,
  [23563] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1895), 1,
      sym_keyword_unsigned,
    ACTIONS(1897), 1,
      sym_keyword_zerofill,
    STATE(355), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1225), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1223), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [23634] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1307), 1,
      sym_keyword_is,
    STATE(356), 2,
      sym_comment,
      sym_marginalia,
    STATE(2159), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(2160), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1103), 29,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [23707] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1903), 1,
      sym__natural_number,
    STATE(357), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1901), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1899), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [23776] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(358), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(947), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(949), 47,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [23843] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1909), 1,
      anon_sym_DOT,
    STATE(359), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1907), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1905), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [23912] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1915), 1,
      anon_sym_DOT,
    STATE(360), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1913), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1911), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [23981] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(361), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1013), 17,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1015), 35,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [24048] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1151), 1,
      sym_keyword_as,
    ACTIONS(1161), 1,
      sym_keyword_not,
    ACTIONS(1165), 1,
      sym_keyword_similar,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(1917), 1,
      sym_keyword_in,
    ACTIONS(1919), 1,
      sym_keyword_and,
    ACTIONS(1921), 1,
      sym_keyword_or,
    ACTIONS(1923), 1,
      sym_keyword_is,
    ACTIONS(1925), 1,
      anon_sym_SLASH,
    ACTIONS(1931), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1935), 1,
      anon_sym_PLUS,
    ACTIONS(1937), 1,
      anon_sym_DASH,
    ACTIONS(1939), 1,
      anon_sym_CARET,
    ACTIONS(1941), 1,
      anon_sym_PIPE_PIPE,
    STATE(2766), 1,
      sym__double_quote_string,
    STATE(2770), 1,
      sym_identifier,
    STATE(4577), 1,
      sym__alias_identifier,
    STATE(4588), 1,
      sym__alias,
    ACTIONS(1163), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(1167), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(1929), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1933), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(362), 2,
      sym_comment,
      sym_marginalia,
    STATE(2083), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1927), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2082), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1149), 13,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
  [24167] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1943), 1,
      sym_keyword_unsigned,
    ACTIONS(1945), 1,
      sym_keyword_zerofill,
    STATE(363), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1117), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1115), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [24238] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1947), 1,
      sym_keyword_unsigned,
    ACTIONS(1949), 1,
      sym_keyword_zerofill,
    STATE(364), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1193), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1191), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [24309] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1951), 1,
      aux_sym_keyword_varchar_token2,
    STATE(365), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1125), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1123), 46,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [24378] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1953), 1,
      sym_keyword_unsigned,
    ACTIONS(1955), 1,
      sym_keyword_zerofill,
    STATE(366), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1217), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1215), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [24449] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(367), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(947), 7,
      aux_sym_keyword_serial_token1,
      aux_sym_keyword_int_token1,
      sym_keyword_float,
      aux_sym_keyword_char_token1,
      sym_keyword_json,
      sym_keyword_date,
      aux_sym_keyword_timestamp_token1,
    ACTIONS(949), 45,
      aux_sym_keyword_character_token1,
      sym_keyword_unsigned,
      sym_keyword_boolean,
      aux_sym_keyword_smallserial_token1,
      aux_sym_keyword_smallserial_token2,
      aux_sym_keyword_serial_token2,
      aux_sym_keyword_bigserial_token1,
      aux_sym_keyword_bigserial_token2,
      aux_sym_keyword_tinyint_token1,
      aux_sym_keyword_tinyint_token2,
      aux_sym_keyword_smallint_token1,
      aux_sym_keyword_smallint_token2,
      aux_sym_keyword_mediumint_token1,
      aux_sym_keyword_mediumint_token2,
      aux_sym_keyword_int_token2,
      aux_sym_keyword_int_token3,
      aux_sym_keyword_bigint_token1,
      aux_sym_keyword_bigint_token2,
      sym_keyword_decimal,
      sym_keyword_numeric,
      aux_sym_keyword_real_token1,
      aux_sym_keyword_real_token2,
      sym_keyword_double,
      sym_keyword_money,
      aux_sym_keyword_varchar_token1,
      sym_keyword_text,
      sym_keyword_uuid,
      sym_keyword_jsonb,
      sym_keyword_xml,
      sym_keyword_bytea,
      sym_keyword_datetime,
      aux_sym_keyword_timestamptz_token1,
      sym_keyword_interval,
      sym_keyword_geometry,
      sym_keyword_geography,
      sym_keyword_box2d,
      sym_keyword_box3d,
      sym_keyword_oid,
      sym_keyword_name,
      sym_keyword_regclass,
      sym_keyword_regnamespace,
      sym_keyword_regproc,
      sym_keyword_regtype,
      anon_sym_RPAREN,
      aux_sym_double_token1,
  [24516] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1915), 1,
      anon_sym_DOT,
    ACTIONS(1961), 1,
      anon_sym_LPAREN,
    STATE(368), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1959), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1957), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [24587] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(1697), 1,
      sym_keyword_in,
    ACTIONS(1699), 1,
      sym_keyword_and,
    ACTIONS(1701), 1,
      sym_keyword_or,
    ACTIONS(1703), 1,
      sym_keyword_is,
    ACTIONS(1707), 1,
      anon_sym_SLASH,
    ACTIONS(1713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1717), 1,
      anon_sym_PLUS,
    ACTIONS(1719), 1,
      anon_sym_DASH,
    ACTIONS(1721), 1,
      anon_sym_CARET,
    ACTIONS(1723), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(1711), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1715), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(369), 2,
      sym_comment,
      sym_marginalia,
    STATE(2262), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1709), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2261), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1963), 23,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [24688] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(370), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(951), 7,
      aux_sym_keyword_serial_token1,
      aux_sym_keyword_int_token1,
      sym_keyword_float,
      aux_sym_keyword_char_token1,
      sym_keyword_json,
      sym_keyword_date,
      aux_sym_keyword_timestamp_token1,
    ACTIONS(953), 45,
      aux_sym_keyword_character_token1,
      sym_keyword_unsigned,
      sym_keyword_boolean,
      aux_sym_keyword_smallserial_token1,
      aux_sym_keyword_smallserial_token2,
      aux_sym_keyword_serial_token2,
      aux_sym_keyword_bigserial_token1,
      aux_sym_keyword_bigserial_token2,
      aux_sym_keyword_tinyint_token1,
      aux_sym_keyword_tinyint_token2,
      aux_sym_keyword_smallint_token1,
      aux_sym_keyword_smallint_token2,
      aux_sym_keyword_mediumint_token1,
      aux_sym_keyword_mediumint_token2,
      aux_sym_keyword_int_token2,
      aux_sym_keyword_int_token3,
      aux_sym_keyword_bigint_token1,
      aux_sym_keyword_bigint_token2,
      sym_keyword_decimal,
      sym_keyword_numeric,
      aux_sym_keyword_real_token1,
      aux_sym_keyword_real_token2,
      sym_keyword_double,
      sym_keyword_money,
      aux_sym_keyword_varchar_token1,
      sym_keyword_text,
      sym_keyword_uuid,
      sym_keyword_jsonb,
      sym_keyword_xml,
      sym_keyword_bytea,
      sym_keyword_datetime,
      aux_sym_keyword_timestamptz_token1,
      sym_keyword_interval,
      sym_keyword_geometry,
      sym_keyword_geography,
      sym_keyword_box2d,
      sym_keyword_box3d,
      sym_keyword_oid,
      sym_keyword_name,
      sym_keyword_regclass,
      sym_keyword_regnamespace,
      sym_keyword_regproc,
      sym_keyword_regtype,
      anon_sym_RPAREN,
      aux_sym_double_token1,
  [24755] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1307), 1,
      sym_keyword_is,
    STATE(371), 2,
      sym_comment,
      sym_marginalia,
    STATE(2159), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(2160), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1111), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1113), 29,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [24828] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1965), 1,
      anon_sym_LPAREN,
    STATE(372), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1385), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1383), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [24897] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(373), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1125), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1123), 46,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [24964] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(374), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1257), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1255), 46,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [25031] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1967), 1,
      aux_sym_keyword_with_token1,
    ACTIONS(1969), 1,
      aux_sym_keyword_timestamp_token2,
    STATE(375), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1443), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1441), 44,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [25102] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1971), 1,
      anon_sym_LPAREN,
    STATE(376), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1407), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1405), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [25171] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1973), 1,
      anon_sym_LPAREN,
    STATE(377), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1399), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1397), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [25240] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1975), 1,
      sym_keyword_precision,
    ACTIONS(1977), 1,
      anon_sym_LPAREN,
    STATE(378), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1045), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1043), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [25311] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(379), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1393), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1391), 46,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [25378] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1979), 1,
      anon_sym_LPAREN,
    STATE(380), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1355), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1353), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [25447] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1981), 1,
      anon_sym_LPAREN,
    STATE(381), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1349), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1347), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [25516] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1983), 1,
      anon_sym_LPAREN,
    STATE(382), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1341), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1339), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [25585] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1985), 1,
      anon_sym_LPAREN,
    STATE(383), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1335), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1333), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [25654] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1987), 1,
      anon_sym_LPAREN,
    STATE(384), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1379), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1377), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [25723] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1989), 1,
      anon_sym_LPAREN,
    STATE(385), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1361), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1359), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [25792] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1841), 1,
      anon_sym_LPAREN,
    STATE(386), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1045), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1043), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [25861] = 25,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1095), 1,
      sym_keyword_in,
    ACTIONS(1097), 1,
      sym_keyword_is,
    ACTIONS(1099), 1,
      anon_sym_SLASH,
    ACTIONS(1105), 1,
      anon_sym_PLUS,
    ACTIONS(1107), 1,
      anon_sym_DASH,
    ACTIONS(1109), 1,
      anon_sym_CARET,
    ACTIONS(1133), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1139), 1,
      sym_keyword_and,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(1673), 1,
      sym_keyword_using,
    ACTIONS(1991), 1,
      sym_keyword_or,
    ACTIONS(1993), 1,
      anon_sym_COLON_COLON,
    STATE(4454), 1,
      sym_direction,
    ACTIONS(1101), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1131), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(1663), 2,
      sym_keyword_desc,
      sym_keyword_asc,
    STATE(387), 2,
      sym_comment,
      sym_marginalia,
    STATE(2053), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1129), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2054), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1661), 19,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [25968] = 13,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1307), 1,
      sym_keyword_is,
    ACTIONS(1309), 1,
      anon_sym_SLASH,
    ACTIONS(1319), 1,
      anon_sym_PLUS,
    ACTIONS(1321), 1,
      anon_sym_DASH,
    ACTIONS(1323), 1,
      anon_sym_CARET,
    ACTIONS(1313), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(388), 2,
      sym_comment,
      sym_marginalia,
    STATE(2159), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(2160), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1103), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      sym__identifier,
  [26051] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1995), 1,
      anon_sym_LPAREN,
    STATE(389), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1419), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1417), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [26120] = 21,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1161), 1,
      sym_keyword_not,
    ACTIONS(1165), 1,
      sym_keyword_similar,
    ACTIONS(1301), 1,
      sym_keyword_in,
    ACTIONS(1303), 1,
      sym_keyword_and,
    ACTIONS(1307), 1,
      sym_keyword_is,
    ACTIONS(1309), 1,
      anon_sym_SLASH,
    ACTIONS(1319), 1,
      anon_sym_PLUS,
    ACTIONS(1321), 1,
      anon_sym_DASH,
    ACTIONS(1323), 1,
      anon_sym_CARET,
    ACTIONS(1325), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1163), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(1313), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1317), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(390), 2,
      sym_comment,
      sym_marginalia,
    STATE(2159), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1311), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2160), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 6,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1103), 19,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_or,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      sym__identifier,
  [26219] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1997), 1,
      sym_keyword_zerofill,
    STATE(391), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1355), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1353), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [26288] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(392), 2,
      sym_comment,
      sym_marginalia,
    STATE(2159), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(2160), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1103), 30,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [26359] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1741), 1,
      sym_keyword_zerofill,
    STATE(393), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1045), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1043), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [26428] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1307), 1,
      sym_keyword_is,
    ACTIONS(1323), 1,
      anon_sym_CARET,
    STATE(394), 2,
      sym_comment,
      sym_marginalia,
    STATE(2159), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(2160), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 14,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1103), 29,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [26503] = 14,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1301), 1,
      sym_keyword_in,
    ACTIONS(1307), 1,
      sym_keyword_is,
    ACTIONS(1309), 1,
      anon_sym_SLASH,
    ACTIONS(1319), 1,
      anon_sym_PLUS,
    ACTIONS(1321), 1,
      anon_sym_DASH,
    ACTIONS(1323), 1,
      anon_sym_CARET,
    ACTIONS(1313), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(395), 2,
      sym_comment,
      sym_marginalia,
    STATE(2159), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(2160), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 11,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1103), 26,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      sym__identifier,
  [26588] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1999), 1,
      sym_keyword_zerofill,
    STATE(396), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1349), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1347), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [26657] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2005), 1,
      anon_sym_DOT,
    STATE(397), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2003), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2001), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [26726] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1909), 1,
      anon_sym_DOT,
    STATE(398), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2009), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2007), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [26795] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2011), 1,
      sym_keyword_zerofill,
    STATE(399), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1341), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1339), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [26864] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2013), 1,
      sym_keyword_zerofill,
    STATE(400), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1335), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1333), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [26933] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(401), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1009), 17,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1011), 35,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [27000] = 20,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1161), 1,
      sym_keyword_not,
    ACTIONS(1165), 1,
      sym_keyword_similar,
    ACTIONS(1301), 1,
      sym_keyword_in,
    ACTIONS(1307), 1,
      sym_keyword_is,
    ACTIONS(1309), 1,
      anon_sym_SLASH,
    ACTIONS(1319), 1,
      anon_sym_PLUS,
    ACTIONS(1321), 1,
      anon_sym_DASH,
    ACTIONS(1323), 1,
      anon_sym_CARET,
    ACTIONS(1325), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1163), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(1313), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1317), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(402), 2,
      sym_comment,
      sym_marginalia,
    STATE(2159), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1311), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2160), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 6,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1103), 20,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_and,
      sym_keyword_or,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      sym__identifier,
  [27097] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(403), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(951), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(953), 47,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [27164] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(404), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2017), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2015), 46,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [27231] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(405), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1017), 17,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1019), 35,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [27298] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2019), 1,
      sym_keyword_unsigned,
    ACTIONS(2021), 1,
      sym_keyword_zerofill,
    ACTIONS(2023), 1,
      sym_keyword_precision,
    ACTIONS(2025), 1,
      anon_sym_LPAREN,
    STATE(406), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(985), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(983), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [27373] = 11,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1307), 1,
      sym_keyword_is,
    ACTIONS(1309), 1,
      anon_sym_SLASH,
    ACTIONS(1323), 1,
      anon_sym_CARET,
    ACTIONS(1313), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(407), 2,
      sym_comment,
      sym_marginalia,
    STATE(2159), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(2160), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 12,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1103), 28,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [27452] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2027), 1,
      sym_keyword_zerofill,
    STATE(408), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1457), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1455), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [27521] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2029), 1,
      sym_keyword_unsigned,
    ACTIONS(2031), 1,
      sym_keyword_zerofill,
    ACTIONS(2033), 1,
      anon_sym_LPAREN,
    STATE(409), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1043), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1045), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [27594] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2035), 1,
      sym_keyword_zerofill,
    STATE(410), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1367), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1365), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [27663] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2037), 1,
      sym_keyword_zerofill,
    STATE(411), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1329), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1327), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [27732] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2039), 1,
      sym_keyword_unsigned,
    ACTIONS(2041), 1,
      sym_keyword_zerofill,
    STATE(412), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1241), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1239), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [27803] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1881), 1,
      sym_keyword_unsigned,
    ACTIONS(1883), 1,
      sym_keyword_zerofill,
    ACTIONS(1887), 1,
      anon_sym_LPAREN,
    STATE(413), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(983), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(985), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [27876] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2043), 1,
      sym_keyword_unsigned,
    ACTIONS(2045), 1,
      sym_keyword_zerofill,
    ACTIONS(2047), 1,
      anon_sym_LPAREN,
    STATE(414), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1053), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1055), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [27949] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2049), 1,
      sym_keyword_unsigned,
    ACTIONS(2051), 1,
      sym_keyword_zerofill,
    ACTIONS(2053), 1,
      anon_sym_LPAREN,
    STATE(415), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1073), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1075), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [28022] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2055), 1,
      sym_keyword_zerofill,
    STATE(416), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1413), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1411), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [28091] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2057), 1,
      sym_keyword_unsigned,
    ACTIONS(2059), 1,
      sym_keyword_zerofill,
    ACTIONS(2061), 1,
      anon_sym_LPAREN,
    STATE(417), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1063), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1065), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [28164] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2063), 1,
      sym_keyword_zerofill,
    STATE(418), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1425), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1423), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [28233] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2065), 1,
      sym_keyword_unsigned,
    ACTIONS(2067), 1,
      sym_keyword_zerofill,
    ACTIONS(2069), 1,
      anon_sym_LPAREN,
    STATE(419), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(999), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1001), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [28306] = 26,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(2071), 1,
      sym_keyword_having,
    ACTIONS(2073), 1,
      sym_keyword_in,
    ACTIONS(2075), 1,
      sym_keyword_and,
    ACTIONS(2077), 1,
      sym_keyword_or,
    ACTIONS(2079), 1,
      sym_keyword_is,
    ACTIONS(2081), 1,
      anon_sym_COMMA,
    ACTIONS(2083), 1,
      anon_sym_SLASH,
    ACTIONS(2089), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2093), 1,
      anon_sym_PLUS,
    ACTIONS(2095), 1,
      anon_sym_DASH,
    ACTIONS(2097), 1,
      anon_sym_CARET,
    ACTIONS(2099), 1,
      anon_sym_PIPE_PIPE,
    STATE(4571), 1,
      sym__having,
    STATE(4582), 1,
      aux_sym_array_repeat1,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(2087), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2091), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(420), 2,
      sym_comment,
      sym_marginalia,
    STATE(1913), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(2085), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1914), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1693), 19,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [28415] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2101), 1,
      sym_keyword_zerofill,
    STATE(421), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1463), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1461), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [28484] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2103), 1,
      sym_keyword_unsigned,
    ACTIONS(2105), 1,
      sym_keyword_zerofill,
    STATE(422), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1201), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1199), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [28555] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(423), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1025), 17,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1027), 35,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [28622] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2107), 1,
      sym_keyword_unsigned,
    ACTIONS(2109), 1,
      sym_keyword_zerofill,
    STATE(424), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1209), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1207), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [28693] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2111), 1,
      sym_keyword_unsigned,
    ACTIONS(2113), 1,
      sym_keyword_zerofill,
    ACTIONS(2115), 1,
      anon_sym_LPAREN,
    STATE(425), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1033), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1035), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [28766] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2117), 1,
      sym_keyword_zerofill,
    STATE(426), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1373), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1371), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [28835] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2119), 1,
      sym_keyword_unsigned,
    ACTIONS(2121), 1,
      sym_keyword_zerofill,
    STATE(427), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1233), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1231), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [28906] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(428), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1029), 17,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1031), 35,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [28973] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2123), 1,
      sym_keyword_zerofill,
    STATE(429), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1437), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1435), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [29042] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2125), 1,
      sym_keyword_unsigned,
    ACTIONS(2127), 1,
      sym_keyword_zerofill,
    ACTIONS(2129), 1,
      anon_sym_LPAREN,
    STATE(430), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1083), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1085), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [29115] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(431), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(995), 17,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(997), 35,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [29182] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(432), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2133), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2131), 46,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [29249] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2135), 1,
      anon_sym_LPAREN,
    STATE(433), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1329), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1327), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [29318] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2137), 1,
      sym_keyword_zerofill,
    STATE(434), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1379), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1377), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [29387] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2139), 1,
      sym_keyword_zerofill,
    STATE(435), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1431), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1429), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [29456] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2141), 1,
      sym_keyword_zerofill,
    STATE(436), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1361), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1359), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [29525] = 17,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1301), 1,
      sym_keyword_in,
    ACTIONS(1307), 1,
      sym_keyword_is,
    ACTIONS(1309), 1,
      anon_sym_SLASH,
    ACTIONS(1319), 1,
      anon_sym_PLUS,
    ACTIONS(1321), 1,
      anon_sym_DASH,
    ACTIONS(1323), 1,
      anon_sym_CARET,
    ACTIONS(1325), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1313), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1317), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(437), 2,
      sym_comment,
      sym_marginalia,
    STATE(2159), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1311), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2160), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 6,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1103), 24,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym__identifier,
  [29616] = 16,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1301), 1,
      sym_keyword_in,
    ACTIONS(1307), 1,
      sym_keyword_is,
    ACTIONS(1309), 1,
      anon_sym_SLASH,
    ACTIONS(1319), 1,
      anon_sym_PLUS,
    ACTIONS(1321), 1,
      anon_sym_DASH,
    ACTIONS(1323), 1,
      anon_sym_CARET,
    ACTIONS(1313), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1317), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(438), 2,
      sym_comment,
      sym_marginalia,
    STATE(2159), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1311), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2160), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 7,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1103), 24,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym__identifier,
  [29705] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(439), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(997), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(995), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [29771] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2143), 1,
      sym_keyword_zerofill,
    STATE(440), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1341), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1339), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [29839] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(441), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1457), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1455), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [29905] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(442), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1583), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1581), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [29971] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(443), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1631), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1629), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [30037] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(444), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1635), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1633), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [30103] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(445), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1639), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1637), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [30169] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(446), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1367), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1365), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [30235] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(447), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1413), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1411), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [30301] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(448), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1425), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1423), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [30367] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(449), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1611), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1609), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [30433] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(450), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1463), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1461), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [30499] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(451), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1559), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1557), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [30565] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2145), 1,
      sym_keyword_unsigned,
    ACTIONS(2147), 1,
      sym_keyword_zerofill,
    STATE(452), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1223), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1225), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [30635] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2149), 1,
      sym_keyword_unsigned,
    ACTIONS(2151), 1,
      sym_keyword_zerofill,
    STATE(453), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1239), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1241), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [30705] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2153), 1,
      sym_keyword_unsigned,
    ACTIONS(2155), 1,
      sym_keyword_zerofill,
    STATE(454), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1199), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1201), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [30775] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2157), 1,
      sym_keyword_unsigned,
    ACTIONS(2159), 1,
      sym_keyword_zerofill,
    STATE(455), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1207), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1209), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [30845] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2161), 1,
      sym_keyword_unsigned,
    ACTIONS(2163), 1,
      sym_keyword_zerofill,
    STATE(456), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1231), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1233), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [30915] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(457), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1563), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1561), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [30981] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(458), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1731), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1729), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [31047] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1915), 1,
      anon_sym_DOT,
    ACTIONS(2165), 1,
      anon_sym_LPAREN,
    STATE(459), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1959), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1957), 43,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [31117] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(460), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1727), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1725), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [31183] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(461), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1659), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1657), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [31249] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(462), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1655), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1653), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [31315] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(463), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1651), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1649), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [31381] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(464), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1647), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1645), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [31447] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(465), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1643), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1641), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [31513] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(466), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1329), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1327), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [31579] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(467), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1567), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1565), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [31645] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(468), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1575), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1573), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [31711] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2167), 1,
      sym_keyword_precision,
    ACTIONS(2169), 1,
      anon_sym_LPAREN,
    STATE(469), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1043), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1045), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [31781] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(470), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1579), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1577), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [31847] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(471), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1587), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1585), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [31913] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(472), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1591), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1589), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [31979] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(473), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1595), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1593), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [32045] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(474), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1217), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1215), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [32111] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(475), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1499), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1497), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [32177] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(476), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1437), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1435), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [32243] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(477), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1361), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1359), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [32309] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(478), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1379), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1377), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [32375] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(479), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1431), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1429), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [32441] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(480), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1603), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1601), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [32507] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(481), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1619), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1617), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [32573] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(482), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1373), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1371), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [32639] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(483), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1623), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1621), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [32705] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(484), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1627), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1625), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [32771] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(485), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1335), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1333), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [32837] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(486), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1011), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1009), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [32903] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(487), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1015), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1013), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [32969] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(488), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1019), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1017), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [33035] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(489), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1027), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1025), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [33101] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(490), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1031), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1029), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [33167] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2171), 1,
      sym_keyword_unsigned,
    ACTIONS(2173), 1,
      sym_keyword_zerofill,
    ACTIONS(2175), 1,
      anon_sym_LPAREN,
    STATE(491), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1035), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1033), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [33239] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(492), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2179), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2177), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [33305] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2181), 1,
      sym_keyword_unsigned,
    ACTIONS(2183), 1,
      sym_keyword_zerofill,
    ACTIONS(2185), 1,
      anon_sym_LPAREN,
    STATE(493), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1085), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1083), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [33377] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(494), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2003), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2001), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [33443] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2187), 1,
      sym_keyword_unsigned,
    ACTIONS(2189), 1,
      sym_keyword_zerofill,
    ACTIONS(2191), 1,
      anon_sym_LPAREN,
    STATE(495), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1001), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(999), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [33515] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2193), 1,
      sym_keyword_unsigned,
    ACTIONS(2195), 1,
      sym_keyword_zerofill,
    ACTIONS(2197), 1,
      anon_sym_LPAREN,
    STATE(496), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1065), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1063), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [33587] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2199), 1,
      sym_keyword_unsigned,
    ACTIONS(2201), 1,
      sym_keyword_zerofill,
    ACTIONS(2203), 1,
      anon_sym_LPAREN,
    STATE(497), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1075), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1073), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [33659] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(498), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2207), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2205), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [33725] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(499), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2211), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2209), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [33791] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(500), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2215), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2213), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [33857] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(501), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1341), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1339), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [33923] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(502), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1503), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1501), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [33989] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(503), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1349), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1347), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [34055] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(504), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1507), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1505), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [34121] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2217), 1,
      aux_sym_keyword_varchar_token2,
    STATE(505), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1123), 17,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1125), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [34189] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2219), 1,
      sym_keyword_unsigned,
    ACTIONS(2221), 1,
      sym_keyword_zerofill,
    ACTIONS(2223), 1,
      anon_sym_LPAREN,
    STATE(506), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1055), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1053), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [34261] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(507), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2227), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2225), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [34327] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1151), 1,
      sym_keyword_as,
    ACTIONS(1161), 1,
      sym_keyword_not,
    ACTIONS(1165), 1,
      sym_keyword_similar,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(1783), 1,
      sym_keyword_is,
    ACTIONS(1785), 1,
      anon_sym_CARET,
    ACTIONS(1787), 1,
      sym_keyword_in,
    ACTIONS(1789), 1,
      anon_sym_SLASH,
    ACTIONS(1793), 1,
      anon_sym_PLUS,
    ACTIONS(1795), 1,
      anon_sym_DASH,
    ACTIONS(1807), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1835), 1,
      sym_keyword_and,
    ACTIONS(2229), 1,
      sym_keyword_or,
    ACTIONS(2231), 1,
      anon_sym_COLON_COLON,
    STATE(2766), 1,
      sym__double_quote_string,
    STATE(2770), 1,
      sym_identifier,
    STATE(4577), 1,
      sym__alias_identifier,
    STATE(4588), 1,
      sym__alias,
    ACTIONS(1163), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1805), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(508), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1167), 3,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(1748), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1803), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1749), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1149), 11,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_window,
  [34445] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(509), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1519), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1517), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [34511] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(510), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1045), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1043), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [34577] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2019), 1,
      sym_keyword_unsigned,
    ACTIONS(2021), 1,
      sym_keyword_zerofill,
    ACTIONS(2025), 1,
      anon_sym_LPAREN,
    STATE(511), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(985), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(983), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [34649] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(512), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1901), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1899), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [34715] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(513), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2235), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2233), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [34781] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2237), 1,
      sym_keyword_unsigned,
    ACTIONS(2239), 1,
      sym_keyword_zerofill,
    ACTIONS(2241), 1,
      anon_sym_LPAREN,
    STATE(514), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1045), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1043), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [34853] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(515), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1355), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1353), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [34919] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(516), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2245), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2243), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [34985] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2247), 1,
      sym_keyword_zerofill,
    STATE(517), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1329), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1327), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [35053] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(518), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2251), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2249), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [35119] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(519), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2255), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2253), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [35185] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(520), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2259), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2257), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [35251] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(521), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2263), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2261), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [35317] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(522), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2267), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2265), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [35383] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(523), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2271), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2269), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [35449] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2273), 1,
      anon_sym_LPAREN,
    STATE(524), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1329), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1327), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [35517] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2275), 1,
      sym_keyword_zerofill,
    STATE(525), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1361), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1359), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [35585] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2277), 1,
      sym_keyword_zerofill,
    STATE(526), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1379), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1377), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [35653] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(527), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2281), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2279), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [35719] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2283), 1,
      sym_keyword_zerofill,
    STATE(528), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1335), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1333), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [35787] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(529), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2287), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2285), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [35853] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(530), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1547), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1545), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [35919] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(531), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(967), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(969), 46,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [35985] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1915), 1,
      anon_sym_DOT,
    STATE(532), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1913), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1911), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [36053] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1909), 1,
      anon_sym_DOT,
    STATE(533), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1907), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1905), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [36121] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2289), 1,
      sym_keyword_zerofill,
    STATE(534), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1349), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1347), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [36189] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(535), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2293), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2291), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [36255] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1845), 1,
      sym_keyword_zerofill,
    STATE(536), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1045), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1043), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [36323] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2295), 1,
      sym_keyword_zerofill,
    STATE(537), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1355), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1353), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [36391] = 36,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2297), 1,
      sym__identifier,
    ACTIONS(2299), 1,
      sym_keyword_distinct,
    ACTIONS(2301), 1,
      sym_keyword_cast,
    ACTIONS(2303), 1,
      sym_keyword_count,
    ACTIONS(2305), 1,
      sym_keyword_group_concat,
    ACTIONS(2307), 1,
      sym_keyword_case,
    ACTIONS(2309), 1,
      sym_keyword_not,
    ACTIONS(2313), 1,
      sym_keyword_interval,
    ACTIONS(2315), 1,
      sym_keyword_array,
    ACTIONS(2317), 1,
      anon_sym_LPAREN,
    ACTIONS(2319), 1,
      anon_sym_DOT,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2323), 1,
      anon_sym_QMARK,
    ACTIONS(2325), 1,
      anon_sym_DOLLAR,
    ACTIONS(2327), 1,
      anon_sym_SQUOTE,
    ACTIONS(2329), 1,
      anon_sym_DASH,
    ACTIONS(2331), 1,
      anon_sym_DQUOTE,
    ACTIONS(2333), 1,
      sym__natural_number,
    ACTIONS(2335), 1,
      sym_bang,
    ACTIONS(2337), 1,
      anon_sym_BQUOTE,
    STATE(2329), 1,
      sym__expression,
    STATE(3353), 1,
      sym_identifier,
    STATE(3459), 1,
      sym_invocation,
    STATE(3460), 1,
      sym__double_quote_string,
    STATE(3470), 1,
      sym__integer,
    STATE(4599), 1,
      sym_select_expression,
    STATE(5078), 1,
      sym__select_expression,
    STATE(6860), 1,
      sym__alias_identifier,
    STATE(538), 2,
      sym_comment,
      sym_marginalia,
    STATE(3761), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(3886), 2,
      sym_count,
      sym_group_concat,
    STATE(4585), 2,
      sym_term,
      sym_all_fields,
    ACTIONS(2311), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3882), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [36519] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(539), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2341), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2339), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [36585] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1977), 1,
      anon_sym_LPAREN,
    STATE(540), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1045), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1043), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [36653] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2343), 1,
      anon_sym_LPAREN,
    STATE(541), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1361), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1359), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [36721] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2345), 1,
      anon_sym_LPAREN,
    STATE(542), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1379), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1377), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [36789] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(543), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2003), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2001), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [36855] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(544), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2349), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2347), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [36921] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2351), 1,
      anon_sym_LPAREN,
    STATE(545), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1335), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1333), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [36989] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2353), 1,
      anon_sym_LPAREN,
    STATE(546), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1341), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1339), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [37057] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2355), 1,
      anon_sym_LPAREN,
    STATE(547), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1349), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1347), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [37125] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2357), 1,
      sym_keyword_unsigned,
    ACTIONS(2359), 1,
      sym_keyword_zerofill,
    ACTIONS(2361), 1,
      sym_keyword_precision,
    ACTIONS(2363), 1,
      anon_sym_LPAREN,
    STATE(548), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(985), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(983), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [37199] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(549), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(957), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(955), 46,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [37265] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(550), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2367), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2365), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [37331] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(551), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(971), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(973), 46,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [37397] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(1697), 1,
      sym_keyword_in,
    ACTIONS(1699), 1,
      sym_keyword_and,
    ACTIONS(1701), 1,
      sym_keyword_or,
    ACTIONS(1703), 1,
      sym_keyword_is,
    ACTIONS(1707), 1,
      anon_sym_SLASH,
    ACTIONS(1713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1717), 1,
      anon_sym_PLUS,
    ACTIONS(1719), 1,
      anon_sym_DASH,
    ACTIONS(1721), 1,
      anon_sym_CARET,
    ACTIONS(1723), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(1711), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1715), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(552), 2,
      sym_comment,
      sym_marginalia,
    STATE(2262), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1709), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2261), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2369), 22,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [37497] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2371), 1,
      anon_sym_LPAREN,
    STATE(553), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1355), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1353), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [37565] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(554), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1393), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1391), 46,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [37631] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2373), 1,
      anon_sym_LPAREN,
    STATE(555), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1399), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1397), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [37699] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2375), 1,
      anon_sym_LPAREN,
    STATE(556), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1407), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1405), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [37767] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2377), 1,
      sym__natural_number,
    STATE(557), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1901), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1899), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [37835] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(558), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2381), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2379), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [37901] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(559), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(985), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(983), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [37967] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(560), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1571), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1569), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [38033] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(561), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2385), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2383), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [38099] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(562), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1515), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1513), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [38165] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(563), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2389), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2387), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [38231] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(564), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2393), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2391), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [38297] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2395), 1,
      sym__natural_number,
    STATE(565), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1899), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1901), 34,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_offset,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [38365] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2397), 1,
      sym_keyword_zerofill,
    STATE(566), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1425), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1423), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [38433] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(567), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2131), 17,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2133), 34,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_offset,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [38499] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(568), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1599), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1597), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [38565] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(569), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2003), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2001), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [38631] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2399), 1,
      sym_keyword_unsigned,
    ACTIONS(2401), 1,
      sym_keyword_zerofill,
    STATE(570), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1115), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1117), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [38701] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(571), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2405), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2403), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [38767] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(572), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1607), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1605), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [38833] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2407), 1,
      sym_keyword_unsigned,
    ACTIONS(2409), 1,
      sym_keyword_zerofill,
    STATE(573), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1191), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1193), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [38903] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(574), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1495), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1493), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [38969] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2411), 1,
      aux_sym_keyword_with_token1,
    ACTIONS(2413), 1,
      aux_sym_keyword_timestamp_token2,
    STATE(575), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1443), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1441), 44,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [39039] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(576), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1257), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1255), 46,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [39105] = 36,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2417), 1,
      sym_keyword_distinct,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2674), 1,
      sym__expression,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4599), 1,
      sym_select_expression,
    STATE(5524), 1,
      sym__select_expression,
    STATE(7221), 1,
      sym__alias_identifier,
    STATE(577), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    STATE(4585), 2,
      sym_term,
      sym_all_fields,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [39233] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(578), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1615), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1613), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [39299] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(579), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1125), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1123), 46,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [39365] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2455), 1,
      anon_sym_DOT,
    STATE(580), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2001), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2003), 34,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_offset,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [39433] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(581), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2015), 17,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2017), 34,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_offset,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [39499] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(582), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2003), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2001), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [39565] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(583), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2133), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2131), 46,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [39631] = 36,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2457), 1,
      sym__identifier,
    ACTIONS(2459), 1,
      sym_keyword_distinct,
    ACTIONS(2461), 1,
      sym_keyword_cast,
    ACTIONS(2463), 1,
      sym_keyword_count,
    ACTIONS(2465), 1,
      sym_keyword_group_concat,
    ACTIONS(2467), 1,
      sym_keyword_case,
    ACTIONS(2469), 1,
      sym_keyword_not,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2477), 1,
      anon_sym_LPAREN,
    ACTIONS(2479), 1,
      anon_sym_DOT,
    ACTIONS(2481), 1,
      anon_sym_QMARK,
    ACTIONS(2483), 1,
      anon_sym_DOLLAR,
    ACTIONS(2485), 1,
      anon_sym_SQUOTE,
    ACTIONS(2487), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      anon_sym_DQUOTE,
    ACTIONS(2491), 1,
      sym__natural_number,
    ACTIONS(2493), 1,
      sym_bang,
    ACTIONS(2495), 1,
      anon_sym_BQUOTE,
    STATE(94), 1,
      sym__expression,
    STATE(1082), 1,
      sym_identifier,
    STATE(1413), 1,
      sym__integer,
    STATE(1415), 1,
      sym__double_quote_string,
    STATE(1417), 1,
      sym_invocation,
    STATE(4599), 1,
      sym_select_expression,
    STATE(4608), 1,
      sym__select_expression,
    STATE(7522), 1,
      sym__alias_identifier,
    STATE(584), 2,
      sym_comment,
      sym_marginalia,
    STATE(1451), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(1454), 2,
      sym_count,
      sym_group_concat,
    STATE(4585), 2,
      sym_term,
      sym_all_fields,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(1453), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [39759] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2079), 1,
      sym_keyword_is,
    STATE(585), 2,
      sym_comment,
      sym_marginalia,
    STATE(1913), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1914), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1113), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1111), 37,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [39831] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2497), 1,
      anon_sym_LPAREN,
    STATE(586), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1385), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1383), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [39899] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2499), 1,
      anon_sym_LPAREN,
    STATE(587), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1419), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1417), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [39967] = 13,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2079), 1,
      sym_keyword_is,
    ACTIONS(2083), 1,
      anon_sym_SLASH,
    ACTIONS(2093), 1,
      anon_sym_PLUS,
    ACTIONS(2095), 1,
      anon_sym_DASH,
    ACTIONS(2097), 1,
      anon_sym_CARET,
    ACTIONS(2087), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(588), 2,
      sym_comment,
      sym_marginalia,
    STATE(1913), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1103), 4,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1914), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 33,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [40049] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(589), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2003), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2001), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [40115] = 20,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1103), 1,
      sym_keyword_or,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(2073), 1,
      sym_keyword_in,
    ACTIONS(2079), 1,
      sym_keyword_is,
    ACTIONS(2083), 1,
      anon_sym_SLASH,
    ACTIONS(2093), 1,
      anon_sym_PLUS,
    ACTIONS(2095), 1,
      anon_sym_DASH,
    ACTIONS(2097), 1,
      anon_sym_CARET,
    ACTIONS(2099), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(2087), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2091), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(590), 2,
      sym_comment,
      sym_marginalia,
    STATE(1913), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(2085), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1914), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 24,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
  [40211] = 21,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1103), 1,
      sym_keyword_or,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(2073), 1,
      sym_keyword_in,
    ACTIONS(2075), 1,
      sym_keyword_and,
    ACTIONS(2079), 1,
      sym_keyword_is,
    ACTIONS(2083), 1,
      anon_sym_SLASH,
    ACTIONS(2093), 1,
      anon_sym_PLUS,
    ACTIONS(2095), 1,
      anon_sym_DASH,
    ACTIONS(2097), 1,
      anon_sym_CARET,
    ACTIONS(2099), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(2087), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2091), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(591), 2,
      sym_comment,
      sym_marginalia,
    STATE(1913), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(2085), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1914), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 23,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
  [40309] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(592), 2,
      sym_comment,
      sym_marginalia,
    STATE(1913), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1914), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1103), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1093), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [40379] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2079), 1,
      sym_keyword_is,
    ACTIONS(2097), 1,
      anon_sym_CARET,
    STATE(593), 2,
      sym_comment,
      sym_marginalia,
    STATE(1913), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1914), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1103), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1093), 36,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [40453] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2501), 1,
      sym_keyword_zerofill,
    STATE(594), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1457), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1455), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [40521] = 14,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2073), 1,
      sym_keyword_in,
    ACTIONS(2079), 1,
      sym_keyword_is,
    ACTIONS(2083), 1,
      anon_sym_SLASH,
    ACTIONS(2093), 1,
      anon_sym_PLUS,
    ACTIONS(2095), 1,
      anon_sym_DASH,
    ACTIONS(2097), 1,
      anon_sym_CARET,
    ACTIONS(2087), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(595), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1103), 3,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1913), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1914), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 33,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [40605] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(596), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2505), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2503), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [40671] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2507), 1,
      sym_keyword_zerofill,
    STATE(597), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1367), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1365), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [40739] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(598), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(963), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(965), 46,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [40805] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2509), 1,
      sym_keyword_zerofill,
    STATE(599), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1373), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1371), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [40873] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(600), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2003), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2001), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [40939] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(601), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2513), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2511), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [41005] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2515), 1,
      sym_keyword_zerofill,
    STATE(602), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1413), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1411), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [41073] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2517), 1,
      anon_sym_DOT,
    STATE(603), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2003), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2001), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [41141] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1909), 1,
      anon_sym_DOT,
    STATE(604), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2009), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2007), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [41209] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2519), 1,
      sym_keyword_over,
    STATE(605), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2211), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2209), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [41277] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2521), 1,
      sym_keyword_zerofill,
    STATE(606), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1431), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1429), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [41345] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(607), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2525), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2523), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [41411] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(608), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2529), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2527), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [41477] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(609), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(961), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(959), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [41543] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2531), 1,
      sym_keyword_unsigned,
    ACTIONS(2533), 1,
      sym_keyword_zerofill,
    STATE(610), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1215), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1217), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [41613] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2535), 1,
      sym_keyword_zerofill,
    STATE(611), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1437), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1435), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [41681] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(612), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2017), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2015), 46,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [41747] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(613), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2539), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2537), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [41813] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(614), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1511), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1509), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [41879] = 11,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2079), 1,
      sym_keyword_is,
    ACTIONS(2083), 1,
      anon_sym_SLASH,
    ACTIONS(2097), 1,
      anon_sym_CARET,
    ACTIONS(2087), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(615), 2,
      sym_comment,
      sym_marginalia,
    STATE(1913), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1914), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1103), 5,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1093), 34,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [41957] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2079), 1,
      sym_keyword_is,
    STATE(616), 2,
      sym_comment,
      sym_marginalia,
    STATE(1913), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1914), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1103), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1093), 37,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [42029] = 16,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1103), 1,
      sym_keyword_or,
    ACTIONS(2073), 1,
      sym_keyword_in,
    ACTIONS(2079), 1,
      sym_keyword_is,
    ACTIONS(2083), 1,
      anon_sym_SLASH,
    ACTIONS(2093), 1,
      anon_sym_PLUS,
    ACTIONS(2095), 1,
      anon_sym_DASH,
    ACTIONS(2097), 1,
      anon_sym_CARET,
    ACTIONS(2087), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2091), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(617), 2,
      sym_comment,
      sym_marginalia,
    STATE(1913), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(2085), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1914), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 29,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_PIPE,
  [42117] = 17,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1103), 1,
      sym_keyword_or,
    ACTIONS(2073), 1,
      sym_keyword_in,
    ACTIONS(2079), 1,
      sym_keyword_is,
    ACTIONS(2083), 1,
      anon_sym_SLASH,
    ACTIONS(2093), 1,
      anon_sym_PLUS,
    ACTIONS(2095), 1,
      anon_sym_DASH,
    ACTIONS(2097), 1,
      anon_sym_CARET,
    ACTIONS(2099), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2087), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2091), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(618), 2,
      sym_comment,
      sym_marginalia,
    STATE(1913), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(2085), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1914), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 28,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
  [42207] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(619), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2003), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2001), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [42273] = 36,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2541), 1,
      sym_keyword_distinct,
    ACTIONS(2543), 1,
      sym_keyword_cast,
    ACTIONS(2545), 1,
      sym_keyword_count,
    ACTIONS(2547), 1,
      sym_keyword_group_concat,
    ACTIONS(2549), 1,
      sym_keyword_case,
    ACTIONS(2551), 1,
      sym_keyword_not,
    ACTIONS(2555), 1,
      sym_keyword_interval,
    ACTIONS(2557), 1,
      sym_keyword_array,
    ACTIONS(2559), 1,
      anon_sym_LPAREN,
    ACTIONS(2561), 1,
      anon_sym_DOT,
    ACTIONS(2563), 1,
      anon_sym_QMARK,
    ACTIONS(2565), 1,
      anon_sym_DOLLAR,
    ACTIONS(2567), 1,
      anon_sym_SQUOTE,
    ACTIONS(2569), 1,
      anon_sym_DASH,
    ACTIONS(2571), 1,
      sym__natural_number,
    ACTIONS(2573), 1,
      sym_bang,
    STATE(132), 1,
      sym__expression,
    STATE(580), 1,
      sym__integer,
    STATE(1249), 1,
      sym_identifier,
    STATE(1716), 1,
      sym__double_quote_string,
    STATE(1720), 1,
      sym_invocation,
    STATE(4599), 1,
      sym_select_expression,
    STATE(4706), 1,
      sym__select_expression,
    STATE(7523), 1,
      sym__alias_identifier,
    STATE(620), 2,
      sym_comment,
      sym_marginalia,
    STATE(671), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2276), 2,
      sym_count,
      sym_group_concat,
    STATE(4585), 2,
      sym_term,
      sym_all_fields,
    ACTIONS(2553), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2094), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [42401] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(621), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2003), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2001), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [42467] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2575), 1,
      sym_keyword_zerofill,
    STATE(622), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1463), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1461), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [42535] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(623), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2527), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2529), 34,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_offset,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [42600] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(624), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(979), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(981), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [42665] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(625), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1425), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1423), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [42730] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(626), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1463), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1461), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [42795] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(627), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1559), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1557), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [42860] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2577), 1,
      sym_keyword_zerofill,
    STATE(628), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1429), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1431), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [42927] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(629), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2003), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2001), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [42992] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2579), 1,
      sym_keyword_zerofill,
    STATE(630), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1435), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1437), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [43059] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(631), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1563), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1561), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [43124] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(632), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2207), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2205), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [43189] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(633), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1567), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1565), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [43254] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(634), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1575), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1573), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [43319] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(635), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1579), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1577), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [43384] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(636), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1615), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1613), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [43449] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(637), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1495), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1493), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [43514] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(638), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1607), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1605), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [43579] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2581), 1,
      anon_sym_LPAREN,
    STATE(639), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1327), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1329), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [43646] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(640), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1599), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1597), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [43711] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(641), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1587), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1585), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [43776] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(642), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1591), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1589), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [43841] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2583), 1,
      sym_keyword_zerofill,
    STATE(643), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1461), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1463), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [43908] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2585), 1,
      sym_keyword_zerofill,
    STATE(644), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1327), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1329), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [43975] = 35,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2587), 1,
      sym__identifier,
    ACTIONS(2589), 1,
      sym_keyword_cast,
    ACTIONS(2591), 1,
      sym_keyword_count,
    ACTIONS(2593), 1,
      sym_keyword_group_concat,
    ACTIONS(2595), 1,
      sym_keyword_case,
    ACTIONS(2597), 1,
      sym_keyword_not,
    ACTIONS(2601), 1,
      sym_keyword_interval,
    ACTIONS(2603), 1,
      sym_keyword_array,
    ACTIONS(2605), 1,
      anon_sym_LPAREN,
    ACTIONS(2607), 1,
      anon_sym_DOT,
    ACTIONS(2609), 1,
      anon_sym_QMARK,
    ACTIONS(2611), 1,
      anon_sym_DOLLAR,
    ACTIONS(2613), 1,
      anon_sym_SQUOTE,
    ACTIONS(2615), 1,
      anon_sym_DASH,
    ACTIONS(2617), 1,
      anon_sym_DQUOTE,
    ACTIONS(2619), 1,
      sym__natural_number,
    ACTIONS(2621), 1,
      sym_bang,
    ACTIONS(2623), 1,
      anon_sym_BQUOTE,
    STATE(362), 1,
      sym__expression,
    STATE(2418), 1,
      sym_identifier,
    STATE(2458), 1,
      sym_invocation,
    STATE(2474), 1,
      sym__double_quote_string,
    STATE(2475), 1,
      sym__integer,
    STATE(4799), 1,
      sym_select_expression,
    STATE(4811), 1,
      sym__select_expression,
    STATE(7009), 1,
      sym__alias_identifier,
    STATE(645), 2,
      sym_comment,
      sym_marginalia,
    STATE(2590), 2,
      sym_count,
      sym_group_concat,
    STATE(2593), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(4585), 2,
      sym_term,
      sym_all_fields,
    ACTIONS(2599), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2591), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [44100] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2625), 1,
      sym_keyword_zerofill,
    STATE(646), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1423), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1425), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [44167] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2627), 1,
      sym_keyword_zerofill,
    STATE(647), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1411), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1413), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [44234] = 35,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2457), 1,
      sym__identifier,
    ACTIONS(2461), 1,
      sym_keyword_cast,
    ACTIONS(2463), 1,
      sym_keyword_count,
    ACTIONS(2465), 1,
      sym_keyword_group_concat,
    ACTIONS(2467), 1,
      sym_keyword_case,
    ACTIONS(2469), 1,
      sym_keyword_not,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2477), 1,
      anon_sym_LPAREN,
    ACTIONS(2479), 1,
      anon_sym_DOT,
    ACTIONS(2481), 1,
      anon_sym_QMARK,
    ACTIONS(2483), 1,
      anon_sym_DOLLAR,
    ACTIONS(2485), 1,
      anon_sym_SQUOTE,
    ACTIONS(2487), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      anon_sym_DQUOTE,
    ACTIONS(2491), 1,
      sym__natural_number,
    ACTIONS(2493), 1,
      sym_bang,
    ACTIONS(2495), 1,
      anon_sym_BQUOTE,
    STATE(94), 1,
      sym__expression,
    STATE(1082), 1,
      sym_identifier,
    STATE(1413), 1,
      sym__integer,
    STATE(1415), 1,
      sym__double_quote_string,
    STATE(1417), 1,
      sym_invocation,
    STATE(4595), 1,
      sym_select_expression,
    STATE(4608), 1,
      sym__select_expression,
    STATE(7522), 1,
      sym__alias_identifier,
    STATE(648), 2,
      sym_comment,
      sym_marginalia,
    STATE(1451), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(1454), 2,
      sym_count,
      sym_group_concat,
    STATE(4585), 2,
      sym_term,
      sym_all_fields,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(1453), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [44359] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2629), 1,
      sym_keyword_zerofill,
    STATE(649), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1365), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1367), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [44426] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2631), 1,
      sym_keyword_zerofill,
    STATE(650), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1371), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1373), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [44493] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2633), 1,
      sym_keyword_zerofill,
    STATE(651), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1455), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1457), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [44560] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(652), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1595), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1593), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [44625] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(653), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1217), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1215), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [44690] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(654), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2211), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2209), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [44755] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(655), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1437), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1435), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [44820] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(656), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2215), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2213), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [44885] = 35,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2543), 1,
      sym_keyword_cast,
    ACTIONS(2545), 1,
      sym_keyword_count,
    ACTIONS(2547), 1,
      sym_keyword_group_concat,
    ACTIONS(2549), 1,
      sym_keyword_case,
    ACTIONS(2551), 1,
      sym_keyword_not,
    ACTIONS(2555), 1,
      sym_keyword_interval,
    ACTIONS(2557), 1,
      sym_keyword_array,
    ACTIONS(2559), 1,
      anon_sym_LPAREN,
    ACTIONS(2561), 1,
      anon_sym_DOT,
    ACTIONS(2563), 1,
      anon_sym_QMARK,
    ACTIONS(2565), 1,
      anon_sym_DOLLAR,
    ACTIONS(2567), 1,
      anon_sym_SQUOTE,
    ACTIONS(2569), 1,
      anon_sym_DASH,
    ACTIONS(2571), 1,
      sym__natural_number,
    ACTIONS(2573), 1,
      sym_bang,
    STATE(132), 1,
      sym__expression,
    STATE(580), 1,
      sym__integer,
    STATE(1249), 1,
      sym_identifier,
    STATE(1716), 1,
      sym__double_quote_string,
    STATE(1720), 1,
      sym_invocation,
    STATE(4595), 1,
      sym_select_expression,
    STATE(4706), 1,
      sym__select_expression,
    STATE(7523), 1,
      sym__alias_identifier,
    STATE(657), 2,
      sym_comment,
      sym_marginalia,
    STATE(671), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2276), 2,
      sym_count,
      sym_group_concat,
    STATE(4585), 2,
      sym_term,
      sym_all_fields,
    ACTIONS(2553), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2094), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [45010] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(658), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1431), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1429), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [45075] = 35,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2674), 1,
      sym__expression,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4595), 1,
      sym_select_expression,
    STATE(5524), 1,
      sym__select_expression,
    STATE(7221), 1,
      sym__alias_identifier,
    STATE(659), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    STATE(4585), 2,
      sym_term,
      sym_all_fields,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [45200] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(660), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1571), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1569), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [45265] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(661), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(985), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(983), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [45330] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(662), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1603), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1601), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [45395] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(663), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2227), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2225), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [45460] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(664), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1619), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1617), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [45525] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(665), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1901), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1899), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [45590] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(666), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1373), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1371), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [45655] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(667), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1623), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1621), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [45720] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(668), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1627), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1625), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [45785] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(669), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1367), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1365), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [45850] = 35,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2674), 1,
      sym__expression,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4799), 1,
      sym_select_expression,
    STATE(5524), 1,
      sym__select_expression,
    STATE(7221), 1,
      sym__alias_identifier,
    STATE(670), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    STATE(4585), 2,
      sym_term,
      sym_all_fields,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [45975] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(671), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2001), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2003), 34,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_offset,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [46040] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(672), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1457), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1455), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [46105] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2635), 1,
      sym_keyword_unsigned,
    ACTIONS(2637), 1,
      sym_keyword_zerofill,
    STATE(673), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1217), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1215), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [46174] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(674), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2235), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2233), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [46239] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(675), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1519), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1517), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [46304] = 35,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2639), 1,
      sym__identifier,
    ACTIONS(2641), 1,
      sym_keyword_cast,
    ACTIONS(2643), 1,
      sym_keyword_count,
    ACTIONS(2645), 1,
      sym_keyword_group_concat,
    ACTIONS(2647), 1,
      sym_keyword_case,
    ACTIONS(2649), 1,
      sym_keyword_not,
    ACTIONS(2653), 1,
      sym_keyword_interval,
    ACTIONS(2655), 1,
      sym_keyword_array,
    ACTIONS(2657), 1,
      anon_sym_LPAREN,
    ACTIONS(2659), 1,
      anon_sym_DOT,
    ACTIONS(2661), 1,
      anon_sym_QMARK,
    ACTIONS(2663), 1,
      anon_sym_DOLLAR,
    ACTIONS(2665), 1,
      anon_sym_SQUOTE,
    ACTIONS(2667), 1,
      anon_sym_DASH,
    ACTIONS(2669), 1,
      anon_sym_DQUOTE,
    ACTIONS(2671), 1,
      sym__natural_number,
    ACTIONS(2673), 1,
      sym_bang,
    ACTIONS(2675), 1,
      anon_sym_BQUOTE,
    STATE(508), 1,
      sym__expression,
    STATE(989), 1,
      sym_identifier,
    STATE(1306), 1,
      sym__integer,
    STATE(1312), 1,
      sym__double_quote_string,
    STATE(1313), 1,
      sym_invocation,
    STATE(4799), 1,
      sym_select_expression,
    STATE(4915), 1,
      sym__select_expression,
    STATE(7348), 1,
      sym__alias_identifier,
    STATE(676), 2,
      sym_comment,
      sym_marginalia,
    STATE(1660), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(1665), 2,
      sym_count,
      sym_group_concat,
    STATE(4585), 2,
      sym_term,
      sym_all_fields,
    ACTIONS(2651), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(1664), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [46429] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(677), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1515), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1513), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [46494] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(678), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1511), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1509), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [46559] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2677), 1,
      sym_keyword_unsigned,
    ACTIONS(2679), 1,
      sym_keyword_zerofill,
    ACTIONS(2681), 1,
      anon_sym_LPAREN,
    STATE(679), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1045), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1043), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [46630] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(680), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1899), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1901), 34,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_offset,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [46695] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(681), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1507), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1505), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [46760] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2357), 1,
      sym_keyword_unsigned,
    ACTIONS(2359), 1,
      sym_keyword_zerofill,
    ACTIONS(2363), 1,
      anon_sym_LPAREN,
    STATE(682), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(985), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(983), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [46831] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2683), 1,
      sym_keyword_unsigned,
    ACTIONS(2685), 1,
      sym_keyword_zerofill,
    ACTIONS(2687), 1,
      anon_sym_LPAREN,
    STATE(683), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1055), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1053), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [46902] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2689), 1,
      sym_keyword_unsigned,
    ACTIONS(2691), 1,
      sym_keyword_zerofill,
    ACTIONS(2693), 1,
      anon_sym_LPAREN,
    STATE(684), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1075), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1073), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [46973] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2695), 1,
      sym_keyword_unsigned,
    ACTIONS(2697), 1,
      sym_keyword_zerofill,
    STATE(685), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1193), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1191), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [47042] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2699), 1,
      sym_keyword_unsigned,
    ACTIONS(2701), 1,
      sym_keyword_zerofill,
    STATE(686), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1117), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1115), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [47111] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2703), 1,
      sym_keyword_unsigned,
    ACTIONS(2705), 1,
      sym_keyword_zerofill,
    ACTIONS(2707), 1,
      anon_sym_LPAREN,
    STATE(687), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1065), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1063), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [47182] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2709), 1,
      sym_keyword_unsigned,
    ACTIONS(2711), 1,
      sym_keyword_zerofill,
    ACTIONS(2713), 1,
      anon_sym_LPAREN,
    STATE(688), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1001), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(999), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [47253] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2715), 1,
      sym_keyword_unsigned,
    ACTIONS(2717), 1,
      sym_keyword_zerofill,
    ACTIONS(2719), 1,
      anon_sym_LPAREN,
    STATE(689), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1085), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1083), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [47324] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(690), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2179), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2177), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [47389] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(691), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2539), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2537), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [47454] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(692), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(961), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(959), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [47519] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2721), 1,
      sym_keyword_unsigned,
    ACTIONS(2723), 1,
      sym_keyword_zerofill,
    ACTIONS(2725), 1,
      anon_sym_LPAREN,
    STATE(693), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1035), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1033), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [47590] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(694), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1503), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1501), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [47655] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(695), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1031), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1029), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [47720] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(696), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2529), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2527), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [47785] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(697), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1027), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1025), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [47850] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(698), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2525), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2523), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [47915] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(699), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(997), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(995), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [47980] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(700), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1019), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1017), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [48045] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(701), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1015), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1013), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [48110] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(702), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1011), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1009), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [48175] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(703), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1413), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1411), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [48240] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(704), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1355), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1353), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [48305] = 35,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2297), 1,
      sym__identifier,
    ACTIONS(2301), 1,
      sym_keyword_cast,
    ACTIONS(2303), 1,
      sym_keyword_count,
    ACTIONS(2305), 1,
      sym_keyword_group_concat,
    ACTIONS(2307), 1,
      sym_keyword_case,
    ACTIONS(2309), 1,
      sym_keyword_not,
    ACTIONS(2313), 1,
      sym_keyword_interval,
    ACTIONS(2315), 1,
      sym_keyword_array,
    ACTIONS(2317), 1,
      anon_sym_LPAREN,
    ACTIONS(2319), 1,
      anon_sym_DOT,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2323), 1,
      anon_sym_QMARK,
    ACTIONS(2325), 1,
      anon_sym_DOLLAR,
    ACTIONS(2327), 1,
      anon_sym_SQUOTE,
    ACTIONS(2329), 1,
      anon_sym_DASH,
    ACTIONS(2331), 1,
      anon_sym_DQUOTE,
    ACTIONS(2333), 1,
      sym__natural_number,
    ACTIONS(2335), 1,
      sym_bang,
    ACTIONS(2337), 1,
      anon_sym_BQUOTE,
    STATE(2329), 1,
      sym__expression,
    STATE(3353), 1,
      sym_identifier,
    STATE(3459), 1,
      sym_invocation,
    STATE(3460), 1,
      sym__double_quote_string,
    STATE(3470), 1,
      sym__integer,
    STATE(4595), 1,
      sym_select_expression,
    STATE(5078), 1,
      sym__select_expression,
    STATE(6860), 1,
      sym__alias_identifier,
    STATE(705), 2,
      sym_comment,
      sym_marginalia,
    STATE(3761), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(3886), 2,
      sym_count,
      sym_group_concat,
    STATE(4585), 2,
      sym_term,
      sym_all_fields,
    ACTIONS(2311), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3882), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [48430] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2727), 1,
      sym_keyword_unsigned,
    ACTIONS(2729), 1,
      sym_keyword_zerofill,
    STATE(706), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1225), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1223), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [48499] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2731), 1,
      sym_keyword_unsigned,
    ACTIONS(2733), 1,
      sym_keyword_zerofill,
    STATE(707), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1241), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1239), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [48568] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2735), 1,
      sym_keyword_unsigned,
    ACTIONS(2737), 1,
      sym_keyword_zerofill,
    STATE(708), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1201), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1199), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [48637] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2739), 1,
      sym_keyword_unsigned,
    ACTIONS(2741), 1,
      sym_keyword_zerofill,
    STATE(709), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1209), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1207), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [48706] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2743), 1,
      sym_keyword_unsigned,
    ACTIONS(2745), 1,
      sym_keyword_zerofill,
    STATE(710), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1233), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1231), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [48775] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(711), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1045), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1043), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [48840] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(712), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2513), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2511), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [48905] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(713), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2505), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2503), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [48970] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(714), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1349), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1347), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [49035] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(715), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2405), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2403), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [49100] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(716), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1341), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1339), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [49165] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(717), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2393), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2391), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [49230] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(718), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1335), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1333), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [49295] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(719), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2389), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2387), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [49360] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1915), 1,
      anon_sym_DOT,
    ACTIONS(2747), 1,
      anon_sym_LPAREN,
    STATE(720), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1959), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1957), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [49429] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(721), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1379), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1377), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [49494] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2749), 1,
      anon_sym_LPAREN,
    STATE(722), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1417), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1419), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [49561] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2751), 1,
      anon_sym_LPAREN,
    STATE(723), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1383), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1385), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [49628] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(724), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1361), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1359), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [49693] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(725), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1123), 17,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1125), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [49758] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(726), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1547), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1545), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [49823] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(727), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1255), 17,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1257), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [49888] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(728), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1499), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1497), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [49953] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2753), 1,
      aux_sym_keyword_with_token1,
    ACTIONS(2755), 1,
      aux_sym_keyword_timestamp_token2,
    STATE(729), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1441), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1443), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [50022] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(730), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1329), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1327), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [50087] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2757), 1,
      anon_sym_LPAREN,
    STATE(731), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1405), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1407), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [50154] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2759), 1,
      anon_sym_LPAREN,
    STATE(732), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1397), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1399), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [50221] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(733), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2385), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2383), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [50286] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(734), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2381), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2379), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [50351] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(735), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1643), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1641), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [50416] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(736), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2367), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2365), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [50481] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(737), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2349), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2347), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [50546] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(738), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1647), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1645), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [50611] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(739), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2341), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2339), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [50676] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(740), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1651), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1649), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [50741] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(741), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2293), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2291), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [50806] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(742), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2281), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2279), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [50871] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(743), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2271), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2269), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [50936] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(744), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2267), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2265), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [51001] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(745), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2263), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2261), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [51066] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(746), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2259), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2257), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [51131] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(747), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2255), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2253), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [51196] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2761), 1,
      sym_keyword_precision,
    ACTIONS(2763), 1,
      anon_sym_LPAREN,
    STATE(748), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1045), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1043), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [51265] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(749), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2251), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2249), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [51330] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(750), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2245), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2243), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [51395] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1915), 1,
      anon_sym_DOT,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    STATE(751), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1959), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1957), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [51464] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(752), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(975), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(977), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [51529] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2767), 1,
      sym_keyword_over,
    STATE(753), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2211), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2209), 43,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [51596] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(754), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1655), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1653), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [51661] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(755), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1659), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1657), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [51726] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2769), 1,
      sym_keyword_unsigned,
    ACTIONS(2771), 1,
      sym_keyword_zerofill,
    ACTIONS(2773), 1,
      sym_keyword_precision,
    ACTIONS(2775), 1,
      anon_sym_LPAREN,
    STATE(756), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(983), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(985), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [51799] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(757), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1727), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1725), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [51864] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(758), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1731), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1729), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [51929] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(759), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1611), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1609), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [51994] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(760), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1639), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1637), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [52059] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(761), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1635), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1633), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [52124] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(762), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1631), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1629), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [52189] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2777), 1,
      sym_keyword_zerofill,
    STATE(763), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1359), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1361), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [52256] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2779), 1,
      aux_sym_keyword_varchar_token2,
    STATE(764), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1125), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1123), 43,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [52323] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2781), 1,
      sym_keyword_zerofill,
    STATE(765), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1377), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1379), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [52390] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2783), 1,
      sym_keyword_zerofill,
    STATE(766), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1333), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1335), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [52457] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2785), 1,
      sym_keyword_zerofill,
    STATE(767), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1339), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1341), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [52524] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2787), 1,
      sym_keyword_zerofill,
    STATE(768), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1347), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1349), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [52591] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2031), 1,
      sym_keyword_zerofill,
    STATE(769), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1043), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1045), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [52658] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2789), 1,
      sym_keyword_zerofill,
    STATE(770), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1353), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1355), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [52725] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2169), 1,
      anon_sym_LPAREN,
    STATE(771), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1043), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1045), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [52792] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2791), 1,
      anon_sym_LPAREN,
    STATE(772), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1359), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1361), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [52859] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2793), 1,
      anon_sym_LPAREN,
    STATE(773), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1377), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1379), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [52926] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2795), 1,
      anon_sym_LPAREN,
    STATE(774), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1333), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1335), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [52993] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2797), 1,
      anon_sym_LPAREN,
    STATE(775), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1339), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1341), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [53060] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2799), 1,
      anon_sym_LPAREN,
    STATE(776), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1347), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1349), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [53127] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2801), 1,
      anon_sym_LPAREN,
    STATE(777), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1353), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1355), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [53194] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(778), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1391), 17,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1393), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [53259] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(779), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(947), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(949), 44,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [53324] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2803), 1,
      sym_keyword_unsigned,
    ACTIONS(2805), 1,
      sym_keyword_zerofill,
    ACTIONS(2807), 1,
      sym_keyword_precision,
    ACTIONS(2809), 1,
      anon_sym_LPAREN,
    STATE(780), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(983), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(985), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [53397] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(781), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1583), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1581), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [53462] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(2073), 1,
      sym_keyword_in,
    ACTIONS(2075), 1,
      sym_keyword_and,
    ACTIONS(2077), 1,
      sym_keyword_or,
    ACTIONS(2079), 1,
      sym_keyword_is,
    ACTIONS(2083), 1,
      anon_sym_SLASH,
    ACTIONS(2089), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2093), 1,
      anon_sym_PLUS,
    ACTIONS(2095), 1,
      anon_sym_DASH,
    ACTIONS(2097), 1,
      anon_sym_CARET,
    ACTIONS(2099), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(2087), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2091), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(782), 2,
      sym_comment,
      sym_marginalia,
    STATE(1913), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(2085), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1914), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1849), 21,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [53561] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(783), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(951), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(953), 44,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [53626] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(784), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2287), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2285), 45,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [53691] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1915), 1,
      anon_sym_DOT,
    STATE(785), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1913), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1911), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [53757] = 35,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2811), 1,
      sym__identifier,
    ACTIONS(2813), 1,
      sym_keyword_distinct,
    ACTIONS(2815), 1,
      sym_keyword_cast,
    ACTIONS(2817), 1,
      sym_keyword_count,
    ACTIONS(2819), 1,
      sym_keyword_group_concat,
    ACTIONS(2821), 1,
      sym_keyword_case,
    ACTIONS(2823), 1,
      sym_keyword_not,
    ACTIONS(2827), 1,
      sym_keyword_interval,
    ACTIONS(2829), 1,
      sym_keyword_array,
    ACTIONS(2831), 1,
      anon_sym_LPAREN,
    ACTIONS(2833), 1,
      anon_sym_DOT,
    ACTIONS(2835), 1,
      anon_sym_QMARK,
    ACTIONS(2837), 1,
      anon_sym_DOLLAR,
    ACTIONS(2839), 1,
      anon_sym_SQUOTE,
    ACTIONS(2841), 1,
      anon_sym_DASH,
    ACTIONS(2843), 1,
      anon_sym_DQUOTE,
    ACTIONS(2845), 1,
      sym__natural_number,
    ACTIONS(2847), 1,
      sym_bang,
    ACTIONS(2849), 1,
      anon_sym_BQUOTE,
    STATE(3329), 1,
      sym_identifier,
    STATE(3418), 1,
      sym_invocation,
    STATE(3422), 1,
      sym__double_quote_string,
    STATE(3447), 1,
      sym__integer,
    STATE(3691), 1,
      sym__expression,
    STATE(5429), 1,
      sym_all_fields,
    STATE(7215), 1,
      sym__aggregate_expression,
    STATE(7280), 1,
      sym__alias_identifier,
    STATE(786), 2,
      sym_comment,
      sym_marginalia,
    STATE(3561), 2,
      sym_count,
      sym_group_concat,
    STATE(3593), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(2825), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3562), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [53881] = 36,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    ACTIONS(2851), 1,
      sym_keyword_select,
    ACTIONS(2853), 1,
      anon_sym_RPAREN,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(4028), 1,
      sym__expression,
    STATE(4530), 1,
      sym_invocation,
    STATE(5614), 1,
      sym_select,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(7747), 1,
      sym__inner_default_expression,
    STATE(787), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 7,
      sym_parameter,
      sym_case,
      sym_field,
      sym_interval,
      sym__aggregate_function,
      sym_window_function,
      sym_subquery,
    STATE(4547), 7,
      sym_array,
      sym_implicit_cast,
      sym_cast,
      sym_binary_expression,
      sym_unary_expression,
      sym_list,
      sym_literal,
  [54007] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(788), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1025), 15,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1027), 34,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [54071] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(789), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1333), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1335), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [54135] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(790), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1029), 15,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1031), 34,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [54199] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(791), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1339), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1341), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [54263] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2855), 1,
      anon_sym_LPAREN,
    STATE(792), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1385), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1383), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [54329] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(793), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1347), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1349), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [54393] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2857), 1,
      anon_sym_LPAREN,
    STATE(794), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1419), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1417), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [54459] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2859), 1,
      sym_keyword_unsigned,
    ACTIONS(2861), 1,
      sym_keyword_zerofill,
    ACTIONS(2863), 1,
      anon_sym_LPAREN,
    STATE(795), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1043), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1045), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [54529] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(796), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1043), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1045), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [54593] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2865), 1,
      sym_keyword_unsigned,
    ACTIONS(2867), 1,
      sym_keyword_zerofill,
    ACTIONS(2869), 1,
      anon_sym_LPAREN,
    STATE(797), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1033), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1035), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [54663] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(798), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1353), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1355), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [54727] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(799), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1009), 15,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1011), 34,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [54791] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2871), 1,
      sym_keyword_unsigned,
    ACTIONS(2873), 1,
      sym_keyword_zerofill,
    ACTIONS(2875), 1,
      anon_sym_LPAREN,
    STATE(800), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1083), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1085), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [54861] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2877), 1,
      sym_keyword_unsigned,
    ACTIONS(2879), 1,
      sym_keyword_zerofill,
    ACTIONS(2881), 1,
      anon_sym_LPAREN,
    STATE(801), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(999), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1001), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [54931] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2883), 1,
      sym_keyword_unsigned,
    ACTIONS(2885), 1,
      sym_keyword_zerofill,
    ACTIONS(2887), 1,
      anon_sym_LPAREN,
    STATE(802), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1063), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1065), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [55001] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2889), 1,
      sym_keyword_unsigned,
    ACTIONS(2891), 1,
      sym_keyword_zerofill,
    ACTIONS(2893), 1,
      anon_sym_LPAREN,
    STATE(803), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1073), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1075), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [55071] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2895), 1,
      sym_keyword_unsigned,
    ACTIONS(2897), 1,
      sym_keyword_zerofill,
    ACTIONS(2899), 1,
      anon_sym_LPAREN,
    STATE(804), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1053), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1055), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [55141] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(805), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1725), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1727), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [55205] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(806), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1013), 15,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1015), 34,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [55269] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(807), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1729), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1731), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [55333] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(808), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1017), 15,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1019), 34,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [55397] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(809), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1609), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1611), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [55461] = 34,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2297), 1,
      sym__identifier,
    ACTIONS(2301), 1,
      sym_keyword_cast,
    ACTIONS(2303), 1,
      sym_keyword_count,
    ACTIONS(2305), 1,
      sym_keyword_group_concat,
    ACTIONS(2307), 1,
      sym_keyword_case,
    ACTIONS(2309), 1,
      sym_keyword_not,
    ACTIONS(2313), 1,
      sym_keyword_interval,
    ACTIONS(2315), 1,
      sym_keyword_array,
    ACTIONS(2317), 1,
      anon_sym_LPAREN,
    ACTIONS(2319), 1,
      anon_sym_DOT,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2323), 1,
      anon_sym_QMARK,
    ACTIONS(2325), 1,
      anon_sym_DOLLAR,
    ACTIONS(2327), 1,
      anon_sym_SQUOTE,
    ACTIONS(2329), 1,
      anon_sym_DASH,
    ACTIONS(2331), 1,
      anon_sym_DQUOTE,
    ACTIONS(2333), 1,
      sym__natural_number,
    ACTIONS(2335), 1,
      sym_bang,
    ACTIONS(2337), 1,
      anon_sym_BQUOTE,
    STATE(2329), 1,
      sym__expression,
    STATE(3353), 1,
      sym_identifier,
    STATE(3459), 1,
      sym_invocation,
    STATE(3460), 1,
      sym__double_quote_string,
    STATE(3470), 1,
      sym__integer,
    STATE(4569), 1,
      sym__select_expression,
    STATE(6860), 1,
      sym__alias_identifier,
    STATE(810), 2,
      sym_comment,
      sym_marginalia,
    STATE(3761), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(3886), 2,
      sym_count,
      sym_group_concat,
    STATE(4585), 2,
      sym_term,
      sym_all_fields,
    ACTIONS(2311), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3882), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [55583] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(811), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1637), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1639), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [55647] = 34,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2674), 1,
      sym__expression,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4569), 1,
      sym__select_expression,
    STATE(7221), 1,
      sym__alias_identifier,
    STATE(812), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    STATE(4585), 2,
      sym_term,
      sym_all_fields,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [55769] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(813), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2383), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2385), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [55833] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(814), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1633), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1635), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [55897] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(815), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1629), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1631), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [55961] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(816), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1009), 16,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1011), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [56025] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(817), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1013), 16,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1015), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [56089] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(818), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1017), 16,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1019), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [56153] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(819), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(995), 16,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(997), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [56217] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(820), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1025), 16,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1027), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [56281] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(821), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1581), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1583), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [56345] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(822), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1545), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1547), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [56409] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(823), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1029), 16,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1031), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [56473] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2901), 1,
      sym_keyword_unsigned,
    ACTIONS(2903), 1,
      sym_keyword_zerofill,
    ACTIONS(2905), 1,
      anon_sym_LPAREN,
    STATE(824), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1033), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1035), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [56543] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2907), 1,
      aux_sym_keyword_with_token1,
    ACTIONS(2909), 1,
      aux_sym_keyword_timestamp_token2,
    STATE(825), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1443), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1441), 41,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [56611] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2911), 1,
      sym_keyword_unsigned,
    ACTIONS(2913), 1,
      sym_keyword_zerofill,
    ACTIONS(2915), 1,
      anon_sym_LPAREN,
    STATE(826), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1083), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1085), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [56681] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2917), 1,
      sym_keyword_unsigned,
    ACTIONS(2919), 1,
      sym_keyword_zerofill,
    ACTIONS(2921), 1,
      anon_sym_LPAREN,
    STATE(827), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(999), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1001), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [56751] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2923), 1,
      sym_keyword_unsigned,
    ACTIONS(2925), 1,
      sym_keyword_zerofill,
    ACTIONS(2927), 1,
      anon_sym_LPAREN,
    STATE(828), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1063), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1065), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [56821] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(829), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1257), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1255), 43,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [56885] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2929), 1,
      sym_keyword_unsigned,
    ACTIONS(2931), 1,
      sym_keyword_zerofill,
    ACTIONS(2933), 1,
      anon_sym_LPAREN,
    STATE(830), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1073), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1075), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [56955] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2935), 1,
      sym_keyword_unsigned,
    ACTIONS(2937), 1,
      sym_keyword_zerofill,
    ACTIONS(2939), 1,
      anon_sym_LPAREN,
    STATE(831), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1053), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1055), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [57025] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2803), 1,
      sym_keyword_unsigned,
    ACTIONS(2805), 1,
      sym_keyword_zerofill,
    ACTIONS(2809), 1,
      anon_sym_LPAREN,
    STATE(832), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(983), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(985), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [57095] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2769), 1,
      sym_keyword_unsigned,
    ACTIONS(2771), 1,
      sym_keyword_zerofill,
    ACTIONS(2775), 1,
      anon_sym_LPAREN,
    STATE(833), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(983), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(985), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [57165] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2941), 1,
      sym_keyword_unsigned,
    ACTIONS(2943), 1,
      sym_keyword_zerofill,
    ACTIONS(2945), 1,
      anon_sym_LPAREN,
    STATE(834), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1043), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1045), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [57235] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(835), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1359), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1361), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [57299] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(836), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1125), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1123), 43,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [57363] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(837), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(995), 15,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(997), 34,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [57427] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2947), 1,
      anon_sym_LPAREN,
    STATE(838), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1361), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1359), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [57493] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2949), 1,
      anon_sym_LPAREN,
    STATE(839), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1407), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1405), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [57559] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2951), 1,
      sym_keyword_over,
    STATE(840), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2211), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2209), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [57625] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2953), 1,
      anon_sym_LPAREN,
    STATE(841), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1399), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1397), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [57691] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(842), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1393), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1391), 43,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [57755] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2955), 1,
      anon_sym_LPAREN,
    STATE(843), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1355), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1353), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [57821] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2957), 1,
      anon_sym_LPAREN,
    STATE(844), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1349), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1347), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [57887] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2959), 1,
      anon_sym_LPAREN,
    STATE(845), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1341), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1339), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [57953] = 35,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2811), 1,
      sym__identifier,
    ACTIONS(2813), 1,
      sym_keyword_distinct,
    ACTIONS(2815), 1,
      sym_keyword_cast,
    ACTIONS(2817), 1,
      sym_keyword_count,
    ACTIONS(2819), 1,
      sym_keyword_group_concat,
    ACTIONS(2821), 1,
      sym_keyword_case,
    ACTIONS(2823), 1,
      sym_keyword_not,
    ACTIONS(2827), 1,
      sym_keyword_interval,
    ACTIONS(2829), 1,
      sym_keyword_array,
    ACTIONS(2831), 1,
      anon_sym_LPAREN,
    ACTIONS(2833), 1,
      anon_sym_DOT,
    ACTIONS(2835), 1,
      anon_sym_QMARK,
    ACTIONS(2837), 1,
      anon_sym_DOLLAR,
    ACTIONS(2839), 1,
      anon_sym_SQUOTE,
    ACTIONS(2841), 1,
      anon_sym_DASH,
    ACTIONS(2843), 1,
      anon_sym_DQUOTE,
    ACTIONS(2845), 1,
      sym__natural_number,
    ACTIONS(2847), 1,
      sym_bang,
    ACTIONS(2849), 1,
      anon_sym_BQUOTE,
    STATE(3329), 1,
      sym_identifier,
    STATE(3418), 1,
      sym_invocation,
    STATE(3422), 1,
      sym__double_quote_string,
    STATE(3447), 1,
      sym__integer,
    STATE(3691), 1,
      sym__expression,
    STATE(5429), 1,
      sym_all_fields,
    STATE(7280), 1,
      sym__alias_identifier,
    STATE(7498), 1,
      sym__aggregate_expression,
    STATE(846), 2,
      sym_comment,
      sym_marginalia,
    STATE(3561), 2,
      sym_count,
      sym_group_concat,
    STATE(3593), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(2825), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3562), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [58077] = 35,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2811), 1,
      sym__identifier,
    ACTIONS(2813), 1,
      sym_keyword_distinct,
    ACTIONS(2815), 1,
      sym_keyword_cast,
    ACTIONS(2817), 1,
      sym_keyword_count,
    ACTIONS(2819), 1,
      sym_keyword_group_concat,
    ACTIONS(2821), 1,
      sym_keyword_case,
    ACTIONS(2823), 1,
      sym_keyword_not,
    ACTIONS(2827), 1,
      sym_keyword_interval,
    ACTIONS(2829), 1,
      sym_keyword_array,
    ACTIONS(2831), 1,
      anon_sym_LPAREN,
    ACTIONS(2833), 1,
      anon_sym_DOT,
    ACTIONS(2835), 1,
      anon_sym_QMARK,
    ACTIONS(2837), 1,
      anon_sym_DOLLAR,
    ACTIONS(2839), 1,
      anon_sym_SQUOTE,
    ACTIONS(2841), 1,
      anon_sym_DASH,
    ACTIONS(2843), 1,
      anon_sym_DQUOTE,
    ACTIONS(2845), 1,
      sym__natural_number,
    ACTIONS(2847), 1,
      sym_bang,
    ACTIONS(2849), 1,
      anon_sym_BQUOTE,
    STATE(3329), 1,
      sym_identifier,
    STATE(3418), 1,
      sym_invocation,
    STATE(3422), 1,
      sym__double_quote_string,
    STATE(3447), 1,
      sym__integer,
    STATE(3691), 1,
      sym__expression,
    STATE(5429), 1,
      sym_all_fields,
    STATE(5936), 1,
      sym__aggregate_expression,
    STATE(7280), 1,
      sym__alias_identifier,
    STATE(847), 2,
      sym_comment,
      sym_marginalia,
    STATE(3561), 2,
      sym_count,
      sym_group_concat,
    STATE(3593), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(2825), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3562), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [58201] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2961), 1,
      anon_sym_LPAREN,
    STATE(848), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1335), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1333), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [58267] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2963), 1,
      anon_sym_LPAREN,
    STATE(849), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1379), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1377), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [58333] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2965), 1,
      sym_keyword_unsigned,
    ACTIONS(2967), 1,
      sym_keyword_zerofill,
    STATE(850), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1117), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1115), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [58401] = 35,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2811), 1,
      sym__identifier,
    ACTIONS(2813), 1,
      sym_keyword_distinct,
    ACTIONS(2815), 1,
      sym_keyword_cast,
    ACTIONS(2817), 1,
      sym_keyword_count,
    ACTIONS(2819), 1,
      sym_keyword_group_concat,
    ACTIONS(2821), 1,
      sym_keyword_case,
    ACTIONS(2823), 1,
      sym_keyword_not,
    ACTIONS(2827), 1,
      sym_keyword_interval,
    ACTIONS(2829), 1,
      sym_keyword_array,
    ACTIONS(2831), 1,
      anon_sym_LPAREN,
    ACTIONS(2833), 1,
      anon_sym_DOT,
    ACTIONS(2835), 1,
      anon_sym_QMARK,
    ACTIONS(2837), 1,
      anon_sym_DOLLAR,
    ACTIONS(2839), 1,
      anon_sym_SQUOTE,
    ACTIONS(2841), 1,
      anon_sym_DASH,
    ACTIONS(2843), 1,
      anon_sym_DQUOTE,
    ACTIONS(2845), 1,
      sym__natural_number,
    ACTIONS(2847), 1,
      sym_bang,
    ACTIONS(2849), 1,
      anon_sym_BQUOTE,
    STATE(3329), 1,
      sym_identifier,
    STATE(3418), 1,
      sym_invocation,
    STATE(3422), 1,
      sym__double_quote_string,
    STATE(3447), 1,
      sym__integer,
    STATE(3691), 1,
      sym__expression,
    STATE(5429), 1,
      sym_all_fields,
    STATE(5858), 1,
      sym__aggregate_expression,
    STATE(7280), 1,
      sym__alias_identifier,
    STATE(851), 2,
      sym_comment,
      sym_marginalia,
    STATE(3561), 2,
      sym_count,
      sym_group_concat,
    STATE(3593), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(2825), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3562), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [58525] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2763), 1,
      anon_sym_LPAREN,
    STATE(852), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1045), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1043), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [58591] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2969), 1,
      sym_keyword_zerofill,
    STATE(853), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1355), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1353), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [58657] = 35,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2811), 1,
      sym__identifier,
    ACTIONS(2813), 1,
      sym_keyword_distinct,
    ACTIONS(2815), 1,
      sym_keyword_cast,
    ACTIONS(2817), 1,
      sym_keyword_count,
    ACTIONS(2819), 1,
      sym_keyword_group_concat,
    ACTIONS(2821), 1,
      sym_keyword_case,
    ACTIONS(2823), 1,
      sym_keyword_not,
    ACTIONS(2827), 1,
      sym_keyword_interval,
    ACTIONS(2829), 1,
      sym_keyword_array,
    ACTIONS(2831), 1,
      anon_sym_LPAREN,
    ACTIONS(2833), 1,
      anon_sym_DOT,
    ACTIONS(2835), 1,
      anon_sym_QMARK,
    ACTIONS(2837), 1,
      anon_sym_DOLLAR,
    ACTIONS(2839), 1,
      anon_sym_SQUOTE,
    ACTIONS(2841), 1,
      anon_sym_DASH,
    ACTIONS(2843), 1,
      anon_sym_DQUOTE,
    ACTIONS(2845), 1,
      sym__natural_number,
    ACTIONS(2847), 1,
      sym_bang,
    ACTIONS(2849), 1,
      anon_sym_BQUOTE,
    STATE(3329), 1,
      sym_identifier,
    STATE(3418), 1,
      sym_invocation,
    STATE(3422), 1,
      sym__double_quote_string,
    STATE(3447), 1,
      sym__integer,
    STATE(3691), 1,
      sym__expression,
    STATE(5429), 1,
      sym_all_fields,
    STATE(7280), 1,
      sym__alias_identifier,
    STATE(7335), 1,
      sym__aggregate_expression,
    STATE(854), 2,
      sym_comment,
      sym_marginalia,
    STATE(3561), 2,
      sym_count,
      sym_group_concat,
    STATE(3593), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(2825), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3562), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [58781] = 35,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2811), 1,
      sym__identifier,
    ACTIONS(2813), 1,
      sym_keyword_distinct,
    ACTIONS(2815), 1,
      sym_keyword_cast,
    ACTIONS(2817), 1,
      sym_keyword_count,
    ACTIONS(2819), 1,
      sym_keyword_group_concat,
    ACTIONS(2821), 1,
      sym_keyword_case,
    ACTIONS(2823), 1,
      sym_keyword_not,
    ACTIONS(2827), 1,
      sym_keyword_interval,
    ACTIONS(2829), 1,
      sym_keyword_array,
    ACTIONS(2831), 1,
      anon_sym_LPAREN,
    ACTIONS(2833), 1,
      anon_sym_DOT,
    ACTIONS(2835), 1,
      anon_sym_QMARK,
    ACTIONS(2837), 1,
      anon_sym_DOLLAR,
    ACTIONS(2839), 1,
      anon_sym_SQUOTE,
    ACTIONS(2841), 1,
      anon_sym_DASH,
    ACTIONS(2843), 1,
      anon_sym_DQUOTE,
    ACTIONS(2845), 1,
      sym__natural_number,
    ACTIONS(2847), 1,
      sym_bang,
    ACTIONS(2849), 1,
      anon_sym_BQUOTE,
    STATE(3329), 1,
      sym_identifier,
    STATE(3418), 1,
      sym_invocation,
    STATE(3422), 1,
      sym__double_quote_string,
    STATE(3447), 1,
      sym__integer,
    STATE(3691), 1,
      sym__expression,
    STATE(5429), 1,
      sym_all_fields,
    STATE(5882), 1,
      sym__aggregate_expression,
    STATE(7280), 1,
      sym__alias_identifier,
    STATE(855), 2,
      sym_comment,
      sym_marginalia,
    STATE(3561), 2,
      sym_count,
      sym_group_concat,
    STATE(3593), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(2825), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3562), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [58905] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2239), 1,
      sym_keyword_zerofill,
    STATE(856), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1045), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1043), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [58971] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(857), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(971), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(973), 43,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_over,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [59035] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2971), 1,
      sym_keyword_zerofill,
    STATE(858), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1349), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1347), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [59101] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2973), 1,
      sym_keyword_zerofill,
    STATE(859), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1341), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1339), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [59167] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(860), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(967), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(969), 43,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_over,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [59231] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(861), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2017), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2015), 43,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [59295] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(862), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(983), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(985), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [59359] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(863), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1569), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1571), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [59423] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2975), 1,
      sym_keyword_zerofill,
    STATE(864), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1335), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1333), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [59489] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2977), 1,
      sym_keyword_zerofill,
    STATE(865), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1379), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1377), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [59555] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2979), 1,
      sym_keyword_zerofill,
    STATE(866), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1361), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1359), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [59621] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1909), 1,
      anon_sym_DOT,
    STATE(867), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2009), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2007), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [59687] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2981), 1,
      anon_sym_LPAREN,
    STATE(868), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1329), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1327), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [59753] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(869), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(963), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(965), 43,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_over,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [59817] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(870), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1597), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1599), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [59881] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(871), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1605), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1607), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [59945] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(872), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1493), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1495), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [60009] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(873), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1613), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1615), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [60073] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2983), 1,
      sym_keyword_zerofill,
    STATE(874), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1329), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1327), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [60139] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(2073), 1,
      sym_keyword_in,
    ACTIONS(2075), 1,
      sym_keyword_and,
    ACTIONS(2077), 1,
      sym_keyword_or,
    ACTIONS(2079), 1,
      sym_keyword_is,
    ACTIONS(2083), 1,
      anon_sym_SLASH,
    ACTIONS(2089), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2093), 1,
      anon_sym_PLUS,
    ACTIONS(2095), 1,
      anon_sym_DASH,
    ACTIONS(2097), 1,
      anon_sym_CARET,
    ACTIONS(2099), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(2087), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2091), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(875), 2,
      sym_comment,
      sym_marginalia,
    STATE(1913), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(2085), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1914), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1963), 20,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [60237] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(876), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2133), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2131), 43,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [60301] = 35,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2811), 1,
      sym__identifier,
    ACTIONS(2813), 1,
      sym_keyword_distinct,
    ACTIONS(2815), 1,
      sym_keyword_cast,
    ACTIONS(2817), 1,
      sym_keyword_count,
    ACTIONS(2819), 1,
      sym_keyword_group_concat,
    ACTIONS(2821), 1,
      sym_keyword_case,
    ACTIONS(2823), 1,
      sym_keyword_not,
    ACTIONS(2827), 1,
      sym_keyword_interval,
    ACTIONS(2829), 1,
      sym_keyword_array,
    ACTIONS(2831), 1,
      anon_sym_LPAREN,
    ACTIONS(2833), 1,
      anon_sym_DOT,
    ACTIONS(2835), 1,
      anon_sym_QMARK,
    ACTIONS(2837), 1,
      anon_sym_DOLLAR,
    ACTIONS(2839), 1,
      anon_sym_SQUOTE,
    ACTIONS(2841), 1,
      anon_sym_DASH,
    ACTIONS(2843), 1,
      anon_sym_DQUOTE,
    ACTIONS(2845), 1,
      sym__natural_number,
    ACTIONS(2847), 1,
      sym_bang,
    ACTIONS(2849), 1,
      anon_sym_BQUOTE,
    STATE(3329), 1,
      sym_identifier,
    STATE(3418), 1,
      sym_invocation,
    STATE(3422), 1,
      sym__double_quote_string,
    STATE(3447), 1,
      sym__integer,
    STATE(3691), 1,
      sym__expression,
    STATE(5429), 1,
      sym_all_fields,
    STATE(7275), 1,
      sym__aggregate_expression,
    STATE(7280), 1,
      sym__alias_identifier,
    STATE(877), 2,
      sym_comment,
      sym_marginalia,
    STATE(3561), 2,
      sym_count,
      sym_group_concat,
    STATE(3593), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(2825), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3562), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [60425] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2985), 1,
      sym__natural_number,
    STATE(878), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1901), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1899), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [60491] = 35,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2811), 1,
      sym__identifier,
    ACTIONS(2813), 1,
      sym_keyword_distinct,
    ACTIONS(2815), 1,
      sym_keyword_cast,
    ACTIONS(2817), 1,
      sym_keyword_count,
    ACTIONS(2819), 1,
      sym_keyword_group_concat,
    ACTIONS(2821), 1,
      sym_keyword_case,
    ACTIONS(2823), 1,
      sym_keyword_not,
    ACTIONS(2827), 1,
      sym_keyword_interval,
    ACTIONS(2829), 1,
      sym_keyword_array,
    ACTIONS(2831), 1,
      anon_sym_LPAREN,
    ACTIONS(2833), 1,
      anon_sym_DOT,
    ACTIONS(2835), 1,
      anon_sym_QMARK,
    ACTIONS(2837), 1,
      anon_sym_DOLLAR,
    ACTIONS(2839), 1,
      anon_sym_SQUOTE,
    ACTIONS(2841), 1,
      anon_sym_DASH,
    ACTIONS(2843), 1,
      anon_sym_DQUOTE,
    ACTIONS(2845), 1,
      sym__natural_number,
    ACTIONS(2847), 1,
      sym_bang,
    ACTIONS(2849), 1,
      anon_sym_BQUOTE,
    STATE(3329), 1,
      sym_identifier,
    STATE(3418), 1,
      sym_invocation,
    STATE(3422), 1,
      sym__double_quote_string,
    STATE(3447), 1,
      sym__integer,
    STATE(3691), 1,
      sym__expression,
    STATE(5429), 1,
      sym_all_fields,
    STATE(5943), 1,
      sym__aggregate_expression,
    STATE(7280), 1,
      sym__alias_identifier,
    STATE(879), 2,
      sym_comment,
      sym_marginalia,
    STATE(3561), 2,
      sym_count,
      sym_group_concat,
    STATE(3593), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(2825), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3562), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [60615] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1909), 1,
      anon_sym_DOT,
    STATE(880), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1907), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1905), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [60681] = 34,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2639), 1,
      sym__identifier,
    ACTIONS(2641), 1,
      sym_keyword_cast,
    ACTIONS(2643), 1,
      sym_keyword_count,
    ACTIONS(2645), 1,
      sym_keyword_group_concat,
    ACTIONS(2647), 1,
      sym_keyword_case,
    ACTIONS(2649), 1,
      sym_keyword_not,
    ACTIONS(2653), 1,
      sym_keyword_interval,
    ACTIONS(2655), 1,
      sym_keyword_array,
    ACTIONS(2657), 1,
      anon_sym_LPAREN,
    ACTIONS(2659), 1,
      anon_sym_DOT,
    ACTIONS(2661), 1,
      anon_sym_QMARK,
    ACTIONS(2663), 1,
      anon_sym_DOLLAR,
    ACTIONS(2665), 1,
      anon_sym_SQUOTE,
    ACTIONS(2667), 1,
      anon_sym_DASH,
    ACTIONS(2669), 1,
      anon_sym_DQUOTE,
    ACTIONS(2671), 1,
      sym__natural_number,
    ACTIONS(2673), 1,
      sym_bang,
    ACTIONS(2675), 1,
      anon_sym_BQUOTE,
    STATE(508), 1,
      sym__expression,
    STATE(989), 1,
      sym_identifier,
    STATE(1306), 1,
      sym__integer,
    STATE(1312), 1,
      sym__double_quote_string,
    STATE(1313), 1,
      sym_invocation,
    STATE(4569), 1,
      sym__select_expression,
    STATE(7348), 1,
      sym__alias_identifier,
    STATE(881), 2,
      sym_comment,
      sym_marginalia,
    STATE(1660), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(1665), 2,
      sym_count,
      sym_group_concat,
    STATE(4585), 2,
      sym_term,
      sym_all_fields,
    ACTIONS(2651), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(1664), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [60803] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(882), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1377), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1379), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [60867] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(883), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2537), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2539), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [60931] = 35,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2811), 1,
      sym__identifier,
    ACTIONS(2813), 1,
      sym_keyword_distinct,
    ACTIONS(2815), 1,
      sym_keyword_cast,
    ACTIONS(2817), 1,
      sym_keyword_count,
    ACTIONS(2819), 1,
      sym_keyword_group_concat,
    ACTIONS(2821), 1,
      sym_keyword_case,
    ACTIONS(2823), 1,
      sym_keyword_not,
    ACTIONS(2827), 1,
      sym_keyword_interval,
    ACTIONS(2829), 1,
      sym_keyword_array,
    ACTIONS(2831), 1,
      anon_sym_LPAREN,
    ACTIONS(2833), 1,
      anon_sym_DOT,
    ACTIONS(2835), 1,
      anon_sym_QMARK,
    ACTIONS(2837), 1,
      anon_sym_DOLLAR,
    ACTIONS(2839), 1,
      anon_sym_SQUOTE,
    ACTIONS(2841), 1,
      anon_sym_DASH,
    ACTIONS(2843), 1,
      anon_sym_DQUOTE,
    ACTIONS(2845), 1,
      sym__natural_number,
    ACTIONS(2847), 1,
      sym_bang,
    ACTIONS(2849), 1,
      anon_sym_BQUOTE,
    STATE(3329), 1,
      sym_identifier,
    STATE(3418), 1,
      sym_invocation,
    STATE(3422), 1,
      sym__double_quote_string,
    STATE(3447), 1,
      sym__integer,
    STATE(3691), 1,
      sym__expression,
    STATE(5429), 1,
      sym_all_fields,
    STATE(5910), 1,
      sym__aggregate_expression,
    STATE(7280), 1,
      sym__alias_identifier,
    STATE(884), 2,
      sym_comment,
      sym_marginalia,
    STATE(3561), 2,
      sym_count,
      sym_group_concat,
    STATE(3593), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(2825), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3562), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [61055] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2987), 1,
      aux_sym_keyword_varchar_token2,
    STATE(885), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1125), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1123), 43,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [61121] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(886), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(947), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(949), 44,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [61185] = 35,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2811), 1,
      sym__identifier,
    ACTIONS(2813), 1,
      sym_keyword_distinct,
    ACTIONS(2815), 1,
      sym_keyword_cast,
    ACTIONS(2817), 1,
      sym_keyword_count,
    ACTIONS(2819), 1,
      sym_keyword_group_concat,
    ACTIONS(2821), 1,
      sym_keyword_case,
    ACTIONS(2823), 1,
      sym_keyword_not,
    ACTIONS(2827), 1,
      sym_keyword_interval,
    ACTIONS(2829), 1,
      sym_keyword_array,
    ACTIONS(2831), 1,
      anon_sym_LPAREN,
    ACTIONS(2833), 1,
      anon_sym_DOT,
    ACTIONS(2835), 1,
      anon_sym_QMARK,
    ACTIONS(2837), 1,
      anon_sym_DOLLAR,
    ACTIONS(2839), 1,
      anon_sym_SQUOTE,
    ACTIONS(2841), 1,
      anon_sym_DASH,
    ACTIONS(2843), 1,
      anon_sym_DQUOTE,
    ACTIONS(2845), 1,
      sym__natural_number,
    ACTIONS(2847), 1,
      sym_bang,
    ACTIONS(2849), 1,
      anon_sym_BQUOTE,
    STATE(3329), 1,
      sym_identifier,
    STATE(3418), 1,
      sym_invocation,
    STATE(3422), 1,
      sym__double_quote_string,
    STATE(3447), 1,
      sym__integer,
    STATE(3691), 1,
      sym__expression,
    STATE(5429), 1,
      sym_all_fields,
    STATE(7020), 1,
      sym__aggregate_expression,
    STATE(7280), 1,
      sym__alias_identifier,
    STATE(887), 2,
      sym_comment,
      sym_marginalia,
    STATE(3561), 2,
      sym_count,
      sym_group_concat,
    STATE(3593), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(2825), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3562), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [61309] = 35,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2811), 1,
      sym__identifier,
    ACTIONS(2813), 1,
      sym_keyword_distinct,
    ACTIONS(2815), 1,
      sym_keyword_cast,
    ACTIONS(2817), 1,
      sym_keyword_count,
    ACTIONS(2819), 1,
      sym_keyword_group_concat,
    ACTIONS(2821), 1,
      sym_keyword_case,
    ACTIONS(2823), 1,
      sym_keyword_not,
    ACTIONS(2827), 1,
      sym_keyword_interval,
    ACTIONS(2829), 1,
      sym_keyword_array,
    ACTIONS(2831), 1,
      anon_sym_LPAREN,
    ACTIONS(2833), 1,
      anon_sym_DOT,
    ACTIONS(2835), 1,
      anon_sym_QMARK,
    ACTIONS(2837), 1,
      anon_sym_DOLLAR,
    ACTIONS(2839), 1,
      anon_sym_SQUOTE,
    ACTIONS(2841), 1,
      anon_sym_DASH,
    ACTIONS(2843), 1,
      anon_sym_DQUOTE,
    ACTIONS(2845), 1,
      sym__natural_number,
    ACTIONS(2847), 1,
      sym_bang,
    ACTIONS(2849), 1,
      anon_sym_BQUOTE,
    STATE(3329), 1,
      sym_identifier,
    STATE(3418), 1,
      sym_invocation,
    STATE(3422), 1,
      sym__double_quote_string,
    STATE(3447), 1,
      sym__integer,
    STATE(3691), 1,
      sym__expression,
    STATE(5429), 1,
      sym_all_fields,
    STATE(5832), 1,
      sym__aggregate_expression,
    STATE(7280), 1,
      sym__alias_identifier,
    STATE(888), 2,
      sym_comment,
      sym_marginalia,
    STATE(3561), 2,
      sym_count,
      sym_group_concat,
    STATE(3593), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(2825), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3562), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [61433] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2989), 1,
      sym_keyword_zerofill,
    STATE(889), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1457), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1455), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [61499] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2991), 1,
      sym_keyword_zerofill,
    STATE(890), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1367), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1365), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [61565] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2993), 1,
      sym_keyword_zerofill,
    STATE(891), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1413), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1411), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [61631] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2995), 1,
      sym_keyword_zerofill,
    STATE(892), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1425), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1423), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [61697] = 34,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2587), 1,
      sym__identifier,
    ACTIONS(2589), 1,
      sym_keyword_cast,
    ACTIONS(2591), 1,
      sym_keyword_count,
    ACTIONS(2593), 1,
      sym_keyword_group_concat,
    ACTIONS(2595), 1,
      sym_keyword_case,
    ACTIONS(2597), 1,
      sym_keyword_not,
    ACTIONS(2601), 1,
      sym_keyword_interval,
    ACTIONS(2603), 1,
      sym_keyword_array,
    ACTIONS(2605), 1,
      anon_sym_LPAREN,
    ACTIONS(2607), 1,
      anon_sym_DOT,
    ACTIONS(2609), 1,
      anon_sym_QMARK,
    ACTIONS(2611), 1,
      anon_sym_DOLLAR,
    ACTIONS(2613), 1,
      anon_sym_SQUOTE,
    ACTIONS(2615), 1,
      anon_sym_DASH,
    ACTIONS(2617), 1,
      anon_sym_DQUOTE,
    ACTIONS(2619), 1,
      sym__natural_number,
    ACTIONS(2621), 1,
      sym_bang,
    ACTIONS(2623), 1,
      anon_sym_BQUOTE,
    STATE(362), 1,
      sym__expression,
    STATE(2418), 1,
      sym_identifier,
    STATE(2458), 1,
      sym_invocation,
    STATE(2474), 1,
      sym__double_quote_string,
    STATE(2475), 1,
      sym__integer,
    STATE(4569), 1,
      sym__select_expression,
    STATE(7009), 1,
      sym__alias_identifier,
    STATE(893), 2,
      sym_comment,
      sym_marginalia,
    STATE(2590), 2,
      sym_count,
      sym_group_concat,
    STATE(2593), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(4585), 2,
      sym_term,
      sym_all_fields,
    ACTIONS(2599), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2591), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [61819] = 35,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2811), 1,
      sym__identifier,
    ACTIONS(2813), 1,
      sym_keyword_distinct,
    ACTIONS(2815), 1,
      sym_keyword_cast,
    ACTIONS(2817), 1,
      sym_keyword_count,
    ACTIONS(2819), 1,
      sym_keyword_group_concat,
    ACTIONS(2821), 1,
      sym_keyword_case,
    ACTIONS(2823), 1,
      sym_keyword_not,
    ACTIONS(2827), 1,
      sym_keyword_interval,
    ACTIONS(2829), 1,
      sym_keyword_array,
    ACTIONS(2831), 1,
      anon_sym_LPAREN,
    ACTIONS(2833), 1,
      anon_sym_DOT,
    ACTIONS(2835), 1,
      anon_sym_QMARK,
    ACTIONS(2837), 1,
      anon_sym_DOLLAR,
    ACTIONS(2839), 1,
      anon_sym_SQUOTE,
    ACTIONS(2841), 1,
      anon_sym_DASH,
    ACTIONS(2843), 1,
      anon_sym_DQUOTE,
    ACTIONS(2845), 1,
      sym__natural_number,
    ACTIONS(2847), 1,
      sym_bang,
    ACTIONS(2849), 1,
      anon_sym_BQUOTE,
    STATE(3329), 1,
      sym_identifier,
    STATE(3418), 1,
      sym_invocation,
    STATE(3422), 1,
      sym__double_quote_string,
    STATE(3447), 1,
      sym__integer,
    STATE(3691), 1,
      sym__expression,
    STATE(5429), 1,
      sym_all_fields,
    STATE(6828), 1,
      sym__aggregate_expression,
    STATE(7280), 1,
      sym__alias_identifier,
    STATE(894), 2,
      sym_comment,
      sym_marginalia,
    STATE(3561), 2,
      sym_count,
      sym_group_concat,
    STATE(3593), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(2825), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3562), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [61943] = 35,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2811), 1,
      sym__identifier,
    ACTIONS(2813), 1,
      sym_keyword_distinct,
    ACTIONS(2815), 1,
      sym_keyword_cast,
    ACTIONS(2817), 1,
      sym_keyword_count,
    ACTIONS(2819), 1,
      sym_keyword_group_concat,
    ACTIONS(2821), 1,
      sym_keyword_case,
    ACTIONS(2823), 1,
      sym_keyword_not,
    ACTIONS(2827), 1,
      sym_keyword_interval,
    ACTIONS(2829), 1,
      sym_keyword_array,
    ACTIONS(2831), 1,
      anon_sym_LPAREN,
    ACTIONS(2833), 1,
      anon_sym_DOT,
    ACTIONS(2835), 1,
      anon_sym_QMARK,
    ACTIONS(2837), 1,
      anon_sym_DOLLAR,
    ACTIONS(2839), 1,
      anon_sym_SQUOTE,
    ACTIONS(2841), 1,
      anon_sym_DASH,
    ACTIONS(2843), 1,
      anon_sym_DQUOTE,
    ACTIONS(2845), 1,
      sym__natural_number,
    ACTIONS(2847), 1,
      sym_bang,
    ACTIONS(2849), 1,
      anon_sym_BQUOTE,
    STATE(3329), 1,
      sym_identifier,
    STATE(3418), 1,
      sym_invocation,
    STATE(3422), 1,
      sym__double_quote_string,
    STATE(3447), 1,
      sym__integer,
    STATE(3691), 1,
      sym__expression,
    STATE(5429), 1,
      sym_all_fields,
    STATE(5885), 1,
      sym__aggregate_expression,
    STATE(7280), 1,
      sym__alias_identifier,
    STATE(895), 2,
      sym_comment,
      sym_marginalia,
    STATE(3561), 2,
      sym_count,
      sym_group_concat,
    STATE(3593), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(2825), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3562), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [62067] = 35,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2811), 1,
      sym__identifier,
    ACTIONS(2813), 1,
      sym_keyword_distinct,
    ACTIONS(2815), 1,
      sym_keyword_cast,
    ACTIONS(2817), 1,
      sym_keyword_count,
    ACTIONS(2819), 1,
      sym_keyword_group_concat,
    ACTIONS(2821), 1,
      sym_keyword_case,
    ACTIONS(2823), 1,
      sym_keyword_not,
    ACTIONS(2827), 1,
      sym_keyword_interval,
    ACTIONS(2829), 1,
      sym_keyword_array,
    ACTIONS(2831), 1,
      anon_sym_LPAREN,
    ACTIONS(2833), 1,
      anon_sym_DOT,
    ACTIONS(2835), 1,
      anon_sym_QMARK,
    ACTIONS(2837), 1,
      anon_sym_DOLLAR,
    ACTIONS(2839), 1,
      anon_sym_SQUOTE,
    ACTIONS(2841), 1,
      anon_sym_DASH,
    ACTIONS(2843), 1,
      anon_sym_DQUOTE,
    ACTIONS(2845), 1,
      sym__natural_number,
    ACTIONS(2847), 1,
      sym_bang,
    ACTIONS(2849), 1,
      anon_sym_BQUOTE,
    STATE(3329), 1,
      sym_identifier,
    STATE(3418), 1,
      sym_invocation,
    STATE(3422), 1,
      sym__double_quote_string,
    STATE(3447), 1,
      sym__integer,
    STATE(3691), 1,
      sym__expression,
    STATE(5429), 1,
      sym_all_fields,
    STATE(6674), 1,
      sym__aggregate_expression,
    STATE(7280), 1,
      sym__alias_identifier,
    STATE(896), 2,
      sym_comment,
      sym_marginalia,
    STATE(3561), 2,
      sym_count,
      sym_group_concat,
    STATE(3593), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(2825), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3562), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [62191] = 35,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2811), 1,
      sym__identifier,
    ACTIONS(2813), 1,
      sym_keyword_distinct,
    ACTIONS(2815), 1,
      sym_keyword_cast,
    ACTIONS(2817), 1,
      sym_keyword_count,
    ACTIONS(2819), 1,
      sym_keyword_group_concat,
    ACTIONS(2821), 1,
      sym_keyword_case,
    ACTIONS(2823), 1,
      sym_keyword_not,
    ACTIONS(2827), 1,
      sym_keyword_interval,
    ACTIONS(2829), 1,
      sym_keyword_array,
    ACTIONS(2831), 1,
      anon_sym_LPAREN,
    ACTIONS(2833), 1,
      anon_sym_DOT,
    ACTIONS(2835), 1,
      anon_sym_QMARK,
    ACTIONS(2837), 1,
      anon_sym_DOLLAR,
    ACTIONS(2839), 1,
      anon_sym_SQUOTE,
    ACTIONS(2841), 1,
      anon_sym_DASH,
    ACTIONS(2843), 1,
      anon_sym_DQUOTE,
    ACTIONS(2845), 1,
      sym__natural_number,
    ACTIONS(2847), 1,
      sym_bang,
    ACTIONS(2849), 1,
      anon_sym_BQUOTE,
    STATE(3329), 1,
      sym_identifier,
    STATE(3418), 1,
      sym_invocation,
    STATE(3422), 1,
      sym__double_quote_string,
    STATE(3447), 1,
      sym__integer,
    STATE(3691), 1,
      sym__expression,
    STATE(5429), 1,
      sym_all_fields,
    STATE(6002), 1,
      sym__aggregate_expression,
    STATE(7280), 1,
      sym__alias_identifier,
    STATE(897), 2,
      sym_comment,
      sym_marginalia,
    STATE(3561), 2,
      sym_count,
      sym_group_concat,
    STATE(3593), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(2825), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3562), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [62315] = 35,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2811), 1,
      sym__identifier,
    ACTIONS(2813), 1,
      sym_keyword_distinct,
    ACTIONS(2815), 1,
      sym_keyword_cast,
    ACTIONS(2817), 1,
      sym_keyword_count,
    ACTIONS(2819), 1,
      sym_keyword_group_concat,
    ACTIONS(2821), 1,
      sym_keyword_case,
    ACTIONS(2823), 1,
      sym_keyword_not,
    ACTIONS(2827), 1,
      sym_keyword_interval,
    ACTIONS(2829), 1,
      sym_keyword_array,
    ACTIONS(2831), 1,
      anon_sym_LPAREN,
    ACTIONS(2833), 1,
      anon_sym_DOT,
    ACTIONS(2835), 1,
      anon_sym_QMARK,
    ACTIONS(2837), 1,
      anon_sym_DOLLAR,
    ACTIONS(2839), 1,
      anon_sym_SQUOTE,
    ACTIONS(2841), 1,
      anon_sym_DASH,
    ACTIONS(2843), 1,
      anon_sym_DQUOTE,
    ACTIONS(2845), 1,
      sym__natural_number,
    ACTIONS(2847), 1,
      sym_bang,
    ACTIONS(2849), 1,
      anon_sym_BQUOTE,
    STATE(3329), 1,
      sym_identifier,
    STATE(3418), 1,
      sym_invocation,
    STATE(3422), 1,
      sym__double_quote_string,
    STATE(3447), 1,
      sym__integer,
    STATE(3691), 1,
      sym__expression,
    STATE(5429), 1,
      sym_all_fields,
    STATE(6573), 1,
      sym__aggregate_expression,
    STATE(7280), 1,
      sym__alias_identifier,
    STATE(898), 2,
      sym_comment,
      sym_marginalia,
    STATE(3561), 2,
      sym_count,
      sym_group_concat,
    STATE(3593), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(2825), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3562), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [62439] = 35,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2811), 1,
      sym__identifier,
    ACTIONS(2813), 1,
      sym_keyword_distinct,
    ACTIONS(2815), 1,
      sym_keyword_cast,
    ACTIONS(2817), 1,
      sym_keyword_count,
    ACTIONS(2819), 1,
      sym_keyword_group_concat,
    ACTIONS(2821), 1,
      sym_keyword_case,
    ACTIONS(2823), 1,
      sym_keyword_not,
    ACTIONS(2827), 1,
      sym_keyword_interval,
    ACTIONS(2829), 1,
      sym_keyword_array,
    ACTIONS(2831), 1,
      anon_sym_LPAREN,
    ACTIONS(2833), 1,
      anon_sym_DOT,
    ACTIONS(2835), 1,
      anon_sym_QMARK,
    ACTIONS(2837), 1,
      anon_sym_DOLLAR,
    ACTIONS(2839), 1,
      anon_sym_SQUOTE,
    ACTIONS(2841), 1,
      anon_sym_DASH,
    ACTIONS(2843), 1,
      anon_sym_DQUOTE,
    ACTIONS(2845), 1,
      sym__natural_number,
    ACTIONS(2847), 1,
      sym_bang,
    ACTIONS(2849), 1,
      anon_sym_BQUOTE,
    STATE(3329), 1,
      sym_identifier,
    STATE(3418), 1,
      sym_invocation,
    STATE(3422), 1,
      sym__double_quote_string,
    STATE(3447), 1,
      sym__integer,
    STATE(3691), 1,
      sym__expression,
    STATE(5429), 1,
      sym_all_fields,
    STATE(5984), 1,
      sym__aggregate_expression,
    STATE(7280), 1,
      sym__alias_identifier,
    STATE(899), 2,
      sym_comment,
      sym_marginalia,
    STATE(3561), 2,
      sym_count,
      sym_group_concat,
    STATE(3593), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(2825), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3562), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [62563] = 35,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2811), 1,
      sym__identifier,
    ACTIONS(2813), 1,
      sym_keyword_distinct,
    ACTIONS(2815), 1,
      sym_keyword_cast,
    ACTIONS(2817), 1,
      sym_keyword_count,
    ACTIONS(2819), 1,
      sym_keyword_group_concat,
    ACTIONS(2821), 1,
      sym_keyword_case,
    ACTIONS(2823), 1,
      sym_keyword_not,
    ACTIONS(2827), 1,
      sym_keyword_interval,
    ACTIONS(2829), 1,
      sym_keyword_array,
    ACTIONS(2831), 1,
      anon_sym_LPAREN,
    ACTIONS(2833), 1,
      anon_sym_DOT,
    ACTIONS(2835), 1,
      anon_sym_QMARK,
    ACTIONS(2837), 1,
      anon_sym_DOLLAR,
    ACTIONS(2839), 1,
      anon_sym_SQUOTE,
    ACTIONS(2841), 1,
      anon_sym_DASH,
    ACTIONS(2843), 1,
      anon_sym_DQUOTE,
    ACTIONS(2845), 1,
      sym__natural_number,
    ACTIONS(2847), 1,
      sym_bang,
    ACTIONS(2849), 1,
      anon_sym_BQUOTE,
    STATE(3329), 1,
      sym_identifier,
    STATE(3418), 1,
      sym_invocation,
    STATE(3422), 1,
      sym__double_quote_string,
    STATE(3447), 1,
      sym__integer,
    STATE(3691), 1,
      sym__expression,
    STATE(5429), 1,
      sym_all_fields,
    STATE(6483), 1,
      sym__aggregate_expression,
    STATE(7280), 1,
      sym__alias_identifier,
    STATE(900), 2,
      sym_comment,
      sym_marginalia,
    STATE(3561), 2,
      sym_count,
      sym_group_concat,
    STATE(3593), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(2825), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3562), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [62687] = 35,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2811), 1,
      sym__identifier,
    ACTIONS(2813), 1,
      sym_keyword_distinct,
    ACTIONS(2815), 1,
      sym_keyword_cast,
    ACTIONS(2817), 1,
      sym_keyword_count,
    ACTIONS(2819), 1,
      sym_keyword_group_concat,
    ACTIONS(2821), 1,
      sym_keyword_case,
    ACTIONS(2823), 1,
      sym_keyword_not,
    ACTIONS(2827), 1,
      sym_keyword_interval,
    ACTIONS(2829), 1,
      sym_keyword_array,
    ACTIONS(2831), 1,
      anon_sym_LPAREN,
    ACTIONS(2833), 1,
      anon_sym_DOT,
    ACTIONS(2835), 1,
      anon_sym_QMARK,
    ACTIONS(2837), 1,
      anon_sym_DOLLAR,
    ACTIONS(2839), 1,
      anon_sym_SQUOTE,
    ACTIONS(2841), 1,
      anon_sym_DASH,
    ACTIONS(2843), 1,
      anon_sym_DQUOTE,
    ACTIONS(2845), 1,
      sym__natural_number,
    ACTIONS(2847), 1,
      sym_bang,
    ACTIONS(2849), 1,
      anon_sym_BQUOTE,
    STATE(3329), 1,
      sym_identifier,
    STATE(3418), 1,
      sym_invocation,
    STATE(3422), 1,
      sym__double_quote_string,
    STATE(3447), 1,
      sym__integer,
    STATE(3691), 1,
      sym__expression,
    STATE(5429), 1,
      sym_all_fields,
    STATE(5935), 1,
      sym__aggregate_expression,
    STATE(7280), 1,
      sym__alias_identifier,
    STATE(901), 2,
      sym_comment,
      sym_marginalia,
    STATE(3561), 2,
      sym_count,
      sym_group_concat,
    STATE(3593), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(2825), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3562), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [62811] = 35,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2811), 1,
      sym__identifier,
    ACTIONS(2813), 1,
      sym_keyword_distinct,
    ACTIONS(2815), 1,
      sym_keyword_cast,
    ACTIONS(2817), 1,
      sym_keyword_count,
    ACTIONS(2819), 1,
      sym_keyword_group_concat,
    ACTIONS(2821), 1,
      sym_keyword_case,
    ACTIONS(2823), 1,
      sym_keyword_not,
    ACTIONS(2827), 1,
      sym_keyword_interval,
    ACTIONS(2829), 1,
      sym_keyword_array,
    ACTIONS(2831), 1,
      anon_sym_LPAREN,
    ACTIONS(2833), 1,
      anon_sym_DOT,
    ACTIONS(2835), 1,
      anon_sym_QMARK,
    ACTIONS(2837), 1,
      anon_sym_DOLLAR,
    ACTIONS(2839), 1,
      anon_sym_SQUOTE,
    ACTIONS(2841), 1,
      anon_sym_DASH,
    ACTIONS(2843), 1,
      anon_sym_DQUOTE,
    ACTIONS(2845), 1,
      sym__natural_number,
    ACTIONS(2847), 1,
      sym_bang,
    ACTIONS(2849), 1,
      anon_sym_BQUOTE,
    STATE(3329), 1,
      sym_identifier,
    STATE(3418), 1,
      sym_invocation,
    STATE(3422), 1,
      sym__double_quote_string,
    STATE(3447), 1,
      sym__integer,
    STATE(3691), 1,
      sym__expression,
    STATE(5429), 1,
      sym_all_fields,
    STATE(6406), 1,
      sym__aggregate_expression,
    STATE(7280), 1,
      sym__alias_identifier,
    STATE(902), 2,
      sym_comment,
      sym_marginalia,
    STATE(3561), 2,
      sym_count,
      sym_group_concat,
    STATE(3593), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(2825), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3562), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [62935] = 35,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2811), 1,
      sym__identifier,
    ACTIONS(2813), 1,
      sym_keyword_distinct,
    ACTIONS(2815), 1,
      sym_keyword_cast,
    ACTIONS(2817), 1,
      sym_keyword_count,
    ACTIONS(2819), 1,
      sym_keyword_group_concat,
    ACTIONS(2821), 1,
      sym_keyword_case,
    ACTIONS(2823), 1,
      sym_keyword_not,
    ACTIONS(2827), 1,
      sym_keyword_interval,
    ACTIONS(2829), 1,
      sym_keyword_array,
    ACTIONS(2831), 1,
      anon_sym_LPAREN,
    ACTIONS(2833), 1,
      anon_sym_DOT,
    ACTIONS(2835), 1,
      anon_sym_QMARK,
    ACTIONS(2837), 1,
      anon_sym_DOLLAR,
    ACTIONS(2839), 1,
      anon_sym_SQUOTE,
    ACTIONS(2841), 1,
      anon_sym_DASH,
    ACTIONS(2843), 1,
      anon_sym_DQUOTE,
    ACTIONS(2845), 1,
      sym__natural_number,
    ACTIONS(2847), 1,
      sym_bang,
    ACTIONS(2849), 1,
      anon_sym_BQUOTE,
    STATE(3329), 1,
      sym_identifier,
    STATE(3418), 1,
      sym_invocation,
    STATE(3422), 1,
      sym__double_quote_string,
    STATE(3447), 1,
      sym__integer,
    STATE(3691), 1,
      sym__expression,
    STATE(5429), 1,
      sym_all_fields,
    STATE(5886), 1,
      sym__aggregate_expression,
    STATE(7280), 1,
      sym__alias_identifier,
    STATE(903), 2,
      sym_comment,
      sym_marginalia,
    STATE(3561), 2,
      sym_count,
      sym_group_concat,
    STATE(3593), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(2825), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3562), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [63059] = 35,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2811), 1,
      sym__identifier,
    ACTIONS(2813), 1,
      sym_keyword_distinct,
    ACTIONS(2815), 1,
      sym_keyword_cast,
    ACTIONS(2817), 1,
      sym_keyword_count,
    ACTIONS(2819), 1,
      sym_keyword_group_concat,
    ACTIONS(2821), 1,
      sym_keyword_case,
    ACTIONS(2823), 1,
      sym_keyword_not,
    ACTIONS(2827), 1,
      sym_keyword_interval,
    ACTIONS(2829), 1,
      sym_keyword_array,
    ACTIONS(2831), 1,
      anon_sym_LPAREN,
    ACTIONS(2833), 1,
      anon_sym_DOT,
    ACTIONS(2835), 1,
      anon_sym_QMARK,
    ACTIONS(2837), 1,
      anon_sym_DOLLAR,
    ACTIONS(2839), 1,
      anon_sym_SQUOTE,
    ACTIONS(2841), 1,
      anon_sym_DASH,
    ACTIONS(2843), 1,
      anon_sym_DQUOTE,
    ACTIONS(2845), 1,
      sym__natural_number,
    ACTIONS(2847), 1,
      sym_bang,
    ACTIONS(2849), 1,
      anon_sym_BQUOTE,
    STATE(3329), 1,
      sym_identifier,
    STATE(3418), 1,
      sym_invocation,
    STATE(3422), 1,
      sym__double_quote_string,
    STATE(3447), 1,
      sym__integer,
    STATE(3691), 1,
      sym__expression,
    STATE(5429), 1,
      sym_all_fields,
    STATE(6361), 1,
      sym__aggregate_expression,
    STATE(7280), 1,
      sym__alias_identifier,
    STATE(904), 2,
      sym_comment,
      sym_marginalia,
    STATE(3561), 2,
      sym_count,
      sym_group_concat,
    STATE(3593), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(2825), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3562), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [63183] = 35,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2811), 1,
      sym__identifier,
    ACTIONS(2813), 1,
      sym_keyword_distinct,
    ACTIONS(2815), 1,
      sym_keyword_cast,
    ACTIONS(2817), 1,
      sym_keyword_count,
    ACTIONS(2819), 1,
      sym_keyword_group_concat,
    ACTIONS(2821), 1,
      sym_keyword_case,
    ACTIONS(2823), 1,
      sym_keyword_not,
    ACTIONS(2827), 1,
      sym_keyword_interval,
    ACTIONS(2829), 1,
      sym_keyword_array,
    ACTIONS(2831), 1,
      anon_sym_LPAREN,
    ACTIONS(2833), 1,
      anon_sym_DOT,
    ACTIONS(2835), 1,
      anon_sym_QMARK,
    ACTIONS(2837), 1,
      anon_sym_DOLLAR,
    ACTIONS(2839), 1,
      anon_sym_SQUOTE,
    ACTIONS(2841), 1,
      anon_sym_DASH,
    ACTIONS(2843), 1,
      anon_sym_DQUOTE,
    ACTIONS(2845), 1,
      sym__natural_number,
    ACTIONS(2847), 1,
      sym_bang,
    ACTIONS(2849), 1,
      anon_sym_BQUOTE,
    STATE(3329), 1,
      sym_identifier,
    STATE(3418), 1,
      sym_invocation,
    STATE(3422), 1,
      sym__double_quote_string,
    STATE(3447), 1,
      sym__integer,
    STATE(3691), 1,
      sym__expression,
    STATE(5429), 1,
      sym_all_fields,
    STATE(5859), 1,
      sym__aggregate_expression,
    STATE(7280), 1,
      sym__alias_identifier,
    STATE(905), 2,
      sym_comment,
      sym_marginalia,
    STATE(3561), 2,
      sym_count,
      sym_group_concat,
    STATE(3593), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(2825), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3562), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [63307] = 35,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2811), 1,
      sym__identifier,
    ACTIONS(2813), 1,
      sym_keyword_distinct,
    ACTIONS(2815), 1,
      sym_keyword_cast,
    ACTIONS(2817), 1,
      sym_keyword_count,
    ACTIONS(2819), 1,
      sym_keyword_group_concat,
    ACTIONS(2821), 1,
      sym_keyword_case,
    ACTIONS(2823), 1,
      sym_keyword_not,
    ACTIONS(2827), 1,
      sym_keyword_interval,
    ACTIONS(2829), 1,
      sym_keyword_array,
    ACTIONS(2831), 1,
      anon_sym_LPAREN,
    ACTIONS(2833), 1,
      anon_sym_DOT,
    ACTIONS(2835), 1,
      anon_sym_QMARK,
    ACTIONS(2837), 1,
      anon_sym_DOLLAR,
    ACTIONS(2839), 1,
      anon_sym_SQUOTE,
    ACTIONS(2841), 1,
      anon_sym_DASH,
    ACTIONS(2843), 1,
      anon_sym_DQUOTE,
    ACTIONS(2845), 1,
      sym__natural_number,
    ACTIONS(2847), 1,
      sym_bang,
    ACTIONS(2849), 1,
      anon_sym_BQUOTE,
    STATE(3329), 1,
      sym_identifier,
    STATE(3418), 1,
      sym_invocation,
    STATE(3422), 1,
      sym__double_quote_string,
    STATE(3447), 1,
      sym__integer,
    STATE(3691), 1,
      sym__expression,
    STATE(5429), 1,
      sym_all_fields,
    STATE(6302), 1,
      sym__aggregate_expression,
    STATE(7280), 1,
      sym__alias_identifier,
    STATE(906), 2,
      sym_comment,
      sym_marginalia,
    STATE(3561), 2,
      sym_count,
      sym_group_concat,
    STATE(3593), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(2825), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3562), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [63431] = 35,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2811), 1,
      sym__identifier,
    ACTIONS(2813), 1,
      sym_keyword_distinct,
    ACTIONS(2815), 1,
      sym_keyword_cast,
    ACTIONS(2817), 1,
      sym_keyword_count,
    ACTIONS(2819), 1,
      sym_keyword_group_concat,
    ACTIONS(2821), 1,
      sym_keyword_case,
    ACTIONS(2823), 1,
      sym_keyword_not,
    ACTIONS(2827), 1,
      sym_keyword_interval,
    ACTIONS(2829), 1,
      sym_keyword_array,
    ACTIONS(2831), 1,
      anon_sym_LPAREN,
    ACTIONS(2833), 1,
      anon_sym_DOT,
    ACTIONS(2835), 1,
      anon_sym_QMARK,
    ACTIONS(2837), 1,
      anon_sym_DOLLAR,
    ACTIONS(2839), 1,
      anon_sym_SQUOTE,
    ACTIONS(2841), 1,
      anon_sym_DASH,
    ACTIONS(2843), 1,
      anon_sym_DQUOTE,
    ACTIONS(2845), 1,
      sym__natural_number,
    ACTIONS(2847), 1,
      sym_bang,
    ACTIONS(2849), 1,
      anon_sym_BQUOTE,
    STATE(3329), 1,
      sym_identifier,
    STATE(3418), 1,
      sym_invocation,
    STATE(3422), 1,
      sym__double_quote_string,
    STATE(3447), 1,
      sym__integer,
    STATE(3691), 1,
      sym__expression,
    STATE(5429), 1,
      sym_all_fields,
    STATE(5819), 1,
      sym__aggregate_expression,
    STATE(7280), 1,
      sym__alias_identifier,
    STATE(907), 2,
      sym_comment,
      sym_marginalia,
    STATE(3561), 2,
      sym_count,
      sym_group_concat,
    STATE(3593), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(2825), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3562), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [63555] = 35,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2811), 1,
      sym__identifier,
    ACTIONS(2813), 1,
      sym_keyword_distinct,
    ACTIONS(2815), 1,
      sym_keyword_cast,
    ACTIONS(2817), 1,
      sym_keyword_count,
    ACTIONS(2819), 1,
      sym_keyword_group_concat,
    ACTIONS(2821), 1,
      sym_keyword_case,
    ACTIONS(2823), 1,
      sym_keyword_not,
    ACTIONS(2827), 1,
      sym_keyword_interval,
    ACTIONS(2829), 1,
      sym_keyword_array,
    ACTIONS(2831), 1,
      anon_sym_LPAREN,
    ACTIONS(2833), 1,
      anon_sym_DOT,
    ACTIONS(2835), 1,
      anon_sym_QMARK,
    ACTIONS(2837), 1,
      anon_sym_DOLLAR,
    ACTIONS(2839), 1,
      anon_sym_SQUOTE,
    ACTIONS(2841), 1,
      anon_sym_DASH,
    ACTIONS(2843), 1,
      anon_sym_DQUOTE,
    ACTIONS(2845), 1,
      sym__natural_number,
    ACTIONS(2847), 1,
      sym_bang,
    ACTIONS(2849), 1,
      anon_sym_BQUOTE,
    STATE(3329), 1,
      sym_identifier,
    STATE(3418), 1,
      sym_invocation,
    STATE(3422), 1,
      sym__double_quote_string,
    STATE(3447), 1,
      sym__integer,
    STATE(3691), 1,
      sym__expression,
    STATE(5429), 1,
      sym_all_fields,
    STATE(6235), 1,
      sym__aggregate_expression,
    STATE(7280), 1,
      sym__alias_identifier,
    STATE(908), 2,
      sym_comment,
      sym_marginalia,
    STATE(3561), 2,
      sym_count,
      sym_group_concat,
    STATE(3593), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(2825), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3562), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [63679] = 35,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2811), 1,
      sym__identifier,
    ACTIONS(2813), 1,
      sym_keyword_distinct,
    ACTIONS(2815), 1,
      sym_keyword_cast,
    ACTIONS(2817), 1,
      sym_keyword_count,
    ACTIONS(2819), 1,
      sym_keyword_group_concat,
    ACTIONS(2821), 1,
      sym_keyword_case,
    ACTIONS(2823), 1,
      sym_keyword_not,
    ACTIONS(2827), 1,
      sym_keyword_interval,
    ACTIONS(2829), 1,
      sym_keyword_array,
    ACTIONS(2831), 1,
      anon_sym_LPAREN,
    ACTIONS(2833), 1,
      anon_sym_DOT,
    ACTIONS(2835), 1,
      anon_sym_QMARK,
    ACTIONS(2837), 1,
      anon_sym_DOLLAR,
    ACTIONS(2839), 1,
      anon_sym_SQUOTE,
    ACTIONS(2841), 1,
      anon_sym_DASH,
    ACTIONS(2843), 1,
      anon_sym_DQUOTE,
    ACTIONS(2845), 1,
      sym__natural_number,
    ACTIONS(2847), 1,
      sym_bang,
    ACTIONS(2849), 1,
      anon_sym_BQUOTE,
    STATE(3329), 1,
      sym_identifier,
    STATE(3418), 1,
      sym_invocation,
    STATE(3422), 1,
      sym__double_quote_string,
    STATE(3447), 1,
      sym__integer,
    STATE(3691), 1,
      sym__expression,
    STATE(5429), 1,
      sym_all_fields,
    STATE(5805), 1,
      sym__aggregate_expression,
    STATE(7280), 1,
      sym__alias_identifier,
    STATE(909), 2,
      sym_comment,
      sym_marginalia,
    STATE(3561), 2,
      sym_count,
      sym_group_concat,
    STATE(3593), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(2825), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3562), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [63803] = 35,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2811), 1,
      sym__identifier,
    ACTIONS(2813), 1,
      sym_keyword_distinct,
    ACTIONS(2815), 1,
      sym_keyword_cast,
    ACTIONS(2817), 1,
      sym_keyword_count,
    ACTIONS(2819), 1,
      sym_keyword_group_concat,
    ACTIONS(2821), 1,
      sym_keyword_case,
    ACTIONS(2823), 1,
      sym_keyword_not,
    ACTIONS(2827), 1,
      sym_keyword_interval,
    ACTIONS(2829), 1,
      sym_keyword_array,
    ACTIONS(2831), 1,
      anon_sym_LPAREN,
    ACTIONS(2833), 1,
      anon_sym_DOT,
    ACTIONS(2835), 1,
      anon_sym_QMARK,
    ACTIONS(2837), 1,
      anon_sym_DOLLAR,
    ACTIONS(2839), 1,
      anon_sym_SQUOTE,
    ACTIONS(2841), 1,
      anon_sym_DASH,
    ACTIONS(2843), 1,
      anon_sym_DQUOTE,
    ACTIONS(2845), 1,
      sym__natural_number,
    ACTIONS(2847), 1,
      sym_bang,
    ACTIONS(2849), 1,
      anon_sym_BQUOTE,
    STATE(3329), 1,
      sym_identifier,
    STATE(3418), 1,
      sym_invocation,
    STATE(3422), 1,
      sym__double_quote_string,
    STATE(3447), 1,
      sym__integer,
    STATE(3691), 1,
      sym__expression,
    STATE(5429), 1,
      sym_all_fields,
    STATE(6159), 1,
      sym__aggregate_expression,
    STATE(7280), 1,
      sym__alias_identifier,
    STATE(910), 2,
      sym_comment,
      sym_marginalia,
    STATE(3561), 2,
      sym_count,
      sym_group_concat,
    STATE(3593), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(2825), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3562), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [63927] = 35,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2811), 1,
      sym__identifier,
    ACTIONS(2813), 1,
      sym_keyword_distinct,
    ACTIONS(2815), 1,
      sym_keyword_cast,
    ACTIONS(2817), 1,
      sym_keyword_count,
    ACTIONS(2819), 1,
      sym_keyword_group_concat,
    ACTIONS(2821), 1,
      sym_keyword_case,
    ACTIONS(2823), 1,
      sym_keyword_not,
    ACTIONS(2827), 1,
      sym_keyword_interval,
    ACTIONS(2829), 1,
      sym_keyword_array,
    ACTIONS(2831), 1,
      anon_sym_LPAREN,
    ACTIONS(2833), 1,
      anon_sym_DOT,
    ACTIONS(2835), 1,
      anon_sym_QMARK,
    ACTIONS(2837), 1,
      anon_sym_DOLLAR,
    ACTIONS(2839), 1,
      anon_sym_SQUOTE,
    ACTIONS(2841), 1,
      anon_sym_DASH,
    ACTIONS(2843), 1,
      anon_sym_DQUOTE,
    ACTIONS(2845), 1,
      sym__natural_number,
    ACTIONS(2847), 1,
      sym_bang,
    ACTIONS(2849), 1,
      anon_sym_BQUOTE,
    STATE(3329), 1,
      sym_identifier,
    STATE(3418), 1,
      sym_invocation,
    STATE(3422), 1,
      sym__double_quote_string,
    STATE(3447), 1,
      sym__integer,
    STATE(3691), 1,
      sym__expression,
    STATE(5429), 1,
      sym_all_fields,
    STATE(5874), 1,
      sym__aggregate_expression,
    STATE(7280), 1,
      sym__alias_identifier,
    STATE(911), 2,
      sym_comment,
      sym_marginalia,
    STATE(3561), 2,
      sym_count,
      sym_group_concat,
    STATE(3593), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(2825), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3562), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [64051] = 35,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2811), 1,
      sym__identifier,
    ACTIONS(2813), 1,
      sym_keyword_distinct,
    ACTIONS(2815), 1,
      sym_keyword_cast,
    ACTIONS(2817), 1,
      sym_keyword_count,
    ACTIONS(2819), 1,
      sym_keyword_group_concat,
    ACTIONS(2821), 1,
      sym_keyword_case,
    ACTIONS(2823), 1,
      sym_keyword_not,
    ACTIONS(2827), 1,
      sym_keyword_interval,
    ACTIONS(2829), 1,
      sym_keyword_array,
    ACTIONS(2831), 1,
      anon_sym_LPAREN,
    ACTIONS(2833), 1,
      anon_sym_DOT,
    ACTIONS(2835), 1,
      anon_sym_QMARK,
    ACTIONS(2837), 1,
      anon_sym_DOLLAR,
    ACTIONS(2839), 1,
      anon_sym_SQUOTE,
    ACTIONS(2841), 1,
      anon_sym_DASH,
    ACTIONS(2843), 1,
      anon_sym_DQUOTE,
    ACTIONS(2845), 1,
      sym__natural_number,
    ACTIONS(2847), 1,
      sym_bang,
    ACTIONS(2849), 1,
      anon_sym_BQUOTE,
    STATE(3329), 1,
      sym_identifier,
    STATE(3418), 1,
      sym_invocation,
    STATE(3422), 1,
      sym__double_quote_string,
    STATE(3447), 1,
      sym__integer,
    STATE(3691), 1,
      sym__expression,
    STATE(5429), 1,
      sym_all_fields,
    STATE(6086), 1,
      sym__aggregate_expression,
    STATE(7280), 1,
      sym__alias_identifier,
    STATE(912), 2,
      sym_comment,
      sym_marginalia,
    STATE(3561), 2,
      sym_count,
      sym_group_concat,
    STATE(3593), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(2825), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3562), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [64175] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(913), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(947), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(949), 43,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [64239] = 34,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2543), 1,
      sym_keyword_cast,
    ACTIONS(2545), 1,
      sym_keyword_count,
    ACTIONS(2547), 1,
      sym_keyword_group_concat,
    ACTIONS(2549), 1,
      sym_keyword_case,
    ACTIONS(2551), 1,
      sym_keyword_not,
    ACTIONS(2555), 1,
      sym_keyword_interval,
    ACTIONS(2557), 1,
      sym_keyword_array,
    ACTIONS(2559), 1,
      anon_sym_LPAREN,
    ACTIONS(2561), 1,
      anon_sym_DOT,
    ACTIONS(2563), 1,
      anon_sym_QMARK,
    ACTIONS(2565), 1,
      anon_sym_DOLLAR,
    ACTIONS(2567), 1,
      anon_sym_SQUOTE,
    ACTIONS(2569), 1,
      anon_sym_DASH,
    ACTIONS(2571), 1,
      sym__natural_number,
    ACTIONS(2573), 1,
      sym_bang,
    STATE(132), 1,
      sym__expression,
    STATE(580), 1,
      sym__integer,
    STATE(1249), 1,
      sym_identifier,
    STATE(1716), 1,
      sym__double_quote_string,
    STATE(1720), 1,
      sym_invocation,
    STATE(4569), 1,
      sym__select_expression,
    STATE(7523), 1,
      sym__alias_identifier,
    STATE(671), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(914), 2,
      sym_comment,
      sym_marginalia,
    STATE(2276), 2,
      sym_count,
      sym_group_concat,
    STATE(4585), 2,
      sym_term,
      sym_all_fields,
    ACTIONS(2553), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2094), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [64361] = 35,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2811), 1,
      sym__identifier,
    ACTIONS(2813), 1,
      sym_keyword_distinct,
    ACTIONS(2815), 1,
      sym_keyword_cast,
    ACTIONS(2817), 1,
      sym_keyword_count,
    ACTIONS(2819), 1,
      sym_keyword_group_concat,
    ACTIONS(2821), 1,
      sym_keyword_case,
    ACTIONS(2823), 1,
      sym_keyword_not,
    ACTIONS(2827), 1,
      sym_keyword_interval,
    ACTIONS(2829), 1,
      sym_keyword_array,
    ACTIONS(2831), 1,
      anon_sym_LPAREN,
    ACTIONS(2833), 1,
      anon_sym_DOT,
    ACTIONS(2835), 1,
      anon_sym_QMARK,
    ACTIONS(2837), 1,
      anon_sym_DOLLAR,
    ACTIONS(2839), 1,
      anon_sym_SQUOTE,
    ACTIONS(2841), 1,
      anon_sym_DASH,
    ACTIONS(2843), 1,
      anon_sym_DQUOTE,
    ACTIONS(2845), 1,
      sym__natural_number,
    ACTIONS(2847), 1,
      sym_bang,
    ACTIONS(2849), 1,
      anon_sym_BQUOTE,
    STATE(3329), 1,
      sym_identifier,
    STATE(3418), 1,
      sym_invocation,
    STATE(3422), 1,
      sym__double_quote_string,
    STATE(3447), 1,
      sym__integer,
    STATE(3691), 1,
      sym__expression,
    STATE(5429), 1,
      sym_all_fields,
    STATE(6011), 1,
      sym__aggregate_expression,
    STATE(7280), 1,
      sym__alias_identifier,
    STATE(915), 2,
      sym_comment,
      sym_marginalia,
    STATE(3561), 2,
      sym_count,
      sym_group_concat,
    STATE(3593), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(2825), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3562), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [64485] = 35,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2811), 1,
      sym__identifier,
    ACTIONS(2813), 1,
      sym_keyword_distinct,
    ACTIONS(2815), 1,
      sym_keyword_cast,
    ACTIONS(2817), 1,
      sym_keyword_count,
    ACTIONS(2819), 1,
      sym_keyword_group_concat,
    ACTIONS(2821), 1,
      sym_keyword_case,
    ACTIONS(2823), 1,
      sym_keyword_not,
    ACTIONS(2827), 1,
      sym_keyword_interval,
    ACTIONS(2829), 1,
      sym_keyword_array,
    ACTIONS(2831), 1,
      anon_sym_LPAREN,
    ACTIONS(2833), 1,
      anon_sym_DOT,
    ACTIONS(2835), 1,
      anon_sym_QMARK,
    ACTIONS(2837), 1,
      anon_sym_DOLLAR,
    ACTIONS(2839), 1,
      anon_sym_SQUOTE,
    ACTIONS(2841), 1,
      anon_sym_DASH,
    ACTIONS(2843), 1,
      anon_sym_DQUOTE,
    ACTIONS(2845), 1,
      sym__natural_number,
    ACTIONS(2847), 1,
      sym_bang,
    ACTIONS(2849), 1,
      anon_sym_BQUOTE,
    STATE(3329), 1,
      sym_identifier,
    STATE(3418), 1,
      sym_invocation,
    STATE(3422), 1,
      sym__double_quote_string,
    STATE(3447), 1,
      sym__integer,
    STATE(3691), 1,
      sym__expression,
    STATE(5429), 1,
      sym_all_fields,
    STATE(5991), 1,
      sym__aggregate_expression,
    STATE(7280), 1,
      sym__alias_identifier,
    STATE(916), 2,
      sym_comment,
      sym_marginalia,
    STATE(3561), 2,
      sym_count,
      sym_group_concat,
    STATE(3593), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(2825), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3562), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [64609] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2997), 1,
      sym_keyword_zerofill,
    STATE(917), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1463), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1461), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [64675] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2999), 1,
      sym_keyword_precision,
    ACTIONS(3001), 1,
      anon_sym_LPAREN,
    STATE(918), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1045), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1043), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [64743] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(919), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2225), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2227), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [64807] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(1785), 1,
      anon_sym_CARET,
    ACTIONS(1787), 1,
      sym_keyword_in,
    ACTIONS(1789), 1,
      anon_sym_SLASH,
    ACTIONS(1793), 1,
      anon_sym_PLUS,
    ACTIONS(1795), 1,
      anon_sym_DASH,
    ACTIONS(1807), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3005), 1,
      sym_keyword_and,
    ACTIONS(3007), 1,
      sym_keyword_or,
    ACTIONS(3009), 1,
      sym_keyword_is,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1805), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(920), 2,
      sym_comment,
      sym_marginalia,
    STATE(1748), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1803), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1749), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3003), 20,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [64905] = 35,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2811), 1,
      sym__identifier,
    ACTIONS(2813), 1,
      sym_keyword_distinct,
    ACTIONS(2815), 1,
      sym_keyword_cast,
    ACTIONS(2817), 1,
      sym_keyword_count,
    ACTIONS(2819), 1,
      sym_keyword_group_concat,
    ACTIONS(2821), 1,
      sym_keyword_case,
    ACTIONS(2823), 1,
      sym_keyword_not,
    ACTIONS(2827), 1,
      sym_keyword_interval,
    ACTIONS(2829), 1,
      sym_keyword_array,
    ACTIONS(2831), 1,
      anon_sym_LPAREN,
    ACTIONS(2833), 1,
      anon_sym_DOT,
    ACTIONS(2835), 1,
      anon_sym_QMARK,
    ACTIONS(2837), 1,
      anon_sym_DOLLAR,
    ACTIONS(2839), 1,
      anon_sym_SQUOTE,
    ACTIONS(2841), 1,
      anon_sym_DASH,
    ACTIONS(2843), 1,
      anon_sym_DQUOTE,
    ACTIONS(2845), 1,
      sym__natural_number,
    ACTIONS(2847), 1,
      sym_bang,
    ACTIONS(2849), 1,
      anon_sym_BQUOTE,
    STATE(3329), 1,
      sym_identifier,
    STATE(3418), 1,
      sym_invocation,
    STATE(3422), 1,
      sym__double_quote_string,
    STATE(3447), 1,
      sym__integer,
    STATE(3691), 1,
      sym__expression,
    STATE(5429), 1,
      sym_all_fields,
    STATE(5945), 1,
      sym__aggregate_expression,
    STATE(7280), 1,
      sym__alias_identifier,
    STATE(921), 2,
      sym_comment,
      sym_marginalia,
    STATE(3561), 2,
      sym_count,
      sym_group_concat,
    STATE(3593), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(2825), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3562), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [65029] = 35,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2811), 1,
      sym__identifier,
    ACTIONS(2813), 1,
      sym_keyword_distinct,
    ACTIONS(2815), 1,
      sym_keyword_cast,
    ACTIONS(2817), 1,
      sym_keyword_count,
    ACTIONS(2819), 1,
      sym_keyword_group_concat,
    ACTIONS(2821), 1,
      sym_keyword_case,
    ACTIONS(2823), 1,
      sym_keyword_not,
    ACTIONS(2827), 1,
      sym_keyword_interval,
    ACTIONS(2829), 1,
      sym_keyword_array,
    ACTIONS(2831), 1,
      anon_sym_LPAREN,
    ACTIONS(2833), 1,
      anon_sym_DOT,
    ACTIONS(2835), 1,
      anon_sym_QMARK,
    ACTIONS(2837), 1,
      anon_sym_DOLLAR,
    ACTIONS(2839), 1,
      anon_sym_SQUOTE,
    ACTIONS(2841), 1,
      anon_sym_DASH,
    ACTIONS(2843), 1,
      anon_sym_DQUOTE,
    ACTIONS(2845), 1,
      sym__natural_number,
    ACTIONS(2847), 1,
      sym_bang,
    ACTIONS(2849), 1,
      anon_sym_BQUOTE,
    STATE(3329), 1,
      sym_identifier,
    STATE(3418), 1,
      sym_invocation,
    STATE(3422), 1,
      sym__double_quote_string,
    STATE(3447), 1,
      sym__integer,
    STATE(3691), 1,
      sym__expression,
    STATE(5429), 1,
      sym_all_fields,
    STATE(6640), 1,
      sym__aggregate_expression,
    STATE(7280), 1,
      sym__alias_identifier,
    STATE(922), 2,
      sym_comment,
      sym_marginalia,
    STATE(3561), 2,
      sym_count,
      sym_group_concat,
    STATE(3593), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(2825), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3562), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [65153] = 35,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2811), 1,
      sym__identifier,
    ACTIONS(2813), 1,
      sym_keyword_distinct,
    ACTIONS(2815), 1,
      sym_keyword_cast,
    ACTIONS(2817), 1,
      sym_keyword_count,
    ACTIONS(2819), 1,
      sym_keyword_group_concat,
    ACTIONS(2821), 1,
      sym_keyword_case,
    ACTIONS(2823), 1,
      sym_keyword_not,
    ACTIONS(2827), 1,
      sym_keyword_interval,
    ACTIONS(2829), 1,
      sym_keyword_array,
    ACTIONS(2831), 1,
      anon_sym_LPAREN,
    ACTIONS(2833), 1,
      anon_sym_DOT,
    ACTIONS(2835), 1,
      anon_sym_QMARK,
    ACTIONS(2837), 1,
      anon_sym_DOLLAR,
    ACTIONS(2839), 1,
      anon_sym_SQUOTE,
    ACTIONS(2841), 1,
      anon_sym_DASH,
    ACTIONS(2843), 1,
      anon_sym_DQUOTE,
    ACTIONS(2845), 1,
      sym__natural_number,
    ACTIONS(2847), 1,
      sym_bang,
    ACTIONS(2849), 1,
      anon_sym_BQUOTE,
    STATE(3329), 1,
      sym_identifier,
    STATE(3418), 1,
      sym_invocation,
    STATE(3422), 1,
      sym__double_quote_string,
    STATE(3447), 1,
      sym__integer,
    STATE(3691), 1,
      sym__expression,
    STATE(5429), 1,
      sym_all_fields,
    STATE(6080), 1,
      sym__aggregate_expression,
    STATE(7280), 1,
      sym__alias_identifier,
    STATE(923), 2,
      sym_comment,
      sym_marginalia,
    STATE(3561), 2,
      sym_count,
      sym_group_concat,
    STATE(3593), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(2825), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3562), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [65277] = 34,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2457), 1,
      sym__identifier,
    ACTIONS(2461), 1,
      sym_keyword_cast,
    ACTIONS(2463), 1,
      sym_keyword_count,
    ACTIONS(2465), 1,
      sym_keyword_group_concat,
    ACTIONS(2467), 1,
      sym_keyword_case,
    ACTIONS(2469), 1,
      sym_keyword_not,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2477), 1,
      anon_sym_LPAREN,
    ACTIONS(2479), 1,
      anon_sym_DOT,
    ACTIONS(2481), 1,
      anon_sym_QMARK,
    ACTIONS(2483), 1,
      anon_sym_DOLLAR,
    ACTIONS(2485), 1,
      anon_sym_SQUOTE,
    ACTIONS(2487), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      anon_sym_DQUOTE,
    ACTIONS(2491), 1,
      sym__natural_number,
    ACTIONS(2493), 1,
      sym_bang,
    ACTIONS(2495), 1,
      anon_sym_BQUOTE,
    STATE(94), 1,
      sym__expression,
    STATE(1082), 1,
      sym_identifier,
    STATE(1413), 1,
      sym__integer,
    STATE(1415), 1,
      sym__double_quote_string,
    STATE(1417), 1,
      sym_invocation,
    STATE(4569), 1,
      sym__select_expression,
    STATE(7522), 1,
      sym__alias_identifier,
    STATE(924), 2,
      sym_comment,
      sym_marginalia,
    STATE(1451), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(1454), 2,
      sym_count,
      sym_group_concat,
    STATE(4585), 2,
      sym_term,
      sym_all_fields,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(1453), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [65399] = 35,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2811), 1,
      sym__identifier,
    ACTIONS(2813), 1,
      sym_keyword_distinct,
    ACTIONS(2815), 1,
      sym_keyword_cast,
    ACTIONS(2817), 1,
      sym_keyword_count,
    ACTIONS(2819), 1,
      sym_keyword_group_concat,
    ACTIONS(2821), 1,
      sym_keyword_case,
    ACTIONS(2823), 1,
      sym_keyword_not,
    ACTIONS(2827), 1,
      sym_keyword_interval,
    ACTIONS(2829), 1,
      sym_keyword_array,
    ACTIONS(2831), 1,
      anon_sym_LPAREN,
    ACTIONS(2833), 1,
      anon_sym_DOT,
    ACTIONS(2835), 1,
      anon_sym_QMARK,
    ACTIONS(2837), 1,
      anon_sym_DOLLAR,
    ACTIONS(2839), 1,
      anon_sym_SQUOTE,
    ACTIONS(2841), 1,
      anon_sym_DASH,
    ACTIONS(2843), 1,
      anon_sym_DQUOTE,
    ACTIONS(2845), 1,
      sym__natural_number,
    ACTIONS(2847), 1,
      sym_bang,
    ACTIONS(2849), 1,
      anon_sym_BQUOTE,
    STATE(3329), 1,
      sym_identifier,
    STATE(3418), 1,
      sym_invocation,
    STATE(3422), 1,
      sym__double_quote_string,
    STATE(3447), 1,
      sym__integer,
    STATE(3691), 1,
      sym__expression,
    STATE(5429), 1,
      sym_all_fields,
    STATE(5947), 1,
      sym__aggregate_expression,
    STATE(7280), 1,
      sym__alias_identifier,
    STATE(925), 2,
      sym_comment,
      sym_marginalia,
    STATE(3561), 2,
      sym_count,
      sym_group_concat,
    STATE(3593), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(2825), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3562), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [65523] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3011), 1,
      sym_keyword_unsigned,
    ACTIONS(3013), 1,
      sym_keyword_zerofill,
    STATE(926), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1233), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1231), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [65591] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(927), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1557), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1559), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [65655] = 35,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2811), 1,
      sym__identifier,
    ACTIONS(2813), 1,
      sym_keyword_distinct,
    ACTIONS(2815), 1,
      sym_keyword_cast,
    ACTIONS(2817), 1,
      sym_keyword_count,
    ACTIONS(2819), 1,
      sym_keyword_group_concat,
    ACTIONS(2821), 1,
      sym_keyword_case,
    ACTIONS(2823), 1,
      sym_keyword_not,
    ACTIONS(2827), 1,
      sym_keyword_interval,
    ACTIONS(2829), 1,
      sym_keyword_array,
    ACTIONS(2831), 1,
      anon_sym_LPAREN,
    ACTIONS(2833), 1,
      anon_sym_DOT,
    ACTIONS(2835), 1,
      anon_sym_QMARK,
    ACTIONS(2837), 1,
      anon_sym_DOLLAR,
    ACTIONS(2839), 1,
      anon_sym_SQUOTE,
    ACTIONS(2841), 1,
      anon_sym_DASH,
    ACTIONS(2843), 1,
      anon_sym_DQUOTE,
    ACTIONS(2845), 1,
      sym__natural_number,
    ACTIONS(2847), 1,
      sym_bang,
    ACTIONS(2849), 1,
      anon_sym_BQUOTE,
    STATE(3329), 1,
      sym_identifier,
    STATE(3418), 1,
      sym_invocation,
    STATE(3422), 1,
      sym__double_quote_string,
    STATE(3447), 1,
      sym__integer,
    STATE(3691), 1,
      sym__expression,
    STATE(5429), 1,
      sym_all_fields,
    STATE(6149), 1,
      sym__aggregate_expression,
    STATE(7280), 1,
      sym__alias_identifier,
    STATE(928), 2,
      sym_comment,
      sym_marginalia,
    STATE(3561), 2,
      sym_count,
      sym_group_concat,
    STATE(3593), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(2825), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3562), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [65779] = 35,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2811), 1,
      sym__identifier,
    ACTIONS(2813), 1,
      sym_keyword_distinct,
    ACTIONS(2815), 1,
      sym_keyword_cast,
    ACTIONS(2817), 1,
      sym_keyword_count,
    ACTIONS(2819), 1,
      sym_keyword_group_concat,
    ACTIONS(2821), 1,
      sym_keyword_case,
    ACTIONS(2823), 1,
      sym_keyword_not,
    ACTIONS(2827), 1,
      sym_keyword_interval,
    ACTIONS(2829), 1,
      sym_keyword_array,
    ACTIONS(2831), 1,
      anon_sym_LPAREN,
    ACTIONS(2833), 1,
      anon_sym_DOT,
    ACTIONS(2835), 1,
      anon_sym_QMARK,
    ACTIONS(2837), 1,
      anon_sym_DOLLAR,
    ACTIONS(2839), 1,
      anon_sym_SQUOTE,
    ACTIONS(2841), 1,
      anon_sym_DASH,
    ACTIONS(2843), 1,
      anon_sym_DQUOTE,
    ACTIONS(2845), 1,
      sym__natural_number,
    ACTIONS(2847), 1,
      sym_bang,
    ACTIONS(2849), 1,
      anon_sym_BQUOTE,
    STATE(3329), 1,
      sym_identifier,
    STATE(3418), 1,
      sym_invocation,
    STATE(3422), 1,
      sym__double_quote_string,
    STATE(3447), 1,
      sym__integer,
    STATE(3691), 1,
      sym__expression,
    STATE(5429), 1,
      sym_all_fields,
    STATE(5893), 1,
      sym__aggregate_expression,
    STATE(7280), 1,
      sym__alias_identifier,
    STATE(929), 2,
      sym_comment,
      sym_marginalia,
    STATE(3561), 2,
      sym_count,
      sym_group_concat,
    STATE(3593), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(2825), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3562), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [65903] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1915), 1,
      anon_sym_DOT,
    ACTIONS(3015), 1,
      anon_sym_LPAREN,
    STATE(930), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1959), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1957), 41,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [65971] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3017), 1,
      sym_keyword_zerofill,
    STATE(931), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1437), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1435), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [66037] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(932), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1561), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1563), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [66101] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(933), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(957), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(955), 43,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [66165] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3019), 1,
      sym_keyword_zerofill,
    STATE(934), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1431), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1429), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [66231] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3021), 1,
      sym_keyword_unsigned,
    ACTIONS(3023), 1,
      sym_keyword_zerofill,
    STATE(935), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1209), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1207), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [66299] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3025), 1,
      sym_keyword_unsigned,
    ACTIONS(3027), 1,
      sym_keyword_zerofill,
    STATE(936), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1201), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1199), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [66367] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3029), 1,
      sym_keyword_zerofill,
    STATE(937), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1373), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1371), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [66433] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(938), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1565), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1567), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [66497] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(939), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1573), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1575), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [66561] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(940), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1577), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1579), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [66625] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(941), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1585), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1587), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [66689] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(942), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1589), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1591), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [66753] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3031), 1,
      sym_keyword_unsigned,
    ACTIONS(3033), 1,
      sym_keyword_zerofill,
    STATE(943), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1241), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1239), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [66821] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3035), 1,
      sym_keyword_unsigned,
    ACTIONS(3037), 1,
      sym_keyword_zerofill,
    STATE(944), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1225), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1223), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [66889] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(945), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1501), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1503), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [66953] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(946), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1505), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1507), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [67017] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(947), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1509), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1511), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [67081] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(948), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1513), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1515), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [67145] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(949), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1517), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1519), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [67209] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(950), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1657), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1659), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [67273] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(951), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1625), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1627), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [67337] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(952), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1653), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1655), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [67401] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(953), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1621), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1623), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [67465] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(954), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1649), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1651), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [67529] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(955), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1371), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1373), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [67593] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(956), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1455), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1457), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [67657] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(957), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1645), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1647), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [67721] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(958), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1365), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1367), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [67785] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(959), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1641), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1643), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [67849] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(960), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1411), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1413), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [67913] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(961), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1617), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1619), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [67977] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(962), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1423), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1425), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [68041] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(963), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1601), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1603), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [68105] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(964), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1461), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1463), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [68169] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(965), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1327), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1329), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [68233] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3039), 1,
      anon_sym_DOT,
    STATE(966), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2003), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2001), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [68299] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(967), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1497), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1499), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [68363] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3041), 1,
      sym_keyword_over,
    STATE(968), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2211), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2209), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [68429] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3043), 1,
      sym_keyword_unsigned,
    ACTIONS(3045), 1,
      sym_keyword_zerofill,
    STATE(969), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1217), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1215), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [68497] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(970), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(951), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(953), 44,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [68561] = 36,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    ACTIONS(2851), 1,
      sym_keyword_select,
    ACTIONS(3047), 1,
      anon_sym_RPAREN,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(3948), 1,
      sym__expression,
    STATE(4530), 1,
      sym_invocation,
    STATE(5614), 1,
      sym_select,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(7747), 1,
      sym__inner_default_expression,
    STATE(971), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 7,
      sym_parameter,
      sym_case,
      sym_field,
      sym_interval,
      sym__aggregate_function,
      sym_window_function,
      sym_subquery,
    STATE(4547), 7,
      sym_array,
      sym_implicit_cast,
      sym_cast,
      sym_binary_expression,
      sym_unary_expression,
      sym_list,
      sym_literal,
  [68687] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(972), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1593), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1595), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [68751] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(973), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1215), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1217), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [68815] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(974), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1435), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1437), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [68879] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(975), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1429), 16,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1431), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [68943] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1915), 1,
      anon_sym_DOT,
    ACTIONS(3049), 1,
      anon_sym_LPAREN,
    STATE(976), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1959), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1957), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [69011] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3051), 1,
      sym_keyword_unsigned,
    ACTIONS(3053), 1,
      sym_keyword_zerofill,
    STATE(977), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1193), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1191), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [69079] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(978), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(951), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(953), 43,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [69143] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(979), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2525), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2523), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [69206] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3055), 1,
      anon_sym_LPAREN,
    STATE(980), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1329), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1327), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [69271] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3057), 1,
      aux_sym_keyword_varchar_token2,
    STATE(981), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1123), 16,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1125), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [69336] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(982), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2257), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2259), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [69399] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(983), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(963), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(965), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_over,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [69462] = 34,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    ACTIONS(2851), 1,
      sym_keyword_select,
    ACTIONS(3059), 1,
      anon_sym_RPAREN,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(3928), 1,
      sym__expression,
    STATE(5744), 1,
      sym_select,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(984), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [69583] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(985), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(949), 16,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(947), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [69646] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3061), 1,
      sym_keyword_precision,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    STATE(986), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1043), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1045), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [69713] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(987), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(971), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(973), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_over,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [69776] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(988), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(967), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(969), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_over,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [69839] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1915), 1,
      anon_sym_DOT,
    ACTIONS(3065), 1,
      anon_sym_LPAREN,
    STATE(989), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1957), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1959), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [69906] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(990), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1599), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1597), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [69969] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(991), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2379), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2381), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [70032] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(992), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(953), 16,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(951), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [70095] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(993), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2003), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2001), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [70158] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(994), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2265), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2267), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [70221] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(995), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2003), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2001), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [70284] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(996), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2003), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2001), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [70347] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(997), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1615), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1613), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [70410] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(998), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1495), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1493), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [70473] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(999), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2003), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2001), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [70536] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1000), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2017), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2015), 43,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [70599] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3067), 1,
      sym_keyword_unsigned,
    ACTIONS(3069), 1,
      sym_keyword_zerofill,
    STATE(1001), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1215), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1217), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [70666] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1002), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2003), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2001), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [70729] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3071), 1,
      sym_keyword_over,
    STATE(1003), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2211), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2209), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [70794] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1004), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1607), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1605), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [70857] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1909), 1,
      anon_sym_DOT,
    STATE(1005), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2009), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2007), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [70922] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1006), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1571), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1569), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [70985] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1007), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(985), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(983), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [71048] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1008), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1355), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1353), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [71111] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1009), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1045), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1043), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [71174] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1010), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1349), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1347), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [71237] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1011), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1341), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1339), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [71300] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1012), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1335), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1333), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [71363] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1013), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1379), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1377), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [71426] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3073), 1,
      anon_sym_DOT,
    STATE(1014), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2003), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2001), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [71491] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1015), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1361), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1359), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [71554] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1016), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1499), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1497), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [71617] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1017), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1329), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1327), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [71680] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1018), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1643), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1641), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [71743] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1019), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2003), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2001), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [71806] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1020), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1647), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1645), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [71869] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1021), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1651), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1649), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [71932] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1022), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1655), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1653), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [71995] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1023), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1659), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1657), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [72058] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1024), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1727), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1725), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [72121] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1025), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1731), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1729), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [72184] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1026), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1611), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1609), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [72247] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1027), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1639), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1637), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [72310] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1028), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1635), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1633), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [72373] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1029), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1631), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1629), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [72436] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1030), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1583), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1581), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [72499] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1031), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1547), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1545), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [72562] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1032), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1503), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1501), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [72625] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3075), 1,
      sym_keyword_unsigned,
    ACTIONS(3077), 1,
      sym_keyword_zerofill,
    STATE(1033), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1191), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1193), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [72692] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1034), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1507), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1505), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [72755] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1035), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1511), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1509), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [72818] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1036), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1515), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1513), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [72881] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1037), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1519), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1517), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [72944] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3079), 1,
      sym_keyword_unsigned,
    ACTIONS(3081), 1,
      sym_keyword_zerofill,
    STATE(1038), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1115), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1117), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [73011] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1039), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1457), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1455), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [73074] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1040), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1367), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1365), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [73137] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1041), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1413), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1411), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [73200] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1042), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1425), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1423), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [73263] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1043), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1463), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1461), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [73326] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1044), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1559), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1557), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [73389] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(2073), 1,
      sym_keyword_in,
    ACTIONS(2075), 1,
      sym_keyword_and,
    ACTIONS(2077), 1,
      sym_keyword_or,
    ACTIONS(2079), 1,
      sym_keyword_is,
    ACTIONS(2083), 1,
      anon_sym_SLASH,
    ACTIONS(2089), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2093), 1,
      anon_sym_PLUS,
    ACTIONS(2095), 1,
      anon_sym_DASH,
    ACTIONS(2097), 1,
      anon_sym_CARET,
    ACTIONS(2099), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(2087), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2091), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1045), 2,
      sym_comment,
      sym_marginalia,
    STATE(1913), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(2085), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1914), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2369), 19,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [73486] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1046), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2003), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2001), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [73549] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1047), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1563), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1561), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [73612] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1048), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1567), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1565), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [73675] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1049), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2133), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2131), 43,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [73738] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1050), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1575), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1573), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [73801] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3083), 1,
      sym_keyword_unsigned,
    ACTIONS(3085), 1,
      sym_keyword_zerofill,
    STATE(1051), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1223), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1225), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [73868] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1052), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1579), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1577), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [73931] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1053), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1587), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1585), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [73994] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1054), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1591), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1589), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [74057] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1055), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1595), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1593), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [74120] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1056), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1217), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1215), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [74183] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1057), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1437), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1435), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [74246] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1058), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1431), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1429), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [74309] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1059), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1603), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1601), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [74372] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1060), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1619), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1617), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [74435] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1061), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1373), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1371), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [74498] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1062), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1623), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1621), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [74561] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1063), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1627), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1625), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [74624] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3087), 1,
      sym__natural_number,
    STATE(1064), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1901), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1899), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [74689] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3089), 1,
      sym_keyword_unsigned,
    ACTIONS(3091), 1,
      sym_keyword_zerofill,
    STATE(1065), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1239), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1241), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [74756] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3093), 1,
      sym_keyword_unsigned,
    ACTIONS(3095), 1,
      sym_keyword_zerofill,
    STATE(1066), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1199), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1201), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [74823] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3097), 1,
      sym_keyword_unsigned,
    ACTIONS(3099), 1,
      sym_keyword_zerofill,
    STATE(1067), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1207), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1209), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [74890] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3101), 1,
      sym_keyword_unsigned,
    ACTIONS(3103), 1,
      sym_keyword_zerofill,
    STATE(1068), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1231), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1233), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [74957] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1069), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(975), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(977), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [75020] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3105), 1,
      sym_keyword_precision,
    ACTIONS(3107), 1,
      anon_sym_LPAREN,
    STATE(1070), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1043), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1045), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [75087] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1071), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(957), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(955), 43,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [75150] = 34,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    ACTIONS(2851), 1,
      sym_keyword_select,
    ACTIONS(3109), 1,
      anon_sym_RPAREN,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(3989), 1,
      sym__expression,
    STATE(5636), 1,
      sym_select,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1072), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [75271] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1909), 1,
      anon_sym_DOT,
    STATE(1073), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1907), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1905), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [75336] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1915), 1,
      anon_sym_DOT,
    STATE(1074), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1913), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1911), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [75401] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3111), 1,
      aux_sym_keyword_varchar_token2,
    STATE(1075), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1123), 15,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1125), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [75466] = 34,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    ACTIONS(2851), 1,
      sym_keyword_select,
    ACTIONS(3113), 1,
      anon_sym_RPAREN,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4128), 1,
      sym__expression,
    STATE(5614), 1,
      sym_select,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1076), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [75587] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3115), 1,
      sym_keyword_unsigned,
    ACTIONS(3117), 1,
      sym_keyword_zerofill,
    STATE(1077), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1231), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1233), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [75654] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3119), 1,
      sym_keyword_unsigned,
    ACTIONS(3121), 1,
      sym_keyword_zerofill,
    STATE(1078), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1207), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1209), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [75721] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3123), 1,
      sym_keyword_unsigned,
    ACTIONS(3125), 1,
      sym_keyword_zerofill,
    STATE(1079), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1199), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1201), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [75788] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3127), 1,
      sym_keyword_unsigned,
    ACTIONS(3129), 1,
      sym_keyword_zerofill,
    STATE(1080), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1239), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1241), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [75855] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3131), 1,
      sym_keyword_unsigned,
    ACTIONS(3133), 1,
      sym_keyword_zerofill,
    STATE(1081), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1223), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1225), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [75922] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1915), 1,
      anon_sym_DOT,
    ACTIONS(3135), 1,
      anon_sym_LPAREN,
    STATE(1082), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1957), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1959), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [75989] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3137), 1,
      sym_keyword_unsigned,
    ACTIONS(3139), 1,
      sym_keyword_zerofill,
    ACTIONS(3141), 1,
      sym_keyword_precision,
    ACTIONS(3143), 1,
      anon_sym_LPAREN,
    STATE(1083), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(985), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(983), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [76060] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3145), 1,
      sym_keyword_unsigned,
    ACTIONS(3147), 1,
      sym_keyword_zerofill,
    STATE(1084), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1115), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1117), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [76127] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1085), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(979), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(981), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [76190] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3149), 1,
      sym_keyword_unsigned,
    ACTIONS(3151), 1,
      sym_keyword_zerofill,
    STATE(1086), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1191), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1193), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [76257] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3153), 1,
      sym_keyword_unsigned,
    ACTIONS(3155), 1,
      sym_keyword_zerofill,
    STATE(1087), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1215), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1217), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [76324] = 34,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    ACTIONS(2851), 1,
      sym_keyword_select,
    ACTIONS(3157), 1,
      anon_sym_RPAREN,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4006), 1,
      sym__expression,
    STATE(5765), 1,
      sym_select,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1088), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [76445] = 34,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    ACTIONS(2851), 1,
      sym_keyword_select,
    ACTIONS(3159), 1,
      anon_sym_RPAREN,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4036), 1,
      sym__expression,
    STATE(5693), 1,
      sym_select,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1089), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [76566] = 34,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    ACTIONS(2851), 1,
      sym_keyword_select,
    ACTIONS(3161), 1,
      anon_sym_RPAREN,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4125), 1,
      sym__expression,
    STATE(5620), 1,
      sym_select,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1090), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [76687] = 34,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    ACTIONS(2851), 1,
      sym_keyword_select,
    ACTIONS(3163), 1,
      anon_sym_RPAREN,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(3909), 1,
      sym__expression,
    STATE(5661), 1,
      sym_select,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1091), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [76808] = 34,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    ACTIONS(2851), 1,
      sym_keyword_select,
    ACTIONS(3165), 1,
      anon_sym_RPAREN,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4015), 1,
      sym__expression,
    STATE(5727), 1,
      sym_select,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1092), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [76929] = 34,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    ACTIONS(2851), 1,
      sym_keyword_select,
    ACTIONS(3047), 1,
      anon_sym_RPAREN,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(3948), 1,
      sym__expression,
    STATE(5780), 1,
      sym_select,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1093), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [77050] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1094), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2347), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2349), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [77113] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3167), 1,
      sym_keyword_zerofill,
    STATE(1095), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1373), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1371), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [77178] = 34,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    ACTIONS(2851), 1,
      sym_keyword_select,
    ACTIONS(2853), 1,
      anon_sym_RPAREN,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4028), 1,
      sym__expression,
    STATE(5659), 1,
      sym_select,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1096), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [77299] = 34,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    ACTIONS(2851), 1,
      sym_keyword_select,
    ACTIONS(3169), 1,
      anon_sym_RPAREN,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(3926), 1,
      sym__expression,
    STATE(5689), 1,
      sym_select,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1097), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [77420] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1098), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2245), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2243), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [77483] = 34,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    ACTIONS(2851), 1,
      sym_keyword_select,
    ACTIONS(3169), 1,
      anon_sym_RPAREN,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(3926), 1,
      sym__expression,
    STATE(5666), 1,
      sym_select,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1099), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [77604] = 34,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    ACTIONS(2851), 1,
      sym_keyword_select,
    ACTIONS(3171), 1,
      anon_sym_RPAREN,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4040), 1,
      sym__expression,
    STATE(5682), 1,
      sym_select,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1100), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [77725] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3173), 1,
      sym_keyword_zerofill,
    STATE(1101), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1431), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1429), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [77790] = 34,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    ACTIONS(2851), 1,
      sym_keyword_select,
    ACTIONS(3175), 1,
      anon_sym_RPAREN,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4087), 1,
      sym__expression,
    STATE(5767), 1,
      sym_select,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1102), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [77911] = 34,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    ACTIONS(2851), 1,
      sym_keyword_select,
    ACTIONS(3177), 1,
      anon_sym_RPAREN,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(3898), 1,
      sym__expression,
    STATE(5735), 1,
      sym_select,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1103), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [78032] = 34,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    ACTIONS(2851), 1,
      sym_keyword_select,
    ACTIONS(3179), 1,
      anon_sym_RPAREN,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4017), 1,
      sym__expression,
    STATE(5610), 1,
      sym_select,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1104), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [78153] = 34,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    ACTIONS(2851), 1,
      sym_keyword_select,
    ACTIONS(3181), 1,
      anon_sym_RPAREN,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4072), 1,
      sym__expression,
    STATE(5686), 1,
      sym_select,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1105), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [78274] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1106), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(967), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(969), 43,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_over,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [78337] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1107), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2003), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2001), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [78400] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1108), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2207), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2205), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [78463] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3183), 1,
      sym_keyword_zerofill,
    STATE(1109), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1437), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1435), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [78528] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1110), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(971), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(973), 43,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_over,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [78591] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1111), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2211), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2209), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [78654] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1112), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2215), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2213), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [78717] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1113), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(963), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(965), 43,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_over,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [78780] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1114), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2251), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2249), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [78843] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1115), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2227), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2225), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [78906] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1116), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1901), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1899), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [78969] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1117), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2235), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2233), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [79032] = 34,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    ACTIONS(2851), 1,
      sym_keyword_select,
    ACTIONS(3185), 1,
      anon_sym_RPAREN,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(3906), 1,
      sym__expression,
    STATE(5730), 1,
      sym_select,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1118), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [79153] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1119), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2179), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2177), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [79216] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1120), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2539), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2537), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [79279] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1121), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(961), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(959), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [79342] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1122), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2529), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2527), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [79405] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1123), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(953), 17,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(951), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [79468] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1923), 1,
      sym_keyword_is,
    STATE(1124), 2,
      sym_comment,
      sym_marginalia,
    STATE(2083), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(2082), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1111), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1113), 26,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [79537] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1125), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(949), 17,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(947), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [79600] = 13,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1923), 1,
      sym_keyword_is,
    ACTIONS(1925), 1,
      anon_sym_SLASH,
    ACTIONS(1935), 1,
      anon_sym_PLUS,
    ACTIONS(1937), 1,
      anon_sym_DASH,
    ACTIONS(1939), 1,
      anon_sym_CARET,
    ACTIONS(1929), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1126), 2,
      sym_comment,
      sym_marginalia,
    STATE(2083), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(2082), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1103), 24,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      sym__identifier,
  [79679] = 20,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1161), 1,
      sym_keyword_not,
    ACTIONS(1165), 1,
      sym_keyword_similar,
    ACTIONS(1917), 1,
      sym_keyword_in,
    ACTIONS(1923), 1,
      sym_keyword_is,
    ACTIONS(1925), 1,
      anon_sym_SLASH,
    ACTIONS(1935), 1,
      anon_sym_PLUS,
    ACTIONS(1937), 1,
      anon_sym_DASH,
    ACTIONS(1939), 1,
      anon_sym_CARET,
    ACTIONS(1941), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1163), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(1929), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1933), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1127), 2,
      sym_comment,
      sym_marginalia,
    STATE(2083), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1927), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2082), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1103), 17,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      sym__identifier,
  [79772] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3187), 1,
      anon_sym_LPAREN,
    STATE(1128), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1419), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1417), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [79837] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3189), 1,
      anon_sym_LPAREN,
    STATE(1129), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1385), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1383), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [79902] = 21,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1161), 1,
      sym_keyword_not,
    ACTIONS(1165), 1,
      sym_keyword_similar,
    ACTIONS(1917), 1,
      sym_keyword_in,
    ACTIONS(1919), 1,
      sym_keyword_and,
    ACTIONS(1923), 1,
      sym_keyword_is,
    ACTIONS(1925), 1,
      anon_sym_SLASH,
    ACTIONS(1935), 1,
      anon_sym_PLUS,
    ACTIONS(1937), 1,
      anon_sym_DASH,
    ACTIONS(1939), 1,
      anon_sym_CARET,
    ACTIONS(1941), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1163), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(1929), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1933), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1130), 2,
      sym_comment,
      sym_marginalia,
    STATE(2083), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1927), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2082), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1103), 16,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_or,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      sym__identifier,
  [79997] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1131), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2255), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2253), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [80060] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1132), 2,
      sym_comment,
      sym_marginalia,
    STATE(2083), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(2082), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1103), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [80127] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3191), 1,
      sym_keyword_zerofill,
    STATE(1133), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1463), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1461), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [80192] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1923), 1,
      sym_keyword_is,
    ACTIONS(1939), 1,
      anon_sym_CARET,
    STATE(1134), 2,
      sym_comment,
      sym_marginalia,
    STATE(2083), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(2082), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1103), 26,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [80263] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3193), 1,
      sym_keyword_zerofill,
    STATE(1135), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1425), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1423), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [80328] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1136), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1125), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1123), 43,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [80391] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3195), 1,
      sym_keyword_zerofill,
    STATE(1137), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1413), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1411), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [80456] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1138), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1257), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1255), 43,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [80519] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3197), 1,
      sym_keyword_zerofill,
    STATE(1139), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1367), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1365), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [80584] = 14,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1917), 1,
      sym_keyword_in,
    ACTIONS(1923), 1,
      sym_keyword_is,
    ACTIONS(1925), 1,
      anon_sym_SLASH,
    ACTIONS(1935), 1,
      anon_sym_PLUS,
    ACTIONS(1937), 1,
      anon_sym_DASH,
    ACTIONS(1939), 1,
      anon_sym_CARET,
    ACTIONS(1929), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1140), 2,
      sym_comment,
      sym_marginalia,
    STATE(2083), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(2082), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1103), 23,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      sym__identifier,
  [80665] = 11,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1923), 1,
      sym_keyword_is,
    ACTIONS(1925), 1,
      anon_sym_SLASH,
    ACTIONS(1939), 1,
      anon_sym_CARET,
    ACTIONS(1929), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1141), 2,
      sym_comment,
      sym_marginalia,
    STATE(2083), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(2082), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1103), 25,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [80740] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3199), 1,
      aux_sym_keyword_with_token1,
    ACTIONS(3201), 1,
      aux_sym_keyword_timestamp_token2,
    STATE(1142), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1443), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1441), 41,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [80807] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1923), 1,
      sym_keyword_is,
    STATE(1143), 2,
      sym_comment,
      sym_marginalia,
    STATE(2083), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(2082), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1103), 26,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [80876] = 16,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1917), 1,
      sym_keyword_in,
    ACTIONS(1923), 1,
      sym_keyword_is,
    ACTIONS(1925), 1,
      anon_sym_SLASH,
    ACTIONS(1935), 1,
      anon_sym_PLUS,
    ACTIONS(1937), 1,
      anon_sym_DASH,
    ACTIONS(1939), 1,
      anon_sym_CARET,
    ACTIONS(1929), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1933), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1144), 2,
      sym_comment,
      sym_marginalia,
    STATE(2083), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1927), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2082), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1103), 21,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym__identifier,
  [80961] = 17,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1917), 1,
      sym_keyword_in,
    ACTIONS(1923), 1,
      sym_keyword_is,
    ACTIONS(1925), 1,
      anon_sym_SLASH,
    ACTIONS(1935), 1,
      anon_sym_PLUS,
    ACTIONS(1937), 1,
      anon_sym_DASH,
    ACTIONS(1939), 1,
      anon_sym_CARET,
    ACTIONS(1941), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1929), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1933), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1145), 2,
      sym_comment,
      sym_marginalia,
    STATE(2083), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1927), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2082), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1103), 21,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym__identifier,
  [81048] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3203), 1,
      sym_keyword_zerofill,
    STATE(1146), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1457), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1455), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [81113] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    STATE(1147), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1407), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1405), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [81178] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3207), 1,
      anon_sym_LPAREN,
    STATE(1148), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1399), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1397), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [81243] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1149), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2513), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2511), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [81306] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1150), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2505), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2503), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [81369] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1151), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2405), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2403), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [81432] = 34,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    ACTIONS(2851), 1,
      sym_keyword_select,
    ACTIONS(3209), 1,
      anon_sym_RPAREN,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(3924), 1,
      sym__expression,
    STATE(5754), 1,
      sym_select,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1152), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [81553] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1153), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(957), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(955), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [81616] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1154), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2393), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2391), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [81679] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1155), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2389), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2387), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [81742] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1156), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2017), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2015), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [81805] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3211), 1,
      sym_keyword_over,
    STATE(1157), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2211), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2209), 41,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [81870] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1158), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2259), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2257), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [81933] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1159), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2263), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2261), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [81996] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1909), 1,
      anon_sym_DOT,
    STATE(1160), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2009), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2007), 41,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [82061] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3213), 1,
      anon_sym_DOT,
    STATE(1161), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2003), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2001), 41,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [82126] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1162), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2385), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2383), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [82189] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1163), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2381), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2379), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [82252] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1164), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1393), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1391), 43,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [82315] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3215), 1,
      anon_sym_LPAREN,
    STATE(1165), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1355), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1353), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [82380] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3217), 1,
      anon_sym_LPAREN,
    STATE(1166), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1349), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1347), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [82445] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3219), 1,
      anon_sym_LPAREN,
    STATE(1167), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1341), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1339), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [82510] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1168), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2133), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2131), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [82573] = 34,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    ACTIONS(2851), 1,
      sym_keyword_select,
    ACTIONS(3221), 1,
      anon_sym_RPAREN,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4009), 1,
      sym__expression,
    STATE(5688), 1,
      sym_select,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1169), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [82694] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3223), 1,
      sym__natural_number,
    STATE(1170), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1901), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1899), 41,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [82759] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3225), 1,
      anon_sym_LPAREN,
    STATE(1171), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1335), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1333), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [82824] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3227), 1,
      anon_sym_LPAREN,
    STATE(1172), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1379), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1377), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [82889] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3229), 1,
      anon_sym_LPAREN,
    STATE(1173), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1361), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1359), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [82954] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1909), 1,
      anon_sym_DOT,
    STATE(1174), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1907), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1905), 41,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [83019] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1175), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2293), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2291), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [83082] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1176), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2341), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2339), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [83145] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1177), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2349), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2347), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [83208] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1178), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2367), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2365), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [83271] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1179), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2267), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2265), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [83334] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1180), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2271), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2269), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [83397] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1181), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2281), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2279), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [83460] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1182), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2287), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2285), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [83523] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3231), 1,
      sym_keyword_zerofill,
    STATE(1183), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1341), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1339), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [83588] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1915), 1,
      anon_sym_DOT,
    STATE(1184), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1913), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1911), 41,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [83653] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3233), 1,
      sym_keyword_zerofill,
    STATE(1185), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1361), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1359), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [83718] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3001), 1,
      anon_sym_LPAREN,
    STATE(1186), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1045), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1043), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [83783] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2679), 1,
      sym_keyword_zerofill,
    STATE(1187), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1045), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1043), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [83848] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3235), 1,
      sym_keyword_zerofill,
    STATE(1188), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1349), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1347), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [83913] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3237), 1,
      sym_keyword_zerofill,
    STATE(1189), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1379), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1377), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [83978] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3239), 1,
      sym_keyword_zerofill,
    STATE(1190), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1329), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1327), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [84043] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3241), 1,
      sym_keyword_zerofill,
    STATE(1191), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1355), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1353), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [84108] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3243), 1,
      sym_keyword_zerofill,
    STATE(1192), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1335), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1333), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [84173] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1193), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1391), 15,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1393), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [84235] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3245), 1,
      sym_keyword_unsigned,
    ACTIONS(3247), 1,
      sym_keyword_zerofill,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    STATE(1194), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1055), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1053), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [84303] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1195), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1639), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1637), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [84365] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1196), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1611), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1609), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [84427] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1197), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1731), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1729), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [84489] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1198), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1727), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1725), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [84551] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1199), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1659), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1657), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [84613] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1200), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(965), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(963), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_over,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [84675] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1201), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1655), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1653), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [84737] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1202), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1651), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1649), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [84799] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1203), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1647), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1645), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [84861] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1204), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2271), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2269), 41,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [84923] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1205), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1643), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1641), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [84985] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1206), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1329), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1327), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [85047] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1207), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1499), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1497), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [85109] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1208), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2281), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2279), 41,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [85171] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1209), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2287), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2285), 41,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [85233] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1210), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1361), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1359), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [85295] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1211), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1379), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1377), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [85357] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1212), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2293), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2291), 41,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [85419] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1213), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2341), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2339), 41,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [85481] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1214), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2349), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2347), 41,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [85543] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3251), 1,
      anon_sym_LPAREN,
    STATE(1215), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1397), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1399), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [85607] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1216), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2367), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2365), 41,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [85669] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1217), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2381), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2379), 41,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [85731] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1218), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2385), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2383), 41,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [85793] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1219), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2389), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2387), 41,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [85855] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1220), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2393), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2391), 41,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [85917] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1221), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2405), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2403), 41,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [85979] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1222), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2505), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2503), 41,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [86041] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1223), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1335), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1333), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [86103] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1224), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1341), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1339), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [86165] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3253), 1,
      anon_sym_LPAREN,
    STATE(1225), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1405), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1407), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [86229] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1226), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1349), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1347), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [86291] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1227), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2513), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2511), 41,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [86353] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3255), 1,
      aux_sym_keyword_with_token1,
    ACTIONS(3257), 1,
      aux_sym_keyword_timestamp_token2,
    STATE(1228), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1441), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1443), 30,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [86419] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1229), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1255), 16,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1257), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [86481] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1230), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1045), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1043), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [86543] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1231), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1355), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1353), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [86605] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1232), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2525), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2523), 41,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [86667] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1233), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2529), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2527), 41,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [86729] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1234), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(961), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(959), 41,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [86791] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1235), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2539), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2537), 41,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [86853] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1236), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1123), 16,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1125), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [86915] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1237), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1595), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1593), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [86977] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1238), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1631), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1629), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [87039] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1239), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2267), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2265), 41,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [87101] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1240), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2179), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2177), 41,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [87163] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3259), 1,
      anon_sym_LPAREN,
    STATE(1241), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1383), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1385), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [87227] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3261), 1,
      anon_sym_LPAREN,
    STATE(1242), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1417), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1419), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [87291] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1915), 1,
      anon_sym_DOT,
    STATE(1243), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1911), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1913), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [87355] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1244), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2235), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2233), 41,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [87417] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1245), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2263), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2261), 41,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [87479] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1246), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2259), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2257), 41,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [87541] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1247), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1901), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1899), 41,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [87603] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1248), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2227), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2225), 41,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [87665] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1915), 1,
      anon_sym_DOT,
    ACTIONS(3263), 1,
      anon_sym_LPAREN,
    STATE(1249), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1957), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1959), 30,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [87731] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1909), 1,
      anon_sym_DOT,
    STATE(1250), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1905), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1907), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [87795] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1251), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2255), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2253), 41,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [87857] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1252), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2251), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2249), 41,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [87919] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1253), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2245), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2243), 41,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [87981] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1254), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(979), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(981), 41,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [88043] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1255), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1391), 16,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1393), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [88105] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1256), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1583), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1581), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [88167] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1257), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1547), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1545), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [88229] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1258), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2215), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2213), 41,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [88291] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1259), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2211), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2209), 41,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [88353] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1260), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1503), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1501), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [88415] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1261), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1507), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1505), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [88477] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1262), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1511), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1509), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [88539] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1263), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1515), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1513), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [88601] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1264), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2207), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2205), 41,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [88663] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1265), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2003), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2001), 41,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [88725] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3265), 1,
      sym__natural_number,
    STATE(1266), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1899), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1901), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [88789] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1267), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(969), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(967), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_over,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [88851] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3267), 1,
      anon_sym_LPAREN,
    STATE(1268), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1353), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1355), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [88915] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3269), 1,
      anon_sym_LPAREN,
    STATE(1269), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1347), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1349), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [88979] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3271), 1,
      anon_sym_LPAREN,
    STATE(1270), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1339), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1341), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [89043] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3273), 1,
      anon_sym_LPAREN,
    STATE(1271), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1333), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1335), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [89107] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1272), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2245), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2243), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [89169] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1273), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(973), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(971), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_over,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [89231] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3275), 1,
      anon_sym_LPAREN,
    STATE(1274), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1377), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1379), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [89295] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3277), 1,
      anon_sym_LPAREN,
    STATE(1275), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1359), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1361), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [89359] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1276), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(965), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(963), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_over,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [89421] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1277), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1519), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1517), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [89483] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1278), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2251), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2249), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [89545] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    STATE(1279), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1043), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1045), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [89609] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1280), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(985), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(983), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [89671] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1281), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1571), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1569), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [89733] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1282), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2255), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2253), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [89795] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1283), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1457), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1455), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [89857] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1284), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2259), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2257), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [89919] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1285), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2263), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2261), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [89981] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1286), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1367), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1365), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [90043] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1287), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1413), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1411), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [90105] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1288), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1425), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1423), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [90167] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1289), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1463), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1461), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [90229] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1290), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1559), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1557), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [90291] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1291), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1563), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1561), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [90353] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3279), 1,
      sym_keyword_zerofill,
    STATE(1292), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1353), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1355), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [90417] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1293), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2267), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2265), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [90479] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1294), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2271), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2269), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [90541] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1295), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1567), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1565), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [90603] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1296), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2131), 16,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2133), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [90665] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1297), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1599), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1597), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [90727] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1298), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1607), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1605), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [90789] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1299), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1495), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1493), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [90851] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1300), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1615), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1613), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [90913] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2943), 1,
      sym_keyword_zerofill,
    STATE(1301), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1043), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1045), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [90977] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1302), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1575), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1573), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [91039] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1303), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1579), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1577), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [91101] = 33,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2811), 1,
      sym__identifier,
    ACTIONS(2815), 1,
      sym_keyword_cast,
    ACTIONS(2817), 1,
      sym_keyword_count,
    ACTIONS(2819), 1,
      sym_keyword_group_concat,
    ACTIONS(2821), 1,
      sym_keyword_case,
    ACTIONS(2823), 1,
      sym_keyword_not,
    ACTIONS(2827), 1,
      sym_keyword_interval,
    ACTIONS(2829), 1,
      sym_keyword_array,
    ACTIONS(2831), 1,
      anon_sym_LPAREN,
    ACTIONS(2833), 1,
      anon_sym_DOT,
    ACTIONS(2835), 1,
      anon_sym_QMARK,
    ACTIONS(2837), 1,
      anon_sym_DOLLAR,
    ACTIONS(2839), 1,
      anon_sym_SQUOTE,
    ACTIONS(2841), 1,
      anon_sym_DASH,
    ACTIONS(2843), 1,
      anon_sym_DQUOTE,
    ACTIONS(2845), 1,
      sym__natural_number,
    ACTIONS(2847), 1,
      sym_bang,
    ACTIONS(2849), 1,
      anon_sym_BQUOTE,
    STATE(3329), 1,
      sym_identifier,
    STATE(3418), 1,
      sym_invocation,
    STATE(3422), 1,
      sym__double_quote_string,
    STATE(3447), 1,
      sym__integer,
    STATE(3811), 1,
      sym__expression,
    STATE(5593), 1,
      sym_all_fields,
    STATE(7280), 1,
      sym__alias_identifier,
    STATE(1304), 2,
      sym_comment,
      sym_marginalia,
    STATE(3561), 2,
      sym_count,
      sym_group_concat,
    STATE(3593), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(2825), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3562), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [91219] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1305), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(975), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(977), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [91281] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3281), 1,
      anon_sym_DOT,
    STATE(1306), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2001), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2003), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [91345] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1307), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1587), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1585), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [91407] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1308), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2281), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2279), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [91469] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1309), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2287), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2285), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [91531] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1310), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2293), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2291), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [91593] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1311), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2341), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2339), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [91655] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1909), 1,
      anon_sym_DOT,
    STATE(1312), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2007), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2009), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [91719] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3283), 1,
      sym_keyword_over,
    STATE(1313), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2209), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2211), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [91783] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1314), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2015), 16,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2017), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [91845] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1315), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2349), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2347), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [91907] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1316), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2367), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2365), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [91969] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3285), 1,
      sym_keyword_zerofill,
    STATE(1317), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1347), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1349), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [92033] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1318), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1591), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1589), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [92095] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1319), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2381), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2379), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [92157] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1320), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2003), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2001), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [92219] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1321), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(979), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(981), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [92281] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3287), 1,
      sym_keyword_zerofill,
    STATE(1322), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1371), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1373), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [92345] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1323), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2207), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2205), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [92407] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1324), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1217), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1215), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [92469] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1325), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2385), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2383), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [92531] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1326), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1635), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1633), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [92593] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3289), 1,
      sym_keyword_zerofill,
    STATE(1327), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1339), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1341), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [92657] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1328), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1437), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1435), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [92719] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1329), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2211), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2209), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [92781] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3291), 1,
      sym_keyword_zerofill,
    STATE(1330), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1429), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1431), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [92845] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1331), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2215), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2213), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [92907] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3293), 1,
      sym_keyword_zerofill,
    STATE(1332), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1435), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1437), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [92971] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3295), 1,
      sym_keyword_zerofill,
    STATE(1333), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1333), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1335), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [93035] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1334), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2227), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2225), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [93097] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1335), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1901), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1899), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [93159] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1336), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2235), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2233), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [93221] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1337), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2389), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2387), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [93283] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3297), 1,
      sym_keyword_zerofill,
    STATE(1338), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1377), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1379), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [93347] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3299), 1,
      sym_keyword_zerofill,
    STATE(1339), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1359), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1361), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [93411] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3301), 1,
      sym_keyword_zerofill,
    STATE(1340), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1461), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1463), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [93475] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3303), 1,
      sym_keyword_zerofill,
    STATE(1341), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1423), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1425), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [93539] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3305), 1,
      sym_keyword_zerofill,
    STATE(1342), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1411), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1413), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [93603] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3307), 1,
      sym_keyword_zerofill,
    STATE(1343), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1365), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1367), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [93667] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3309), 1,
      sym_keyword_zerofill,
    STATE(1344), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1455), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1457), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [93731] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1345), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2179), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2177), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [93793] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1346), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2393), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2391), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [93855] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1347), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2539), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2537), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [93917] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1348), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(961), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(959), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [93979] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1349), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2529), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2527), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [94041] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1350), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(973), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(971), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_over,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [94103] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1351), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(975), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(977), 41,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [94165] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3311), 1,
      sym_keyword_zerofill,
    STATE(1352), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1327), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1329), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [94229] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3313), 1,
      anon_sym_LPAREN,
    STATE(1353), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1327), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1329), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [94293] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3315), 1,
      sym_keyword_zerofill,
    STATE(1354), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1359), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1361), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [94357] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3317), 1,
      sym_keyword_zerofill,
    STATE(1355), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1377), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1379), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [94421] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3319), 1,
      sym_keyword_zerofill,
    STATE(1356), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1333), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1335), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [94485] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3321), 1,
      sym_keyword_zerofill,
    STATE(1357), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1339), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1341), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [94549] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1358), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2405), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2403), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [94611] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3323), 1,
      sym_keyword_zerofill,
    STATE(1359), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1347), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1349), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [94675] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2861), 1,
      sym_keyword_zerofill,
    STATE(1360), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1043), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1045), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [94739] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3325), 1,
      sym_keyword_zerofill,
    STATE(1361), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1353), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1355), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [94803] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1362), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1431), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1429), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [94865] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3107), 1,
      anon_sym_LPAREN,
    STATE(1363), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1043), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1045), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [94929] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3327), 1,
      anon_sym_LPAREN,
    STATE(1364), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1359), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1361), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [94993] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3329), 1,
      anon_sym_LPAREN,
    STATE(1365), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1377), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1379), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [95057] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3331), 1,
      anon_sym_LPAREN,
    STATE(1366), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1333), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1335), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [95121] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1367), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1603), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1601), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [95183] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3333), 1,
      anon_sym_LPAREN,
    STATE(1368), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1339), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1341), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [95247] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3335), 1,
      anon_sym_LPAREN,
    STATE(1369), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1347), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1349), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [95311] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1370), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2525), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2523), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [95373] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1371), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1619), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1617), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [95435] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3337), 1,
      anon_sym_LPAREN,
    STATE(1372), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1353), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1355), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [95499] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3339), 1,
      anon_sym_LPAREN,
    STATE(1373), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1327), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1329), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [95563] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1374), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1011), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1009), 41,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [95625] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1375), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1015), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1013), 41,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [95687] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3341), 1,
      sym_keyword_zerofill,
    STATE(1376), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1327), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1329), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [95751] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3343), 1,
      anon_sym_LPAREN,
    STATE(1377), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1397), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1399), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [95815] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3345), 1,
      anon_sym_LPAREN,
    STATE(1378), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1405), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1407), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [95879] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1379), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(969), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(967), 33,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_over,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [95941] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1380), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2505), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2503), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [96003] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3347), 1,
      aux_sym_keyword_with_token1,
    ACTIONS(3349), 1,
      aux_sym_keyword_timestamp_token2,
    STATE(1381), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1441), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1443), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [96069] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1382), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1255), 15,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1257), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [96131] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1383), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1123), 15,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1125), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [96193] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1384), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1373), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1371), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [96255] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3351), 1,
      anon_sym_LPAREN,
    STATE(1385), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1383), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1385), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [96319] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3353), 1,
      anon_sym_LPAREN,
    STATE(1386), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1417), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1419), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [96383] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1387), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1623), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1621), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [96445] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1915), 1,
      anon_sym_DOT,
    STATE(1388), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1911), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1913), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [96509] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1909), 1,
      anon_sym_DOT,
    STATE(1389), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1905), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1907), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [96573] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1390), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1019), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1017), 41,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [96635] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1391), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(955), 16,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(957), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [96697] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1392), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1627), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1625), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [96759] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1393), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(997), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(995), 41,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [96821] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3357), 1,
      sym_keyword_over,
    STATE(1394), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2211), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2209), 17,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
    ACTIONS(3355), 24,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [96887] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1395), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1027), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1025), 41,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [96949] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3359), 1,
      sym__natural_number,
    STATE(1396), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1899), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1901), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [97013] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1397), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1031), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1029), 41,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [97075] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1398), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2131), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2133), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [97137] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3361), 1,
      sym_keyword_zerofill,
    STATE(1399), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1455), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1457), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [97201] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3363), 1,
      sym_keyword_unsigned,
    ACTIONS(3365), 1,
      sym_keyword_zerofill,
    ACTIONS(3367), 1,
      anon_sym_LPAREN,
    STATE(1400), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1075), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1073), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [97269] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3369), 1,
      sym_keyword_unsigned,
    ACTIONS(3371), 1,
      sym_keyword_zerofill,
    ACTIONS(3373), 1,
      anon_sym_LPAREN,
    STATE(1401), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1065), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1063), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [97337] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3375), 1,
      sym_keyword_unsigned,
    ACTIONS(3377), 1,
      sym_keyword_zerofill,
    ACTIONS(3379), 1,
      anon_sym_LPAREN,
    STATE(1402), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1001), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(999), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [97405] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3381), 1,
      sym_keyword_unsigned,
    ACTIONS(3383), 1,
      sym_keyword_zerofill,
    ACTIONS(3385), 1,
      anon_sym_LPAREN,
    STATE(1403), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1085), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1083), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [97473] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3387), 1,
      sym_keyword_zerofill,
    STATE(1404), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1371), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1373), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [97537] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3389), 1,
      sym_keyword_zerofill,
    STATE(1405), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1423), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1425), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [97601] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1406), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2015), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2017), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [97663] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3391), 1,
      sym_keyword_zerofill,
    STATE(1407), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1411), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1413), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [97727] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1408), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2513), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2511), 42,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [97789] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3393), 1,
      sym_keyword_unsigned,
    ACTIONS(3395), 1,
      sym_keyword_zerofill,
    ACTIONS(3397), 1,
      anon_sym_LPAREN,
    STATE(1409), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1035), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1033), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [97857] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3399), 1,
      sym_keyword_zerofill,
    STATE(1410), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1429), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1431), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [97921] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3401), 1,
      sym_keyword_unsigned,
    ACTIONS(3403), 1,
      sym_keyword_zerofill,
    ACTIONS(3405), 1,
      anon_sym_LPAREN,
    STATE(1411), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1045), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1043), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [97989] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3407), 1,
      sym_keyword_zerofill,
    STATE(1412), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1365), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1367), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [98053] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3409), 1,
      anon_sym_DOT,
    STATE(1413), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2001), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2003), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [98117] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3411), 1,
      sym_keyword_zerofill,
    STATE(1414), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1435), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1437), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [98181] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1909), 1,
      anon_sym_DOT,
    STATE(1415), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2007), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2009), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [98245] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3413), 1,
      sym_keyword_zerofill,
    STATE(1416), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1461), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1463), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [98309] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3415), 1,
      sym_keyword_over,
    STATE(1417), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2209), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2211), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [98373] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3137), 1,
      sym_keyword_unsigned,
    ACTIONS(3139), 1,
      sym_keyword_zerofill,
    ACTIONS(3143), 1,
      anon_sym_LPAREN,
    STATE(1418), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(985), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(983), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [98441] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    ACTIONS(3417), 1,
      sym_keyword_when,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4224), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1419), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [98556] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1420), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1645), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1647), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [98617] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    ACTIONS(3419), 1,
      sym_keyword_when,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4215), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1421), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [98732] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1422), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1621), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1623), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [98793] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1423), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1371), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1373), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [98854] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1424), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1617), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1619), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [98915] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1425), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1601), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1603), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [98976] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1426), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2243), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2245), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [99037] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    ACTIONS(3421), 1,
      anon_sym_RPAREN,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4035), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1427), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [99152] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1428), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1429), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1431), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [99213] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    ACTIONS(3423), 1,
      sym_keyword_when,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4213), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1429), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [99328] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1430), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1435), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1437), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [99389] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1431), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1215), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1217), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [99450] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1432), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1593), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1595), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [99511] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1433), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2249), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2251), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [99572] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3425), 1,
      sym__identifier,
    ACTIONS(3427), 1,
      sym_keyword_distinct,
    ACTIONS(3429), 1,
      sym_keyword_cast,
    ACTIONS(3431), 1,
      sym_keyword_count,
    ACTIONS(3433), 1,
      sym_keyword_group_concat,
    ACTIONS(3435), 1,
      sym_keyword_case,
    ACTIONS(3437), 1,
      sym_keyword_not,
    ACTIONS(3441), 1,
      sym_keyword_interval,
    ACTIONS(3443), 1,
      sym_keyword_array,
    ACTIONS(3445), 1,
      anon_sym_LPAREN,
    ACTIONS(3447), 1,
      anon_sym_DOT,
    ACTIONS(3449), 1,
      anon_sym_QMARK,
    ACTIONS(3451), 1,
      anon_sym_DOLLAR,
    ACTIONS(3453), 1,
      anon_sym_SQUOTE,
    ACTIONS(3455), 1,
      anon_sym_DASH,
    ACTIONS(3457), 1,
      anon_sym_DQUOTE,
    ACTIONS(3459), 1,
      sym__natural_number,
    ACTIONS(3461), 1,
      sym_bang,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    STATE(133), 1,
      sym__expression,
    STATE(397), 1,
      sym__integer,
    STATE(398), 1,
      sym__double_quote_string,
    STATE(459), 1,
      sym_identifier,
    STATE(753), 1,
      sym_invocation,
    STATE(6950), 1,
      sym__alias_identifier,
    STATE(494), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(500), 2,
      sym_count,
      sym_group_concat,
    STATE(1434), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(499), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [99687] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1435), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1589), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1591), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [99748] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1436), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1585), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1587), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [99809] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1437), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1577), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1579), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [99870] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3465), 1,
      sym_keyword_precision,
    ACTIONS(3467), 1,
      anon_sym_LPAREN,
    STATE(1438), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1045), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1043), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [99935] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1439), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1573), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1575), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [99996] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1440), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1565), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1567), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [100057] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    ACTIONS(3469), 1,
      sym_keyword_when,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4202), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1441), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [100172] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    ACTIONS(3471), 1,
      sym_keyword_when,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4169), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1442), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [100287] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1443), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1561), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1563), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [100348] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1444), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1557), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1559), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [100409] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1445), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2253), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2255), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [100470] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1446), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1461), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1463), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [100531] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1447), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1423), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1425), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [100592] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1448), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1411), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1413), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [100653] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1449), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1365), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1367), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [100714] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3473), 1,
      sym__identifier,
    ACTIONS(3475), 1,
      sym_keyword_cast,
    ACTIONS(3477), 1,
      sym_keyword_count,
    ACTIONS(3479), 1,
      sym_keyword_group_concat,
    ACTIONS(3481), 1,
      sym_keyword_case,
    ACTIONS(3483), 1,
      sym_keyword_not,
    ACTIONS(3487), 1,
      sym_keyword_interval,
    ACTIONS(3489), 1,
      sym_keyword_array,
    ACTIONS(3491), 1,
      anon_sym_LPAREN,
    ACTIONS(3493), 1,
      anon_sym_DOT,
    ACTIONS(3495), 1,
      anon_sym_QMARK,
    ACTIONS(3497), 1,
      anon_sym_DOLLAR,
    ACTIONS(3499), 1,
      anon_sym_SQUOTE,
    ACTIONS(3501), 1,
      anon_sym_DASH,
    ACTIONS(3503), 1,
      anon_sym_DQUOTE,
    ACTIONS(3505), 1,
      sym__natural_number,
    ACTIONS(3507), 1,
      sym_bang,
    ACTIONS(3509), 1,
      anon_sym_BQUOTE,
    STATE(368), 1,
      sym_identifier,
    STATE(387), 1,
      sym__expression,
    STATE(603), 1,
      sym__integer,
    STATE(604), 1,
      sym__double_quote_string,
    STATE(605), 1,
      sym_invocation,
    STATE(4690), 1,
      sym_order_target,
    STATE(6786), 1,
      sym__alias_identifier,
    STATE(629), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(656), 2,
      sym_count,
      sym_group_concat,
    STATE(1450), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3485), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(654), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [100829] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1451), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2001), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2003), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [100890] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1452), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2205), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2207), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [100951] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1453), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2209), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2211), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [101012] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1454), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2213), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2215), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [101073] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1455), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1455), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1457), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [101134] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    ACTIONS(3511), 1,
      anon_sym_RBRACK,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(3908), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1456), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [101249] = 15,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3515), 1,
      sym_keyword_distinct,
    STATE(302), 1,
      sym__expression,
    STATE(930), 1,
      sym_identifier,
    STATE(1157), 1,
      sym_invocation,
    STATE(1160), 1,
      sym__double_quote_string,
    STATE(1161), 1,
      sym__integer,
    STATE(6602), 1,
      sym__alias_identifier,
    STATE(1258), 2,
      sym_count,
      sym_group_concat,
    STATE(1265), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(1457), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3517), 9,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__natural_number,
      sym_bang,
      anon_sym_BQUOTE,
    ACTIONS(3513), 12,
      sym_keyword_cast,
      sym_keyword_count,
      sym_keyword_group_concat,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      anon_sym_DASH,
      sym__identifier,
    STATE(1259), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [101330] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1458), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2225), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2227), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [101391] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1459), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1899), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1901), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [101452] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1460), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2233), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2235), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [101513] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    ACTIONS(3519), 1,
      anon_sym_RBRACK,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4008), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1461), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [101628] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1462), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1517), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1519), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [101689] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    ACTIONS(3521), 1,
      anon_sym_RPAREN,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4011), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1463), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [101804] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1464), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1513), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1515), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [101865] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1465), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1509), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1511), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [101926] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1466), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1505), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1507), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [101987] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1467), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1501), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1503), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [102048] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2457), 1,
      sym__identifier,
    ACTIONS(2461), 1,
      sym_keyword_cast,
    ACTIONS(2463), 1,
      sym_keyword_count,
    ACTIONS(2465), 1,
      sym_keyword_group_concat,
    ACTIONS(2467), 1,
      sym_keyword_case,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2477), 1,
      anon_sym_LPAREN,
    ACTIONS(2479), 1,
      anon_sym_DOT,
    ACTIONS(2481), 1,
      anon_sym_QMARK,
    ACTIONS(2483), 1,
      anon_sym_DOLLAR,
    ACTIONS(2485), 1,
      anon_sym_SQUOTE,
    ACTIONS(2487), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      anon_sym_DQUOTE,
    ACTIONS(2491), 1,
      sym__natural_number,
    ACTIONS(2493), 1,
      sym_bang,
    ACTIONS(2495), 1,
      anon_sym_BQUOTE,
    ACTIONS(3427), 1,
      sym_keyword_distinct,
    ACTIONS(3523), 1,
      sym_keyword_not,
    STATE(353), 1,
      sym__expression,
    STATE(1082), 1,
      sym_identifier,
    STATE(1413), 1,
      sym__integer,
    STATE(1415), 1,
      sym__double_quote_string,
    STATE(1417), 1,
      sym_invocation,
    STATE(6229), 1,
      sym__alias_identifier,
    STATE(1451), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(1454), 2,
      sym_count,
      sym_group_concat,
    STATE(1468), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(1453), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [102163] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1469), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2257), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2259), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [102224] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1470), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2261), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2263), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [102285] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1471), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1545), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1547), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [102346] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1472), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1581), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1583), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [102407] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    ACTIONS(3525), 1,
      sym_keyword_when,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4210), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1473), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [102522] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    ACTIONS(3527), 1,
      sym_keyword_when,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4212), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1474), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [102637] = 15,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3515), 1,
      sym_keyword_distinct,
    STATE(1991), 1,
      sym__expression,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1475), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(3517), 9,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__natural_number,
      sym_bang,
      anon_sym_BQUOTE,
    ACTIONS(3513), 12,
      sym_keyword_cast,
      sym_keyword_count,
      sym_keyword_group_concat,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      anon_sym_DASH,
      sym__identifier,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [102718] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    ACTIONS(3529), 1,
      anon_sym_RBRACK,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(3897), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1476), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [102833] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    ACTIONS(3531), 1,
      sym_keyword_when,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4225), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1477), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [102948] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1478), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2177), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2179), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [103009] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2811), 1,
      sym__identifier,
    ACTIONS(2815), 1,
      sym_keyword_cast,
    ACTIONS(2817), 1,
      sym_keyword_count,
    ACTIONS(2819), 1,
      sym_keyword_group_concat,
    ACTIONS(2821), 1,
      sym_keyword_case,
    ACTIONS(2827), 1,
      sym_keyword_interval,
    ACTIONS(2829), 1,
      sym_keyword_array,
    ACTIONS(2831), 1,
      anon_sym_LPAREN,
    ACTIONS(2833), 1,
      anon_sym_DOT,
    ACTIONS(2835), 1,
      anon_sym_QMARK,
    ACTIONS(2837), 1,
      anon_sym_DOLLAR,
    ACTIONS(2839), 1,
      anon_sym_SQUOTE,
    ACTIONS(2841), 1,
      anon_sym_DASH,
    ACTIONS(2843), 1,
      anon_sym_DQUOTE,
    ACTIONS(2845), 1,
      sym__natural_number,
    ACTIONS(2847), 1,
      sym_bang,
    ACTIONS(2849), 1,
      anon_sym_BQUOTE,
    ACTIONS(3427), 1,
      sym_keyword_distinct,
    ACTIONS(3533), 1,
      sym_keyword_not,
    STATE(2638), 1,
      sym__expression,
    STATE(3329), 1,
      sym_identifier,
    STATE(3418), 1,
      sym_invocation,
    STATE(3422), 1,
      sym__double_quote_string,
    STATE(3447), 1,
      sym__integer,
    STATE(6476), 1,
      sym__alias_identifier,
    STATE(1479), 2,
      sym_comment,
      sym_marginalia,
    STATE(3561), 2,
      sym_count,
      sym_group_concat,
    STATE(3593), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(2825), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3562), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [103124] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1480), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2537), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2539), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [103185] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    ACTIONS(3535), 1,
      anon_sym_RPAREN,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(3910), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1481), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [103300] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1482), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2527), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2529), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [103361] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3427), 1,
      sym_keyword_distinct,
    ACTIONS(3537), 1,
      sym__identifier,
    ACTIONS(3539), 1,
      sym_keyword_cast,
    ACTIONS(3541), 1,
      sym_keyword_count,
    ACTIONS(3543), 1,
      sym_keyword_group_concat,
    ACTIONS(3545), 1,
      sym_keyword_case,
    ACTIONS(3547), 1,
      sym_keyword_not,
    ACTIONS(3551), 1,
      sym_keyword_interval,
    ACTIONS(3553), 1,
      sym_keyword_array,
    ACTIONS(3555), 1,
      anon_sym_LPAREN,
    ACTIONS(3557), 1,
      anon_sym_DOT,
    ACTIONS(3559), 1,
      anon_sym_QMARK,
    ACTIONS(3561), 1,
      anon_sym_DOLLAR,
    ACTIONS(3563), 1,
      anon_sym_SQUOTE,
    ACTIONS(3565), 1,
      anon_sym_DASH,
    ACTIONS(3567), 1,
      anon_sym_DQUOTE,
    ACTIONS(3569), 1,
      sym__natural_number,
    ACTIONS(3571), 1,
      sym_bang,
    ACTIONS(3573), 1,
      anon_sym_BQUOTE,
    STATE(229), 1,
      sym__expression,
    STATE(720), 1,
      sym_identifier,
    STATE(867), 1,
      sym__double_quote_string,
    STATE(966), 1,
      sym__integer,
    STATE(968), 1,
      sym_invocation,
    STATE(7073), 1,
      sym__alias_identifier,
    STATE(1107), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(1112), 2,
      sym_count,
      sym_group_concat,
    STATE(1483), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3549), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(1111), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [103476] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3427), 1,
      sym_keyword_distinct,
    ACTIONS(3429), 1,
      sym_keyword_cast,
    ACTIONS(3431), 1,
      sym_keyword_count,
    ACTIONS(3433), 1,
      sym_keyword_group_concat,
    ACTIONS(3435), 1,
      sym_keyword_case,
    ACTIONS(3441), 1,
      sym_keyword_interval,
    ACTIONS(3443), 1,
      sym_keyword_array,
    ACTIONS(3447), 1,
      anon_sym_DOT,
    ACTIONS(3449), 1,
      anon_sym_QMARK,
    ACTIONS(3451), 1,
      anon_sym_DOLLAR,
    ACTIONS(3453), 1,
      anon_sym_SQUOTE,
    ACTIONS(3455), 1,
      anon_sym_DASH,
    ACTIONS(3457), 1,
      anon_sym_DQUOTE,
    ACTIONS(3459), 1,
      sym__natural_number,
    ACTIONS(3575), 1,
      sym__identifier,
    ACTIONS(3577), 1,
      sym_keyword_not,
    ACTIONS(3579), 1,
      anon_sym_LPAREN,
    ACTIONS(3581), 1,
      sym_bang,
    ACTIONS(3583), 1,
      anon_sym_BQUOTE,
    STATE(169), 1,
      sym__expression,
    STATE(397), 1,
      sym__integer,
    STATE(398), 1,
      sym__double_quote_string,
    STATE(751), 1,
      sym_identifier,
    STATE(840), 1,
      sym_invocation,
    STATE(6909), 1,
      sym__alias_identifier,
    STATE(494), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(500), 2,
      sym_count,
      sym_group_concat,
    STATE(1484), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(499), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [103591] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1485), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2211), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2209), 17,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
    ACTIONS(3355), 24,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [103654] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1486), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2523), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2525), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [103715] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    ACTIONS(3585), 1,
      anon_sym_RBRACK,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4044), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1487), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [103830] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    ACTIONS(3587), 1,
      anon_sym_RPAREN,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4047), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1488), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [103945] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1489), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1629), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1631), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [104006] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1490), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1633), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1635), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [104067] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1491), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1637), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1639), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [104128] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1492), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1609), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1611), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [104189] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1493), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1729), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1731), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [104250] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1494), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1725), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1727), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [104311] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    ACTIONS(3589), 1,
      sym_keyword_when,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4233), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1495), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [104426] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1496), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1613), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1615), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [104487] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1497), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1493), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1495), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [104548] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1498), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1605), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1607), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [104609] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1499), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1597), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1599), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [104670] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1500), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2265), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2267), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [104731] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1501), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2269), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2271), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [104792] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    ACTIONS(3591), 1,
      sym_keyword_when,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4245), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1502), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [104907] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    ACTIONS(3593), 1,
      anon_sym_RBRACK,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(3976), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1503), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [105022] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    ACTIONS(3595), 1,
      anon_sym_RPAREN,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(3967), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1504), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [105137] = 15,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3515), 1,
      sym_keyword_distinct,
    STATE(585), 1,
      sym__expression,
    STATE(1696), 1,
      sym_identifier,
    STATE(1930), 1,
      sym__integer,
    STATE(1931), 1,
      sym__double_quote_string,
    STATE(1932), 1,
      sym_invocation,
    STATE(6653), 1,
      sym__alias_identifier,
    STATE(1505), 2,
      sym_comment,
      sym_marginalia,
    STATE(2293), 2,
      sym_count,
      sym_group_concat,
    STATE(2305), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(3517), 9,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__natural_number,
      sym_bang,
      anon_sym_BQUOTE,
    ACTIONS(3513), 12,
      sym_keyword_cast,
      sym_keyword_count,
      sym_keyword_group_concat,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      anon_sym_DASH,
      sym__identifier,
    STATE(2303), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [105218] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    ACTIONS(3597), 1,
      anon_sym_RBRACK,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4130), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1506), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [105333] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1507), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2279), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2281), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [105394] = 15,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3515), 1,
      sym_keyword_distinct,
    STATE(2719), 1,
      sym__expression,
    STATE(3329), 1,
      sym_identifier,
    STATE(3418), 1,
      sym_invocation,
    STATE(3422), 1,
      sym__double_quote_string,
    STATE(3447), 1,
      sym__integer,
    STATE(6476), 1,
      sym__alias_identifier,
    STATE(1508), 2,
      sym_comment,
      sym_marginalia,
    STATE(3561), 2,
      sym_count,
      sym_group_concat,
    STATE(3593), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(3517), 9,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__natural_number,
      sym_bang,
      anon_sym_BQUOTE,
    ACTIONS(3513), 12,
      sym_keyword_cast,
      sym_keyword_count,
      sym_keyword_group_concat,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      anon_sym_DASH,
      sym__identifier,
    STATE(3562), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [105475] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1509), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2285), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2287), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [105536] = 15,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3515), 1,
      sym_keyword_distinct,
    STATE(3356), 1,
      sym__expression,
    STATE(4261), 1,
      sym_identifier,
    STATE(4339), 1,
      sym_invocation,
    STATE(4343), 1,
      sym__double_quote_string,
    STATE(4345), 1,
      sym__integer,
    STATE(6704), 1,
      sym__alias_identifier,
    STATE(1510), 2,
      sym_comment,
      sym_marginalia,
    STATE(4408), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(4452), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(3517), 9,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__natural_number,
      sym_bang,
      anon_sym_BQUOTE,
    ACTIONS(3513), 12,
      sym_keyword_cast,
      sym_keyword_count,
      sym_keyword_group_concat,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      anon_sym_DASH,
      sym__identifier,
    STATE(4422), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [105617] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    ACTIONS(3599), 1,
      anon_sym_RBRACK,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4002), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1511), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [105732] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    ACTIONS(3601), 1,
      anon_sym_RPAREN,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4052), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1512), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [105847] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1513), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1569), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1571), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [105908] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1514), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(983), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(985), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [105969] = 15,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3515), 1,
      sym_keyword_distinct,
    STATE(2709), 1,
      sym__expression,
    STATE(3353), 1,
      sym_identifier,
    STATE(3459), 1,
      sym_invocation,
    STATE(3460), 1,
      sym__double_quote_string,
    STATE(3470), 1,
      sym__integer,
    STATE(6868), 1,
      sym__alias_identifier,
    STATE(1515), 2,
      sym_comment,
      sym_marginalia,
    STATE(3761), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(3886), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(3517), 9,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__natural_number,
      sym_bang,
      anon_sym_BQUOTE,
    ACTIONS(3513), 12,
      sym_keyword_cast,
      sym_keyword_count,
      sym_keyword_group_concat,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      anon_sym_DASH,
      sym__identifier,
    STATE(3882), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [106050] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1516), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1657), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1659), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [106111] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1517), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1653), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1655), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [106172] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1518), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(973), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(971), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_over,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [106233] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1519), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1649), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1651), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [106294] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1520), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1645), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1647), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [106355] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3603), 1,
      sym_keyword_unsigned,
    ACTIONS(3605), 1,
      sym_keyword_zerofill,
    STATE(1521), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1233), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1231), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [106420] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3607), 1,
      sym_keyword_unsigned,
    ACTIONS(3609), 1,
      sym_keyword_zerofill,
    STATE(1522), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1209), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1207), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [106485] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1523), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2511), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2513), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [106546] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1524), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1641), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1643), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [106607] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3611), 1,
      sym_keyword_unsigned,
    ACTIONS(3613), 1,
      sym_keyword_zerofill,
    STATE(1525), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1201), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1199), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [106672] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1526), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1327), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1329), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [106733] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1527), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1497), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1499), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [106794] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3615), 1,
      sym_keyword_unsigned,
    ACTIONS(3617), 1,
      sym_keyword_zerofill,
    STATE(1528), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1241), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1239), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [106859] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1529), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2503), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2505), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [106920] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1530), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2403), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2405), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [106981] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1531), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2391), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2393), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [107042] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1532), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2387), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2389), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [107103] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3619), 1,
      sym_keyword_unsigned,
    ACTIONS(3621), 1,
      sym_keyword_zerofill,
    STATE(1533), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1225), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1223), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [107168] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    ACTIONS(3623), 1,
      anon_sym_RBRACK,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4005), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1534), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [107283] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1535), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2383), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2385), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [107344] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1536), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2379), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2381), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [107405] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1537), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2403), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2405), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [107466] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    ACTIONS(3625), 1,
      anon_sym_RPAREN,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4003), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1538), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [107581] = 15,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3515), 1,
      sym_keyword_distinct,
    STATE(271), 1,
      sym__expression,
    STATE(976), 1,
      sym_identifier,
    STATE(1003), 1,
      sym_invocation,
    STATE(1005), 1,
      sym__double_quote_string,
    STATE(1014), 1,
      sym__integer,
    STATE(6745), 1,
      sym__alias_identifier,
    STATE(1320), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(1331), 2,
      sym_count,
      sym_group_concat,
    STATE(1539), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3517), 9,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__natural_number,
      sym_bang,
      anon_sym_BQUOTE,
    ACTIONS(3513), 12,
      sym_keyword_cast,
      sym_keyword_count,
      sym_keyword_group_concat,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      anon_sym_DASH,
      sym__identifier,
    STATE(1329), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [107662] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    ACTIONS(3627), 1,
      anon_sym_RBRACK,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(3946), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1540), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [107777] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    ACTIONS(3629), 1,
      anon_sym_RPAREN,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(3915), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1541), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [107892] = 15,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3515), 1,
      sym_keyword_distinct,
    STATE(83), 1,
      sym__expression,
    STATE(368), 1,
      sym_identifier,
    STATE(603), 1,
      sym__integer,
    STATE(604), 1,
      sym__double_quote_string,
    STATE(605), 1,
      sym_invocation,
    STATE(6786), 1,
      sym__alias_identifier,
    STATE(629), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(656), 2,
      sym_count,
      sym_group_concat,
    STATE(1542), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3517), 9,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__natural_number,
      sym_bang,
      anon_sym_BQUOTE,
    ACTIONS(3513), 12,
      sym_keyword_cast,
      sym_keyword_count,
      sym_keyword_group_concat,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      anon_sym_DASH,
      sym__identifier,
    STATE(654), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [107973] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    ACTIONS(3631), 1,
      anon_sym_RBRACK,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(3950), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1543), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [108088] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3633), 1,
      sym__identifier,
    ACTIONS(3635), 1,
      sym_keyword_cast,
    ACTIONS(3637), 1,
      sym_keyword_count,
    ACTIONS(3639), 1,
      sym_keyword_group_concat,
    ACTIONS(3641), 1,
      sym_keyword_case,
    ACTIONS(3643), 1,
      sym_keyword_not,
    ACTIONS(3647), 1,
      sym_keyword_interval,
    ACTIONS(3649), 1,
      sym_keyword_array,
    ACTIONS(3651), 1,
      anon_sym_LPAREN,
    ACTIONS(3653), 1,
      anon_sym_DOT,
    ACTIONS(3655), 1,
      anon_sym_QMARK,
    ACTIONS(3657), 1,
      anon_sym_DOLLAR,
    ACTIONS(3659), 1,
      anon_sym_SQUOTE,
    ACTIONS(3661), 1,
      anon_sym_DASH,
    ACTIONS(3663), 1,
      anon_sym_DQUOTE,
    ACTIONS(3665), 1,
      sym__natural_number,
    ACTIONS(3667), 1,
      sym_bang,
    ACTIONS(3669), 1,
      anon_sym_BQUOTE,
    STATE(2672), 1,
      sym__expression,
    STATE(3442), 1,
      sym_identifier,
    STATE(3626), 1,
      sym_invocation,
    STATE(3679), 1,
      sym__integer,
    STATE(3680), 1,
      sym__double_quote_string,
    STATE(4483), 1,
      sym_order_target,
    STATE(7113), 1,
      sym__alias_identifier,
    STATE(1544), 2,
      sym_comment,
      sym_marginalia,
    STATE(4055), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(4060), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(3645), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(4059), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [108203] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    ACTIONS(3671), 1,
      anon_sym_RPAREN,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(3977), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1545), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [108318] = 15,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3515), 1,
      sym_keyword_distinct,
    STATE(2325), 1,
      sym__expression,
    STATE(2777), 1,
      sym_identifier,
    STATE(2929), 1,
      sym_invocation,
    STATE(2970), 1,
      sym__double_quote_string,
    STATE(2971), 1,
      sym__integer,
    STATE(6827), 1,
      sym__alias_identifier,
    STATE(1546), 2,
      sym_comment,
      sym_marginalia,
    STATE(3135), 2,
      sym_count,
      sym_group_concat,
    STATE(3149), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(3517), 9,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__natural_number,
      sym_bang,
      anon_sym_BQUOTE,
    ACTIONS(3513), 12,
      sym_keyword_cast,
      sym_keyword_count,
      sym_keyword_group_concat,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      anon_sym_DASH,
      sym__identifier,
    STATE(3136), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [108399] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1547), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1353), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1355), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [108460] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    ACTIONS(3673), 1,
      anon_sym_RBRACK,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4001), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1548), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [108575] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1549), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1043), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1045), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [108636] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1550), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2291), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2293), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [108697] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    ACTIONS(3675), 1,
      anon_sym_RPAREN,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4018), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1551), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [108812] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1552), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1347), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1349), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [108873] = 15,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3515), 1,
      sym_keyword_distinct,
    STATE(181), 1,
      sym__expression,
    STATE(397), 1,
      sym__integer,
    STATE(398), 1,
      sym__double_quote_string,
    STATE(751), 1,
      sym_identifier,
    STATE(840), 1,
      sym_invocation,
    STATE(6909), 1,
      sym__alias_identifier,
    STATE(494), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(500), 2,
      sym_count,
      sym_group_concat,
    STATE(1553), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3517), 9,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__natural_number,
      sym_bang,
      anon_sym_BQUOTE,
    ACTIONS(3513), 12,
      sym_keyword_cast,
      sym_keyword_count,
      sym_keyword_group_concat,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      anon_sym_DASH,
      sym__identifier,
    STATE(499), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [108954] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1554), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1339), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1341), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [109015] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    ACTIONS(3677), 1,
      anon_sym_RBRACK,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(3931), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1555), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [109130] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1556), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1333), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1335), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [109191] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    ACTIONS(3679), 1,
      anon_sym_RPAREN,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4007), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1557), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [109306] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1558), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1377), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1379), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [109367] = 15,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3515), 1,
      sym_keyword_distinct,
    STATE(131), 1,
      sym__expression,
    STATE(397), 1,
      sym__integer,
    STATE(398), 1,
      sym__double_quote_string,
    STATE(459), 1,
      sym_identifier,
    STATE(753), 1,
      sym_invocation,
    STATE(6950), 1,
      sym__alias_identifier,
    STATE(494), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(500), 2,
      sym_count,
      sym_group_concat,
    STATE(1559), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3517), 9,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__natural_number,
      sym_bang,
      anon_sym_BQUOTE,
    ACTIONS(3513), 12,
      sym_keyword_cast,
      sym_keyword_count,
      sym_keyword_group_concat,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      anon_sym_DASH,
      sym__identifier,
    STATE(499), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [109448] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1560), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1359), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1361), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [109509] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1561), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2339), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2341), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [109570] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(1785), 1,
      anon_sym_CARET,
    ACTIONS(1787), 1,
      sym_keyword_in,
    ACTIONS(1789), 1,
      anon_sym_SLASH,
    ACTIONS(1793), 1,
      anon_sym_PLUS,
    ACTIONS(1795), 1,
      anon_sym_DASH,
    ACTIONS(1807), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3005), 1,
      sym_keyword_and,
    ACTIONS(3007), 1,
      sym_keyword_or,
    ACTIONS(3009), 1,
      sym_keyword_is,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1805), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1562), 2,
      sym_comment,
      sym_marginalia,
    STATE(1748), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1803), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1749), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1963), 17,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [109665] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1563), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2365), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2367), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [109726] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1564), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2347), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2349), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [109787] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1565), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2339), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2341), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [109848] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1566), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2291), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2293), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [109909] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3427), 1,
      sym_keyword_distinct,
    ACTIONS(3681), 1,
      sym__identifier,
    ACTIONS(3683), 1,
      sym_keyword_cast,
    ACTIONS(3685), 1,
      sym_keyword_count,
    ACTIONS(3687), 1,
      sym_keyword_group_concat,
    ACTIONS(3689), 1,
      sym_keyword_case,
    ACTIONS(3691), 1,
      sym_keyword_not,
    ACTIONS(3695), 1,
      sym_keyword_interval,
    ACTIONS(3697), 1,
      sym_keyword_array,
    ACTIONS(3699), 1,
      anon_sym_LPAREN,
    ACTIONS(3701), 1,
      anon_sym_DOT,
    ACTIONS(3703), 1,
      anon_sym_QMARK,
    ACTIONS(3705), 1,
      anon_sym_DOLLAR,
    ACTIONS(3707), 1,
      anon_sym_SQUOTE,
    ACTIONS(3709), 1,
      anon_sym_DASH,
    ACTIONS(3711), 1,
      anon_sym_DQUOTE,
    ACTIONS(3713), 1,
      sym__natural_number,
    ACTIONS(3715), 1,
      sym_bang,
    ACTIONS(3717), 1,
      anon_sym_BQUOTE,
    STATE(2318), 1,
      sym__expression,
    STATE(2777), 1,
      sym_identifier,
    STATE(2929), 1,
      sym_invocation,
    STATE(2970), 1,
      sym__double_quote_string,
    STATE(2971), 1,
      sym__integer,
    STATE(6827), 1,
      sym__alias_identifier,
    STATE(1567), 2,
      sym_comment,
      sym_marginalia,
    STATE(3135), 2,
      sym_count,
      sym_group_concat,
    STATE(3149), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(3693), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3136), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [110024] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1568), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1497), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1499), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [110085] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1569), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1327), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1329), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [110146] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3719), 1,
      sym_keyword_unsigned,
    ACTIONS(3721), 1,
      sym_keyword_zerofill,
    STATE(1570), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1117), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1115), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [110211] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1571), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1641), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1643), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [110272] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1572), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1625), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1627), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [110333] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1573), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1649), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1651), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [110394] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1574), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1653), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1655), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [110455] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1575), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1657), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1659), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [110516] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1576), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2347), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2349), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [110577] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1577), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2365), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2367), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [110638] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3723), 1,
      sym_keyword_unsigned,
    ACTIONS(3725), 1,
      sym_keyword_zerofill,
    STATE(1578), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1193), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1191), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [110703] = 15,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3515), 1,
      sym_keyword_distinct,
    STATE(371), 1,
      sym__expression,
    STATE(580), 1,
      sym__integer,
    STATE(1249), 1,
      sym_identifier,
    STATE(1716), 1,
      sym__double_quote_string,
    STATE(1720), 1,
      sym_invocation,
    STATE(7520), 1,
      sym__alias_identifier,
    STATE(671), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(1579), 2,
      sym_comment,
      sym_marginalia,
    STATE(2276), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(3517), 9,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__natural_number,
      sym_bang,
      anon_sym_BQUOTE,
    ACTIONS(3513), 12,
      sym_keyword_cast,
      sym_keyword_count,
      sym_keyword_group_concat,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      anon_sym_DASH,
      sym__identifier,
    STATE(2094), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [110784] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1580), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2285), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2287), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [110845] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1581), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2279), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2281), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [110906] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1582), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2269), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2271), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [110967] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1583), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2265), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2267), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [111028] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1584), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1725), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1727), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [111089] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1585), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1729), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1731), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [111150] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1586), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1609), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1611), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [111211] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1587), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1637), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1639), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [111272] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1588), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1633), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1635), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [111333] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1589), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1629), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1631), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [111394] = 33,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    ACTIONS(3475), 1,
      sym_keyword_cast,
    ACTIONS(3483), 1,
      sym_keyword_not,
    ACTIONS(3489), 1,
      sym_keyword_array,
    ACTIONS(3493), 1,
      anon_sym_DOT,
    ACTIONS(3499), 1,
      anon_sym_SQUOTE,
    ACTIONS(3501), 1,
      anon_sym_DASH,
    ACTIONS(3503), 1,
      anon_sym_DQUOTE,
    ACTIONS(3505), 1,
      sym__natural_number,
    ACTIONS(3507), 1,
      sym_bang,
    ACTIONS(3727), 1,
      anon_sym_LPAREN,
    STATE(603), 1,
      sym__integer,
    STATE(604), 1,
      sym__double_quote_string,
    STATE(1394), 1,
      sym_invocation,
    STATE(4340), 1,
      sym__expression,
    STATE(4511), 1,
      sym__inner_default_expression,
    STATE(4544), 1,
      sym_identifier,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(629), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(1590), 2,
      sym_comment,
      sym_marginalia,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(3485), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(1485), 7,
      sym_array,
      sym_implicit_cast,
      sym_cast,
      sym_binary_expression,
      sym_unary_expression,
      sym_list,
      sym_literal,
    STATE(2934), 7,
      sym_parameter,
      sym_case,
      sym_field,
      sym_interval,
      sym__aggregate_function,
      sym_window_function,
      sym_subquery,
  [111511] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    ACTIONS(3729), 1,
      anon_sym_RBRACK,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4034), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1591), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [111626] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    ACTIONS(3731), 1,
      anon_sym_RPAREN,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4019), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1592), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [111741] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1593), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(969), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(967), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_over,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [111802] = 15,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3515), 1,
      sym_keyword_distinct,
    STATE(2614), 1,
      sym__expression,
    STATE(3328), 1,
      sym_identifier,
    STATE(3468), 1,
      sym_invocation,
    STATE(3527), 1,
      sym__double_quote_string,
    STATE(3528), 1,
      sym__integer,
    STATE(6991), 1,
      sym__alias_identifier,
    STATE(1594), 2,
      sym_comment,
      sym_marginalia,
    STATE(3545), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(3553), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(3517), 9,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__natural_number,
      sym_bang,
      anon_sym_BQUOTE,
    ACTIONS(3513), 12,
      sym_keyword_cast,
      sym_keyword_count,
      sym_keyword_group_concat,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      anon_sym_DASH,
      sym__identifier,
    STATE(3555), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [111883] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1595), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1581), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1583), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [111944] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1596), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1545), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1547), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [112005] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3733), 1,
      aux_sym_keyword_varchar_token2,
    STATE(1597), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1125), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1123), 39,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [112068] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1598), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2261), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2263), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [112129] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1599), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2257), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2259), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [112190] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1600), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1501), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1503), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [112251] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1601), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1505), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1507), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [112312] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1602), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1509), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1511), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [112373] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1603), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1513), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1515), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [112434] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1604), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1517), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1519), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [112495] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    ACTIONS(3209), 1,
      anon_sym_RPAREN,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(3924), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1605), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [112610] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1606), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1455), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1457), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [112671] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    ACTIONS(3735), 1,
      anon_sym_RPAREN,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(3992), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1607), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [112786] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1608), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1365), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1367), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [112847] = 15,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3515), 1,
      sym_keyword_distinct,
    STATE(2851), 1,
      sym__expression,
    STATE(3399), 1,
      sym_identifier,
    STATE(3709), 1,
      sym__double_quote_string,
    STATE(3710), 1,
      sym__integer,
    STATE(3890), 1,
      sym_invocation,
    STATE(7032), 1,
      sym__alias_identifier,
    STATE(1609), 2,
      sym_comment,
      sym_marginalia,
    STATE(4042), 2,
      sym_count,
      sym_group_concat,
    STATE(4051), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(3517), 9,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__natural_number,
      sym_bang,
      anon_sym_BQUOTE,
    ACTIONS(3513), 12,
      sym_keyword_cast,
      sym_keyword_count,
      sym_keyword_group_concat,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      anon_sym_DASH,
      sym__identifier,
    STATE(4048), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [112928] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1610), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1411), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1413), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [112989] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3473), 1,
      sym__identifier,
    ACTIONS(3475), 1,
      sym_keyword_cast,
    ACTIONS(3477), 1,
      sym_keyword_count,
    ACTIONS(3479), 1,
      sym_keyword_group_concat,
    ACTIONS(3481), 1,
      sym_keyword_case,
    ACTIONS(3483), 1,
      sym_keyword_not,
    ACTIONS(3487), 1,
      sym_keyword_interval,
    ACTIONS(3489), 1,
      sym_keyword_array,
    ACTIONS(3491), 1,
      anon_sym_LPAREN,
    ACTIONS(3493), 1,
      anon_sym_DOT,
    ACTIONS(3495), 1,
      anon_sym_QMARK,
    ACTIONS(3497), 1,
      anon_sym_DOLLAR,
    ACTIONS(3499), 1,
      anon_sym_SQUOTE,
    ACTIONS(3501), 1,
      anon_sym_DASH,
    ACTIONS(3503), 1,
      anon_sym_DQUOTE,
    ACTIONS(3505), 1,
      sym__natural_number,
    ACTIONS(3507), 1,
      sym_bang,
    ACTIONS(3509), 1,
      anon_sym_BQUOTE,
    STATE(368), 1,
      sym_identifier,
    STATE(387), 1,
      sym__expression,
    STATE(603), 1,
      sym__integer,
    STATE(604), 1,
      sym__double_quote_string,
    STATE(605), 1,
      sym_invocation,
    STATE(4483), 1,
      sym_order_target,
    STATE(6786), 1,
      sym__alias_identifier,
    STATE(629), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(656), 2,
      sym_count,
      sym_group_concat,
    STATE(1611), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3485), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(654), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [113104] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1612), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1423), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1425), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [113165] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    ACTIONS(3737), 1,
      anon_sym_RBRACK,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4045), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1613), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [113280] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1614), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1461), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1463), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [113341] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1615), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1359), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1361), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [113402] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3739), 1,
      sym_keyword_unsigned,
    ACTIONS(3741), 1,
      sym_keyword_zerofill,
    STATE(1616), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1217), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1215), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [113467] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1617), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1377), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1379), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [113528] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3427), 1,
      sym_keyword_distinct,
    ACTIONS(3743), 1,
      sym__identifier,
    ACTIONS(3745), 1,
      sym_keyword_cast,
    ACTIONS(3747), 1,
      sym_keyword_count,
    ACTIONS(3749), 1,
      sym_keyword_group_concat,
    ACTIONS(3751), 1,
      sym_keyword_case,
    ACTIONS(3753), 1,
      sym_keyword_not,
    ACTIONS(3757), 1,
      sym_keyword_interval,
    ACTIONS(3759), 1,
      sym_keyword_array,
    ACTIONS(3761), 1,
      anon_sym_LPAREN,
    ACTIONS(3763), 1,
      anon_sym_DOT,
    ACTIONS(3765), 1,
      anon_sym_QMARK,
    ACTIONS(3767), 1,
      anon_sym_DOLLAR,
    ACTIONS(3769), 1,
      anon_sym_SQUOTE,
    ACTIONS(3771), 1,
      anon_sym_DASH,
    ACTIONS(3773), 1,
      anon_sym_DQUOTE,
    ACTIONS(3775), 1,
      sym__natural_number,
    ACTIONS(3777), 1,
      sym_bang,
    ACTIONS(3779), 1,
      anon_sym_BQUOTE,
    STATE(278), 1,
      sym__expression,
    STATE(976), 1,
      sym_identifier,
    STATE(1003), 1,
      sym_invocation,
    STATE(1005), 1,
      sym__double_quote_string,
    STATE(1014), 1,
      sym__integer,
    STATE(6745), 1,
      sym__alias_identifier,
    STATE(1320), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(1331), 2,
      sym_count,
      sym_group_concat,
    STATE(1618), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3755), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(1329), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [113643] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    ACTIONS(3781), 1,
      anon_sym_RPAREN,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4092), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1619), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [113758] = 15,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3515), 1,
      sym_keyword_distinct,
    STATE(240), 1,
      sym__expression,
    STATE(720), 1,
      sym_identifier,
    STATE(867), 1,
      sym__double_quote_string,
    STATE(966), 1,
      sym__integer,
    STATE(968), 1,
      sym_invocation,
    STATE(7073), 1,
      sym__alias_identifier,
    STATE(1107), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(1112), 2,
      sym_count,
      sym_group_concat,
    STATE(1620), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3517), 9,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__natural_number,
      sym_bang,
      anon_sym_BQUOTE,
    ACTIONS(3513), 12,
      sym_keyword_cast,
      sym_keyword_count,
      sym_keyword_group_concat,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      anon_sym_DASH,
      sym__identifier,
    STATE(1111), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [113839] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1621), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2253), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2255), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [113900] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1622), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1557), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1559), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [113961] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1623), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1561), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1563), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [114022] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    ACTIONS(3783), 1,
      anon_sym_RBRACK,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4010), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1624), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [114137] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    ACTIONS(3785), 1,
      anon_sym_RPAREN,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4033), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1625), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [114252] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1626), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1565), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1567), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [114313] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1627), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1573), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1575), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [114374] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1628), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1577), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1579), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [114435] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1629), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1585), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1587), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [114496] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1630), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1589), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1591), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [114557] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1631), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1333), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1335), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [114618] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    ACTIONS(3787), 1,
      sym_keyword_when,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4249), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1632), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [114733] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3427), 1,
      sym_keyword_distinct,
    ACTIONS(3633), 1,
      sym__identifier,
    ACTIONS(3635), 1,
      sym_keyword_cast,
    ACTIONS(3637), 1,
      sym_keyword_count,
    ACTIONS(3639), 1,
      sym_keyword_group_concat,
    ACTIONS(3641), 1,
      sym_keyword_case,
    ACTIONS(3647), 1,
      sym_keyword_interval,
    ACTIONS(3649), 1,
      sym_keyword_array,
    ACTIONS(3651), 1,
      anon_sym_LPAREN,
    ACTIONS(3653), 1,
      anon_sym_DOT,
    ACTIONS(3655), 1,
      anon_sym_QMARK,
    ACTIONS(3657), 1,
      anon_sym_DOLLAR,
    ACTIONS(3659), 1,
      anon_sym_SQUOTE,
    ACTIONS(3661), 1,
      anon_sym_DASH,
    ACTIONS(3663), 1,
      anon_sym_DQUOTE,
    ACTIONS(3665), 1,
      sym__natural_number,
    ACTIONS(3667), 1,
      sym_bang,
    ACTIONS(3669), 1,
      anon_sym_BQUOTE,
    ACTIONS(3789), 1,
      sym_keyword_not,
    STATE(2857), 1,
      sym__expression,
    STATE(3442), 1,
      sym_identifier,
    STATE(3626), 1,
      sym_invocation,
    STATE(3679), 1,
      sym__integer,
    STATE(3680), 1,
      sym__double_quote_string,
    STATE(7113), 1,
      sym__alias_identifier,
    STATE(1633), 2,
      sym_comment,
      sym_marginalia,
    STATE(4055), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(4060), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(3645), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(4059), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [114848] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    ACTIONS(3791), 1,
      sym_keyword_when,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4263), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1634), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [114963] = 15,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3515), 1,
      sym_keyword_distinct,
    STATE(2837), 1,
      sym__expression,
    STATE(3442), 1,
      sym_identifier,
    STATE(3626), 1,
      sym_invocation,
    STATE(3679), 1,
      sym__integer,
    STATE(3680), 1,
      sym__double_quote_string,
    STATE(7113), 1,
      sym__alias_identifier,
    STATE(1635), 2,
      sym_comment,
      sym_marginalia,
    STATE(4055), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(4060), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(3517), 9,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__natural_number,
      sym_bang,
      anon_sym_BQUOTE,
    ACTIONS(3513), 12,
      sym_keyword_cast,
      sym_keyword_count,
      sym_keyword_group_concat,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      anon_sym_DASH,
      sym__identifier,
    STATE(4059), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [115044] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1636), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2249), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2251), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [115105] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1637), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1593), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1595), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [115166] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1638), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1215), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1217), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [115227] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    ACTIONS(3793), 1,
      sym_keyword_when,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4217), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1639), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [115342] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1640), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1435), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1437), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [115403] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    ACTIONS(3795), 1,
      anon_sym_RPAREN,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4100), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1641), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [115518] = 15,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3515), 1,
      sym_keyword_distinct,
    STATE(2414), 1,
      sym__expression,
    STATE(2891), 1,
      sym_identifier,
    STATE(3106), 1,
      sym__double_quote_string,
    STATE(3113), 1,
      sym__integer,
    STATE(3133), 1,
      sym_invocation,
    STATE(7154), 1,
      sym__alias_identifier,
    STATE(1642), 2,
      sym_comment,
      sym_marginalia,
    STATE(3312), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(3316), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(3517), 9,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__natural_number,
      sym_bang,
      anon_sym_BQUOTE,
    ACTIONS(3513), 12,
      sym_keyword_cast,
      sym_keyword_count,
      sym_keyword_group_concat,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      anon_sym_DASH,
      sym__identifier,
    STATE(3314), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [115599] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1643), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1429), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1431), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [115660] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1644), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1339), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1341), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [115721] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    ACTIONS(3797), 1,
      sym_keyword_when,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4220), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1645), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [115836] = 15,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3515), 1,
      sym_keyword_distinct,
    STATE(349), 1,
      sym__expression,
    STATE(1082), 1,
      sym_identifier,
    STATE(1413), 1,
      sym__integer,
    STATE(1415), 1,
      sym__double_quote_string,
    STATE(1417), 1,
      sym_invocation,
    STATE(6229), 1,
      sym__alias_identifier,
    STATE(1451), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(1454), 2,
      sym_count,
      sym_group_concat,
    STATE(1646), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3517), 9,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__natural_number,
      sym_bang,
      anon_sym_BQUOTE,
    ACTIONS(3513), 12,
      sym_keyword_cast,
      sym_keyword_count,
      sym_keyword_group_concat,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      anon_sym_DASH,
      sym__identifier,
    STATE(1453), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [115917] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    ACTIONS(3799), 1,
      sym_keyword_when,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4192), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1647), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [116032] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1648), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1347), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1349), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [116093] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1649), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2243), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2245), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [116154] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1650), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1601), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1603), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [116215] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1651), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1617), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1619), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [116276] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3633), 1,
      sym__identifier,
    ACTIONS(3635), 1,
      sym_keyword_cast,
    ACTIONS(3637), 1,
      sym_keyword_count,
    ACTIONS(3639), 1,
      sym_keyword_group_concat,
    ACTIONS(3641), 1,
      sym_keyword_case,
    ACTIONS(3643), 1,
      sym_keyword_not,
    ACTIONS(3647), 1,
      sym_keyword_interval,
    ACTIONS(3649), 1,
      sym_keyword_array,
    ACTIONS(3651), 1,
      anon_sym_LPAREN,
    ACTIONS(3653), 1,
      anon_sym_DOT,
    ACTIONS(3655), 1,
      anon_sym_QMARK,
    ACTIONS(3657), 1,
      anon_sym_DOLLAR,
    ACTIONS(3659), 1,
      anon_sym_SQUOTE,
    ACTIONS(3661), 1,
      anon_sym_DASH,
    ACTIONS(3663), 1,
      anon_sym_DQUOTE,
    ACTIONS(3665), 1,
      sym__natural_number,
    ACTIONS(3667), 1,
      sym_bang,
    ACTIONS(3669), 1,
      anon_sym_BQUOTE,
    STATE(2672), 1,
      sym__expression,
    STATE(3442), 1,
      sym_identifier,
    STATE(3626), 1,
      sym_invocation,
    STATE(3679), 1,
      sym__integer,
    STATE(3680), 1,
      sym__double_quote_string,
    STATE(5105), 1,
      sym_order_target,
    STATE(7113), 1,
      sym__alias_identifier,
    STATE(1652), 2,
      sym_comment,
      sym_marginalia,
    STATE(4055), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(4060), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(3645), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(4059), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [116391] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1653), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1371), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1373), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [116452] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1654), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1621), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1623), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [116513] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1655), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(965), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(963), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_over,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [116574] = 15,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3515), 1,
      sym_keyword_distinct,
    STATE(335), 1,
      sym__expression,
    STATE(989), 1,
      sym_identifier,
    STATE(1306), 1,
      sym__integer,
    STATE(1312), 1,
      sym__double_quote_string,
    STATE(1313), 1,
      sym_invocation,
    STATE(6399), 1,
      sym__alias_identifier,
    STATE(1656), 2,
      sym_comment,
      sym_marginalia,
    STATE(1660), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(1665), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(3517), 9,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__natural_number,
      sym_bang,
      anon_sym_BQUOTE,
    ACTIONS(3513), 12,
      sym_keyword_cast,
      sym_keyword_count,
      sym_keyword_group_concat,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      anon_sym_DASH,
      sym__identifier,
    STATE(1664), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [116655] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1657), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1625), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1627), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [116716] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1658), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(947), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(949), 40,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [116777] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1659), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1043), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1045), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [116838] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1660), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2001), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2003), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [116899] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1661), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2205), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2207), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [116960] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1915), 1,
      anon_sym_DOT,
    STATE(1662), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1911), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1913), 30,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [117023] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2297), 1,
      sym__identifier,
    ACTIONS(2301), 1,
      sym_keyword_cast,
    ACTIONS(2303), 1,
      sym_keyword_count,
    ACTIONS(2305), 1,
      sym_keyword_group_concat,
    ACTIONS(2307), 1,
      sym_keyword_case,
    ACTIONS(2313), 1,
      sym_keyword_interval,
    ACTIONS(2315), 1,
      sym_keyword_array,
    ACTIONS(2317), 1,
      anon_sym_LPAREN,
    ACTIONS(2319), 1,
      anon_sym_DOT,
    ACTIONS(2323), 1,
      anon_sym_QMARK,
    ACTIONS(2325), 1,
      anon_sym_DOLLAR,
    ACTIONS(2327), 1,
      anon_sym_SQUOTE,
    ACTIONS(2329), 1,
      anon_sym_DASH,
    ACTIONS(2331), 1,
      anon_sym_DQUOTE,
    ACTIONS(2333), 1,
      sym__natural_number,
    ACTIONS(2335), 1,
      sym_bang,
    ACTIONS(2337), 1,
      anon_sym_BQUOTE,
    ACTIONS(3427), 1,
      sym_keyword_distinct,
    ACTIONS(3801), 1,
      sym_keyword_not,
    STATE(2685), 1,
      sym__expression,
    STATE(3353), 1,
      sym_identifier,
    STATE(3459), 1,
      sym_invocation,
    STATE(3460), 1,
      sym__double_quote_string,
    STATE(3470), 1,
      sym__integer,
    STATE(6868), 1,
      sym__alias_identifier,
    STATE(1663), 2,
      sym_comment,
      sym_marginalia,
    STATE(3761), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(3886), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2311), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3882), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [117138] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1664), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2209), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2211), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [117199] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1665), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2213), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2215), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [117260] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    ACTIONS(3803), 1,
      anon_sym_RPAREN,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(3920), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1666), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [117375] = 33,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    ACTIONS(3683), 1,
      sym_keyword_cast,
    ACTIONS(3697), 1,
      sym_keyword_array,
    ACTIONS(3701), 1,
      anon_sym_DOT,
    ACTIONS(3707), 1,
      anon_sym_SQUOTE,
    ACTIONS(3709), 1,
      anon_sym_DASH,
    ACTIONS(3711), 1,
      anon_sym_DQUOTE,
    ACTIONS(3713), 1,
      sym__natural_number,
    ACTIONS(3715), 1,
      sym_bang,
    ACTIONS(3805), 1,
      sym_keyword_not,
    ACTIONS(3807), 1,
      anon_sym_LPAREN,
    STATE(2970), 1,
      sym__double_quote_string,
    STATE(2971), 1,
      sym__integer,
    STATE(4158), 1,
      sym_invocation,
    STATE(4361), 1,
      sym__expression,
    STATE(4511), 1,
      sym__inner_default_expression,
    STATE(4551), 1,
      sym_identifier,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1667), 2,
      sym_comment,
      sym_marginalia,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    STATE(3149), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(3693), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 7,
      sym_parameter,
      sym_case,
      sym_field,
      sym_interval,
      sym__aggregate_function,
      sym_window_function,
      sym_subquery,
    STATE(4181), 7,
      sym_array,
      sym_implicit_cast,
      sym_cast,
      sym_binary_expression,
      sym_unary_expression,
      sym_list,
      sym_literal,
  [117492] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1909), 1,
      anon_sym_DOT,
    STATE(1668), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1905), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1907), 30,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [117555] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    ACTIONS(3809), 1,
      anon_sym_RBRACK,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(3907), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1669), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [117670] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1670), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(951), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(953), 40,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [117731] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3427), 1,
      sym_keyword_distinct,
    ACTIONS(3811), 1,
      sym__identifier,
    ACTIONS(3813), 1,
      sym_keyword_cast,
    ACTIONS(3815), 1,
      sym_keyword_count,
    ACTIONS(3817), 1,
      sym_keyword_group_concat,
    ACTIONS(3819), 1,
      sym_keyword_case,
    ACTIONS(3821), 1,
      sym_keyword_not,
    ACTIONS(3825), 1,
      sym_keyword_interval,
    ACTIONS(3827), 1,
      sym_keyword_array,
    ACTIONS(3829), 1,
      anon_sym_LPAREN,
    ACTIONS(3831), 1,
      anon_sym_DOT,
    ACTIONS(3833), 1,
      anon_sym_QMARK,
    ACTIONS(3835), 1,
      anon_sym_DOLLAR,
    ACTIONS(3837), 1,
      anon_sym_SQUOTE,
    ACTIONS(3839), 1,
      anon_sym_DASH,
    ACTIONS(3841), 1,
      anon_sym_DQUOTE,
    ACTIONS(3843), 1,
      sym__natural_number,
    ACTIONS(3845), 1,
      sym_bang,
    ACTIONS(3847), 1,
      anon_sym_BQUOTE,
    STATE(3365), 1,
      sym__expression,
    STATE(4261), 1,
      sym_identifier,
    STATE(4339), 1,
      sym_invocation,
    STATE(4343), 1,
      sym__double_quote_string,
    STATE(4345), 1,
      sym__integer,
    STATE(6704), 1,
      sym__alias_identifier,
    STATE(1671), 2,
      sym_comment,
      sym_marginalia,
    STATE(4408), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(4452), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(3823), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(4422), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [117846] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1672), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2225), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2227), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [117907] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1673), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1899), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1901), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [117968] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1674), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2233), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2235), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [118029] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2587), 1,
      sym__identifier,
    ACTIONS(2589), 1,
      sym_keyword_cast,
    ACTIONS(2591), 1,
      sym_keyword_count,
    ACTIONS(2593), 1,
      sym_keyword_group_concat,
    ACTIONS(2595), 1,
      sym_keyword_case,
    ACTIONS(2601), 1,
      sym_keyword_interval,
    ACTIONS(2603), 1,
      sym_keyword_array,
    ACTIONS(2605), 1,
      anon_sym_LPAREN,
    ACTIONS(2607), 1,
      anon_sym_DOT,
    ACTIONS(2609), 1,
      anon_sym_QMARK,
    ACTIONS(2611), 1,
      anon_sym_DOLLAR,
    ACTIONS(2613), 1,
      anon_sym_SQUOTE,
    ACTIONS(2615), 1,
      anon_sym_DASH,
    ACTIONS(2617), 1,
      anon_sym_DQUOTE,
    ACTIONS(2619), 1,
      sym__natural_number,
    ACTIONS(2621), 1,
      sym_bang,
    ACTIONS(2623), 1,
      anon_sym_BQUOTE,
    ACTIONS(3427), 1,
      sym_keyword_distinct,
    ACTIONS(3849), 1,
      sym_keyword_not,
    STATE(1132), 1,
      sym__expression,
    STATE(2418), 1,
      sym_identifier,
    STATE(2458), 1,
      sym_invocation,
    STATE(2474), 1,
      sym__double_quote_string,
    STATE(2475), 1,
      sym__integer,
    STATE(6544), 1,
      sym__alias_identifier,
    STATE(1675), 2,
      sym_comment,
      sym_marginalia,
    STATE(2590), 2,
      sym_count,
      sym_group_concat,
    STATE(2593), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(2599), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2591), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [118144] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1676), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1353), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1355), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [118205] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1677), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(977), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(975), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [118266] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3427), 1,
      sym_keyword_distinct,
    ACTIONS(3851), 1,
      sym__identifier,
    ACTIONS(3853), 1,
      sym_keyword_cast,
    ACTIONS(3855), 1,
      sym_keyword_count,
    ACTIONS(3857), 1,
      sym_keyword_group_concat,
    ACTIONS(3859), 1,
      sym_keyword_case,
    ACTIONS(3861), 1,
      sym_keyword_not,
    ACTIONS(3865), 1,
      sym_keyword_interval,
    ACTIONS(3867), 1,
      sym_keyword_array,
    ACTIONS(3869), 1,
      anon_sym_LPAREN,
    ACTIONS(3871), 1,
      anon_sym_DOT,
    ACTIONS(3873), 1,
      anon_sym_QMARK,
    ACTIONS(3875), 1,
      anon_sym_DOLLAR,
    ACTIONS(3877), 1,
      anon_sym_SQUOTE,
    ACTIONS(3879), 1,
      anon_sym_DASH,
    ACTIONS(3881), 1,
      anon_sym_DQUOTE,
    ACTIONS(3883), 1,
      sym__natural_number,
    ACTIONS(3885), 1,
      sym_bang,
    ACTIONS(3887), 1,
      anon_sym_BQUOTE,
    STATE(2861), 1,
      sym__expression,
    STATE(3399), 1,
      sym_identifier,
    STATE(3709), 1,
      sym__double_quote_string,
    STATE(3710), 1,
      sym__integer,
    STATE(3890), 1,
      sym_invocation,
    STATE(7032), 1,
      sym__alias_identifier,
    STATE(1678), 2,
      sym_comment,
      sym_marginalia,
    STATE(4042), 2,
      sym_count,
      sym_group_concat,
    STATE(4051), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(3863), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(4048), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [118381] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2639), 1,
      sym__identifier,
    ACTIONS(2641), 1,
      sym_keyword_cast,
    ACTIONS(2643), 1,
      sym_keyword_count,
    ACTIONS(2645), 1,
      sym_keyword_group_concat,
    ACTIONS(2647), 1,
      sym_keyword_case,
    ACTIONS(2653), 1,
      sym_keyword_interval,
    ACTIONS(2655), 1,
      sym_keyword_array,
    ACTIONS(2657), 1,
      anon_sym_LPAREN,
    ACTIONS(2659), 1,
      anon_sym_DOT,
    ACTIONS(2661), 1,
      anon_sym_QMARK,
    ACTIONS(2663), 1,
      anon_sym_DOLLAR,
    ACTIONS(2665), 1,
      anon_sym_SQUOTE,
    ACTIONS(2667), 1,
      anon_sym_DASH,
    ACTIONS(2669), 1,
      anon_sym_DQUOTE,
    ACTIONS(2671), 1,
      sym__natural_number,
    ACTIONS(2673), 1,
      sym_bang,
    ACTIONS(2675), 1,
      anon_sym_BQUOTE,
    ACTIONS(3427), 1,
      sym_keyword_distinct,
    ACTIONS(3889), 1,
      sym_keyword_not,
    STATE(311), 1,
      sym__expression,
    STATE(989), 1,
      sym_identifier,
    STATE(1306), 1,
      sym__integer,
    STATE(1312), 1,
      sym__double_quote_string,
    STATE(1313), 1,
      sym_invocation,
    STATE(6399), 1,
      sym__alias_identifier,
    STATE(1660), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(1665), 2,
      sym_count,
      sym_group_concat,
    STATE(1679), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2651), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(1664), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [118496] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3743), 1,
      sym__identifier,
    ACTIONS(3745), 1,
      sym_keyword_cast,
    ACTIONS(3747), 1,
      sym_keyword_count,
    ACTIONS(3749), 1,
      sym_keyword_group_concat,
    ACTIONS(3751), 1,
      sym_keyword_case,
    ACTIONS(3757), 1,
      sym_keyword_interval,
    ACTIONS(3759), 1,
      sym_keyword_array,
    ACTIONS(3761), 1,
      anon_sym_LPAREN,
    ACTIONS(3763), 1,
      anon_sym_DOT,
    ACTIONS(3765), 1,
      anon_sym_QMARK,
    ACTIONS(3767), 1,
      anon_sym_DOLLAR,
    ACTIONS(3769), 1,
      anon_sym_SQUOTE,
    ACTIONS(3771), 1,
      anon_sym_DASH,
    ACTIONS(3773), 1,
      anon_sym_DQUOTE,
    ACTIONS(3775), 1,
      sym__natural_number,
    ACTIONS(3777), 1,
      sym_bang,
    ACTIONS(3779), 1,
      anon_sym_BQUOTE,
    ACTIONS(3891), 1,
      sym_keyword_not,
    STATE(265), 1,
      sym__expression,
    STATE(976), 1,
      sym_identifier,
    STATE(1003), 1,
      sym_invocation,
    STATE(1005), 1,
      sym__double_quote_string,
    STATE(1014), 1,
      sym__integer,
    STATE(4565), 1,
      sym_order_target,
    STATE(6745), 1,
      sym__alias_identifier,
    STATE(1320), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(1331), 2,
      sym_count,
      sym_group_concat,
    STATE(1680), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3755), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(1329), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [118611] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1681), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(981), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(979), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [118672] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    ACTIONS(3893), 1,
      anon_sym_RPAREN,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4029), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1682), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [118787] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    ACTIONS(3895), 1,
      sym_keyword_when,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4271), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1683), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [118902] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    ACTIONS(3897), 1,
      sym_keyword_when,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4305), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1684), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [119017] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3743), 1,
      sym__identifier,
    ACTIONS(3745), 1,
      sym_keyword_cast,
    ACTIONS(3747), 1,
      sym_keyword_count,
    ACTIONS(3749), 1,
      sym_keyword_group_concat,
    ACTIONS(3751), 1,
      sym_keyword_case,
    ACTIONS(3757), 1,
      sym_keyword_interval,
    ACTIONS(3759), 1,
      sym_keyword_array,
    ACTIONS(3761), 1,
      anon_sym_LPAREN,
    ACTIONS(3763), 1,
      anon_sym_DOT,
    ACTIONS(3765), 1,
      anon_sym_QMARK,
    ACTIONS(3767), 1,
      anon_sym_DOLLAR,
    ACTIONS(3769), 1,
      anon_sym_SQUOTE,
    ACTIONS(3771), 1,
      anon_sym_DASH,
    ACTIONS(3773), 1,
      anon_sym_DQUOTE,
    ACTIONS(3775), 1,
      sym__natural_number,
    ACTIONS(3777), 1,
      sym_bang,
    ACTIONS(3779), 1,
      anon_sym_BQUOTE,
    ACTIONS(3891), 1,
      sym_keyword_not,
    STATE(265), 1,
      sym__expression,
    STATE(976), 1,
      sym_identifier,
    STATE(1003), 1,
      sym_invocation,
    STATE(1005), 1,
      sym__double_quote_string,
    STATE(1014), 1,
      sym__integer,
    STATE(4483), 1,
      sym_order_target,
    STATE(6745), 1,
      sym__alias_identifier,
    STATE(1320), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(1331), 2,
      sym_count,
      sym_group_concat,
    STATE(1685), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3755), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(1329), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [119132] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3427), 1,
      sym_keyword_distinct,
    ACTIONS(3899), 1,
      sym__identifier,
    ACTIONS(3901), 1,
      sym_keyword_cast,
    ACTIONS(3903), 1,
      sym_keyword_count,
    ACTIONS(3905), 1,
      sym_keyword_group_concat,
    ACTIONS(3907), 1,
      sym_keyword_case,
    ACTIONS(3909), 1,
      sym_keyword_not,
    ACTIONS(3913), 1,
      sym_keyword_interval,
    ACTIONS(3915), 1,
      sym_keyword_array,
    ACTIONS(3917), 1,
      anon_sym_LPAREN,
    ACTIONS(3919), 1,
      anon_sym_DOT,
    ACTIONS(3921), 1,
      anon_sym_QMARK,
    ACTIONS(3923), 1,
      anon_sym_DOLLAR,
    ACTIONS(3925), 1,
      anon_sym_SQUOTE,
    ACTIONS(3927), 1,
      anon_sym_DASH,
    ACTIONS(3929), 1,
      anon_sym_DQUOTE,
    ACTIONS(3931), 1,
      sym__natural_number,
    ACTIONS(3933), 1,
      sym_bang,
    ACTIONS(3935), 1,
      anon_sym_BQUOTE,
    STATE(2665), 1,
      sym__expression,
    STATE(3328), 1,
      sym_identifier,
    STATE(3468), 1,
      sym_invocation,
    STATE(3527), 1,
      sym__double_quote_string,
    STATE(3528), 1,
      sym__integer,
    STATE(6991), 1,
      sym__alias_identifier,
    STATE(1686), 2,
      sym_comment,
      sym_marginalia,
    STATE(3545), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(3553), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(3911), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3555), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [119247] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(2543), 1,
      sym_keyword_cast,
    ACTIONS(2545), 1,
      sym_keyword_count,
    ACTIONS(2547), 1,
      sym_keyword_group_concat,
    ACTIONS(2549), 1,
      sym_keyword_case,
    ACTIONS(2555), 1,
      sym_keyword_interval,
    ACTIONS(2557), 1,
      sym_keyword_array,
    ACTIONS(2559), 1,
      anon_sym_LPAREN,
    ACTIONS(2561), 1,
      anon_sym_DOT,
    ACTIONS(2563), 1,
      anon_sym_QMARK,
    ACTIONS(2565), 1,
      anon_sym_DOLLAR,
    ACTIONS(2567), 1,
      anon_sym_SQUOTE,
    ACTIONS(2569), 1,
      anon_sym_DASH,
    ACTIONS(2571), 1,
      sym__natural_number,
    ACTIONS(2573), 1,
      sym_bang,
    ACTIONS(3427), 1,
      sym_keyword_distinct,
    ACTIONS(3937), 1,
      sym_keyword_not,
    STATE(392), 1,
      sym__expression,
    STATE(580), 1,
      sym__integer,
    STATE(1249), 1,
      sym_identifier,
    STATE(1716), 1,
      sym__double_quote_string,
    STATE(1720), 1,
      sym_invocation,
    STATE(7520), 1,
      sym__alias_identifier,
    STATE(671), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(1687), 2,
      sym_comment,
      sym_marginalia,
    STATE(2276), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2553), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2094), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [119362] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1688), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2177), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2179), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [119423] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1689), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(977), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(975), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [119484] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1690), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2537), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2539), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [119545] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1691), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(959), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(961), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [119606] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1692), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2527), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2529), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [119667] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    ACTIONS(3939), 1,
      anon_sym_RBRACK,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(3966), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1693), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [119782] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3427), 1,
      sym_keyword_distinct,
    ACTIONS(3941), 1,
      sym__identifier,
    ACTIONS(3943), 1,
      sym_keyword_cast,
    ACTIONS(3945), 1,
      sym_keyword_count,
    ACTIONS(3947), 1,
      sym_keyword_group_concat,
    ACTIONS(3949), 1,
      sym_keyword_case,
    ACTIONS(3951), 1,
      sym_keyword_not,
    ACTIONS(3955), 1,
      sym_keyword_interval,
    ACTIONS(3957), 1,
      sym_keyword_array,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_DOT,
    ACTIONS(3963), 1,
      anon_sym_QMARK,
    ACTIONS(3965), 1,
      anon_sym_DOLLAR,
    ACTIONS(3967), 1,
      anon_sym_SQUOTE,
    ACTIONS(3969), 1,
      anon_sym_DASH,
    ACTIONS(3971), 1,
      anon_sym_DQUOTE,
    ACTIONS(3973), 1,
      sym__natural_number,
    ACTIONS(3975), 1,
      sym_bang,
    ACTIONS(3977), 1,
      anon_sym_BQUOTE,
    STATE(592), 1,
      sym__expression,
    STATE(1696), 1,
      sym_identifier,
    STATE(1930), 1,
      sym__integer,
    STATE(1931), 1,
      sym__double_quote_string,
    STATE(1932), 1,
      sym_invocation,
    STATE(6653), 1,
      sym__alias_identifier,
    STATE(1694), 2,
      sym_comment,
      sym_marginalia,
    STATE(2293), 2,
      sym_count,
      sym_group_concat,
    STATE(2305), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(3953), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2303), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [119897] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1695), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2523), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2525), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [119958] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1915), 1,
      anon_sym_DOT,
    ACTIONS(3979), 1,
      anon_sym_LPAREN,
    STATE(1696), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1959), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1957), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [120023] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3681), 1,
      sym__identifier,
    ACTIONS(3683), 1,
      sym_keyword_cast,
    ACTIONS(3685), 1,
      sym_keyword_count,
    ACTIONS(3687), 1,
      sym_keyword_group_concat,
    ACTIONS(3689), 1,
      sym_keyword_case,
    ACTIONS(3695), 1,
      sym_keyword_interval,
    ACTIONS(3697), 1,
      sym_keyword_array,
    ACTIONS(3699), 1,
      anon_sym_LPAREN,
    ACTIONS(3701), 1,
      anon_sym_DOT,
    ACTIONS(3703), 1,
      anon_sym_QMARK,
    ACTIONS(3705), 1,
      anon_sym_DOLLAR,
    ACTIONS(3707), 1,
      anon_sym_SQUOTE,
    ACTIONS(3709), 1,
      anon_sym_DASH,
    ACTIONS(3711), 1,
      anon_sym_DQUOTE,
    ACTIONS(3713), 1,
      sym__natural_number,
    ACTIONS(3715), 1,
      sym_bang,
    ACTIONS(3717), 1,
      anon_sym_BQUOTE,
    ACTIONS(3805), 1,
      sym_keyword_not,
    STATE(2610), 1,
      sym__expression,
    STATE(2777), 1,
      sym_identifier,
    STATE(2929), 1,
      sym_invocation,
    STATE(2970), 1,
      sym__double_quote_string,
    STATE(2971), 1,
      sym__integer,
    STATE(4483), 1,
      sym_order_target,
    STATE(6827), 1,
      sym__alias_identifier,
    STATE(1697), 2,
      sym_comment,
      sym_marginalia,
    STATE(3135), 2,
      sym_count,
      sym_group_concat,
    STATE(3149), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(3693), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3136), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [120138] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    ACTIONS(3981), 1,
      sym_keyword_when,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4265), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1698), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [120253] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    ACTIONS(3983), 1,
      anon_sym_RBRACK,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(3936), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1699), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [120368] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1700), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2379), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2381), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [120429] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1701), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2383), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2385), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [120490] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    ACTIONS(3985), 1,
      anon_sym_RPAREN,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(3938), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1702), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [120605] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1703), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(981), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(979), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [120666] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    ACTIONS(3987), 1,
      sym_keyword_when,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4268), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1704), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [120781] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1705), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1613), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1615), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [120842] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1706), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1493), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1495), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [120903] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1707), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1605), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1607), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [120964] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1708), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1597), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1599), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [121025] = 15,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3515), 1,
      sym_keyword_distinct,
    STATE(1124), 1,
      sym__expression,
    STATE(2418), 1,
      sym_identifier,
    STATE(2458), 1,
      sym_invocation,
    STATE(2474), 1,
      sym__double_quote_string,
    STATE(2475), 1,
      sym__integer,
    STATE(6544), 1,
      sym__alias_identifier,
    STATE(1709), 2,
      sym_comment,
      sym_marginalia,
    STATE(2590), 2,
      sym_count,
      sym_group_concat,
    STATE(2593), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(3517), 9,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__natural_number,
      sym_bang,
      anon_sym_BQUOTE,
    ACTIONS(3513), 12,
      sym_keyword_cast,
      sym_keyword_count,
      sym_keyword_group_concat,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      anon_sym_DASH,
      sym__identifier,
    STATE(2591), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [121106] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1710), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2387), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2389), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [121167] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1711), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2391), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2393), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [121228] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    ACTIONS(3989), 1,
      anon_sym_RBRACK,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(3999), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1712), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [121343] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3427), 1,
      sym_keyword_distinct,
    ACTIONS(3991), 1,
      sym__identifier,
    ACTIONS(3993), 1,
      sym_keyword_cast,
    ACTIONS(3995), 1,
      sym_keyword_count,
    ACTIONS(3997), 1,
      sym_keyword_group_concat,
    ACTIONS(3999), 1,
      sym_keyword_case,
    ACTIONS(4001), 1,
      sym_keyword_not,
    ACTIONS(4005), 1,
      sym_keyword_interval,
    ACTIONS(4007), 1,
      sym_keyword_array,
    ACTIONS(4009), 1,
      anon_sym_LPAREN,
    ACTIONS(4011), 1,
      anon_sym_DOT,
    ACTIONS(4013), 1,
      anon_sym_QMARK,
    ACTIONS(4015), 1,
      anon_sym_DOLLAR,
    ACTIONS(4017), 1,
      anon_sym_SQUOTE,
    ACTIONS(4019), 1,
      anon_sym_DASH,
    ACTIONS(4021), 1,
      anon_sym_DQUOTE,
    ACTIONS(4023), 1,
      sym__natural_number,
    ACTIONS(4025), 1,
      sym_bang,
    ACTIONS(4027), 1,
      anon_sym_BQUOTE,
    STATE(303), 1,
      sym__expression,
    STATE(930), 1,
      sym_identifier,
    STATE(1157), 1,
      sym_invocation,
    STATE(1160), 1,
      sym__double_quote_string,
    STATE(1161), 1,
      sym__integer,
    STATE(6602), 1,
      sym__alias_identifier,
    STATE(1258), 2,
      sym_count,
      sym_group_concat,
    STATE(1265), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(1713), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4003), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(1259), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [121458] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    ACTIONS(4029), 1,
      anon_sym_RPAREN,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(3971), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1714), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [121573] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3427), 1,
      sym_keyword_distinct,
    ACTIONS(3473), 1,
      sym__identifier,
    ACTIONS(3475), 1,
      sym_keyword_cast,
    ACTIONS(3477), 1,
      sym_keyword_count,
    ACTIONS(3479), 1,
      sym_keyword_group_concat,
    ACTIONS(3481), 1,
      sym_keyword_case,
    ACTIONS(3487), 1,
      sym_keyword_interval,
    ACTIONS(3489), 1,
      sym_keyword_array,
    ACTIONS(3491), 1,
      anon_sym_LPAREN,
    ACTIONS(3493), 1,
      anon_sym_DOT,
    ACTIONS(3495), 1,
      anon_sym_QMARK,
    ACTIONS(3497), 1,
      anon_sym_DOLLAR,
    ACTIONS(3499), 1,
      anon_sym_SQUOTE,
    ACTIONS(3501), 1,
      anon_sym_DASH,
    ACTIONS(3503), 1,
      anon_sym_DQUOTE,
    ACTIONS(3505), 1,
      sym__natural_number,
    ACTIONS(3507), 1,
      sym_bang,
    ACTIONS(3509), 1,
      anon_sym_BQUOTE,
    ACTIONS(4031), 1,
      sym_keyword_not,
    STATE(98), 1,
      sym__expression,
    STATE(368), 1,
      sym_identifier,
    STATE(603), 1,
      sym__integer,
    STATE(604), 1,
      sym__double_quote_string,
    STATE(605), 1,
      sym_invocation,
    STATE(6786), 1,
      sym__alias_identifier,
    STATE(629), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(656), 2,
      sym_count,
      sym_group_concat,
    STATE(1715), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3485), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(654), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [121688] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1909), 1,
      anon_sym_DOT,
    STATE(1716), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2007), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2009), 30,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [121751] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1717), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1569), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1571), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [121812] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1718), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(983), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(985), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [121873] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3427), 1,
      sym_keyword_distinct,
    ACTIONS(4033), 1,
      sym__identifier,
    ACTIONS(4035), 1,
      sym_keyword_cast,
    ACTIONS(4037), 1,
      sym_keyword_count,
    ACTIONS(4039), 1,
      sym_keyword_group_concat,
    ACTIONS(4041), 1,
      sym_keyword_case,
    ACTIONS(4043), 1,
      sym_keyword_not,
    ACTIONS(4047), 1,
      sym_keyword_interval,
    ACTIONS(4049), 1,
      sym_keyword_array,
    ACTIONS(4051), 1,
      anon_sym_LPAREN,
    ACTIONS(4053), 1,
      anon_sym_DOT,
    ACTIONS(4055), 1,
      anon_sym_QMARK,
    ACTIONS(4057), 1,
      anon_sym_DOLLAR,
    ACTIONS(4059), 1,
      anon_sym_SQUOTE,
    ACTIONS(4061), 1,
      anon_sym_DASH,
    ACTIONS(4063), 1,
      anon_sym_DQUOTE,
    ACTIONS(4065), 1,
      sym__natural_number,
    ACTIONS(4067), 1,
      sym_bang,
    ACTIONS(4069), 1,
      anon_sym_BQUOTE,
    STATE(2403), 1,
      sym__expression,
    STATE(2891), 1,
      sym_identifier,
    STATE(3106), 1,
      sym__double_quote_string,
    STATE(3113), 1,
      sym__integer,
    STATE(3133), 1,
      sym_invocation,
    STATE(7154), 1,
      sym__alias_identifier,
    STATE(1719), 2,
      sym_comment,
      sym_marginalia,
    STATE(3312), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(3316), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(4045), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3314), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [121988] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4071), 1,
      sym_keyword_over,
    STATE(1720), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2209), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2211), 30,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [122051] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3681), 1,
      sym__identifier,
    ACTIONS(3683), 1,
      sym_keyword_cast,
    ACTIONS(3685), 1,
      sym_keyword_count,
    ACTIONS(3687), 1,
      sym_keyword_group_concat,
    ACTIONS(3689), 1,
      sym_keyword_case,
    ACTIONS(3695), 1,
      sym_keyword_interval,
    ACTIONS(3697), 1,
      sym_keyword_array,
    ACTIONS(3699), 1,
      anon_sym_LPAREN,
    ACTIONS(3701), 1,
      anon_sym_DOT,
    ACTIONS(3703), 1,
      anon_sym_QMARK,
    ACTIONS(3705), 1,
      anon_sym_DOLLAR,
    ACTIONS(3707), 1,
      anon_sym_SQUOTE,
    ACTIONS(3709), 1,
      anon_sym_DASH,
    ACTIONS(3711), 1,
      anon_sym_DQUOTE,
    ACTIONS(3713), 1,
      sym__natural_number,
    ACTIONS(3715), 1,
      sym_bang,
    ACTIONS(3717), 1,
      anon_sym_BQUOTE,
    ACTIONS(3805), 1,
      sym_keyword_not,
    STATE(2610), 1,
      sym__expression,
    STATE(2777), 1,
      sym_identifier,
    STATE(2929), 1,
      sym_invocation,
    STATE(2970), 1,
      sym__double_quote_string,
    STATE(2971), 1,
      sym__integer,
    STATE(5035), 1,
      sym_order_target,
    STATE(6827), 1,
      sym__alias_identifier,
    STATE(1721), 2,
      sym_comment,
      sym_marginalia,
    STATE(3135), 2,
      sym_count,
      sym_group_concat,
    STATE(3149), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(3693), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3136), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [122166] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1722), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2511), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2513), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [122227] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    ACTIONS(3427), 1,
      sym_keyword_distinct,
    ACTIONS(4073), 1,
      sym_keyword_not,
    STATE(2268), 1,
      sym__expression,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1723), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [122342] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1724), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2503), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2505), 31,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [122403] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4214), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1725), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [122515] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4146), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1726), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [122627] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4033), 1,
      sym__identifier,
    ACTIONS(4035), 1,
      sym_keyword_cast,
    ACTIONS(4037), 1,
      sym_keyword_count,
    ACTIONS(4039), 1,
      sym_keyword_group_concat,
    ACTIONS(4041), 1,
      sym_keyword_case,
    ACTIONS(4047), 1,
      sym_keyword_interval,
    ACTIONS(4049), 1,
      sym_keyword_array,
    ACTIONS(4051), 1,
      anon_sym_LPAREN,
    ACTIONS(4053), 1,
      anon_sym_DOT,
    ACTIONS(4055), 1,
      anon_sym_QMARK,
    ACTIONS(4057), 1,
      anon_sym_DOLLAR,
    ACTIONS(4059), 1,
      anon_sym_SQUOTE,
    ACTIONS(4061), 1,
      anon_sym_DASH,
    ACTIONS(4063), 1,
      anon_sym_DQUOTE,
    ACTIONS(4065), 1,
      sym__natural_number,
    ACTIONS(4067), 1,
      sym_bang,
    ACTIONS(4069), 1,
      anon_sym_BQUOTE,
    ACTIONS(4075), 1,
      sym_keyword_not,
    STATE(2405), 1,
      sym__expression,
    STATE(2891), 1,
      sym_identifier,
    STATE(3106), 1,
      sym__double_quote_string,
    STATE(3113), 1,
      sym__integer,
    STATE(3133), 1,
      sym_invocation,
    STATE(7154), 1,
      sym__alias_identifier,
    STATE(1727), 2,
      sym_comment,
      sym_marginalia,
    STATE(3312), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(3316), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(4045), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3314), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [122739] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4033), 1,
      sym__identifier,
    ACTIONS(4035), 1,
      sym_keyword_cast,
    ACTIONS(4037), 1,
      sym_keyword_count,
    ACTIONS(4039), 1,
      sym_keyword_group_concat,
    ACTIONS(4041), 1,
      sym_keyword_case,
    ACTIONS(4047), 1,
      sym_keyword_interval,
    ACTIONS(4049), 1,
      sym_keyword_array,
    ACTIONS(4051), 1,
      anon_sym_LPAREN,
    ACTIONS(4053), 1,
      anon_sym_DOT,
    ACTIONS(4055), 1,
      anon_sym_QMARK,
    ACTIONS(4057), 1,
      anon_sym_DOLLAR,
    ACTIONS(4059), 1,
      anon_sym_SQUOTE,
    ACTIONS(4061), 1,
      anon_sym_DASH,
    ACTIONS(4063), 1,
      anon_sym_DQUOTE,
    ACTIONS(4065), 1,
      sym__natural_number,
    ACTIONS(4067), 1,
      sym_bang,
    ACTIONS(4069), 1,
      anon_sym_BQUOTE,
    ACTIONS(4075), 1,
      sym_keyword_not,
    STATE(2392), 1,
      sym__expression,
    STATE(2891), 1,
      sym_identifier,
    STATE(3106), 1,
      sym__double_quote_string,
    STATE(3113), 1,
      sym__integer,
    STATE(3133), 1,
      sym_invocation,
    STATE(7154), 1,
      sym__alias_identifier,
    STATE(1728), 2,
      sym_comment,
      sym_marginalia,
    STATE(3312), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(3316), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(4045), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3314), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [122851] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(3715), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1729), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [122963] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1730), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2403), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2405), 30,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [123023] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3537), 1,
      sym__identifier,
    ACTIONS(3539), 1,
      sym_keyword_cast,
    ACTIONS(3541), 1,
      sym_keyword_count,
    ACTIONS(3543), 1,
      sym_keyword_group_concat,
    ACTIONS(3545), 1,
      sym_keyword_case,
    ACTIONS(3551), 1,
      sym_keyword_interval,
    ACTIONS(3553), 1,
      sym_keyword_array,
    ACTIONS(3555), 1,
      anon_sym_LPAREN,
    ACTIONS(3557), 1,
      anon_sym_DOT,
    ACTIONS(3559), 1,
      anon_sym_QMARK,
    ACTIONS(3561), 1,
      anon_sym_DOLLAR,
    ACTIONS(3563), 1,
      anon_sym_SQUOTE,
    ACTIONS(3565), 1,
      anon_sym_DASH,
    ACTIONS(3567), 1,
      anon_sym_DQUOTE,
    ACTIONS(3569), 1,
      sym__natural_number,
    ACTIONS(3571), 1,
      sym_bang,
    ACTIONS(3573), 1,
      anon_sym_BQUOTE,
    ACTIONS(4077), 1,
      sym_keyword_not,
    STATE(237), 1,
      sym__expression,
    STATE(720), 1,
      sym_identifier,
    STATE(867), 1,
      sym__double_quote_string,
    STATE(966), 1,
      sym__integer,
    STATE(968), 1,
      sym_invocation,
    STATE(7073), 1,
      sym__alias_identifier,
    STATE(1107), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(1112), 2,
      sym_count,
      sym_group_concat,
    STATE(1731), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3549), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(1111), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [123135] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1732), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2503), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2505), 30,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [123195] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4033), 1,
      sym__identifier,
    ACTIONS(4035), 1,
      sym_keyword_cast,
    ACTIONS(4037), 1,
      sym_keyword_count,
    ACTIONS(4039), 1,
      sym_keyword_group_concat,
    ACTIONS(4041), 1,
      sym_keyword_case,
    ACTIONS(4047), 1,
      sym_keyword_interval,
    ACTIONS(4049), 1,
      sym_keyword_array,
    ACTIONS(4051), 1,
      anon_sym_LPAREN,
    ACTIONS(4053), 1,
      anon_sym_DOT,
    ACTIONS(4055), 1,
      anon_sym_QMARK,
    ACTIONS(4057), 1,
      anon_sym_DOLLAR,
    ACTIONS(4059), 1,
      anon_sym_SQUOTE,
    ACTIONS(4061), 1,
      anon_sym_DASH,
    ACTIONS(4063), 1,
      anon_sym_DQUOTE,
    ACTIONS(4065), 1,
      sym__natural_number,
    ACTIONS(4067), 1,
      sym_bang,
    ACTIONS(4069), 1,
      anon_sym_BQUOTE,
    ACTIONS(4075), 1,
      sym_keyword_not,
    STATE(2402), 1,
      sym__expression,
    STATE(2891), 1,
      sym_identifier,
    STATE(3106), 1,
      sym__double_quote_string,
    STATE(3113), 1,
      sym__integer,
    STATE(3133), 1,
      sym_invocation,
    STATE(7154), 1,
      sym__alias_identifier,
    STATE(1733), 2,
      sym_comment,
      sym_marginalia,
    STATE(3312), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(3316), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(4045), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3314), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [123307] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4033), 1,
      sym__identifier,
    ACTIONS(4035), 1,
      sym_keyword_cast,
    ACTIONS(4037), 1,
      sym_keyword_count,
    ACTIONS(4039), 1,
      sym_keyword_group_concat,
    ACTIONS(4041), 1,
      sym_keyword_case,
    ACTIONS(4047), 1,
      sym_keyword_interval,
    ACTIONS(4049), 1,
      sym_keyword_array,
    ACTIONS(4051), 1,
      anon_sym_LPAREN,
    ACTIONS(4053), 1,
      anon_sym_DOT,
    ACTIONS(4055), 1,
      anon_sym_QMARK,
    ACTIONS(4057), 1,
      anon_sym_DOLLAR,
    ACTIONS(4059), 1,
      anon_sym_SQUOTE,
    ACTIONS(4061), 1,
      anon_sym_DASH,
    ACTIONS(4063), 1,
      anon_sym_DQUOTE,
    ACTIONS(4065), 1,
      sym__natural_number,
    ACTIONS(4067), 1,
      sym_bang,
    ACTIONS(4069), 1,
      anon_sym_BQUOTE,
    ACTIONS(4075), 1,
      sym_keyword_not,
    STATE(2420), 1,
      sym__expression,
    STATE(2891), 1,
      sym_identifier,
    STATE(3106), 1,
      sym__double_quote_string,
    STATE(3113), 1,
      sym__integer,
    STATE(3133), 1,
      sym_invocation,
    STATE(7154), 1,
      sym__alias_identifier,
    STATE(1734), 2,
      sym_comment,
      sym_marginalia,
    STATE(3312), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(3316), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(4045), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3314), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [123419] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4033), 1,
      sym__identifier,
    ACTIONS(4035), 1,
      sym_keyword_cast,
    ACTIONS(4037), 1,
      sym_keyword_count,
    ACTIONS(4039), 1,
      sym_keyword_group_concat,
    ACTIONS(4041), 1,
      sym_keyword_case,
    ACTIONS(4047), 1,
      sym_keyword_interval,
    ACTIONS(4049), 1,
      sym_keyword_array,
    ACTIONS(4051), 1,
      anon_sym_LPAREN,
    ACTIONS(4053), 1,
      anon_sym_DOT,
    ACTIONS(4055), 1,
      anon_sym_QMARK,
    ACTIONS(4057), 1,
      anon_sym_DOLLAR,
    ACTIONS(4059), 1,
      anon_sym_SQUOTE,
    ACTIONS(4061), 1,
      anon_sym_DASH,
    ACTIONS(4063), 1,
      anon_sym_DQUOTE,
    ACTIONS(4065), 1,
      sym__natural_number,
    ACTIONS(4067), 1,
      sym_bang,
    ACTIONS(4069), 1,
      anon_sym_BQUOTE,
    ACTIONS(4075), 1,
      sym_keyword_not,
    STATE(2399), 1,
      sym__expression,
    STATE(2891), 1,
      sym_identifier,
    STATE(3106), 1,
      sym__double_quote_string,
    STATE(3113), 1,
      sym__integer,
    STATE(3133), 1,
      sym_invocation,
    STATE(7154), 1,
      sym__alias_identifier,
    STATE(1735), 2,
      sym_comment,
      sym_marginalia,
    STATE(3312), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(3316), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(4045), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3314), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [123531] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4033), 1,
      sym__identifier,
    ACTIONS(4035), 1,
      sym_keyword_cast,
    ACTIONS(4037), 1,
      sym_keyword_count,
    ACTIONS(4039), 1,
      sym_keyword_group_concat,
    ACTIONS(4041), 1,
      sym_keyword_case,
    ACTIONS(4047), 1,
      sym_keyword_interval,
    ACTIONS(4049), 1,
      sym_keyword_array,
    ACTIONS(4051), 1,
      anon_sym_LPAREN,
    ACTIONS(4053), 1,
      anon_sym_DOT,
    ACTIONS(4055), 1,
      anon_sym_QMARK,
    ACTIONS(4057), 1,
      anon_sym_DOLLAR,
    ACTIONS(4059), 1,
      anon_sym_SQUOTE,
    ACTIONS(4061), 1,
      anon_sym_DASH,
    ACTIONS(4063), 1,
      anon_sym_DQUOTE,
    ACTIONS(4065), 1,
      sym__natural_number,
    ACTIONS(4067), 1,
      sym_bang,
    ACTIONS(4069), 1,
      anon_sym_BQUOTE,
    ACTIONS(4075), 1,
      sym_keyword_not,
    STATE(2398), 1,
      sym__expression,
    STATE(2891), 1,
      sym_identifier,
    STATE(3106), 1,
      sym__double_quote_string,
    STATE(3113), 1,
      sym__integer,
    STATE(3133), 1,
      sym_invocation,
    STATE(7154), 1,
      sym__alias_identifier,
    STATE(1736), 2,
      sym_comment,
      sym_marginalia,
    STATE(3312), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(3316), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(4045), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3314), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [123643] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3537), 1,
      sym__identifier,
    ACTIONS(3539), 1,
      sym_keyword_cast,
    ACTIONS(3541), 1,
      sym_keyword_count,
    ACTIONS(3543), 1,
      sym_keyword_group_concat,
    ACTIONS(3545), 1,
      sym_keyword_case,
    ACTIONS(3551), 1,
      sym_keyword_interval,
    ACTIONS(3553), 1,
      sym_keyword_array,
    ACTIONS(3555), 1,
      anon_sym_LPAREN,
    ACTIONS(3557), 1,
      anon_sym_DOT,
    ACTIONS(3559), 1,
      anon_sym_QMARK,
    ACTIONS(3561), 1,
      anon_sym_DOLLAR,
    ACTIONS(3563), 1,
      anon_sym_SQUOTE,
    ACTIONS(3565), 1,
      anon_sym_DASH,
    ACTIONS(3567), 1,
      anon_sym_DQUOTE,
    ACTIONS(3569), 1,
      sym__natural_number,
    ACTIONS(3571), 1,
      sym_bang,
    ACTIONS(3573), 1,
      anon_sym_BQUOTE,
    ACTIONS(4077), 1,
      sym_keyword_not,
    STATE(251), 1,
      sym__expression,
    STATE(720), 1,
      sym_identifier,
    STATE(867), 1,
      sym__double_quote_string,
    STATE(966), 1,
      sym__integer,
    STATE(968), 1,
      sym_invocation,
    STATE(7073), 1,
      sym__alias_identifier,
    STATE(1107), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(1112), 2,
      sym_count,
      sym_group_concat,
    STATE(1737), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3549), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(1111), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [123755] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3537), 1,
      sym__identifier,
    ACTIONS(3539), 1,
      sym_keyword_cast,
    ACTIONS(3541), 1,
      sym_keyword_count,
    ACTIONS(3543), 1,
      sym_keyword_group_concat,
    ACTIONS(3545), 1,
      sym_keyword_case,
    ACTIONS(3551), 1,
      sym_keyword_interval,
    ACTIONS(3553), 1,
      sym_keyword_array,
    ACTIONS(3555), 1,
      anon_sym_LPAREN,
    ACTIONS(3557), 1,
      anon_sym_DOT,
    ACTIONS(3559), 1,
      anon_sym_QMARK,
    ACTIONS(3561), 1,
      anon_sym_DOLLAR,
    ACTIONS(3563), 1,
      anon_sym_SQUOTE,
    ACTIONS(3565), 1,
      anon_sym_DASH,
    ACTIONS(3567), 1,
      anon_sym_DQUOTE,
    ACTIONS(3569), 1,
      sym__natural_number,
    ACTIONS(3571), 1,
      sym_bang,
    ACTIONS(3573), 1,
      anon_sym_BQUOTE,
    ACTIONS(4077), 1,
      sym_keyword_not,
    STATE(234), 1,
      sym__expression,
    STATE(720), 1,
      sym_identifier,
    STATE(867), 1,
      sym__double_quote_string,
    STATE(966), 1,
      sym__integer,
    STATE(968), 1,
      sym_invocation,
    STATE(7073), 1,
      sym__alias_identifier,
    STATE(1107), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(1112), 2,
      sym_count,
      sym_group_concat,
    STATE(1738), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3549), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(1111), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [123867] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3537), 1,
      sym__identifier,
    ACTIONS(3539), 1,
      sym_keyword_cast,
    ACTIONS(3541), 1,
      sym_keyword_count,
    ACTIONS(3543), 1,
      sym_keyword_group_concat,
    ACTIONS(3545), 1,
      sym_keyword_case,
    ACTIONS(3551), 1,
      sym_keyword_interval,
    ACTIONS(3553), 1,
      sym_keyword_array,
    ACTIONS(3555), 1,
      anon_sym_LPAREN,
    ACTIONS(3557), 1,
      anon_sym_DOT,
    ACTIONS(3559), 1,
      anon_sym_QMARK,
    ACTIONS(3561), 1,
      anon_sym_DOLLAR,
    ACTIONS(3563), 1,
      anon_sym_SQUOTE,
    ACTIONS(3565), 1,
      anon_sym_DASH,
    ACTIONS(3567), 1,
      anon_sym_DQUOTE,
    ACTIONS(3569), 1,
      sym__natural_number,
    ACTIONS(3571), 1,
      sym_bang,
    ACTIONS(3573), 1,
      anon_sym_BQUOTE,
    ACTIONS(4077), 1,
      sym_keyword_not,
    STATE(223), 1,
      sym__expression,
    STATE(720), 1,
      sym_identifier,
    STATE(867), 1,
      sym__double_quote_string,
    STATE(966), 1,
      sym__integer,
    STATE(968), 1,
      sym_invocation,
    STATE(7073), 1,
      sym__alias_identifier,
    STATE(1107), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(1112), 2,
      sym_count,
      sym_group_concat,
    STATE(1739), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3549), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(1111), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [123979] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3633), 1,
      sym__identifier,
    ACTIONS(3635), 1,
      sym_keyword_cast,
    ACTIONS(3637), 1,
      sym_keyword_count,
    ACTIONS(3639), 1,
      sym_keyword_group_concat,
    ACTIONS(3641), 1,
      sym_keyword_case,
    ACTIONS(3643), 1,
      sym_keyword_not,
    ACTIONS(3647), 1,
      sym_keyword_interval,
    ACTIONS(3649), 1,
      sym_keyword_array,
    ACTIONS(3651), 1,
      anon_sym_LPAREN,
    ACTIONS(3653), 1,
      anon_sym_DOT,
    ACTIONS(3655), 1,
      anon_sym_QMARK,
    ACTIONS(3657), 1,
      anon_sym_DOLLAR,
    ACTIONS(3659), 1,
      anon_sym_SQUOTE,
    ACTIONS(3661), 1,
      anon_sym_DASH,
    ACTIONS(3663), 1,
      anon_sym_DQUOTE,
    ACTIONS(3665), 1,
      sym__natural_number,
    ACTIONS(3667), 1,
      sym_bang,
    ACTIONS(3669), 1,
      anon_sym_BQUOTE,
    STATE(2752), 1,
      sym__expression,
    STATE(3442), 1,
      sym_identifier,
    STATE(3626), 1,
      sym_invocation,
    STATE(3679), 1,
      sym__integer,
    STATE(3680), 1,
      sym__double_quote_string,
    STATE(7113), 1,
      sym__alias_identifier,
    STATE(1740), 2,
      sym_comment,
      sym_marginalia,
    STATE(4055), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(4060), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(3645), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(4059), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [124091] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3537), 1,
      sym__identifier,
    ACTIONS(3539), 1,
      sym_keyword_cast,
    ACTIONS(3541), 1,
      sym_keyword_count,
    ACTIONS(3543), 1,
      sym_keyword_group_concat,
    ACTIONS(3545), 1,
      sym_keyword_case,
    ACTIONS(3551), 1,
      sym_keyword_interval,
    ACTIONS(3553), 1,
      sym_keyword_array,
    ACTIONS(3555), 1,
      anon_sym_LPAREN,
    ACTIONS(3557), 1,
      anon_sym_DOT,
    ACTIONS(3559), 1,
      anon_sym_QMARK,
    ACTIONS(3561), 1,
      anon_sym_DOLLAR,
    ACTIONS(3563), 1,
      anon_sym_SQUOTE,
    ACTIONS(3565), 1,
      anon_sym_DASH,
    ACTIONS(3567), 1,
      anon_sym_DQUOTE,
    ACTIONS(3569), 1,
      sym__natural_number,
    ACTIONS(3571), 1,
      sym_bang,
    ACTIONS(3573), 1,
      anon_sym_BQUOTE,
    ACTIONS(4077), 1,
      sym_keyword_not,
    STATE(214), 1,
      sym__expression,
    STATE(720), 1,
      sym_identifier,
    STATE(867), 1,
      sym__double_quote_string,
    STATE(966), 1,
      sym__integer,
    STATE(968), 1,
      sym_invocation,
    STATE(7073), 1,
      sym__alias_identifier,
    STATE(1107), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(1112), 2,
      sym_count,
      sym_group_concat,
    STATE(1741), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3549), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(1111), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [124203] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4033), 1,
      sym__identifier,
    ACTIONS(4035), 1,
      sym_keyword_cast,
    ACTIONS(4037), 1,
      sym_keyword_count,
    ACTIONS(4039), 1,
      sym_keyword_group_concat,
    ACTIONS(4041), 1,
      sym_keyword_case,
    ACTIONS(4047), 1,
      sym_keyword_interval,
    ACTIONS(4049), 1,
      sym_keyword_array,
    ACTIONS(4051), 1,
      anon_sym_LPAREN,
    ACTIONS(4053), 1,
      anon_sym_DOT,
    ACTIONS(4055), 1,
      anon_sym_QMARK,
    ACTIONS(4057), 1,
      anon_sym_DOLLAR,
    ACTIONS(4059), 1,
      anon_sym_SQUOTE,
    ACTIONS(4061), 1,
      anon_sym_DASH,
    ACTIONS(4063), 1,
      anon_sym_DQUOTE,
    ACTIONS(4065), 1,
      sym__natural_number,
    ACTIONS(4067), 1,
      sym_bang,
    ACTIONS(4069), 1,
      anon_sym_BQUOTE,
    ACTIONS(4075), 1,
      sym_keyword_not,
    STATE(2403), 1,
      sym__expression,
    STATE(2891), 1,
      sym_identifier,
    STATE(3106), 1,
      sym__double_quote_string,
    STATE(3113), 1,
      sym__integer,
    STATE(3133), 1,
      sym_invocation,
    STATE(7154), 1,
      sym__alias_identifier,
    STATE(1742), 2,
      sym_comment,
      sym_marginalia,
    STATE(3312), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(3316), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(4045), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3314), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [124315] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4033), 1,
      sym__identifier,
    ACTIONS(4035), 1,
      sym_keyword_cast,
    ACTIONS(4037), 1,
      sym_keyword_count,
    ACTIONS(4039), 1,
      sym_keyword_group_concat,
    ACTIONS(4041), 1,
      sym_keyword_case,
    ACTIONS(4047), 1,
      sym_keyword_interval,
    ACTIONS(4049), 1,
      sym_keyword_array,
    ACTIONS(4051), 1,
      anon_sym_LPAREN,
    ACTIONS(4053), 1,
      anon_sym_DOT,
    ACTIONS(4055), 1,
      anon_sym_QMARK,
    ACTIONS(4057), 1,
      anon_sym_DOLLAR,
    ACTIONS(4059), 1,
      anon_sym_SQUOTE,
    ACTIONS(4061), 1,
      anon_sym_DASH,
    ACTIONS(4063), 1,
      anon_sym_DQUOTE,
    ACTIONS(4065), 1,
      sym__natural_number,
    ACTIONS(4067), 1,
      sym_bang,
    ACTIONS(4069), 1,
      anon_sym_BQUOTE,
    ACTIONS(4075), 1,
      sym_keyword_not,
    STATE(2397), 1,
      sym__expression,
    STATE(2891), 1,
      sym_identifier,
    STATE(3106), 1,
      sym__double_quote_string,
    STATE(3113), 1,
      sym__integer,
    STATE(3133), 1,
      sym_invocation,
    STATE(7154), 1,
      sym__alias_identifier,
    STATE(1743), 2,
      sym_comment,
      sym_marginalia,
    STATE(3312), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(3316), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(4045), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3314), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [124427] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1744), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2391), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2393), 30,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [124487] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1745), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2387), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2389), 30,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [124547] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1746), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(981), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(979), 30,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [124607] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2587), 1,
      sym__identifier,
    ACTIONS(2589), 1,
      sym_keyword_cast,
    ACTIONS(2591), 1,
      sym_keyword_count,
    ACTIONS(2593), 1,
      sym_keyword_group_concat,
    ACTIONS(2595), 1,
      sym_keyword_case,
    ACTIONS(2597), 1,
      sym_keyword_not,
    ACTIONS(2601), 1,
      sym_keyword_interval,
    ACTIONS(2603), 1,
      sym_keyword_array,
    ACTIONS(2605), 1,
      anon_sym_LPAREN,
    ACTIONS(2607), 1,
      anon_sym_DOT,
    ACTIONS(2609), 1,
      anon_sym_QMARK,
    ACTIONS(2611), 1,
      anon_sym_DOLLAR,
    ACTIONS(2613), 1,
      anon_sym_SQUOTE,
    ACTIONS(2615), 1,
      anon_sym_DASH,
    ACTIONS(2617), 1,
      anon_sym_DQUOTE,
    ACTIONS(2619), 1,
      sym__natural_number,
    ACTIONS(2621), 1,
      sym_bang,
    ACTIONS(2623), 1,
      anon_sym_BQUOTE,
    STATE(1124), 1,
      sym__expression,
    STATE(2418), 1,
      sym_identifier,
    STATE(2458), 1,
      sym_invocation,
    STATE(2474), 1,
      sym__double_quote_string,
    STATE(2475), 1,
      sym__integer,
    STATE(6544), 1,
      sym__alias_identifier,
    STATE(1747), 2,
      sym_comment,
      sym_marginalia,
    STATE(2590), 2,
      sym_count,
      sym_group_concat,
    STATE(2593), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(2599), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2591), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [124719] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2639), 1,
      sym__identifier,
    ACTIONS(2641), 1,
      sym_keyword_cast,
    ACTIONS(2643), 1,
      sym_keyword_count,
    ACTIONS(2645), 1,
      sym_keyword_group_concat,
    ACTIONS(2647), 1,
      sym_keyword_case,
    ACTIONS(2649), 1,
      sym_keyword_not,
    ACTIONS(2653), 1,
      sym_keyword_interval,
    ACTIONS(2655), 1,
      sym_keyword_array,
    ACTIONS(2657), 1,
      anon_sym_LPAREN,
    ACTIONS(2659), 1,
      anon_sym_DOT,
    ACTIONS(2661), 1,
      anon_sym_QMARK,
    ACTIONS(2663), 1,
      anon_sym_DOLLAR,
    ACTIONS(2665), 1,
      anon_sym_SQUOTE,
    ACTIONS(2667), 1,
      anon_sym_DASH,
    ACTIONS(2669), 1,
      anon_sym_DQUOTE,
    ACTIONS(2671), 1,
      sym__natural_number,
    ACTIONS(2673), 1,
      sym_bang,
    ACTIONS(2675), 1,
      anon_sym_BQUOTE,
    STATE(311), 1,
      sym__expression,
    STATE(989), 1,
      sym_identifier,
    STATE(1306), 1,
      sym__integer,
    STATE(1312), 1,
      sym__double_quote_string,
    STATE(1313), 1,
      sym_invocation,
    STATE(6399), 1,
      sym__alias_identifier,
    STATE(1660), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(1665), 2,
      sym_count,
      sym_group_concat,
    STATE(1748), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2651), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(1664), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [124831] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2639), 1,
      sym__identifier,
    ACTIONS(2641), 1,
      sym_keyword_cast,
    ACTIONS(2643), 1,
      sym_keyword_count,
    ACTIONS(2645), 1,
      sym_keyword_group_concat,
    ACTIONS(2647), 1,
      sym_keyword_case,
    ACTIONS(2649), 1,
      sym_keyword_not,
    ACTIONS(2653), 1,
      sym_keyword_interval,
    ACTIONS(2655), 1,
      sym_keyword_array,
    ACTIONS(2657), 1,
      anon_sym_LPAREN,
    ACTIONS(2659), 1,
      anon_sym_DOT,
    ACTIONS(2661), 1,
      anon_sym_QMARK,
    ACTIONS(2663), 1,
      anon_sym_DOLLAR,
    ACTIONS(2665), 1,
      anon_sym_SQUOTE,
    ACTIONS(2667), 1,
      anon_sym_DASH,
    ACTIONS(2669), 1,
      anon_sym_DQUOTE,
    ACTIONS(2671), 1,
      sym__natural_number,
    ACTIONS(2673), 1,
      sym_bang,
    ACTIONS(2675), 1,
      anon_sym_BQUOTE,
    STATE(315), 1,
      sym__expression,
    STATE(989), 1,
      sym_identifier,
    STATE(1306), 1,
      sym__integer,
    STATE(1312), 1,
      sym__double_quote_string,
    STATE(1313), 1,
      sym_invocation,
    STATE(6399), 1,
      sym__alias_identifier,
    STATE(1660), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(1665), 2,
      sym_count,
      sym_group_concat,
    STATE(1749), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2651), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(1664), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [124943] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2639), 1,
      sym__identifier,
    ACTIONS(2641), 1,
      sym_keyword_cast,
    ACTIONS(2643), 1,
      sym_keyword_count,
    ACTIONS(2645), 1,
      sym_keyword_group_concat,
    ACTIONS(2647), 1,
      sym_keyword_case,
    ACTIONS(2649), 1,
      sym_keyword_not,
    ACTIONS(2653), 1,
      sym_keyword_interval,
    ACTIONS(2655), 1,
      sym_keyword_array,
    ACTIONS(2657), 1,
      anon_sym_LPAREN,
    ACTIONS(2659), 1,
      anon_sym_DOT,
    ACTIONS(2661), 1,
      anon_sym_QMARK,
    ACTIONS(2663), 1,
      anon_sym_DOLLAR,
    ACTIONS(2665), 1,
      anon_sym_SQUOTE,
    ACTIONS(2667), 1,
      anon_sym_DASH,
    ACTIONS(2669), 1,
      anon_sym_DQUOTE,
    ACTIONS(2671), 1,
      sym__natural_number,
    ACTIONS(2673), 1,
      sym_bang,
    ACTIONS(2675), 1,
      anon_sym_BQUOTE,
    STATE(314), 1,
      sym__expression,
    STATE(989), 1,
      sym_identifier,
    STATE(1306), 1,
      sym__integer,
    STATE(1312), 1,
      sym__double_quote_string,
    STATE(1313), 1,
      sym_invocation,
    STATE(6399), 1,
      sym__alias_identifier,
    STATE(1660), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(1665), 2,
      sym_count,
      sym_group_concat,
    STATE(1750), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2651), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(1664), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [125055] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2639), 1,
      sym__identifier,
    ACTIONS(2641), 1,
      sym_keyword_cast,
    ACTIONS(2643), 1,
      sym_keyword_count,
    ACTIONS(2645), 1,
      sym_keyword_group_concat,
    ACTIONS(2647), 1,
      sym_keyword_case,
    ACTIONS(2649), 1,
      sym_keyword_not,
    ACTIONS(2653), 1,
      sym_keyword_interval,
    ACTIONS(2655), 1,
      sym_keyword_array,
    ACTIONS(2657), 1,
      anon_sym_LPAREN,
    ACTIONS(2659), 1,
      anon_sym_DOT,
    ACTIONS(2661), 1,
      anon_sym_QMARK,
    ACTIONS(2663), 1,
      anon_sym_DOLLAR,
    ACTIONS(2665), 1,
      anon_sym_SQUOTE,
    ACTIONS(2667), 1,
      anon_sym_DASH,
    ACTIONS(2669), 1,
      anon_sym_DQUOTE,
    ACTIONS(2671), 1,
      sym__natural_number,
    ACTIONS(2673), 1,
      sym_bang,
    ACTIONS(2675), 1,
      anon_sym_BQUOTE,
    STATE(312), 1,
      sym__expression,
    STATE(989), 1,
      sym_identifier,
    STATE(1306), 1,
      sym__integer,
    STATE(1312), 1,
      sym__double_quote_string,
    STATE(1313), 1,
      sym_invocation,
    STATE(6399), 1,
      sym__alias_identifier,
    STATE(1660), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(1665), 2,
      sym_count,
      sym_group_concat,
    STATE(1751), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2651), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(1664), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [125167] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2639), 1,
      sym__identifier,
    ACTIONS(2641), 1,
      sym_keyword_cast,
    ACTIONS(2643), 1,
      sym_keyword_count,
    ACTIONS(2645), 1,
      sym_keyword_group_concat,
    ACTIONS(2647), 1,
      sym_keyword_case,
    ACTIONS(2649), 1,
      sym_keyword_not,
    ACTIONS(2653), 1,
      sym_keyword_interval,
    ACTIONS(2655), 1,
      sym_keyword_array,
    ACTIONS(2657), 1,
      anon_sym_LPAREN,
    ACTIONS(2659), 1,
      anon_sym_DOT,
    ACTIONS(2661), 1,
      anon_sym_QMARK,
    ACTIONS(2663), 1,
      anon_sym_DOLLAR,
    ACTIONS(2665), 1,
      anon_sym_SQUOTE,
    ACTIONS(2667), 1,
      anon_sym_DASH,
    ACTIONS(2669), 1,
      anon_sym_DQUOTE,
    ACTIONS(2671), 1,
      sym__natural_number,
    ACTIONS(2673), 1,
      sym_bang,
    ACTIONS(2675), 1,
      anon_sym_BQUOTE,
    STATE(310), 1,
      sym__expression,
    STATE(989), 1,
      sym_identifier,
    STATE(1306), 1,
      sym__integer,
    STATE(1312), 1,
      sym__double_quote_string,
    STATE(1313), 1,
      sym_invocation,
    STATE(6399), 1,
      sym__alias_identifier,
    STATE(1660), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(1665), 2,
      sym_count,
      sym_group_concat,
    STATE(1752), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2651), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(1664), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [125279] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2639), 1,
      sym__identifier,
    ACTIONS(2641), 1,
      sym_keyword_cast,
    ACTIONS(2643), 1,
      sym_keyword_count,
    ACTIONS(2645), 1,
      sym_keyword_group_concat,
    ACTIONS(2647), 1,
      sym_keyword_case,
    ACTIONS(2649), 1,
      sym_keyword_not,
    ACTIONS(2653), 1,
      sym_keyword_interval,
    ACTIONS(2655), 1,
      sym_keyword_array,
    ACTIONS(2657), 1,
      anon_sym_LPAREN,
    ACTIONS(2659), 1,
      anon_sym_DOT,
    ACTIONS(2661), 1,
      anon_sym_QMARK,
    ACTIONS(2663), 1,
      anon_sym_DOLLAR,
    ACTIONS(2665), 1,
      anon_sym_SQUOTE,
    ACTIONS(2667), 1,
      anon_sym_DASH,
    ACTIONS(2669), 1,
      anon_sym_DQUOTE,
    ACTIONS(2671), 1,
      sym__natural_number,
    ACTIONS(2673), 1,
      sym_bang,
    ACTIONS(2675), 1,
      anon_sym_BQUOTE,
    STATE(308), 1,
      sym__expression,
    STATE(989), 1,
      sym_identifier,
    STATE(1306), 1,
      sym__integer,
    STATE(1312), 1,
      sym__double_quote_string,
    STATE(1313), 1,
      sym_invocation,
    STATE(6399), 1,
      sym__alias_identifier,
    STATE(1660), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(1665), 2,
      sym_count,
      sym_group_concat,
    STATE(1753), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2651), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(1664), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [125391] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2639), 1,
      sym__identifier,
    ACTIONS(2641), 1,
      sym_keyword_cast,
    ACTIONS(2643), 1,
      sym_keyword_count,
    ACTIONS(2645), 1,
      sym_keyword_group_concat,
    ACTIONS(2647), 1,
      sym_keyword_case,
    ACTIONS(2649), 1,
      sym_keyword_not,
    ACTIONS(2653), 1,
      sym_keyword_interval,
    ACTIONS(2655), 1,
      sym_keyword_array,
    ACTIONS(2657), 1,
      anon_sym_LPAREN,
    ACTIONS(2659), 1,
      anon_sym_DOT,
    ACTIONS(2661), 1,
      anon_sym_QMARK,
    ACTIONS(2663), 1,
      anon_sym_DOLLAR,
    ACTIONS(2665), 1,
      anon_sym_SQUOTE,
    ACTIONS(2667), 1,
      anon_sym_DASH,
    ACTIONS(2669), 1,
      anon_sym_DQUOTE,
    ACTIONS(2671), 1,
      sym__natural_number,
    ACTIONS(2673), 1,
      sym_bang,
    ACTIONS(2675), 1,
      anon_sym_BQUOTE,
    STATE(307), 1,
      sym__expression,
    STATE(989), 1,
      sym_identifier,
    STATE(1306), 1,
      sym__integer,
    STATE(1312), 1,
      sym__double_quote_string,
    STATE(1313), 1,
      sym_invocation,
    STATE(6399), 1,
      sym__alias_identifier,
    STATE(1660), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(1665), 2,
      sym_count,
      sym_group_concat,
    STATE(1754), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2651), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(1664), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [125503] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2639), 1,
      sym__identifier,
    ACTIONS(2641), 1,
      sym_keyword_cast,
    ACTIONS(2643), 1,
      sym_keyword_count,
    ACTIONS(2645), 1,
      sym_keyword_group_concat,
    ACTIONS(2647), 1,
      sym_keyword_case,
    ACTIONS(2649), 1,
      sym_keyword_not,
    ACTIONS(2653), 1,
      sym_keyword_interval,
    ACTIONS(2655), 1,
      sym_keyword_array,
    ACTIONS(2657), 1,
      anon_sym_LPAREN,
    ACTIONS(2659), 1,
      anon_sym_DOT,
    ACTIONS(2661), 1,
      anon_sym_QMARK,
    ACTIONS(2663), 1,
      anon_sym_DOLLAR,
    ACTIONS(2665), 1,
      anon_sym_SQUOTE,
    ACTIONS(2667), 1,
      anon_sym_DASH,
    ACTIONS(2669), 1,
      anon_sym_DQUOTE,
    ACTIONS(2671), 1,
      sym__natural_number,
    ACTIONS(2673), 1,
      sym_bang,
    ACTIONS(2675), 1,
      anon_sym_BQUOTE,
    STATE(322), 1,
      sym__expression,
    STATE(989), 1,
      sym_identifier,
    STATE(1306), 1,
      sym__integer,
    STATE(1312), 1,
      sym__double_quote_string,
    STATE(1313), 1,
      sym_invocation,
    STATE(6399), 1,
      sym__alias_identifier,
    STATE(1660), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(1665), 2,
      sym_count,
      sym_group_concat,
    STATE(1755), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2651), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(1664), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [125615] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2639), 1,
      sym__identifier,
    ACTIONS(2641), 1,
      sym_keyword_cast,
    ACTIONS(2643), 1,
      sym_keyword_count,
    ACTIONS(2645), 1,
      sym_keyword_group_concat,
    ACTIONS(2647), 1,
      sym_keyword_case,
    ACTIONS(2649), 1,
      sym_keyword_not,
    ACTIONS(2653), 1,
      sym_keyword_interval,
    ACTIONS(2655), 1,
      sym_keyword_array,
    ACTIONS(2657), 1,
      anon_sym_LPAREN,
    ACTIONS(2659), 1,
      anon_sym_DOT,
    ACTIONS(2661), 1,
      anon_sym_QMARK,
    ACTIONS(2663), 1,
      anon_sym_DOLLAR,
    ACTIONS(2665), 1,
      anon_sym_SQUOTE,
    ACTIONS(2667), 1,
      anon_sym_DASH,
    ACTIONS(2669), 1,
      anon_sym_DQUOTE,
    ACTIONS(2671), 1,
      sym__natural_number,
    ACTIONS(2673), 1,
      sym_bang,
    ACTIONS(2675), 1,
      anon_sym_BQUOTE,
    STATE(323), 1,
      sym__expression,
    STATE(989), 1,
      sym_identifier,
    STATE(1306), 1,
      sym__integer,
    STATE(1312), 1,
      sym__double_quote_string,
    STATE(1313), 1,
      sym_invocation,
    STATE(6399), 1,
      sym__alias_identifier,
    STATE(1660), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(1665), 2,
      sym_count,
      sym_group_concat,
    STATE(1756), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2651), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(1664), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [125727] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2639), 1,
      sym__identifier,
    ACTIONS(2641), 1,
      sym_keyword_cast,
    ACTIONS(2643), 1,
      sym_keyword_count,
    ACTIONS(2645), 1,
      sym_keyword_group_concat,
    ACTIONS(2647), 1,
      sym_keyword_case,
    ACTIONS(2649), 1,
      sym_keyword_not,
    ACTIONS(2653), 1,
      sym_keyword_interval,
    ACTIONS(2655), 1,
      sym_keyword_array,
    ACTIONS(2657), 1,
      anon_sym_LPAREN,
    ACTIONS(2659), 1,
      anon_sym_DOT,
    ACTIONS(2661), 1,
      anon_sym_QMARK,
    ACTIONS(2663), 1,
      anon_sym_DOLLAR,
    ACTIONS(2665), 1,
      anon_sym_SQUOTE,
    ACTIONS(2667), 1,
      anon_sym_DASH,
    ACTIONS(2669), 1,
      anon_sym_DQUOTE,
    ACTIONS(2671), 1,
      sym__natural_number,
    ACTIONS(2673), 1,
      sym_bang,
    ACTIONS(2675), 1,
      anon_sym_BQUOTE,
    STATE(331), 1,
      sym__expression,
    STATE(989), 1,
      sym_identifier,
    STATE(1306), 1,
      sym__integer,
    STATE(1312), 1,
      sym__double_quote_string,
    STATE(1313), 1,
      sym_invocation,
    STATE(6399), 1,
      sym__alias_identifier,
    STATE(1660), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(1665), 2,
      sym_count,
      sym_group_concat,
    STATE(1757), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2651), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(1664), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [125839] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3633), 1,
      sym__identifier,
    ACTIONS(3635), 1,
      sym_keyword_cast,
    ACTIONS(3637), 1,
      sym_keyword_count,
    ACTIONS(3639), 1,
      sym_keyword_group_concat,
    ACTIONS(3641), 1,
      sym_keyword_case,
    ACTIONS(3643), 1,
      sym_keyword_not,
    ACTIONS(3647), 1,
      sym_keyword_interval,
    ACTIONS(3649), 1,
      sym_keyword_array,
    ACTIONS(3651), 1,
      anon_sym_LPAREN,
    ACTIONS(3653), 1,
      anon_sym_DOT,
    ACTIONS(3655), 1,
      anon_sym_QMARK,
    ACTIONS(3657), 1,
      anon_sym_DOLLAR,
    ACTIONS(3659), 1,
      anon_sym_SQUOTE,
    ACTIONS(3661), 1,
      anon_sym_DASH,
    ACTIONS(3663), 1,
      anon_sym_DQUOTE,
    ACTIONS(3665), 1,
      sym__natural_number,
    ACTIONS(3667), 1,
      sym_bang,
    ACTIONS(3669), 1,
      anon_sym_BQUOTE,
    STATE(2857), 1,
      sym__expression,
    STATE(3442), 1,
      sym_identifier,
    STATE(3626), 1,
      sym_invocation,
    STATE(3679), 1,
      sym__integer,
    STATE(3680), 1,
      sym__double_quote_string,
    STATE(7113), 1,
      sym__alias_identifier,
    STATE(1758), 2,
      sym_comment,
      sym_marginalia,
    STATE(4055), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(4060), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(3645), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(4059), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [125951] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4033), 1,
      sym__identifier,
    ACTIONS(4035), 1,
      sym_keyword_cast,
    ACTIONS(4037), 1,
      sym_keyword_count,
    ACTIONS(4039), 1,
      sym_keyword_group_concat,
    ACTIONS(4041), 1,
      sym_keyword_case,
    ACTIONS(4047), 1,
      sym_keyword_interval,
    ACTIONS(4049), 1,
      sym_keyword_array,
    ACTIONS(4051), 1,
      anon_sym_LPAREN,
    ACTIONS(4053), 1,
      anon_sym_DOT,
    ACTIONS(4055), 1,
      anon_sym_QMARK,
    ACTIONS(4057), 1,
      anon_sym_DOLLAR,
    ACTIONS(4059), 1,
      anon_sym_SQUOTE,
    ACTIONS(4061), 1,
      anon_sym_DASH,
    ACTIONS(4063), 1,
      anon_sym_DQUOTE,
    ACTIONS(4065), 1,
      sym__natural_number,
    ACTIONS(4067), 1,
      sym_bang,
    ACTIONS(4069), 1,
      anon_sym_BQUOTE,
    ACTIONS(4075), 1,
      sym_keyword_not,
    STATE(2396), 1,
      sym__expression,
    STATE(2891), 1,
      sym_identifier,
    STATE(3106), 1,
      sym__double_quote_string,
    STATE(3113), 1,
      sym__integer,
    STATE(3133), 1,
      sym_invocation,
    STATE(7154), 1,
      sym__alias_identifier,
    STATE(1759), 2,
      sym_comment,
      sym_marginalia,
    STATE(3312), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(3316), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(4045), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3314), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [126063] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3633), 1,
      sym__identifier,
    ACTIONS(3635), 1,
      sym_keyword_cast,
    ACTIONS(3637), 1,
      sym_keyword_count,
    ACTIONS(3639), 1,
      sym_keyword_group_concat,
    ACTIONS(3641), 1,
      sym_keyword_case,
    ACTIONS(3643), 1,
      sym_keyword_not,
    ACTIONS(3647), 1,
      sym_keyword_interval,
    ACTIONS(3649), 1,
      sym_keyword_array,
    ACTIONS(3651), 1,
      anon_sym_LPAREN,
    ACTIONS(3653), 1,
      anon_sym_DOT,
    ACTIONS(3655), 1,
      anon_sym_QMARK,
    ACTIONS(3657), 1,
      anon_sym_DOLLAR,
    ACTIONS(3659), 1,
      anon_sym_SQUOTE,
    ACTIONS(3661), 1,
      anon_sym_DASH,
    ACTIONS(3663), 1,
      anon_sym_DQUOTE,
    ACTIONS(3665), 1,
      sym__natural_number,
    ACTIONS(3667), 1,
      sym_bang,
    ACTIONS(3669), 1,
      anon_sym_BQUOTE,
    STATE(2739), 1,
      sym__expression,
    STATE(3442), 1,
      sym_identifier,
    STATE(3626), 1,
      sym_invocation,
    STATE(3679), 1,
      sym__integer,
    STATE(3680), 1,
      sym__double_quote_string,
    STATE(7113), 1,
      sym__alias_identifier,
    STATE(1760), 2,
      sym_comment,
      sym_marginalia,
    STATE(4055), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(4060), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(3645), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(4059), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [126175] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3633), 1,
      sym__identifier,
    ACTIONS(3635), 1,
      sym_keyword_cast,
    ACTIONS(3637), 1,
      sym_keyword_count,
    ACTIONS(3639), 1,
      sym_keyword_group_concat,
    ACTIONS(3641), 1,
      sym_keyword_case,
    ACTIONS(3643), 1,
      sym_keyword_not,
    ACTIONS(3647), 1,
      sym_keyword_interval,
    ACTIONS(3649), 1,
      sym_keyword_array,
    ACTIONS(3651), 1,
      anon_sym_LPAREN,
    ACTIONS(3653), 1,
      anon_sym_DOT,
    ACTIONS(3655), 1,
      anon_sym_QMARK,
    ACTIONS(3657), 1,
      anon_sym_DOLLAR,
    ACTIONS(3659), 1,
      anon_sym_SQUOTE,
    ACTIONS(3661), 1,
      anon_sym_DASH,
    ACTIONS(3663), 1,
      anon_sym_DQUOTE,
    ACTIONS(3665), 1,
      sym__natural_number,
    ACTIONS(3667), 1,
      sym_bang,
    ACTIONS(3669), 1,
      anon_sym_BQUOTE,
    STATE(2740), 1,
      sym__expression,
    STATE(3442), 1,
      sym_identifier,
    STATE(3626), 1,
      sym_invocation,
    STATE(3679), 1,
      sym__integer,
    STATE(3680), 1,
      sym__double_quote_string,
    STATE(7113), 1,
      sym__alias_identifier,
    STATE(1761), 2,
      sym_comment,
      sym_marginalia,
    STATE(4055), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(4060), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(3645), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(4059), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [126287] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3633), 1,
      sym__identifier,
    ACTIONS(3635), 1,
      sym_keyword_cast,
    ACTIONS(3637), 1,
      sym_keyword_count,
    ACTIONS(3639), 1,
      sym_keyword_group_concat,
    ACTIONS(3641), 1,
      sym_keyword_case,
    ACTIONS(3643), 1,
      sym_keyword_not,
    ACTIONS(3647), 1,
      sym_keyword_interval,
    ACTIONS(3649), 1,
      sym_keyword_array,
    ACTIONS(3651), 1,
      anon_sym_LPAREN,
    ACTIONS(3653), 1,
      anon_sym_DOT,
    ACTIONS(3655), 1,
      anon_sym_QMARK,
    ACTIONS(3657), 1,
      anon_sym_DOLLAR,
    ACTIONS(3659), 1,
      anon_sym_SQUOTE,
    ACTIONS(3661), 1,
      anon_sym_DASH,
    ACTIONS(3663), 1,
      anon_sym_DQUOTE,
    ACTIONS(3665), 1,
      sym__natural_number,
    ACTIONS(3667), 1,
      sym_bang,
    ACTIONS(3669), 1,
      anon_sym_BQUOTE,
    STATE(2741), 1,
      sym__expression,
    STATE(3442), 1,
      sym_identifier,
    STATE(3626), 1,
      sym_invocation,
    STATE(3679), 1,
      sym__integer,
    STATE(3680), 1,
      sym__double_quote_string,
    STATE(7113), 1,
      sym__alias_identifier,
    STATE(1762), 2,
      sym_comment,
      sym_marginalia,
    STATE(4055), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(4060), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(3645), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(4059), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [126399] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3633), 1,
      sym__identifier,
    ACTIONS(3635), 1,
      sym_keyword_cast,
    ACTIONS(3637), 1,
      sym_keyword_count,
    ACTIONS(3639), 1,
      sym_keyword_group_concat,
    ACTIONS(3641), 1,
      sym_keyword_case,
    ACTIONS(3643), 1,
      sym_keyword_not,
    ACTIONS(3647), 1,
      sym_keyword_interval,
    ACTIONS(3649), 1,
      sym_keyword_array,
    ACTIONS(3651), 1,
      anon_sym_LPAREN,
    ACTIONS(3653), 1,
      anon_sym_DOT,
    ACTIONS(3655), 1,
      anon_sym_QMARK,
    ACTIONS(3657), 1,
      anon_sym_DOLLAR,
    ACTIONS(3659), 1,
      anon_sym_SQUOTE,
    ACTIONS(3661), 1,
      anon_sym_DASH,
    ACTIONS(3663), 1,
      anon_sym_DQUOTE,
    ACTIONS(3665), 1,
      sym__natural_number,
    ACTIONS(3667), 1,
      sym_bang,
    ACTIONS(3669), 1,
      anon_sym_BQUOTE,
    STATE(2742), 1,
      sym__expression,
    STATE(3442), 1,
      sym_identifier,
    STATE(3626), 1,
      sym_invocation,
    STATE(3679), 1,
      sym__integer,
    STATE(3680), 1,
      sym__double_quote_string,
    STATE(7113), 1,
      sym__alias_identifier,
    STATE(1763), 2,
      sym_comment,
      sym_marginalia,
    STATE(4055), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(4060), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(3645), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(4059), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [126511] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3633), 1,
      sym__identifier,
    ACTIONS(3635), 1,
      sym_keyword_cast,
    ACTIONS(3637), 1,
      sym_keyword_count,
    ACTIONS(3639), 1,
      sym_keyword_group_concat,
    ACTIONS(3641), 1,
      sym_keyword_case,
    ACTIONS(3643), 1,
      sym_keyword_not,
    ACTIONS(3647), 1,
      sym_keyword_interval,
    ACTIONS(3649), 1,
      sym_keyword_array,
    ACTIONS(3651), 1,
      anon_sym_LPAREN,
    ACTIONS(3653), 1,
      anon_sym_DOT,
    ACTIONS(3655), 1,
      anon_sym_QMARK,
    ACTIONS(3657), 1,
      anon_sym_DOLLAR,
    ACTIONS(3659), 1,
      anon_sym_SQUOTE,
    ACTIONS(3661), 1,
      anon_sym_DASH,
    ACTIONS(3663), 1,
      anon_sym_DQUOTE,
    ACTIONS(3665), 1,
      sym__natural_number,
    ACTIONS(3667), 1,
      sym_bang,
    ACTIONS(3669), 1,
      anon_sym_BQUOTE,
    STATE(2750), 1,
      sym__expression,
    STATE(3442), 1,
      sym_identifier,
    STATE(3626), 1,
      sym_invocation,
    STATE(3679), 1,
      sym__integer,
    STATE(3680), 1,
      sym__double_quote_string,
    STATE(7113), 1,
      sym__alias_identifier,
    STATE(1764), 2,
      sym_comment,
      sym_marginalia,
    STATE(4055), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(4060), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(3645), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(4059), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [126623] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3633), 1,
      sym__identifier,
    ACTIONS(3635), 1,
      sym_keyword_cast,
    ACTIONS(3637), 1,
      sym_keyword_count,
    ACTIONS(3639), 1,
      sym_keyword_group_concat,
    ACTIONS(3641), 1,
      sym_keyword_case,
    ACTIONS(3643), 1,
      sym_keyword_not,
    ACTIONS(3647), 1,
      sym_keyword_interval,
    ACTIONS(3649), 1,
      sym_keyword_array,
    ACTIONS(3651), 1,
      anon_sym_LPAREN,
    ACTIONS(3653), 1,
      anon_sym_DOT,
    ACTIONS(3655), 1,
      anon_sym_QMARK,
    ACTIONS(3657), 1,
      anon_sym_DOLLAR,
    ACTIONS(3659), 1,
      anon_sym_SQUOTE,
    ACTIONS(3661), 1,
      anon_sym_DASH,
    ACTIONS(3663), 1,
      anon_sym_DQUOTE,
    ACTIONS(3665), 1,
      sym__natural_number,
    ACTIONS(3667), 1,
      sym_bang,
    ACTIONS(3669), 1,
      anon_sym_BQUOTE,
    STATE(2751), 1,
      sym__expression,
    STATE(3442), 1,
      sym_identifier,
    STATE(3626), 1,
      sym_invocation,
    STATE(3679), 1,
      sym__integer,
    STATE(3680), 1,
      sym__double_quote_string,
    STATE(7113), 1,
      sym__alias_identifier,
    STATE(1765), 2,
      sym_comment,
      sym_marginalia,
    STATE(4055), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(4060), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(3645), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(4059), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [126735] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3537), 1,
      sym__identifier,
    ACTIONS(3539), 1,
      sym_keyword_cast,
    ACTIONS(3541), 1,
      sym_keyword_count,
    ACTIONS(3543), 1,
      sym_keyword_group_concat,
    ACTIONS(3545), 1,
      sym_keyword_case,
    ACTIONS(3551), 1,
      sym_keyword_interval,
    ACTIONS(3553), 1,
      sym_keyword_array,
    ACTIONS(3555), 1,
      anon_sym_LPAREN,
    ACTIONS(3557), 1,
      anon_sym_DOT,
    ACTIONS(3559), 1,
      anon_sym_QMARK,
    ACTIONS(3561), 1,
      anon_sym_DOLLAR,
    ACTIONS(3563), 1,
      anon_sym_SQUOTE,
    ACTIONS(3565), 1,
      anon_sym_DASH,
    ACTIONS(3567), 1,
      anon_sym_DQUOTE,
    ACTIONS(3569), 1,
      sym__natural_number,
    ACTIONS(3571), 1,
      sym_bang,
    ACTIONS(3573), 1,
      anon_sym_BQUOTE,
    ACTIONS(4077), 1,
      sym_keyword_not,
    STATE(224), 1,
      sym__expression,
    STATE(720), 1,
      sym_identifier,
    STATE(867), 1,
      sym__double_quote_string,
    STATE(966), 1,
      sym__integer,
    STATE(968), 1,
      sym_invocation,
    STATE(7073), 1,
      sym__alias_identifier,
    STATE(1107), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(1112), 2,
      sym_count,
      sym_group_concat,
    STATE(1766), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3549), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(1111), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [126847] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3633), 1,
      sym__identifier,
    ACTIONS(3635), 1,
      sym_keyword_cast,
    ACTIONS(3637), 1,
      sym_keyword_count,
    ACTIONS(3639), 1,
      sym_keyword_group_concat,
    ACTIONS(3641), 1,
      sym_keyword_case,
    ACTIONS(3643), 1,
      sym_keyword_not,
    ACTIONS(3647), 1,
      sym_keyword_interval,
    ACTIONS(3649), 1,
      sym_keyword_array,
    ACTIONS(3651), 1,
      anon_sym_LPAREN,
    ACTIONS(3653), 1,
      anon_sym_DOT,
    ACTIONS(3655), 1,
      anon_sym_QMARK,
    ACTIONS(3657), 1,
      anon_sym_DOLLAR,
    ACTIONS(3659), 1,
      anon_sym_SQUOTE,
    ACTIONS(3661), 1,
      anon_sym_DASH,
    ACTIONS(3663), 1,
      anon_sym_DQUOTE,
    ACTIONS(3665), 1,
      sym__natural_number,
    ACTIONS(3667), 1,
      sym_bang,
    ACTIONS(3669), 1,
      anon_sym_BQUOTE,
    STATE(2753), 1,
      sym__expression,
    STATE(3442), 1,
      sym_identifier,
    STATE(3626), 1,
      sym_invocation,
    STATE(3679), 1,
      sym__integer,
    STATE(3680), 1,
      sym__double_quote_string,
    STATE(7113), 1,
      sym__alias_identifier,
    STATE(1767), 2,
      sym_comment,
      sym_marginalia,
    STATE(4055), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(4060), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(3645), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(4059), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [126959] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3633), 1,
      sym__identifier,
    ACTIONS(3635), 1,
      sym_keyword_cast,
    ACTIONS(3637), 1,
      sym_keyword_count,
    ACTIONS(3639), 1,
      sym_keyword_group_concat,
    ACTIONS(3641), 1,
      sym_keyword_case,
    ACTIONS(3643), 1,
      sym_keyword_not,
    ACTIONS(3647), 1,
      sym_keyword_interval,
    ACTIONS(3649), 1,
      sym_keyword_array,
    ACTIONS(3651), 1,
      anon_sym_LPAREN,
    ACTIONS(3653), 1,
      anon_sym_DOT,
    ACTIONS(3655), 1,
      anon_sym_QMARK,
    ACTIONS(3657), 1,
      anon_sym_DOLLAR,
    ACTIONS(3659), 1,
      anon_sym_SQUOTE,
    ACTIONS(3661), 1,
      anon_sym_DASH,
    ACTIONS(3663), 1,
      anon_sym_DQUOTE,
    ACTIONS(3665), 1,
      sym__natural_number,
    ACTIONS(3667), 1,
      sym_bang,
    ACTIONS(3669), 1,
      anon_sym_BQUOTE,
    STATE(2754), 1,
      sym__expression,
    STATE(3442), 1,
      sym_identifier,
    STATE(3626), 1,
      sym_invocation,
    STATE(3679), 1,
      sym__integer,
    STATE(3680), 1,
      sym__double_quote_string,
    STATE(7113), 1,
      sym__alias_identifier,
    STATE(1768), 2,
      sym_comment,
      sym_marginalia,
    STATE(4055), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(4060), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(3645), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(4059), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [127071] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4033), 1,
      sym__identifier,
    ACTIONS(4035), 1,
      sym_keyword_cast,
    ACTIONS(4037), 1,
      sym_keyword_count,
    ACTIONS(4039), 1,
      sym_keyword_group_concat,
    ACTIONS(4041), 1,
      sym_keyword_case,
    ACTIONS(4045), 1,
      sym_keyword_null,
    ACTIONS(4047), 1,
      sym_keyword_interval,
    ACTIONS(4049), 1,
      sym_keyword_array,
    ACTIONS(4051), 1,
      anon_sym_LPAREN,
    ACTIONS(4053), 1,
      anon_sym_DOT,
    ACTIONS(4055), 1,
      anon_sym_QMARK,
    ACTIONS(4057), 1,
      anon_sym_DOLLAR,
    ACTIONS(4059), 1,
      anon_sym_SQUOTE,
    ACTIONS(4061), 1,
      anon_sym_DASH,
    ACTIONS(4063), 1,
      anon_sym_DQUOTE,
    ACTIONS(4065), 1,
      sym__natural_number,
    ACTIONS(4067), 1,
      sym_bang,
    ACTIONS(4069), 1,
      anon_sym_BQUOTE,
    ACTIONS(4075), 1,
      sym_keyword_not,
    STATE(2407), 1,
      sym__expression,
    STATE(2891), 1,
      sym_identifier,
    STATE(3106), 1,
      sym__double_quote_string,
    STATE(3113), 1,
      sym__integer,
    STATE(3133), 1,
      sym_invocation,
    STATE(7154), 1,
      sym__alias_identifier,
    ACTIONS(4079), 2,
      sym_keyword_true,
      sym_keyword_false,
    STATE(1769), 2,
      sym_comment,
      sym_marginalia,
    STATE(3312), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(3316), 2,
      sym_count,
      sym_group_concat,
    STATE(3314), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [127185] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4132), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1770), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [127297] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4033), 1,
      sym__identifier,
    ACTIONS(4035), 1,
      sym_keyword_cast,
    ACTIONS(4037), 1,
      sym_keyword_count,
    ACTIONS(4039), 1,
      sym_keyword_group_concat,
    ACTIONS(4041), 1,
      sym_keyword_case,
    ACTIONS(4045), 1,
      sym_keyword_null,
    ACTIONS(4047), 1,
      sym_keyword_interval,
    ACTIONS(4049), 1,
      sym_keyword_array,
    ACTIONS(4051), 1,
      anon_sym_LPAREN,
    ACTIONS(4053), 1,
      anon_sym_DOT,
    ACTIONS(4055), 1,
      anon_sym_QMARK,
    ACTIONS(4057), 1,
      anon_sym_DOLLAR,
    ACTIONS(4059), 1,
      anon_sym_SQUOTE,
    ACTIONS(4061), 1,
      anon_sym_DASH,
    ACTIONS(4063), 1,
      anon_sym_DQUOTE,
    ACTIONS(4065), 1,
      sym__natural_number,
    ACTIONS(4067), 1,
      sym_bang,
    ACTIONS(4069), 1,
      anon_sym_BQUOTE,
    ACTIONS(4075), 1,
      sym_keyword_not,
    STATE(2412), 1,
      sym__expression,
    STATE(2891), 1,
      sym_identifier,
    STATE(3106), 1,
      sym__double_quote_string,
    STATE(3113), 1,
      sym__integer,
    STATE(3133), 1,
      sym_invocation,
    STATE(7154), 1,
      sym__alias_identifier,
    ACTIONS(4081), 2,
      sym_keyword_true,
      sym_keyword_false,
    STATE(1771), 2,
      sym_comment,
      sym_marginalia,
    STATE(3312), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(3316), 2,
      sym_count,
      sym_group_concat,
    STATE(3314), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [127411] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3811), 1,
      sym__identifier,
    ACTIONS(3813), 1,
      sym_keyword_cast,
    ACTIONS(3815), 1,
      sym_keyword_count,
    ACTIONS(3817), 1,
      sym_keyword_group_concat,
    ACTIONS(3819), 1,
      sym_keyword_case,
    ACTIONS(3825), 1,
      sym_keyword_interval,
    ACTIONS(3827), 1,
      sym_keyword_array,
    ACTIONS(3829), 1,
      anon_sym_LPAREN,
    ACTIONS(3831), 1,
      anon_sym_DOT,
    ACTIONS(3833), 1,
      anon_sym_QMARK,
    ACTIONS(3835), 1,
      anon_sym_DOLLAR,
    ACTIONS(3837), 1,
      anon_sym_SQUOTE,
    ACTIONS(3839), 1,
      anon_sym_DASH,
    ACTIONS(3841), 1,
      anon_sym_DQUOTE,
    ACTIONS(3843), 1,
      sym__natural_number,
    ACTIONS(3845), 1,
      sym_bang,
    ACTIONS(3847), 1,
      anon_sym_BQUOTE,
    ACTIONS(4083), 1,
      sym_keyword_not,
    STATE(3364), 1,
      sym__expression,
    STATE(4261), 1,
      sym_identifier,
    STATE(4339), 1,
      sym_invocation,
    STATE(4343), 1,
      sym__double_quote_string,
    STATE(4345), 1,
      sym__integer,
    STATE(6704), 1,
      sym__alias_identifier,
    STATE(1772), 2,
      sym_comment,
      sym_marginalia,
    STATE(4408), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(4452), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(3823), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(4422), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [127523] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3991), 1,
      sym__identifier,
    ACTIONS(3993), 1,
      sym_keyword_cast,
    ACTIONS(3995), 1,
      sym_keyword_count,
    ACTIONS(3997), 1,
      sym_keyword_group_concat,
    ACTIONS(3999), 1,
      sym_keyword_case,
    ACTIONS(4005), 1,
      sym_keyword_interval,
    ACTIONS(4007), 1,
      sym_keyword_array,
    ACTIONS(4009), 1,
      anon_sym_LPAREN,
    ACTIONS(4011), 1,
      anon_sym_DOT,
    ACTIONS(4013), 1,
      anon_sym_QMARK,
    ACTIONS(4015), 1,
      anon_sym_DOLLAR,
    ACTIONS(4017), 1,
      anon_sym_SQUOTE,
    ACTIONS(4019), 1,
      anon_sym_DASH,
    ACTIONS(4021), 1,
      anon_sym_DQUOTE,
    ACTIONS(4023), 1,
      sym__natural_number,
    ACTIONS(4025), 1,
      sym_bang,
    ACTIONS(4027), 1,
      anon_sym_BQUOTE,
    ACTIONS(4085), 1,
      sym_keyword_not,
    STATE(266), 1,
      sym__expression,
    STATE(930), 1,
      sym_identifier,
    STATE(1157), 1,
      sym_invocation,
    STATE(1160), 1,
      sym__double_quote_string,
    STATE(1161), 1,
      sym__integer,
    STATE(6602), 1,
      sym__alias_identifier,
    STATE(1258), 2,
      sym_count,
      sym_group_concat,
    STATE(1265), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(1773), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4003), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(1259), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [127635] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3429), 1,
      sym_keyword_cast,
    ACTIONS(3431), 1,
      sym_keyword_count,
    ACTIONS(3433), 1,
      sym_keyword_group_concat,
    ACTIONS(3435), 1,
      sym_keyword_case,
    ACTIONS(3439), 1,
      sym_keyword_null,
    ACTIONS(3441), 1,
      sym_keyword_interval,
    ACTIONS(3443), 1,
      sym_keyword_array,
    ACTIONS(3447), 1,
      anon_sym_DOT,
    ACTIONS(3449), 1,
      anon_sym_QMARK,
    ACTIONS(3451), 1,
      anon_sym_DOLLAR,
    ACTIONS(3453), 1,
      anon_sym_SQUOTE,
    ACTIONS(3455), 1,
      anon_sym_DASH,
    ACTIONS(3457), 1,
      anon_sym_DQUOTE,
    ACTIONS(3459), 1,
      sym__natural_number,
    ACTIONS(3575), 1,
      sym__identifier,
    ACTIONS(3579), 1,
      anon_sym_LPAREN,
    ACTIONS(3581), 1,
      sym_bang,
    ACTIONS(3583), 1,
      anon_sym_BQUOTE,
    ACTIONS(4087), 1,
      sym_keyword_not,
    STATE(252), 1,
      sym__expression,
    STATE(397), 1,
      sym__integer,
    STATE(398), 1,
      sym__double_quote_string,
    STATE(751), 1,
      sym_identifier,
    STATE(840), 1,
      sym_invocation,
    STATE(6909), 1,
      sym__alias_identifier,
    ACTIONS(4089), 2,
      sym_keyword_true,
      sym_keyword_false,
    STATE(494), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(500), 2,
      sym_count,
      sym_group_concat,
    STATE(1774), 2,
      sym_comment,
      sym_marginalia,
    STATE(499), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [127749] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3899), 1,
      sym__identifier,
    ACTIONS(3901), 1,
      sym_keyword_cast,
    ACTIONS(3903), 1,
      sym_keyword_count,
    ACTIONS(3905), 1,
      sym_keyword_group_concat,
    ACTIONS(3907), 1,
      sym_keyword_case,
    ACTIONS(3913), 1,
      sym_keyword_interval,
    ACTIONS(3915), 1,
      sym_keyword_array,
    ACTIONS(3917), 1,
      anon_sym_LPAREN,
    ACTIONS(3919), 1,
      anon_sym_DOT,
    ACTIONS(3921), 1,
      anon_sym_QMARK,
    ACTIONS(3923), 1,
      anon_sym_DOLLAR,
    ACTIONS(3925), 1,
      anon_sym_SQUOTE,
    ACTIONS(3927), 1,
      anon_sym_DASH,
    ACTIONS(3929), 1,
      anon_sym_DQUOTE,
    ACTIONS(3931), 1,
      sym__natural_number,
    ACTIONS(3933), 1,
      sym_bang,
    ACTIONS(3935), 1,
      anon_sym_BQUOTE,
    ACTIONS(4091), 1,
      sym_keyword_not,
    STATE(2615), 1,
      sym__expression,
    STATE(3328), 1,
      sym_identifier,
    STATE(3468), 1,
      sym_invocation,
    STATE(3527), 1,
      sym__double_quote_string,
    STATE(3528), 1,
      sym__integer,
    STATE(6991), 1,
      sym__alias_identifier,
    STATE(1775), 2,
      sym_comment,
      sym_marginalia,
    STATE(3545), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(3553), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(3911), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3555), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [127861] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4033), 1,
      sym__identifier,
    ACTIONS(4035), 1,
      sym_keyword_cast,
    ACTIONS(4037), 1,
      sym_keyword_count,
    ACTIONS(4039), 1,
      sym_keyword_group_concat,
    ACTIONS(4041), 1,
      sym_keyword_case,
    ACTIONS(4045), 1,
      sym_keyword_null,
    ACTIONS(4047), 1,
      sym_keyword_interval,
    ACTIONS(4049), 1,
      sym_keyword_array,
    ACTIONS(4051), 1,
      anon_sym_LPAREN,
    ACTIONS(4053), 1,
      anon_sym_DOT,
    ACTIONS(4055), 1,
      anon_sym_QMARK,
    ACTIONS(4057), 1,
      anon_sym_DOLLAR,
    ACTIONS(4059), 1,
      anon_sym_SQUOTE,
    ACTIONS(4061), 1,
      anon_sym_DASH,
    ACTIONS(4063), 1,
      anon_sym_DQUOTE,
    ACTIONS(4065), 1,
      sym__natural_number,
    ACTIONS(4067), 1,
      sym_bang,
    ACTIONS(4069), 1,
      anon_sym_BQUOTE,
    ACTIONS(4075), 1,
      sym_keyword_not,
    STATE(2413), 1,
      sym__expression,
    STATE(2891), 1,
      sym_identifier,
    STATE(3106), 1,
      sym__double_quote_string,
    STATE(3113), 1,
      sym__integer,
    STATE(3133), 1,
      sym_invocation,
    STATE(7154), 1,
      sym__alias_identifier,
    ACTIONS(4093), 2,
      sym_keyword_true,
      sym_keyword_false,
    STATE(1776), 2,
      sym_comment,
      sym_marginalia,
    STATE(3312), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(3316), 2,
      sym_count,
      sym_group_concat,
    STATE(3314), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [127975] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1777), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2243), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2245), 30,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [128035] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3899), 1,
      sym__identifier,
    ACTIONS(3901), 1,
      sym_keyword_cast,
    ACTIONS(3903), 1,
      sym_keyword_count,
    ACTIONS(3905), 1,
      sym_keyword_group_concat,
    ACTIONS(3907), 1,
      sym_keyword_case,
    ACTIONS(3913), 1,
      sym_keyword_interval,
    ACTIONS(3915), 1,
      sym_keyword_array,
    ACTIONS(3917), 1,
      anon_sym_LPAREN,
    ACTIONS(3919), 1,
      anon_sym_DOT,
    ACTIONS(3921), 1,
      anon_sym_QMARK,
    ACTIONS(3923), 1,
      anon_sym_DOLLAR,
    ACTIONS(3925), 1,
      anon_sym_SQUOTE,
    ACTIONS(3927), 1,
      anon_sym_DASH,
    ACTIONS(3929), 1,
      anon_sym_DQUOTE,
    ACTIONS(3931), 1,
      sym__natural_number,
    ACTIONS(3933), 1,
      sym_bang,
    ACTIONS(3935), 1,
      anon_sym_BQUOTE,
    ACTIONS(4091), 1,
      sym_keyword_not,
    STATE(2678), 1,
      sym__expression,
    STATE(3328), 1,
      sym_identifier,
    STATE(3468), 1,
      sym_invocation,
    STATE(3527), 1,
      sym__double_quote_string,
    STATE(3528), 1,
      sym__integer,
    STATE(6991), 1,
      sym__alias_identifier,
    STATE(1778), 2,
      sym_comment,
      sym_marginalia,
    STATE(3545), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(3553), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(3911), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3555), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [128147] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4033), 1,
      sym__identifier,
    ACTIONS(4035), 1,
      sym_keyword_cast,
    ACTIONS(4037), 1,
      sym_keyword_count,
    ACTIONS(4039), 1,
      sym_keyword_group_concat,
    ACTIONS(4041), 1,
      sym_keyword_case,
    ACTIONS(4045), 1,
      sym_keyword_null,
    ACTIONS(4047), 1,
      sym_keyword_interval,
    ACTIONS(4049), 1,
      sym_keyword_array,
    ACTIONS(4051), 1,
      anon_sym_LPAREN,
    ACTIONS(4053), 1,
      anon_sym_DOT,
    ACTIONS(4055), 1,
      anon_sym_QMARK,
    ACTIONS(4057), 1,
      anon_sym_DOLLAR,
    ACTIONS(4059), 1,
      anon_sym_SQUOTE,
    ACTIONS(4061), 1,
      anon_sym_DASH,
    ACTIONS(4063), 1,
      anon_sym_DQUOTE,
    ACTIONS(4065), 1,
      sym__natural_number,
    ACTIONS(4067), 1,
      sym_bang,
    ACTIONS(4069), 1,
      anon_sym_BQUOTE,
    ACTIONS(4075), 1,
      sym_keyword_not,
    STATE(2415), 1,
      sym__expression,
    STATE(2891), 1,
      sym_identifier,
    STATE(3106), 1,
      sym__double_quote_string,
    STATE(3113), 1,
      sym__integer,
    STATE(3133), 1,
      sym_invocation,
    STATE(7154), 1,
      sym__alias_identifier,
    ACTIONS(4095), 2,
      sym_keyword_true,
      sym_keyword_false,
    STATE(1779), 2,
      sym_comment,
      sym_marginalia,
    STATE(3312), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(3316), 2,
      sym_count,
      sym_group_concat,
    STATE(3314), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [128261] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4033), 1,
      sym__identifier,
    ACTIONS(4035), 1,
      sym_keyword_cast,
    ACTIONS(4037), 1,
      sym_keyword_count,
    ACTIONS(4039), 1,
      sym_keyword_group_concat,
    ACTIONS(4041), 1,
      sym_keyword_case,
    ACTIONS(4045), 1,
      sym_keyword_null,
    ACTIONS(4047), 1,
      sym_keyword_interval,
    ACTIONS(4049), 1,
      sym_keyword_array,
    ACTIONS(4051), 1,
      anon_sym_LPAREN,
    ACTIONS(4053), 1,
      anon_sym_DOT,
    ACTIONS(4055), 1,
      anon_sym_QMARK,
    ACTIONS(4057), 1,
      anon_sym_DOLLAR,
    ACTIONS(4059), 1,
      anon_sym_SQUOTE,
    ACTIONS(4061), 1,
      anon_sym_DASH,
    ACTIONS(4063), 1,
      anon_sym_DQUOTE,
    ACTIONS(4065), 1,
      sym__natural_number,
    ACTIONS(4067), 1,
      sym_bang,
    ACTIONS(4069), 1,
      anon_sym_BQUOTE,
    ACTIONS(4075), 1,
      sym_keyword_not,
    STATE(2416), 1,
      sym__expression,
    STATE(2891), 1,
      sym_identifier,
    STATE(3106), 1,
      sym__double_quote_string,
    STATE(3113), 1,
      sym__integer,
    STATE(3133), 1,
      sym_invocation,
    STATE(7154), 1,
      sym__alias_identifier,
    ACTIONS(4097), 2,
      sym_keyword_true,
      sym_keyword_false,
    STATE(1780), 2,
      sym_comment,
      sym_marginalia,
    STATE(3312), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(3316), 2,
      sym_count,
      sym_group_concat,
    STATE(3314), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [128375] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3899), 1,
      sym__identifier,
    ACTIONS(3901), 1,
      sym_keyword_cast,
    ACTIONS(3903), 1,
      sym_keyword_count,
    ACTIONS(3905), 1,
      sym_keyword_group_concat,
    ACTIONS(3907), 1,
      sym_keyword_case,
    ACTIONS(3913), 1,
      sym_keyword_interval,
    ACTIONS(3915), 1,
      sym_keyword_array,
    ACTIONS(3917), 1,
      anon_sym_LPAREN,
    ACTIONS(3919), 1,
      anon_sym_DOT,
    ACTIONS(3921), 1,
      anon_sym_QMARK,
    ACTIONS(3923), 1,
      anon_sym_DOLLAR,
    ACTIONS(3925), 1,
      anon_sym_SQUOTE,
    ACTIONS(3927), 1,
      anon_sym_DASH,
    ACTIONS(3929), 1,
      anon_sym_DQUOTE,
    ACTIONS(3931), 1,
      sym__natural_number,
    ACTIONS(3933), 1,
      sym_bang,
    ACTIONS(3935), 1,
      anon_sym_BQUOTE,
    ACTIONS(4091), 1,
      sym_keyword_not,
    STATE(2677), 1,
      sym__expression,
    STATE(3328), 1,
      sym_identifier,
    STATE(3468), 1,
      sym_invocation,
    STATE(3527), 1,
      sym__double_quote_string,
    STATE(3528), 1,
      sym__integer,
    STATE(6991), 1,
      sym__alias_identifier,
    STATE(1781), 2,
      sym_comment,
      sym_marginalia,
    STATE(3545), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(3553), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(3911), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3555), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [128487] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4033), 1,
      sym__identifier,
    ACTIONS(4035), 1,
      sym_keyword_cast,
    ACTIONS(4037), 1,
      sym_keyword_count,
    ACTIONS(4039), 1,
      sym_keyword_group_concat,
    ACTIONS(4041), 1,
      sym_keyword_case,
    ACTIONS(4045), 1,
      sym_keyword_null,
    ACTIONS(4047), 1,
      sym_keyword_interval,
    ACTIONS(4049), 1,
      sym_keyword_array,
    ACTIONS(4051), 1,
      anon_sym_LPAREN,
    ACTIONS(4053), 1,
      anon_sym_DOT,
    ACTIONS(4055), 1,
      anon_sym_QMARK,
    ACTIONS(4057), 1,
      anon_sym_DOLLAR,
    ACTIONS(4059), 1,
      anon_sym_SQUOTE,
    ACTIONS(4061), 1,
      anon_sym_DASH,
    ACTIONS(4063), 1,
      anon_sym_DQUOTE,
    ACTIONS(4065), 1,
      sym__natural_number,
    ACTIONS(4067), 1,
      sym_bang,
    ACTIONS(4069), 1,
      anon_sym_BQUOTE,
    ACTIONS(4075), 1,
      sym_keyword_not,
    STATE(2417), 1,
      sym__expression,
    STATE(2891), 1,
      sym_identifier,
    STATE(3106), 1,
      sym__double_quote_string,
    STATE(3113), 1,
      sym__integer,
    STATE(3133), 1,
      sym_invocation,
    STATE(7154), 1,
      sym__alias_identifier,
    ACTIONS(4099), 2,
      sym_keyword_true,
      sym_keyword_false,
    STATE(1782), 2,
      sym_comment,
      sym_marginalia,
    STATE(3312), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(3316), 2,
      sym_count,
      sym_group_concat,
    STATE(3314), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [128601] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3899), 1,
      sym__identifier,
    ACTIONS(3901), 1,
      sym_keyword_cast,
    ACTIONS(3903), 1,
      sym_keyword_count,
    ACTIONS(3905), 1,
      sym_keyword_group_concat,
    ACTIONS(3907), 1,
      sym_keyword_case,
    ACTIONS(3913), 1,
      sym_keyword_interval,
    ACTIONS(3915), 1,
      sym_keyword_array,
    ACTIONS(3917), 1,
      anon_sym_LPAREN,
    ACTIONS(3919), 1,
      anon_sym_DOT,
    ACTIONS(3921), 1,
      anon_sym_QMARK,
    ACTIONS(3923), 1,
      anon_sym_DOLLAR,
    ACTIONS(3925), 1,
      anon_sym_SQUOTE,
    ACTIONS(3927), 1,
      anon_sym_DASH,
    ACTIONS(3929), 1,
      anon_sym_DQUOTE,
    ACTIONS(3931), 1,
      sym__natural_number,
    ACTIONS(3933), 1,
      sym_bang,
    ACTIONS(3935), 1,
      anon_sym_BQUOTE,
    ACTIONS(4091), 1,
      sym_keyword_not,
    STATE(2676), 1,
      sym__expression,
    STATE(3328), 1,
      sym_identifier,
    STATE(3468), 1,
      sym_invocation,
    STATE(3527), 1,
      sym__double_quote_string,
    STATE(3528), 1,
      sym__integer,
    STATE(6991), 1,
      sym__alias_identifier,
    STATE(1783), 2,
      sym_comment,
      sym_marginalia,
    STATE(3545), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(3553), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(3911), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3555), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [128713] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4139), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1784), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [128825] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3899), 1,
      sym__identifier,
    ACTIONS(3901), 1,
      sym_keyword_cast,
    ACTIONS(3903), 1,
      sym_keyword_count,
    ACTIONS(3905), 1,
      sym_keyword_group_concat,
    ACTIONS(3907), 1,
      sym_keyword_case,
    ACTIONS(3913), 1,
      sym_keyword_interval,
    ACTIONS(3915), 1,
      sym_keyword_array,
    ACTIONS(3917), 1,
      anon_sym_LPAREN,
    ACTIONS(3919), 1,
      anon_sym_DOT,
    ACTIONS(3921), 1,
      anon_sym_QMARK,
    ACTIONS(3923), 1,
      anon_sym_DOLLAR,
    ACTIONS(3925), 1,
      anon_sym_SQUOTE,
    ACTIONS(3927), 1,
      anon_sym_DASH,
    ACTIONS(3929), 1,
      anon_sym_DQUOTE,
    ACTIONS(3931), 1,
      sym__natural_number,
    ACTIONS(3933), 1,
      sym_bang,
    ACTIONS(3935), 1,
      anon_sym_BQUOTE,
    ACTIONS(4091), 1,
      sym_keyword_not,
    STATE(2679), 1,
      sym__expression,
    STATE(3328), 1,
      sym_identifier,
    STATE(3468), 1,
      sym_invocation,
    STATE(3527), 1,
      sym__double_quote_string,
    STATE(3528), 1,
      sym__integer,
    STATE(6991), 1,
      sym__alias_identifier,
    STATE(1785), 2,
      sym_comment,
      sym_marginalia,
    STATE(3545), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(3553), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(3911), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3555), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [128937] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3425), 1,
      sym__identifier,
    ACTIONS(3429), 1,
      sym_keyword_cast,
    ACTIONS(3431), 1,
      sym_keyword_count,
    ACTIONS(3433), 1,
      sym_keyword_group_concat,
    ACTIONS(3435), 1,
      sym_keyword_case,
    ACTIONS(3441), 1,
      sym_keyword_interval,
    ACTIONS(3443), 1,
      sym_keyword_array,
    ACTIONS(3445), 1,
      anon_sym_LPAREN,
    ACTIONS(3447), 1,
      anon_sym_DOT,
    ACTIONS(3449), 1,
      anon_sym_QMARK,
    ACTIONS(3451), 1,
      anon_sym_DOLLAR,
    ACTIONS(3453), 1,
      anon_sym_SQUOTE,
    ACTIONS(3455), 1,
      anon_sym_DASH,
    ACTIONS(3457), 1,
      anon_sym_DQUOTE,
    ACTIONS(3459), 1,
      sym__natural_number,
    ACTIONS(3461), 1,
      sym_bang,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    ACTIONS(4101), 1,
      sym_keyword_not,
    STATE(133), 1,
      sym__expression,
    STATE(397), 1,
      sym__integer,
    STATE(398), 1,
      sym__double_quote_string,
    STATE(459), 1,
      sym_identifier,
    STATE(753), 1,
      sym_invocation,
    STATE(6950), 1,
      sym__alias_identifier,
    STATE(494), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(500), 2,
      sym_count,
      sym_group_concat,
    STATE(1786), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(499), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [129049] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3425), 1,
      sym__identifier,
    ACTIONS(3429), 1,
      sym_keyword_cast,
    ACTIONS(3431), 1,
      sym_keyword_count,
    ACTIONS(3433), 1,
      sym_keyword_group_concat,
    ACTIONS(3435), 1,
      sym_keyword_case,
    ACTIONS(3441), 1,
      sym_keyword_interval,
    ACTIONS(3443), 1,
      sym_keyword_array,
    ACTIONS(3445), 1,
      anon_sym_LPAREN,
    ACTIONS(3447), 1,
      anon_sym_DOT,
    ACTIONS(3449), 1,
      anon_sym_QMARK,
    ACTIONS(3451), 1,
      anon_sym_DOLLAR,
    ACTIONS(3453), 1,
      anon_sym_SQUOTE,
    ACTIONS(3455), 1,
      anon_sym_DASH,
    ACTIONS(3457), 1,
      anon_sym_DQUOTE,
    ACTIONS(3459), 1,
      sym__natural_number,
    ACTIONS(3461), 1,
      sym_bang,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    ACTIONS(4101), 1,
      sym_keyword_not,
    STATE(130), 1,
      sym__expression,
    STATE(397), 1,
      sym__integer,
    STATE(398), 1,
      sym__double_quote_string,
    STATE(459), 1,
      sym_identifier,
    STATE(753), 1,
      sym_invocation,
    STATE(6950), 1,
      sym__alias_identifier,
    STATE(494), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(500), 2,
      sym_count,
      sym_group_concat,
    STATE(1787), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(499), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [129161] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3425), 1,
      sym__identifier,
    ACTIONS(3429), 1,
      sym_keyword_cast,
    ACTIONS(3431), 1,
      sym_keyword_count,
    ACTIONS(3433), 1,
      sym_keyword_group_concat,
    ACTIONS(3435), 1,
      sym_keyword_case,
    ACTIONS(3441), 1,
      sym_keyword_interval,
    ACTIONS(3443), 1,
      sym_keyword_array,
    ACTIONS(3445), 1,
      anon_sym_LPAREN,
    ACTIONS(3447), 1,
      anon_sym_DOT,
    ACTIONS(3449), 1,
      anon_sym_QMARK,
    ACTIONS(3451), 1,
      anon_sym_DOLLAR,
    ACTIONS(3453), 1,
      anon_sym_SQUOTE,
    ACTIONS(3455), 1,
      anon_sym_DASH,
    ACTIONS(3457), 1,
      anon_sym_DQUOTE,
    ACTIONS(3459), 1,
      sym__natural_number,
    ACTIONS(3461), 1,
      sym_bang,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    ACTIONS(4101), 1,
      sym_keyword_not,
    STATE(129), 1,
      sym__expression,
    STATE(397), 1,
      sym__integer,
    STATE(398), 1,
      sym__double_quote_string,
    STATE(459), 1,
      sym_identifier,
    STATE(753), 1,
      sym_invocation,
    STATE(6950), 1,
      sym__alias_identifier,
    STATE(494), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(500), 2,
      sym_count,
      sym_group_concat,
    STATE(1788), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(499), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [129273] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3899), 1,
      sym__identifier,
    ACTIONS(3901), 1,
      sym_keyword_cast,
    ACTIONS(3903), 1,
      sym_keyword_count,
    ACTIONS(3905), 1,
      sym_keyword_group_concat,
    ACTIONS(3907), 1,
      sym_keyword_case,
    ACTIONS(3913), 1,
      sym_keyword_interval,
    ACTIONS(3915), 1,
      sym_keyword_array,
    ACTIONS(3917), 1,
      anon_sym_LPAREN,
    ACTIONS(3919), 1,
      anon_sym_DOT,
    ACTIONS(3921), 1,
      anon_sym_QMARK,
    ACTIONS(3923), 1,
      anon_sym_DOLLAR,
    ACTIONS(3925), 1,
      anon_sym_SQUOTE,
    ACTIONS(3927), 1,
      anon_sym_DASH,
    ACTIONS(3929), 1,
      anon_sym_DQUOTE,
    ACTIONS(3931), 1,
      sym__natural_number,
    ACTIONS(3933), 1,
      sym_bang,
    ACTIONS(3935), 1,
      anon_sym_BQUOTE,
    ACTIONS(4091), 1,
      sym_keyword_not,
    STATE(2671), 1,
      sym__expression,
    STATE(3328), 1,
      sym_identifier,
    STATE(3468), 1,
      sym_invocation,
    STATE(3527), 1,
      sym__double_quote_string,
    STATE(3528), 1,
      sym__integer,
    STATE(6991), 1,
      sym__alias_identifier,
    STATE(1789), 2,
      sym_comment,
      sym_marginalia,
    STATE(3545), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(3553), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(3911), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3555), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [129385] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3851), 1,
      sym__identifier,
    ACTIONS(3853), 1,
      sym_keyword_cast,
    ACTIONS(3855), 1,
      sym_keyword_count,
    ACTIONS(3857), 1,
      sym_keyword_group_concat,
    ACTIONS(3859), 1,
      sym_keyword_case,
    ACTIONS(3865), 1,
      sym_keyword_interval,
    ACTIONS(3867), 1,
      sym_keyword_array,
    ACTIONS(3869), 1,
      anon_sym_LPAREN,
    ACTIONS(3871), 1,
      anon_sym_DOT,
    ACTIONS(3873), 1,
      anon_sym_QMARK,
    ACTIONS(3875), 1,
      anon_sym_DOLLAR,
    ACTIONS(3877), 1,
      anon_sym_SQUOTE,
    ACTIONS(3879), 1,
      anon_sym_DASH,
    ACTIONS(3881), 1,
      anon_sym_DQUOTE,
    ACTIONS(3883), 1,
      sym__natural_number,
    ACTIONS(3885), 1,
      sym_bang,
    ACTIONS(3887), 1,
      anon_sym_BQUOTE,
    ACTIONS(4103), 1,
      sym_keyword_not,
    STATE(3092), 1,
      sym__expression,
    STATE(3399), 1,
      sym_identifier,
    STATE(3709), 1,
      sym__double_quote_string,
    STATE(3710), 1,
      sym__integer,
    STATE(3890), 1,
      sym_invocation,
    STATE(7032), 1,
      sym__alias_identifier,
    STATE(1790), 2,
      sym_comment,
      sym_marginalia,
    STATE(4042), 2,
      sym_count,
      sym_group_concat,
    STATE(4051), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(3863), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(4048), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [129497] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3851), 1,
      sym__identifier,
    ACTIONS(3853), 1,
      sym_keyword_cast,
    ACTIONS(3855), 1,
      sym_keyword_count,
    ACTIONS(3857), 1,
      sym_keyword_group_concat,
    ACTIONS(3859), 1,
      sym_keyword_case,
    ACTIONS(3865), 1,
      sym_keyword_interval,
    ACTIONS(3867), 1,
      sym_keyword_array,
    ACTIONS(3869), 1,
      anon_sym_LPAREN,
    ACTIONS(3871), 1,
      anon_sym_DOT,
    ACTIONS(3873), 1,
      anon_sym_QMARK,
    ACTIONS(3875), 1,
      anon_sym_DOLLAR,
    ACTIONS(3877), 1,
      anon_sym_SQUOTE,
    ACTIONS(3879), 1,
      anon_sym_DASH,
    ACTIONS(3881), 1,
      anon_sym_DQUOTE,
    ACTIONS(3883), 1,
      sym__natural_number,
    ACTIONS(3885), 1,
      sym_bang,
    ACTIONS(3887), 1,
      anon_sym_BQUOTE,
    ACTIONS(4103), 1,
      sym_keyword_not,
    STATE(2927), 1,
      sym__expression,
    STATE(3399), 1,
      sym_identifier,
    STATE(3709), 1,
      sym__double_quote_string,
    STATE(3710), 1,
      sym__integer,
    STATE(3890), 1,
      sym_invocation,
    STATE(7032), 1,
      sym__alias_identifier,
    STATE(1791), 2,
      sym_comment,
      sym_marginalia,
    STATE(4042), 2,
      sym_count,
      sym_group_concat,
    STATE(4051), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(3863), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(4048), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [129609] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2811), 1,
      sym__identifier,
    ACTIONS(2815), 1,
      sym_keyword_cast,
    ACTIONS(2817), 1,
      sym_keyword_count,
    ACTIONS(2819), 1,
      sym_keyword_group_concat,
    ACTIONS(2821), 1,
      sym_keyword_case,
    ACTIONS(2823), 1,
      sym_keyword_not,
    ACTIONS(2827), 1,
      sym_keyword_interval,
    ACTIONS(2829), 1,
      sym_keyword_array,
    ACTIONS(2831), 1,
      anon_sym_LPAREN,
    ACTIONS(2833), 1,
      anon_sym_DOT,
    ACTIONS(2835), 1,
      anon_sym_QMARK,
    ACTIONS(2837), 1,
      anon_sym_DOLLAR,
    ACTIONS(2839), 1,
      anon_sym_SQUOTE,
    ACTIONS(2841), 1,
      anon_sym_DASH,
    ACTIONS(2843), 1,
      anon_sym_DQUOTE,
    ACTIONS(2845), 1,
      sym__natural_number,
    ACTIONS(2847), 1,
      sym_bang,
    ACTIONS(2849), 1,
      anon_sym_BQUOTE,
    STATE(2719), 1,
      sym__expression,
    STATE(3329), 1,
      sym_identifier,
    STATE(3418), 1,
      sym_invocation,
    STATE(3422), 1,
      sym__double_quote_string,
    STATE(3447), 1,
      sym__integer,
    STATE(6476), 1,
      sym__alias_identifier,
    STATE(1792), 2,
      sym_comment,
      sym_marginalia,
    STATE(3561), 2,
      sym_count,
      sym_group_concat,
    STATE(3593), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(2825), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3562), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [129721] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3537), 1,
      sym__identifier,
    ACTIONS(3539), 1,
      sym_keyword_cast,
    ACTIONS(3541), 1,
      sym_keyword_count,
    ACTIONS(3543), 1,
      sym_keyword_group_concat,
    ACTIONS(3545), 1,
      sym_keyword_case,
    ACTIONS(3551), 1,
      sym_keyword_interval,
    ACTIONS(3553), 1,
      sym_keyword_array,
    ACTIONS(3555), 1,
      anon_sym_LPAREN,
    ACTIONS(3557), 1,
      anon_sym_DOT,
    ACTIONS(3559), 1,
      anon_sym_QMARK,
    ACTIONS(3561), 1,
      anon_sym_DOLLAR,
    ACTIONS(3563), 1,
      anon_sym_SQUOTE,
    ACTIONS(3565), 1,
      anon_sym_DASH,
    ACTIONS(3567), 1,
      anon_sym_DQUOTE,
    ACTIONS(3569), 1,
      sym__natural_number,
    ACTIONS(3571), 1,
      sym_bang,
    ACTIONS(3573), 1,
      anon_sym_BQUOTE,
    ACTIONS(4077), 1,
      sym_keyword_not,
    STATE(229), 1,
      sym__expression,
    STATE(720), 1,
      sym_identifier,
    STATE(867), 1,
      sym__double_quote_string,
    STATE(966), 1,
      sym__integer,
    STATE(968), 1,
      sym_invocation,
    STATE(7073), 1,
      sym__alias_identifier,
    STATE(1107), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(1112), 2,
      sym_count,
      sym_group_concat,
    STATE(1793), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3549), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(1111), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [129833] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3537), 1,
      sym__identifier,
    ACTIONS(3539), 1,
      sym_keyword_cast,
    ACTIONS(3541), 1,
      sym_keyword_count,
    ACTIONS(3543), 1,
      sym_keyword_group_concat,
    ACTIONS(3545), 1,
      sym_keyword_case,
    ACTIONS(3551), 1,
      sym_keyword_interval,
    ACTIONS(3553), 1,
      sym_keyword_array,
    ACTIONS(3555), 1,
      anon_sym_LPAREN,
    ACTIONS(3557), 1,
      anon_sym_DOT,
    ACTIONS(3559), 1,
      anon_sym_QMARK,
    ACTIONS(3561), 1,
      anon_sym_DOLLAR,
    ACTIONS(3563), 1,
      anon_sym_SQUOTE,
    ACTIONS(3565), 1,
      anon_sym_DASH,
    ACTIONS(3567), 1,
      anon_sym_DQUOTE,
    ACTIONS(3569), 1,
      sym__natural_number,
    ACTIONS(3571), 1,
      sym_bang,
    ACTIONS(3573), 1,
      anon_sym_BQUOTE,
    ACTIONS(4077), 1,
      sym_keyword_not,
    STATE(225), 1,
      sym__expression,
    STATE(720), 1,
      sym_identifier,
    STATE(867), 1,
      sym__double_quote_string,
    STATE(966), 1,
      sym__integer,
    STATE(968), 1,
      sym_invocation,
    STATE(7073), 1,
      sym__alias_identifier,
    STATE(1107), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(1112), 2,
      sym_count,
      sym_group_concat,
    STATE(1794), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3549), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(1111), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [129945] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4105), 1,
      anon_sym_LPAREN,
    STATE(1795), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1379), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1377), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [130007] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3537), 1,
      sym__identifier,
    ACTIONS(3539), 1,
      sym_keyword_cast,
    ACTIONS(3541), 1,
      sym_keyword_count,
    ACTIONS(3543), 1,
      sym_keyword_group_concat,
    ACTIONS(3545), 1,
      sym_keyword_case,
    ACTIONS(3551), 1,
      sym_keyword_interval,
    ACTIONS(3553), 1,
      sym_keyword_array,
    ACTIONS(3555), 1,
      anon_sym_LPAREN,
    ACTIONS(3557), 1,
      anon_sym_DOT,
    ACTIONS(3559), 1,
      anon_sym_QMARK,
    ACTIONS(3561), 1,
      anon_sym_DOLLAR,
    ACTIONS(3563), 1,
      anon_sym_SQUOTE,
    ACTIONS(3565), 1,
      anon_sym_DASH,
    ACTIONS(3567), 1,
      anon_sym_DQUOTE,
    ACTIONS(3569), 1,
      sym__natural_number,
    ACTIONS(3571), 1,
      sym_bang,
    ACTIONS(3573), 1,
      anon_sym_BQUOTE,
    ACTIONS(4077), 1,
      sym_keyword_not,
    STATE(222), 1,
      sym__expression,
    STATE(720), 1,
      sym_identifier,
    STATE(867), 1,
      sym__double_quote_string,
    STATE(966), 1,
      sym__integer,
    STATE(968), 1,
      sym_invocation,
    STATE(7073), 1,
      sym__alias_identifier,
    STATE(1107), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(1112), 2,
      sym_count,
      sym_group_concat,
    STATE(1796), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3549), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(1111), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [130119] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3537), 1,
      sym__identifier,
    ACTIONS(3539), 1,
      sym_keyword_cast,
    ACTIONS(3541), 1,
      sym_keyword_count,
    ACTIONS(3543), 1,
      sym_keyword_group_concat,
    ACTIONS(3545), 1,
      sym_keyword_case,
    ACTIONS(3551), 1,
      sym_keyword_interval,
    ACTIONS(3553), 1,
      sym_keyword_array,
    ACTIONS(3555), 1,
      anon_sym_LPAREN,
    ACTIONS(3557), 1,
      anon_sym_DOT,
    ACTIONS(3559), 1,
      anon_sym_QMARK,
    ACTIONS(3561), 1,
      anon_sym_DOLLAR,
    ACTIONS(3563), 1,
      anon_sym_SQUOTE,
    ACTIONS(3565), 1,
      anon_sym_DASH,
    ACTIONS(3567), 1,
      anon_sym_DQUOTE,
    ACTIONS(3569), 1,
      sym__natural_number,
    ACTIONS(3571), 1,
      sym_bang,
    ACTIONS(3573), 1,
      anon_sym_BQUOTE,
    ACTIONS(4077), 1,
      sym_keyword_not,
    STATE(221), 1,
      sym__expression,
    STATE(720), 1,
      sym_identifier,
    STATE(867), 1,
      sym__double_quote_string,
    STATE(966), 1,
      sym__integer,
    STATE(968), 1,
      sym_invocation,
    STATE(7073), 1,
      sym__alias_identifier,
    STATE(1107), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(1112), 2,
      sym_count,
      sym_group_concat,
    STATE(1797), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3549), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(1111), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [130231] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3537), 1,
      sym__identifier,
    ACTIONS(3539), 1,
      sym_keyword_cast,
    ACTIONS(3541), 1,
      sym_keyword_count,
    ACTIONS(3543), 1,
      sym_keyword_group_concat,
    ACTIONS(3545), 1,
      sym_keyword_case,
    ACTIONS(3551), 1,
      sym_keyword_interval,
    ACTIONS(3553), 1,
      sym_keyword_array,
    ACTIONS(3555), 1,
      anon_sym_LPAREN,
    ACTIONS(3557), 1,
      anon_sym_DOT,
    ACTIONS(3559), 1,
      anon_sym_QMARK,
    ACTIONS(3561), 1,
      anon_sym_DOLLAR,
    ACTIONS(3563), 1,
      anon_sym_SQUOTE,
    ACTIONS(3565), 1,
      anon_sym_DASH,
    ACTIONS(3567), 1,
      anon_sym_DQUOTE,
    ACTIONS(3569), 1,
      sym__natural_number,
    ACTIONS(3571), 1,
      sym_bang,
    ACTIONS(3573), 1,
      anon_sym_BQUOTE,
    ACTIONS(4077), 1,
      sym_keyword_not,
    STATE(230), 1,
      sym__expression,
    STATE(720), 1,
      sym_identifier,
    STATE(867), 1,
      sym__double_quote_string,
    STATE(966), 1,
      sym__integer,
    STATE(968), 1,
      sym_invocation,
    STATE(7073), 1,
      sym__alias_identifier,
    STATE(1107), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(1112), 2,
      sym_count,
      sym_group_concat,
    STATE(1798), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3549), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(1111), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [130343] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3537), 1,
      sym__identifier,
    ACTIONS(3539), 1,
      sym_keyword_cast,
    ACTIONS(3541), 1,
      sym_keyword_count,
    ACTIONS(3543), 1,
      sym_keyword_group_concat,
    ACTIONS(3545), 1,
      sym_keyword_case,
    ACTIONS(3551), 1,
      sym_keyword_interval,
    ACTIONS(3553), 1,
      sym_keyword_array,
    ACTIONS(3555), 1,
      anon_sym_LPAREN,
    ACTIONS(3557), 1,
      anon_sym_DOT,
    ACTIONS(3559), 1,
      anon_sym_QMARK,
    ACTIONS(3561), 1,
      anon_sym_DOLLAR,
    ACTIONS(3563), 1,
      anon_sym_SQUOTE,
    ACTIONS(3565), 1,
      anon_sym_DASH,
    ACTIONS(3567), 1,
      anon_sym_DQUOTE,
    ACTIONS(3569), 1,
      sym__natural_number,
    ACTIONS(3571), 1,
      sym_bang,
    ACTIONS(3573), 1,
      anon_sym_BQUOTE,
    ACTIONS(4077), 1,
      sym_keyword_not,
    STATE(233), 1,
      sym__expression,
    STATE(720), 1,
      sym_identifier,
    STATE(867), 1,
      sym__double_quote_string,
    STATE(966), 1,
      sym__integer,
    STATE(968), 1,
      sym_invocation,
    STATE(7073), 1,
      sym__alias_identifier,
    STATE(1107), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(1112), 2,
      sym_count,
      sym_group_concat,
    STATE(1799), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3549), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(1111), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [130455] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2639), 1,
      sym__identifier,
    ACTIONS(2641), 1,
      sym_keyword_cast,
    ACTIONS(2643), 1,
      sym_keyword_count,
    ACTIONS(2645), 1,
      sym_keyword_group_concat,
    ACTIONS(2647), 1,
      sym_keyword_case,
    ACTIONS(2649), 1,
      sym_keyword_not,
    ACTIONS(2653), 1,
      sym_keyword_interval,
    ACTIONS(2655), 1,
      sym_keyword_array,
    ACTIONS(2657), 1,
      anon_sym_LPAREN,
    ACTIONS(2659), 1,
      anon_sym_DOT,
    ACTIONS(2661), 1,
      anon_sym_QMARK,
    ACTIONS(2663), 1,
      anon_sym_DOLLAR,
    ACTIONS(2665), 1,
      anon_sym_SQUOTE,
    ACTIONS(2667), 1,
      anon_sym_DASH,
    ACTIONS(2669), 1,
      anon_sym_DQUOTE,
    ACTIONS(2671), 1,
      sym__natural_number,
    ACTIONS(2673), 1,
      sym_bang,
    ACTIONS(2675), 1,
      anon_sym_BQUOTE,
    STATE(920), 1,
      sym__expression,
    STATE(989), 1,
      sym_identifier,
    STATE(1306), 1,
      sym__integer,
    STATE(1312), 1,
      sym__double_quote_string,
    STATE(1313), 1,
      sym_invocation,
    STATE(6399), 1,
      sym__alias_identifier,
    STATE(1660), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(1665), 2,
      sym_count,
      sym_group_concat,
    STATE(1800), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2651), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(1664), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [130567] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4107), 1,
      anon_sym_LPAREN,
    STATE(1801), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1419), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1417), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [130629] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2457), 1,
      sym__identifier,
    ACTIONS(2461), 1,
      sym_keyword_cast,
    ACTIONS(2463), 1,
      sym_keyword_count,
    ACTIONS(2465), 1,
      sym_keyword_group_concat,
    ACTIONS(2467), 1,
      sym_keyword_case,
    ACTIONS(2469), 1,
      sym_keyword_not,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2477), 1,
      anon_sym_LPAREN,
    ACTIONS(2479), 1,
      anon_sym_DOT,
    ACTIONS(2481), 1,
      anon_sym_QMARK,
    ACTIONS(2483), 1,
      anon_sym_DOLLAR,
    ACTIONS(2485), 1,
      anon_sym_SQUOTE,
    ACTIONS(2487), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      anon_sym_DQUOTE,
    ACTIONS(2491), 1,
      sym__natural_number,
    ACTIONS(2493), 1,
      sym_bang,
    ACTIONS(2495), 1,
      anon_sym_BQUOTE,
    STATE(353), 1,
      sym__expression,
    STATE(1082), 1,
      sym_identifier,
    STATE(1413), 1,
      sym__integer,
    STATE(1415), 1,
      sym__double_quote_string,
    STATE(1417), 1,
      sym_invocation,
    STATE(6229), 1,
      sym__alias_identifier,
    STATE(1451), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(1454), 2,
      sym_count,
      sym_group_concat,
    STATE(1802), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(1453), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [130741] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2457), 1,
      sym__identifier,
    ACTIONS(2461), 1,
      sym_keyword_cast,
    ACTIONS(2463), 1,
      sym_keyword_count,
    ACTIONS(2465), 1,
      sym_keyword_group_concat,
    ACTIONS(2467), 1,
      sym_keyword_case,
    ACTIONS(2469), 1,
      sym_keyword_not,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2477), 1,
      anon_sym_LPAREN,
    ACTIONS(2479), 1,
      anon_sym_DOT,
    ACTIONS(2481), 1,
      anon_sym_QMARK,
    ACTIONS(2483), 1,
      anon_sym_DOLLAR,
    ACTIONS(2485), 1,
      anon_sym_SQUOTE,
    ACTIONS(2487), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      anon_sym_DQUOTE,
    ACTIONS(2491), 1,
      sym__natural_number,
    ACTIONS(2493), 1,
      sym_bang,
    ACTIONS(2495), 1,
      anon_sym_BQUOTE,
    STATE(345), 1,
      sym__expression,
    STATE(1082), 1,
      sym_identifier,
    STATE(1413), 1,
      sym__integer,
    STATE(1415), 1,
      sym__double_quote_string,
    STATE(1417), 1,
      sym_invocation,
    STATE(6229), 1,
      sym__alias_identifier,
    STATE(1451), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(1454), 2,
      sym_count,
      sym_group_concat,
    STATE(1803), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(1453), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [130853] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2457), 1,
      sym__identifier,
    ACTIONS(2461), 1,
      sym_keyword_cast,
    ACTIONS(2463), 1,
      sym_keyword_count,
    ACTIONS(2465), 1,
      sym_keyword_group_concat,
    ACTIONS(2467), 1,
      sym_keyword_case,
    ACTIONS(2469), 1,
      sym_keyword_not,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2477), 1,
      anon_sym_LPAREN,
    ACTIONS(2479), 1,
      anon_sym_DOT,
    ACTIONS(2481), 1,
      anon_sym_QMARK,
    ACTIONS(2483), 1,
      anon_sym_DOLLAR,
    ACTIONS(2485), 1,
      anon_sym_SQUOTE,
    ACTIONS(2487), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      anon_sym_DQUOTE,
    ACTIONS(2491), 1,
      sym__natural_number,
    ACTIONS(2493), 1,
      sym_bang,
    ACTIONS(2495), 1,
      anon_sym_BQUOTE,
    STATE(346), 1,
      sym__expression,
    STATE(1082), 1,
      sym_identifier,
    STATE(1413), 1,
      sym__integer,
    STATE(1415), 1,
      sym__double_quote_string,
    STATE(1417), 1,
      sym_invocation,
    STATE(6229), 1,
      sym__alias_identifier,
    STATE(1451), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(1454), 2,
      sym_count,
      sym_group_concat,
    STATE(1804), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(1453), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [130965] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2457), 1,
      sym__identifier,
    ACTIONS(2461), 1,
      sym_keyword_cast,
    ACTIONS(2463), 1,
      sym_keyword_count,
    ACTIONS(2465), 1,
      sym_keyword_group_concat,
    ACTIONS(2467), 1,
      sym_keyword_case,
    ACTIONS(2469), 1,
      sym_keyword_not,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2477), 1,
      anon_sym_LPAREN,
    ACTIONS(2479), 1,
      anon_sym_DOT,
    ACTIONS(2481), 1,
      anon_sym_QMARK,
    ACTIONS(2483), 1,
      anon_sym_DOLLAR,
    ACTIONS(2485), 1,
      anon_sym_SQUOTE,
    ACTIONS(2487), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      anon_sym_DQUOTE,
    ACTIONS(2491), 1,
      sym__natural_number,
    ACTIONS(2493), 1,
      sym_bang,
    ACTIONS(2495), 1,
      anon_sym_BQUOTE,
    STATE(347), 1,
      sym__expression,
    STATE(1082), 1,
      sym_identifier,
    STATE(1413), 1,
      sym__integer,
    STATE(1415), 1,
      sym__double_quote_string,
    STATE(1417), 1,
      sym_invocation,
    STATE(6229), 1,
      sym__alias_identifier,
    STATE(1451), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(1454), 2,
      sym_count,
      sym_group_concat,
    STATE(1805), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(1453), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [131077] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3425), 1,
      sym__identifier,
    ACTIONS(3429), 1,
      sym_keyword_cast,
    ACTIONS(3431), 1,
      sym_keyword_count,
    ACTIONS(3433), 1,
      sym_keyword_group_concat,
    ACTIONS(3435), 1,
      sym_keyword_case,
    ACTIONS(3441), 1,
      sym_keyword_interval,
    ACTIONS(3443), 1,
      sym_keyword_array,
    ACTIONS(3445), 1,
      anon_sym_LPAREN,
    ACTIONS(3447), 1,
      anon_sym_DOT,
    ACTIONS(3449), 1,
      anon_sym_QMARK,
    ACTIONS(3451), 1,
      anon_sym_DOLLAR,
    ACTIONS(3453), 1,
      anon_sym_SQUOTE,
    ACTIONS(3455), 1,
      anon_sym_DASH,
    ACTIONS(3457), 1,
      anon_sym_DQUOTE,
    ACTIONS(3459), 1,
      sym__natural_number,
    ACTIONS(3461), 1,
      sym_bang,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    ACTIONS(4101), 1,
      sym_keyword_not,
    STATE(128), 1,
      sym__expression,
    STATE(397), 1,
      sym__integer,
    STATE(398), 1,
      sym__double_quote_string,
    STATE(459), 1,
      sym_identifier,
    STATE(753), 1,
      sym_invocation,
    STATE(6950), 1,
      sym__alias_identifier,
    STATE(494), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(500), 2,
      sym_count,
      sym_group_concat,
    STATE(1806), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(499), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [131189] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2457), 1,
      sym__identifier,
    ACTIONS(2461), 1,
      sym_keyword_cast,
    ACTIONS(2463), 1,
      sym_keyword_count,
    ACTIONS(2465), 1,
      sym_keyword_group_concat,
    ACTIONS(2467), 1,
      sym_keyword_case,
    ACTIONS(2469), 1,
      sym_keyword_not,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2477), 1,
      anon_sym_LPAREN,
    ACTIONS(2479), 1,
      anon_sym_DOT,
    ACTIONS(2481), 1,
      anon_sym_QMARK,
    ACTIONS(2483), 1,
      anon_sym_DOLLAR,
    ACTIONS(2485), 1,
      anon_sym_SQUOTE,
    ACTIONS(2487), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      anon_sym_DQUOTE,
    ACTIONS(2491), 1,
      sym__natural_number,
    ACTIONS(2493), 1,
      sym_bang,
    ACTIONS(2495), 1,
      anon_sym_BQUOTE,
    STATE(348), 1,
      sym__expression,
    STATE(1082), 1,
      sym_identifier,
    STATE(1413), 1,
      sym__integer,
    STATE(1415), 1,
      sym__double_quote_string,
    STATE(1417), 1,
      sym_invocation,
    STATE(6229), 1,
      sym__alias_identifier,
    STATE(1451), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(1454), 2,
      sym_count,
      sym_group_concat,
    STATE(1807), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(1453), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [131301] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2457), 1,
      sym__identifier,
    ACTIONS(2461), 1,
      sym_keyword_cast,
    ACTIONS(2463), 1,
      sym_keyword_count,
    ACTIONS(2465), 1,
      sym_keyword_group_concat,
    ACTIONS(2467), 1,
      sym_keyword_case,
    ACTIONS(2469), 1,
      sym_keyword_not,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2477), 1,
      anon_sym_LPAREN,
    ACTIONS(2479), 1,
      anon_sym_DOT,
    ACTIONS(2481), 1,
      anon_sym_QMARK,
    ACTIONS(2483), 1,
      anon_sym_DOLLAR,
    ACTIONS(2485), 1,
      anon_sym_SQUOTE,
    ACTIONS(2487), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      anon_sym_DQUOTE,
    ACTIONS(2491), 1,
      sym__natural_number,
    ACTIONS(2493), 1,
      sym_bang,
    ACTIONS(2495), 1,
      anon_sym_BQUOTE,
    STATE(351), 1,
      sym__expression,
    STATE(1082), 1,
      sym_identifier,
    STATE(1413), 1,
      sym__integer,
    STATE(1415), 1,
      sym__double_quote_string,
    STATE(1417), 1,
      sym_invocation,
    STATE(6229), 1,
      sym__alias_identifier,
    STATE(1451), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(1454), 2,
      sym_count,
      sym_group_concat,
    STATE(1808), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(1453), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [131413] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2457), 1,
      sym__identifier,
    ACTIONS(2461), 1,
      sym_keyword_cast,
    ACTIONS(2463), 1,
      sym_keyword_count,
    ACTIONS(2465), 1,
      sym_keyword_group_concat,
    ACTIONS(2467), 1,
      sym_keyword_case,
    ACTIONS(2469), 1,
      sym_keyword_not,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2477), 1,
      anon_sym_LPAREN,
    ACTIONS(2479), 1,
      anon_sym_DOT,
    ACTIONS(2481), 1,
      anon_sym_QMARK,
    ACTIONS(2483), 1,
      anon_sym_DOLLAR,
    ACTIONS(2485), 1,
      anon_sym_SQUOTE,
    ACTIONS(2487), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      anon_sym_DQUOTE,
    ACTIONS(2491), 1,
      sym__natural_number,
    ACTIONS(2493), 1,
      sym_bang,
    ACTIONS(2495), 1,
      anon_sym_BQUOTE,
    STATE(352), 1,
      sym__expression,
    STATE(1082), 1,
      sym_identifier,
    STATE(1413), 1,
      sym__integer,
    STATE(1415), 1,
      sym__double_quote_string,
    STATE(1417), 1,
      sym_invocation,
    STATE(6229), 1,
      sym__alias_identifier,
    STATE(1451), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(1454), 2,
      sym_count,
      sym_group_concat,
    STATE(1809), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(1453), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [131525] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2457), 1,
      sym__identifier,
    ACTIONS(2461), 1,
      sym_keyword_cast,
    ACTIONS(2463), 1,
      sym_keyword_count,
    ACTIONS(2465), 1,
      sym_keyword_group_concat,
    ACTIONS(2467), 1,
      sym_keyword_case,
    ACTIONS(2469), 1,
      sym_keyword_not,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2477), 1,
      anon_sym_LPAREN,
    ACTIONS(2479), 1,
      anon_sym_DOT,
    ACTIONS(2481), 1,
      anon_sym_QMARK,
    ACTIONS(2483), 1,
      anon_sym_DOLLAR,
    ACTIONS(2485), 1,
      anon_sym_SQUOTE,
    ACTIONS(2487), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      anon_sym_DQUOTE,
    ACTIONS(2491), 1,
      sym__natural_number,
    ACTIONS(2493), 1,
      sym_bang,
    ACTIONS(2495), 1,
      anon_sym_BQUOTE,
    STATE(354), 1,
      sym__expression,
    STATE(1082), 1,
      sym_identifier,
    STATE(1413), 1,
      sym__integer,
    STATE(1415), 1,
      sym__double_quote_string,
    STATE(1417), 1,
      sym_invocation,
    STATE(6229), 1,
      sym__alias_identifier,
    STATE(1451), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(1454), 2,
      sym_count,
      sym_group_concat,
    STATE(1810), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(1453), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [131637] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2457), 1,
      sym__identifier,
    ACTIONS(2461), 1,
      sym_keyword_cast,
    ACTIONS(2463), 1,
      sym_keyword_count,
    ACTIONS(2465), 1,
      sym_keyword_group_concat,
    ACTIONS(2467), 1,
      sym_keyword_case,
    ACTIONS(2469), 1,
      sym_keyword_not,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2477), 1,
      anon_sym_LPAREN,
    ACTIONS(2479), 1,
      anon_sym_DOT,
    ACTIONS(2481), 1,
      anon_sym_QMARK,
    ACTIONS(2483), 1,
      anon_sym_DOLLAR,
    ACTIONS(2485), 1,
      anon_sym_SQUOTE,
    ACTIONS(2487), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      anon_sym_DQUOTE,
    ACTIONS(2491), 1,
      sym__natural_number,
    ACTIONS(2493), 1,
      sym_bang,
    ACTIONS(2495), 1,
      anon_sym_BQUOTE,
    STATE(334), 1,
      sym__expression,
    STATE(1082), 1,
      sym_identifier,
    STATE(1413), 1,
      sym__integer,
    STATE(1415), 1,
      sym__double_quote_string,
    STATE(1417), 1,
      sym_invocation,
    STATE(6229), 1,
      sym__alias_identifier,
    STATE(1451), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(1454), 2,
      sym_count,
      sym_group_concat,
    STATE(1811), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(1453), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [131749] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2457), 1,
      sym__identifier,
    ACTIONS(2461), 1,
      sym_keyword_cast,
    ACTIONS(2463), 1,
      sym_keyword_count,
    ACTIONS(2465), 1,
      sym_keyword_group_concat,
    ACTIONS(2467), 1,
      sym_keyword_case,
    ACTIONS(2469), 1,
      sym_keyword_not,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2477), 1,
      anon_sym_LPAREN,
    ACTIONS(2479), 1,
      anon_sym_DOT,
    ACTIONS(2481), 1,
      anon_sym_QMARK,
    ACTIONS(2483), 1,
      anon_sym_DOLLAR,
    ACTIONS(2485), 1,
      anon_sym_SQUOTE,
    ACTIONS(2487), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      anon_sym_DQUOTE,
    ACTIONS(2491), 1,
      sym__natural_number,
    ACTIONS(2493), 1,
      sym_bang,
    ACTIONS(2495), 1,
      anon_sym_BQUOTE,
    STATE(342), 1,
      sym__expression,
    STATE(1082), 1,
      sym_identifier,
    STATE(1413), 1,
      sym__integer,
    STATE(1415), 1,
      sym__double_quote_string,
    STATE(1417), 1,
      sym_invocation,
    STATE(6229), 1,
      sym__alias_identifier,
    STATE(1451), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(1454), 2,
      sym_count,
      sym_group_concat,
    STATE(1812), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(1453), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [131861] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4109), 1,
      anon_sym_LPAREN,
    STATE(1813), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1385), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1383), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [131923] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3537), 1,
      sym__identifier,
    ACTIONS(3539), 1,
      sym_keyword_cast,
    ACTIONS(3541), 1,
      sym_keyword_count,
    ACTIONS(3543), 1,
      sym_keyword_group_concat,
    ACTIONS(3545), 1,
      sym_keyword_case,
    ACTIONS(3551), 1,
      sym_keyword_interval,
    ACTIONS(3553), 1,
      sym_keyword_array,
    ACTIONS(3555), 1,
      anon_sym_LPAREN,
    ACTIONS(3557), 1,
      anon_sym_DOT,
    ACTIONS(3559), 1,
      anon_sym_QMARK,
    ACTIONS(3561), 1,
      anon_sym_DOLLAR,
    ACTIONS(3563), 1,
      anon_sym_SQUOTE,
    ACTIONS(3565), 1,
      anon_sym_DASH,
    ACTIONS(3567), 1,
      anon_sym_DQUOTE,
    ACTIONS(3569), 1,
      sym__natural_number,
    ACTIONS(3571), 1,
      sym_bang,
    ACTIONS(3573), 1,
      anon_sym_BQUOTE,
    ACTIONS(4077), 1,
      sym_keyword_not,
    STATE(249), 1,
      sym__expression,
    STATE(720), 1,
      sym_identifier,
    STATE(867), 1,
      sym__double_quote_string,
    STATE(966), 1,
      sym__integer,
    STATE(968), 1,
      sym_invocation,
    STATE(7073), 1,
      sym__alias_identifier,
    STATE(1107), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(1112), 2,
      sym_count,
      sym_group_concat,
    STATE(1814), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3549), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(1111), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [132035] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4033), 1,
      sym__identifier,
    ACTIONS(4035), 1,
      sym_keyword_cast,
    ACTIONS(4037), 1,
      sym_keyword_count,
    ACTIONS(4039), 1,
      sym_keyword_group_concat,
    ACTIONS(4041), 1,
      sym_keyword_case,
    ACTIONS(4045), 1,
      sym_keyword_null,
    ACTIONS(4047), 1,
      sym_keyword_interval,
    ACTIONS(4049), 1,
      sym_keyword_array,
    ACTIONS(4051), 1,
      anon_sym_LPAREN,
    ACTIONS(4053), 1,
      anon_sym_DOT,
    ACTIONS(4055), 1,
      anon_sym_QMARK,
    ACTIONS(4057), 1,
      anon_sym_DOLLAR,
    ACTIONS(4059), 1,
      anon_sym_SQUOTE,
    ACTIONS(4061), 1,
      anon_sym_DASH,
    ACTIONS(4063), 1,
      anon_sym_DQUOTE,
    ACTIONS(4065), 1,
      sym__natural_number,
    ACTIONS(4067), 1,
      sym_bang,
    ACTIONS(4069), 1,
      anon_sym_BQUOTE,
    ACTIONS(4075), 1,
      sym_keyword_not,
    STATE(2391), 1,
      sym__expression,
    STATE(2891), 1,
      sym_identifier,
    STATE(3106), 1,
      sym__double_quote_string,
    STATE(3113), 1,
      sym__integer,
    STATE(3133), 1,
      sym_invocation,
    STATE(7154), 1,
      sym__alias_identifier,
    ACTIONS(4111), 2,
      sym_keyword_true,
      sym_keyword_false,
    STATE(1815), 2,
      sym_comment,
      sym_marginalia,
    STATE(3312), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(3316), 2,
      sym_count,
      sym_group_concat,
    STATE(3314), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [132149] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3811), 1,
      sym__identifier,
    ACTIONS(3813), 1,
      sym_keyword_cast,
    ACTIONS(3815), 1,
      sym_keyword_count,
    ACTIONS(3817), 1,
      sym_keyword_group_concat,
    ACTIONS(3819), 1,
      sym_keyword_case,
    ACTIONS(3825), 1,
      sym_keyword_interval,
    ACTIONS(3827), 1,
      sym_keyword_array,
    ACTIONS(3829), 1,
      anon_sym_LPAREN,
    ACTIONS(3831), 1,
      anon_sym_DOT,
    ACTIONS(3833), 1,
      anon_sym_QMARK,
    ACTIONS(3835), 1,
      anon_sym_DOLLAR,
    ACTIONS(3837), 1,
      anon_sym_SQUOTE,
    ACTIONS(3839), 1,
      anon_sym_DASH,
    ACTIONS(3841), 1,
      anon_sym_DQUOTE,
    ACTIONS(3843), 1,
      sym__natural_number,
    ACTIONS(3845), 1,
      sym_bang,
    ACTIONS(3847), 1,
      anon_sym_BQUOTE,
    ACTIONS(4083), 1,
      sym_keyword_not,
    STATE(3361), 1,
      sym__expression,
    STATE(4261), 1,
      sym_identifier,
    STATE(4339), 1,
      sym_invocation,
    STATE(4343), 1,
      sym__double_quote_string,
    STATE(4345), 1,
      sym__integer,
    STATE(6704), 1,
      sym__alias_identifier,
    STATE(1816), 2,
      sym_comment,
      sym_marginalia,
    STATE(4408), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(4452), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(3823), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(4422), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [132261] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1817), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1125), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1123), 39,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [132321] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1818), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1257), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1255), 39,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [132381] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4113), 1,
      aux_sym_keyword_with_token1,
    ACTIONS(4115), 1,
      aux_sym_keyword_timestamp_token2,
    STATE(1819), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1443), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1441), 37,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [132445] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1820), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2249), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2251), 30,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [132505] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4358), 1,
      sym__expression,
    STATE(4527), 1,
      sym_identifier,
    STATE(4573), 1,
      sym_binary_expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1821), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 13,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [132619] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4117), 1,
      anon_sym_LPAREN,
    STATE(1822), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1407), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1405), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [132681] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4119), 1,
      anon_sym_LPAREN,
    STATE(1823), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1399), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1397), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [132743] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3425), 1,
      sym__identifier,
    ACTIONS(3429), 1,
      sym_keyword_cast,
    ACTIONS(3431), 1,
      sym_keyword_count,
    ACTIONS(3433), 1,
      sym_keyword_group_concat,
    ACTIONS(3435), 1,
      sym_keyword_case,
    ACTIONS(3441), 1,
      sym_keyword_interval,
    ACTIONS(3443), 1,
      sym_keyword_array,
    ACTIONS(3445), 1,
      anon_sym_LPAREN,
    ACTIONS(3447), 1,
      anon_sym_DOT,
    ACTIONS(3449), 1,
      anon_sym_QMARK,
    ACTIONS(3451), 1,
      anon_sym_DOLLAR,
    ACTIONS(3453), 1,
      anon_sym_SQUOTE,
    ACTIONS(3455), 1,
      anon_sym_DASH,
    ACTIONS(3457), 1,
      anon_sym_DQUOTE,
    ACTIONS(3459), 1,
      sym__natural_number,
    ACTIONS(3461), 1,
      sym_bang,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    ACTIONS(4101), 1,
      sym_keyword_not,
    STATE(107), 1,
      sym__expression,
    STATE(397), 1,
      sym__integer,
    STATE(398), 1,
      sym__double_quote_string,
    STATE(459), 1,
      sym_identifier,
    STATE(753), 1,
      sym_invocation,
    STATE(6950), 1,
      sym__alias_identifier,
    STATE(494), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(500), 2,
      sym_count,
      sym_group_concat,
    STATE(1824), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(499), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [132855] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3425), 1,
      sym__identifier,
    ACTIONS(3429), 1,
      sym_keyword_cast,
    ACTIONS(3431), 1,
      sym_keyword_count,
    ACTIONS(3433), 1,
      sym_keyword_group_concat,
    ACTIONS(3435), 1,
      sym_keyword_case,
    ACTIONS(3441), 1,
      sym_keyword_interval,
    ACTIONS(3443), 1,
      sym_keyword_array,
    ACTIONS(3445), 1,
      anon_sym_LPAREN,
    ACTIONS(3447), 1,
      anon_sym_DOT,
    ACTIONS(3449), 1,
      anon_sym_QMARK,
    ACTIONS(3451), 1,
      anon_sym_DOLLAR,
    ACTIONS(3453), 1,
      anon_sym_SQUOTE,
    ACTIONS(3455), 1,
      anon_sym_DASH,
    ACTIONS(3457), 1,
      anon_sym_DQUOTE,
    ACTIONS(3459), 1,
      sym__natural_number,
    ACTIONS(3461), 1,
      sym_bang,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    ACTIONS(4101), 1,
      sym_keyword_not,
    STATE(123), 1,
      sym__expression,
    STATE(397), 1,
      sym__integer,
    STATE(398), 1,
      sym__double_quote_string,
    STATE(459), 1,
      sym_identifier,
    STATE(753), 1,
      sym_invocation,
    STATE(6950), 1,
      sym__alias_identifier,
    STATE(494), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(500), 2,
      sym_count,
      sym_group_concat,
    STATE(1825), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(499), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [132967] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4199), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1826), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [133079] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3425), 1,
      sym__identifier,
    ACTIONS(3429), 1,
      sym_keyword_cast,
    ACTIONS(3431), 1,
      sym_keyword_count,
    ACTIONS(3433), 1,
      sym_keyword_group_concat,
    ACTIONS(3435), 1,
      sym_keyword_case,
    ACTIONS(3441), 1,
      sym_keyword_interval,
    ACTIONS(3443), 1,
      sym_keyword_array,
    ACTIONS(3445), 1,
      anon_sym_LPAREN,
    ACTIONS(3447), 1,
      anon_sym_DOT,
    ACTIONS(3449), 1,
      anon_sym_QMARK,
    ACTIONS(3451), 1,
      anon_sym_DOLLAR,
    ACTIONS(3453), 1,
      anon_sym_SQUOTE,
    ACTIONS(3455), 1,
      anon_sym_DASH,
    ACTIONS(3457), 1,
      anon_sym_DQUOTE,
    ACTIONS(3459), 1,
      sym__natural_number,
    ACTIONS(3461), 1,
      sym_bang,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    ACTIONS(4101), 1,
      sym_keyword_not,
    STATE(121), 1,
      sym__expression,
    STATE(397), 1,
      sym__integer,
    STATE(398), 1,
      sym__double_quote_string,
    STATE(459), 1,
      sym_identifier,
    STATE(753), 1,
      sym_invocation,
    STATE(6950), 1,
      sym__alias_identifier,
    STATE(494), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(500), 2,
      sym_count,
      sym_group_concat,
    STATE(1827), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(499), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [133191] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3537), 1,
      sym__identifier,
    ACTIONS(3539), 1,
      sym_keyword_cast,
    ACTIONS(3541), 1,
      sym_keyword_count,
    ACTIONS(3543), 1,
      sym_keyword_group_concat,
    ACTIONS(3545), 1,
      sym_keyword_case,
    ACTIONS(3551), 1,
      sym_keyword_interval,
    ACTIONS(3553), 1,
      sym_keyword_array,
    ACTIONS(3555), 1,
      anon_sym_LPAREN,
    ACTIONS(3557), 1,
      anon_sym_DOT,
    ACTIONS(3559), 1,
      anon_sym_QMARK,
    ACTIONS(3561), 1,
      anon_sym_DOLLAR,
    ACTIONS(3563), 1,
      anon_sym_SQUOTE,
    ACTIONS(3565), 1,
      anon_sym_DASH,
    ACTIONS(3567), 1,
      anon_sym_DQUOTE,
    ACTIONS(3569), 1,
      sym__natural_number,
    ACTIONS(3571), 1,
      sym_bang,
    ACTIONS(3573), 1,
      anon_sym_BQUOTE,
    ACTIONS(4077), 1,
      sym_keyword_not,
    STATE(253), 1,
      sym__expression,
    STATE(720), 1,
      sym_identifier,
    STATE(867), 1,
      sym__double_quote_string,
    STATE(966), 1,
      sym__integer,
    STATE(968), 1,
      sym_invocation,
    STATE(7073), 1,
      sym__alias_identifier,
    STATE(1107), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(1112), 2,
      sym_count,
      sym_group_concat,
    STATE(1828), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3549), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(1111), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [133303] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3537), 1,
      sym__identifier,
    ACTIONS(3539), 1,
      sym_keyword_cast,
    ACTIONS(3541), 1,
      sym_keyword_count,
    ACTIONS(3543), 1,
      sym_keyword_group_concat,
    ACTIONS(3545), 1,
      sym_keyword_case,
    ACTIONS(3549), 1,
      sym_keyword_null,
    ACTIONS(3551), 1,
      sym_keyword_interval,
    ACTIONS(3553), 1,
      sym_keyword_array,
    ACTIONS(3555), 1,
      anon_sym_LPAREN,
    ACTIONS(3557), 1,
      anon_sym_DOT,
    ACTIONS(3559), 1,
      anon_sym_QMARK,
    ACTIONS(3561), 1,
      anon_sym_DOLLAR,
    ACTIONS(3563), 1,
      anon_sym_SQUOTE,
    ACTIONS(3565), 1,
      anon_sym_DASH,
    ACTIONS(3567), 1,
      anon_sym_DQUOTE,
    ACTIONS(3569), 1,
      sym__natural_number,
    ACTIONS(3571), 1,
      sym_bang,
    ACTIONS(3573), 1,
      anon_sym_BQUOTE,
    ACTIONS(4077), 1,
      sym_keyword_not,
    STATE(242), 1,
      sym__expression,
    STATE(720), 1,
      sym_identifier,
    STATE(867), 1,
      sym__double_quote_string,
    STATE(966), 1,
      sym__integer,
    STATE(968), 1,
      sym_invocation,
    STATE(7073), 1,
      sym__alias_identifier,
    ACTIONS(4121), 2,
      sym_keyword_true,
      sym_keyword_false,
    STATE(1107), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(1112), 2,
      sym_count,
      sym_group_concat,
    STATE(1829), 2,
      sym_comment,
      sym_marginalia,
    STATE(1111), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [133417] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3537), 1,
      sym__identifier,
    ACTIONS(3539), 1,
      sym_keyword_cast,
    ACTIONS(3541), 1,
      sym_keyword_count,
    ACTIONS(3543), 1,
      sym_keyword_group_concat,
    ACTIONS(3545), 1,
      sym_keyword_case,
    ACTIONS(3549), 1,
      sym_keyword_null,
    ACTIONS(3551), 1,
      sym_keyword_interval,
    ACTIONS(3553), 1,
      sym_keyword_array,
    ACTIONS(3555), 1,
      anon_sym_LPAREN,
    ACTIONS(3557), 1,
      anon_sym_DOT,
    ACTIONS(3559), 1,
      anon_sym_QMARK,
    ACTIONS(3561), 1,
      anon_sym_DOLLAR,
    ACTIONS(3563), 1,
      anon_sym_SQUOTE,
    ACTIONS(3565), 1,
      anon_sym_DASH,
    ACTIONS(3567), 1,
      anon_sym_DQUOTE,
    ACTIONS(3569), 1,
      sym__natural_number,
    ACTIONS(3571), 1,
      sym_bang,
    ACTIONS(3573), 1,
      anon_sym_BQUOTE,
    ACTIONS(4077), 1,
      sym_keyword_not,
    STATE(243), 1,
      sym__expression,
    STATE(720), 1,
      sym_identifier,
    STATE(867), 1,
      sym__double_quote_string,
    STATE(966), 1,
      sym__integer,
    STATE(968), 1,
      sym_invocation,
    STATE(7073), 1,
      sym__alias_identifier,
    ACTIONS(4123), 2,
      sym_keyword_true,
      sym_keyword_false,
    STATE(1107), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(1112), 2,
      sym_count,
      sym_group_concat,
    STATE(1830), 2,
      sym_comment,
      sym_marginalia,
    STATE(1111), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [133531] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3537), 1,
      sym__identifier,
    ACTIONS(3539), 1,
      sym_keyword_cast,
    ACTIONS(3541), 1,
      sym_keyword_count,
    ACTIONS(3543), 1,
      sym_keyword_group_concat,
    ACTIONS(3545), 1,
      sym_keyword_case,
    ACTIONS(3551), 1,
      sym_keyword_interval,
    ACTIONS(3553), 1,
      sym_keyword_array,
    ACTIONS(3555), 1,
      anon_sym_LPAREN,
    ACTIONS(3557), 1,
      anon_sym_DOT,
    ACTIONS(3559), 1,
      anon_sym_QMARK,
    ACTIONS(3561), 1,
      anon_sym_DOLLAR,
    ACTIONS(3563), 1,
      anon_sym_SQUOTE,
    ACTIONS(3565), 1,
      anon_sym_DASH,
    ACTIONS(3567), 1,
      anon_sym_DQUOTE,
    ACTIONS(3569), 1,
      sym__natural_number,
    ACTIONS(3571), 1,
      sym_bang,
    ACTIONS(3573), 1,
      anon_sym_BQUOTE,
    ACTIONS(4077), 1,
      sym_keyword_not,
    STATE(232), 1,
      sym__expression,
    STATE(720), 1,
      sym_identifier,
    STATE(867), 1,
      sym__double_quote_string,
    STATE(966), 1,
      sym__integer,
    STATE(968), 1,
      sym_invocation,
    STATE(7073), 1,
      sym__alias_identifier,
    STATE(1107), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(1112), 2,
      sym_count,
      sym_group_concat,
    STATE(1831), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3549), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(1111), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [133643] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3537), 1,
      sym__identifier,
    ACTIONS(3539), 1,
      sym_keyword_cast,
    ACTIONS(3541), 1,
      sym_keyword_count,
    ACTIONS(3543), 1,
      sym_keyword_group_concat,
    ACTIONS(3545), 1,
      sym_keyword_case,
    ACTIONS(3549), 1,
      sym_keyword_null,
    ACTIONS(3551), 1,
      sym_keyword_interval,
    ACTIONS(3553), 1,
      sym_keyword_array,
    ACTIONS(3555), 1,
      anon_sym_LPAREN,
    ACTIONS(3557), 1,
      anon_sym_DOT,
    ACTIONS(3559), 1,
      anon_sym_QMARK,
    ACTIONS(3561), 1,
      anon_sym_DOLLAR,
    ACTIONS(3563), 1,
      anon_sym_SQUOTE,
    ACTIONS(3565), 1,
      anon_sym_DASH,
    ACTIONS(3567), 1,
      anon_sym_DQUOTE,
    ACTIONS(3569), 1,
      sym__natural_number,
    ACTIONS(3571), 1,
      sym_bang,
    ACTIONS(3573), 1,
      anon_sym_BQUOTE,
    ACTIONS(4077), 1,
      sym_keyword_not,
    STATE(246), 1,
      sym__expression,
    STATE(720), 1,
      sym_identifier,
    STATE(867), 1,
      sym__double_quote_string,
    STATE(966), 1,
      sym__integer,
    STATE(968), 1,
      sym_invocation,
    STATE(7073), 1,
      sym__alias_identifier,
    ACTIONS(4125), 2,
      sym_keyword_true,
      sym_keyword_false,
    STATE(1107), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(1112), 2,
      sym_count,
      sym_group_concat,
    STATE(1832), 2,
      sym_comment,
      sym_marginalia,
    STATE(1111), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [133757] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1833), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1393), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1391), 39,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [133817] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3425), 1,
      sym__identifier,
    ACTIONS(3429), 1,
      sym_keyword_cast,
    ACTIONS(3431), 1,
      sym_keyword_count,
    ACTIONS(3433), 1,
      sym_keyword_group_concat,
    ACTIONS(3435), 1,
      sym_keyword_case,
    ACTIONS(3441), 1,
      sym_keyword_interval,
    ACTIONS(3443), 1,
      sym_keyword_array,
    ACTIONS(3445), 1,
      anon_sym_LPAREN,
    ACTIONS(3447), 1,
      anon_sym_DOT,
    ACTIONS(3449), 1,
      anon_sym_QMARK,
    ACTIONS(3451), 1,
      anon_sym_DOLLAR,
    ACTIONS(3453), 1,
      anon_sym_SQUOTE,
    ACTIONS(3455), 1,
      anon_sym_DASH,
    ACTIONS(3457), 1,
      anon_sym_DQUOTE,
    ACTIONS(3459), 1,
      sym__natural_number,
    ACTIONS(3461), 1,
      sym_bang,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    ACTIONS(4101), 1,
      sym_keyword_not,
    STATE(127), 1,
      sym__expression,
    STATE(397), 1,
      sym__integer,
    STATE(398), 1,
      sym__double_quote_string,
    STATE(459), 1,
      sym_identifier,
    STATE(753), 1,
      sym_invocation,
    STATE(6950), 1,
      sym__alias_identifier,
    STATE(494), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(500), 2,
      sym_count,
      sym_group_concat,
    STATE(1834), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(499), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [133929] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4127), 1,
      anon_sym_LPAREN,
    STATE(1835), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1355), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1353), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [133991] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4129), 1,
      anon_sym_LPAREN,
    STATE(1836), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1349), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1347), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [134053] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4131), 1,
      anon_sym_LPAREN,
    STATE(1837), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1341), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1339), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [134115] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4133), 1,
      anon_sym_LPAREN,
    STATE(1838), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1335), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1333), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [134177] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3425), 1,
      sym__identifier,
    ACTIONS(3429), 1,
      sym_keyword_cast,
    ACTIONS(3431), 1,
      sym_keyword_count,
    ACTIONS(3433), 1,
      sym_keyword_group_concat,
    ACTIONS(3435), 1,
      sym_keyword_case,
    ACTIONS(3441), 1,
      sym_keyword_interval,
    ACTIONS(3443), 1,
      sym_keyword_array,
    ACTIONS(3445), 1,
      anon_sym_LPAREN,
    ACTIONS(3447), 1,
      anon_sym_DOT,
    ACTIONS(3449), 1,
      anon_sym_QMARK,
    ACTIONS(3451), 1,
      anon_sym_DOLLAR,
    ACTIONS(3453), 1,
      anon_sym_SQUOTE,
    ACTIONS(3455), 1,
      anon_sym_DASH,
    ACTIONS(3457), 1,
      anon_sym_DQUOTE,
    ACTIONS(3459), 1,
      sym__natural_number,
    ACTIONS(3461), 1,
      sym_bang,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    ACTIONS(4101), 1,
      sym_keyword_not,
    STATE(120), 1,
      sym__expression,
    STATE(397), 1,
      sym__integer,
    STATE(398), 1,
      sym__double_quote_string,
    STATE(459), 1,
      sym_identifier,
    STATE(753), 1,
      sym_invocation,
    STATE(6950), 1,
      sym__alias_identifier,
    STATE(494), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(500), 2,
      sym_count,
      sym_group_concat,
    STATE(1839), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(499), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [134289] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4196), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1840), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [134401] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3425), 1,
      sym__identifier,
    ACTIONS(3429), 1,
      sym_keyword_cast,
    ACTIONS(3431), 1,
      sym_keyword_count,
    ACTIONS(3433), 1,
      sym_keyword_group_concat,
    ACTIONS(3435), 1,
      sym_keyword_case,
    ACTIONS(3441), 1,
      sym_keyword_interval,
    ACTIONS(3443), 1,
      sym_keyword_array,
    ACTIONS(3445), 1,
      anon_sym_LPAREN,
    ACTIONS(3447), 1,
      anon_sym_DOT,
    ACTIONS(3449), 1,
      anon_sym_QMARK,
    ACTIONS(3451), 1,
      anon_sym_DOLLAR,
    ACTIONS(3453), 1,
      anon_sym_SQUOTE,
    ACTIONS(3455), 1,
      anon_sym_DASH,
    ACTIONS(3457), 1,
      anon_sym_DQUOTE,
    ACTIONS(3459), 1,
      sym__natural_number,
    ACTIONS(3461), 1,
      sym_bang,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    ACTIONS(4101), 1,
      sym_keyword_not,
    STATE(119), 1,
      sym__expression,
    STATE(397), 1,
      sym__integer,
    STATE(398), 1,
      sym__double_quote_string,
    STATE(459), 1,
      sym_identifier,
    STATE(753), 1,
      sym_invocation,
    STATE(6950), 1,
      sym__alias_identifier,
    STATE(494), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(500), 2,
      sym_count,
      sym_group_concat,
    STATE(1841), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(499), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [134513] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4358), 1,
      sym__expression,
    STATE(4523), 1,
      sym_identifier,
    STATE(4591), 1,
      sym_binary_expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1842), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 13,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [134627] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4135), 1,
      sym_keyword_zerofill,
    STATE(1843), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1457), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1455), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [134689] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4137), 1,
      anon_sym_LPAREN,
    STATE(1844), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1361), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1359), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [134751] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3467), 1,
      anon_sym_LPAREN,
    STATE(1845), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1045), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1043), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [134813] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4139), 1,
      sym_keyword_zerofill,
    STATE(1846), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1355), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1353), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [134875] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4180), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1847), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [134987] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3403), 1,
      sym_keyword_zerofill,
    STATE(1848), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1045), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1043), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [135049] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3899), 1,
      sym__identifier,
    ACTIONS(3901), 1,
      sym_keyword_cast,
    ACTIONS(3903), 1,
      sym_keyword_count,
    ACTIONS(3905), 1,
      sym_keyword_group_concat,
    ACTIONS(3907), 1,
      sym_keyword_case,
    ACTIONS(3913), 1,
      sym_keyword_interval,
    ACTIONS(3915), 1,
      sym_keyword_array,
    ACTIONS(3917), 1,
      anon_sym_LPAREN,
    ACTIONS(3919), 1,
      anon_sym_DOT,
    ACTIONS(3921), 1,
      anon_sym_QMARK,
    ACTIONS(3923), 1,
      anon_sym_DOLLAR,
    ACTIONS(3925), 1,
      anon_sym_SQUOTE,
    ACTIONS(3927), 1,
      anon_sym_DASH,
    ACTIONS(3929), 1,
      anon_sym_DQUOTE,
    ACTIONS(3931), 1,
      sym__natural_number,
    ACTIONS(3933), 1,
      sym_bang,
    ACTIONS(3935), 1,
      anon_sym_BQUOTE,
    ACTIONS(4091), 1,
      sym_keyword_not,
    STATE(2618), 1,
      sym__expression,
    STATE(3328), 1,
      sym_identifier,
    STATE(3468), 1,
      sym_invocation,
    STATE(3527), 1,
      sym__double_quote_string,
    STATE(3528), 1,
      sym__integer,
    STATE(6991), 1,
      sym__alias_identifier,
    STATE(1849), 2,
      sym_comment,
      sym_marginalia,
    STATE(3545), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(3553), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(3911), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3555), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [135161] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4141), 1,
      sym_keyword_zerofill,
    STATE(1850), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1349), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1347), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [135223] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3425), 1,
      sym__identifier,
    ACTIONS(3429), 1,
      sym_keyword_cast,
    ACTIONS(3431), 1,
      sym_keyword_count,
    ACTIONS(3433), 1,
      sym_keyword_group_concat,
    ACTIONS(3435), 1,
      sym_keyword_case,
    ACTIONS(3441), 1,
      sym_keyword_interval,
    ACTIONS(3443), 1,
      sym_keyword_array,
    ACTIONS(3445), 1,
      anon_sym_LPAREN,
    ACTIONS(3447), 1,
      anon_sym_DOT,
    ACTIONS(3449), 1,
      anon_sym_QMARK,
    ACTIONS(3451), 1,
      anon_sym_DOLLAR,
    ACTIONS(3453), 1,
      anon_sym_SQUOTE,
    ACTIONS(3455), 1,
      anon_sym_DASH,
    ACTIONS(3457), 1,
      anon_sym_DQUOTE,
    ACTIONS(3459), 1,
      sym__natural_number,
    ACTIONS(3461), 1,
      sym_bang,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    ACTIONS(4101), 1,
      sym_keyword_not,
    STATE(118), 1,
      sym__expression,
    STATE(397), 1,
      sym__integer,
    STATE(398), 1,
      sym__double_quote_string,
    STATE(459), 1,
      sym_identifier,
    STATE(753), 1,
      sym_invocation,
    STATE(6950), 1,
      sym__alias_identifier,
    STATE(494), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(500), 2,
      sym_count,
      sym_group_concat,
    STATE(1851), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(499), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [135335] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4358), 1,
      sym__expression,
    STATE(4532), 1,
      sym_identifier,
    STATE(4562), 1,
      sym_binary_expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1852), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 13,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [135449] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4172), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1853), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [135561] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3991), 1,
      sym__identifier,
    ACTIONS(3993), 1,
      sym_keyword_cast,
    ACTIONS(3995), 1,
      sym_keyword_count,
    ACTIONS(3997), 1,
      sym_keyword_group_concat,
    ACTIONS(3999), 1,
      sym_keyword_case,
    ACTIONS(4005), 1,
      sym_keyword_interval,
    ACTIONS(4007), 1,
      sym_keyword_array,
    ACTIONS(4009), 1,
      anon_sym_LPAREN,
    ACTIONS(4011), 1,
      anon_sym_DOT,
    ACTIONS(4013), 1,
      anon_sym_QMARK,
    ACTIONS(4015), 1,
      anon_sym_DOLLAR,
    ACTIONS(4017), 1,
      anon_sym_SQUOTE,
    ACTIONS(4019), 1,
      anon_sym_DASH,
    ACTIONS(4021), 1,
      anon_sym_DQUOTE,
    ACTIONS(4023), 1,
      sym__natural_number,
    ACTIONS(4025), 1,
      sym_bang,
    ACTIONS(4027), 1,
      anon_sym_BQUOTE,
    ACTIONS(4085), 1,
      sym_keyword_not,
    STATE(302), 1,
      sym__expression,
    STATE(930), 1,
      sym_identifier,
    STATE(1157), 1,
      sym_invocation,
    STATE(1160), 1,
      sym__double_quote_string,
    STATE(1161), 1,
      sym__integer,
    STATE(6602), 1,
      sym__alias_identifier,
    STATE(1258), 2,
      sym_count,
      sym_group_concat,
    STATE(1265), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(1854), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4003), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(1259), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [135673] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4175), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1855), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [135785] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3537), 1,
      sym__identifier,
    ACTIONS(3539), 1,
      sym_keyword_cast,
    ACTIONS(3541), 1,
      sym_keyword_count,
    ACTIONS(3543), 1,
      sym_keyword_group_concat,
    ACTIONS(3545), 1,
      sym_keyword_case,
    ACTIONS(3549), 1,
      sym_keyword_null,
    ACTIONS(3551), 1,
      sym_keyword_interval,
    ACTIONS(3553), 1,
      sym_keyword_array,
    ACTIONS(3555), 1,
      anon_sym_LPAREN,
    ACTIONS(3557), 1,
      anon_sym_DOT,
    ACTIONS(3559), 1,
      anon_sym_QMARK,
    ACTIONS(3561), 1,
      anon_sym_DOLLAR,
    ACTIONS(3563), 1,
      anon_sym_SQUOTE,
    ACTIONS(3565), 1,
      anon_sym_DASH,
    ACTIONS(3567), 1,
      anon_sym_DQUOTE,
    ACTIONS(3569), 1,
      sym__natural_number,
    ACTIONS(3571), 1,
      sym_bang,
    ACTIONS(3573), 1,
      anon_sym_BQUOTE,
    ACTIONS(4077), 1,
      sym_keyword_not,
    STATE(248), 1,
      sym__expression,
    STATE(720), 1,
      sym_identifier,
    STATE(867), 1,
      sym__double_quote_string,
    STATE(966), 1,
      sym__integer,
    STATE(968), 1,
      sym_invocation,
    STATE(7073), 1,
      sym__alias_identifier,
    ACTIONS(4143), 2,
      sym_keyword_true,
      sym_keyword_false,
    STATE(1107), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(1112), 2,
      sym_count,
      sym_group_concat,
    STATE(1856), 2,
      sym_comment,
      sym_marginalia,
    STATE(1111), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [135899] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4145), 1,
      sym_keyword_zerofill,
    STATE(1857), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1341), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1339), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [135961] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4358), 1,
      sym__expression,
    STATE(4534), 1,
      sym_identifier,
    STATE(4560), 1,
      sym_binary_expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1858), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 13,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [136075] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4147), 1,
      sym_keyword_zerofill,
    STATE(1859), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1335), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1333), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [136137] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4168), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1860), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [136249] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4149), 1,
      sym_keyword_zerofill,
    STATE(1861), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1379), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1377), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [136311] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3899), 1,
      sym__identifier,
    ACTIONS(3901), 1,
      sym_keyword_cast,
    ACTIONS(3903), 1,
      sym_keyword_count,
    ACTIONS(3905), 1,
      sym_keyword_group_concat,
    ACTIONS(3907), 1,
      sym_keyword_case,
    ACTIONS(3913), 1,
      sym_keyword_interval,
    ACTIONS(3915), 1,
      sym_keyword_array,
    ACTIONS(3917), 1,
      anon_sym_LPAREN,
    ACTIONS(3919), 1,
      anon_sym_DOT,
    ACTIONS(3921), 1,
      anon_sym_QMARK,
    ACTIONS(3923), 1,
      anon_sym_DOLLAR,
    ACTIONS(3925), 1,
      anon_sym_SQUOTE,
    ACTIONS(3927), 1,
      anon_sym_DASH,
    ACTIONS(3929), 1,
      anon_sym_DQUOTE,
    ACTIONS(3931), 1,
      sym__natural_number,
    ACTIONS(3933), 1,
      sym_bang,
    ACTIONS(3935), 1,
      anon_sym_BQUOTE,
    ACTIONS(4091), 1,
      sym_keyword_not,
    STATE(2619), 1,
      sym__expression,
    STATE(3328), 1,
      sym_identifier,
    STATE(3468), 1,
      sym_invocation,
    STATE(3527), 1,
      sym__double_quote_string,
    STATE(3528), 1,
      sym__integer,
    STATE(6991), 1,
      sym__alias_identifier,
    STATE(1862), 2,
      sym_comment,
      sym_marginalia,
    STATE(3545), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(3553), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(3911), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3555), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [136423] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(2543), 1,
      sym_keyword_cast,
    ACTIONS(2545), 1,
      sym_keyword_count,
    ACTIONS(2547), 1,
      sym_keyword_group_concat,
    ACTIONS(2549), 1,
      sym_keyword_case,
    ACTIONS(2551), 1,
      sym_keyword_not,
    ACTIONS(2555), 1,
      sym_keyword_interval,
    ACTIONS(2557), 1,
      sym_keyword_array,
    ACTIONS(2559), 1,
      anon_sym_LPAREN,
    ACTIONS(2561), 1,
      anon_sym_DOT,
    ACTIONS(2563), 1,
      anon_sym_QMARK,
    ACTIONS(2565), 1,
      anon_sym_DOLLAR,
    ACTIONS(2567), 1,
      anon_sym_SQUOTE,
    ACTIONS(2569), 1,
      anon_sym_DASH,
    ACTIONS(2571), 1,
      sym__natural_number,
    ACTIONS(2573), 1,
      sym_bang,
    STATE(371), 1,
      sym__expression,
    STATE(580), 1,
      sym__integer,
    STATE(1249), 1,
      sym_identifier,
    STATE(1716), 1,
      sym__double_quote_string,
    STATE(1720), 1,
      sym_invocation,
    STATE(7520), 1,
      sym__alias_identifier,
    STATE(671), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(1863), 2,
      sym_comment,
      sym_marginalia,
    STATE(2276), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2553), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2094), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [136535] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4151), 1,
      sym_keyword_zerofill,
    STATE(1864), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1361), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1359), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [136597] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4306), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1865), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [136709] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4358), 1,
      sym__expression,
    STATE(4519), 1,
      sym_identifier,
    STATE(4583), 1,
      sym_binary_expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1866), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 13,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [136823] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3537), 1,
      sym__identifier,
    ACTIONS(3539), 1,
      sym_keyword_cast,
    ACTIONS(3541), 1,
      sym_keyword_count,
    ACTIONS(3543), 1,
      sym_keyword_group_concat,
    ACTIONS(3545), 1,
      sym_keyword_case,
    ACTIONS(3549), 1,
      sym_keyword_null,
    ACTIONS(3551), 1,
      sym_keyword_interval,
    ACTIONS(3553), 1,
      sym_keyword_array,
    ACTIONS(3555), 1,
      anon_sym_LPAREN,
    ACTIONS(3557), 1,
      anon_sym_DOT,
    ACTIONS(3559), 1,
      anon_sym_QMARK,
    ACTIONS(3561), 1,
      anon_sym_DOLLAR,
    ACTIONS(3563), 1,
      anon_sym_SQUOTE,
    ACTIONS(3565), 1,
      anon_sym_DASH,
    ACTIONS(3567), 1,
      anon_sym_DQUOTE,
    ACTIONS(3569), 1,
      sym__natural_number,
    ACTIONS(3571), 1,
      sym_bang,
    ACTIONS(3573), 1,
      anon_sym_BQUOTE,
    ACTIONS(4077), 1,
      sym_keyword_not,
    STATE(165), 1,
      sym__expression,
    STATE(720), 1,
      sym_identifier,
    STATE(867), 1,
      sym__double_quote_string,
    STATE(966), 1,
      sym__integer,
    STATE(968), 1,
      sym_invocation,
    STATE(7073), 1,
      sym__alias_identifier,
    ACTIONS(4153), 2,
      sym_keyword_true,
      sym_keyword_false,
    STATE(1107), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(1112), 2,
      sym_count,
      sym_group_concat,
    STATE(1867), 2,
      sym_comment,
      sym_marginalia,
    STATE(1111), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [136937] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3811), 1,
      sym__identifier,
    ACTIONS(3813), 1,
      sym_keyword_cast,
    ACTIONS(3815), 1,
      sym_keyword_count,
    ACTIONS(3817), 1,
      sym_keyword_group_concat,
    ACTIONS(3819), 1,
      sym_keyword_case,
    ACTIONS(3825), 1,
      sym_keyword_interval,
    ACTIONS(3827), 1,
      sym_keyword_array,
    ACTIONS(3829), 1,
      anon_sym_LPAREN,
    ACTIONS(3831), 1,
      anon_sym_DOT,
    ACTIONS(3833), 1,
      anon_sym_QMARK,
    ACTIONS(3835), 1,
      anon_sym_DOLLAR,
    ACTIONS(3837), 1,
      anon_sym_SQUOTE,
    ACTIONS(3839), 1,
      anon_sym_DASH,
    ACTIONS(3841), 1,
      anon_sym_DQUOTE,
    ACTIONS(3843), 1,
      sym__natural_number,
    ACTIONS(3845), 1,
      sym_bang,
    ACTIONS(3847), 1,
      anon_sym_BQUOTE,
    ACTIONS(4083), 1,
      sym_keyword_not,
    STATE(3321), 1,
      sym__expression,
    STATE(4261), 1,
      sym_identifier,
    STATE(4339), 1,
      sym_invocation,
    STATE(4343), 1,
      sym__double_quote_string,
    STATE(4345), 1,
      sym__integer,
    STATE(6704), 1,
      sym__alias_identifier,
    STATE(1868), 2,
      sym_comment,
      sym_marginalia,
    STATE(4408), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(4452), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(3823), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(4422), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [137049] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4155), 1,
      anon_sym_LPAREN,
    STATE(1869), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1329), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1327), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [137111] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3991), 1,
      sym__identifier,
    ACTIONS(3993), 1,
      sym_keyword_cast,
    ACTIONS(3995), 1,
      sym_keyword_count,
    ACTIONS(3997), 1,
      sym_keyword_group_concat,
    ACTIONS(3999), 1,
      sym_keyword_case,
    ACTIONS(4005), 1,
      sym_keyword_interval,
    ACTIONS(4007), 1,
      sym_keyword_array,
    ACTIONS(4009), 1,
      anon_sym_LPAREN,
    ACTIONS(4011), 1,
      anon_sym_DOT,
    ACTIONS(4013), 1,
      anon_sym_QMARK,
    ACTIONS(4015), 1,
      anon_sym_DOLLAR,
    ACTIONS(4017), 1,
      anon_sym_SQUOTE,
    ACTIONS(4019), 1,
      anon_sym_DASH,
    ACTIONS(4021), 1,
      anon_sym_DQUOTE,
    ACTIONS(4023), 1,
      sym__natural_number,
    ACTIONS(4025), 1,
      sym_bang,
    ACTIONS(4027), 1,
      anon_sym_BQUOTE,
    ACTIONS(4085), 1,
      sym_keyword_not,
    STATE(369), 1,
      sym__expression,
    STATE(930), 1,
      sym_identifier,
    STATE(1157), 1,
      sym_invocation,
    STATE(1160), 1,
      sym__double_quote_string,
    STATE(1161), 1,
      sym__integer,
    STATE(6602), 1,
      sym__alias_identifier,
    STATE(1258), 2,
      sym_count,
      sym_group_concat,
    STATE(1265), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(1870), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4003), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(1259), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [137223] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4033), 1,
      sym__identifier,
    ACTIONS(4035), 1,
      sym_keyword_cast,
    ACTIONS(4037), 1,
      sym_keyword_count,
    ACTIONS(4039), 1,
      sym_keyword_group_concat,
    ACTIONS(4041), 1,
      sym_keyword_case,
    ACTIONS(4047), 1,
      sym_keyword_interval,
    ACTIONS(4049), 1,
      sym_keyword_array,
    ACTIONS(4051), 1,
      anon_sym_LPAREN,
    ACTIONS(4053), 1,
      anon_sym_DOT,
    ACTIONS(4055), 1,
      anon_sym_QMARK,
    ACTIONS(4057), 1,
      anon_sym_DOLLAR,
    ACTIONS(4059), 1,
      anon_sym_SQUOTE,
    ACTIONS(4061), 1,
      anon_sym_DASH,
    ACTIONS(4063), 1,
      anon_sym_DQUOTE,
    ACTIONS(4065), 1,
      sym__natural_number,
    ACTIONS(4067), 1,
      sym_bang,
    ACTIONS(4069), 1,
      anon_sym_BQUOTE,
    ACTIONS(4075), 1,
      sym_keyword_not,
    STATE(2419), 1,
      sym__expression,
    STATE(2891), 1,
      sym_identifier,
    STATE(3106), 1,
      sym__double_quote_string,
    STATE(3113), 1,
      sym__integer,
    STATE(3133), 1,
      sym_invocation,
    STATE(7154), 1,
      sym__alias_identifier,
    STATE(1871), 2,
      sym_comment,
      sym_marginalia,
    STATE(3312), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(3316), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(4045), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3314), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [137335] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4033), 1,
      sym__identifier,
    ACTIONS(4035), 1,
      sym_keyword_cast,
    ACTIONS(4037), 1,
      sym_keyword_count,
    ACTIONS(4039), 1,
      sym_keyword_group_concat,
    ACTIONS(4041), 1,
      sym_keyword_case,
    ACTIONS(4047), 1,
      sym_keyword_interval,
    ACTIONS(4049), 1,
      sym_keyword_array,
    ACTIONS(4051), 1,
      anon_sym_LPAREN,
    ACTIONS(4053), 1,
      anon_sym_DOT,
    ACTIONS(4055), 1,
      anon_sym_QMARK,
    ACTIONS(4057), 1,
      anon_sym_DOLLAR,
    ACTIONS(4059), 1,
      anon_sym_SQUOTE,
    ACTIONS(4061), 1,
      anon_sym_DASH,
    ACTIONS(4063), 1,
      anon_sym_DQUOTE,
    ACTIONS(4065), 1,
      sym__natural_number,
    ACTIONS(4067), 1,
      sym_bang,
    ACTIONS(4069), 1,
      anon_sym_BQUOTE,
    ACTIONS(4075), 1,
      sym_keyword_not,
    STATE(2421), 1,
      sym__expression,
    STATE(2891), 1,
      sym_identifier,
    STATE(3106), 1,
      sym__double_quote_string,
    STATE(3113), 1,
      sym__integer,
    STATE(3133), 1,
      sym_invocation,
    STATE(7154), 1,
      sym__alias_identifier,
    STATE(1872), 2,
      sym_comment,
      sym_marginalia,
    STATE(3312), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(3316), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(4045), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3314), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [137447] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4033), 1,
      sym__identifier,
    ACTIONS(4035), 1,
      sym_keyword_cast,
    ACTIONS(4037), 1,
      sym_keyword_count,
    ACTIONS(4039), 1,
      sym_keyword_group_concat,
    ACTIONS(4041), 1,
      sym_keyword_case,
    ACTIONS(4047), 1,
      sym_keyword_interval,
    ACTIONS(4049), 1,
      sym_keyword_array,
    ACTIONS(4051), 1,
      anon_sym_LPAREN,
    ACTIONS(4053), 1,
      anon_sym_DOT,
    ACTIONS(4055), 1,
      anon_sym_QMARK,
    ACTIONS(4057), 1,
      anon_sym_DOLLAR,
    ACTIONS(4059), 1,
      anon_sym_SQUOTE,
    ACTIONS(4061), 1,
      anon_sym_DASH,
    ACTIONS(4063), 1,
      anon_sym_DQUOTE,
    ACTIONS(4065), 1,
      sym__natural_number,
    ACTIONS(4067), 1,
      sym_bang,
    ACTIONS(4069), 1,
      anon_sym_BQUOTE,
    ACTIONS(4075), 1,
      sym_keyword_not,
    STATE(2422), 1,
      sym__expression,
    STATE(2891), 1,
      sym_identifier,
    STATE(3106), 1,
      sym__double_quote_string,
    STATE(3113), 1,
      sym__integer,
    STATE(3133), 1,
      sym_invocation,
    STATE(7154), 1,
      sym__alias_identifier,
    STATE(1873), 2,
      sym_comment,
      sym_marginalia,
    STATE(3312), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(3316), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(4045), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3314), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [137559] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4033), 1,
      sym__identifier,
    ACTIONS(4035), 1,
      sym_keyword_cast,
    ACTIONS(4037), 1,
      sym_keyword_count,
    ACTIONS(4039), 1,
      sym_keyword_group_concat,
    ACTIONS(4041), 1,
      sym_keyword_case,
    ACTIONS(4047), 1,
      sym_keyword_interval,
    ACTIONS(4049), 1,
      sym_keyword_array,
    ACTIONS(4051), 1,
      anon_sym_LPAREN,
    ACTIONS(4053), 1,
      anon_sym_DOT,
    ACTIONS(4055), 1,
      anon_sym_QMARK,
    ACTIONS(4057), 1,
      anon_sym_DOLLAR,
    ACTIONS(4059), 1,
      anon_sym_SQUOTE,
    ACTIONS(4061), 1,
      anon_sym_DASH,
    ACTIONS(4063), 1,
      anon_sym_DQUOTE,
    ACTIONS(4065), 1,
      sym__natural_number,
    ACTIONS(4067), 1,
      sym_bang,
    ACTIONS(4069), 1,
      anon_sym_BQUOTE,
    ACTIONS(4075), 1,
      sym_keyword_not,
    STATE(2423), 1,
      sym__expression,
    STATE(2891), 1,
      sym_identifier,
    STATE(3106), 1,
      sym__double_quote_string,
    STATE(3113), 1,
      sym__integer,
    STATE(3133), 1,
      sym_invocation,
    STATE(7154), 1,
      sym__alias_identifier,
    STATE(1874), 2,
      sym_comment,
      sym_marginalia,
    STATE(3312), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(3316), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(4045), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3314), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [137671] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4033), 1,
      sym__identifier,
    ACTIONS(4035), 1,
      sym_keyword_cast,
    ACTIONS(4037), 1,
      sym_keyword_count,
    ACTIONS(4039), 1,
      sym_keyword_group_concat,
    ACTIONS(4041), 1,
      sym_keyword_case,
    ACTIONS(4047), 1,
      sym_keyword_interval,
    ACTIONS(4049), 1,
      sym_keyword_array,
    ACTIONS(4051), 1,
      anon_sym_LPAREN,
    ACTIONS(4053), 1,
      anon_sym_DOT,
    ACTIONS(4055), 1,
      anon_sym_QMARK,
    ACTIONS(4057), 1,
      anon_sym_DOLLAR,
    ACTIONS(4059), 1,
      anon_sym_SQUOTE,
    ACTIONS(4061), 1,
      anon_sym_DASH,
    ACTIONS(4063), 1,
      anon_sym_DQUOTE,
    ACTIONS(4065), 1,
      sym__natural_number,
    ACTIONS(4067), 1,
      sym_bang,
    ACTIONS(4069), 1,
      anon_sym_BQUOTE,
    ACTIONS(4075), 1,
      sym_keyword_not,
    STATE(2409), 1,
      sym__expression,
    STATE(2891), 1,
      sym_identifier,
    STATE(3106), 1,
      sym__double_quote_string,
    STATE(3113), 1,
      sym__integer,
    STATE(3133), 1,
      sym_invocation,
    STATE(7154), 1,
      sym__alias_identifier,
    STATE(1875), 2,
      sym_comment,
      sym_marginalia,
    STATE(3312), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(3316), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(4045), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3314), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [137783] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3429), 1,
      sym_keyword_cast,
    ACTIONS(3431), 1,
      sym_keyword_count,
    ACTIONS(3433), 1,
      sym_keyword_group_concat,
    ACTIONS(3435), 1,
      sym_keyword_case,
    ACTIONS(3441), 1,
      sym_keyword_interval,
    ACTIONS(3443), 1,
      sym_keyword_array,
    ACTIONS(3447), 1,
      anon_sym_DOT,
    ACTIONS(3449), 1,
      anon_sym_QMARK,
    ACTIONS(3451), 1,
      anon_sym_DOLLAR,
    ACTIONS(3453), 1,
      anon_sym_SQUOTE,
    ACTIONS(3455), 1,
      anon_sym_DASH,
    ACTIONS(3457), 1,
      anon_sym_DQUOTE,
    ACTIONS(3459), 1,
      sym__natural_number,
    ACTIONS(3575), 1,
      sym__identifier,
    ACTIONS(3579), 1,
      anon_sym_LPAREN,
    ACTIONS(3581), 1,
      sym_bang,
    ACTIONS(3583), 1,
      anon_sym_BQUOTE,
    ACTIONS(4087), 1,
      sym_keyword_not,
    STATE(169), 1,
      sym__expression,
    STATE(397), 1,
      sym__integer,
    STATE(398), 1,
      sym__double_quote_string,
    STATE(751), 1,
      sym_identifier,
    STATE(840), 1,
      sym_invocation,
    STATE(6909), 1,
      sym__alias_identifier,
    STATE(494), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(500), 2,
      sym_count,
      sym_group_concat,
    STATE(1876), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(499), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [137895] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3429), 1,
      sym_keyword_cast,
    ACTIONS(3431), 1,
      sym_keyword_count,
    ACTIONS(3433), 1,
      sym_keyword_group_concat,
    ACTIONS(3435), 1,
      sym_keyword_case,
    ACTIONS(3441), 1,
      sym_keyword_interval,
    ACTIONS(3443), 1,
      sym_keyword_array,
    ACTIONS(3447), 1,
      anon_sym_DOT,
    ACTIONS(3449), 1,
      anon_sym_QMARK,
    ACTIONS(3451), 1,
      anon_sym_DOLLAR,
    ACTIONS(3453), 1,
      anon_sym_SQUOTE,
    ACTIONS(3455), 1,
      anon_sym_DASH,
    ACTIONS(3457), 1,
      anon_sym_DQUOTE,
    ACTIONS(3459), 1,
      sym__natural_number,
    ACTIONS(3575), 1,
      sym__identifier,
    ACTIONS(3579), 1,
      anon_sym_LPAREN,
    ACTIONS(3581), 1,
      sym_bang,
    ACTIONS(3583), 1,
      anon_sym_BQUOTE,
    ACTIONS(4087), 1,
      sym_keyword_not,
    STATE(235), 1,
      sym__expression,
    STATE(397), 1,
      sym__integer,
    STATE(398), 1,
      sym__double_quote_string,
    STATE(751), 1,
      sym_identifier,
    STATE(840), 1,
      sym_invocation,
    STATE(6909), 1,
      sym__alias_identifier,
    STATE(494), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(500), 2,
      sym_count,
      sym_group_concat,
    STATE(1877), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(499), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [138007] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3429), 1,
      sym_keyword_cast,
    ACTIONS(3431), 1,
      sym_keyword_count,
    ACTIONS(3433), 1,
      sym_keyword_group_concat,
    ACTIONS(3435), 1,
      sym_keyword_case,
    ACTIONS(3441), 1,
      sym_keyword_interval,
    ACTIONS(3443), 1,
      sym_keyword_array,
    ACTIONS(3447), 1,
      anon_sym_DOT,
    ACTIONS(3449), 1,
      anon_sym_QMARK,
    ACTIONS(3451), 1,
      anon_sym_DOLLAR,
    ACTIONS(3453), 1,
      anon_sym_SQUOTE,
    ACTIONS(3455), 1,
      anon_sym_DASH,
    ACTIONS(3457), 1,
      anon_sym_DQUOTE,
    ACTIONS(3459), 1,
      sym__natural_number,
    ACTIONS(3575), 1,
      sym__identifier,
    ACTIONS(3579), 1,
      anon_sym_LPAREN,
    ACTIONS(3581), 1,
      sym_bang,
    ACTIONS(3583), 1,
      anon_sym_BQUOTE,
    ACTIONS(4087), 1,
      sym_keyword_not,
    STATE(231), 1,
      sym__expression,
    STATE(397), 1,
      sym__integer,
    STATE(398), 1,
      sym__double_quote_string,
    STATE(751), 1,
      sym_identifier,
    STATE(840), 1,
      sym_invocation,
    STATE(6909), 1,
      sym__alias_identifier,
    STATE(494), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(500), 2,
      sym_count,
      sym_group_concat,
    STATE(1878), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(499), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [138119] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3429), 1,
      sym_keyword_cast,
    ACTIONS(3431), 1,
      sym_keyword_count,
    ACTIONS(3433), 1,
      sym_keyword_group_concat,
    ACTIONS(3435), 1,
      sym_keyword_case,
    ACTIONS(3441), 1,
      sym_keyword_interval,
    ACTIONS(3443), 1,
      sym_keyword_array,
    ACTIONS(3447), 1,
      anon_sym_DOT,
    ACTIONS(3449), 1,
      anon_sym_QMARK,
    ACTIONS(3451), 1,
      anon_sym_DOLLAR,
    ACTIONS(3453), 1,
      anon_sym_SQUOTE,
    ACTIONS(3455), 1,
      anon_sym_DASH,
    ACTIONS(3457), 1,
      anon_sym_DQUOTE,
    ACTIONS(3459), 1,
      sym__natural_number,
    ACTIONS(3575), 1,
      sym__identifier,
    ACTIONS(3579), 1,
      anon_sym_LPAREN,
    ACTIONS(3581), 1,
      sym_bang,
    ACTIONS(3583), 1,
      anon_sym_BQUOTE,
    ACTIONS(4087), 1,
      sym_keyword_not,
    STATE(220), 1,
      sym__expression,
    STATE(397), 1,
      sym__integer,
    STATE(398), 1,
      sym__double_quote_string,
    STATE(751), 1,
      sym_identifier,
    STATE(840), 1,
      sym_invocation,
    STATE(6909), 1,
      sym__alias_identifier,
    STATE(494), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(500), 2,
      sym_count,
      sym_group_concat,
    STATE(1879), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(499), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [138231] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3429), 1,
      sym_keyword_cast,
    ACTIONS(3431), 1,
      sym_keyword_count,
    ACTIONS(3433), 1,
      sym_keyword_group_concat,
    ACTIONS(3435), 1,
      sym_keyword_case,
    ACTIONS(3441), 1,
      sym_keyword_interval,
    ACTIONS(3443), 1,
      sym_keyword_array,
    ACTIONS(3447), 1,
      anon_sym_DOT,
    ACTIONS(3449), 1,
      anon_sym_QMARK,
    ACTIONS(3451), 1,
      anon_sym_DOLLAR,
    ACTIONS(3453), 1,
      anon_sym_SQUOTE,
    ACTIONS(3455), 1,
      anon_sym_DASH,
    ACTIONS(3457), 1,
      anon_sym_DQUOTE,
    ACTIONS(3459), 1,
      sym__natural_number,
    ACTIONS(3575), 1,
      sym__identifier,
    ACTIONS(3579), 1,
      anon_sym_LPAREN,
    ACTIONS(3581), 1,
      sym_bang,
    ACTIONS(3583), 1,
      anon_sym_BQUOTE,
    ACTIONS(4087), 1,
      sym_keyword_not,
    STATE(208), 1,
      sym__expression,
    STATE(397), 1,
      sym__integer,
    STATE(398), 1,
      sym__double_quote_string,
    STATE(751), 1,
      sym_identifier,
    STATE(840), 1,
      sym_invocation,
    STATE(6909), 1,
      sym__alias_identifier,
    STATE(494), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(500), 2,
      sym_count,
      sym_group_concat,
    STATE(1880), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(499), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [138343] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3429), 1,
      sym_keyword_cast,
    ACTIONS(3431), 1,
      sym_keyword_count,
    ACTIONS(3433), 1,
      sym_keyword_group_concat,
    ACTIONS(3435), 1,
      sym_keyword_case,
    ACTIONS(3441), 1,
      sym_keyword_interval,
    ACTIONS(3443), 1,
      sym_keyword_array,
    ACTIONS(3447), 1,
      anon_sym_DOT,
    ACTIONS(3449), 1,
      anon_sym_QMARK,
    ACTIONS(3451), 1,
      anon_sym_DOLLAR,
    ACTIONS(3453), 1,
      anon_sym_SQUOTE,
    ACTIONS(3455), 1,
      anon_sym_DASH,
    ACTIONS(3457), 1,
      anon_sym_DQUOTE,
    ACTIONS(3459), 1,
      sym__natural_number,
    ACTIONS(3575), 1,
      sym__identifier,
    ACTIONS(3579), 1,
      anon_sym_LPAREN,
    ACTIONS(3581), 1,
      sym_bang,
    ACTIONS(3583), 1,
      anon_sym_BQUOTE,
    ACTIONS(4087), 1,
      sym_keyword_not,
    STATE(207), 1,
      sym__expression,
    STATE(397), 1,
      sym__integer,
    STATE(398), 1,
      sym__double_quote_string,
    STATE(751), 1,
      sym_identifier,
    STATE(840), 1,
      sym_invocation,
    STATE(6909), 1,
      sym__alias_identifier,
    STATE(494), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(500), 2,
      sym_count,
      sym_group_concat,
    STATE(1881), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(499), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [138455] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3429), 1,
      sym_keyword_cast,
    ACTIONS(3431), 1,
      sym_keyword_count,
    ACTIONS(3433), 1,
      sym_keyword_group_concat,
    ACTIONS(3435), 1,
      sym_keyword_case,
    ACTIONS(3441), 1,
      sym_keyword_interval,
    ACTIONS(3443), 1,
      sym_keyword_array,
    ACTIONS(3447), 1,
      anon_sym_DOT,
    ACTIONS(3449), 1,
      anon_sym_QMARK,
    ACTIONS(3451), 1,
      anon_sym_DOLLAR,
    ACTIONS(3453), 1,
      anon_sym_SQUOTE,
    ACTIONS(3455), 1,
      anon_sym_DASH,
    ACTIONS(3457), 1,
      anon_sym_DQUOTE,
    ACTIONS(3459), 1,
      sym__natural_number,
    ACTIONS(3575), 1,
      sym__identifier,
    ACTIONS(3579), 1,
      anon_sym_LPAREN,
    ACTIONS(3581), 1,
      sym_bang,
    ACTIONS(3583), 1,
      anon_sym_BQUOTE,
    ACTIONS(4087), 1,
      sym_keyword_not,
    STATE(201), 1,
      sym__expression,
    STATE(397), 1,
      sym__integer,
    STATE(398), 1,
      sym__double_quote_string,
    STATE(751), 1,
      sym_identifier,
    STATE(840), 1,
      sym_invocation,
    STATE(6909), 1,
      sym__alias_identifier,
    STATE(494), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(500), 2,
      sym_count,
      sym_group_concat,
    STATE(1882), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(499), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [138567] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2811), 1,
      sym__identifier,
    ACTIONS(2815), 1,
      sym_keyword_cast,
    ACTIONS(2817), 1,
      sym_keyword_count,
    ACTIONS(2819), 1,
      sym_keyword_group_concat,
    ACTIONS(2821), 1,
      sym_keyword_case,
    ACTIONS(2823), 1,
      sym_keyword_not,
    ACTIONS(2827), 1,
      sym_keyword_interval,
    ACTIONS(2829), 1,
      sym_keyword_array,
    ACTIONS(2831), 1,
      anon_sym_LPAREN,
    ACTIONS(2833), 1,
      anon_sym_DOT,
    ACTIONS(2835), 1,
      anon_sym_QMARK,
    ACTIONS(2837), 1,
      anon_sym_DOLLAR,
    ACTIONS(2839), 1,
      anon_sym_SQUOTE,
    ACTIONS(2841), 1,
      anon_sym_DASH,
    ACTIONS(2843), 1,
      anon_sym_DQUOTE,
    ACTIONS(2845), 1,
      sym__natural_number,
    ACTIONS(2847), 1,
      sym_bang,
    ACTIONS(2849), 1,
      anon_sym_BQUOTE,
    STATE(2620), 1,
      sym__expression,
    STATE(3329), 1,
      sym_identifier,
    STATE(3418), 1,
      sym_invocation,
    STATE(3422), 1,
      sym__double_quote_string,
    STATE(3447), 1,
      sym__integer,
    STATE(6476), 1,
      sym__alias_identifier,
    STATE(1883), 2,
      sym_comment,
      sym_marginalia,
    STATE(3561), 2,
      sym_count,
      sym_group_concat,
    STATE(3593), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(2825), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3562), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [138679] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2811), 1,
      sym__identifier,
    ACTIONS(2815), 1,
      sym_keyword_cast,
    ACTIONS(2817), 1,
      sym_keyword_count,
    ACTIONS(2819), 1,
      sym_keyword_group_concat,
    ACTIONS(2821), 1,
      sym_keyword_case,
    ACTIONS(2823), 1,
      sym_keyword_not,
    ACTIONS(2827), 1,
      sym_keyword_interval,
    ACTIONS(2829), 1,
      sym_keyword_array,
    ACTIONS(2831), 1,
      anon_sym_LPAREN,
    ACTIONS(2833), 1,
      anon_sym_DOT,
    ACTIONS(2835), 1,
      anon_sym_QMARK,
    ACTIONS(2837), 1,
      anon_sym_DOLLAR,
    ACTIONS(2839), 1,
      anon_sym_SQUOTE,
    ACTIONS(2841), 1,
      anon_sym_DASH,
    ACTIONS(2843), 1,
      anon_sym_DQUOTE,
    ACTIONS(2845), 1,
      sym__natural_number,
    ACTIONS(2847), 1,
      sym_bang,
    ACTIONS(2849), 1,
      anon_sym_BQUOTE,
    STATE(2621), 1,
      sym__expression,
    STATE(3329), 1,
      sym_identifier,
    STATE(3418), 1,
      sym_invocation,
    STATE(3422), 1,
      sym__double_quote_string,
    STATE(3447), 1,
      sym__integer,
    STATE(6476), 1,
      sym__alias_identifier,
    STATE(1884), 2,
      sym_comment,
      sym_marginalia,
    STATE(3561), 2,
      sym_count,
      sym_group_concat,
    STATE(3593), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(2825), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3562), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [138791] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2811), 1,
      sym__identifier,
    ACTIONS(2815), 1,
      sym_keyword_cast,
    ACTIONS(2817), 1,
      sym_keyword_count,
    ACTIONS(2819), 1,
      sym_keyword_group_concat,
    ACTIONS(2821), 1,
      sym_keyword_case,
    ACTIONS(2823), 1,
      sym_keyword_not,
    ACTIONS(2827), 1,
      sym_keyword_interval,
    ACTIONS(2829), 1,
      sym_keyword_array,
    ACTIONS(2831), 1,
      anon_sym_LPAREN,
    ACTIONS(2833), 1,
      anon_sym_DOT,
    ACTIONS(2835), 1,
      anon_sym_QMARK,
    ACTIONS(2837), 1,
      anon_sym_DOLLAR,
    ACTIONS(2839), 1,
      anon_sym_SQUOTE,
    ACTIONS(2841), 1,
      anon_sym_DASH,
    ACTIONS(2843), 1,
      anon_sym_DQUOTE,
    ACTIONS(2845), 1,
      sym__natural_number,
    ACTIONS(2847), 1,
      sym_bang,
    ACTIONS(2849), 1,
      anon_sym_BQUOTE,
    STATE(2622), 1,
      sym__expression,
    STATE(3329), 1,
      sym_identifier,
    STATE(3418), 1,
      sym_invocation,
    STATE(3422), 1,
      sym__double_quote_string,
    STATE(3447), 1,
      sym__integer,
    STATE(6476), 1,
      sym__alias_identifier,
    STATE(1885), 2,
      sym_comment,
      sym_marginalia,
    STATE(3561), 2,
      sym_count,
      sym_group_concat,
    STATE(3593), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(2825), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3562), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [138903] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3899), 1,
      sym__identifier,
    ACTIONS(3901), 1,
      sym_keyword_cast,
    ACTIONS(3903), 1,
      sym_keyword_count,
    ACTIONS(3905), 1,
      sym_keyword_group_concat,
    ACTIONS(3907), 1,
      sym_keyword_case,
    ACTIONS(3913), 1,
      sym_keyword_interval,
    ACTIONS(3915), 1,
      sym_keyword_array,
    ACTIONS(3917), 1,
      anon_sym_LPAREN,
    ACTIONS(3919), 1,
      anon_sym_DOT,
    ACTIONS(3921), 1,
      anon_sym_QMARK,
    ACTIONS(3923), 1,
      anon_sym_DOLLAR,
    ACTIONS(3925), 1,
      anon_sym_SQUOTE,
    ACTIONS(3927), 1,
      anon_sym_DASH,
    ACTIONS(3929), 1,
      anon_sym_DQUOTE,
    ACTIONS(3931), 1,
      sym__natural_number,
    ACTIONS(3933), 1,
      sym_bang,
    ACTIONS(3935), 1,
      anon_sym_BQUOTE,
    ACTIONS(4091), 1,
      sym_keyword_not,
    STATE(2623), 1,
      sym__expression,
    STATE(3328), 1,
      sym_identifier,
    STATE(3468), 1,
      sym_invocation,
    STATE(3527), 1,
      sym__double_quote_string,
    STATE(3528), 1,
      sym__integer,
    STATE(6991), 1,
      sym__alias_identifier,
    STATE(1886), 2,
      sym_comment,
      sym_marginalia,
    STATE(3545), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(3553), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(3911), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3555), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [139015] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2811), 1,
      sym__identifier,
    ACTIONS(2815), 1,
      sym_keyword_cast,
    ACTIONS(2817), 1,
      sym_keyword_count,
    ACTIONS(2819), 1,
      sym_keyword_group_concat,
    ACTIONS(2821), 1,
      sym_keyword_case,
    ACTIONS(2823), 1,
      sym_keyword_not,
    ACTIONS(2827), 1,
      sym_keyword_interval,
    ACTIONS(2829), 1,
      sym_keyword_array,
    ACTIONS(2831), 1,
      anon_sym_LPAREN,
    ACTIONS(2833), 1,
      anon_sym_DOT,
    ACTIONS(2835), 1,
      anon_sym_QMARK,
    ACTIONS(2837), 1,
      anon_sym_DOLLAR,
    ACTIONS(2839), 1,
      anon_sym_SQUOTE,
    ACTIONS(2841), 1,
      anon_sym_DASH,
    ACTIONS(2843), 1,
      anon_sym_DQUOTE,
    ACTIONS(2845), 1,
      sym__natural_number,
    ACTIONS(2847), 1,
      sym_bang,
    ACTIONS(2849), 1,
      anon_sym_BQUOTE,
    STATE(2639), 1,
      sym__expression,
    STATE(3329), 1,
      sym_identifier,
    STATE(3418), 1,
      sym_invocation,
    STATE(3422), 1,
      sym__double_quote_string,
    STATE(3447), 1,
      sym__integer,
    STATE(6476), 1,
      sym__alias_identifier,
    STATE(1887), 2,
      sym_comment,
      sym_marginalia,
    STATE(3561), 2,
      sym_count,
      sym_group_concat,
    STATE(3593), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(2825), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3562), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [139127] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2811), 1,
      sym__identifier,
    ACTIONS(2815), 1,
      sym_keyword_cast,
    ACTIONS(2817), 1,
      sym_keyword_count,
    ACTIONS(2819), 1,
      sym_keyword_group_concat,
    ACTIONS(2821), 1,
      sym_keyword_case,
    ACTIONS(2823), 1,
      sym_keyword_not,
    ACTIONS(2827), 1,
      sym_keyword_interval,
    ACTIONS(2829), 1,
      sym_keyword_array,
    ACTIONS(2831), 1,
      anon_sym_LPAREN,
    ACTIONS(2833), 1,
      anon_sym_DOT,
    ACTIONS(2835), 1,
      anon_sym_QMARK,
    ACTIONS(2837), 1,
      anon_sym_DOLLAR,
    ACTIONS(2839), 1,
      anon_sym_SQUOTE,
    ACTIONS(2841), 1,
      anon_sym_DASH,
    ACTIONS(2843), 1,
      anon_sym_DQUOTE,
    ACTIONS(2845), 1,
      sym__natural_number,
    ACTIONS(2847), 1,
      sym_bang,
    ACTIONS(2849), 1,
      anon_sym_BQUOTE,
    STATE(2641), 1,
      sym__expression,
    STATE(3329), 1,
      sym_identifier,
    STATE(3418), 1,
      sym_invocation,
    STATE(3422), 1,
      sym__double_quote_string,
    STATE(3447), 1,
      sym__integer,
    STATE(6476), 1,
      sym__alias_identifier,
    STATE(1888), 2,
      sym_comment,
      sym_marginalia,
    STATE(3561), 2,
      sym_count,
      sym_group_concat,
    STATE(3593), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(2825), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3562), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [139239] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2811), 1,
      sym__identifier,
    ACTIONS(2815), 1,
      sym_keyword_cast,
    ACTIONS(2817), 1,
      sym_keyword_count,
    ACTIONS(2819), 1,
      sym_keyword_group_concat,
    ACTIONS(2821), 1,
      sym_keyword_case,
    ACTIONS(2823), 1,
      sym_keyword_not,
    ACTIONS(2827), 1,
      sym_keyword_interval,
    ACTIONS(2829), 1,
      sym_keyword_array,
    ACTIONS(2831), 1,
      anon_sym_LPAREN,
    ACTIONS(2833), 1,
      anon_sym_DOT,
    ACTIONS(2835), 1,
      anon_sym_QMARK,
    ACTIONS(2837), 1,
      anon_sym_DOLLAR,
    ACTIONS(2839), 1,
      anon_sym_SQUOTE,
    ACTIONS(2841), 1,
      anon_sym_DASH,
    ACTIONS(2843), 1,
      anon_sym_DQUOTE,
    ACTIONS(2845), 1,
      sym__natural_number,
    ACTIONS(2847), 1,
      sym_bang,
    ACTIONS(2849), 1,
      anon_sym_BQUOTE,
    STATE(2712), 1,
      sym__expression,
    STATE(3329), 1,
      sym_identifier,
    STATE(3418), 1,
      sym_invocation,
    STATE(3422), 1,
      sym__double_quote_string,
    STATE(3447), 1,
      sym__integer,
    STATE(6476), 1,
      sym__alias_identifier,
    STATE(1889), 2,
      sym_comment,
      sym_marginalia,
    STATE(3561), 2,
      sym_count,
      sym_group_concat,
    STATE(3593), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(2825), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3562), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [139351] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2811), 1,
      sym__identifier,
    ACTIONS(2815), 1,
      sym_keyword_cast,
    ACTIONS(2817), 1,
      sym_keyword_count,
    ACTIONS(2819), 1,
      sym_keyword_group_concat,
    ACTIONS(2821), 1,
      sym_keyword_case,
    ACTIONS(2823), 1,
      sym_keyword_not,
    ACTIONS(2827), 1,
      sym_keyword_interval,
    ACTIONS(2829), 1,
      sym_keyword_array,
    ACTIONS(2831), 1,
      anon_sym_LPAREN,
    ACTIONS(2833), 1,
      anon_sym_DOT,
    ACTIONS(2835), 1,
      anon_sym_QMARK,
    ACTIONS(2837), 1,
      anon_sym_DOLLAR,
    ACTIONS(2839), 1,
      anon_sym_SQUOTE,
    ACTIONS(2841), 1,
      anon_sym_DASH,
    ACTIONS(2843), 1,
      anon_sym_DQUOTE,
    ACTIONS(2845), 1,
      sym__natural_number,
    ACTIONS(2847), 1,
      sym_bang,
    ACTIONS(2849), 1,
      anon_sym_BQUOTE,
    STATE(2663), 1,
      sym__expression,
    STATE(3329), 1,
      sym_identifier,
    STATE(3418), 1,
      sym_invocation,
    STATE(3422), 1,
      sym__double_quote_string,
    STATE(3447), 1,
      sym__integer,
    STATE(6476), 1,
      sym__alias_identifier,
    STATE(1890), 2,
      sym_comment,
      sym_marginalia,
    STATE(3561), 2,
      sym_count,
      sym_group_concat,
    STATE(3593), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(2825), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3562), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [139463] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2811), 1,
      sym__identifier,
    ACTIONS(2815), 1,
      sym_keyword_cast,
    ACTIONS(2817), 1,
      sym_keyword_count,
    ACTIONS(2819), 1,
      sym_keyword_group_concat,
    ACTIONS(2821), 1,
      sym_keyword_case,
    ACTIONS(2823), 1,
      sym_keyword_not,
    ACTIONS(2827), 1,
      sym_keyword_interval,
    ACTIONS(2829), 1,
      sym_keyword_array,
    ACTIONS(2831), 1,
      anon_sym_LPAREN,
    ACTIONS(2833), 1,
      anon_sym_DOT,
    ACTIONS(2835), 1,
      anon_sym_QMARK,
    ACTIONS(2837), 1,
      anon_sym_DOLLAR,
    ACTIONS(2839), 1,
      anon_sym_SQUOTE,
    ACTIONS(2841), 1,
      anon_sym_DASH,
    ACTIONS(2843), 1,
      anon_sym_DQUOTE,
    ACTIONS(2845), 1,
      sym__natural_number,
    ACTIONS(2847), 1,
      sym_bang,
    ACTIONS(2849), 1,
      anon_sym_BQUOTE,
    STATE(2612), 1,
      sym__expression,
    STATE(3329), 1,
      sym_identifier,
    STATE(3418), 1,
      sym_invocation,
    STATE(3422), 1,
      sym__double_quote_string,
    STATE(3447), 1,
      sym__integer,
    STATE(6476), 1,
      sym__alias_identifier,
    STATE(1891), 2,
      sym_comment,
      sym_marginalia,
    STATE(3561), 2,
      sym_count,
      sym_group_concat,
    STATE(3593), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(2825), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3562), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [139575] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2811), 1,
      sym__identifier,
    ACTIONS(2815), 1,
      sym_keyword_cast,
    ACTIONS(2817), 1,
      sym_keyword_count,
    ACTIONS(2819), 1,
      sym_keyword_group_concat,
    ACTIONS(2821), 1,
      sym_keyword_case,
    ACTIONS(2823), 1,
      sym_keyword_not,
    ACTIONS(2827), 1,
      sym_keyword_interval,
    ACTIONS(2829), 1,
      sym_keyword_array,
    ACTIONS(2831), 1,
      anon_sym_LPAREN,
    ACTIONS(2833), 1,
      anon_sym_DOT,
    ACTIONS(2835), 1,
      anon_sym_QMARK,
    ACTIONS(2837), 1,
      anon_sym_DOLLAR,
    ACTIONS(2839), 1,
      anon_sym_SQUOTE,
    ACTIONS(2841), 1,
      anon_sym_DASH,
    ACTIONS(2843), 1,
      anon_sym_DQUOTE,
    ACTIONS(2845), 1,
      sym__natural_number,
    ACTIONS(2847), 1,
      sym_bang,
    ACTIONS(2849), 1,
      anon_sym_BQUOTE,
    STATE(2664), 1,
      sym__expression,
    STATE(3329), 1,
      sym_identifier,
    STATE(3418), 1,
      sym_invocation,
    STATE(3422), 1,
      sym__double_quote_string,
    STATE(3447), 1,
      sym__integer,
    STATE(6476), 1,
      sym__alias_identifier,
    STATE(1892), 2,
      sym_comment,
      sym_marginalia,
    STATE(3561), 2,
      sym_count,
      sym_group_concat,
    STATE(3593), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(2825), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3562), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [139687] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2811), 1,
      sym__identifier,
    ACTIONS(2815), 1,
      sym_keyword_cast,
    ACTIONS(2817), 1,
      sym_keyword_count,
    ACTIONS(2819), 1,
      sym_keyword_group_concat,
    ACTIONS(2821), 1,
      sym_keyword_case,
    ACTIONS(2823), 1,
      sym_keyword_not,
    ACTIONS(2827), 1,
      sym_keyword_interval,
    ACTIONS(2829), 1,
      sym_keyword_array,
    ACTIONS(2831), 1,
      anon_sym_LPAREN,
    ACTIONS(2833), 1,
      anon_sym_DOT,
    ACTIONS(2835), 1,
      anon_sym_QMARK,
    ACTIONS(2837), 1,
      anon_sym_DOLLAR,
    ACTIONS(2839), 1,
      anon_sym_SQUOTE,
    ACTIONS(2841), 1,
      anon_sym_DASH,
    ACTIONS(2843), 1,
      anon_sym_DQUOTE,
    ACTIONS(2845), 1,
      sym__natural_number,
    ACTIONS(2847), 1,
      sym_bang,
    ACTIONS(2849), 1,
      anon_sym_BQUOTE,
    STATE(2638), 1,
      sym__expression,
    STATE(3329), 1,
      sym_identifier,
    STATE(3418), 1,
      sym_invocation,
    STATE(3422), 1,
      sym__double_quote_string,
    STATE(3447), 1,
      sym__integer,
    STATE(6476), 1,
      sym__alias_identifier,
    STATE(1893), 2,
      sym_comment,
      sym_marginalia,
    STATE(3561), 2,
      sym_count,
      sym_group_concat,
    STATE(3593), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(2825), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3562), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [139799] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4179), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1894), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [139911] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3429), 1,
      sym_keyword_cast,
    ACTIONS(3431), 1,
      sym_keyword_count,
    ACTIONS(3433), 1,
      sym_keyword_group_concat,
    ACTIONS(3435), 1,
      sym_keyword_case,
    ACTIONS(3441), 1,
      sym_keyword_interval,
    ACTIONS(3443), 1,
      sym_keyword_array,
    ACTIONS(3447), 1,
      anon_sym_DOT,
    ACTIONS(3449), 1,
      anon_sym_QMARK,
    ACTIONS(3451), 1,
      anon_sym_DOLLAR,
    ACTIONS(3453), 1,
      anon_sym_SQUOTE,
    ACTIONS(3455), 1,
      anon_sym_DASH,
    ACTIONS(3457), 1,
      anon_sym_DQUOTE,
    ACTIONS(3459), 1,
      sym__natural_number,
    ACTIONS(3575), 1,
      sym__identifier,
    ACTIONS(3579), 1,
      anon_sym_LPAREN,
    ACTIONS(3581), 1,
      sym_bang,
    ACTIONS(3583), 1,
      anon_sym_BQUOTE,
    ACTIONS(4087), 1,
      sym_keyword_not,
    STATE(197), 1,
      sym__expression,
    STATE(397), 1,
      sym__integer,
    STATE(398), 1,
      sym__double_quote_string,
    STATE(751), 1,
      sym_identifier,
    STATE(840), 1,
      sym_invocation,
    STATE(6909), 1,
      sym__alias_identifier,
    STATE(494), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(500), 2,
      sym_count,
      sym_group_concat,
    STATE(1895), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(499), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [140023] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3941), 1,
      sym__identifier,
    ACTIONS(3943), 1,
      sym_keyword_cast,
    ACTIONS(3945), 1,
      sym_keyword_count,
    ACTIONS(3947), 1,
      sym_keyword_group_concat,
    ACTIONS(3949), 1,
      sym_keyword_case,
    ACTIONS(3955), 1,
      sym_keyword_interval,
    ACTIONS(3957), 1,
      sym_keyword_array,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_DOT,
    ACTIONS(3963), 1,
      anon_sym_QMARK,
    ACTIONS(3965), 1,
      anon_sym_DOLLAR,
    ACTIONS(3967), 1,
      anon_sym_SQUOTE,
    ACTIONS(3969), 1,
      anon_sym_DASH,
    ACTIONS(3971), 1,
      anon_sym_DQUOTE,
    ACTIONS(3973), 1,
      sym__natural_number,
    ACTIONS(3975), 1,
      sym_bang,
    ACTIONS(3977), 1,
      anon_sym_BQUOTE,
    ACTIONS(4157), 1,
      sym_keyword_not,
    STATE(585), 1,
      sym__expression,
    STATE(1696), 1,
      sym_identifier,
    STATE(1930), 1,
      sym__integer,
    STATE(1931), 1,
      sym__double_quote_string,
    STATE(1932), 1,
      sym_invocation,
    STATE(6653), 1,
      sym__alias_identifier,
    STATE(1896), 2,
      sym_comment,
      sym_marginalia,
    STATE(2293), 2,
      sym_count,
      sym_group_concat,
    STATE(2305), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(3953), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2303), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [140135] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3429), 1,
      sym_keyword_cast,
    ACTIONS(3431), 1,
      sym_keyword_count,
    ACTIONS(3433), 1,
      sym_keyword_group_concat,
    ACTIONS(3435), 1,
      sym_keyword_case,
    ACTIONS(3441), 1,
      sym_keyword_interval,
    ACTIONS(3443), 1,
      sym_keyword_array,
    ACTIONS(3447), 1,
      anon_sym_DOT,
    ACTIONS(3449), 1,
      anon_sym_QMARK,
    ACTIONS(3451), 1,
      anon_sym_DOLLAR,
    ACTIONS(3453), 1,
      anon_sym_SQUOTE,
    ACTIONS(3455), 1,
      anon_sym_DASH,
    ACTIONS(3457), 1,
      anon_sym_DQUOTE,
    ACTIONS(3459), 1,
      sym__natural_number,
    ACTIONS(3575), 1,
      sym__identifier,
    ACTIONS(3579), 1,
      anon_sym_LPAREN,
    ACTIONS(3581), 1,
      sym_bang,
    ACTIONS(3583), 1,
      anon_sym_BQUOTE,
    ACTIONS(4087), 1,
      sym_keyword_not,
    STATE(190), 1,
      sym__expression,
    STATE(397), 1,
      sym__integer,
    STATE(398), 1,
      sym__double_quote_string,
    STATE(751), 1,
      sym_identifier,
    STATE(840), 1,
      sym_invocation,
    STATE(6909), 1,
      sym__alias_identifier,
    STATE(494), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(500), 2,
      sym_count,
      sym_group_concat,
    STATE(1897), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(499), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [140247] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3429), 1,
      sym_keyword_cast,
    ACTIONS(3431), 1,
      sym_keyword_count,
    ACTIONS(3433), 1,
      sym_keyword_group_concat,
    ACTIONS(3435), 1,
      sym_keyword_case,
    ACTIONS(3441), 1,
      sym_keyword_interval,
    ACTIONS(3443), 1,
      sym_keyword_array,
    ACTIONS(3447), 1,
      anon_sym_DOT,
    ACTIONS(3449), 1,
      anon_sym_QMARK,
    ACTIONS(3451), 1,
      anon_sym_DOLLAR,
    ACTIONS(3453), 1,
      anon_sym_SQUOTE,
    ACTIONS(3455), 1,
      anon_sym_DASH,
    ACTIONS(3457), 1,
      anon_sym_DQUOTE,
    ACTIONS(3459), 1,
      sym__natural_number,
    ACTIONS(3575), 1,
      sym__identifier,
    ACTIONS(3579), 1,
      anon_sym_LPAREN,
    ACTIONS(3581), 1,
      sym_bang,
    ACTIONS(3583), 1,
      anon_sym_BQUOTE,
    ACTIONS(4087), 1,
      sym_keyword_not,
    STATE(189), 1,
      sym__expression,
    STATE(397), 1,
      sym__integer,
    STATE(398), 1,
      sym__double_quote_string,
    STATE(751), 1,
      sym_identifier,
    STATE(840), 1,
      sym_invocation,
    STATE(6909), 1,
      sym__alias_identifier,
    STATE(494), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(500), 2,
      sym_count,
      sym_group_concat,
    STATE(1898), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(499), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [140359] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4159), 1,
      sym_keyword_zerofill,
    STATE(1899), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1329), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1327), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [140421] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4186), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1900), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [140533] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1901), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2205), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2207), 30,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [140593] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1915), 1,
      anon_sym_DOT,
    STATE(1902), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1913), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1911), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [140655] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1909), 1,
      anon_sym_DOT,
    STATE(1903), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1907), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1905), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [140717] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3811), 1,
      sym__identifier,
    ACTIONS(3813), 1,
      sym_keyword_cast,
    ACTIONS(3815), 1,
      sym_keyword_count,
    ACTIONS(3817), 1,
      sym_keyword_group_concat,
    ACTIONS(3819), 1,
      sym_keyword_case,
    ACTIONS(3825), 1,
      sym_keyword_interval,
    ACTIONS(3827), 1,
      sym_keyword_array,
    ACTIONS(3829), 1,
      anon_sym_LPAREN,
    ACTIONS(3831), 1,
      anon_sym_DOT,
    ACTIONS(3833), 1,
      anon_sym_QMARK,
    ACTIONS(3835), 1,
      anon_sym_DOLLAR,
    ACTIONS(3837), 1,
      anon_sym_SQUOTE,
    ACTIONS(3839), 1,
      anon_sym_DASH,
    ACTIONS(3841), 1,
      anon_sym_DQUOTE,
    ACTIONS(3843), 1,
      sym__natural_number,
    ACTIONS(3845), 1,
      sym_bang,
    ACTIONS(3847), 1,
      anon_sym_BQUOTE,
    ACTIONS(4083), 1,
      sym_keyword_not,
    STATE(3356), 1,
      sym__expression,
    STATE(4261), 1,
      sym_identifier,
    STATE(4339), 1,
      sym_invocation,
    STATE(4343), 1,
      sym__double_quote_string,
    STATE(4345), 1,
      sym__integer,
    STATE(6704), 1,
      sym__alias_identifier,
    STATE(1904), 2,
      sym_comment,
      sym_marginalia,
    STATE(4408), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(4452), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(3823), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(4422), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [140829] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3425), 1,
      sym__identifier,
    ACTIONS(3429), 1,
      sym_keyword_cast,
    ACTIONS(3431), 1,
      sym_keyword_count,
    ACTIONS(3433), 1,
      sym_keyword_group_concat,
    ACTIONS(3435), 1,
      sym_keyword_case,
    ACTIONS(3441), 1,
      sym_keyword_interval,
    ACTIONS(3443), 1,
      sym_keyword_array,
    ACTIONS(3445), 1,
      anon_sym_LPAREN,
    ACTIONS(3447), 1,
      anon_sym_DOT,
    ACTIONS(3449), 1,
      anon_sym_QMARK,
    ACTIONS(3451), 1,
      anon_sym_DOLLAR,
    ACTIONS(3453), 1,
      anon_sym_SQUOTE,
    ACTIONS(3455), 1,
      anon_sym_DASH,
    ACTIONS(3457), 1,
      anon_sym_DQUOTE,
    ACTIONS(3459), 1,
      sym__natural_number,
    ACTIONS(3461), 1,
      sym_bang,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    ACTIONS(4101), 1,
      sym_keyword_not,
    STATE(126), 1,
      sym__expression,
    STATE(397), 1,
      sym__integer,
    STATE(398), 1,
      sym__double_quote_string,
    STATE(459), 1,
      sym_identifier,
    STATE(753), 1,
      sym_invocation,
    STATE(6950), 1,
      sym__alias_identifier,
    STATE(494), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(500), 2,
      sym_count,
      sym_group_concat,
    STATE(1905), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(499), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [140941] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3429), 1,
      sym_keyword_cast,
    ACTIONS(3431), 1,
      sym_keyword_count,
    ACTIONS(3433), 1,
      sym_keyword_group_concat,
    ACTIONS(3435), 1,
      sym_keyword_case,
    ACTIONS(3439), 1,
      sym_keyword_null,
    ACTIONS(3441), 1,
      sym_keyword_interval,
    ACTIONS(3443), 1,
      sym_keyword_array,
    ACTIONS(3447), 1,
      anon_sym_DOT,
    ACTIONS(3449), 1,
      anon_sym_QMARK,
    ACTIONS(3451), 1,
      anon_sym_DOLLAR,
    ACTIONS(3453), 1,
      anon_sym_SQUOTE,
    ACTIONS(3455), 1,
      anon_sym_DASH,
    ACTIONS(3457), 1,
      anon_sym_DQUOTE,
    ACTIONS(3459), 1,
      sym__natural_number,
    ACTIONS(3575), 1,
      sym__identifier,
    ACTIONS(3579), 1,
      anon_sym_LPAREN,
    ACTIONS(3581), 1,
      sym_bang,
    ACTIONS(3583), 1,
      anon_sym_BQUOTE,
    ACTIONS(4087), 1,
      sym_keyword_not,
    STATE(247), 1,
      sym__expression,
    STATE(397), 1,
      sym__integer,
    STATE(398), 1,
      sym__double_quote_string,
    STATE(751), 1,
      sym_identifier,
    STATE(840), 1,
      sym_invocation,
    STATE(6909), 1,
      sym__alias_identifier,
    ACTIONS(4161), 2,
      sym_keyword_true,
      sym_keyword_false,
    STATE(494), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(500), 2,
      sym_count,
      sym_group_concat,
    STATE(1906), 2,
      sym_comment,
      sym_marginalia,
    STATE(499), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [141055] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3899), 1,
      sym__identifier,
    ACTIONS(3901), 1,
      sym_keyword_cast,
    ACTIONS(3903), 1,
      sym_keyword_count,
    ACTIONS(3905), 1,
      sym_keyword_group_concat,
    ACTIONS(3907), 1,
      sym_keyword_case,
    ACTIONS(3913), 1,
      sym_keyword_interval,
    ACTIONS(3915), 1,
      sym_keyword_array,
    ACTIONS(3917), 1,
      anon_sym_LPAREN,
    ACTIONS(3919), 1,
      anon_sym_DOT,
    ACTIONS(3921), 1,
      anon_sym_QMARK,
    ACTIONS(3923), 1,
      anon_sym_DOLLAR,
    ACTIONS(3925), 1,
      anon_sym_SQUOTE,
    ACTIONS(3927), 1,
      anon_sym_DASH,
    ACTIONS(3929), 1,
      anon_sym_DQUOTE,
    ACTIONS(3931), 1,
      sym__natural_number,
    ACTIONS(3933), 1,
      sym_bang,
    ACTIONS(3935), 1,
      anon_sym_BQUOTE,
    ACTIONS(4091), 1,
      sym_keyword_not,
    STATE(2614), 1,
      sym__expression,
    STATE(3328), 1,
      sym_identifier,
    STATE(3468), 1,
      sym_invocation,
    STATE(3527), 1,
      sym__double_quote_string,
    STATE(3528), 1,
      sym__integer,
    STATE(6991), 1,
      sym__alias_identifier,
    STATE(1907), 2,
      sym_comment,
      sym_marginalia,
    STATE(3545), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(3553), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(3911), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3555), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [141167] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3851), 1,
      sym__identifier,
    ACTIONS(3853), 1,
      sym_keyword_cast,
    ACTIONS(3855), 1,
      sym_keyword_count,
    ACTIONS(3857), 1,
      sym_keyword_group_concat,
    ACTIONS(3859), 1,
      sym_keyword_case,
    ACTIONS(3865), 1,
      sym_keyword_interval,
    ACTIONS(3867), 1,
      sym_keyword_array,
    ACTIONS(3869), 1,
      anon_sym_LPAREN,
    ACTIONS(3871), 1,
      anon_sym_DOT,
    ACTIONS(3873), 1,
      anon_sym_QMARK,
    ACTIONS(3875), 1,
      anon_sym_DOLLAR,
    ACTIONS(3877), 1,
      anon_sym_SQUOTE,
    ACTIONS(3879), 1,
      anon_sym_DASH,
    ACTIONS(3881), 1,
      anon_sym_DQUOTE,
    ACTIONS(3883), 1,
      sym__natural_number,
    ACTIONS(3885), 1,
      sym_bang,
    ACTIONS(3887), 1,
      anon_sym_BQUOTE,
    ACTIONS(4103), 1,
      sym_keyword_not,
    STATE(3261), 1,
      sym__expression,
    STATE(3399), 1,
      sym_identifier,
    STATE(3709), 1,
      sym__double_quote_string,
    STATE(3710), 1,
      sym__integer,
    STATE(3890), 1,
      sym_invocation,
    STATE(7032), 1,
      sym__alias_identifier,
    STATE(1908), 2,
      sym_comment,
      sym_marginalia,
    STATE(4042), 2,
      sym_count,
      sym_group_concat,
    STATE(4051), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(3863), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(4048), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [141279] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2297), 1,
      sym__identifier,
    ACTIONS(2301), 1,
      sym_keyword_cast,
    ACTIONS(2303), 1,
      sym_keyword_count,
    ACTIONS(2305), 1,
      sym_keyword_group_concat,
    ACTIONS(2307), 1,
      sym_keyword_case,
    ACTIONS(2309), 1,
      sym_keyword_not,
    ACTIONS(2313), 1,
      sym_keyword_interval,
    ACTIONS(2315), 1,
      sym_keyword_array,
    ACTIONS(2317), 1,
      anon_sym_LPAREN,
    ACTIONS(2319), 1,
      anon_sym_DOT,
    ACTIONS(2323), 1,
      anon_sym_QMARK,
    ACTIONS(2325), 1,
      anon_sym_DOLLAR,
    ACTIONS(2327), 1,
      anon_sym_SQUOTE,
    ACTIONS(2329), 1,
      anon_sym_DASH,
    ACTIONS(2331), 1,
      anon_sym_DQUOTE,
    ACTIONS(2333), 1,
      sym__natural_number,
    ACTIONS(2335), 1,
      sym_bang,
    ACTIONS(2337), 1,
      anon_sym_BQUOTE,
    STATE(2709), 1,
      sym__expression,
    STATE(3353), 1,
      sym_identifier,
    STATE(3459), 1,
      sym_invocation,
    STATE(3460), 1,
      sym__double_quote_string,
    STATE(3470), 1,
      sym__integer,
    STATE(6868), 1,
      sym__alias_identifier,
    STATE(1909), 2,
      sym_comment,
      sym_marginalia,
    STATE(3761), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(3886), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2311), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3882), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [141391] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3425), 1,
      sym__identifier,
    ACTIONS(3429), 1,
      sym_keyword_cast,
    ACTIONS(3431), 1,
      sym_keyword_count,
    ACTIONS(3433), 1,
      sym_keyword_group_concat,
    ACTIONS(3435), 1,
      sym_keyword_case,
    ACTIONS(3439), 1,
      sym_keyword_null,
    ACTIONS(3441), 1,
      sym_keyword_interval,
    ACTIONS(3443), 1,
      sym_keyword_array,
    ACTIONS(3445), 1,
      anon_sym_LPAREN,
    ACTIONS(3447), 1,
      anon_sym_DOT,
    ACTIONS(3449), 1,
      anon_sym_QMARK,
    ACTIONS(3451), 1,
      anon_sym_DOLLAR,
    ACTIONS(3453), 1,
      anon_sym_SQUOTE,
    ACTIONS(3455), 1,
      anon_sym_DASH,
    ACTIONS(3457), 1,
      anon_sym_DQUOTE,
    ACTIONS(3459), 1,
      sym__natural_number,
    ACTIONS(3461), 1,
      sym_bang,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    ACTIONS(4101), 1,
      sym_keyword_not,
    STATE(116), 1,
      sym__expression,
    STATE(397), 1,
      sym__integer,
    STATE(398), 1,
      sym__double_quote_string,
    STATE(459), 1,
      sym_identifier,
    STATE(753), 1,
      sym_invocation,
    STATE(6950), 1,
      sym__alias_identifier,
    ACTIONS(4089), 2,
      sym_keyword_true,
      sym_keyword_false,
    STATE(494), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(500), 2,
      sym_count,
      sym_group_concat,
    STATE(1910), 2,
      sym_comment,
      sym_marginalia,
    STATE(499), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [141505] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3811), 1,
      sym__identifier,
    ACTIONS(3813), 1,
      sym_keyword_cast,
    ACTIONS(3815), 1,
      sym_keyword_count,
    ACTIONS(3817), 1,
      sym_keyword_group_concat,
    ACTIONS(3819), 1,
      sym_keyword_case,
    ACTIONS(3825), 1,
      sym_keyword_interval,
    ACTIONS(3827), 1,
      sym_keyword_array,
    ACTIONS(3829), 1,
      anon_sym_LPAREN,
    ACTIONS(3831), 1,
      anon_sym_DOT,
    ACTIONS(3833), 1,
      anon_sym_QMARK,
    ACTIONS(3835), 1,
      anon_sym_DOLLAR,
    ACTIONS(3837), 1,
      anon_sym_SQUOTE,
    ACTIONS(3839), 1,
      anon_sym_DASH,
    ACTIONS(3841), 1,
      anon_sym_DQUOTE,
    ACTIONS(3843), 1,
      sym__natural_number,
    ACTIONS(3845), 1,
      sym_bang,
    ACTIONS(3847), 1,
      anon_sym_BQUOTE,
    ACTIONS(4083), 1,
      sym_keyword_not,
    STATE(3363), 1,
      sym__expression,
    STATE(4261), 1,
      sym_identifier,
    STATE(4339), 1,
      sym_invocation,
    STATE(4343), 1,
      sym__double_quote_string,
    STATE(4345), 1,
      sym__integer,
    STATE(6704), 1,
      sym__alias_identifier,
    STATE(1911), 2,
      sym_comment,
      sym_marginalia,
    STATE(4408), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(4452), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(3823), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(4422), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [141617] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4163), 1,
      sym__natural_number,
    STATE(1912), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1901), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1899), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [141679] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3941), 1,
      sym__identifier,
    ACTIONS(3943), 1,
      sym_keyword_cast,
    ACTIONS(3945), 1,
      sym_keyword_count,
    ACTIONS(3947), 1,
      sym_keyword_group_concat,
    ACTIONS(3949), 1,
      sym_keyword_case,
    ACTIONS(3955), 1,
      sym_keyword_interval,
    ACTIONS(3957), 1,
      sym_keyword_array,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_DOT,
    ACTIONS(3963), 1,
      anon_sym_QMARK,
    ACTIONS(3965), 1,
      anon_sym_DOLLAR,
    ACTIONS(3967), 1,
      anon_sym_SQUOTE,
    ACTIONS(3969), 1,
      anon_sym_DASH,
    ACTIONS(3971), 1,
      anon_sym_DQUOTE,
    ACTIONS(3973), 1,
      sym__natural_number,
    ACTIONS(3975), 1,
      sym_bang,
    ACTIONS(3977), 1,
      anon_sym_BQUOTE,
    ACTIONS(4157), 1,
      sym_keyword_not,
    STATE(592), 1,
      sym__expression,
    STATE(1696), 1,
      sym_identifier,
    STATE(1930), 1,
      sym__integer,
    STATE(1931), 1,
      sym__double_quote_string,
    STATE(1932), 1,
      sym_invocation,
    STATE(6653), 1,
      sym__alias_identifier,
    STATE(1913), 2,
      sym_comment,
      sym_marginalia,
    STATE(2293), 2,
      sym_count,
      sym_group_concat,
    STATE(2305), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(3953), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2303), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [141791] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3941), 1,
      sym__identifier,
    ACTIONS(3943), 1,
      sym_keyword_cast,
    ACTIONS(3945), 1,
      sym_keyword_count,
    ACTIONS(3947), 1,
      sym_keyword_group_concat,
    ACTIONS(3949), 1,
      sym_keyword_case,
    ACTIONS(3955), 1,
      sym_keyword_interval,
    ACTIONS(3957), 1,
      sym_keyword_array,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_DOT,
    ACTIONS(3963), 1,
      anon_sym_QMARK,
    ACTIONS(3965), 1,
      anon_sym_DOLLAR,
    ACTIONS(3967), 1,
      anon_sym_SQUOTE,
    ACTIONS(3969), 1,
      anon_sym_DASH,
    ACTIONS(3971), 1,
      anon_sym_DQUOTE,
    ACTIONS(3973), 1,
      sym__natural_number,
    ACTIONS(3975), 1,
      sym_bang,
    ACTIONS(3977), 1,
      anon_sym_BQUOTE,
    ACTIONS(4157), 1,
      sym_keyword_not,
    STATE(618), 1,
      sym__expression,
    STATE(1696), 1,
      sym_identifier,
    STATE(1930), 1,
      sym__integer,
    STATE(1931), 1,
      sym__double_quote_string,
    STATE(1932), 1,
      sym_invocation,
    STATE(6653), 1,
      sym__alias_identifier,
    STATE(1914), 2,
      sym_comment,
      sym_marginalia,
    STATE(2293), 2,
      sym_count,
      sym_group_concat,
    STATE(2305), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(3953), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2303), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [141903] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3743), 1,
      sym__identifier,
    ACTIONS(3745), 1,
      sym_keyword_cast,
    ACTIONS(3747), 1,
      sym_keyword_count,
    ACTIONS(3749), 1,
      sym_keyword_group_concat,
    ACTIONS(3751), 1,
      sym_keyword_case,
    ACTIONS(3757), 1,
      sym_keyword_interval,
    ACTIONS(3759), 1,
      sym_keyword_array,
    ACTIONS(3761), 1,
      anon_sym_LPAREN,
    ACTIONS(3763), 1,
      anon_sym_DOT,
    ACTIONS(3765), 1,
      anon_sym_QMARK,
    ACTIONS(3767), 1,
      anon_sym_DOLLAR,
    ACTIONS(3769), 1,
      anon_sym_SQUOTE,
    ACTIONS(3771), 1,
      anon_sym_DASH,
    ACTIONS(3773), 1,
      anon_sym_DQUOTE,
    ACTIONS(3775), 1,
      sym__natural_number,
    ACTIONS(3777), 1,
      sym_bang,
    ACTIONS(3779), 1,
      anon_sym_BQUOTE,
    ACTIONS(3891), 1,
      sym_keyword_not,
    STATE(271), 1,
      sym__expression,
    STATE(976), 1,
      sym_identifier,
    STATE(1003), 1,
      sym_invocation,
    STATE(1005), 1,
      sym__double_quote_string,
    STATE(1014), 1,
      sym__integer,
    STATE(6745), 1,
      sym__alias_identifier,
    STATE(1320), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(1331), 2,
      sym_count,
      sym_group_concat,
    STATE(1915), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3755), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(1329), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [142015] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3941), 1,
      sym__identifier,
    ACTIONS(3943), 1,
      sym_keyword_cast,
    ACTIONS(3945), 1,
      sym_keyword_count,
    ACTIONS(3947), 1,
      sym_keyword_group_concat,
    ACTIONS(3949), 1,
      sym_keyword_case,
    ACTIONS(3955), 1,
      sym_keyword_interval,
    ACTIONS(3957), 1,
      sym_keyword_array,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_DOT,
    ACTIONS(3963), 1,
      anon_sym_QMARK,
    ACTIONS(3965), 1,
      anon_sym_DOLLAR,
    ACTIONS(3967), 1,
      anon_sym_SQUOTE,
    ACTIONS(3969), 1,
      anon_sym_DASH,
    ACTIONS(3971), 1,
      anon_sym_DQUOTE,
    ACTIONS(3973), 1,
      sym__natural_number,
    ACTIONS(3975), 1,
      sym_bang,
    ACTIONS(3977), 1,
      anon_sym_BQUOTE,
    ACTIONS(4157), 1,
      sym_keyword_not,
    STATE(617), 1,
      sym__expression,
    STATE(1696), 1,
      sym_identifier,
    STATE(1930), 1,
      sym__integer,
    STATE(1931), 1,
      sym__double_quote_string,
    STATE(1932), 1,
      sym_invocation,
    STATE(6653), 1,
      sym__alias_identifier,
    STATE(1916), 2,
      sym_comment,
      sym_marginalia,
    STATE(2293), 2,
      sym_count,
      sym_group_concat,
    STATE(2305), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(3953), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2303), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [142127] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3941), 1,
      sym__identifier,
    ACTIONS(3943), 1,
      sym_keyword_cast,
    ACTIONS(3945), 1,
      sym_keyword_count,
    ACTIONS(3947), 1,
      sym_keyword_group_concat,
    ACTIONS(3949), 1,
      sym_keyword_case,
    ACTIONS(3955), 1,
      sym_keyword_interval,
    ACTIONS(3957), 1,
      sym_keyword_array,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_DOT,
    ACTIONS(3963), 1,
      anon_sym_QMARK,
    ACTIONS(3965), 1,
      anon_sym_DOLLAR,
    ACTIONS(3967), 1,
      anon_sym_SQUOTE,
    ACTIONS(3969), 1,
      anon_sym_DASH,
    ACTIONS(3971), 1,
      anon_sym_DQUOTE,
    ACTIONS(3973), 1,
      sym__natural_number,
    ACTIONS(3975), 1,
      sym_bang,
    ACTIONS(3977), 1,
      anon_sym_BQUOTE,
    ACTIONS(4157), 1,
      sym_keyword_not,
    STATE(616), 1,
      sym__expression,
    STATE(1696), 1,
      sym_identifier,
    STATE(1930), 1,
      sym__integer,
    STATE(1931), 1,
      sym__double_quote_string,
    STATE(1932), 1,
      sym_invocation,
    STATE(6653), 1,
      sym__alias_identifier,
    STATE(1917), 2,
      sym_comment,
      sym_marginalia,
    STATE(2293), 2,
      sym_count,
      sym_group_concat,
    STATE(2305), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(3953), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2303), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [142239] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3941), 1,
      sym__identifier,
    ACTIONS(3943), 1,
      sym_keyword_cast,
    ACTIONS(3945), 1,
      sym_keyword_count,
    ACTIONS(3947), 1,
      sym_keyword_group_concat,
    ACTIONS(3949), 1,
      sym_keyword_case,
    ACTIONS(3955), 1,
      sym_keyword_interval,
    ACTIONS(3957), 1,
      sym_keyword_array,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_DOT,
    ACTIONS(3963), 1,
      anon_sym_QMARK,
    ACTIONS(3965), 1,
      anon_sym_DOLLAR,
    ACTIONS(3967), 1,
      anon_sym_SQUOTE,
    ACTIONS(3969), 1,
      anon_sym_DASH,
    ACTIONS(3971), 1,
      anon_sym_DQUOTE,
    ACTIONS(3973), 1,
      sym__natural_number,
    ACTIONS(3975), 1,
      sym_bang,
    ACTIONS(3977), 1,
      anon_sym_BQUOTE,
    ACTIONS(4157), 1,
      sym_keyword_not,
    STATE(615), 1,
      sym__expression,
    STATE(1696), 1,
      sym_identifier,
    STATE(1930), 1,
      sym__integer,
    STATE(1931), 1,
      sym__double_quote_string,
    STATE(1932), 1,
      sym_invocation,
    STATE(6653), 1,
      sym__alias_identifier,
    STATE(1918), 2,
      sym_comment,
      sym_marginalia,
    STATE(2293), 2,
      sym_count,
      sym_group_concat,
    STATE(2305), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(3953), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2303), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [142351] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3941), 1,
      sym__identifier,
    ACTIONS(3943), 1,
      sym_keyword_cast,
    ACTIONS(3945), 1,
      sym_keyword_count,
    ACTIONS(3947), 1,
      sym_keyword_group_concat,
    ACTIONS(3949), 1,
      sym_keyword_case,
    ACTIONS(3955), 1,
      sym_keyword_interval,
    ACTIONS(3957), 1,
      sym_keyword_array,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_DOT,
    ACTIONS(3963), 1,
      anon_sym_QMARK,
    ACTIONS(3965), 1,
      anon_sym_DOLLAR,
    ACTIONS(3967), 1,
      anon_sym_SQUOTE,
    ACTIONS(3969), 1,
      anon_sym_DASH,
    ACTIONS(3971), 1,
      anon_sym_DQUOTE,
    ACTIONS(3973), 1,
      sym__natural_number,
    ACTIONS(3975), 1,
      sym_bang,
    ACTIONS(3977), 1,
      anon_sym_BQUOTE,
    ACTIONS(4157), 1,
      sym_keyword_not,
    STATE(595), 1,
      sym__expression,
    STATE(1696), 1,
      sym_identifier,
    STATE(1930), 1,
      sym__integer,
    STATE(1931), 1,
      sym__double_quote_string,
    STATE(1932), 1,
      sym_invocation,
    STATE(6653), 1,
      sym__alias_identifier,
    STATE(1919), 2,
      sym_comment,
      sym_marginalia,
    STATE(2293), 2,
      sym_count,
      sym_group_concat,
    STATE(2305), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(3953), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2303), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [142463] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3941), 1,
      sym__identifier,
    ACTIONS(3943), 1,
      sym_keyword_cast,
    ACTIONS(3945), 1,
      sym_keyword_count,
    ACTIONS(3947), 1,
      sym_keyword_group_concat,
    ACTIONS(3949), 1,
      sym_keyword_case,
    ACTIONS(3955), 1,
      sym_keyword_interval,
    ACTIONS(3957), 1,
      sym_keyword_array,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_DOT,
    ACTIONS(3963), 1,
      anon_sym_QMARK,
    ACTIONS(3965), 1,
      anon_sym_DOLLAR,
    ACTIONS(3967), 1,
      anon_sym_SQUOTE,
    ACTIONS(3969), 1,
      anon_sym_DASH,
    ACTIONS(3971), 1,
      anon_sym_DQUOTE,
    ACTIONS(3973), 1,
      sym__natural_number,
    ACTIONS(3975), 1,
      sym_bang,
    ACTIONS(3977), 1,
      anon_sym_BQUOTE,
    ACTIONS(4157), 1,
      sym_keyword_not,
    STATE(593), 1,
      sym__expression,
    STATE(1696), 1,
      sym_identifier,
    STATE(1930), 1,
      sym__integer,
    STATE(1931), 1,
      sym__double_quote_string,
    STATE(1932), 1,
      sym_invocation,
    STATE(6653), 1,
      sym__alias_identifier,
    STATE(1920), 2,
      sym_comment,
      sym_marginalia,
    STATE(2293), 2,
      sym_count,
      sym_group_concat,
    STATE(2305), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(3953), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2303), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [142575] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3899), 1,
      sym__identifier,
    ACTIONS(3901), 1,
      sym_keyword_cast,
    ACTIONS(3903), 1,
      sym_keyword_count,
    ACTIONS(3905), 1,
      sym_keyword_group_concat,
    ACTIONS(3907), 1,
      sym_keyword_case,
    ACTIONS(3913), 1,
      sym_keyword_interval,
    ACTIONS(3915), 1,
      sym_keyword_array,
    ACTIONS(3917), 1,
      anon_sym_LPAREN,
    ACTIONS(3919), 1,
      anon_sym_DOT,
    ACTIONS(3921), 1,
      anon_sym_QMARK,
    ACTIONS(3923), 1,
      anon_sym_DOLLAR,
    ACTIONS(3925), 1,
      anon_sym_SQUOTE,
    ACTIONS(3927), 1,
      anon_sym_DASH,
    ACTIONS(3929), 1,
      anon_sym_DQUOTE,
    ACTIONS(3931), 1,
      sym__natural_number,
    ACTIONS(3933), 1,
      sym_bang,
    ACTIONS(3935), 1,
      anon_sym_BQUOTE,
    ACTIONS(4091), 1,
      sym_keyword_not,
    STATE(2626), 1,
      sym__expression,
    STATE(3328), 1,
      sym_identifier,
    STATE(3468), 1,
      sym_invocation,
    STATE(3527), 1,
      sym__double_quote_string,
    STATE(3528), 1,
      sym__integer,
    STATE(6991), 1,
      sym__alias_identifier,
    STATE(1921), 2,
      sym_comment,
      sym_marginalia,
    STATE(3545), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(3553), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(3911), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3555), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [142687] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3941), 1,
      sym__identifier,
    ACTIONS(3943), 1,
      sym_keyword_cast,
    ACTIONS(3945), 1,
      sym_keyword_count,
    ACTIONS(3947), 1,
      sym_keyword_group_concat,
    ACTIONS(3949), 1,
      sym_keyword_case,
    ACTIONS(3955), 1,
      sym_keyword_interval,
    ACTIONS(3957), 1,
      sym_keyword_array,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_DOT,
    ACTIONS(3963), 1,
      anon_sym_QMARK,
    ACTIONS(3965), 1,
      anon_sym_DOLLAR,
    ACTIONS(3967), 1,
      anon_sym_SQUOTE,
    ACTIONS(3969), 1,
      anon_sym_DASH,
    ACTIONS(3971), 1,
      anon_sym_DQUOTE,
    ACTIONS(3973), 1,
      sym__natural_number,
    ACTIONS(3975), 1,
      sym_bang,
    ACTIONS(3977), 1,
      anon_sym_BQUOTE,
    ACTIONS(4157), 1,
      sym_keyword_not,
    STATE(591), 1,
      sym__expression,
    STATE(1696), 1,
      sym_identifier,
    STATE(1930), 1,
      sym__integer,
    STATE(1931), 1,
      sym__double_quote_string,
    STATE(1932), 1,
      sym_invocation,
    STATE(6653), 1,
      sym__alias_identifier,
    STATE(1922), 2,
      sym_comment,
      sym_marginalia,
    STATE(2293), 2,
      sym_count,
      sym_group_concat,
    STATE(2305), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(3953), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2303), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [142799] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3941), 1,
      sym__identifier,
    ACTIONS(3943), 1,
      sym_keyword_cast,
    ACTIONS(3945), 1,
      sym_keyword_count,
    ACTIONS(3947), 1,
      sym_keyword_group_concat,
    ACTIONS(3949), 1,
      sym_keyword_case,
    ACTIONS(3955), 1,
      sym_keyword_interval,
    ACTIONS(3957), 1,
      sym_keyword_array,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_DOT,
    ACTIONS(3963), 1,
      anon_sym_QMARK,
    ACTIONS(3965), 1,
      anon_sym_DOLLAR,
    ACTIONS(3967), 1,
      anon_sym_SQUOTE,
    ACTIONS(3969), 1,
      anon_sym_DASH,
    ACTIONS(3971), 1,
      anon_sym_DQUOTE,
    ACTIONS(3973), 1,
      sym__natural_number,
    ACTIONS(3975), 1,
      sym_bang,
    ACTIONS(3977), 1,
      anon_sym_BQUOTE,
    ACTIONS(4157), 1,
      sym_keyword_not,
    STATE(590), 1,
      sym__expression,
    STATE(1696), 1,
      sym_identifier,
    STATE(1930), 1,
      sym__integer,
    STATE(1931), 1,
      sym__double_quote_string,
    STATE(1932), 1,
      sym_invocation,
    STATE(6653), 1,
      sym__alias_identifier,
    STATE(1923), 2,
      sym_comment,
      sym_marginalia,
    STATE(2293), 2,
      sym_count,
      sym_group_concat,
    STATE(2305), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(3953), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2303), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [142911] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3941), 1,
      sym__identifier,
    ACTIONS(3943), 1,
      sym_keyword_cast,
    ACTIONS(3945), 1,
      sym_keyword_count,
    ACTIONS(3947), 1,
      sym_keyword_group_concat,
    ACTIONS(3949), 1,
      sym_keyword_case,
    ACTIONS(3955), 1,
      sym_keyword_interval,
    ACTIONS(3957), 1,
      sym_keyword_array,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_DOT,
    ACTIONS(3963), 1,
      anon_sym_QMARK,
    ACTIONS(3965), 1,
      anon_sym_DOLLAR,
    ACTIONS(3967), 1,
      anon_sym_SQUOTE,
    ACTIONS(3969), 1,
      anon_sym_DASH,
    ACTIONS(3971), 1,
      anon_sym_DQUOTE,
    ACTIONS(3973), 1,
      sym__natural_number,
    ACTIONS(3975), 1,
      sym_bang,
    ACTIONS(3977), 1,
      anon_sym_BQUOTE,
    ACTIONS(4157), 1,
      sym_keyword_not,
    STATE(588), 1,
      sym__expression,
    STATE(1696), 1,
      sym_identifier,
    STATE(1930), 1,
      sym__integer,
    STATE(1931), 1,
      sym__double_quote_string,
    STATE(1932), 1,
      sym_invocation,
    STATE(6653), 1,
      sym__alias_identifier,
    STATE(1924), 2,
      sym_comment,
      sym_marginalia,
    STATE(2293), 2,
      sym_count,
      sym_group_concat,
    STATE(2305), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(3953), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2303), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [143023] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1925), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2133), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2131), 39,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [143083] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4358), 1,
      sym__expression,
    STATE(4522), 1,
      sym_identifier,
    STATE(4563), 1,
      sym_binary_expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1926), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 13,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [143197] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3899), 1,
      sym__identifier,
    ACTIONS(3901), 1,
      sym_keyword_cast,
    ACTIONS(3903), 1,
      sym_keyword_count,
    ACTIONS(3905), 1,
      sym_keyword_group_concat,
    ACTIONS(3907), 1,
      sym_keyword_case,
    ACTIONS(3913), 1,
      sym_keyword_interval,
    ACTIONS(3915), 1,
      sym_keyword_array,
    ACTIONS(3917), 1,
      anon_sym_LPAREN,
    ACTIONS(3919), 1,
      anon_sym_DOT,
    ACTIONS(3921), 1,
      anon_sym_QMARK,
    ACTIONS(3923), 1,
      anon_sym_DOLLAR,
    ACTIONS(3925), 1,
      anon_sym_SQUOTE,
    ACTIONS(3927), 1,
      anon_sym_DASH,
    ACTIONS(3929), 1,
      anon_sym_DQUOTE,
    ACTIONS(3931), 1,
      sym__natural_number,
    ACTIONS(3933), 1,
      sym_bang,
    ACTIONS(3935), 1,
      anon_sym_BQUOTE,
    ACTIONS(4091), 1,
      sym_keyword_not,
    STATE(2627), 1,
      sym__expression,
    STATE(3328), 1,
      sym_identifier,
    STATE(3468), 1,
      sym_invocation,
    STATE(3527), 1,
      sym__double_quote_string,
    STATE(3528), 1,
      sym__integer,
    STATE(6991), 1,
      sym__alias_identifier,
    STATE(1927), 2,
      sym_comment,
      sym_marginalia,
    STATE(3545), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(3553), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(3911), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3555), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [143309] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1928), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(957), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(955), 39,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [143369] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3473), 1,
      sym__identifier,
    ACTIONS(3475), 1,
      sym_keyword_cast,
    ACTIONS(3477), 1,
      sym_keyword_count,
    ACTIONS(3479), 1,
      sym_keyword_group_concat,
    ACTIONS(3481), 1,
      sym_keyword_case,
    ACTIONS(3483), 1,
      sym_keyword_not,
    ACTIONS(3487), 1,
      sym_keyword_interval,
    ACTIONS(3489), 1,
      sym_keyword_array,
    ACTIONS(3491), 1,
      anon_sym_LPAREN,
    ACTIONS(3493), 1,
      anon_sym_DOT,
    ACTIONS(3495), 1,
      anon_sym_QMARK,
    ACTIONS(3497), 1,
      anon_sym_DOLLAR,
    ACTIONS(3499), 1,
      anon_sym_SQUOTE,
    ACTIONS(3501), 1,
      anon_sym_DASH,
    ACTIONS(3503), 1,
      anon_sym_DQUOTE,
    ACTIONS(3505), 1,
      sym__natural_number,
    ACTIONS(3507), 1,
      sym_bang,
    ACTIONS(3509), 1,
      anon_sym_BQUOTE,
    STATE(83), 1,
      sym__expression,
    STATE(368), 1,
      sym_identifier,
    STATE(603), 1,
      sym__integer,
    STATE(604), 1,
      sym__double_quote_string,
    STATE(605), 1,
      sym_invocation,
    STATE(6786), 1,
      sym__alias_identifier,
    STATE(629), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(656), 2,
      sym_count,
      sym_group_concat,
    STATE(1929), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3485), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(654), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [143481] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4165), 1,
      anon_sym_DOT,
    STATE(1930), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2003), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2001), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [143543] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1909), 1,
      anon_sym_DOT,
    STATE(1931), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2009), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2007), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [143605] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4167), 1,
      sym_keyword_over,
    STATE(1932), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2211), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2209), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [143667] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1933), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2017), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2015), 39,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [143727] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3425), 1,
      sym__identifier,
    ACTIONS(3429), 1,
      sym_keyword_cast,
    ACTIONS(3431), 1,
      sym_keyword_count,
    ACTIONS(3433), 1,
      sym_keyword_group_concat,
    ACTIONS(3435), 1,
      sym_keyword_case,
    ACTIONS(3439), 1,
      sym_keyword_null,
    ACTIONS(3441), 1,
      sym_keyword_interval,
    ACTIONS(3443), 1,
      sym_keyword_array,
    ACTIONS(3445), 1,
      anon_sym_LPAREN,
    ACTIONS(3447), 1,
      anon_sym_DOT,
    ACTIONS(3449), 1,
      anon_sym_QMARK,
    ACTIONS(3451), 1,
      anon_sym_DOLLAR,
    ACTIONS(3453), 1,
      anon_sym_SQUOTE,
    ACTIONS(3455), 1,
      anon_sym_DASH,
    ACTIONS(3457), 1,
      anon_sym_DQUOTE,
    ACTIONS(3459), 1,
      sym__natural_number,
    ACTIONS(3461), 1,
      sym_bang,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    ACTIONS(4101), 1,
      sym_keyword_not,
    STATE(115), 1,
      sym__expression,
    STATE(397), 1,
      sym__integer,
    STATE(398), 1,
      sym__double_quote_string,
    STATE(459), 1,
      sym_identifier,
    STATE(753), 1,
      sym_invocation,
    STATE(6950), 1,
      sym__alias_identifier,
    ACTIONS(4169), 2,
      sym_keyword_true,
      sym_keyword_false,
    STATE(494), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(500), 2,
      sym_count,
      sym_group_concat,
    STATE(1934), 2,
      sym_comment,
      sym_marginalia,
    STATE(499), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [143841] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3425), 1,
      sym__identifier,
    ACTIONS(3429), 1,
      sym_keyword_cast,
    ACTIONS(3431), 1,
      sym_keyword_count,
    ACTIONS(3433), 1,
      sym_keyword_group_concat,
    ACTIONS(3435), 1,
      sym_keyword_case,
    ACTIONS(3439), 1,
      sym_keyword_null,
    ACTIONS(3441), 1,
      sym_keyword_interval,
    ACTIONS(3443), 1,
      sym_keyword_array,
    ACTIONS(3445), 1,
      anon_sym_LPAREN,
    ACTIONS(3447), 1,
      anon_sym_DOT,
    ACTIONS(3449), 1,
      anon_sym_QMARK,
    ACTIONS(3451), 1,
      anon_sym_DOLLAR,
    ACTIONS(3453), 1,
      anon_sym_SQUOTE,
    ACTIONS(3455), 1,
      anon_sym_DASH,
    ACTIONS(3457), 1,
      anon_sym_DQUOTE,
    ACTIONS(3459), 1,
      sym__natural_number,
    ACTIONS(3461), 1,
      sym_bang,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    ACTIONS(4101), 1,
      sym_keyword_not,
    STATE(114), 1,
      sym__expression,
    STATE(397), 1,
      sym__integer,
    STATE(398), 1,
      sym__double_quote_string,
    STATE(459), 1,
      sym_identifier,
    STATE(753), 1,
      sym_invocation,
    STATE(6950), 1,
      sym__alias_identifier,
    ACTIONS(4171), 2,
      sym_keyword_true,
      sym_keyword_false,
    STATE(494), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(500), 2,
      sym_count,
      sym_group_concat,
    STATE(1935), 2,
      sym_comment,
      sym_marginalia,
    STATE(499), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [143955] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3429), 1,
      sym_keyword_cast,
    ACTIONS(3431), 1,
      sym_keyword_count,
    ACTIONS(3433), 1,
      sym_keyword_group_concat,
    ACTIONS(3435), 1,
      sym_keyword_case,
    ACTIONS(3441), 1,
      sym_keyword_interval,
    ACTIONS(3443), 1,
      sym_keyword_array,
    ACTIONS(3447), 1,
      anon_sym_DOT,
    ACTIONS(3449), 1,
      anon_sym_QMARK,
    ACTIONS(3451), 1,
      anon_sym_DOLLAR,
    ACTIONS(3453), 1,
      anon_sym_SQUOTE,
    ACTIONS(3455), 1,
      anon_sym_DASH,
    ACTIONS(3457), 1,
      anon_sym_DQUOTE,
    ACTIONS(3459), 1,
      sym__natural_number,
    ACTIONS(3575), 1,
      sym__identifier,
    ACTIONS(3579), 1,
      anon_sym_LPAREN,
    ACTIONS(3581), 1,
      sym_bang,
    ACTIONS(3583), 1,
      anon_sym_BQUOTE,
    ACTIONS(4087), 1,
      sym_keyword_not,
    STATE(260), 1,
      sym__expression,
    STATE(397), 1,
      sym__integer,
    STATE(398), 1,
      sym__double_quote_string,
    STATE(751), 1,
      sym_identifier,
    STATE(840), 1,
      sym_invocation,
    STATE(6909), 1,
      sym__alias_identifier,
    STATE(494), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(500), 2,
      sym_count,
      sym_group_concat,
    STATE(1936), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(499), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [144067] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3425), 1,
      sym__identifier,
    ACTIONS(3429), 1,
      sym_keyword_cast,
    ACTIONS(3431), 1,
      sym_keyword_count,
    ACTIONS(3433), 1,
      sym_keyword_group_concat,
    ACTIONS(3435), 1,
      sym_keyword_case,
    ACTIONS(3439), 1,
      sym_keyword_null,
    ACTIONS(3441), 1,
      sym_keyword_interval,
    ACTIONS(3443), 1,
      sym_keyword_array,
    ACTIONS(3445), 1,
      anon_sym_LPAREN,
    ACTIONS(3447), 1,
      anon_sym_DOT,
    ACTIONS(3449), 1,
      anon_sym_QMARK,
    ACTIONS(3451), 1,
      anon_sym_DOLLAR,
    ACTIONS(3453), 1,
      anon_sym_SQUOTE,
    ACTIONS(3455), 1,
      anon_sym_DASH,
    ACTIONS(3457), 1,
      anon_sym_DQUOTE,
    ACTIONS(3459), 1,
      sym__natural_number,
    ACTIONS(3461), 1,
      sym_bang,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    ACTIONS(4101), 1,
      sym_keyword_not,
    STATE(113), 1,
      sym__expression,
    STATE(397), 1,
      sym__integer,
    STATE(398), 1,
      sym__double_quote_string,
    STATE(459), 1,
      sym_identifier,
    STATE(753), 1,
      sym_invocation,
    STATE(6950), 1,
      sym__alias_identifier,
    ACTIONS(4173), 2,
      sym_keyword_true,
      sym_keyword_false,
    STATE(494), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(500), 2,
      sym_count,
      sym_group_concat,
    STATE(1937), 2,
      sym_comment,
      sym_marginalia,
    STATE(499), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [144181] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(3869), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1938), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [144293] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3899), 1,
      sym__identifier,
    ACTIONS(3901), 1,
      sym_keyword_cast,
    ACTIONS(3903), 1,
      sym_keyword_count,
    ACTIONS(3905), 1,
      sym_keyword_group_concat,
    ACTIONS(3907), 1,
      sym_keyword_case,
    ACTIONS(3913), 1,
      sym_keyword_interval,
    ACTIONS(3915), 1,
      sym_keyword_array,
    ACTIONS(3917), 1,
      anon_sym_LPAREN,
    ACTIONS(3919), 1,
      anon_sym_DOT,
    ACTIONS(3921), 1,
      anon_sym_QMARK,
    ACTIONS(3923), 1,
      anon_sym_DOLLAR,
    ACTIONS(3925), 1,
      anon_sym_SQUOTE,
    ACTIONS(3927), 1,
      anon_sym_DASH,
    ACTIONS(3929), 1,
      anon_sym_DQUOTE,
    ACTIONS(3931), 1,
      sym__natural_number,
    ACTIONS(3933), 1,
      sym_bang,
    ACTIONS(3935), 1,
      anon_sym_BQUOTE,
    ACTIONS(4091), 1,
      sym_keyword_not,
    STATE(2628), 1,
      sym__expression,
    STATE(3328), 1,
      sym_identifier,
    STATE(3468), 1,
      sym_invocation,
    STATE(3527), 1,
      sym__double_quote_string,
    STATE(3528), 1,
      sym__integer,
    STATE(6991), 1,
      sym__alias_identifier,
    STATE(1939), 2,
      sym_comment,
      sym_marginalia,
    STATE(3545), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(3553), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(3911), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3555), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [144405] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3681), 1,
      sym__identifier,
    ACTIONS(3683), 1,
      sym_keyword_cast,
    ACTIONS(3685), 1,
      sym_keyword_count,
    ACTIONS(3687), 1,
      sym_keyword_group_concat,
    ACTIONS(3689), 1,
      sym_keyword_case,
    ACTIONS(3695), 1,
      sym_keyword_interval,
    ACTIONS(3697), 1,
      sym_keyword_array,
    ACTIONS(3699), 1,
      anon_sym_LPAREN,
    ACTIONS(3701), 1,
      anon_sym_DOT,
    ACTIONS(3703), 1,
      anon_sym_QMARK,
    ACTIONS(3705), 1,
      anon_sym_DOLLAR,
    ACTIONS(3707), 1,
      anon_sym_SQUOTE,
    ACTIONS(3709), 1,
      anon_sym_DASH,
    ACTIONS(3711), 1,
      anon_sym_DQUOTE,
    ACTIONS(3713), 1,
      sym__natural_number,
    ACTIONS(3715), 1,
      sym_bang,
    ACTIONS(3717), 1,
      anon_sym_BQUOTE,
    ACTIONS(3805), 1,
      sym_keyword_not,
    STATE(2325), 1,
      sym__expression,
    STATE(2777), 1,
      sym_identifier,
    STATE(2929), 1,
      sym_invocation,
    STATE(2970), 1,
      sym__double_quote_string,
    STATE(2971), 1,
      sym__integer,
    STATE(6827), 1,
      sym__alias_identifier,
    STATE(1940), 2,
      sym_comment,
      sym_marginalia,
    STATE(3135), 2,
      sym_count,
      sym_group_concat,
    STATE(3149), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(3693), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3136), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [144517] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1941), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2365), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2367), 30,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [144577] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2811), 1,
      sym__identifier,
    ACTIONS(2815), 1,
      sym_keyword_cast,
    ACTIONS(2817), 1,
      sym_keyword_count,
    ACTIONS(2819), 1,
      sym_keyword_group_concat,
    ACTIONS(2821), 1,
      sym_keyword_case,
    ACTIONS(2823), 1,
      sym_keyword_not,
    ACTIONS(2827), 1,
      sym_keyword_interval,
    ACTIONS(2829), 1,
      sym_keyword_array,
    ACTIONS(2831), 1,
      anon_sym_LPAREN,
    ACTIONS(2833), 1,
      anon_sym_DOT,
    ACTIONS(2835), 1,
      anon_sym_QMARK,
    ACTIONS(2837), 1,
      anon_sym_DOLLAR,
    ACTIONS(2839), 1,
      anon_sym_SQUOTE,
    ACTIONS(2841), 1,
      anon_sym_DASH,
    ACTIONS(2843), 1,
      anon_sym_DQUOTE,
    ACTIONS(2845), 1,
      sym__natural_number,
    ACTIONS(2847), 1,
      sym_bang,
    ACTIONS(2849), 1,
      anon_sym_BQUOTE,
    STATE(3315), 1,
      sym__expression,
    STATE(3329), 1,
      sym_identifier,
    STATE(3418), 1,
      sym_invocation,
    STATE(3422), 1,
      sym__double_quote_string,
    STATE(3447), 1,
      sym__integer,
    STATE(6476), 1,
      sym__alias_identifier,
    STATE(1942), 2,
      sym_comment,
      sym_marginalia,
    STATE(3561), 2,
      sym_count,
      sym_group_concat,
    STATE(3593), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(2825), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3562), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [144689] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3425), 1,
      sym__identifier,
    ACTIONS(3429), 1,
      sym_keyword_cast,
    ACTIONS(3431), 1,
      sym_keyword_count,
    ACTIONS(3433), 1,
      sym_keyword_group_concat,
    ACTIONS(3435), 1,
      sym_keyword_case,
    ACTIONS(3439), 1,
      sym_keyword_null,
    ACTIONS(3441), 1,
      sym_keyword_interval,
    ACTIONS(3443), 1,
      sym_keyword_array,
    ACTIONS(3445), 1,
      anon_sym_LPAREN,
    ACTIONS(3447), 1,
      anon_sym_DOT,
    ACTIONS(3449), 1,
      anon_sym_QMARK,
    ACTIONS(3451), 1,
      anon_sym_DOLLAR,
    ACTIONS(3453), 1,
      anon_sym_SQUOTE,
    ACTIONS(3455), 1,
      anon_sym_DASH,
    ACTIONS(3457), 1,
      anon_sym_DQUOTE,
    ACTIONS(3459), 1,
      sym__natural_number,
    ACTIONS(3461), 1,
      sym_bang,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    ACTIONS(4101), 1,
      sym_keyword_not,
    STATE(112), 1,
      sym__expression,
    STATE(397), 1,
      sym__integer,
    STATE(398), 1,
      sym__double_quote_string,
    STATE(459), 1,
      sym_identifier,
    STATE(753), 1,
      sym_invocation,
    STATE(6950), 1,
      sym__alias_identifier,
    ACTIONS(4175), 2,
      sym_keyword_true,
      sym_keyword_false,
    STATE(494), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(500), 2,
      sym_count,
      sym_group_concat,
    STATE(1943), 2,
      sym_comment,
      sym_marginalia,
    STATE(499), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [144803] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3899), 1,
      sym__identifier,
    ACTIONS(3901), 1,
      sym_keyword_cast,
    ACTIONS(3903), 1,
      sym_keyword_count,
    ACTIONS(3905), 1,
      sym_keyword_group_concat,
    ACTIONS(3907), 1,
      sym_keyword_case,
    ACTIONS(3913), 1,
      sym_keyword_interval,
    ACTIONS(3915), 1,
      sym_keyword_array,
    ACTIONS(3917), 1,
      anon_sym_LPAREN,
    ACTIONS(3919), 1,
      anon_sym_DOT,
    ACTIONS(3921), 1,
      anon_sym_QMARK,
    ACTIONS(3923), 1,
      anon_sym_DOLLAR,
    ACTIONS(3925), 1,
      anon_sym_SQUOTE,
    ACTIONS(3927), 1,
      anon_sym_DASH,
    ACTIONS(3929), 1,
      anon_sym_DQUOTE,
    ACTIONS(3931), 1,
      sym__natural_number,
    ACTIONS(3933), 1,
      sym_bang,
    ACTIONS(3935), 1,
      anon_sym_BQUOTE,
    ACTIONS(4091), 1,
      sym_keyword_not,
    STATE(2629), 1,
      sym__expression,
    STATE(3328), 1,
      sym_identifier,
    STATE(3468), 1,
      sym_invocation,
    STATE(3527), 1,
      sym__double_quote_string,
    STATE(3528), 1,
      sym__integer,
    STATE(6991), 1,
      sym__alias_identifier,
    STATE(1944), 2,
      sym_comment,
      sym_marginalia,
    STATE(3545), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(3553), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(3911), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3555), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [144915] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4203), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1945), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [145027] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4020), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1946), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [145139] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3429), 1,
      sym_keyword_cast,
    ACTIONS(3431), 1,
      sym_keyword_count,
    ACTIONS(3433), 1,
      sym_keyword_group_concat,
    ACTIONS(3435), 1,
      sym_keyword_case,
    ACTIONS(3439), 1,
      sym_keyword_null,
    ACTIONS(3441), 1,
      sym_keyword_interval,
    ACTIONS(3443), 1,
      sym_keyword_array,
    ACTIONS(3447), 1,
      anon_sym_DOT,
    ACTIONS(3449), 1,
      anon_sym_QMARK,
    ACTIONS(3451), 1,
      anon_sym_DOLLAR,
    ACTIONS(3453), 1,
      anon_sym_SQUOTE,
    ACTIONS(3455), 1,
      anon_sym_DASH,
    ACTIONS(3457), 1,
      anon_sym_DQUOTE,
    ACTIONS(3459), 1,
      sym__natural_number,
    ACTIONS(3575), 1,
      sym__identifier,
    ACTIONS(3579), 1,
      anon_sym_LPAREN,
    ACTIONS(3581), 1,
      sym_bang,
    ACTIONS(3583), 1,
      anon_sym_BQUOTE,
    ACTIONS(4087), 1,
      sym_keyword_not,
    STATE(227), 1,
      sym__expression,
    STATE(397), 1,
      sym__integer,
    STATE(398), 1,
      sym__double_quote_string,
    STATE(751), 1,
      sym_identifier,
    STATE(840), 1,
      sym_invocation,
    STATE(6909), 1,
      sym__alias_identifier,
    ACTIONS(4177), 2,
      sym_keyword_true,
      sym_keyword_false,
    STATE(494), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(500), 2,
      sym_count,
      sym_group_concat,
    STATE(1947), 2,
      sym_comment,
      sym_marginalia,
    STATE(499), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [145253] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3429), 1,
      sym_keyword_cast,
    ACTIONS(3431), 1,
      sym_keyword_count,
    ACTIONS(3433), 1,
      sym_keyword_group_concat,
    ACTIONS(3435), 1,
      sym_keyword_case,
    ACTIONS(3441), 1,
      sym_keyword_interval,
    ACTIONS(3443), 1,
      sym_keyword_array,
    ACTIONS(3447), 1,
      anon_sym_DOT,
    ACTIONS(3449), 1,
      anon_sym_QMARK,
    ACTIONS(3451), 1,
      anon_sym_DOLLAR,
    ACTIONS(3453), 1,
      anon_sym_SQUOTE,
    ACTIONS(3455), 1,
      anon_sym_DASH,
    ACTIONS(3457), 1,
      anon_sym_DQUOTE,
    ACTIONS(3459), 1,
      sym__natural_number,
    ACTIONS(3575), 1,
      sym__identifier,
    ACTIONS(3579), 1,
      anon_sym_LPAREN,
    ACTIONS(3581), 1,
      sym_bang,
    ACTIONS(3583), 1,
      anon_sym_BQUOTE,
    ACTIONS(4087), 1,
      sym_keyword_not,
    STATE(259), 1,
      sym__expression,
    STATE(397), 1,
      sym__integer,
    STATE(398), 1,
      sym__double_quote_string,
    STATE(751), 1,
      sym_identifier,
    STATE(840), 1,
      sym_invocation,
    STATE(6909), 1,
      sym__alias_identifier,
    STATE(494), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(500), 2,
      sym_count,
      sym_group_concat,
    STATE(1948), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(499), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [145365] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3899), 1,
      sym__identifier,
    ACTIONS(3901), 1,
      sym_keyword_cast,
    ACTIONS(3903), 1,
      sym_keyword_count,
    ACTIONS(3905), 1,
      sym_keyword_group_concat,
    ACTIONS(3907), 1,
      sym_keyword_case,
    ACTIONS(3913), 1,
      sym_keyword_interval,
    ACTIONS(3915), 1,
      sym_keyword_array,
    ACTIONS(3917), 1,
      anon_sym_LPAREN,
    ACTIONS(3919), 1,
      anon_sym_DOT,
    ACTIONS(3921), 1,
      anon_sym_QMARK,
    ACTIONS(3923), 1,
      anon_sym_DOLLAR,
    ACTIONS(3925), 1,
      anon_sym_SQUOTE,
    ACTIONS(3927), 1,
      anon_sym_DASH,
    ACTIONS(3929), 1,
      anon_sym_DQUOTE,
    ACTIONS(3931), 1,
      sym__natural_number,
    ACTIONS(3933), 1,
      sym_bang,
    ACTIONS(3935), 1,
      anon_sym_BQUOTE,
    ACTIONS(4091), 1,
      sym_keyword_not,
    STATE(2665), 1,
      sym__expression,
    STATE(3328), 1,
      sym_identifier,
    STATE(3468), 1,
      sym_invocation,
    STATE(3527), 1,
      sym__double_quote_string,
    STATE(3528), 1,
      sym__integer,
    STATE(6991), 1,
      sym__alias_identifier,
    STATE(1949), 2,
      sym_comment,
      sym_marginalia,
    STATE(3545), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(3553), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(3911), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3555), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [145477] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2811), 1,
      sym__identifier,
    ACTIONS(2815), 1,
      sym_keyword_cast,
    ACTIONS(2817), 1,
      sym_keyword_count,
    ACTIONS(2819), 1,
      sym_keyword_group_concat,
    ACTIONS(2821), 1,
      sym_keyword_case,
    ACTIONS(2823), 1,
      sym_keyword_not,
    ACTIONS(2827), 1,
      sym_keyword_interval,
    ACTIONS(2829), 1,
      sym_keyword_array,
    ACTIONS(2831), 1,
      anon_sym_LPAREN,
    ACTIONS(2833), 1,
      anon_sym_DOT,
    ACTIONS(2835), 1,
      anon_sym_QMARK,
    ACTIONS(2837), 1,
      anon_sym_DOLLAR,
    ACTIONS(2839), 1,
      anon_sym_SQUOTE,
    ACTIONS(2841), 1,
      anon_sym_DASH,
    ACTIONS(2843), 1,
      anon_sym_DQUOTE,
    ACTIONS(2845), 1,
      sym__natural_number,
    ACTIONS(2847), 1,
      sym_bang,
    ACTIONS(2849), 1,
      anon_sym_BQUOTE,
    STATE(3329), 1,
      sym_identifier,
    STATE(3418), 1,
      sym_invocation,
    STATE(3422), 1,
      sym__double_quote_string,
    STATE(3447), 1,
      sym__integer,
    STATE(3817), 1,
      sym__expression,
    STATE(6476), 1,
      sym__alias_identifier,
    STATE(1950), 2,
      sym_comment,
      sym_marginalia,
    STATE(3561), 2,
      sym_count,
      sym_group_concat,
    STATE(3593), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(2825), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3562), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [145589] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3429), 1,
      sym_keyword_cast,
    ACTIONS(3431), 1,
      sym_keyword_count,
    ACTIONS(3433), 1,
      sym_keyword_group_concat,
    ACTIONS(3435), 1,
      sym_keyword_case,
    ACTIONS(3441), 1,
      sym_keyword_interval,
    ACTIONS(3443), 1,
      sym_keyword_array,
    ACTIONS(3447), 1,
      anon_sym_DOT,
    ACTIONS(3449), 1,
      anon_sym_QMARK,
    ACTIONS(3451), 1,
      anon_sym_DOLLAR,
    ACTIONS(3453), 1,
      anon_sym_SQUOTE,
    ACTIONS(3455), 1,
      anon_sym_DASH,
    ACTIONS(3457), 1,
      anon_sym_DQUOTE,
    ACTIONS(3459), 1,
      sym__natural_number,
    ACTIONS(3575), 1,
      sym__identifier,
    ACTIONS(3579), 1,
      anon_sym_LPAREN,
    ACTIONS(3581), 1,
      sym_bang,
    ACTIONS(3583), 1,
      anon_sym_BQUOTE,
    ACTIONS(4087), 1,
      sym_keyword_not,
    STATE(181), 1,
      sym__expression,
    STATE(397), 1,
      sym__integer,
    STATE(398), 1,
      sym__double_quote_string,
    STATE(751), 1,
      sym_identifier,
    STATE(840), 1,
      sym_invocation,
    STATE(6909), 1,
      sym__alias_identifier,
    STATE(494), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(500), 2,
      sym_count,
      sym_group_concat,
    STATE(1951), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(499), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [145701] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3429), 1,
      sym_keyword_cast,
    ACTIONS(3431), 1,
      sym_keyword_count,
    ACTIONS(3433), 1,
      sym_keyword_group_concat,
    ACTIONS(3435), 1,
      sym_keyword_case,
    ACTIONS(3439), 1,
      sym_keyword_null,
    ACTIONS(3441), 1,
      sym_keyword_interval,
    ACTIONS(3443), 1,
      sym_keyword_array,
    ACTIONS(3447), 1,
      anon_sym_DOT,
    ACTIONS(3449), 1,
      anon_sym_QMARK,
    ACTIONS(3451), 1,
      anon_sym_DOLLAR,
    ACTIONS(3453), 1,
      anon_sym_SQUOTE,
    ACTIONS(3455), 1,
      anon_sym_DASH,
    ACTIONS(3457), 1,
      anon_sym_DQUOTE,
    ACTIONS(3459), 1,
      sym__natural_number,
    ACTIONS(3575), 1,
      sym__identifier,
    ACTIONS(3579), 1,
      anon_sym_LPAREN,
    ACTIONS(3581), 1,
      sym_bang,
    ACTIONS(3583), 1,
      anon_sym_BQUOTE,
    ACTIONS(4087), 1,
      sym_keyword_not,
    STATE(256), 1,
      sym__expression,
    STATE(397), 1,
      sym__integer,
    STATE(398), 1,
      sym__double_quote_string,
    STATE(751), 1,
      sym_identifier,
    STATE(840), 1,
      sym_invocation,
    STATE(6909), 1,
      sym__alias_identifier,
    ACTIONS(4169), 2,
      sym_keyword_true,
      sym_keyword_false,
    STATE(494), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(500), 2,
      sym_count,
      sym_group_concat,
    STATE(1952), 2,
      sym_comment,
      sym_marginalia,
    STATE(499), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [145815] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3425), 1,
      sym__identifier,
    ACTIONS(3429), 1,
      sym_keyword_cast,
    ACTIONS(3431), 1,
      sym_keyword_count,
    ACTIONS(3433), 1,
      sym_keyword_group_concat,
    ACTIONS(3435), 1,
      sym_keyword_case,
    ACTIONS(3439), 1,
      sym_keyword_null,
    ACTIONS(3441), 1,
      sym_keyword_interval,
    ACTIONS(3443), 1,
      sym_keyword_array,
    ACTIONS(3445), 1,
      anon_sym_LPAREN,
    ACTIONS(3447), 1,
      anon_sym_DOT,
    ACTIONS(3449), 1,
      anon_sym_QMARK,
    ACTIONS(3451), 1,
      anon_sym_DOLLAR,
    ACTIONS(3453), 1,
      anon_sym_SQUOTE,
    ACTIONS(3455), 1,
      anon_sym_DASH,
    ACTIONS(3457), 1,
      anon_sym_DQUOTE,
    ACTIONS(3459), 1,
      sym__natural_number,
    ACTIONS(3461), 1,
      sym_bang,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    ACTIONS(4101), 1,
      sym_keyword_not,
    STATE(111), 1,
      sym__expression,
    STATE(397), 1,
      sym__integer,
    STATE(398), 1,
      sym__double_quote_string,
    STATE(459), 1,
      sym_identifier,
    STATE(753), 1,
      sym_invocation,
    STATE(6950), 1,
      sym__alias_identifier,
    ACTIONS(4177), 2,
      sym_keyword_true,
      sym_keyword_false,
    STATE(494), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(500), 2,
      sym_count,
      sym_group_concat,
    STATE(1953), 2,
      sym_comment,
      sym_marginalia,
    STATE(499), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [145929] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3429), 1,
      sym_keyword_cast,
    ACTIONS(3431), 1,
      sym_keyword_count,
    ACTIONS(3433), 1,
      sym_keyword_group_concat,
    ACTIONS(3435), 1,
      sym_keyword_case,
    ACTIONS(3439), 1,
      sym_keyword_null,
    ACTIONS(3441), 1,
      sym_keyword_interval,
    ACTIONS(3443), 1,
      sym_keyword_array,
    ACTIONS(3447), 1,
      anon_sym_DOT,
    ACTIONS(3449), 1,
      anon_sym_QMARK,
    ACTIONS(3451), 1,
      anon_sym_DOLLAR,
    ACTIONS(3453), 1,
      anon_sym_SQUOTE,
    ACTIONS(3455), 1,
      anon_sym_DASH,
    ACTIONS(3457), 1,
      anon_sym_DQUOTE,
    ACTIONS(3459), 1,
      sym__natural_number,
    ACTIONS(3575), 1,
      sym__identifier,
    ACTIONS(3579), 1,
      anon_sym_LPAREN,
    ACTIONS(3581), 1,
      sym_bang,
    ACTIONS(3583), 1,
      anon_sym_BQUOTE,
    ACTIONS(4087), 1,
      sym_keyword_not,
    STATE(239), 1,
      sym__expression,
    STATE(397), 1,
      sym__integer,
    STATE(398), 1,
      sym__double_quote_string,
    STATE(751), 1,
      sym_identifier,
    STATE(840), 1,
      sym_invocation,
    STATE(6909), 1,
      sym__alias_identifier,
    ACTIONS(4171), 2,
      sym_keyword_true,
      sym_keyword_false,
    STATE(494), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(500), 2,
      sym_count,
      sym_group_concat,
    STATE(1954), 2,
      sym_comment,
      sym_marginalia,
    STATE(499), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [146043] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4206), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1955), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [146155] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4179), 1,
      sym_keyword_zerofill,
    STATE(1956), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1367), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1365), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [146217] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(1785), 1,
      anon_sym_CARET,
    ACTIONS(1787), 1,
      sym_keyword_in,
    ACTIONS(1789), 1,
      anon_sym_SLASH,
    ACTIONS(1793), 1,
      anon_sym_PLUS,
    ACTIONS(1795), 1,
      anon_sym_DASH,
    ACTIONS(1807), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3005), 1,
      sym_keyword_and,
    ACTIONS(3007), 1,
      sym_keyword_or,
    ACTIONS(3009), 1,
      sym_keyword_is,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1805), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1957), 2,
      sym_comment,
      sym_marginalia,
    STATE(1748), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1803), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1749), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4181), 16,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146311] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4183), 1,
      sym_keyword_zerofill,
    STATE(1958), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1413), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1411), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [146373] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3429), 1,
      sym_keyword_cast,
    ACTIONS(3431), 1,
      sym_keyword_count,
    ACTIONS(3433), 1,
      sym_keyword_group_concat,
    ACTIONS(3435), 1,
      sym_keyword_case,
    ACTIONS(3441), 1,
      sym_keyword_interval,
    ACTIONS(3443), 1,
      sym_keyword_array,
    ACTIONS(3447), 1,
      anon_sym_DOT,
    ACTIONS(3449), 1,
      anon_sym_QMARK,
    ACTIONS(3451), 1,
      anon_sym_DOLLAR,
    ACTIONS(3453), 1,
      anon_sym_SQUOTE,
    ACTIONS(3455), 1,
      anon_sym_DASH,
    ACTIONS(3457), 1,
      anon_sym_DQUOTE,
    ACTIONS(3459), 1,
      sym__natural_number,
    ACTIONS(3575), 1,
      sym__identifier,
    ACTIONS(3579), 1,
      anon_sym_LPAREN,
    ACTIONS(3581), 1,
      sym_bang,
    ACTIONS(3583), 1,
      anon_sym_BQUOTE,
    ACTIONS(4087), 1,
      sym_keyword_not,
    STATE(258), 1,
      sym__expression,
    STATE(397), 1,
      sym__integer,
    STATE(398), 1,
      sym__double_quote_string,
    STATE(751), 1,
      sym_identifier,
    STATE(840), 1,
      sym_invocation,
    STATE(6909), 1,
      sym__alias_identifier,
    STATE(494), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(500), 2,
      sym_count,
      sym_group_concat,
    STATE(1959), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(499), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [146485] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3425), 1,
      sym__identifier,
    ACTIONS(3429), 1,
      sym_keyword_cast,
    ACTIONS(3431), 1,
      sym_keyword_count,
    ACTIONS(3433), 1,
      sym_keyword_group_concat,
    ACTIONS(3435), 1,
      sym_keyword_case,
    ACTIONS(3441), 1,
      sym_keyword_interval,
    ACTIONS(3443), 1,
      sym_keyword_array,
    ACTIONS(3445), 1,
      anon_sym_LPAREN,
    ACTIONS(3447), 1,
      anon_sym_DOT,
    ACTIONS(3449), 1,
      anon_sym_QMARK,
    ACTIONS(3451), 1,
      anon_sym_DOLLAR,
    ACTIONS(3453), 1,
      anon_sym_SQUOTE,
    ACTIONS(3455), 1,
      anon_sym_DASH,
    ACTIONS(3457), 1,
      anon_sym_DQUOTE,
    ACTIONS(3459), 1,
      sym__natural_number,
    ACTIONS(3461), 1,
      sym_bang,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    ACTIONS(4101), 1,
      sym_keyword_not,
    STATE(131), 1,
      sym__expression,
    STATE(397), 1,
      sym__integer,
    STATE(398), 1,
      sym__double_quote_string,
    STATE(459), 1,
      sym_identifier,
    STATE(753), 1,
      sym_invocation,
    STATE(6950), 1,
      sym__alias_identifier,
    STATE(494), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(500), 2,
      sym_count,
      sym_group_concat,
    STATE(1960), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(499), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [146597] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4185), 1,
      sym_keyword_zerofill,
    STATE(1961), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1425), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1423), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [146659] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2457), 1,
      sym__identifier,
    ACTIONS(2461), 1,
      sym_keyword_cast,
    ACTIONS(2463), 1,
      sym_keyword_count,
    ACTIONS(2465), 1,
      sym_keyword_group_concat,
    ACTIONS(2467), 1,
      sym_keyword_case,
    ACTIONS(2469), 1,
      sym_keyword_not,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2477), 1,
      anon_sym_LPAREN,
    ACTIONS(2479), 1,
      anon_sym_DOT,
    ACTIONS(2481), 1,
      anon_sym_QMARK,
    ACTIONS(2483), 1,
      anon_sym_DOLLAR,
    ACTIONS(2485), 1,
      anon_sym_SQUOTE,
    ACTIONS(2487), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      anon_sym_DQUOTE,
    ACTIONS(2491), 1,
      sym__natural_number,
    ACTIONS(2493), 1,
      sym_bang,
    ACTIONS(2495), 1,
      anon_sym_BQUOTE,
    STATE(349), 1,
      sym__expression,
    STATE(1082), 1,
      sym_identifier,
    STATE(1413), 1,
      sym__integer,
    STATE(1415), 1,
      sym__double_quote_string,
    STATE(1417), 1,
      sym_invocation,
    STATE(6229), 1,
      sym__alias_identifier,
    STATE(1451), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(1454), 2,
      sym_count,
      sym_group_concat,
    STATE(1962), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(1453), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [146771] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4187), 1,
      sym_keyword_zerofill,
    STATE(1963), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1463), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1461), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [146833] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1964), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2261), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2263), 30,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [146893] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2811), 1,
      sym__identifier,
    ACTIONS(2815), 1,
      sym_keyword_cast,
    ACTIONS(2817), 1,
      sym_keyword_count,
    ACTIONS(2819), 1,
      sym_keyword_group_concat,
    ACTIONS(2821), 1,
      sym_keyword_case,
    ACTIONS(2823), 1,
      sym_keyword_not,
    ACTIONS(2827), 1,
      sym_keyword_interval,
    ACTIONS(2829), 1,
      sym_keyword_array,
    ACTIONS(2831), 1,
      anon_sym_LPAREN,
    ACTIONS(2833), 1,
      anon_sym_DOT,
    ACTIONS(2835), 1,
      anon_sym_QMARK,
    ACTIONS(2837), 1,
      anon_sym_DOLLAR,
    ACTIONS(2839), 1,
      anon_sym_SQUOTE,
    ACTIONS(2841), 1,
      anon_sym_DASH,
    ACTIONS(2843), 1,
      anon_sym_DQUOTE,
    ACTIONS(2845), 1,
      sym__natural_number,
    ACTIONS(2847), 1,
      sym_bang,
    ACTIONS(2849), 1,
      anon_sym_BQUOTE,
    STATE(2916), 1,
      sym__expression,
    STATE(3329), 1,
      sym_identifier,
    STATE(3418), 1,
      sym_invocation,
    STATE(3422), 1,
      sym__double_quote_string,
    STATE(3447), 1,
      sym__integer,
    STATE(6476), 1,
      sym__alias_identifier,
    STATE(1965), 2,
      sym_comment,
      sym_marginalia,
    STATE(3561), 2,
      sym_count,
      sym_group_concat,
    STATE(3593), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(2825), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3562), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [147005] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3429), 1,
      sym_keyword_cast,
    ACTIONS(3431), 1,
      sym_keyword_count,
    ACTIONS(3433), 1,
      sym_keyword_group_concat,
    ACTIONS(3435), 1,
      sym_keyword_case,
    ACTIONS(3441), 1,
      sym_keyword_interval,
    ACTIONS(3443), 1,
      sym_keyword_array,
    ACTIONS(3447), 1,
      anon_sym_DOT,
    ACTIONS(3449), 1,
      anon_sym_QMARK,
    ACTIONS(3451), 1,
      anon_sym_DOLLAR,
    ACTIONS(3453), 1,
      anon_sym_SQUOTE,
    ACTIONS(3455), 1,
      anon_sym_DASH,
    ACTIONS(3457), 1,
      anon_sym_DQUOTE,
    ACTIONS(3459), 1,
      sym__natural_number,
    ACTIONS(3575), 1,
      sym__identifier,
    ACTIONS(3579), 1,
      anon_sym_LPAREN,
    ACTIONS(3581), 1,
      sym_bang,
    ACTIONS(3583), 1,
      anon_sym_BQUOTE,
    ACTIONS(4087), 1,
      sym_keyword_not,
    STATE(250), 1,
      sym__expression,
    STATE(397), 1,
      sym__integer,
    STATE(398), 1,
      sym__double_quote_string,
    STATE(751), 1,
      sym_identifier,
    STATE(840), 1,
      sym_invocation,
    STATE(6909), 1,
      sym__alias_identifier,
    STATE(494), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(500), 2,
      sym_count,
      sym_group_concat,
    STATE(1966), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(499), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [147117] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3681), 1,
      sym__identifier,
    ACTIONS(3683), 1,
      sym_keyword_cast,
    ACTIONS(3685), 1,
      sym_keyword_count,
    ACTIONS(3687), 1,
      sym_keyword_group_concat,
    ACTIONS(3689), 1,
      sym_keyword_case,
    ACTIONS(3695), 1,
      sym_keyword_interval,
    ACTIONS(3697), 1,
      sym_keyword_array,
    ACTIONS(3699), 1,
      anon_sym_LPAREN,
    ACTIONS(3701), 1,
      anon_sym_DOT,
    ACTIONS(3703), 1,
      anon_sym_QMARK,
    ACTIONS(3705), 1,
      anon_sym_DOLLAR,
    ACTIONS(3707), 1,
      anon_sym_SQUOTE,
    ACTIONS(3709), 1,
      anon_sym_DASH,
    ACTIONS(3711), 1,
      anon_sym_DQUOTE,
    ACTIONS(3713), 1,
      sym__natural_number,
    ACTIONS(3715), 1,
      sym_bang,
    ACTIONS(3717), 1,
      anon_sym_BQUOTE,
    ACTIONS(3805), 1,
      sym_keyword_not,
    STATE(2318), 1,
      sym__expression,
    STATE(2777), 1,
      sym_identifier,
    STATE(2929), 1,
      sym_invocation,
    STATE(2970), 1,
      sym__double_quote_string,
    STATE(2971), 1,
      sym__integer,
    STATE(6827), 1,
      sym__alias_identifier,
    STATE(1967), 2,
      sym_comment,
      sym_marginalia,
    STATE(3135), 2,
      sym_count,
      sym_group_concat,
    STATE(3149), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(3693), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3136), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [147229] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3681), 1,
      sym__identifier,
    ACTIONS(3683), 1,
      sym_keyword_cast,
    ACTIONS(3685), 1,
      sym_keyword_count,
    ACTIONS(3687), 1,
      sym_keyword_group_concat,
    ACTIONS(3689), 1,
      sym_keyword_case,
    ACTIONS(3695), 1,
      sym_keyword_interval,
    ACTIONS(3697), 1,
      sym_keyword_array,
    ACTIONS(3699), 1,
      anon_sym_LPAREN,
    ACTIONS(3701), 1,
      anon_sym_DOT,
    ACTIONS(3703), 1,
      anon_sym_QMARK,
    ACTIONS(3705), 1,
      anon_sym_DOLLAR,
    ACTIONS(3707), 1,
      anon_sym_SQUOTE,
    ACTIONS(3709), 1,
      anon_sym_DASH,
    ACTIONS(3711), 1,
      anon_sym_DQUOTE,
    ACTIONS(3713), 1,
      sym__natural_number,
    ACTIONS(3715), 1,
      sym_bang,
    ACTIONS(3717), 1,
      anon_sym_BQUOTE,
    ACTIONS(3805), 1,
      sym_keyword_not,
    STATE(2323), 1,
      sym__expression,
    STATE(2777), 1,
      sym_identifier,
    STATE(2929), 1,
      sym_invocation,
    STATE(2970), 1,
      sym__double_quote_string,
    STATE(2971), 1,
      sym__integer,
    STATE(6827), 1,
      sym__alias_identifier,
    STATE(1968), 2,
      sym_comment,
      sym_marginalia,
    STATE(3135), 2,
      sym_count,
      sym_group_concat,
    STATE(3149), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(3693), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3136), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [147341] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3681), 1,
      sym__identifier,
    ACTIONS(3683), 1,
      sym_keyword_cast,
    ACTIONS(3685), 1,
      sym_keyword_count,
    ACTIONS(3687), 1,
      sym_keyword_group_concat,
    ACTIONS(3689), 1,
      sym_keyword_case,
    ACTIONS(3695), 1,
      sym_keyword_interval,
    ACTIONS(3697), 1,
      sym_keyword_array,
    ACTIONS(3699), 1,
      anon_sym_LPAREN,
    ACTIONS(3701), 1,
      anon_sym_DOT,
    ACTIONS(3703), 1,
      anon_sym_QMARK,
    ACTIONS(3705), 1,
      anon_sym_DOLLAR,
    ACTIONS(3707), 1,
      anon_sym_SQUOTE,
    ACTIONS(3709), 1,
      anon_sym_DASH,
    ACTIONS(3711), 1,
      anon_sym_DQUOTE,
    ACTIONS(3713), 1,
      sym__natural_number,
    ACTIONS(3715), 1,
      sym_bang,
    ACTIONS(3717), 1,
      anon_sym_BQUOTE,
    ACTIONS(3805), 1,
      sym_keyword_not,
    STATE(2330), 1,
      sym__expression,
    STATE(2777), 1,
      sym_identifier,
    STATE(2929), 1,
      sym_invocation,
    STATE(2970), 1,
      sym__double_quote_string,
    STATE(2971), 1,
      sym__integer,
    STATE(6827), 1,
      sym__alias_identifier,
    STATE(1969), 2,
      sym_comment,
      sym_marginalia,
    STATE(3135), 2,
      sym_count,
      sym_group_concat,
    STATE(3149), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(3693), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3136), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [147453] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3681), 1,
      sym__identifier,
    ACTIONS(3683), 1,
      sym_keyword_cast,
    ACTIONS(3685), 1,
      sym_keyword_count,
    ACTIONS(3687), 1,
      sym_keyword_group_concat,
    ACTIONS(3689), 1,
      sym_keyword_case,
    ACTIONS(3695), 1,
      sym_keyword_interval,
    ACTIONS(3697), 1,
      sym_keyword_array,
    ACTIONS(3699), 1,
      anon_sym_LPAREN,
    ACTIONS(3701), 1,
      anon_sym_DOT,
    ACTIONS(3703), 1,
      anon_sym_QMARK,
    ACTIONS(3705), 1,
      anon_sym_DOLLAR,
    ACTIONS(3707), 1,
      anon_sym_SQUOTE,
    ACTIONS(3709), 1,
      anon_sym_DASH,
    ACTIONS(3711), 1,
      anon_sym_DQUOTE,
    ACTIONS(3713), 1,
      sym__natural_number,
    ACTIONS(3715), 1,
      sym_bang,
    ACTIONS(3717), 1,
      anon_sym_BQUOTE,
    ACTIONS(3805), 1,
      sym_keyword_not,
    STATE(2346), 1,
      sym__expression,
    STATE(2777), 1,
      sym_identifier,
    STATE(2929), 1,
      sym_invocation,
    STATE(2970), 1,
      sym__double_quote_string,
    STATE(2971), 1,
      sym__integer,
    STATE(6827), 1,
      sym__alias_identifier,
    STATE(1970), 2,
      sym_comment,
      sym_marginalia,
    STATE(3135), 2,
      sym_count,
      sym_group_concat,
    STATE(3149), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(3693), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3136), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [147565] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3681), 1,
      sym__identifier,
    ACTIONS(3683), 1,
      sym_keyword_cast,
    ACTIONS(3685), 1,
      sym_keyword_count,
    ACTIONS(3687), 1,
      sym_keyword_group_concat,
    ACTIONS(3689), 1,
      sym_keyword_case,
    ACTIONS(3695), 1,
      sym_keyword_interval,
    ACTIONS(3697), 1,
      sym_keyword_array,
    ACTIONS(3699), 1,
      anon_sym_LPAREN,
    ACTIONS(3701), 1,
      anon_sym_DOT,
    ACTIONS(3703), 1,
      anon_sym_QMARK,
    ACTIONS(3705), 1,
      anon_sym_DOLLAR,
    ACTIONS(3707), 1,
      anon_sym_SQUOTE,
    ACTIONS(3709), 1,
      anon_sym_DASH,
    ACTIONS(3711), 1,
      anon_sym_DQUOTE,
    ACTIONS(3713), 1,
      sym__natural_number,
    ACTIONS(3715), 1,
      sym_bang,
    ACTIONS(3717), 1,
      anon_sym_BQUOTE,
    ACTIONS(3805), 1,
      sym_keyword_not,
    STATE(2349), 1,
      sym__expression,
    STATE(2777), 1,
      sym_identifier,
    STATE(2929), 1,
      sym_invocation,
    STATE(2970), 1,
      sym__double_quote_string,
    STATE(2971), 1,
      sym__integer,
    STATE(6827), 1,
      sym__alias_identifier,
    STATE(1971), 2,
      sym_comment,
      sym_marginalia,
    STATE(3135), 2,
      sym_count,
      sym_group_concat,
    STATE(3149), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(3693), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3136), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [147677] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3681), 1,
      sym__identifier,
    ACTIONS(3683), 1,
      sym_keyword_cast,
    ACTIONS(3685), 1,
      sym_keyword_count,
    ACTIONS(3687), 1,
      sym_keyword_group_concat,
    ACTIONS(3689), 1,
      sym_keyword_case,
    ACTIONS(3695), 1,
      sym_keyword_interval,
    ACTIONS(3697), 1,
      sym_keyword_array,
    ACTIONS(3699), 1,
      anon_sym_LPAREN,
    ACTIONS(3701), 1,
      anon_sym_DOT,
    ACTIONS(3703), 1,
      anon_sym_QMARK,
    ACTIONS(3705), 1,
      anon_sym_DOLLAR,
    ACTIONS(3707), 1,
      anon_sym_SQUOTE,
    ACTIONS(3709), 1,
      anon_sym_DASH,
    ACTIONS(3711), 1,
      anon_sym_DQUOTE,
    ACTIONS(3713), 1,
      sym__natural_number,
    ACTIONS(3715), 1,
      sym_bang,
    ACTIONS(3717), 1,
      anon_sym_BQUOTE,
    ACTIONS(3805), 1,
      sym_keyword_not,
    STATE(2355), 1,
      sym__expression,
    STATE(2777), 1,
      sym_identifier,
    STATE(2929), 1,
      sym_invocation,
    STATE(2970), 1,
      sym__double_quote_string,
    STATE(2971), 1,
      sym__integer,
    STATE(6827), 1,
      sym__alias_identifier,
    STATE(1972), 2,
      sym_comment,
      sym_marginalia,
    STATE(3135), 2,
      sym_count,
      sym_group_concat,
    STATE(3149), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(3693), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3136), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [147789] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3681), 1,
      sym__identifier,
    ACTIONS(3683), 1,
      sym_keyword_cast,
    ACTIONS(3685), 1,
      sym_keyword_count,
    ACTIONS(3687), 1,
      sym_keyword_group_concat,
    ACTIONS(3689), 1,
      sym_keyword_case,
    ACTIONS(3695), 1,
      sym_keyword_interval,
    ACTIONS(3697), 1,
      sym_keyword_array,
    ACTIONS(3699), 1,
      anon_sym_LPAREN,
    ACTIONS(3701), 1,
      anon_sym_DOT,
    ACTIONS(3703), 1,
      anon_sym_QMARK,
    ACTIONS(3705), 1,
      anon_sym_DOLLAR,
    ACTIONS(3707), 1,
      anon_sym_SQUOTE,
    ACTIONS(3709), 1,
      anon_sym_DASH,
    ACTIONS(3711), 1,
      anon_sym_DQUOTE,
    ACTIONS(3713), 1,
      sym__natural_number,
    ACTIONS(3715), 1,
      sym_bang,
    ACTIONS(3717), 1,
      anon_sym_BQUOTE,
    ACTIONS(3805), 1,
      sym_keyword_not,
    STATE(2364), 1,
      sym__expression,
    STATE(2777), 1,
      sym_identifier,
    STATE(2929), 1,
      sym_invocation,
    STATE(2970), 1,
      sym__double_quote_string,
    STATE(2971), 1,
      sym__integer,
    STATE(6827), 1,
      sym__alias_identifier,
    STATE(1973), 2,
      sym_comment,
      sym_marginalia,
    STATE(3135), 2,
      sym_count,
      sym_group_concat,
    STATE(3149), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(3693), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3136), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [147901] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3851), 1,
      sym__identifier,
    ACTIONS(3853), 1,
      sym_keyword_cast,
    ACTIONS(3855), 1,
      sym_keyword_count,
    ACTIONS(3857), 1,
      sym_keyword_group_concat,
    ACTIONS(3859), 1,
      sym_keyword_case,
    ACTIONS(3865), 1,
      sym_keyword_interval,
    ACTIONS(3867), 1,
      sym_keyword_array,
    ACTIONS(3869), 1,
      anon_sym_LPAREN,
    ACTIONS(3871), 1,
      anon_sym_DOT,
    ACTIONS(3873), 1,
      anon_sym_QMARK,
    ACTIONS(3875), 1,
      anon_sym_DOLLAR,
    ACTIONS(3877), 1,
      anon_sym_SQUOTE,
    ACTIONS(3879), 1,
      anon_sym_DASH,
    ACTIONS(3881), 1,
      anon_sym_DQUOTE,
    ACTIONS(3883), 1,
      sym__natural_number,
    ACTIONS(3885), 1,
      sym_bang,
    ACTIONS(3887), 1,
      anon_sym_BQUOTE,
    ACTIONS(4103), 1,
      sym_keyword_not,
    STATE(2863), 1,
      sym__expression,
    STATE(3399), 1,
      sym_identifier,
    STATE(3709), 1,
      sym__double_quote_string,
    STATE(3710), 1,
      sym__integer,
    STATE(3890), 1,
      sym_invocation,
    STATE(7032), 1,
      sym__alias_identifier,
    STATE(1974), 2,
      sym_comment,
      sym_marginalia,
    STATE(4042), 2,
      sym_count,
      sym_group_concat,
    STATE(4051), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(3863), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(4048), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [148013] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3681), 1,
      sym__identifier,
    ACTIONS(3683), 1,
      sym_keyword_cast,
    ACTIONS(3685), 1,
      sym_keyword_count,
    ACTIONS(3687), 1,
      sym_keyword_group_concat,
    ACTIONS(3689), 1,
      sym_keyword_case,
    ACTIONS(3695), 1,
      sym_keyword_interval,
    ACTIONS(3697), 1,
      sym_keyword_array,
    ACTIONS(3699), 1,
      anon_sym_LPAREN,
    ACTIONS(3701), 1,
      anon_sym_DOT,
    ACTIONS(3703), 1,
      anon_sym_QMARK,
    ACTIONS(3705), 1,
      anon_sym_DOLLAR,
    ACTIONS(3707), 1,
      anon_sym_SQUOTE,
    ACTIONS(3709), 1,
      anon_sym_DASH,
    ACTIONS(3711), 1,
      anon_sym_DQUOTE,
    ACTIONS(3713), 1,
      sym__natural_number,
    ACTIONS(3715), 1,
      sym_bang,
    ACTIONS(3717), 1,
      anon_sym_BQUOTE,
    ACTIONS(3805), 1,
      sym_keyword_not,
    STATE(2382), 1,
      sym__expression,
    STATE(2777), 1,
      sym_identifier,
    STATE(2929), 1,
      sym_invocation,
    STATE(2970), 1,
      sym__double_quote_string,
    STATE(2971), 1,
      sym__integer,
    STATE(6827), 1,
      sym__alias_identifier,
    STATE(1975), 2,
      sym_comment,
      sym_marginalia,
    STATE(3135), 2,
      sym_count,
      sym_group_concat,
    STATE(3149), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(3693), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3136), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [148125] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3681), 1,
      sym__identifier,
    ACTIONS(3683), 1,
      sym_keyword_cast,
    ACTIONS(3685), 1,
      sym_keyword_count,
    ACTIONS(3687), 1,
      sym_keyword_group_concat,
    ACTIONS(3689), 1,
      sym_keyword_case,
    ACTIONS(3695), 1,
      sym_keyword_interval,
    ACTIONS(3697), 1,
      sym_keyword_array,
    ACTIONS(3699), 1,
      anon_sym_LPAREN,
    ACTIONS(3701), 1,
      anon_sym_DOT,
    ACTIONS(3703), 1,
      anon_sym_QMARK,
    ACTIONS(3705), 1,
      anon_sym_DOLLAR,
    ACTIONS(3707), 1,
      anon_sym_SQUOTE,
    ACTIONS(3709), 1,
      anon_sym_DASH,
    ACTIONS(3711), 1,
      anon_sym_DQUOTE,
    ACTIONS(3713), 1,
      sym__natural_number,
    ACTIONS(3715), 1,
      sym_bang,
    ACTIONS(3717), 1,
      anon_sym_BQUOTE,
    ACTIONS(3805), 1,
      sym_keyword_not,
    STATE(2383), 1,
      sym__expression,
    STATE(2777), 1,
      sym_identifier,
    STATE(2929), 1,
      sym_invocation,
    STATE(2970), 1,
      sym__double_quote_string,
    STATE(2971), 1,
      sym__integer,
    STATE(6827), 1,
      sym__alias_identifier,
    STATE(1976), 2,
      sym_comment,
      sym_marginalia,
    STATE(3135), 2,
      sym_count,
      sym_group_concat,
    STATE(3149), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(3693), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3136), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [148237] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1977), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2339), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2341), 30,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [148297] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3681), 1,
      sym__identifier,
    ACTIONS(3683), 1,
      sym_keyword_cast,
    ACTIONS(3685), 1,
      sym_keyword_count,
    ACTIONS(3687), 1,
      sym_keyword_group_concat,
    ACTIONS(3689), 1,
      sym_keyword_case,
    ACTIONS(3695), 1,
      sym_keyword_interval,
    ACTIONS(3697), 1,
      sym_keyword_array,
    ACTIONS(3699), 1,
      anon_sym_LPAREN,
    ACTIONS(3701), 1,
      anon_sym_DOT,
    ACTIONS(3703), 1,
      anon_sym_QMARK,
    ACTIONS(3705), 1,
      anon_sym_DOLLAR,
    ACTIONS(3707), 1,
      anon_sym_SQUOTE,
    ACTIONS(3709), 1,
      anon_sym_DASH,
    ACTIONS(3711), 1,
      anon_sym_DQUOTE,
    ACTIONS(3713), 1,
      sym__natural_number,
    ACTIONS(3715), 1,
      sym_bang,
    ACTIONS(3717), 1,
      anon_sym_BQUOTE,
    ACTIONS(3805), 1,
      sym_keyword_not,
    STATE(2390), 1,
      sym__expression,
    STATE(2777), 1,
      sym_identifier,
    STATE(2929), 1,
      sym_invocation,
    STATE(2970), 1,
      sym__double_quote_string,
    STATE(2971), 1,
      sym__integer,
    STATE(6827), 1,
      sym__alias_identifier,
    STATE(1978), 2,
      sym_comment,
      sym_marginalia,
    STATE(3135), 2,
      sym_count,
      sym_group_concat,
    STATE(3149), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(3693), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3136), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [148409] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(1979), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2291), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2293), 30,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [148469] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2811), 1,
      sym__identifier,
    ACTIONS(2815), 1,
      sym_keyword_cast,
    ACTIONS(2817), 1,
      sym_keyword_count,
    ACTIONS(2819), 1,
      sym_keyword_group_concat,
    ACTIONS(2821), 1,
      sym_keyword_case,
    ACTIONS(2823), 1,
      sym_keyword_not,
    ACTIONS(2827), 1,
      sym_keyword_interval,
    ACTIONS(2829), 1,
      sym_keyword_array,
    ACTIONS(2831), 1,
      anon_sym_LPAREN,
    ACTIONS(2833), 1,
      anon_sym_DOT,
    ACTIONS(2835), 1,
      anon_sym_QMARK,
    ACTIONS(2837), 1,
      anon_sym_DOLLAR,
    ACTIONS(2839), 1,
      anon_sym_SQUOTE,
    ACTIONS(2841), 1,
      anon_sym_DASH,
    ACTIONS(2843), 1,
      anon_sym_DQUOTE,
    ACTIONS(2845), 1,
      sym__natural_number,
    ACTIONS(2847), 1,
      sym_bang,
    ACTIONS(2849), 1,
      anon_sym_BQUOTE,
    STATE(3055), 1,
      sym__expression,
    STATE(3329), 1,
      sym_identifier,
    STATE(3418), 1,
      sym_invocation,
    STATE(3422), 1,
      sym__double_quote_string,
    STATE(3447), 1,
      sym__integer,
    STATE(6476), 1,
      sym__alias_identifier,
    STATE(1980), 2,
      sym_comment,
      sym_marginalia,
    STATE(3561), 2,
      sym_count,
      sym_group_concat,
    STATE(3593), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(2825), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3562), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [148581] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3429), 1,
      sym_keyword_cast,
    ACTIONS(3431), 1,
      sym_keyword_count,
    ACTIONS(3433), 1,
      sym_keyword_group_concat,
    ACTIONS(3435), 1,
      sym_keyword_case,
    ACTIONS(3441), 1,
      sym_keyword_interval,
    ACTIONS(3443), 1,
      sym_keyword_array,
    ACTIONS(3447), 1,
      anon_sym_DOT,
    ACTIONS(3449), 1,
      anon_sym_QMARK,
    ACTIONS(3451), 1,
      anon_sym_DOLLAR,
    ACTIONS(3453), 1,
      anon_sym_SQUOTE,
    ACTIONS(3455), 1,
      anon_sym_DASH,
    ACTIONS(3457), 1,
      anon_sym_DQUOTE,
    ACTIONS(3459), 1,
      sym__natural_number,
    ACTIONS(3575), 1,
      sym__identifier,
    ACTIONS(3579), 1,
      anon_sym_LPAREN,
    ACTIONS(3581), 1,
      sym_bang,
    ACTIONS(3583), 1,
      anon_sym_BQUOTE,
    ACTIONS(4087), 1,
      sym_keyword_not,
    STATE(245), 1,
      sym__expression,
    STATE(397), 1,
      sym__integer,
    STATE(398), 1,
      sym__double_quote_string,
    STATE(751), 1,
      sym_identifier,
    STATE(840), 1,
      sym_invocation,
    STATE(6909), 1,
      sym__alias_identifier,
    STATE(494), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(500), 2,
      sym_count,
      sym_group_concat,
    STATE(1981), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(499), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [148693] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(3454), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1982), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [148805] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3851), 1,
      sym__identifier,
    ACTIONS(3853), 1,
      sym_keyword_cast,
    ACTIONS(3855), 1,
      sym_keyword_count,
    ACTIONS(3857), 1,
      sym_keyword_group_concat,
    ACTIONS(3859), 1,
      sym_keyword_case,
    ACTIONS(3865), 1,
      sym_keyword_interval,
    ACTIONS(3867), 1,
      sym_keyword_array,
    ACTIONS(3869), 1,
      anon_sym_LPAREN,
    ACTIONS(3871), 1,
      anon_sym_DOT,
    ACTIONS(3873), 1,
      anon_sym_QMARK,
    ACTIONS(3875), 1,
      anon_sym_DOLLAR,
    ACTIONS(3877), 1,
      anon_sym_SQUOTE,
    ACTIONS(3879), 1,
      anon_sym_DASH,
    ACTIONS(3881), 1,
      anon_sym_DQUOTE,
    ACTIONS(3883), 1,
      sym__natural_number,
    ACTIONS(3885), 1,
      sym_bang,
    ACTIONS(3887), 1,
      anon_sym_BQUOTE,
    ACTIONS(4103), 1,
      sym_keyword_not,
    STATE(2851), 1,
      sym__expression,
    STATE(3399), 1,
      sym_identifier,
    STATE(3709), 1,
      sym__double_quote_string,
    STATE(3710), 1,
      sym__integer,
    STATE(3890), 1,
      sym_invocation,
    STATE(7032), 1,
      sym__alias_identifier,
    STATE(1983), 2,
      sym_comment,
      sym_marginalia,
    STATE(4042), 2,
      sym_count,
      sym_group_concat,
    STATE(4051), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(3863), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(4048), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [148917] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3941), 1,
      sym__identifier,
    ACTIONS(3943), 1,
      sym_keyword_cast,
    ACTIONS(3945), 1,
      sym_keyword_count,
    ACTIONS(3947), 1,
      sym_keyword_group_concat,
    ACTIONS(3949), 1,
      sym_keyword_case,
    ACTIONS(3955), 1,
      sym_keyword_interval,
    ACTIONS(3957), 1,
      sym_keyword_array,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_DOT,
    ACTIONS(3963), 1,
      anon_sym_QMARK,
    ACTIONS(3965), 1,
      anon_sym_DOLLAR,
    ACTIONS(3967), 1,
      anon_sym_SQUOTE,
    ACTIONS(3969), 1,
      anon_sym_DASH,
    ACTIONS(3971), 1,
      anon_sym_DQUOTE,
    ACTIONS(3973), 1,
      sym__natural_number,
    ACTIONS(3975), 1,
      sym_bang,
    ACTIONS(3977), 1,
      anon_sym_BQUOTE,
    ACTIONS(4157), 1,
      sym_keyword_not,
    STATE(875), 1,
      sym__expression,
    STATE(1696), 1,
      sym_identifier,
    STATE(1930), 1,
      sym__integer,
    STATE(1931), 1,
      sym__double_quote_string,
    STATE(1932), 1,
      sym_invocation,
    STATE(6653), 1,
      sym__alias_identifier,
    STATE(1984), 2,
      sym_comment,
      sym_marginalia,
    STATE(2293), 2,
      sym_count,
      sym_group_concat,
    STATE(2305), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(3953), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2303), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [149029] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3537), 1,
      sym__identifier,
    ACTIONS(3539), 1,
      sym_keyword_cast,
    ACTIONS(3541), 1,
      sym_keyword_count,
    ACTIONS(3543), 1,
      sym_keyword_group_concat,
    ACTIONS(3545), 1,
      sym_keyword_case,
    ACTIONS(3549), 1,
      sym_keyword_null,
    ACTIONS(3551), 1,
      sym_keyword_interval,
    ACTIONS(3553), 1,
      sym_keyword_array,
    ACTIONS(3555), 1,
      anon_sym_LPAREN,
    ACTIONS(3557), 1,
      anon_sym_DOT,
    ACTIONS(3559), 1,
      anon_sym_QMARK,
    ACTIONS(3561), 1,
      anon_sym_DOLLAR,
    ACTIONS(3563), 1,
      anon_sym_SQUOTE,
    ACTIONS(3565), 1,
      anon_sym_DASH,
    ACTIONS(3567), 1,
      anon_sym_DQUOTE,
    ACTIONS(3569), 1,
      sym__natural_number,
    ACTIONS(3571), 1,
      sym_bang,
    ACTIONS(3573), 1,
      anon_sym_BQUOTE,
    ACTIONS(4077), 1,
      sym_keyword_not,
    STATE(255), 1,
      sym__expression,
    STATE(720), 1,
      sym_identifier,
    STATE(867), 1,
      sym__double_quote_string,
    STATE(966), 1,
      sym__integer,
    STATE(968), 1,
      sym_invocation,
    STATE(7073), 1,
      sym__alias_identifier,
    ACTIONS(4189), 2,
      sym_keyword_true,
      sym_keyword_false,
    STATE(1107), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(1112), 2,
      sym_count,
      sym_group_concat,
    STATE(1985), 2,
      sym_comment,
      sym_marginalia,
    STATE(1111), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [149143] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3811), 1,
      sym__identifier,
    ACTIONS(3813), 1,
      sym_keyword_cast,
    ACTIONS(3815), 1,
      sym_keyword_count,
    ACTIONS(3817), 1,
      sym_keyword_group_concat,
    ACTIONS(3819), 1,
      sym_keyword_case,
    ACTIONS(3825), 1,
      sym_keyword_interval,
    ACTIONS(3827), 1,
      sym_keyword_array,
    ACTIONS(3829), 1,
      anon_sym_LPAREN,
    ACTIONS(3831), 1,
      anon_sym_DOT,
    ACTIONS(3833), 1,
      anon_sym_QMARK,
    ACTIONS(3835), 1,
      anon_sym_DOLLAR,
    ACTIONS(3837), 1,
      anon_sym_SQUOTE,
    ACTIONS(3839), 1,
      anon_sym_DASH,
    ACTIONS(3841), 1,
      anon_sym_DQUOTE,
    ACTIONS(3843), 1,
      sym__natural_number,
    ACTIONS(3845), 1,
      sym_bang,
    ACTIONS(3847), 1,
      anon_sym_BQUOTE,
    ACTIONS(4083), 1,
      sym_keyword_not,
    STATE(3365), 1,
      sym__expression,
    STATE(4261), 1,
      sym_identifier,
    STATE(4339), 1,
      sym_invocation,
    STATE(4343), 1,
      sym__double_quote_string,
    STATE(4345), 1,
      sym__integer,
    STATE(6704), 1,
      sym__alias_identifier,
    STATE(1986), 2,
      sym_comment,
      sym_marginalia,
    STATE(4408), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(4452), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(3823), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(4422), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [149255] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3991), 1,
      sym__identifier,
    ACTIONS(3993), 1,
      sym_keyword_cast,
    ACTIONS(3995), 1,
      sym_keyword_count,
    ACTIONS(3997), 1,
      sym_keyword_group_concat,
    ACTIONS(3999), 1,
      sym_keyword_case,
    ACTIONS(4005), 1,
      sym_keyword_interval,
    ACTIONS(4007), 1,
      sym_keyword_array,
    ACTIONS(4009), 1,
      anon_sym_LPAREN,
    ACTIONS(4011), 1,
      anon_sym_DOT,
    ACTIONS(4013), 1,
      anon_sym_QMARK,
    ACTIONS(4015), 1,
      anon_sym_DOLLAR,
    ACTIONS(4017), 1,
      anon_sym_SQUOTE,
    ACTIONS(4019), 1,
      anon_sym_DASH,
    ACTIONS(4021), 1,
      anon_sym_DQUOTE,
    ACTIONS(4023), 1,
      sym__natural_number,
    ACTIONS(4025), 1,
      sym_bang,
    ACTIONS(4027), 1,
      anon_sym_BQUOTE,
    ACTIONS(4085), 1,
      sym_keyword_not,
    STATE(327), 1,
      sym__expression,
    STATE(930), 1,
      sym_identifier,
    STATE(1157), 1,
      sym_invocation,
    STATE(1160), 1,
      sym__double_quote_string,
    STATE(1161), 1,
      sym__integer,
    STATE(6602), 1,
      sym__alias_identifier,
    STATE(1258), 2,
      sym_count,
      sym_group_concat,
    STATE(1265), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(1987), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4003), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(1259), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [149367] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3537), 1,
      sym__identifier,
    ACTIONS(3539), 1,
      sym_keyword_cast,
    ACTIONS(3541), 1,
      sym_keyword_count,
    ACTIONS(3543), 1,
      sym_keyword_group_concat,
    ACTIONS(3545), 1,
      sym_keyword_case,
    ACTIONS(3551), 1,
      sym_keyword_interval,
    ACTIONS(3553), 1,
      sym_keyword_array,
    ACTIONS(3555), 1,
      anon_sym_LPAREN,
    ACTIONS(3557), 1,
      anon_sym_DOT,
    ACTIONS(3559), 1,
      anon_sym_QMARK,
    ACTIONS(3561), 1,
      anon_sym_DOLLAR,
    ACTIONS(3563), 1,
      anon_sym_SQUOTE,
    ACTIONS(3565), 1,
      anon_sym_DASH,
    ACTIONS(3567), 1,
      anon_sym_DQUOTE,
    ACTIONS(3569), 1,
      sym__natural_number,
    ACTIONS(3571), 1,
      sym_bang,
    ACTIONS(3573), 1,
      anon_sym_BQUOTE,
    ACTIONS(4077), 1,
      sym_keyword_not,
    STATE(240), 1,
      sym__expression,
    STATE(720), 1,
      sym_identifier,
    STATE(867), 1,
      sym__double_quote_string,
    STATE(966), 1,
      sym__integer,
    STATE(968), 1,
      sym_invocation,
    STATE(7073), 1,
      sym__alias_identifier,
    STATE(1107), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(1112), 2,
      sym_count,
      sym_group_concat,
    STATE(1988), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3549), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(1111), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [149479] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2639), 1,
      sym__identifier,
    ACTIONS(2641), 1,
      sym_keyword_cast,
    ACTIONS(2643), 1,
      sym_keyword_count,
    ACTIONS(2645), 1,
      sym_keyword_group_concat,
    ACTIONS(2647), 1,
      sym_keyword_case,
    ACTIONS(2649), 1,
      sym_keyword_not,
    ACTIONS(2653), 1,
      sym_keyword_interval,
    ACTIONS(2655), 1,
      sym_keyword_array,
    ACTIONS(2657), 1,
      anon_sym_LPAREN,
    ACTIONS(2659), 1,
      anon_sym_DOT,
    ACTIONS(2661), 1,
      anon_sym_QMARK,
    ACTIONS(2663), 1,
      anon_sym_DOLLAR,
    ACTIONS(2665), 1,
      anon_sym_SQUOTE,
    ACTIONS(2667), 1,
      anon_sym_DASH,
    ACTIONS(2669), 1,
      anon_sym_DQUOTE,
    ACTIONS(2671), 1,
      sym__natural_number,
    ACTIONS(2673), 1,
      sym_bang,
    ACTIONS(2675), 1,
      anon_sym_BQUOTE,
    STATE(989), 1,
      sym_identifier,
    STATE(1306), 1,
      sym__integer,
    STATE(1312), 1,
      sym__double_quote_string,
    STATE(1313), 1,
      sym_invocation,
    STATE(1562), 1,
      sym__expression,
    STATE(6399), 1,
      sym__alias_identifier,
    STATE(1660), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(1665), 2,
      sym_count,
      sym_group_concat,
    STATE(1989), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2651), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(1664), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [149591] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4191), 1,
      sym_keyword_zerofill,
    STATE(1990), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1437), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1435), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [149653] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4193), 1,
      sym_keyword_is,
    STATE(1991), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1111), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1113), 22,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [149719] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4195), 1,
      sym_keyword_zerofill,
    STATE(1992), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1431), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1429), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [149781] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3633), 1,
      sym__identifier,
    ACTIONS(3635), 1,
      sym_keyword_cast,
    ACTIONS(3637), 1,
      sym_keyword_count,
    ACTIONS(3639), 1,
      sym_keyword_group_concat,
    ACTIONS(3641), 1,
      sym_keyword_case,
    ACTIONS(3643), 1,
      sym_keyword_not,
    ACTIONS(3647), 1,
      sym_keyword_interval,
    ACTIONS(3649), 1,
      sym_keyword_array,
    ACTIONS(3651), 1,
      anon_sym_LPAREN,
    ACTIONS(3653), 1,
      anon_sym_DOT,
    ACTIONS(3655), 1,
      anon_sym_QMARK,
    ACTIONS(3657), 1,
      anon_sym_DOLLAR,
    ACTIONS(3659), 1,
      anon_sym_SQUOTE,
    ACTIONS(3661), 1,
      anon_sym_DASH,
    ACTIONS(3663), 1,
      anon_sym_DQUOTE,
    ACTIONS(3665), 1,
      sym__natural_number,
    ACTIONS(3667), 1,
      sym_bang,
    ACTIONS(3669), 1,
      anon_sym_BQUOTE,
    STATE(2837), 1,
      sym__expression,
    STATE(3442), 1,
      sym_identifier,
    STATE(3626), 1,
      sym_invocation,
    STATE(3679), 1,
      sym__integer,
    STATE(3680), 1,
      sym__double_quote_string,
    STATE(7113), 1,
      sym__alias_identifier,
    STATE(1993), 2,
      sym_comment,
      sym_marginalia,
    STATE(4055), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(4060), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(3645), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(4059), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [149893] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3851), 1,
      sym__identifier,
    ACTIONS(3853), 1,
      sym_keyword_cast,
    ACTIONS(3855), 1,
      sym_keyword_count,
    ACTIONS(3857), 1,
      sym_keyword_group_concat,
    ACTIONS(3859), 1,
      sym_keyword_case,
    ACTIONS(3865), 1,
      sym_keyword_interval,
    ACTIONS(3867), 1,
      sym_keyword_array,
    ACTIONS(3869), 1,
      anon_sym_LPAREN,
    ACTIONS(3871), 1,
      anon_sym_DOT,
    ACTIONS(3873), 1,
      anon_sym_QMARK,
    ACTIONS(3875), 1,
      anon_sym_DOLLAR,
    ACTIONS(3877), 1,
      anon_sym_SQUOTE,
    ACTIONS(3879), 1,
      anon_sym_DASH,
    ACTIONS(3881), 1,
      anon_sym_DQUOTE,
    ACTIONS(3883), 1,
      sym__natural_number,
    ACTIONS(3885), 1,
      sym_bang,
    ACTIONS(3887), 1,
      anon_sym_BQUOTE,
    ACTIONS(4103), 1,
      sym_keyword_not,
    STATE(2673), 1,
      sym__expression,
    STATE(3399), 1,
      sym_identifier,
    STATE(3709), 1,
      sym__double_quote_string,
    STATE(3710), 1,
      sym__integer,
    STATE(3890), 1,
      sym_invocation,
    STATE(7032), 1,
      sym__alias_identifier,
    STATE(1994), 2,
      sym_comment,
      sym_marginalia,
    STATE(4042), 2,
      sym_count,
      sym_group_concat,
    STATE(4051), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(3863), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(4048), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [150005] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3425), 1,
      sym__identifier,
    ACTIONS(3429), 1,
      sym_keyword_cast,
    ACTIONS(3431), 1,
      sym_keyword_count,
    ACTIONS(3433), 1,
      sym_keyword_group_concat,
    ACTIONS(3435), 1,
      sym_keyword_case,
    ACTIONS(3441), 1,
      sym_keyword_interval,
    ACTIONS(3443), 1,
      sym_keyword_array,
    ACTIONS(3445), 1,
      anon_sym_LPAREN,
    ACTIONS(3447), 1,
      anon_sym_DOT,
    ACTIONS(3449), 1,
      anon_sym_QMARK,
    ACTIONS(3451), 1,
      anon_sym_DOLLAR,
    ACTIONS(3453), 1,
      anon_sym_SQUOTE,
    ACTIONS(3455), 1,
      anon_sym_DASH,
    ACTIONS(3457), 1,
      anon_sym_DQUOTE,
    ACTIONS(3459), 1,
      sym__natural_number,
    ACTIONS(3461), 1,
      sym_bang,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    ACTIONS(4101), 1,
      sym_keyword_not,
    STATE(125), 1,
      sym__expression,
    STATE(397), 1,
      sym__integer,
    STATE(398), 1,
      sym__double_quote_string,
    STATE(459), 1,
      sym_identifier,
    STATE(753), 1,
      sym_invocation,
    STATE(6950), 1,
      sym__alias_identifier,
    STATE(494), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(500), 2,
      sym_count,
      sym_group_concat,
    STATE(1995), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(499), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [150117] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2272), 1,
      sym__expression,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1996), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [150229] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3425), 1,
      sym__identifier,
    ACTIONS(3429), 1,
      sym_keyword_cast,
    ACTIONS(3431), 1,
      sym_keyword_count,
    ACTIONS(3433), 1,
      sym_keyword_group_concat,
    ACTIONS(3435), 1,
      sym_keyword_case,
    ACTIONS(3441), 1,
      sym_keyword_interval,
    ACTIONS(3443), 1,
      sym_keyword_array,
    ACTIONS(3445), 1,
      anon_sym_LPAREN,
    ACTIONS(3447), 1,
      anon_sym_DOT,
    ACTIONS(3449), 1,
      anon_sym_QMARK,
    ACTIONS(3451), 1,
      anon_sym_DOLLAR,
    ACTIONS(3453), 1,
      anon_sym_SQUOTE,
    ACTIONS(3455), 1,
      anon_sym_DASH,
    ACTIONS(3457), 1,
      anon_sym_DQUOTE,
    ACTIONS(3459), 1,
      sym__natural_number,
    ACTIONS(3461), 1,
      sym_bang,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    ACTIONS(4101), 1,
      sym_keyword_not,
    STATE(124), 1,
      sym__expression,
    STATE(397), 1,
      sym__integer,
    STATE(398), 1,
      sym__double_quote_string,
    STATE(459), 1,
      sym_identifier,
    STATE(753), 1,
      sym_invocation,
    STATE(6950), 1,
      sym__alias_identifier,
    STATE(494), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(500), 2,
      sym_count,
      sym_group_concat,
    STATE(1997), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(499), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [150341] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4033), 1,
      sym__identifier,
    ACTIONS(4035), 1,
      sym_keyword_cast,
    ACTIONS(4037), 1,
      sym_keyword_count,
    ACTIONS(4039), 1,
      sym_keyword_group_concat,
    ACTIONS(4041), 1,
      sym_keyword_case,
    ACTIONS(4047), 1,
      sym_keyword_interval,
    ACTIONS(4049), 1,
      sym_keyword_array,
    ACTIONS(4051), 1,
      anon_sym_LPAREN,
    ACTIONS(4053), 1,
      anon_sym_DOT,
    ACTIONS(4055), 1,
      anon_sym_QMARK,
    ACTIONS(4057), 1,
      anon_sym_DOLLAR,
    ACTIONS(4059), 1,
      anon_sym_SQUOTE,
    ACTIONS(4061), 1,
      anon_sym_DASH,
    ACTIONS(4063), 1,
      anon_sym_DQUOTE,
    ACTIONS(4065), 1,
      sym__natural_number,
    ACTIONS(4067), 1,
      sym_bang,
    ACTIONS(4069), 1,
      anon_sym_BQUOTE,
    ACTIONS(4075), 1,
      sym_keyword_not,
    STATE(2414), 1,
      sym__expression,
    STATE(2891), 1,
      sym_identifier,
    STATE(3106), 1,
      sym__double_quote_string,
    STATE(3113), 1,
      sym__integer,
    STATE(3133), 1,
      sym_invocation,
    STATE(7154), 1,
      sym__alias_identifier,
    STATE(1998), 2,
      sym_comment,
      sym_marginalia,
    STATE(3312), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(3316), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(4045), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3314), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [150453] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4187), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(1999), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [150565] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4195), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2000), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [150677] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4197), 1,
      sym_keyword_zerofill,
    STATE(2001), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1373), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1371), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [150739] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(3577), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2002), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [150851] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(1991), 1,
      sym__expression,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2003), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [150963] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3811), 1,
      sym__identifier,
    ACTIONS(3813), 1,
      sym_keyword_cast,
    ACTIONS(3815), 1,
      sym_keyword_count,
    ACTIONS(3817), 1,
      sym_keyword_group_concat,
    ACTIONS(3819), 1,
      sym_keyword_case,
    ACTIONS(3825), 1,
      sym_keyword_interval,
    ACTIONS(3827), 1,
      sym_keyword_array,
    ACTIONS(3829), 1,
      anon_sym_LPAREN,
    ACTIONS(3831), 1,
      anon_sym_DOT,
    ACTIONS(3833), 1,
      anon_sym_QMARK,
    ACTIONS(3835), 1,
      anon_sym_DOLLAR,
    ACTIONS(3837), 1,
      anon_sym_SQUOTE,
    ACTIONS(3839), 1,
      anon_sym_DASH,
    ACTIONS(3841), 1,
      anon_sym_DQUOTE,
    ACTIONS(3843), 1,
      sym__natural_number,
    ACTIONS(3845), 1,
      sym_bang,
    ACTIONS(3847), 1,
      anon_sym_BQUOTE,
    ACTIONS(4083), 1,
      sym_keyword_not,
    STATE(3380), 1,
      sym__expression,
    STATE(4261), 1,
      sym_identifier,
    STATE(4339), 1,
      sym_invocation,
    STATE(4343), 1,
      sym__double_quote_string,
    STATE(4345), 1,
      sym__integer,
    STATE(6704), 1,
      sym__alias_identifier,
    STATE(2004), 2,
      sym_comment,
      sym_marginalia,
    STATE(4408), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(4452), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(3823), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(4422), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [151075] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3811), 1,
      sym__identifier,
    ACTIONS(3813), 1,
      sym_keyword_cast,
    ACTIONS(3815), 1,
      sym_keyword_count,
    ACTIONS(3817), 1,
      sym_keyword_group_concat,
    ACTIONS(3819), 1,
      sym_keyword_case,
    ACTIONS(3825), 1,
      sym_keyword_interval,
    ACTIONS(3827), 1,
      sym_keyword_array,
    ACTIONS(3829), 1,
      anon_sym_LPAREN,
    ACTIONS(3831), 1,
      anon_sym_DOT,
    ACTIONS(3833), 1,
      anon_sym_QMARK,
    ACTIONS(3835), 1,
      anon_sym_DOLLAR,
    ACTIONS(3837), 1,
      anon_sym_SQUOTE,
    ACTIONS(3839), 1,
      anon_sym_DASH,
    ACTIONS(3841), 1,
      anon_sym_DQUOTE,
    ACTIONS(3843), 1,
      sym__natural_number,
    ACTIONS(3845), 1,
      sym_bang,
    ACTIONS(3847), 1,
      anon_sym_BQUOTE,
    ACTIONS(4083), 1,
      sym_keyword_not,
    STATE(3381), 1,
      sym__expression,
    STATE(4261), 1,
      sym_identifier,
    STATE(4339), 1,
      sym_invocation,
    STATE(4343), 1,
      sym__double_quote_string,
    STATE(4345), 1,
      sym__integer,
    STATE(6704), 1,
      sym__alias_identifier,
    STATE(2005), 2,
      sym_comment,
      sym_marginalia,
    STATE(4408), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(4452), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(3823), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(4422), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [151187] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3811), 1,
      sym__identifier,
    ACTIONS(3813), 1,
      sym_keyword_cast,
    ACTIONS(3815), 1,
      sym_keyword_count,
    ACTIONS(3817), 1,
      sym_keyword_group_concat,
    ACTIONS(3819), 1,
      sym_keyword_case,
    ACTIONS(3825), 1,
      sym_keyword_interval,
    ACTIONS(3827), 1,
      sym_keyword_array,
    ACTIONS(3829), 1,
      anon_sym_LPAREN,
    ACTIONS(3831), 1,
      anon_sym_DOT,
    ACTIONS(3833), 1,
      anon_sym_QMARK,
    ACTIONS(3835), 1,
      anon_sym_DOLLAR,
    ACTIONS(3837), 1,
      anon_sym_SQUOTE,
    ACTIONS(3839), 1,
      anon_sym_DASH,
    ACTIONS(3841), 1,
      anon_sym_DQUOTE,
    ACTIONS(3843), 1,
      sym__natural_number,
    ACTIONS(3845), 1,
      sym_bang,
    ACTIONS(3847), 1,
      anon_sym_BQUOTE,
    ACTIONS(4083), 1,
      sym_keyword_not,
    STATE(3386), 1,
      sym__expression,
    STATE(4261), 1,
      sym_identifier,
    STATE(4339), 1,
      sym_invocation,
    STATE(4343), 1,
      sym__double_quote_string,
    STATE(4345), 1,
      sym__integer,
    STATE(6704), 1,
      sym__alias_identifier,
    STATE(2006), 2,
      sym_comment,
      sym_marginalia,
    STATE(4408), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(4452), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(3823), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(4422), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [151299] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3811), 1,
      sym__identifier,
    ACTIONS(3813), 1,
      sym_keyword_cast,
    ACTIONS(3815), 1,
      sym_keyword_count,
    ACTIONS(3817), 1,
      sym_keyword_group_concat,
    ACTIONS(3819), 1,
      sym_keyword_case,
    ACTIONS(3825), 1,
      sym_keyword_interval,
    ACTIONS(3827), 1,
      sym_keyword_array,
    ACTIONS(3829), 1,
      anon_sym_LPAREN,
    ACTIONS(3831), 1,
      anon_sym_DOT,
    ACTIONS(3833), 1,
      anon_sym_QMARK,
    ACTIONS(3835), 1,
      anon_sym_DOLLAR,
    ACTIONS(3837), 1,
      anon_sym_SQUOTE,
    ACTIONS(3839), 1,
      anon_sym_DASH,
    ACTIONS(3841), 1,
      anon_sym_DQUOTE,
    ACTIONS(3843), 1,
      sym__natural_number,
    ACTIONS(3845), 1,
      sym_bang,
    ACTIONS(3847), 1,
      anon_sym_BQUOTE,
    ACTIONS(4083), 1,
      sym_keyword_not,
    STATE(3387), 1,
      sym__expression,
    STATE(4261), 1,
      sym_identifier,
    STATE(4339), 1,
      sym_invocation,
    STATE(4343), 1,
      sym__double_quote_string,
    STATE(4345), 1,
      sym__integer,
    STATE(6704), 1,
      sym__alias_identifier,
    STATE(2007), 2,
      sym_comment,
      sym_marginalia,
    STATE(4408), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(4452), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(3823), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(4422), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [151411] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3811), 1,
      sym__identifier,
    ACTIONS(3813), 1,
      sym_keyword_cast,
    ACTIONS(3815), 1,
      sym_keyword_count,
    ACTIONS(3817), 1,
      sym_keyword_group_concat,
    ACTIONS(3819), 1,
      sym_keyword_case,
    ACTIONS(3825), 1,
      sym_keyword_interval,
    ACTIONS(3827), 1,
      sym_keyword_array,
    ACTIONS(3829), 1,
      anon_sym_LPAREN,
    ACTIONS(3831), 1,
      anon_sym_DOT,
    ACTIONS(3833), 1,
      anon_sym_QMARK,
    ACTIONS(3835), 1,
      anon_sym_DOLLAR,
    ACTIONS(3837), 1,
      anon_sym_SQUOTE,
    ACTIONS(3839), 1,
      anon_sym_DASH,
    ACTIONS(3841), 1,
      anon_sym_DQUOTE,
    ACTIONS(3843), 1,
      sym__natural_number,
    ACTIONS(3845), 1,
      sym_bang,
    ACTIONS(3847), 1,
      anon_sym_BQUOTE,
    ACTIONS(4083), 1,
      sym_keyword_not,
    STATE(3389), 1,
      sym__expression,
    STATE(4261), 1,
      sym_identifier,
    STATE(4339), 1,
      sym_invocation,
    STATE(4343), 1,
      sym__double_quote_string,
    STATE(4345), 1,
      sym__integer,
    STATE(6704), 1,
      sym__alias_identifier,
    STATE(2008), 2,
      sym_comment,
      sym_marginalia,
    STATE(4408), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(4452), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(3823), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(4422), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [151523] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(3618), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2009), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [151635] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2271), 1,
      sym__expression,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2010), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [151747] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2270), 1,
      sym__expression,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2011), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [151859] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4241), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2012), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [151971] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4246), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2013), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [152083] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4252), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2014), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [152195] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(3813), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2015), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [152307] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2267), 1,
      sym__expression,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2016), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [152419] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(3829), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2017), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [152531] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3537), 1,
      sym__identifier,
    ACTIONS(3539), 1,
      sym_keyword_cast,
    ACTIONS(3541), 1,
      sym_keyword_count,
    ACTIONS(3543), 1,
      sym_keyword_group_concat,
    ACTIONS(3545), 1,
      sym_keyword_case,
    ACTIONS(3549), 1,
      sym_keyword_null,
    ACTIONS(3551), 1,
      sym_keyword_interval,
    ACTIONS(3553), 1,
      sym_keyword_array,
    ACTIONS(3555), 1,
      anon_sym_LPAREN,
    ACTIONS(3557), 1,
      anon_sym_DOT,
    ACTIONS(3559), 1,
      anon_sym_QMARK,
    ACTIONS(3561), 1,
      anon_sym_DOLLAR,
    ACTIONS(3563), 1,
      anon_sym_SQUOTE,
    ACTIONS(3565), 1,
      anon_sym_DASH,
    ACTIONS(3567), 1,
      anon_sym_DQUOTE,
    ACTIONS(3569), 1,
      sym__natural_number,
    ACTIONS(3571), 1,
      sym_bang,
    ACTIONS(3573), 1,
      anon_sym_BQUOTE,
    ACTIONS(4077), 1,
      sym_keyword_not,
    STATE(244), 1,
      sym__expression,
    STATE(720), 1,
      sym_identifier,
    STATE(867), 1,
      sym__double_quote_string,
    STATE(966), 1,
      sym__integer,
    STATE(968), 1,
      sym_invocation,
    STATE(7073), 1,
      sym__alias_identifier,
    ACTIONS(4199), 2,
      sym_keyword_true,
      sym_keyword_false,
    STATE(1107), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(1112), 2,
      sym_count,
      sym_group_concat,
    STATE(2018), 2,
      sym_comment,
      sym_marginalia,
    STATE(1111), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [152645] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3425), 1,
      sym__identifier,
    ACTIONS(3429), 1,
      sym_keyword_cast,
    ACTIONS(3431), 1,
      sym_keyword_count,
    ACTIONS(3433), 1,
      sym_keyword_group_concat,
    ACTIONS(3435), 1,
      sym_keyword_case,
    ACTIONS(3441), 1,
      sym_keyword_interval,
    ACTIONS(3443), 1,
      sym_keyword_array,
    ACTIONS(3445), 1,
      anon_sym_LPAREN,
    ACTIONS(3447), 1,
      anon_sym_DOT,
    ACTIONS(3449), 1,
      anon_sym_QMARK,
    ACTIONS(3451), 1,
      anon_sym_DOLLAR,
    ACTIONS(3453), 1,
      anon_sym_SQUOTE,
    ACTIONS(3455), 1,
      anon_sym_DASH,
    ACTIONS(3457), 1,
      anon_sym_DQUOTE,
    ACTIONS(3459), 1,
      sym__natural_number,
    ACTIONS(3461), 1,
      sym_bang,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    ACTIONS(4101), 1,
      sym_keyword_not,
    STATE(122), 1,
      sym__expression,
    STATE(397), 1,
      sym__integer,
    STATE(398), 1,
      sym__double_quote_string,
    STATE(459), 1,
      sym_identifier,
    STATE(753), 1,
      sym_invocation,
    STATE(6950), 1,
      sym__alias_identifier,
    STATE(494), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(500), 2,
      sym_count,
      sym_group_concat,
    STATE(2019), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(499), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [152757] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2020), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2511), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2513), 30,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [152817] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4298), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2021), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [152929] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4300), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2022), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [153041] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4309), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2023), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [153153] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2811), 1,
      sym__identifier,
    ACTIONS(2815), 1,
      sym_keyword_cast,
    ACTIONS(2817), 1,
      sym_keyword_count,
    ACTIONS(2819), 1,
      sym_keyword_group_concat,
    ACTIONS(2821), 1,
      sym_keyword_case,
    ACTIONS(2823), 1,
      sym_keyword_not,
    ACTIONS(2827), 1,
      sym_keyword_interval,
    ACTIONS(2829), 1,
      sym_keyword_array,
    ACTIONS(2831), 1,
      anon_sym_LPAREN,
    ACTIONS(2833), 1,
      anon_sym_DOT,
    ACTIONS(2835), 1,
      anon_sym_QMARK,
    ACTIONS(2837), 1,
      anon_sym_DOLLAR,
    ACTIONS(2839), 1,
      anon_sym_SQUOTE,
    ACTIONS(2841), 1,
      anon_sym_DASH,
    ACTIONS(2843), 1,
      anon_sym_DQUOTE,
    ACTIONS(2845), 1,
      sym__natural_number,
    ACTIONS(2847), 1,
      sym_bang,
    ACTIONS(2849), 1,
      anon_sym_BQUOTE,
    STATE(3329), 1,
      sym_identifier,
    STATE(3418), 1,
      sym_invocation,
    STATE(3422), 1,
      sym__double_quote_string,
    STATE(3447), 1,
      sym__integer,
    STATE(3455), 1,
      sym__expression,
    STATE(6476), 1,
      sym__alias_identifier,
    STATE(2024), 2,
      sym_comment,
      sym_marginalia,
    STATE(3561), 2,
      sym_count,
      sym_group_concat,
    STATE(3593), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(2825), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3562), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [153265] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(3736), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2025), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [153377] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3941), 1,
      sym__identifier,
    ACTIONS(3943), 1,
      sym_keyword_cast,
    ACTIONS(3945), 1,
      sym_keyword_count,
    ACTIONS(3947), 1,
      sym_keyword_group_concat,
    ACTIONS(3949), 1,
      sym_keyword_case,
    ACTIONS(3955), 1,
      sym_keyword_interval,
    ACTIONS(3957), 1,
      sym_keyword_array,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_DOT,
    ACTIONS(3963), 1,
      anon_sym_QMARK,
    ACTIONS(3965), 1,
      anon_sym_DOLLAR,
    ACTIONS(3967), 1,
      anon_sym_SQUOTE,
    ACTIONS(3969), 1,
      anon_sym_DASH,
    ACTIONS(3971), 1,
      anon_sym_DQUOTE,
    ACTIONS(3973), 1,
      sym__natural_number,
    ACTIONS(3975), 1,
      sym_bang,
    ACTIONS(3977), 1,
      anon_sym_BQUOTE,
    ACTIONS(4157), 1,
      sym_keyword_not,
    STATE(782), 1,
      sym__expression,
    STATE(1696), 1,
      sym_identifier,
    STATE(1930), 1,
      sym__integer,
    STATE(1931), 1,
      sym__double_quote_string,
    STATE(1932), 1,
      sym_invocation,
    STATE(6653), 1,
      sym__alias_identifier,
    STATE(2026), 2,
      sym_comment,
      sym_marginalia,
    STATE(2293), 2,
      sym_count,
      sym_group_concat,
    STATE(2305), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(3953), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2303), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [153489] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3811), 1,
      sym__identifier,
    ACTIONS(3813), 1,
      sym_keyword_cast,
    ACTIONS(3815), 1,
      sym_keyword_count,
    ACTIONS(3817), 1,
      sym_keyword_group_concat,
    ACTIONS(3819), 1,
      sym_keyword_case,
    ACTIONS(3825), 1,
      sym_keyword_interval,
    ACTIONS(3827), 1,
      sym_keyword_array,
    ACTIONS(3829), 1,
      anon_sym_LPAREN,
    ACTIONS(3831), 1,
      anon_sym_DOT,
    ACTIONS(3833), 1,
      anon_sym_QMARK,
    ACTIONS(3835), 1,
      anon_sym_DOLLAR,
    ACTIONS(3837), 1,
      anon_sym_SQUOTE,
    ACTIONS(3839), 1,
      anon_sym_DASH,
    ACTIONS(3841), 1,
      anon_sym_DQUOTE,
    ACTIONS(3843), 1,
      sym__natural_number,
    ACTIONS(3845), 1,
      sym_bang,
    ACTIONS(3847), 1,
      anon_sym_BQUOTE,
    ACTIONS(4083), 1,
      sym_keyword_not,
    STATE(3373), 1,
      sym__expression,
    STATE(4261), 1,
      sym_identifier,
    STATE(4339), 1,
      sym_invocation,
    STATE(4343), 1,
      sym__double_quote_string,
    STATE(4345), 1,
      sym__integer,
    STATE(6704), 1,
      sym__alias_identifier,
    STATE(2027), 2,
      sym_comment,
      sym_marginalia,
    STATE(4408), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(4452), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(3823), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(4422), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [153601] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(3795), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2028), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [153713] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(3743), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2029), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [153825] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2030), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2523), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2525), 30,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [153885] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4166), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2031), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [153997] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4218), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2032), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [154109] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4205), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2033), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [154221] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3899), 1,
      sym__identifier,
    ACTIONS(3901), 1,
      sym_keyword_cast,
    ACTIONS(3903), 1,
      sym_keyword_count,
    ACTIONS(3905), 1,
      sym_keyword_group_concat,
    ACTIONS(3907), 1,
      sym_keyword_case,
    ACTIONS(3913), 1,
      sym_keyword_interval,
    ACTIONS(3915), 1,
      sym_keyword_array,
    ACTIONS(3917), 1,
      anon_sym_LPAREN,
    ACTIONS(3919), 1,
      anon_sym_DOT,
    ACTIONS(3921), 1,
      anon_sym_QMARK,
    ACTIONS(3923), 1,
      anon_sym_DOLLAR,
    ACTIONS(3925), 1,
      anon_sym_SQUOTE,
    ACTIONS(3927), 1,
      anon_sym_DASH,
    ACTIONS(3929), 1,
      anon_sym_DQUOTE,
    ACTIONS(3931), 1,
      sym__natural_number,
    ACTIONS(3933), 1,
      sym_bang,
    ACTIONS(3935), 1,
      anon_sym_BQUOTE,
    ACTIONS(4091), 1,
      sym_keyword_not,
    STATE(2617), 1,
      sym__expression,
    STATE(3328), 1,
      sym_identifier,
    STATE(3468), 1,
      sym_invocation,
    STATE(3527), 1,
      sym__double_quote_string,
    STATE(3528), 1,
      sym__integer,
    STATE(6991), 1,
      sym__alias_identifier,
    STATE(2034), 2,
      sym_comment,
      sym_marginalia,
    STATE(3545), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(3553), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(3911), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3555), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [154333] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4167), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2035), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [154445] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(3932), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2036), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [154557] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2037), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(977), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(975), 30,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [154617] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2038), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2177), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2179), 30,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [154677] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(3872), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2039), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [154789] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(3891), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2040), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [154901] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4165), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2041), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [155013] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4311), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2042), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [155125] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4292), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2043), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [155237] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4307), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2044), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [155349] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(3826), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2045), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [155461] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4177), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2046), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [155573] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(3825), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2047), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [155685] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4291), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2048), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [155797] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4280), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2049), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [155909] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3991), 1,
      sym__identifier,
    ACTIONS(3993), 1,
      sym_keyword_cast,
    ACTIONS(3995), 1,
      sym_keyword_count,
    ACTIONS(3997), 1,
      sym_keyword_group_concat,
    ACTIONS(3999), 1,
      sym_keyword_case,
    ACTIONS(4005), 1,
      sym_keyword_interval,
    ACTIONS(4007), 1,
      sym_keyword_array,
    ACTIONS(4009), 1,
      anon_sym_LPAREN,
    ACTIONS(4011), 1,
      anon_sym_DOT,
    ACTIONS(4013), 1,
      anon_sym_QMARK,
    ACTIONS(4015), 1,
      anon_sym_DOLLAR,
    ACTIONS(4017), 1,
      anon_sym_SQUOTE,
    ACTIONS(4019), 1,
      anon_sym_DASH,
    ACTIONS(4021), 1,
      anon_sym_DQUOTE,
    ACTIONS(4023), 1,
      sym__natural_number,
    ACTIONS(4025), 1,
      sym_bang,
    ACTIONS(4027), 1,
      anon_sym_BQUOTE,
    ACTIONS(4085), 1,
      sym_keyword_not,
    STATE(552), 1,
      sym__expression,
    STATE(930), 1,
      sym_identifier,
    STATE(1157), 1,
      sym_invocation,
    STATE(1160), 1,
      sym__double_quote_string,
    STATE(1161), 1,
      sym__integer,
    STATE(6602), 1,
      sym__alias_identifier,
    STATE(1258), 2,
      sym_count,
      sym_group_concat,
    STATE(1265), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2050), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4003), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(1259), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [156021] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2639), 1,
      sym__identifier,
    ACTIONS(2641), 1,
      sym_keyword_cast,
    ACTIONS(2643), 1,
      sym_keyword_count,
    ACTIONS(2645), 1,
      sym_keyword_group_concat,
    ACTIONS(2647), 1,
      sym_keyword_case,
    ACTIONS(2649), 1,
      sym_keyword_not,
    ACTIONS(2653), 1,
      sym_keyword_interval,
    ACTIONS(2655), 1,
      sym_keyword_array,
    ACTIONS(2657), 1,
      anon_sym_LPAREN,
    ACTIONS(2659), 1,
      anon_sym_DOT,
    ACTIONS(2661), 1,
      anon_sym_QMARK,
    ACTIONS(2663), 1,
      anon_sym_DOLLAR,
    ACTIONS(2665), 1,
      anon_sym_SQUOTE,
    ACTIONS(2667), 1,
      anon_sym_DASH,
    ACTIONS(2669), 1,
      anon_sym_DQUOTE,
    ACTIONS(2671), 1,
      sym__natural_number,
    ACTIONS(2673), 1,
      sym_bang,
    ACTIONS(2675), 1,
      anon_sym_BQUOTE,
    STATE(335), 1,
      sym__expression,
    STATE(989), 1,
      sym_identifier,
    STATE(1306), 1,
      sym__integer,
    STATE(1312), 1,
      sym__double_quote_string,
    STATE(1313), 1,
      sym_invocation,
    STATE(6399), 1,
      sym__alias_identifier,
    STATE(1660), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(1665), 2,
      sym_count,
      sym_group_concat,
    STATE(2051), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2651), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(1664), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [156133] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4279), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2052), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [156245] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3473), 1,
      sym__identifier,
    ACTIONS(3475), 1,
      sym_keyword_cast,
    ACTIONS(3477), 1,
      sym_keyword_count,
    ACTIONS(3479), 1,
      sym_keyword_group_concat,
    ACTIONS(3481), 1,
      sym_keyword_case,
    ACTIONS(3483), 1,
      sym_keyword_not,
    ACTIONS(3487), 1,
      sym_keyword_interval,
    ACTIONS(3489), 1,
      sym_keyword_array,
    ACTIONS(3491), 1,
      anon_sym_LPAREN,
    ACTIONS(3493), 1,
      anon_sym_DOT,
    ACTIONS(3495), 1,
      anon_sym_QMARK,
    ACTIONS(3497), 1,
      anon_sym_DOLLAR,
    ACTIONS(3499), 1,
      anon_sym_SQUOTE,
    ACTIONS(3501), 1,
      anon_sym_DASH,
    ACTIONS(3503), 1,
      anon_sym_DQUOTE,
    ACTIONS(3505), 1,
      sym__natural_number,
    ACTIONS(3507), 1,
      sym_bang,
    ACTIONS(3509), 1,
      anon_sym_BQUOTE,
    STATE(98), 1,
      sym__expression,
    STATE(368), 1,
      sym_identifier,
    STATE(603), 1,
      sym__integer,
    STATE(604), 1,
      sym__double_quote_string,
    STATE(605), 1,
      sym_invocation,
    STATE(6786), 1,
      sym__alias_identifier,
    STATE(629), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(656), 2,
      sym_count,
      sym_group_concat,
    STATE(2053), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3485), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(654), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [156357] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3473), 1,
      sym__identifier,
    ACTIONS(3475), 1,
      sym_keyword_cast,
    ACTIONS(3477), 1,
      sym_keyword_count,
    ACTIONS(3479), 1,
      sym_keyword_group_concat,
    ACTIONS(3481), 1,
      sym_keyword_case,
    ACTIONS(3483), 1,
      sym_keyword_not,
    ACTIONS(3487), 1,
      sym_keyword_interval,
    ACTIONS(3489), 1,
      sym_keyword_array,
    ACTIONS(3491), 1,
      anon_sym_LPAREN,
    ACTIONS(3493), 1,
      anon_sym_DOT,
    ACTIONS(3495), 1,
      anon_sym_QMARK,
    ACTIONS(3497), 1,
      anon_sym_DOLLAR,
    ACTIONS(3499), 1,
      anon_sym_SQUOTE,
    ACTIONS(3501), 1,
      anon_sym_DASH,
    ACTIONS(3503), 1,
      anon_sym_DQUOTE,
    ACTIONS(3505), 1,
      sym__natural_number,
    ACTIONS(3507), 1,
      sym_bang,
    ACTIONS(3509), 1,
      anon_sym_BQUOTE,
    STATE(89), 1,
      sym__expression,
    STATE(368), 1,
      sym_identifier,
    STATE(603), 1,
      sym__integer,
    STATE(604), 1,
      sym__double_quote_string,
    STATE(605), 1,
      sym_invocation,
    STATE(6786), 1,
      sym__alias_identifier,
    STATE(629), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(656), 2,
      sym_count,
      sym_group_concat,
    STATE(2054), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3485), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(654), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [156469] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3473), 1,
      sym__identifier,
    ACTIONS(3475), 1,
      sym_keyword_cast,
    ACTIONS(3477), 1,
      sym_keyword_count,
    ACTIONS(3479), 1,
      sym_keyword_group_concat,
    ACTIONS(3481), 1,
      sym_keyword_case,
    ACTIONS(3483), 1,
      sym_keyword_not,
    ACTIONS(3487), 1,
      sym_keyword_interval,
    ACTIONS(3489), 1,
      sym_keyword_array,
    ACTIONS(3491), 1,
      anon_sym_LPAREN,
    ACTIONS(3493), 1,
      anon_sym_DOT,
    ACTIONS(3495), 1,
      anon_sym_QMARK,
    ACTIONS(3497), 1,
      anon_sym_DOLLAR,
    ACTIONS(3499), 1,
      anon_sym_SQUOTE,
    ACTIONS(3501), 1,
      anon_sym_DASH,
    ACTIONS(3503), 1,
      anon_sym_DQUOTE,
    ACTIONS(3505), 1,
      sym__natural_number,
    ACTIONS(3507), 1,
      sym_bang,
    ACTIONS(3509), 1,
      anon_sym_BQUOTE,
    STATE(88), 1,
      sym__expression,
    STATE(368), 1,
      sym_identifier,
    STATE(603), 1,
      sym__integer,
    STATE(604), 1,
      sym__double_quote_string,
    STATE(605), 1,
      sym_invocation,
    STATE(6786), 1,
      sym__alias_identifier,
    STATE(629), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(656), 2,
      sym_count,
      sym_group_concat,
    STATE(2055), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3485), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(654), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [156581] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3473), 1,
      sym__identifier,
    ACTIONS(3475), 1,
      sym_keyword_cast,
    ACTIONS(3477), 1,
      sym_keyword_count,
    ACTIONS(3479), 1,
      sym_keyword_group_concat,
    ACTIONS(3481), 1,
      sym_keyword_case,
    ACTIONS(3483), 1,
      sym_keyword_not,
    ACTIONS(3487), 1,
      sym_keyword_interval,
    ACTIONS(3489), 1,
      sym_keyword_array,
    ACTIONS(3491), 1,
      anon_sym_LPAREN,
    ACTIONS(3493), 1,
      anon_sym_DOT,
    ACTIONS(3495), 1,
      anon_sym_QMARK,
    ACTIONS(3497), 1,
      anon_sym_DOLLAR,
    ACTIONS(3499), 1,
      anon_sym_SQUOTE,
    ACTIONS(3501), 1,
      anon_sym_DASH,
    ACTIONS(3503), 1,
      anon_sym_DQUOTE,
    ACTIONS(3505), 1,
      sym__natural_number,
    ACTIONS(3507), 1,
      sym_bang,
    ACTIONS(3509), 1,
      anon_sym_BQUOTE,
    STATE(85), 1,
      sym__expression,
    STATE(368), 1,
      sym_identifier,
    STATE(603), 1,
      sym__integer,
    STATE(604), 1,
      sym__double_quote_string,
    STATE(605), 1,
      sym_invocation,
    STATE(6786), 1,
      sym__alias_identifier,
    STATE(629), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(656), 2,
      sym_count,
      sym_group_concat,
    STATE(2056), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3485), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(654), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [156693] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2639), 1,
      sym__identifier,
    ACTIONS(2641), 1,
      sym_keyword_cast,
    ACTIONS(2643), 1,
      sym_keyword_count,
    ACTIONS(2645), 1,
      sym_keyword_group_concat,
    ACTIONS(2647), 1,
      sym_keyword_case,
    ACTIONS(2649), 1,
      sym_keyword_not,
    ACTIONS(2653), 1,
      sym_keyword_interval,
    ACTIONS(2655), 1,
      sym_keyword_array,
    ACTIONS(2657), 1,
      anon_sym_LPAREN,
    ACTIONS(2659), 1,
      anon_sym_DOT,
    ACTIONS(2661), 1,
      anon_sym_QMARK,
    ACTIONS(2663), 1,
      anon_sym_DOLLAR,
    ACTIONS(2665), 1,
      anon_sym_SQUOTE,
    ACTIONS(2667), 1,
      anon_sym_DASH,
    ACTIONS(2669), 1,
      anon_sym_DQUOTE,
    ACTIONS(2671), 1,
      sym__natural_number,
    ACTIONS(2673), 1,
      sym_bang,
    ACTIONS(2675), 1,
      anon_sym_BQUOTE,
    STATE(989), 1,
      sym_identifier,
    STATE(1306), 1,
      sym__integer,
    STATE(1312), 1,
      sym__double_quote_string,
    STATE(1313), 1,
      sym_invocation,
    STATE(2202), 1,
      sym__expression,
    STATE(6399), 1,
      sym__alias_identifier,
    STATE(1660), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(1665), 2,
      sym_count,
      sym_group_concat,
    STATE(2057), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2651), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(1664), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [156805] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3811), 1,
      sym__identifier,
    ACTIONS(3813), 1,
      sym_keyword_cast,
    ACTIONS(3815), 1,
      sym_keyword_count,
    ACTIONS(3817), 1,
      sym_keyword_group_concat,
    ACTIONS(3819), 1,
      sym_keyword_case,
    ACTIONS(3825), 1,
      sym_keyword_interval,
    ACTIONS(3827), 1,
      sym_keyword_array,
    ACTIONS(3829), 1,
      anon_sym_LPAREN,
    ACTIONS(3831), 1,
      anon_sym_DOT,
    ACTIONS(3833), 1,
      anon_sym_QMARK,
    ACTIONS(3835), 1,
      anon_sym_DOLLAR,
    ACTIONS(3837), 1,
      anon_sym_SQUOTE,
    ACTIONS(3839), 1,
      anon_sym_DASH,
    ACTIONS(3841), 1,
      anon_sym_DQUOTE,
    ACTIONS(3843), 1,
      sym__natural_number,
    ACTIONS(3845), 1,
      sym_bang,
    ACTIONS(3847), 1,
      anon_sym_BQUOTE,
    ACTIONS(4083), 1,
      sym_keyword_not,
    STATE(3346), 1,
      sym__expression,
    STATE(4261), 1,
      sym_identifier,
    STATE(4339), 1,
      sym_invocation,
    STATE(4343), 1,
      sym__double_quote_string,
    STATE(4345), 1,
      sym__integer,
    STATE(6704), 1,
      sym__alias_identifier,
    STATE(2058), 2,
      sym_comment,
      sym_marginalia,
    STATE(4408), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(4452), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(3823), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(4422), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [156917] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3811), 1,
      sym__identifier,
    ACTIONS(3813), 1,
      sym_keyword_cast,
    ACTIONS(3815), 1,
      sym_keyword_count,
    ACTIONS(3817), 1,
      sym_keyword_group_concat,
    ACTIONS(3819), 1,
      sym_keyword_case,
    ACTIONS(3825), 1,
      sym_keyword_interval,
    ACTIONS(3827), 1,
      sym_keyword_array,
    ACTIONS(3829), 1,
      anon_sym_LPAREN,
    ACTIONS(3831), 1,
      anon_sym_DOT,
    ACTIONS(3833), 1,
      anon_sym_QMARK,
    ACTIONS(3835), 1,
      anon_sym_DOLLAR,
    ACTIONS(3837), 1,
      anon_sym_SQUOTE,
    ACTIONS(3839), 1,
      anon_sym_DASH,
    ACTIONS(3841), 1,
      anon_sym_DQUOTE,
    ACTIONS(3843), 1,
      sym__natural_number,
    ACTIONS(3845), 1,
      sym_bang,
    ACTIONS(3847), 1,
      anon_sym_BQUOTE,
    ACTIONS(4083), 1,
      sym_keyword_not,
    STATE(3391), 1,
      sym__expression,
    STATE(4261), 1,
      sym_identifier,
    STATE(4339), 1,
      sym_invocation,
    STATE(4343), 1,
      sym__double_quote_string,
    STATE(4345), 1,
      sym__integer,
    STATE(6704), 1,
      sym__alias_identifier,
    STATE(2059), 2,
      sym_comment,
      sym_marginalia,
    STATE(4408), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(4452), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(3823), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(4422), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [157029] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3851), 1,
      sym__identifier,
    ACTIONS(3853), 1,
      sym_keyword_cast,
    ACTIONS(3855), 1,
      sym_keyword_count,
    ACTIONS(3857), 1,
      sym_keyword_group_concat,
    ACTIONS(3859), 1,
      sym_keyword_case,
    ACTIONS(3865), 1,
      sym_keyword_interval,
    ACTIONS(3867), 1,
      sym_keyword_array,
    ACTIONS(3869), 1,
      anon_sym_LPAREN,
    ACTIONS(3871), 1,
      anon_sym_DOT,
    ACTIONS(3873), 1,
      anon_sym_QMARK,
    ACTIONS(3875), 1,
      anon_sym_DOLLAR,
    ACTIONS(3877), 1,
      anon_sym_SQUOTE,
    ACTIONS(3879), 1,
      anon_sym_DASH,
    ACTIONS(3881), 1,
      anon_sym_DQUOTE,
    ACTIONS(3883), 1,
      sym__natural_number,
    ACTIONS(3885), 1,
      sym_bang,
    ACTIONS(3887), 1,
      anon_sym_BQUOTE,
    ACTIONS(4103), 1,
      sym_keyword_not,
    STATE(2861), 1,
      sym__expression,
    STATE(3399), 1,
      sym_identifier,
    STATE(3709), 1,
      sym__double_quote_string,
    STATE(3710), 1,
      sym__integer,
    STATE(3890), 1,
      sym_invocation,
    STATE(7032), 1,
      sym__alias_identifier,
    STATE(2060), 2,
      sym_comment,
      sym_marginalia,
    STATE(4042), 2,
      sym_count,
      sym_group_concat,
    STATE(4051), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(3863), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(4048), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [157141] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2297), 1,
      sym__identifier,
    ACTIONS(2301), 1,
      sym_keyword_cast,
    ACTIONS(2303), 1,
      sym_keyword_count,
    ACTIONS(2305), 1,
      sym_keyword_group_concat,
    ACTIONS(2307), 1,
      sym_keyword_case,
    ACTIONS(2309), 1,
      sym_keyword_not,
    ACTIONS(2313), 1,
      sym_keyword_interval,
    ACTIONS(2315), 1,
      sym_keyword_array,
    ACTIONS(2317), 1,
      anon_sym_LPAREN,
    ACTIONS(2319), 1,
      anon_sym_DOT,
    ACTIONS(2323), 1,
      anon_sym_QMARK,
    ACTIONS(2325), 1,
      anon_sym_DOLLAR,
    ACTIONS(2327), 1,
      anon_sym_SQUOTE,
    ACTIONS(2329), 1,
      anon_sym_DASH,
    ACTIONS(2331), 1,
      anon_sym_DQUOTE,
    ACTIONS(2333), 1,
      sym__natural_number,
    ACTIONS(2335), 1,
      sym_bang,
    ACTIONS(2337), 1,
      anon_sym_BQUOTE,
    STATE(2690), 1,
      sym__expression,
    STATE(3353), 1,
      sym_identifier,
    STATE(3459), 1,
      sym_invocation,
    STATE(3460), 1,
      sym__double_quote_string,
    STATE(3470), 1,
      sym__integer,
    STATE(6868), 1,
      sym__alias_identifier,
    STATE(2061), 2,
      sym_comment,
      sym_marginalia,
    STATE(3761), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(3886), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2311), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3882), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [157253] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2297), 1,
      sym__identifier,
    ACTIONS(2301), 1,
      sym_keyword_cast,
    ACTIONS(2303), 1,
      sym_keyword_count,
    ACTIONS(2305), 1,
      sym_keyword_group_concat,
    ACTIONS(2307), 1,
      sym_keyword_case,
    ACTIONS(2309), 1,
      sym_keyword_not,
    ACTIONS(2313), 1,
      sym_keyword_interval,
    ACTIONS(2315), 1,
      sym_keyword_array,
    ACTIONS(2317), 1,
      anon_sym_LPAREN,
    ACTIONS(2319), 1,
      anon_sym_DOT,
    ACTIONS(2323), 1,
      anon_sym_QMARK,
    ACTIONS(2325), 1,
      anon_sym_DOLLAR,
    ACTIONS(2327), 1,
      anon_sym_SQUOTE,
    ACTIONS(2329), 1,
      anon_sym_DASH,
    ACTIONS(2331), 1,
      anon_sym_DQUOTE,
    ACTIONS(2333), 1,
      sym__natural_number,
    ACTIONS(2335), 1,
      sym_bang,
    ACTIONS(2337), 1,
      anon_sym_BQUOTE,
    STATE(2689), 1,
      sym__expression,
    STATE(3353), 1,
      sym_identifier,
    STATE(3459), 1,
      sym_invocation,
    STATE(3460), 1,
      sym__double_quote_string,
    STATE(3470), 1,
      sym__integer,
    STATE(6868), 1,
      sym__alias_identifier,
    STATE(2062), 2,
      sym_comment,
      sym_marginalia,
    STATE(3761), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(3886), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2311), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3882), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [157365] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2246), 1,
      sym__expression,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2063), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [157477] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2245), 1,
      sym__expression,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2064), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [157589] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3473), 1,
      sym__identifier,
    ACTIONS(3475), 1,
      sym_keyword_cast,
    ACTIONS(3477), 1,
      sym_keyword_count,
    ACTIONS(3479), 1,
      sym_keyword_group_concat,
    ACTIONS(3481), 1,
      sym_keyword_case,
    ACTIONS(3483), 1,
      sym_keyword_not,
    ACTIONS(3487), 1,
      sym_keyword_interval,
    ACTIONS(3489), 1,
      sym_keyword_array,
    ACTIONS(3491), 1,
      anon_sym_LPAREN,
    ACTIONS(3493), 1,
      anon_sym_DOT,
    ACTIONS(3495), 1,
      anon_sym_QMARK,
    ACTIONS(3497), 1,
      anon_sym_DOLLAR,
    ACTIONS(3499), 1,
      anon_sym_SQUOTE,
    ACTIONS(3501), 1,
      anon_sym_DASH,
    ACTIONS(3503), 1,
      anon_sym_DQUOTE,
    ACTIONS(3505), 1,
      sym__natural_number,
    ACTIONS(3507), 1,
      sym_bang,
    ACTIONS(3509), 1,
      anon_sym_BQUOTE,
    STATE(91), 1,
      sym__expression,
    STATE(368), 1,
      sym_identifier,
    STATE(603), 1,
      sym__integer,
    STATE(604), 1,
      sym__double_quote_string,
    STATE(605), 1,
      sym_invocation,
    STATE(6786), 1,
      sym__alias_identifier,
    STATE(629), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(656), 2,
      sym_count,
      sym_group_concat,
    STATE(2065), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3485), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(654), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [157701] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2096), 1,
      sym__expression,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2066), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [157813] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2190), 1,
      sym__expression,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2067), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [157925] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3851), 1,
      sym__identifier,
    ACTIONS(3853), 1,
      sym_keyword_cast,
    ACTIONS(3855), 1,
      sym_keyword_count,
    ACTIONS(3857), 1,
      sym_keyword_group_concat,
    ACTIONS(3859), 1,
      sym_keyword_case,
    ACTIONS(3865), 1,
      sym_keyword_interval,
    ACTIONS(3867), 1,
      sym_keyword_array,
    ACTIONS(3869), 1,
      anon_sym_LPAREN,
    ACTIONS(3871), 1,
      anon_sym_DOT,
    ACTIONS(3873), 1,
      anon_sym_QMARK,
    ACTIONS(3875), 1,
      anon_sym_DOLLAR,
    ACTIONS(3877), 1,
      anon_sym_SQUOTE,
    ACTIONS(3879), 1,
      anon_sym_DASH,
    ACTIONS(3881), 1,
      anon_sym_DQUOTE,
    ACTIONS(3883), 1,
      sym__natural_number,
    ACTIONS(3885), 1,
      sym_bang,
    ACTIONS(3887), 1,
      anon_sym_BQUOTE,
    ACTIONS(4103), 1,
      sym_keyword_not,
    STATE(2877), 1,
      sym__expression,
    STATE(3399), 1,
      sym_identifier,
    STATE(3709), 1,
      sym__double_quote_string,
    STATE(3710), 1,
      sym__integer,
    STATE(3890), 1,
      sym_invocation,
    STATE(7032), 1,
      sym__alias_identifier,
    STATE(2068), 2,
      sym_comment,
      sym_marginalia,
    STATE(4042), 2,
      sym_count,
      sym_group_concat,
    STATE(4051), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(3863), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(4048), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [158037] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2297), 1,
      sym__identifier,
    ACTIONS(2301), 1,
      sym_keyword_cast,
    ACTIONS(2303), 1,
      sym_keyword_count,
    ACTIONS(2305), 1,
      sym_keyword_group_concat,
    ACTIONS(2307), 1,
      sym_keyword_case,
    ACTIONS(2309), 1,
      sym_keyword_not,
    ACTIONS(2313), 1,
      sym_keyword_interval,
    ACTIONS(2315), 1,
      sym_keyword_array,
    ACTIONS(2317), 1,
      anon_sym_LPAREN,
    ACTIONS(2319), 1,
      anon_sym_DOT,
    ACTIONS(2323), 1,
      anon_sym_QMARK,
    ACTIONS(2325), 1,
      anon_sym_DOLLAR,
    ACTIONS(2327), 1,
      anon_sym_SQUOTE,
    ACTIONS(2329), 1,
      anon_sym_DASH,
    ACTIONS(2331), 1,
      anon_sym_DQUOTE,
    ACTIONS(2333), 1,
      sym__natural_number,
    ACTIONS(2335), 1,
      sym_bang,
    ACTIONS(2337), 1,
      anon_sym_BQUOTE,
    STATE(2688), 1,
      sym__expression,
    STATE(3353), 1,
      sym_identifier,
    STATE(3459), 1,
      sym_invocation,
    STATE(3460), 1,
      sym__double_quote_string,
    STATE(3470), 1,
      sym__integer,
    STATE(6868), 1,
      sym__alias_identifier,
    STATE(2069), 2,
      sym_comment,
      sym_marginalia,
    STATE(3761), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(3886), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2311), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3882), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [158149] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2268), 1,
      sym__expression,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2070), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [158261] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2297), 1,
      sym__identifier,
    ACTIONS(2301), 1,
      sym_keyword_cast,
    ACTIONS(2303), 1,
      sym_keyword_count,
    ACTIONS(2305), 1,
      sym_keyword_group_concat,
    ACTIONS(2307), 1,
      sym_keyword_case,
    ACTIONS(2309), 1,
      sym_keyword_not,
    ACTIONS(2313), 1,
      sym_keyword_interval,
    ACTIONS(2315), 1,
      sym_keyword_array,
    ACTIONS(2317), 1,
      anon_sym_LPAREN,
    ACTIONS(2319), 1,
      anon_sym_DOT,
    ACTIONS(2323), 1,
      anon_sym_QMARK,
    ACTIONS(2325), 1,
      anon_sym_DOLLAR,
    ACTIONS(2327), 1,
      anon_sym_SQUOTE,
    ACTIONS(2329), 1,
      anon_sym_DASH,
    ACTIONS(2331), 1,
      anon_sym_DQUOTE,
    ACTIONS(2333), 1,
      sym__natural_number,
    ACTIONS(2335), 1,
      sym_bang,
    ACTIONS(2337), 1,
      anon_sym_BQUOTE,
    STATE(2684), 1,
      sym__expression,
    STATE(3353), 1,
      sym_identifier,
    STATE(3459), 1,
      sym_invocation,
    STATE(3460), 1,
      sym__double_quote_string,
    STATE(3470), 1,
      sym__integer,
    STATE(6868), 1,
      sym__alias_identifier,
    STATE(2071), 2,
      sym_comment,
      sym_marginalia,
    STATE(3761), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(3886), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2311), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3882), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [158373] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3941), 1,
      sym__identifier,
    ACTIONS(3943), 1,
      sym_keyword_cast,
    ACTIONS(3945), 1,
      sym_keyword_count,
    ACTIONS(3947), 1,
      sym_keyword_group_concat,
    ACTIONS(3949), 1,
      sym_keyword_case,
    ACTIONS(3955), 1,
      sym_keyword_interval,
    ACTIONS(3957), 1,
      sym_keyword_array,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_DOT,
    ACTIONS(3963), 1,
      anon_sym_QMARK,
    ACTIONS(3965), 1,
      anon_sym_DOLLAR,
    ACTIONS(3967), 1,
      anon_sym_SQUOTE,
    ACTIONS(3969), 1,
      anon_sym_DASH,
    ACTIONS(3971), 1,
      anon_sym_DQUOTE,
    ACTIONS(3973), 1,
      sym__natural_number,
    ACTIONS(3975), 1,
      sym_bang,
    ACTIONS(3977), 1,
      anon_sym_BQUOTE,
    ACTIONS(4157), 1,
      sym_keyword_not,
    STATE(420), 1,
      sym__expression,
    STATE(1696), 1,
      sym_identifier,
    STATE(1930), 1,
      sym__integer,
    STATE(1931), 1,
      sym__double_quote_string,
    STATE(1932), 1,
      sym_invocation,
    STATE(6653), 1,
      sym__alias_identifier,
    STATE(2072), 2,
      sym_comment,
      sym_marginalia,
    STATE(2293), 2,
      sym_count,
      sym_group_concat,
    STATE(2305), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(3953), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2303), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [158485] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2587), 1,
      sym__identifier,
    ACTIONS(2589), 1,
      sym_keyword_cast,
    ACTIONS(2591), 1,
      sym_keyword_count,
    ACTIONS(2593), 1,
      sym_keyword_group_concat,
    ACTIONS(2595), 1,
      sym_keyword_case,
    ACTIONS(2597), 1,
      sym_keyword_not,
    ACTIONS(2601), 1,
      sym_keyword_interval,
    ACTIONS(2603), 1,
      sym_keyword_array,
    ACTIONS(2605), 1,
      anon_sym_LPAREN,
    ACTIONS(2607), 1,
      anon_sym_DOT,
    ACTIONS(2609), 1,
      anon_sym_QMARK,
    ACTIONS(2611), 1,
      anon_sym_DOLLAR,
    ACTIONS(2613), 1,
      anon_sym_SQUOTE,
    ACTIONS(2615), 1,
      anon_sym_DASH,
    ACTIONS(2617), 1,
      anon_sym_DQUOTE,
    ACTIONS(2619), 1,
      sym__natural_number,
    ACTIONS(2621), 1,
      sym_bang,
    ACTIONS(2623), 1,
      anon_sym_BQUOTE,
    STATE(1126), 1,
      sym__expression,
    STATE(2418), 1,
      sym_identifier,
    STATE(2458), 1,
      sym_invocation,
    STATE(2474), 1,
      sym__double_quote_string,
    STATE(2475), 1,
      sym__integer,
    STATE(6544), 1,
      sym__alias_identifier,
    STATE(2073), 2,
      sym_comment,
      sym_marginalia,
    STATE(2590), 2,
      sym_count,
      sym_group_concat,
    STATE(2593), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(2599), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2591), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [158597] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2587), 1,
      sym__identifier,
    ACTIONS(2589), 1,
      sym_keyword_cast,
    ACTIONS(2591), 1,
      sym_keyword_count,
    ACTIONS(2593), 1,
      sym_keyword_group_concat,
    ACTIONS(2595), 1,
      sym_keyword_case,
    ACTIONS(2597), 1,
      sym_keyword_not,
    ACTIONS(2601), 1,
      sym_keyword_interval,
    ACTIONS(2603), 1,
      sym_keyword_array,
    ACTIONS(2605), 1,
      anon_sym_LPAREN,
    ACTIONS(2607), 1,
      anon_sym_DOT,
    ACTIONS(2609), 1,
      anon_sym_QMARK,
    ACTIONS(2611), 1,
      anon_sym_DOLLAR,
    ACTIONS(2613), 1,
      anon_sym_SQUOTE,
    ACTIONS(2615), 1,
      anon_sym_DASH,
    ACTIONS(2617), 1,
      anon_sym_DQUOTE,
    ACTIONS(2619), 1,
      sym__natural_number,
    ACTIONS(2621), 1,
      sym_bang,
    ACTIONS(2623), 1,
      anon_sym_BQUOTE,
    STATE(1127), 1,
      sym__expression,
    STATE(2418), 1,
      sym_identifier,
    STATE(2458), 1,
      sym_invocation,
    STATE(2474), 1,
      sym__double_quote_string,
    STATE(2475), 1,
      sym__integer,
    STATE(6544), 1,
      sym__alias_identifier,
    STATE(2074), 2,
      sym_comment,
      sym_marginalia,
    STATE(2590), 2,
      sym_count,
      sym_group_concat,
    STATE(2593), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(2599), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2591), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [158709] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2587), 1,
      sym__identifier,
    ACTIONS(2589), 1,
      sym_keyword_cast,
    ACTIONS(2591), 1,
      sym_keyword_count,
    ACTIONS(2593), 1,
      sym_keyword_group_concat,
    ACTIONS(2595), 1,
      sym_keyword_case,
    ACTIONS(2597), 1,
      sym_keyword_not,
    ACTIONS(2601), 1,
      sym_keyword_interval,
    ACTIONS(2603), 1,
      sym_keyword_array,
    ACTIONS(2605), 1,
      anon_sym_LPAREN,
    ACTIONS(2607), 1,
      anon_sym_DOT,
    ACTIONS(2609), 1,
      anon_sym_QMARK,
    ACTIONS(2611), 1,
      anon_sym_DOLLAR,
    ACTIONS(2613), 1,
      anon_sym_SQUOTE,
    ACTIONS(2615), 1,
      anon_sym_DASH,
    ACTIONS(2617), 1,
      anon_sym_DQUOTE,
    ACTIONS(2619), 1,
      sym__natural_number,
    ACTIONS(2621), 1,
      sym_bang,
    ACTIONS(2623), 1,
      anon_sym_BQUOTE,
    STATE(1130), 1,
      sym__expression,
    STATE(2418), 1,
      sym_identifier,
    STATE(2458), 1,
      sym_invocation,
    STATE(2474), 1,
      sym__double_quote_string,
    STATE(2475), 1,
      sym__integer,
    STATE(6544), 1,
      sym__alias_identifier,
    STATE(2075), 2,
      sym_comment,
      sym_marginalia,
    STATE(2590), 2,
      sym_count,
      sym_group_concat,
    STATE(2593), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(2599), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2591), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [158821] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3851), 1,
      sym__identifier,
    ACTIONS(3853), 1,
      sym_keyword_cast,
    ACTIONS(3855), 1,
      sym_keyword_count,
    ACTIONS(3857), 1,
      sym_keyword_group_concat,
    ACTIONS(3859), 1,
      sym_keyword_case,
    ACTIONS(3865), 1,
      sym_keyword_interval,
    ACTIONS(3867), 1,
      sym_keyword_array,
    ACTIONS(3869), 1,
      anon_sym_LPAREN,
    ACTIONS(3871), 1,
      anon_sym_DOT,
    ACTIONS(3873), 1,
      anon_sym_QMARK,
    ACTIONS(3875), 1,
      anon_sym_DOLLAR,
    ACTIONS(3877), 1,
      anon_sym_SQUOTE,
    ACTIONS(3879), 1,
      anon_sym_DASH,
    ACTIONS(3881), 1,
      anon_sym_DQUOTE,
    ACTIONS(3883), 1,
      sym__natural_number,
    ACTIONS(3885), 1,
      sym_bang,
    ACTIONS(3887), 1,
      anon_sym_BQUOTE,
    ACTIONS(4103), 1,
      sym_keyword_not,
    STATE(2876), 1,
      sym__expression,
    STATE(3399), 1,
      sym_identifier,
    STATE(3709), 1,
      sym__double_quote_string,
    STATE(3710), 1,
      sym__integer,
    STATE(3890), 1,
      sym_invocation,
    STATE(7032), 1,
      sym__alias_identifier,
    STATE(2076), 2,
      sym_comment,
      sym_marginalia,
    STATE(4042), 2,
      sym_count,
      sym_group_concat,
    STATE(4051), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(3863), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(4048), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [158933] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2587), 1,
      sym__identifier,
    ACTIONS(2589), 1,
      sym_keyword_cast,
    ACTIONS(2591), 1,
      sym_keyword_count,
    ACTIONS(2593), 1,
      sym_keyword_group_concat,
    ACTIONS(2595), 1,
      sym_keyword_case,
    ACTIONS(2597), 1,
      sym_keyword_not,
    ACTIONS(2601), 1,
      sym_keyword_interval,
    ACTIONS(2603), 1,
      sym_keyword_array,
    ACTIONS(2605), 1,
      anon_sym_LPAREN,
    ACTIONS(2607), 1,
      anon_sym_DOT,
    ACTIONS(2609), 1,
      anon_sym_QMARK,
    ACTIONS(2611), 1,
      anon_sym_DOLLAR,
    ACTIONS(2613), 1,
      anon_sym_SQUOTE,
    ACTIONS(2615), 1,
      anon_sym_DASH,
    ACTIONS(2617), 1,
      anon_sym_DQUOTE,
    ACTIONS(2619), 1,
      sym__natural_number,
    ACTIONS(2621), 1,
      sym_bang,
    ACTIONS(2623), 1,
      anon_sym_BQUOTE,
    STATE(1134), 1,
      sym__expression,
    STATE(2418), 1,
      sym_identifier,
    STATE(2458), 1,
      sym_invocation,
    STATE(2474), 1,
      sym__double_quote_string,
    STATE(2475), 1,
      sym__integer,
    STATE(6544), 1,
      sym__alias_identifier,
    STATE(2077), 2,
      sym_comment,
      sym_marginalia,
    STATE(2590), 2,
      sym_count,
      sym_group_concat,
    STATE(2593), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(2599), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2591), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [159045] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2587), 1,
      sym__identifier,
    ACTIONS(2589), 1,
      sym_keyword_cast,
    ACTIONS(2591), 1,
      sym_keyword_count,
    ACTIONS(2593), 1,
      sym_keyword_group_concat,
    ACTIONS(2595), 1,
      sym_keyword_case,
    ACTIONS(2597), 1,
      sym_keyword_not,
    ACTIONS(2601), 1,
      sym_keyword_interval,
    ACTIONS(2603), 1,
      sym_keyword_array,
    ACTIONS(2605), 1,
      anon_sym_LPAREN,
    ACTIONS(2607), 1,
      anon_sym_DOT,
    ACTIONS(2609), 1,
      anon_sym_QMARK,
    ACTIONS(2611), 1,
      anon_sym_DOLLAR,
    ACTIONS(2613), 1,
      anon_sym_SQUOTE,
    ACTIONS(2615), 1,
      anon_sym_DASH,
    ACTIONS(2617), 1,
      anon_sym_DQUOTE,
    ACTIONS(2619), 1,
      sym__natural_number,
    ACTIONS(2621), 1,
      sym_bang,
    ACTIONS(2623), 1,
      anon_sym_BQUOTE,
    STATE(1140), 1,
      sym__expression,
    STATE(2418), 1,
      sym_identifier,
    STATE(2458), 1,
      sym_invocation,
    STATE(2474), 1,
      sym__double_quote_string,
    STATE(2475), 1,
      sym__integer,
    STATE(6544), 1,
      sym__alias_identifier,
    STATE(2078), 2,
      sym_comment,
      sym_marginalia,
    STATE(2590), 2,
      sym_count,
      sym_group_concat,
    STATE(2593), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(2599), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2591), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [159157] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2587), 1,
      sym__identifier,
    ACTIONS(2589), 1,
      sym_keyword_cast,
    ACTIONS(2591), 1,
      sym_keyword_count,
    ACTIONS(2593), 1,
      sym_keyword_group_concat,
    ACTIONS(2595), 1,
      sym_keyword_case,
    ACTIONS(2597), 1,
      sym_keyword_not,
    ACTIONS(2601), 1,
      sym_keyword_interval,
    ACTIONS(2603), 1,
      sym_keyword_array,
    ACTIONS(2605), 1,
      anon_sym_LPAREN,
    ACTIONS(2607), 1,
      anon_sym_DOT,
    ACTIONS(2609), 1,
      anon_sym_QMARK,
    ACTIONS(2611), 1,
      anon_sym_DOLLAR,
    ACTIONS(2613), 1,
      anon_sym_SQUOTE,
    ACTIONS(2615), 1,
      anon_sym_DASH,
    ACTIONS(2617), 1,
      anon_sym_DQUOTE,
    ACTIONS(2619), 1,
      sym__natural_number,
    ACTIONS(2621), 1,
      sym_bang,
    ACTIONS(2623), 1,
      anon_sym_BQUOTE,
    STATE(1141), 1,
      sym__expression,
    STATE(2418), 1,
      sym_identifier,
    STATE(2458), 1,
      sym_invocation,
    STATE(2474), 1,
      sym__double_quote_string,
    STATE(2475), 1,
      sym__integer,
    STATE(6544), 1,
      sym__alias_identifier,
    STATE(2079), 2,
      sym_comment,
      sym_marginalia,
    STATE(2590), 2,
      sym_count,
      sym_group_concat,
    STATE(2593), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(2599), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2591), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [159269] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2587), 1,
      sym__identifier,
    ACTIONS(2589), 1,
      sym_keyword_cast,
    ACTIONS(2591), 1,
      sym_keyword_count,
    ACTIONS(2593), 1,
      sym_keyword_group_concat,
    ACTIONS(2595), 1,
      sym_keyword_case,
    ACTIONS(2597), 1,
      sym_keyword_not,
    ACTIONS(2601), 1,
      sym_keyword_interval,
    ACTIONS(2603), 1,
      sym_keyword_array,
    ACTIONS(2605), 1,
      anon_sym_LPAREN,
    ACTIONS(2607), 1,
      anon_sym_DOT,
    ACTIONS(2609), 1,
      anon_sym_QMARK,
    ACTIONS(2611), 1,
      anon_sym_DOLLAR,
    ACTIONS(2613), 1,
      anon_sym_SQUOTE,
    ACTIONS(2615), 1,
      anon_sym_DASH,
    ACTIONS(2617), 1,
      anon_sym_DQUOTE,
    ACTIONS(2619), 1,
      sym__natural_number,
    ACTIONS(2621), 1,
      sym_bang,
    ACTIONS(2623), 1,
      anon_sym_BQUOTE,
    STATE(1143), 1,
      sym__expression,
    STATE(2418), 1,
      sym_identifier,
    STATE(2458), 1,
      sym_invocation,
    STATE(2474), 1,
      sym__double_quote_string,
    STATE(2475), 1,
      sym__integer,
    STATE(6544), 1,
      sym__alias_identifier,
    STATE(2080), 2,
      sym_comment,
      sym_marginalia,
    STATE(2590), 2,
      sym_count,
      sym_group_concat,
    STATE(2593), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(2599), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2591), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [159381] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2587), 1,
      sym__identifier,
    ACTIONS(2589), 1,
      sym_keyword_cast,
    ACTIONS(2591), 1,
      sym_keyword_count,
    ACTIONS(2593), 1,
      sym_keyword_group_concat,
    ACTIONS(2595), 1,
      sym_keyword_case,
    ACTIONS(2597), 1,
      sym_keyword_not,
    ACTIONS(2601), 1,
      sym_keyword_interval,
    ACTIONS(2603), 1,
      sym_keyword_array,
    ACTIONS(2605), 1,
      anon_sym_LPAREN,
    ACTIONS(2607), 1,
      anon_sym_DOT,
    ACTIONS(2609), 1,
      anon_sym_QMARK,
    ACTIONS(2611), 1,
      anon_sym_DOLLAR,
    ACTIONS(2613), 1,
      anon_sym_SQUOTE,
    ACTIONS(2615), 1,
      anon_sym_DASH,
    ACTIONS(2617), 1,
      anon_sym_DQUOTE,
    ACTIONS(2619), 1,
      sym__natural_number,
    ACTIONS(2621), 1,
      sym_bang,
    ACTIONS(2623), 1,
      anon_sym_BQUOTE,
    STATE(1144), 1,
      sym__expression,
    STATE(2418), 1,
      sym_identifier,
    STATE(2458), 1,
      sym_invocation,
    STATE(2474), 1,
      sym__double_quote_string,
    STATE(2475), 1,
      sym__integer,
    STATE(6544), 1,
      sym__alias_identifier,
    STATE(2081), 2,
      sym_comment,
      sym_marginalia,
    STATE(2590), 2,
      sym_count,
      sym_group_concat,
    STATE(2593), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(2599), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2591), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [159493] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2587), 1,
      sym__identifier,
    ACTIONS(2589), 1,
      sym_keyword_cast,
    ACTIONS(2591), 1,
      sym_keyword_count,
    ACTIONS(2593), 1,
      sym_keyword_group_concat,
    ACTIONS(2595), 1,
      sym_keyword_case,
    ACTIONS(2597), 1,
      sym_keyword_not,
    ACTIONS(2601), 1,
      sym_keyword_interval,
    ACTIONS(2603), 1,
      sym_keyword_array,
    ACTIONS(2605), 1,
      anon_sym_LPAREN,
    ACTIONS(2607), 1,
      anon_sym_DOT,
    ACTIONS(2609), 1,
      anon_sym_QMARK,
    ACTIONS(2611), 1,
      anon_sym_DOLLAR,
    ACTIONS(2613), 1,
      anon_sym_SQUOTE,
    ACTIONS(2615), 1,
      anon_sym_DASH,
    ACTIONS(2617), 1,
      anon_sym_DQUOTE,
    ACTIONS(2619), 1,
      sym__natural_number,
    ACTIONS(2621), 1,
      sym_bang,
    ACTIONS(2623), 1,
      anon_sym_BQUOTE,
    STATE(1145), 1,
      sym__expression,
    STATE(2418), 1,
      sym_identifier,
    STATE(2458), 1,
      sym_invocation,
    STATE(2474), 1,
      sym__double_quote_string,
    STATE(2475), 1,
      sym__integer,
    STATE(6544), 1,
      sym__alias_identifier,
    STATE(2082), 2,
      sym_comment,
      sym_marginalia,
    STATE(2590), 2,
      sym_count,
      sym_group_concat,
    STATE(2593), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(2599), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2591), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [159605] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2587), 1,
      sym__identifier,
    ACTIONS(2589), 1,
      sym_keyword_cast,
    ACTIONS(2591), 1,
      sym_keyword_count,
    ACTIONS(2593), 1,
      sym_keyword_group_concat,
    ACTIONS(2595), 1,
      sym_keyword_case,
    ACTIONS(2597), 1,
      sym_keyword_not,
    ACTIONS(2601), 1,
      sym_keyword_interval,
    ACTIONS(2603), 1,
      sym_keyword_array,
    ACTIONS(2605), 1,
      anon_sym_LPAREN,
    ACTIONS(2607), 1,
      anon_sym_DOT,
    ACTIONS(2609), 1,
      anon_sym_QMARK,
    ACTIONS(2611), 1,
      anon_sym_DOLLAR,
    ACTIONS(2613), 1,
      anon_sym_SQUOTE,
    ACTIONS(2615), 1,
      anon_sym_DASH,
    ACTIONS(2617), 1,
      anon_sym_DQUOTE,
    ACTIONS(2619), 1,
      sym__natural_number,
    ACTIONS(2621), 1,
      sym_bang,
    ACTIONS(2623), 1,
      anon_sym_BQUOTE,
    STATE(1132), 1,
      sym__expression,
    STATE(2418), 1,
      sym_identifier,
    STATE(2458), 1,
      sym_invocation,
    STATE(2474), 1,
      sym__double_quote_string,
    STATE(2475), 1,
      sym__integer,
    STATE(6544), 1,
      sym__alias_identifier,
    STATE(2083), 2,
      sym_comment,
      sym_marginalia,
    STATE(2590), 2,
      sym_count,
      sym_group_concat,
    STATE(2593), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(2599), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2591), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [159717] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3473), 1,
      sym__identifier,
    ACTIONS(3475), 1,
      sym_keyword_cast,
    ACTIONS(3477), 1,
      sym_keyword_count,
    ACTIONS(3479), 1,
      sym_keyword_group_concat,
    ACTIONS(3481), 1,
      sym_keyword_case,
    ACTIONS(3483), 1,
      sym_keyword_not,
    ACTIONS(3487), 1,
      sym_keyword_interval,
    ACTIONS(3489), 1,
      sym_keyword_array,
    ACTIONS(3491), 1,
      anon_sym_LPAREN,
    ACTIONS(3493), 1,
      anon_sym_DOT,
    ACTIONS(3495), 1,
      anon_sym_QMARK,
    ACTIONS(3497), 1,
      anon_sym_DOLLAR,
    ACTIONS(3499), 1,
      anon_sym_SQUOTE,
    ACTIONS(3501), 1,
      anon_sym_DASH,
    ACTIONS(3503), 1,
      anon_sym_DQUOTE,
    ACTIONS(3505), 1,
      sym__natural_number,
    ACTIONS(3507), 1,
      sym_bang,
    ACTIONS(3509), 1,
      anon_sym_BQUOTE,
    STATE(93), 1,
      sym__expression,
    STATE(368), 1,
      sym_identifier,
    STATE(603), 1,
      sym__integer,
    STATE(604), 1,
      sym__double_quote_string,
    STATE(605), 1,
      sym_invocation,
    STATE(6786), 1,
      sym__alias_identifier,
    STATE(629), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(656), 2,
      sym_count,
      sym_group_concat,
    STATE(2084), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3485), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(654), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [159829] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4358), 1,
      sym__expression,
    STATE(4516), 1,
      sym_identifier,
    STATE(4555), 1,
      sym_binary_expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2085), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 13,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [159943] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2297), 1,
      sym__identifier,
    ACTIONS(2301), 1,
      sym_keyword_cast,
    ACTIONS(2303), 1,
      sym_keyword_count,
    ACTIONS(2305), 1,
      sym_keyword_group_concat,
    ACTIONS(2307), 1,
      sym_keyword_case,
    ACTIONS(2309), 1,
      sym_keyword_not,
    ACTIONS(2313), 1,
      sym_keyword_interval,
    ACTIONS(2315), 1,
      sym_keyword_array,
    ACTIONS(2317), 1,
      anon_sym_LPAREN,
    ACTIONS(2319), 1,
      anon_sym_DOT,
    ACTIONS(2323), 1,
      anon_sym_QMARK,
    ACTIONS(2325), 1,
      anon_sym_DOLLAR,
    ACTIONS(2327), 1,
      anon_sym_SQUOTE,
    ACTIONS(2329), 1,
      anon_sym_DASH,
    ACTIONS(2331), 1,
      anon_sym_DQUOTE,
    ACTIONS(2333), 1,
      sym__natural_number,
    ACTIONS(2335), 1,
      sym_bang,
    ACTIONS(2337), 1,
      anon_sym_BQUOTE,
    STATE(2683), 1,
      sym__expression,
    STATE(3353), 1,
      sym_identifier,
    STATE(3459), 1,
      sym_invocation,
    STATE(3460), 1,
      sym__double_quote_string,
    STATE(3470), 1,
      sym__integer,
    STATE(6868), 1,
      sym__alias_identifier,
    STATE(2086), 2,
      sym_comment,
      sym_marginalia,
    STATE(3761), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(3886), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2311), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3882), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [160055] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2297), 1,
      sym__identifier,
    ACTIONS(2301), 1,
      sym_keyword_cast,
    ACTIONS(2303), 1,
      sym_keyword_count,
    ACTIONS(2305), 1,
      sym_keyword_group_concat,
    ACTIONS(2307), 1,
      sym_keyword_case,
    ACTIONS(2309), 1,
      sym_keyword_not,
    ACTIONS(2313), 1,
      sym_keyword_interval,
    ACTIONS(2315), 1,
      sym_keyword_array,
    ACTIONS(2317), 1,
      anon_sym_LPAREN,
    ACTIONS(2319), 1,
      anon_sym_DOT,
    ACTIONS(2323), 1,
      anon_sym_QMARK,
    ACTIONS(2325), 1,
      anon_sym_DOLLAR,
    ACTIONS(2327), 1,
      anon_sym_SQUOTE,
    ACTIONS(2329), 1,
      anon_sym_DASH,
    ACTIONS(2331), 1,
      anon_sym_DQUOTE,
    ACTIONS(2333), 1,
      sym__natural_number,
    ACTIONS(2335), 1,
      sym_bang,
    ACTIONS(2337), 1,
      anon_sym_BQUOTE,
    STATE(2670), 1,
      sym__expression,
    STATE(3353), 1,
      sym_identifier,
    STATE(3459), 1,
      sym_invocation,
    STATE(3460), 1,
      sym__double_quote_string,
    STATE(3470), 1,
      sym__integer,
    STATE(6868), 1,
      sym__alias_identifier,
    STATE(2087), 2,
      sym_comment,
      sym_marginalia,
    STATE(3761), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(3886), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2311), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3882), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [160167] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2297), 1,
      sym__identifier,
    ACTIONS(2301), 1,
      sym_keyword_cast,
    ACTIONS(2303), 1,
      sym_keyword_count,
    ACTIONS(2305), 1,
      sym_keyword_group_concat,
    ACTIONS(2307), 1,
      sym_keyword_case,
    ACTIONS(2309), 1,
      sym_keyword_not,
    ACTIONS(2313), 1,
      sym_keyword_interval,
    ACTIONS(2315), 1,
      sym_keyword_array,
    ACTIONS(2317), 1,
      anon_sym_LPAREN,
    ACTIONS(2319), 1,
      anon_sym_DOT,
    ACTIONS(2323), 1,
      anon_sym_QMARK,
    ACTIONS(2325), 1,
      anon_sym_DOLLAR,
    ACTIONS(2327), 1,
      anon_sym_SQUOTE,
    ACTIONS(2329), 1,
      anon_sym_DASH,
    ACTIONS(2331), 1,
      anon_sym_DQUOTE,
    ACTIONS(2333), 1,
      sym__natural_number,
    ACTIONS(2335), 1,
      sym_bang,
    ACTIONS(2337), 1,
      anon_sym_BQUOTE,
    STATE(2669), 1,
      sym__expression,
    STATE(3353), 1,
      sym_identifier,
    STATE(3459), 1,
      sym_invocation,
    STATE(3460), 1,
      sym__double_quote_string,
    STATE(3470), 1,
      sym__integer,
    STATE(6868), 1,
      sym__alias_identifier,
    STATE(2088), 2,
      sym_comment,
      sym_marginalia,
    STATE(3761), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(3886), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2311), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3882), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [160279] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2297), 1,
      sym__identifier,
    ACTIONS(2301), 1,
      sym_keyword_cast,
    ACTIONS(2303), 1,
      sym_keyword_count,
    ACTIONS(2305), 1,
      sym_keyword_group_concat,
    ACTIONS(2307), 1,
      sym_keyword_case,
    ACTIONS(2309), 1,
      sym_keyword_not,
    ACTIONS(2313), 1,
      sym_keyword_interval,
    ACTIONS(2315), 1,
      sym_keyword_array,
    ACTIONS(2317), 1,
      anon_sym_LPAREN,
    ACTIONS(2319), 1,
      anon_sym_DOT,
    ACTIONS(2323), 1,
      anon_sym_QMARK,
    ACTIONS(2325), 1,
      anon_sym_DOLLAR,
    ACTIONS(2327), 1,
      anon_sym_SQUOTE,
    ACTIONS(2329), 1,
      anon_sym_DASH,
    ACTIONS(2331), 1,
      anon_sym_DQUOTE,
    ACTIONS(2333), 1,
      sym__natural_number,
    ACTIONS(2335), 1,
      sym_bang,
    ACTIONS(2337), 1,
      anon_sym_BQUOTE,
    STATE(2668), 1,
      sym__expression,
    STATE(3353), 1,
      sym_identifier,
    STATE(3459), 1,
      sym_invocation,
    STATE(3460), 1,
      sym__double_quote_string,
    STATE(3470), 1,
      sym__integer,
    STATE(6868), 1,
      sym__alias_identifier,
    STATE(2089), 2,
      sym_comment,
      sym_marginalia,
    STATE(3761), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(3886), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2311), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3882), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [160391] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3473), 1,
      sym__identifier,
    ACTIONS(3475), 1,
      sym_keyword_cast,
    ACTIONS(3477), 1,
      sym_keyword_count,
    ACTIONS(3479), 1,
      sym_keyword_group_concat,
    ACTIONS(3481), 1,
      sym_keyword_case,
    ACTIONS(3483), 1,
      sym_keyword_not,
    ACTIONS(3487), 1,
      sym_keyword_interval,
    ACTIONS(3489), 1,
      sym_keyword_array,
    ACTIONS(3491), 1,
      anon_sym_LPAREN,
    ACTIONS(3493), 1,
      anon_sym_DOT,
    ACTIONS(3495), 1,
      anon_sym_QMARK,
    ACTIONS(3497), 1,
      anon_sym_DOLLAR,
    ACTIONS(3499), 1,
      anon_sym_SQUOTE,
    ACTIONS(3501), 1,
      anon_sym_DASH,
    ACTIONS(3503), 1,
      anon_sym_DQUOTE,
    ACTIONS(3505), 1,
      sym__natural_number,
    ACTIONS(3507), 1,
      sym_bang,
    ACTIONS(3509), 1,
      anon_sym_BQUOTE,
    STATE(87), 1,
      sym__expression,
    STATE(368), 1,
      sym_identifier,
    STATE(603), 1,
      sym__integer,
    STATE(604), 1,
      sym__double_quote_string,
    STATE(605), 1,
      sym_invocation,
    STATE(6786), 1,
      sym__alias_identifier,
    STATE(629), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(656), 2,
      sym_count,
      sym_group_concat,
    STATE(2090), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3485), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(654), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [160503] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3851), 1,
      sym__identifier,
    ACTIONS(3853), 1,
      sym_keyword_cast,
    ACTIONS(3855), 1,
      sym_keyword_count,
    ACTIONS(3857), 1,
      sym_keyword_group_concat,
    ACTIONS(3859), 1,
      sym_keyword_case,
    ACTIONS(3865), 1,
      sym_keyword_interval,
    ACTIONS(3867), 1,
      sym_keyword_array,
    ACTIONS(3869), 1,
      anon_sym_LPAREN,
    ACTIONS(3871), 1,
      anon_sym_DOT,
    ACTIONS(3873), 1,
      anon_sym_QMARK,
    ACTIONS(3875), 1,
      anon_sym_DOLLAR,
    ACTIONS(3877), 1,
      anon_sym_SQUOTE,
    ACTIONS(3879), 1,
      anon_sym_DASH,
    ACTIONS(3881), 1,
      anon_sym_DQUOTE,
    ACTIONS(3883), 1,
      sym__natural_number,
    ACTIONS(3885), 1,
      sym_bang,
    ACTIONS(3887), 1,
      anon_sym_BQUOTE,
    ACTIONS(4103), 1,
      sym_keyword_not,
    STATE(2875), 1,
      sym__expression,
    STATE(3399), 1,
      sym_identifier,
    STATE(3709), 1,
      sym__double_quote_string,
    STATE(3710), 1,
      sym__integer,
    STATE(3890), 1,
      sym_invocation,
    STATE(7032), 1,
      sym__alias_identifier,
    STATE(2091), 2,
      sym_comment,
      sym_marginalia,
    STATE(4042), 2,
      sym_count,
      sym_group_concat,
    STATE(4051), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(3863), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(4048), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [160615] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2297), 1,
      sym__identifier,
    ACTIONS(2301), 1,
      sym_keyword_cast,
    ACTIONS(2303), 1,
      sym_keyword_count,
    ACTIONS(2305), 1,
      sym_keyword_group_concat,
    ACTIONS(2307), 1,
      sym_keyword_case,
    ACTIONS(2309), 1,
      sym_keyword_not,
    ACTIONS(2313), 1,
      sym_keyword_interval,
    ACTIONS(2315), 1,
      sym_keyword_array,
    ACTIONS(2317), 1,
      anon_sym_LPAREN,
    ACTIONS(2319), 1,
      anon_sym_DOT,
    ACTIONS(2323), 1,
      anon_sym_QMARK,
    ACTIONS(2325), 1,
      anon_sym_DOLLAR,
    ACTIONS(2327), 1,
      anon_sym_SQUOTE,
    ACTIONS(2329), 1,
      anon_sym_DASH,
    ACTIONS(2331), 1,
      anon_sym_DQUOTE,
    ACTIONS(2333), 1,
      sym__natural_number,
    ACTIONS(2335), 1,
      sym_bang,
    ACTIONS(2337), 1,
      anon_sym_BQUOTE,
    STATE(2667), 1,
      sym__expression,
    STATE(3353), 1,
      sym_identifier,
    STATE(3459), 1,
      sym_invocation,
    STATE(3460), 1,
      sym__double_quote_string,
    STATE(3470), 1,
      sym__integer,
    STATE(6868), 1,
      sym__alias_identifier,
    STATE(2092), 2,
      sym_comment,
      sym_marginalia,
    STATE(3761), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(3886), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2311), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3882), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [160727] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4190), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2093), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [160839] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2094), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2209), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2211), 30,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [160899] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3851), 1,
      sym__identifier,
    ACTIONS(3853), 1,
      sym_keyword_cast,
    ACTIONS(3855), 1,
      sym_keyword_count,
    ACTIONS(3857), 1,
      sym_keyword_group_concat,
    ACTIONS(3859), 1,
      sym_keyword_case,
    ACTIONS(3865), 1,
      sym_keyword_interval,
    ACTIONS(3867), 1,
      sym_keyword_array,
    ACTIONS(3869), 1,
      anon_sym_LPAREN,
    ACTIONS(3871), 1,
      anon_sym_DOT,
    ACTIONS(3873), 1,
      anon_sym_QMARK,
    ACTIONS(3875), 1,
      anon_sym_DOLLAR,
    ACTIONS(3877), 1,
      anon_sym_SQUOTE,
    ACTIONS(3879), 1,
      anon_sym_DASH,
    ACTIONS(3881), 1,
      anon_sym_DQUOTE,
    ACTIONS(3883), 1,
      sym__natural_number,
    ACTIONS(3885), 1,
      sym_bang,
    ACTIONS(3887), 1,
      anon_sym_BQUOTE,
    ACTIONS(4103), 1,
      sym_keyword_not,
    STATE(2874), 1,
      sym__expression,
    STATE(3399), 1,
      sym_identifier,
    STATE(3709), 1,
      sym__double_quote_string,
    STATE(3710), 1,
      sym__integer,
    STATE(3890), 1,
      sym_invocation,
    STATE(7032), 1,
      sym__alias_identifier,
    STATE(2095), 2,
      sym_comment,
      sym_marginalia,
    STATE(4042), 2,
      sym_count,
      sym_group_concat,
    STATE(4051), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(3863), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(4048), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [161011] = 16,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4193), 1,
      sym_keyword_is,
    ACTIONS(4201), 1,
      sym_keyword_in,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2096), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1103), 17,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym__identifier,
  [161093] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3851), 1,
      sym__identifier,
    ACTIONS(3853), 1,
      sym_keyword_cast,
    ACTIONS(3855), 1,
      sym_keyword_count,
    ACTIONS(3857), 1,
      sym_keyword_group_concat,
    ACTIONS(3859), 1,
      sym_keyword_case,
    ACTIONS(3865), 1,
      sym_keyword_interval,
    ACTIONS(3867), 1,
      sym_keyword_array,
    ACTIONS(3869), 1,
      anon_sym_LPAREN,
    ACTIONS(3871), 1,
      anon_sym_DOT,
    ACTIONS(3873), 1,
      anon_sym_QMARK,
    ACTIONS(3875), 1,
      anon_sym_DOLLAR,
    ACTIONS(3877), 1,
      anon_sym_SQUOTE,
    ACTIONS(3879), 1,
      anon_sym_DASH,
    ACTIONS(3881), 1,
      anon_sym_DQUOTE,
    ACTIONS(3883), 1,
      sym__natural_number,
    ACTIONS(3885), 1,
      sym_bang,
    ACTIONS(3887), 1,
      anon_sym_BQUOTE,
    ACTIONS(4103), 1,
      sym_keyword_not,
    STATE(2859), 1,
      sym__expression,
    STATE(3399), 1,
      sym_identifier,
    STATE(3709), 1,
      sym__double_quote_string,
    STATE(3710), 1,
      sym__integer,
    STATE(3890), 1,
      sym_invocation,
    STATE(7032), 1,
      sym__alias_identifier,
    STATE(2097), 2,
      sym_comment,
      sym_marginalia,
    STATE(4042), 2,
      sym_count,
      sym_group_concat,
    STATE(4051), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(3863), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(4048), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [161205] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3851), 1,
      sym__identifier,
    ACTIONS(3853), 1,
      sym_keyword_cast,
    ACTIONS(3855), 1,
      sym_keyword_count,
    ACTIONS(3857), 1,
      sym_keyword_group_concat,
    ACTIONS(3859), 1,
      sym_keyword_case,
    ACTIONS(3865), 1,
      sym_keyword_interval,
    ACTIONS(3867), 1,
      sym_keyword_array,
    ACTIONS(3869), 1,
      anon_sym_LPAREN,
    ACTIONS(3871), 1,
      anon_sym_DOT,
    ACTIONS(3873), 1,
      anon_sym_QMARK,
    ACTIONS(3875), 1,
      anon_sym_DOLLAR,
    ACTIONS(3877), 1,
      anon_sym_SQUOTE,
    ACTIONS(3879), 1,
      anon_sym_DASH,
    ACTIONS(3881), 1,
      anon_sym_DQUOTE,
    ACTIONS(3883), 1,
      sym__natural_number,
    ACTIONS(3885), 1,
      sym_bang,
    ACTIONS(3887), 1,
      anon_sym_BQUOTE,
    ACTIONS(4103), 1,
      sym_keyword_not,
    STATE(2856), 1,
      sym__expression,
    STATE(3399), 1,
      sym_identifier,
    STATE(3709), 1,
      sym__double_quote_string,
    STATE(3710), 1,
      sym__integer,
    STATE(3890), 1,
      sym_invocation,
    STATE(7032), 1,
      sym__alias_identifier,
    STATE(2098), 2,
      sym_comment,
      sym_marginalia,
    STATE(4042), 2,
      sym_count,
      sym_group_concat,
    STATE(4051), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(3863), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(4048), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [161317] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3851), 1,
      sym__identifier,
    ACTIONS(3853), 1,
      sym_keyword_cast,
    ACTIONS(3855), 1,
      sym_keyword_count,
    ACTIONS(3857), 1,
      sym_keyword_group_concat,
    ACTIONS(3859), 1,
      sym_keyword_case,
    ACTIONS(3865), 1,
      sym_keyword_interval,
    ACTIONS(3867), 1,
      sym_keyword_array,
    ACTIONS(3869), 1,
      anon_sym_LPAREN,
    ACTIONS(3871), 1,
      anon_sym_DOT,
    ACTIONS(3873), 1,
      anon_sym_QMARK,
    ACTIONS(3875), 1,
      anon_sym_DOLLAR,
    ACTIONS(3877), 1,
      anon_sym_SQUOTE,
    ACTIONS(3879), 1,
      anon_sym_DASH,
    ACTIONS(3881), 1,
      anon_sym_DQUOTE,
    ACTIONS(3883), 1,
      sym__natural_number,
    ACTIONS(3885), 1,
      sym_bang,
    ACTIONS(3887), 1,
      anon_sym_BQUOTE,
    ACTIONS(4103), 1,
      sym_keyword_not,
    STATE(2849), 1,
      sym__expression,
    STATE(3399), 1,
      sym_identifier,
    STATE(3709), 1,
      sym__double_quote_string,
    STATE(3710), 1,
      sym__integer,
    STATE(3890), 1,
      sym_invocation,
    STATE(7032), 1,
      sym__alias_identifier,
    STATE(2099), 2,
      sym_comment,
      sym_marginalia,
    STATE(4042), 2,
      sym_count,
      sym_group_concat,
    STATE(4051), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(3863), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(4048), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [161429] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3851), 1,
      sym__identifier,
    ACTIONS(3853), 1,
      sym_keyword_cast,
    ACTIONS(3855), 1,
      sym_keyword_count,
    ACTIONS(3857), 1,
      sym_keyword_group_concat,
    ACTIONS(3859), 1,
      sym_keyword_case,
    ACTIONS(3865), 1,
      sym_keyword_interval,
    ACTIONS(3867), 1,
      sym_keyword_array,
    ACTIONS(3869), 1,
      anon_sym_LPAREN,
    ACTIONS(3871), 1,
      anon_sym_DOT,
    ACTIONS(3873), 1,
      anon_sym_QMARK,
    ACTIONS(3875), 1,
      anon_sym_DOLLAR,
    ACTIONS(3877), 1,
      anon_sym_SQUOTE,
    ACTIONS(3879), 1,
      anon_sym_DASH,
    ACTIONS(3881), 1,
      anon_sym_DQUOTE,
    ACTIONS(3883), 1,
      sym__natural_number,
    ACTIONS(3885), 1,
      sym_bang,
    ACTIONS(3887), 1,
      anon_sym_BQUOTE,
    ACTIONS(4103), 1,
      sym_keyword_not,
    STATE(2848), 1,
      sym__expression,
    STATE(3399), 1,
      sym_identifier,
    STATE(3709), 1,
      sym__double_quote_string,
    STATE(3710), 1,
      sym__integer,
    STATE(3890), 1,
      sym_invocation,
    STATE(7032), 1,
      sym__alias_identifier,
    STATE(2100), 2,
      sym_comment,
      sym_marginalia,
    STATE(4042), 2,
      sym_count,
      sym_group_concat,
    STATE(4051), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(3863), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(4048), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [161541] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4277), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2101), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [161653] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(3726), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2102), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [161765] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4262), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2103), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [161877] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4260), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2104), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [161989] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4259), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2105), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [162101] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(3705), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2106), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [162213] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(3686), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2107), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [162325] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4236), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2108), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [162437] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4219), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2109), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [162549] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4209), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2110), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [162661] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(3576), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2111), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [162773] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(3565), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2112), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [162885] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4174), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2113), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [162997] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4178), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2114), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [163109] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4171), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2115), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [163221] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(3587), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2116), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [163333] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(3595), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2117), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [163445] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4254), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2118), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [163557] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4256), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2119), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [163669] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4258), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2120), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [163781] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(3742), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2121), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [163893] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(3815), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2122), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [164005] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4282), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2123), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [164117] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4283), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2124), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [164229] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4284), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2125), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [164341] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(3859), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2126), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [164453] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(3758), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2127), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [164565] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4230), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2128), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [164677] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2297), 1,
      sym__identifier,
    ACTIONS(2301), 1,
      sym_keyword_cast,
    ACTIONS(2303), 1,
      sym_keyword_count,
    ACTIONS(2305), 1,
      sym_keyword_group_concat,
    ACTIONS(2307), 1,
      sym_keyword_case,
    ACTIONS(2309), 1,
      sym_keyword_not,
    ACTIONS(2313), 1,
      sym_keyword_interval,
    ACTIONS(2315), 1,
      sym_keyword_array,
    ACTIONS(2317), 1,
      anon_sym_LPAREN,
    ACTIONS(2319), 1,
      anon_sym_DOT,
    ACTIONS(2323), 1,
      anon_sym_QMARK,
    ACTIONS(2325), 1,
      anon_sym_DOLLAR,
    ACTIONS(2327), 1,
      anon_sym_SQUOTE,
    ACTIONS(2329), 1,
      anon_sym_DASH,
    ACTIONS(2331), 1,
      anon_sym_DQUOTE,
    ACTIONS(2333), 1,
      sym__natural_number,
    ACTIONS(2335), 1,
      sym_bang,
    ACTIONS(2337), 1,
      anon_sym_BQUOTE,
    STATE(2685), 1,
      sym__expression,
    STATE(3353), 1,
      sym_identifier,
    STATE(3459), 1,
      sym_invocation,
    STATE(3460), 1,
      sym__double_quote_string,
    STATE(3470), 1,
      sym__integer,
    STATE(6868), 1,
      sym__alias_identifier,
    STATE(2129), 2,
      sym_comment,
      sym_marginalia,
    STATE(3761), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(3886), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2311), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3882), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [164789] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3899), 1,
      sym__identifier,
    ACTIONS(3901), 1,
      sym_keyword_cast,
    ACTIONS(3903), 1,
      sym_keyword_count,
    ACTIONS(3905), 1,
      sym_keyword_group_concat,
    ACTIONS(3907), 1,
      sym_keyword_case,
    ACTIONS(3911), 1,
      sym_keyword_null,
    ACTIONS(3913), 1,
      sym_keyword_interval,
    ACTIONS(3915), 1,
      sym_keyword_array,
    ACTIONS(3917), 1,
      anon_sym_LPAREN,
    ACTIONS(3919), 1,
      anon_sym_DOT,
    ACTIONS(3921), 1,
      anon_sym_QMARK,
    ACTIONS(3923), 1,
      anon_sym_DOLLAR,
    ACTIONS(3925), 1,
      anon_sym_SQUOTE,
    ACTIONS(3927), 1,
      anon_sym_DASH,
    ACTIONS(3929), 1,
      anon_sym_DQUOTE,
    ACTIONS(3931), 1,
      sym__natural_number,
    ACTIONS(3933), 1,
      sym_bang,
    ACTIONS(3935), 1,
      anon_sym_BQUOTE,
    ACTIONS(4091), 1,
      sym_keyword_not,
    STATE(2658), 1,
      sym__expression,
    STATE(3328), 1,
      sym_identifier,
    STATE(3468), 1,
      sym_invocation,
    STATE(3527), 1,
      sym__double_quote_string,
    STATE(3528), 1,
      sym__integer,
    STATE(6991), 1,
      sym__alias_identifier,
    ACTIONS(4217), 2,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2130), 2,
      sym_comment,
      sym_marginalia,
    STATE(3545), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(3553), 2,
      sym_count,
      sym_group_concat,
    STATE(3555), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [164903] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3899), 1,
      sym__identifier,
    ACTIONS(3901), 1,
      sym_keyword_cast,
    ACTIONS(3903), 1,
      sym_keyword_count,
    ACTIONS(3905), 1,
      sym_keyword_group_concat,
    ACTIONS(3907), 1,
      sym_keyword_case,
    ACTIONS(3911), 1,
      sym_keyword_null,
    ACTIONS(3913), 1,
      sym_keyword_interval,
    ACTIONS(3915), 1,
      sym_keyword_array,
    ACTIONS(3917), 1,
      anon_sym_LPAREN,
    ACTIONS(3919), 1,
      anon_sym_DOT,
    ACTIONS(3921), 1,
      anon_sym_QMARK,
    ACTIONS(3923), 1,
      anon_sym_DOLLAR,
    ACTIONS(3925), 1,
      anon_sym_SQUOTE,
    ACTIONS(3927), 1,
      anon_sym_DASH,
    ACTIONS(3929), 1,
      anon_sym_DQUOTE,
    ACTIONS(3931), 1,
      sym__natural_number,
    ACTIONS(3933), 1,
      sym_bang,
    ACTIONS(3935), 1,
      anon_sym_BQUOTE,
    ACTIONS(4091), 1,
      sym_keyword_not,
    STATE(2657), 1,
      sym__expression,
    STATE(3328), 1,
      sym_identifier,
    STATE(3468), 1,
      sym_invocation,
    STATE(3527), 1,
      sym__double_quote_string,
    STATE(3528), 1,
      sym__integer,
    STATE(6991), 1,
      sym__alias_identifier,
    ACTIONS(4219), 2,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2131), 2,
      sym_comment,
      sym_marginalia,
    STATE(3545), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(3553), 2,
      sym_count,
      sym_group_concat,
    STATE(3555), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [165017] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3899), 1,
      sym__identifier,
    ACTIONS(3901), 1,
      sym_keyword_cast,
    ACTIONS(3903), 1,
      sym_keyword_count,
    ACTIONS(3905), 1,
      sym_keyword_group_concat,
    ACTIONS(3907), 1,
      sym_keyword_case,
    ACTIONS(3911), 1,
      sym_keyword_null,
    ACTIONS(3913), 1,
      sym_keyword_interval,
    ACTIONS(3915), 1,
      sym_keyword_array,
    ACTIONS(3917), 1,
      anon_sym_LPAREN,
    ACTIONS(3919), 1,
      anon_sym_DOT,
    ACTIONS(3921), 1,
      anon_sym_QMARK,
    ACTIONS(3923), 1,
      anon_sym_DOLLAR,
    ACTIONS(3925), 1,
      anon_sym_SQUOTE,
    ACTIONS(3927), 1,
      anon_sym_DASH,
    ACTIONS(3929), 1,
      anon_sym_DQUOTE,
    ACTIONS(3931), 1,
      sym__natural_number,
    ACTIONS(3933), 1,
      sym_bang,
    ACTIONS(3935), 1,
      anon_sym_BQUOTE,
    ACTIONS(4091), 1,
      sym_keyword_not,
    STATE(2656), 1,
      sym__expression,
    STATE(3328), 1,
      sym_identifier,
    STATE(3468), 1,
      sym_invocation,
    STATE(3527), 1,
      sym__double_quote_string,
    STATE(3528), 1,
      sym__integer,
    STATE(6991), 1,
      sym__alias_identifier,
    ACTIONS(4221), 2,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2132), 2,
      sym_comment,
      sym_marginalia,
    STATE(3545), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(3553), 2,
      sym_count,
      sym_group_concat,
    STATE(3555), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [165131] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3899), 1,
      sym__identifier,
    ACTIONS(3901), 1,
      sym_keyword_cast,
    ACTIONS(3903), 1,
      sym_keyword_count,
    ACTIONS(3905), 1,
      sym_keyword_group_concat,
    ACTIONS(3907), 1,
      sym_keyword_case,
    ACTIONS(3911), 1,
      sym_keyword_null,
    ACTIONS(3913), 1,
      sym_keyword_interval,
    ACTIONS(3915), 1,
      sym_keyword_array,
    ACTIONS(3917), 1,
      anon_sym_LPAREN,
    ACTIONS(3919), 1,
      anon_sym_DOT,
    ACTIONS(3921), 1,
      anon_sym_QMARK,
    ACTIONS(3923), 1,
      anon_sym_DOLLAR,
    ACTIONS(3925), 1,
      anon_sym_SQUOTE,
    ACTIONS(3927), 1,
      anon_sym_DASH,
    ACTIONS(3929), 1,
      anon_sym_DQUOTE,
    ACTIONS(3931), 1,
      sym__natural_number,
    ACTIONS(3933), 1,
      sym_bang,
    ACTIONS(3935), 1,
      anon_sym_BQUOTE,
    ACTIONS(4091), 1,
      sym_keyword_not,
    STATE(2655), 1,
      sym__expression,
    STATE(3328), 1,
      sym_identifier,
    STATE(3468), 1,
      sym_invocation,
    STATE(3527), 1,
      sym__double_quote_string,
    STATE(3528), 1,
      sym__integer,
    STATE(6991), 1,
      sym__alias_identifier,
    ACTIONS(4223), 2,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2133), 2,
      sym_comment,
      sym_marginalia,
    STATE(3545), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(3553), 2,
      sym_count,
      sym_group_concat,
    STATE(3555), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [165245] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4142), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2134), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [165357] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4194), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2135), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [165469] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4145), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2136), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [165581] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2137), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(963), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(965), 39,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_over,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [165641] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3743), 1,
      sym__identifier,
    ACTIONS(3745), 1,
      sym_keyword_cast,
    ACTIONS(3747), 1,
      sym_keyword_count,
    ACTIONS(3749), 1,
      sym_keyword_group_concat,
    ACTIONS(3751), 1,
      sym_keyword_case,
    ACTIONS(3757), 1,
      sym_keyword_interval,
    ACTIONS(3759), 1,
      sym_keyword_array,
    ACTIONS(3761), 1,
      anon_sym_LPAREN,
    ACTIONS(3763), 1,
      anon_sym_DOT,
    ACTIONS(3765), 1,
      anon_sym_QMARK,
    ACTIONS(3767), 1,
      anon_sym_DOLLAR,
    ACTIONS(3769), 1,
      anon_sym_SQUOTE,
    ACTIONS(3771), 1,
      anon_sym_DASH,
    ACTIONS(3773), 1,
      anon_sym_DQUOTE,
    ACTIONS(3775), 1,
      sym__natural_number,
    ACTIONS(3777), 1,
      sym_bang,
    ACTIONS(3779), 1,
      anon_sym_BQUOTE,
    ACTIONS(3891), 1,
      sym_keyword_not,
    STATE(278), 1,
      sym__expression,
    STATE(976), 1,
      sym_identifier,
    STATE(1003), 1,
      sym_invocation,
    STATE(1005), 1,
      sym__double_quote_string,
    STATE(1014), 1,
      sym__integer,
    STATE(6745), 1,
      sym__alias_identifier,
    STATE(1320), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(1331), 2,
      sym_count,
      sym_group_concat,
    STATE(2138), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3755), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(1329), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [165753] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2139), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(971), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(973), 39,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_over,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [165813] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2140), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(967), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(969), 39,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_over,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [165873] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2141), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2269), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2271), 30,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [165933] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4264), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2142), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [166045] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4293), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2143), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [166157] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(3808), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2144), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [166269] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(3873), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2145), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [166381] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4310), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2146), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [166493] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4304), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2147), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [166605] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4302), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2148), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [166717] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(3724), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2149), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [166829] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(3619), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2150), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [166941] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4204), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2151), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [167053] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4193), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2152), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [167165] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4191), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2153), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [167277] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3899), 1,
      sym__identifier,
    ACTIONS(3901), 1,
      sym_keyword_cast,
    ACTIONS(3903), 1,
      sym_keyword_count,
    ACTIONS(3905), 1,
      sym_keyword_group_concat,
    ACTIONS(3907), 1,
      sym_keyword_case,
    ACTIONS(3911), 1,
      sym_keyword_null,
    ACTIONS(3913), 1,
      sym_keyword_interval,
    ACTIONS(3915), 1,
      sym_keyword_array,
    ACTIONS(3917), 1,
      anon_sym_LPAREN,
    ACTIONS(3919), 1,
      anon_sym_DOT,
    ACTIONS(3921), 1,
      anon_sym_QMARK,
    ACTIONS(3923), 1,
      anon_sym_DOLLAR,
    ACTIONS(3925), 1,
      anon_sym_SQUOTE,
    ACTIONS(3927), 1,
      anon_sym_DASH,
    ACTIONS(3929), 1,
      anon_sym_DQUOTE,
    ACTIONS(3931), 1,
      sym__natural_number,
    ACTIONS(3933), 1,
      sym_bang,
    ACTIONS(3935), 1,
      anon_sym_BQUOTE,
    ACTIONS(4091), 1,
      sym_keyword_not,
    STATE(2652), 1,
      sym__expression,
    STATE(3328), 1,
      sym_identifier,
    STATE(3468), 1,
      sym_invocation,
    STATE(3527), 1,
      sym__double_quote_string,
    STATE(3528), 1,
      sym__integer,
    STATE(6991), 1,
      sym__alias_identifier,
    ACTIONS(4225), 2,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2154), 2,
      sym_comment,
      sym_marginalia,
    STATE(3545), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(3553), 2,
      sym_count,
      sym_group_concat,
    STATE(3555), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [167391] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(3578), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2155), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [167503] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(3601), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2156), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [167615] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4226), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2157), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [167727] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4228), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2158), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [167839] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(2543), 1,
      sym_keyword_cast,
    ACTIONS(2545), 1,
      sym_keyword_count,
    ACTIONS(2547), 1,
      sym_keyword_group_concat,
    ACTIONS(2549), 1,
      sym_keyword_case,
    ACTIONS(2551), 1,
      sym_keyword_not,
    ACTIONS(2555), 1,
      sym_keyword_interval,
    ACTIONS(2557), 1,
      sym_keyword_array,
    ACTIONS(2559), 1,
      anon_sym_LPAREN,
    ACTIONS(2561), 1,
      anon_sym_DOT,
    ACTIONS(2563), 1,
      anon_sym_QMARK,
    ACTIONS(2565), 1,
      anon_sym_DOLLAR,
    ACTIONS(2567), 1,
      anon_sym_SQUOTE,
    ACTIONS(2569), 1,
      anon_sym_DASH,
    ACTIONS(2571), 1,
      sym__natural_number,
    ACTIONS(2573), 1,
      sym_bang,
    STATE(392), 1,
      sym__expression,
    STATE(580), 1,
      sym__integer,
    STATE(1249), 1,
      sym_identifier,
    STATE(1716), 1,
      sym__double_quote_string,
    STATE(1720), 1,
      sym_invocation,
    STATE(7520), 1,
      sym__alias_identifier,
    STATE(671), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2159), 2,
      sym_comment,
      sym_marginalia,
    STATE(2276), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2553), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2094), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [167951] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(2543), 1,
      sym_keyword_cast,
    ACTIONS(2545), 1,
      sym_keyword_count,
    ACTIONS(2547), 1,
      sym_keyword_group_concat,
    ACTIONS(2549), 1,
      sym_keyword_case,
    ACTIONS(2551), 1,
      sym_keyword_not,
    ACTIONS(2555), 1,
      sym_keyword_interval,
    ACTIONS(2557), 1,
      sym_keyword_array,
    ACTIONS(2559), 1,
      anon_sym_LPAREN,
    ACTIONS(2561), 1,
      anon_sym_DOT,
    ACTIONS(2563), 1,
      anon_sym_QMARK,
    ACTIONS(2565), 1,
      anon_sym_DOLLAR,
    ACTIONS(2567), 1,
      anon_sym_SQUOTE,
    ACTIONS(2569), 1,
      anon_sym_DASH,
    ACTIONS(2571), 1,
      sym__natural_number,
    ACTIONS(2573), 1,
      sym_bang,
    STATE(437), 1,
      sym__expression,
    STATE(580), 1,
      sym__integer,
    STATE(1249), 1,
      sym_identifier,
    STATE(1716), 1,
      sym__double_quote_string,
    STATE(1720), 1,
      sym_invocation,
    STATE(7520), 1,
      sym__alias_identifier,
    STATE(671), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2160), 2,
      sym_comment,
      sym_marginalia,
    STATE(2276), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2553), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2094), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [168063] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(2543), 1,
      sym_keyword_cast,
    ACTIONS(2545), 1,
      sym_keyword_count,
    ACTIONS(2547), 1,
      sym_keyword_group_concat,
    ACTIONS(2549), 1,
      sym_keyword_case,
    ACTIONS(2551), 1,
      sym_keyword_not,
    ACTIONS(2555), 1,
      sym_keyword_interval,
    ACTIONS(2557), 1,
      sym_keyword_array,
    ACTIONS(2559), 1,
      anon_sym_LPAREN,
    ACTIONS(2561), 1,
      anon_sym_DOT,
    ACTIONS(2563), 1,
      anon_sym_QMARK,
    ACTIONS(2565), 1,
      anon_sym_DOLLAR,
    ACTIONS(2567), 1,
      anon_sym_SQUOTE,
    ACTIONS(2569), 1,
      anon_sym_DASH,
    ACTIONS(2571), 1,
      sym__natural_number,
    ACTIONS(2573), 1,
      sym_bang,
    STATE(438), 1,
      sym__expression,
    STATE(580), 1,
      sym__integer,
    STATE(1249), 1,
      sym_identifier,
    STATE(1716), 1,
      sym__double_quote_string,
    STATE(1720), 1,
      sym_invocation,
    STATE(7520), 1,
      sym__alias_identifier,
    STATE(671), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2161), 2,
      sym_comment,
      sym_marginalia,
    STATE(2276), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2553), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2094), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [168175] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(2543), 1,
      sym_keyword_cast,
    ACTIONS(2545), 1,
      sym_keyword_count,
    ACTIONS(2547), 1,
      sym_keyword_group_concat,
    ACTIONS(2549), 1,
      sym_keyword_case,
    ACTIONS(2551), 1,
      sym_keyword_not,
    ACTIONS(2555), 1,
      sym_keyword_interval,
    ACTIONS(2557), 1,
      sym_keyword_array,
    ACTIONS(2559), 1,
      anon_sym_LPAREN,
    ACTIONS(2561), 1,
      anon_sym_DOT,
    ACTIONS(2563), 1,
      anon_sym_QMARK,
    ACTIONS(2565), 1,
      anon_sym_DOLLAR,
    ACTIONS(2567), 1,
      anon_sym_SQUOTE,
    ACTIONS(2569), 1,
      anon_sym_DASH,
    ACTIONS(2571), 1,
      sym__natural_number,
    ACTIONS(2573), 1,
      sym_bang,
    STATE(356), 1,
      sym__expression,
    STATE(580), 1,
      sym__integer,
    STATE(1249), 1,
      sym_identifier,
    STATE(1716), 1,
      sym__double_quote_string,
    STATE(1720), 1,
      sym_invocation,
    STATE(7520), 1,
      sym__alias_identifier,
    STATE(671), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2162), 2,
      sym_comment,
      sym_marginalia,
    STATE(2276), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2553), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2094), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [168287] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(2543), 1,
      sym_keyword_cast,
    ACTIONS(2545), 1,
      sym_keyword_count,
    ACTIONS(2547), 1,
      sym_keyword_group_concat,
    ACTIONS(2549), 1,
      sym_keyword_case,
    ACTIONS(2551), 1,
      sym_keyword_not,
    ACTIONS(2555), 1,
      sym_keyword_interval,
    ACTIONS(2557), 1,
      sym_keyword_array,
    ACTIONS(2559), 1,
      anon_sym_LPAREN,
    ACTIONS(2561), 1,
      anon_sym_DOT,
    ACTIONS(2563), 1,
      anon_sym_QMARK,
    ACTIONS(2565), 1,
      anon_sym_DOLLAR,
    ACTIONS(2567), 1,
      anon_sym_SQUOTE,
    ACTIONS(2569), 1,
      anon_sym_DASH,
    ACTIONS(2571), 1,
      sym__natural_number,
    ACTIONS(2573), 1,
      sym_bang,
    STATE(407), 1,
      sym__expression,
    STATE(580), 1,
      sym__integer,
    STATE(1249), 1,
      sym_identifier,
    STATE(1716), 1,
      sym__double_quote_string,
    STATE(1720), 1,
      sym_invocation,
    STATE(7520), 1,
      sym__alias_identifier,
    STATE(671), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2163), 2,
      sym_comment,
      sym_marginalia,
    STATE(2276), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2553), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2094), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [168399] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(2543), 1,
      sym_keyword_cast,
    ACTIONS(2545), 1,
      sym_keyword_count,
    ACTIONS(2547), 1,
      sym_keyword_group_concat,
    ACTIONS(2549), 1,
      sym_keyword_case,
    ACTIONS(2551), 1,
      sym_keyword_not,
    ACTIONS(2555), 1,
      sym_keyword_interval,
    ACTIONS(2557), 1,
      sym_keyword_array,
    ACTIONS(2559), 1,
      anon_sym_LPAREN,
    ACTIONS(2561), 1,
      anon_sym_DOT,
    ACTIONS(2563), 1,
      anon_sym_QMARK,
    ACTIONS(2565), 1,
      anon_sym_DOLLAR,
    ACTIONS(2567), 1,
      anon_sym_SQUOTE,
    ACTIONS(2569), 1,
      anon_sym_DASH,
    ACTIONS(2571), 1,
      sym__natural_number,
    ACTIONS(2573), 1,
      sym_bang,
    STATE(395), 1,
      sym__expression,
    STATE(580), 1,
      sym__integer,
    STATE(1249), 1,
      sym_identifier,
    STATE(1716), 1,
      sym__double_quote_string,
    STATE(1720), 1,
      sym_invocation,
    STATE(7520), 1,
      sym__alias_identifier,
    STATE(671), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2164), 2,
      sym_comment,
      sym_marginalia,
    STATE(2276), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2553), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2094), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [168511] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(2543), 1,
      sym_keyword_cast,
    ACTIONS(2545), 1,
      sym_keyword_count,
    ACTIONS(2547), 1,
      sym_keyword_group_concat,
    ACTIONS(2549), 1,
      sym_keyword_case,
    ACTIONS(2551), 1,
      sym_keyword_not,
    ACTIONS(2555), 1,
      sym_keyword_interval,
    ACTIONS(2557), 1,
      sym_keyword_array,
    ACTIONS(2559), 1,
      anon_sym_LPAREN,
    ACTIONS(2561), 1,
      anon_sym_DOT,
    ACTIONS(2563), 1,
      anon_sym_QMARK,
    ACTIONS(2565), 1,
      anon_sym_DOLLAR,
    ACTIONS(2567), 1,
      anon_sym_SQUOTE,
    ACTIONS(2569), 1,
      anon_sym_DASH,
    ACTIONS(2571), 1,
      sym__natural_number,
    ACTIONS(2573), 1,
      sym_bang,
    STATE(394), 1,
      sym__expression,
    STATE(580), 1,
      sym__integer,
    STATE(1249), 1,
      sym_identifier,
    STATE(1716), 1,
      sym__double_quote_string,
    STATE(1720), 1,
      sym_invocation,
    STATE(7520), 1,
      sym__alias_identifier,
    STATE(671), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2165), 2,
      sym_comment,
      sym_marginalia,
    STATE(2276), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2553), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2094), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [168623] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3899), 1,
      sym__identifier,
    ACTIONS(3901), 1,
      sym_keyword_cast,
    ACTIONS(3903), 1,
      sym_keyword_count,
    ACTIONS(3905), 1,
      sym_keyword_group_concat,
    ACTIONS(3907), 1,
      sym_keyword_case,
    ACTIONS(3911), 1,
      sym_keyword_null,
    ACTIONS(3913), 1,
      sym_keyword_interval,
    ACTIONS(3915), 1,
      sym_keyword_array,
    ACTIONS(3917), 1,
      anon_sym_LPAREN,
    ACTIONS(3919), 1,
      anon_sym_DOT,
    ACTIONS(3921), 1,
      anon_sym_QMARK,
    ACTIONS(3923), 1,
      anon_sym_DOLLAR,
    ACTIONS(3925), 1,
      anon_sym_SQUOTE,
    ACTIONS(3927), 1,
      anon_sym_DASH,
    ACTIONS(3929), 1,
      anon_sym_DQUOTE,
    ACTIONS(3931), 1,
      sym__natural_number,
    ACTIONS(3933), 1,
      sym_bang,
    ACTIONS(3935), 1,
      anon_sym_BQUOTE,
    ACTIONS(4091), 1,
      sym_keyword_not,
    STATE(2651), 1,
      sym__expression,
    STATE(3328), 1,
      sym_identifier,
    STATE(3468), 1,
      sym_invocation,
    STATE(3527), 1,
      sym__double_quote_string,
    STATE(3528), 1,
      sym__integer,
    STATE(6991), 1,
      sym__alias_identifier,
    ACTIONS(4227), 2,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2166), 2,
      sym_comment,
      sym_marginalia,
    STATE(3545), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(3553), 2,
      sym_count,
      sym_group_concat,
    STATE(3555), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [168737] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3473), 1,
      sym__identifier,
    ACTIONS(3475), 1,
      sym_keyword_cast,
    ACTIONS(3477), 1,
      sym_keyword_count,
    ACTIONS(3479), 1,
      sym_keyword_group_concat,
    ACTIONS(3481), 1,
      sym_keyword_case,
    ACTIONS(3483), 1,
      sym_keyword_not,
    ACTIONS(3487), 1,
      sym_keyword_interval,
    ACTIONS(3489), 1,
      sym_keyword_array,
    ACTIONS(3491), 1,
      anon_sym_LPAREN,
    ACTIONS(3493), 1,
      anon_sym_DOT,
    ACTIONS(3495), 1,
      anon_sym_QMARK,
    ACTIONS(3497), 1,
      anon_sym_DOLLAR,
    ACTIONS(3499), 1,
      anon_sym_SQUOTE,
    ACTIONS(3501), 1,
      anon_sym_DASH,
    ACTIONS(3503), 1,
      anon_sym_DQUOTE,
    ACTIONS(3505), 1,
      sym__natural_number,
    ACTIONS(3507), 1,
      sym_bang,
    ACTIONS(3509), 1,
      anon_sym_BQUOTE,
    STATE(82), 1,
      sym__expression,
    STATE(368), 1,
      sym_identifier,
    STATE(603), 1,
      sym__integer,
    STATE(604), 1,
      sym__double_quote_string,
    STATE(605), 1,
      sym_invocation,
    STATE(6786), 1,
      sym__alias_identifier,
    STATE(629), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(656), 2,
      sym_count,
      sym_group_concat,
    STATE(2167), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3485), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(654), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [168849] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4033), 1,
      sym__identifier,
    ACTIONS(4035), 1,
      sym_keyword_cast,
    ACTIONS(4037), 1,
      sym_keyword_count,
    ACTIONS(4039), 1,
      sym_keyword_group_concat,
    ACTIONS(4041), 1,
      sym_keyword_case,
    ACTIONS(4047), 1,
      sym_keyword_interval,
    ACTIONS(4049), 1,
      sym_keyword_array,
    ACTIONS(4051), 1,
      anon_sym_LPAREN,
    ACTIONS(4053), 1,
      anon_sym_DOT,
    ACTIONS(4055), 1,
      anon_sym_QMARK,
    ACTIONS(4057), 1,
      anon_sym_DOLLAR,
    ACTIONS(4059), 1,
      anon_sym_SQUOTE,
    ACTIONS(4061), 1,
      anon_sym_DASH,
    ACTIONS(4063), 1,
      anon_sym_DQUOTE,
    ACTIONS(4065), 1,
      sym__natural_number,
    ACTIONS(4067), 1,
      sym_bang,
    ACTIONS(4069), 1,
      anon_sym_BQUOTE,
    ACTIONS(4075), 1,
      sym_keyword_not,
    STATE(2425), 1,
      sym__expression,
    STATE(2891), 1,
      sym_identifier,
    STATE(3106), 1,
      sym__double_quote_string,
    STATE(3113), 1,
      sym__integer,
    STATE(3133), 1,
      sym_invocation,
    STATE(7154), 1,
      sym__alias_identifier,
    STATE(2168), 2,
      sym_comment,
      sym_marginalia,
    STATE(3312), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(3316), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(4045), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3314), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [168961] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4253), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2169), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [169073] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4358), 1,
      sym__expression,
    STATE(4572), 1,
      sym_binary_expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2170), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 13,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [169187] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4229), 1,
      sym_keyword_unsigned,
    ACTIONS(4231), 1,
      sym_keyword_zerofill,
    ACTIONS(4233), 1,
      sym_keyword_precision,
    ACTIONS(4235), 1,
      anon_sym_LPAREN,
    STATE(2171), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(983), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(985), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [169255] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4231), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2172), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [169367] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4143), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2173), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [169479] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(2543), 1,
      sym_keyword_cast,
    ACTIONS(2545), 1,
      sym_keyword_count,
    ACTIONS(2547), 1,
      sym_keyword_group_concat,
    ACTIONS(2549), 1,
      sym_keyword_case,
    ACTIONS(2551), 1,
      sym_keyword_not,
    ACTIONS(2555), 1,
      sym_keyword_interval,
    ACTIONS(2557), 1,
      sym_keyword_array,
    ACTIONS(2559), 1,
      anon_sym_LPAREN,
    ACTIONS(2561), 1,
      anon_sym_DOT,
    ACTIONS(2563), 1,
      anon_sym_QMARK,
    ACTIONS(2565), 1,
      anon_sym_DOLLAR,
    ACTIONS(2567), 1,
      anon_sym_SQUOTE,
    ACTIONS(2569), 1,
      anon_sym_DASH,
    ACTIONS(2571), 1,
      sym__natural_number,
    ACTIONS(2573), 1,
      sym_bang,
    STATE(390), 1,
      sym__expression,
    STATE(580), 1,
      sym__integer,
    STATE(1249), 1,
      sym_identifier,
    STATE(1716), 1,
      sym__double_quote_string,
    STATE(1720), 1,
      sym_invocation,
    STATE(7520), 1,
      sym__alias_identifier,
    STATE(671), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2174), 2,
      sym_comment,
      sym_marginalia,
    STATE(2276), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2553), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2094), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [169591] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(2543), 1,
      sym_keyword_cast,
    ACTIONS(2545), 1,
      sym_keyword_count,
    ACTIONS(2547), 1,
      sym_keyword_group_concat,
    ACTIONS(2549), 1,
      sym_keyword_case,
    ACTIONS(2551), 1,
      sym_keyword_not,
    ACTIONS(2555), 1,
      sym_keyword_interval,
    ACTIONS(2557), 1,
      sym_keyword_array,
    ACTIONS(2559), 1,
      anon_sym_LPAREN,
    ACTIONS(2561), 1,
      anon_sym_DOT,
    ACTIONS(2563), 1,
      anon_sym_QMARK,
    ACTIONS(2565), 1,
      anon_sym_DOLLAR,
    ACTIONS(2567), 1,
      anon_sym_SQUOTE,
    ACTIONS(2569), 1,
      anon_sym_DASH,
    ACTIONS(2571), 1,
      sym__natural_number,
    ACTIONS(2573), 1,
      sym_bang,
    STATE(402), 1,
      sym__expression,
    STATE(580), 1,
      sym__integer,
    STATE(1249), 1,
      sym_identifier,
    STATE(1716), 1,
      sym__double_quote_string,
    STATE(1720), 1,
      sym_invocation,
    STATE(7520), 1,
      sym__alias_identifier,
    STATE(671), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2175), 2,
      sym_comment,
      sym_marginalia,
    STATE(2276), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2553), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2094), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [169703] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(2543), 1,
      sym_keyword_cast,
    ACTIONS(2545), 1,
      sym_keyword_count,
    ACTIONS(2547), 1,
      sym_keyword_group_concat,
    ACTIONS(2549), 1,
      sym_keyword_case,
    ACTIONS(2551), 1,
      sym_keyword_not,
    ACTIONS(2555), 1,
      sym_keyword_interval,
    ACTIONS(2557), 1,
      sym_keyword_array,
    ACTIONS(2559), 1,
      anon_sym_LPAREN,
    ACTIONS(2561), 1,
      anon_sym_DOT,
    ACTIONS(2563), 1,
      anon_sym_QMARK,
    ACTIONS(2565), 1,
      anon_sym_DOLLAR,
    ACTIONS(2567), 1,
      anon_sym_SQUOTE,
    ACTIONS(2569), 1,
      anon_sym_DASH,
    ACTIONS(2571), 1,
      sym__natural_number,
    ACTIONS(2573), 1,
      sym_bang,
    STATE(388), 1,
      sym__expression,
    STATE(580), 1,
      sym__integer,
    STATE(1249), 1,
      sym_identifier,
    STATE(1716), 1,
      sym__double_quote_string,
    STATE(1720), 1,
      sym_invocation,
    STATE(7520), 1,
      sym__alias_identifier,
    STATE(671), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2176), 2,
      sym_comment,
      sym_marginalia,
    STATE(2276), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2553), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2094), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [169815] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(3733), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2177), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [169927] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(3786), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2178), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [170039] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4358), 1,
      sym__expression,
    STATE(4538), 1,
      sym_identifier,
    STATE(4558), 1,
      sym_binary_expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2179), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 13,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [170153] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4290), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2180), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [170265] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3941), 1,
      sym__identifier,
    ACTIONS(3943), 1,
      sym_keyword_cast,
    ACTIONS(3945), 1,
      sym_keyword_count,
    ACTIONS(3947), 1,
      sym_keyword_group_concat,
    ACTIONS(3949), 1,
      sym_keyword_case,
    ACTIONS(3955), 1,
      sym_keyword_interval,
    ACTIONS(3957), 1,
      sym_keyword_array,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_DOT,
    ACTIONS(3963), 1,
      anon_sym_QMARK,
    ACTIONS(3965), 1,
      anon_sym_DOLLAR,
    ACTIONS(3967), 1,
      anon_sym_SQUOTE,
    ACTIONS(3969), 1,
      anon_sym_DASH,
    ACTIONS(3971), 1,
      anon_sym_DQUOTE,
    ACTIONS(3973), 1,
      sym__natural_number,
    ACTIONS(3975), 1,
      sym_bang,
    ACTIONS(3977), 1,
      anon_sym_BQUOTE,
    ACTIONS(4157), 1,
      sym_keyword_not,
    STATE(1045), 1,
      sym__expression,
    STATE(1696), 1,
      sym_identifier,
    STATE(1930), 1,
      sym__integer,
    STATE(1931), 1,
      sym__double_quote_string,
    STATE(1932), 1,
      sym_invocation,
    STATE(6653), 1,
      sym__alias_identifier,
    STATE(2181), 2,
      sym_comment,
      sym_marginalia,
    STATE(2293), 2,
      sym_count,
      sym_group_concat,
    STATE(2305), 2,
      sym__literal_string,
      sym__decimal_number,
    ACTIONS(3953), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2303), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [170377] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3425), 1,
      sym__identifier,
    ACTIONS(3429), 1,
      sym_keyword_cast,
    ACTIONS(3431), 1,
      sym_keyword_count,
    ACTIONS(3433), 1,
      sym_keyword_group_concat,
    ACTIONS(3435), 1,
      sym_keyword_case,
    ACTIONS(3439), 1,
      sym_keyword_null,
    ACTIONS(3441), 1,
      sym_keyword_interval,
    ACTIONS(3443), 1,
      sym_keyword_array,
    ACTIONS(3445), 1,
      anon_sym_LPAREN,
    ACTIONS(3447), 1,
      anon_sym_DOT,
    ACTIONS(3449), 1,
      anon_sym_QMARK,
    ACTIONS(3451), 1,
      anon_sym_DOLLAR,
    ACTIONS(3453), 1,
      anon_sym_SQUOTE,
    ACTIONS(3455), 1,
      anon_sym_DASH,
    ACTIONS(3457), 1,
      anon_sym_DQUOTE,
    ACTIONS(3459), 1,
      sym__natural_number,
    ACTIONS(3461), 1,
      sym_bang,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    ACTIONS(4101), 1,
      sym_keyword_not,
    STATE(117), 1,
      sym__expression,
    STATE(397), 1,
      sym__integer,
    STATE(398), 1,
      sym__double_quote_string,
    STATE(459), 1,
      sym_identifier,
    STATE(753), 1,
      sym_invocation,
    STATE(6950), 1,
      sym__alias_identifier,
    ACTIONS(4161), 2,
      sym_keyword_true,
      sym_keyword_false,
    STATE(494), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(500), 2,
      sym_count,
      sym_group_concat,
    STATE(2182), 2,
      sym_comment,
      sym_marginalia,
    STATE(499), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [170491] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3743), 1,
      sym__identifier,
    ACTIONS(3745), 1,
      sym_keyword_cast,
    ACTIONS(3747), 1,
      sym_keyword_count,
    ACTIONS(3749), 1,
      sym_keyword_group_concat,
    ACTIONS(3751), 1,
      sym_keyword_case,
    ACTIONS(3757), 1,
      sym_keyword_interval,
    ACTIONS(3759), 1,
      sym_keyword_array,
    ACTIONS(3761), 1,
      anon_sym_LPAREN,
    ACTIONS(3763), 1,
      anon_sym_DOT,
    ACTIONS(3765), 1,
      anon_sym_QMARK,
    ACTIONS(3767), 1,
      anon_sym_DOLLAR,
    ACTIONS(3769), 1,
      anon_sym_SQUOTE,
    ACTIONS(3771), 1,
      anon_sym_DASH,
    ACTIONS(3773), 1,
      anon_sym_DQUOTE,
    ACTIONS(3775), 1,
      sym__natural_number,
    ACTIONS(3777), 1,
      sym_bang,
    ACTIONS(3779), 1,
      anon_sym_BQUOTE,
    ACTIONS(3891), 1,
      sym_keyword_not,
    STATE(287), 1,
      sym__expression,
    STATE(976), 1,
      sym_identifier,
    STATE(1003), 1,
      sym_invocation,
    STATE(1005), 1,
      sym__double_quote_string,
    STATE(1014), 1,
      sym__integer,
    STATE(6745), 1,
      sym__alias_identifier,
    STATE(1320), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(1331), 2,
      sym_count,
      sym_group_concat,
    STATE(2183), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3755), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(1329), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [170603] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2184), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2279), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2281), 30,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [170663] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2185), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2285), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2287), 30,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [170723] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3743), 1,
      sym__identifier,
    ACTIONS(3745), 1,
      sym_keyword_cast,
    ACTIONS(3747), 1,
      sym_keyword_count,
    ACTIONS(3749), 1,
      sym_keyword_group_concat,
    ACTIONS(3751), 1,
      sym_keyword_case,
    ACTIONS(3757), 1,
      sym_keyword_interval,
    ACTIONS(3759), 1,
      sym_keyword_array,
    ACTIONS(3761), 1,
      anon_sym_LPAREN,
    ACTIONS(3763), 1,
      anon_sym_DOT,
    ACTIONS(3765), 1,
      anon_sym_QMARK,
    ACTIONS(3767), 1,
      anon_sym_DOLLAR,
    ACTIONS(3769), 1,
      anon_sym_SQUOTE,
    ACTIONS(3771), 1,
      anon_sym_DASH,
    ACTIONS(3773), 1,
      anon_sym_DQUOTE,
    ACTIONS(3775), 1,
      sym__natural_number,
    ACTIONS(3777), 1,
      sym_bang,
    ACTIONS(3779), 1,
      anon_sym_BQUOTE,
    ACTIONS(3891), 1,
      sym_keyword_not,
    STATE(286), 1,
      sym__expression,
    STATE(976), 1,
      sym_identifier,
    STATE(1003), 1,
      sym_invocation,
    STATE(1005), 1,
      sym__double_quote_string,
    STATE(1014), 1,
      sym__integer,
    STATE(6745), 1,
      sym__alias_identifier,
    STATE(1320), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(1331), 2,
      sym_count,
      sym_group_concat,
    STATE(2186), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3755), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(1329), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [170835] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4297), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2187), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [170947] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2188), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2233), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2235), 30,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [171007] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(3753), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2189), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [171119] = 17,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4193), 1,
      sym_keyword_is,
    ACTIONS(4201), 1,
      sym_keyword_in,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2190), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 6,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1103), 17,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym__identifier,
  [171203] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(3782), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2191), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [171315] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4276), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2192), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [171427] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4274), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2193), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [171539] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4358), 1,
      sym__expression,
    STATE(4517), 1,
      sym_identifier,
    STATE(4570), 1,
      sym_binary_expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2194), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 13,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [171653] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4240), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2195), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [171765] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4269), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2196), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [171877] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(3622), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2197), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [171989] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(3617), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2198), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [172101] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4221), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2199), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [172213] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3743), 1,
      sym__identifier,
    ACTIONS(3745), 1,
      sym_keyword_cast,
    ACTIONS(3747), 1,
      sym_keyword_count,
    ACTIONS(3749), 1,
      sym_keyword_group_concat,
    ACTIONS(3751), 1,
      sym_keyword_case,
    ACTIONS(3757), 1,
      sym_keyword_interval,
    ACTIONS(3759), 1,
      sym_keyword_array,
    ACTIONS(3761), 1,
      anon_sym_LPAREN,
    ACTIONS(3763), 1,
      anon_sym_DOT,
    ACTIONS(3765), 1,
      anon_sym_QMARK,
    ACTIONS(3767), 1,
      anon_sym_DOLLAR,
    ACTIONS(3769), 1,
      anon_sym_SQUOTE,
    ACTIONS(3771), 1,
      anon_sym_DASH,
    ACTIONS(3773), 1,
      anon_sym_DQUOTE,
    ACTIONS(3775), 1,
      sym__natural_number,
    ACTIONS(3777), 1,
      sym_bang,
    ACTIONS(3779), 1,
      anon_sym_BQUOTE,
    ACTIONS(3891), 1,
      sym_keyword_not,
    STATE(283), 1,
      sym__expression,
    STATE(976), 1,
      sym_identifier,
    STATE(1003), 1,
      sym_invocation,
    STATE(1005), 1,
      sym__double_quote_string,
    STATE(1014), 1,
      sym__integer,
    STATE(6745), 1,
      sym__alias_identifier,
    STATE(1320), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(1331), 2,
      sym_count,
      sym_group_concat,
    STATE(2200), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3755), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(1329), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [172325] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2639), 1,
      sym__identifier,
    ACTIONS(2641), 1,
      sym_keyword_cast,
    ACTIONS(2643), 1,
      sym_keyword_count,
    ACTIONS(2645), 1,
      sym_keyword_group_concat,
    ACTIONS(2647), 1,
      sym_keyword_case,
    ACTIONS(2649), 1,
      sym_keyword_not,
    ACTIONS(2653), 1,
      sym_keyword_interval,
    ACTIONS(2655), 1,
      sym_keyword_array,
    ACTIONS(2657), 1,
      anon_sym_LPAREN,
    ACTIONS(2659), 1,
      anon_sym_DOT,
    ACTIONS(2661), 1,
      anon_sym_QMARK,
    ACTIONS(2663), 1,
      anon_sym_DOLLAR,
    ACTIONS(2665), 1,
      anon_sym_SQUOTE,
    ACTIONS(2667), 1,
      anon_sym_DASH,
    ACTIONS(2669), 1,
      anon_sym_DQUOTE,
    ACTIONS(2671), 1,
      sym__natural_number,
    ACTIONS(2673), 1,
      sym_bang,
    ACTIONS(2675), 1,
      anon_sym_BQUOTE,
    STATE(989), 1,
      sym_identifier,
    STATE(1306), 1,
      sym__integer,
    STATE(1312), 1,
      sym__double_quote_string,
    STATE(1313), 1,
      sym_invocation,
    STATE(1957), 1,
      sym__expression,
    STATE(6399), 1,
      sym__alias_identifier,
    STATE(1660), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(1665), 2,
      sym_count,
      sym_group_concat,
    STATE(2201), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2651), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(1664), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [172437] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(1785), 1,
      anon_sym_CARET,
    ACTIONS(1787), 1,
      sym_keyword_in,
    ACTIONS(1789), 1,
      anon_sym_SLASH,
    ACTIONS(1793), 1,
      anon_sym_PLUS,
    ACTIONS(1795), 1,
      anon_sym_DASH,
    ACTIONS(1807), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3005), 1,
      sym_keyword_and,
    ACTIONS(3007), 1,
      sym_keyword_or,
    ACTIONS(3009), 1,
      sym_keyword_is,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1805), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2202), 2,
      sym_comment,
      sym_marginalia,
    STATE(1748), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1803), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1749), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4239), 16,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172531] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4216), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2203), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [172643] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3811), 1,
      sym__identifier,
    ACTIONS(3813), 1,
      sym_keyword_cast,
    ACTIONS(3815), 1,
      sym_keyword_count,
    ACTIONS(3817), 1,
      sym_keyword_group_concat,
    ACTIONS(3819), 1,
      sym_keyword_case,
    ACTIONS(3825), 1,
      sym_keyword_interval,
    ACTIONS(3827), 1,
      sym_keyword_array,
    ACTIONS(3829), 1,
      anon_sym_LPAREN,
    ACTIONS(3831), 1,
      anon_sym_DOT,
    ACTIONS(3833), 1,
      anon_sym_QMARK,
    ACTIONS(3835), 1,
      anon_sym_DOLLAR,
    ACTIONS(3837), 1,
      anon_sym_SQUOTE,
    ACTIONS(3839), 1,
      anon_sym_DASH,
    ACTIONS(3841), 1,
      anon_sym_DQUOTE,
    ACTIONS(3843), 1,
      sym__natural_number,
    ACTIONS(3845), 1,
      sym_bang,
    ACTIONS(3847), 1,
      anon_sym_BQUOTE,
    ACTIONS(4083), 1,
      sym_keyword_not,
    STATE(3358), 1,
      sym__expression,
    STATE(4261), 1,
      sym_identifier,
    STATE(4339), 1,
      sym_invocation,
    STATE(4343), 1,
      sym__double_quote_string,
    STATE(4345), 1,
      sym__integer,
    STATE(6704), 1,
      sym__alias_identifier,
    STATE(2204), 2,
      sym_comment,
      sym_marginalia,
    STATE(4408), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(4452), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(3823), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(4422), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [172755] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(3581), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2205), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [172867] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(3583), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2206), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [172979] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4198), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2207), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [173091] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4200), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2208), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [173203] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4207), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2209), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [173315] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4237), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2210), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [173427] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4358), 1,
      sym__expression,
    STATE(4542), 1,
      sym_identifier,
    STATE(4567), 1,
      sym_binary_expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2211), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 13,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [173541] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4208), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2212), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [173653] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4296), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2213), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [173765] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4358), 1,
      sym__expression,
    STATE(4531), 1,
      sym_identifier,
    STATE(4594), 1,
      sym_binary_expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2214), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 13,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [173879] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4303), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2215), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [173991] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4299), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2216), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [174103] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4358), 1,
      sym__expression,
    STATE(4533), 1,
      sym_identifier,
    STATE(4593), 1,
      sym_binary_expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2217), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 13,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [174217] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3743), 1,
      sym__identifier,
    ACTIONS(3745), 1,
      sym_keyword_cast,
    ACTIONS(3747), 1,
      sym_keyword_count,
    ACTIONS(3749), 1,
      sym_keyword_group_concat,
    ACTIONS(3751), 1,
      sym_keyword_case,
    ACTIONS(3757), 1,
      sym_keyword_interval,
    ACTIONS(3759), 1,
      sym_keyword_array,
    ACTIONS(3761), 1,
      anon_sym_LPAREN,
    ACTIONS(3763), 1,
      anon_sym_DOT,
    ACTIONS(3765), 1,
      anon_sym_QMARK,
    ACTIONS(3767), 1,
      anon_sym_DOLLAR,
    ACTIONS(3769), 1,
      anon_sym_SQUOTE,
    ACTIONS(3771), 1,
      anon_sym_DASH,
    ACTIONS(3773), 1,
      anon_sym_DQUOTE,
    ACTIONS(3775), 1,
      sym__natural_number,
    ACTIONS(3777), 1,
      sym_bang,
    ACTIONS(3779), 1,
      anon_sym_BQUOTE,
    ACTIONS(3891), 1,
      sym_keyword_not,
    STATE(281), 1,
      sym__expression,
    STATE(976), 1,
      sym_identifier,
    STATE(1003), 1,
      sym_invocation,
    STATE(1005), 1,
      sym__double_quote_string,
    STATE(1014), 1,
      sym__integer,
    STATE(6745), 1,
      sym__alias_identifier,
    STATE(1320), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(1331), 2,
      sym_count,
      sym_group_concat,
    STATE(2218), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3755), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(1329), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [174329] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3429), 1,
      sym_keyword_cast,
    ACTIONS(3431), 1,
      sym_keyword_count,
    ACTIONS(3433), 1,
      sym_keyword_group_concat,
    ACTIONS(3435), 1,
      sym_keyword_case,
    ACTIONS(3439), 1,
      sym_keyword_null,
    ACTIONS(3441), 1,
      sym_keyword_interval,
    ACTIONS(3443), 1,
      sym_keyword_array,
    ACTIONS(3447), 1,
      anon_sym_DOT,
    ACTIONS(3449), 1,
      anon_sym_QMARK,
    ACTIONS(3451), 1,
      anon_sym_DOLLAR,
    ACTIONS(3453), 1,
      anon_sym_SQUOTE,
    ACTIONS(3455), 1,
      anon_sym_DASH,
    ACTIONS(3457), 1,
      anon_sym_DQUOTE,
    ACTIONS(3459), 1,
      sym__natural_number,
    ACTIONS(3575), 1,
      sym__identifier,
    ACTIONS(3579), 1,
      anon_sym_LPAREN,
    ACTIONS(3581), 1,
      sym_bang,
    ACTIONS(3583), 1,
      anon_sym_BQUOTE,
    ACTIONS(4087), 1,
      sym_keyword_not,
    STATE(228), 1,
      sym__expression,
    STATE(397), 1,
      sym__integer,
    STATE(398), 1,
      sym__double_quote_string,
    STATE(751), 1,
      sym_identifier,
    STATE(840), 1,
      sym_invocation,
    STATE(6909), 1,
      sym__alias_identifier,
    ACTIONS(4175), 2,
      sym_keyword_true,
      sym_keyword_false,
    STATE(494), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(500), 2,
      sym_count,
      sym_group_concat,
    STATE(2219), 2,
      sym_comment,
      sym_marginalia,
    STATE(499), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [174443] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4294), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2220), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [174555] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4289), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2221), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [174667] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4189), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2222), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [174779] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4278), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2223), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [174891] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4267), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2224), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [175003] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4358), 1,
      sym__expression,
    STATE(4537), 1,
      sym_identifier,
    STATE(4581), 1,
      sym_binary_expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2225), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 13,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [175117] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4255), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2226), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [175229] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4251), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2227), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [175341] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4358), 1,
      sym__expression,
    STATE(4526), 1,
      sym_identifier,
    STATE(4568), 1,
      sym_binary_expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2228), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 13,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [175455] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4358), 1,
      sym__expression,
    STATE(4540), 1,
      sym_identifier,
    STATE(4579), 1,
      sym_binary_expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2229), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 13,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [175569] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3429), 1,
      sym_keyword_cast,
    ACTIONS(3431), 1,
      sym_keyword_count,
    ACTIONS(3433), 1,
      sym_keyword_group_concat,
    ACTIONS(3435), 1,
      sym_keyword_case,
    ACTIONS(3439), 1,
      sym_keyword_null,
    ACTIONS(3441), 1,
      sym_keyword_interval,
    ACTIONS(3443), 1,
      sym_keyword_array,
    ACTIONS(3447), 1,
      anon_sym_DOT,
    ACTIONS(3449), 1,
      anon_sym_QMARK,
    ACTIONS(3451), 1,
      anon_sym_DOLLAR,
    ACTIONS(3453), 1,
      anon_sym_SQUOTE,
    ACTIONS(3455), 1,
      anon_sym_DASH,
    ACTIONS(3457), 1,
      anon_sym_DQUOTE,
    ACTIONS(3459), 1,
      sym__natural_number,
    ACTIONS(3575), 1,
      sym__identifier,
    ACTIONS(3579), 1,
      anon_sym_LPAREN,
    ACTIONS(3581), 1,
      sym_bang,
    ACTIONS(3583), 1,
      anon_sym_BQUOTE,
    ACTIONS(4087), 1,
      sym_keyword_not,
    STATE(180), 1,
      sym__expression,
    STATE(397), 1,
      sym__integer,
    STATE(398), 1,
      sym__double_quote_string,
    STATE(751), 1,
      sym_identifier,
    STATE(840), 1,
      sym_invocation,
    STATE(6909), 1,
      sym__alias_identifier,
    ACTIONS(4173), 2,
      sym_keyword_true,
      sym_keyword_false,
    STATE(494), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(500), 2,
      sym_count,
      sym_group_concat,
    STATE(2230), 2,
      sym_comment,
      sym_marginalia,
    STATE(499), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [175683] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4247), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2231), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [175795] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4243), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2232), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [175907] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4358), 1,
      sym__expression,
    STATE(4536), 1,
      sym_identifier,
    STATE(4587), 1,
      sym_binary_expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2233), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 13,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [176021] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4242), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2234), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [176133] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4239), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2235), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [176245] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4043), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2236), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [176357] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4358), 1,
      sym__expression,
    STATE(4541), 1,
      sym_identifier,
    STATE(4575), 1,
      sym_binary_expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2237), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 13,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [176471] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2238), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2253), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2255), 30,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [176531] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4235), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2239), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [176643] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4234), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2240), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [176755] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4358), 1,
      sym__expression,
    STATE(4529), 1,
      sym_identifier,
    STATE(4561), 1,
      sym_binary_expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2241), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 13,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [176869] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4232), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2242), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [176981] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4227), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2243), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [177093] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4244), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2244), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [177205] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4193), 1,
      sym_keyword_is,
    STATE(2245), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1103), 22,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [177271] = 11,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4193), 1,
      sym_keyword_is,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(2246), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 12,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1103), 21,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [177343] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3473), 1,
      sym__identifier,
    ACTIONS(3475), 1,
      sym_keyword_cast,
    ACTIONS(3477), 1,
      sym_keyword_count,
    ACTIONS(3479), 1,
      sym_keyword_group_concat,
    ACTIONS(3481), 1,
      sym_keyword_case,
    ACTIONS(3483), 1,
      sym_keyword_not,
    ACTIONS(3487), 1,
      sym_keyword_interval,
    ACTIONS(3489), 1,
      sym_keyword_array,
    ACTIONS(3491), 1,
      anon_sym_LPAREN,
    ACTIONS(3493), 1,
      anon_sym_DOT,
    ACTIONS(3495), 1,
      anon_sym_QMARK,
    ACTIONS(3497), 1,
      anon_sym_DOLLAR,
    ACTIONS(3499), 1,
      anon_sym_SQUOTE,
    ACTIONS(3501), 1,
      anon_sym_DASH,
    ACTIONS(3503), 1,
      anon_sym_DQUOTE,
    ACTIONS(3505), 1,
      sym__natural_number,
    ACTIONS(3507), 1,
      sym_bang,
    ACTIONS(3509), 1,
      anon_sym_BQUOTE,
    STATE(101), 1,
      sym__expression,
    STATE(368), 1,
      sym_identifier,
    STATE(603), 1,
      sym__integer,
    STATE(604), 1,
      sym__double_quote_string,
    STATE(605), 1,
      sym_invocation,
    STATE(6786), 1,
      sym__alias_identifier,
    STATE(629), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(656), 2,
      sym_count,
      sym_group_concat,
    STATE(2247), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3485), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(654), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [177455] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3811), 1,
      sym__identifier,
    ACTIONS(3813), 1,
      sym_keyword_cast,
    ACTIONS(3815), 1,
      sym_keyword_count,
    ACTIONS(3817), 1,
      sym_keyword_group_concat,
    ACTIONS(3819), 1,
      sym_keyword_case,
    ACTIONS(3825), 1,
      sym_keyword_interval,
    ACTIONS(3827), 1,
      sym_keyword_array,
    ACTIONS(3829), 1,
      anon_sym_LPAREN,
    ACTIONS(3831), 1,
      anon_sym_DOT,
    ACTIONS(3833), 1,
      anon_sym_QMARK,
    ACTIONS(3835), 1,
      anon_sym_DOLLAR,
    ACTIONS(3837), 1,
      anon_sym_SQUOTE,
    ACTIONS(3839), 1,
      anon_sym_DASH,
    ACTIONS(3841), 1,
      anon_sym_DQUOTE,
    ACTIONS(3843), 1,
      sym__natural_number,
    ACTIONS(3845), 1,
      sym_bang,
    ACTIONS(3847), 1,
      anon_sym_BQUOTE,
    ACTIONS(4083), 1,
      sym_keyword_not,
    STATE(3351), 1,
      sym__expression,
    STATE(4261), 1,
      sym_identifier,
    STATE(4339), 1,
      sym_invocation,
    STATE(4343), 1,
      sym__double_quote_string,
    STATE(4345), 1,
      sym__integer,
    STATE(6704), 1,
      sym__alias_identifier,
    STATE(2248), 2,
      sym_comment,
      sym_marginalia,
    STATE(4408), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(4452), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(3823), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(4422), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [177567] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3743), 1,
      sym__identifier,
    ACTIONS(3745), 1,
      sym_keyword_cast,
    ACTIONS(3747), 1,
      sym_keyword_count,
    ACTIONS(3749), 1,
      sym_keyword_group_concat,
    ACTIONS(3751), 1,
      sym_keyword_case,
    ACTIONS(3757), 1,
      sym_keyword_interval,
    ACTIONS(3759), 1,
      sym_keyword_array,
    ACTIONS(3761), 1,
      anon_sym_LPAREN,
    ACTIONS(3763), 1,
      anon_sym_DOT,
    ACTIONS(3765), 1,
      anon_sym_QMARK,
    ACTIONS(3767), 1,
      anon_sym_DOLLAR,
    ACTIONS(3769), 1,
      anon_sym_SQUOTE,
    ACTIONS(3771), 1,
      anon_sym_DASH,
    ACTIONS(3773), 1,
      anon_sym_DQUOTE,
    ACTIONS(3775), 1,
      sym__natural_number,
    ACTIONS(3777), 1,
      sym_bang,
    ACTIONS(3779), 1,
      anon_sym_BQUOTE,
    ACTIONS(3891), 1,
      sym_keyword_not,
    STATE(272), 1,
      sym__expression,
    STATE(976), 1,
      sym_identifier,
    STATE(1003), 1,
      sym_invocation,
    STATE(1005), 1,
      sym__double_quote_string,
    STATE(1014), 1,
      sym__integer,
    STATE(6745), 1,
      sym__alias_identifier,
    STATE(1320), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(1331), 2,
      sym_count,
      sym_group_concat,
    STATE(2249), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3755), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(1329), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [177679] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3743), 1,
      sym__identifier,
    ACTIONS(3745), 1,
      sym_keyword_cast,
    ACTIONS(3747), 1,
      sym_keyword_count,
    ACTIONS(3749), 1,
      sym_keyword_group_concat,
    ACTIONS(3751), 1,
      sym_keyword_case,
    ACTIONS(3757), 1,
      sym_keyword_interval,
    ACTIONS(3759), 1,
      sym_keyword_array,
    ACTIONS(3761), 1,
      anon_sym_LPAREN,
    ACTIONS(3763), 1,
      anon_sym_DOT,
    ACTIONS(3765), 1,
      anon_sym_QMARK,
    ACTIONS(3767), 1,
      anon_sym_DOLLAR,
    ACTIONS(3769), 1,
      anon_sym_SQUOTE,
    ACTIONS(3771), 1,
      anon_sym_DASH,
    ACTIONS(3773), 1,
      anon_sym_DQUOTE,
    ACTIONS(3775), 1,
      sym__natural_number,
    ACTIONS(3777), 1,
      sym_bang,
    ACTIONS(3779), 1,
      anon_sym_BQUOTE,
    ACTIONS(3891), 1,
      sym_keyword_not,
    STATE(273), 1,
      sym__expression,
    STATE(976), 1,
      sym_identifier,
    STATE(1003), 1,
      sym_invocation,
    STATE(1005), 1,
      sym__double_quote_string,
    STATE(1014), 1,
      sym__integer,
    STATE(6745), 1,
      sym__alias_identifier,
    STATE(1320), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(1331), 2,
      sym_count,
      sym_group_concat,
    STATE(2250), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3755), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(1329), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [177791] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4358), 1,
      sym__expression,
    STATE(4539), 1,
      sym_identifier,
    STATE(4564), 1,
      sym_binary_expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2251), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 13,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [177905] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3743), 1,
      sym__identifier,
    ACTIONS(3745), 1,
      sym_keyword_cast,
    ACTIONS(3747), 1,
      sym_keyword_count,
    ACTIONS(3749), 1,
      sym_keyword_group_concat,
    ACTIONS(3751), 1,
      sym_keyword_case,
    ACTIONS(3757), 1,
      sym_keyword_interval,
    ACTIONS(3759), 1,
      sym_keyword_array,
    ACTIONS(3761), 1,
      anon_sym_LPAREN,
    ACTIONS(3763), 1,
      anon_sym_DOT,
    ACTIONS(3765), 1,
      anon_sym_QMARK,
    ACTIONS(3767), 1,
      anon_sym_DOLLAR,
    ACTIONS(3769), 1,
      anon_sym_SQUOTE,
    ACTIONS(3771), 1,
      anon_sym_DASH,
    ACTIONS(3773), 1,
      anon_sym_DQUOTE,
    ACTIONS(3775), 1,
      sym__natural_number,
    ACTIONS(3777), 1,
      sym_bang,
    ACTIONS(3779), 1,
      anon_sym_BQUOTE,
    ACTIONS(3891), 1,
      sym_keyword_not,
    STATE(274), 1,
      sym__expression,
    STATE(976), 1,
      sym_identifier,
    STATE(1003), 1,
      sym_invocation,
    STATE(1005), 1,
      sym__double_quote_string,
    STATE(1014), 1,
      sym__integer,
    STATE(6745), 1,
      sym__alias_identifier,
    STATE(1320), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(1331), 2,
      sym_count,
      sym_group_concat,
    STATE(2252), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3755), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(1329), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [178017] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3991), 1,
      sym__identifier,
    ACTIONS(3993), 1,
      sym_keyword_cast,
    ACTIONS(3995), 1,
      sym_keyword_count,
    ACTIONS(3997), 1,
      sym_keyword_group_concat,
    ACTIONS(3999), 1,
      sym_keyword_case,
    ACTIONS(4005), 1,
      sym_keyword_interval,
    ACTIONS(4007), 1,
      sym_keyword_array,
    ACTIONS(4009), 1,
      anon_sym_LPAREN,
    ACTIONS(4011), 1,
      anon_sym_DOT,
    ACTIONS(4013), 1,
      anon_sym_QMARK,
    ACTIONS(4015), 1,
      anon_sym_DOLLAR,
    ACTIONS(4017), 1,
      anon_sym_SQUOTE,
    ACTIONS(4019), 1,
      anon_sym_DASH,
    ACTIONS(4021), 1,
      anon_sym_DQUOTE,
    ACTIONS(4023), 1,
      sym__natural_number,
    ACTIONS(4025), 1,
      sym_bang,
    ACTIONS(4027), 1,
      anon_sym_BQUOTE,
    ACTIONS(4085), 1,
      sym_keyword_not,
    STATE(304), 1,
      sym__expression,
    STATE(930), 1,
      sym_identifier,
    STATE(1157), 1,
      sym_invocation,
    STATE(1160), 1,
      sym__double_quote_string,
    STATE(1161), 1,
      sym__integer,
    STATE(6602), 1,
      sym__alias_identifier,
    STATE(1258), 2,
      sym_count,
      sym_group_concat,
    STATE(1265), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2253), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4003), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(1259), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [178129] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3991), 1,
      sym__identifier,
    ACTIONS(3993), 1,
      sym_keyword_cast,
    ACTIONS(3995), 1,
      sym_keyword_count,
    ACTIONS(3997), 1,
      sym_keyword_group_concat,
    ACTIONS(3999), 1,
      sym_keyword_case,
    ACTIONS(4005), 1,
      sym_keyword_interval,
    ACTIONS(4007), 1,
      sym_keyword_array,
    ACTIONS(4009), 1,
      anon_sym_LPAREN,
    ACTIONS(4011), 1,
      anon_sym_DOT,
    ACTIONS(4013), 1,
      anon_sym_QMARK,
    ACTIONS(4015), 1,
      anon_sym_DOLLAR,
    ACTIONS(4017), 1,
      anon_sym_SQUOTE,
    ACTIONS(4019), 1,
      anon_sym_DASH,
    ACTIONS(4021), 1,
      anon_sym_DQUOTE,
    ACTIONS(4023), 1,
      sym__natural_number,
    ACTIONS(4025), 1,
      sym_bang,
    ACTIONS(4027), 1,
      anon_sym_BQUOTE,
    ACTIONS(4085), 1,
      sym_keyword_not,
    STATE(306), 1,
      sym__expression,
    STATE(930), 1,
      sym_identifier,
    STATE(1157), 1,
      sym_invocation,
    STATE(1160), 1,
      sym__double_quote_string,
    STATE(1161), 1,
      sym__integer,
    STATE(6602), 1,
      sym__alias_identifier,
    STATE(1258), 2,
      sym_count,
      sym_group_concat,
    STATE(1265), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2254), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4003), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(1259), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [178241] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3991), 1,
      sym__identifier,
    ACTIONS(3993), 1,
      sym_keyword_cast,
    ACTIONS(3995), 1,
      sym_keyword_count,
    ACTIONS(3997), 1,
      sym_keyword_group_concat,
    ACTIONS(3999), 1,
      sym_keyword_case,
    ACTIONS(4005), 1,
      sym_keyword_interval,
    ACTIONS(4007), 1,
      sym_keyword_array,
    ACTIONS(4009), 1,
      anon_sym_LPAREN,
    ACTIONS(4011), 1,
      anon_sym_DOT,
    ACTIONS(4013), 1,
      anon_sym_QMARK,
    ACTIONS(4015), 1,
      anon_sym_DOLLAR,
    ACTIONS(4017), 1,
      anon_sym_SQUOTE,
    ACTIONS(4019), 1,
      anon_sym_DASH,
    ACTIONS(4021), 1,
      anon_sym_DQUOTE,
    ACTIONS(4023), 1,
      sym__natural_number,
    ACTIONS(4025), 1,
      sym_bang,
    ACTIONS(4027), 1,
      anon_sym_BQUOTE,
    ACTIONS(4085), 1,
      sym_keyword_not,
    STATE(305), 1,
      sym__expression,
    STATE(930), 1,
      sym_identifier,
    STATE(1157), 1,
      sym_invocation,
    STATE(1160), 1,
      sym__double_quote_string,
    STATE(1161), 1,
      sym__integer,
    STATE(6602), 1,
      sym__alias_identifier,
    STATE(1258), 2,
      sym_count,
      sym_group_concat,
    STATE(1265), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2255), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4003), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(1259), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [178353] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3991), 1,
      sym__identifier,
    ACTIONS(3993), 1,
      sym_keyword_cast,
    ACTIONS(3995), 1,
      sym_keyword_count,
    ACTIONS(3997), 1,
      sym_keyword_group_concat,
    ACTIONS(3999), 1,
      sym_keyword_case,
    ACTIONS(4005), 1,
      sym_keyword_interval,
    ACTIONS(4007), 1,
      sym_keyword_array,
    ACTIONS(4009), 1,
      anon_sym_LPAREN,
    ACTIONS(4011), 1,
      anon_sym_DOT,
    ACTIONS(4013), 1,
      anon_sym_QMARK,
    ACTIONS(4015), 1,
      anon_sym_DOLLAR,
    ACTIONS(4017), 1,
      anon_sym_SQUOTE,
    ACTIONS(4019), 1,
      anon_sym_DASH,
    ACTIONS(4021), 1,
      anon_sym_DQUOTE,
    ACTIONS(4023), 1,
      sym__natural_number,
    ACTIONS(4025), 1,
      sym_bang,
    ACTIONS(4027), 1,
      anon_sym_BQUOTE,
    ACTIONS(4085), 1,
      sym_keyword_not,
    STATE(299), 1,
      sym__expression,
    STATE(930), 1,
      sym_identifier,
    STATE(1157), 1,
      sym_invocation,
    STATE(1160), 1,
      sym__double_quote_string,
    STATE(1161), 1,
      sym__integer,
    STATE(6602), 1,
      sym__alias_identifier,
    STATE(1258), 2,
      sym_count,
      sym_group_concat,
    STATE(1265), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2256), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4003), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(1259), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [178465] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3991), 1,
      sym__identifier,
    ACTIONS(3993), 1,
      sym_keyword_cast,
    ACTIONS(3995), 1,
      sym_keyword_count,
    ACTIONS(3997), 1,
      sym_keyword_group_concat,
    ACTIONS(3999), 1,
      sym_keyword_case,
    ACTIONS(4005), 1,
      sym_keyword_interval,
    ACTIONS(4007), 1,
      sym_keyword_array,
    ACTIONS(4009), 1,
      anon_sym_LPAREN,
    ACTIONS(4011), 1,
      anon_sym_DOT,
    ACTIONS(4013), 1,
      anon_sym_QMARK,
    ACTIONS(4015), 1,
      anon_sym_DOLLAR,
    ACTIONS(4017), 1,
      anon_sym_SQUOTE,
    ACTIONS(4019), 1,
      anon_sym_DASH,
    ACTIONS(4021), 1,
      anon_sym_DQUOTE,
    ACTIONS(4023), 1,
      sym__natural_number,
    ACTIONS(4025), 1,
      sym_bang,
    ACTIONS(4027), 1,
      anon_sym_BQUOTE,
    ACTIONS(4085), 1,
      sym_keyword_not,
    STATE(296), 1,
      sym__expression,
    STATE(930), 1,
      sym_identifier,
    STATE(1157), 1,
      sym_invocation,
    STATE(1160), 1,
      sym__double_quote_string,
    STATE(1161), 1,
      sym__integer,
    STATE(6602), 1,
      sym__alias_identifier,
    STATE(1258), 2,
      sym_count,
      sym_group_concat,
    STATE(1265), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2257), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4003), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(1259), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [178577] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3991), 1,
      sym__identifier,
    ACTIONS(3993), 1,
      sym_keyword_cast,
    ACTIONS(3995), 1,
      sym_keyword_count,
    ACTIONS(3997), 1,
      sym_keyword_group_concat,
    ACTIONS(3999), 1,
      sym_keyword_case,
    ACTIONS(4005), 1,
      sym_keyword_interval,
    ACTIONS(4007), 1,
      sym_keyword_array,
    ACTIONS(4009), 1,
      anon_sym_LPAREN,
    ACTIONS(4011), 1,
      anon_sym_DOT,
    ACTIONS(4013), 1,
      anon_sym_QMARK,
    ACTIONS(4015), 1,
      anon_sym_DOLLAR,
    ACTIONS(4017), 1,
      anon_sym_SQUOTE,
    ACTIONS(4019), 1,
      anon_sym_DASH,
    ACTIONS(4021), 1,
      anon_sym_DQUOTE,
    ACTIONS(4023), 1,
      sym__natural_number,
    ACTIONS(4025), 1,
      sym_bang,
    ACTIONS(4027), 1,
      anon_sym_BQUOTE,
    ACTIONS(4085), 1,
      sym_keyword_not,
    STATE(295), 1,
      sym__expression,
    STATE(930), 1,
      sym_identifier,
    STATE(1157), 1,
      sym_invocation,
    STATE(1160), 1,
      sym__double_quote_string,
    STATE(1161), 1,
      sym__integer,
    STATE(6602), 1,
      sym__alias_identifier,
    STATE(1258), 2,
      sym_count,
      sym_group_concat,
    STATE(1265), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2258), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4003), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(1259), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [178689] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3991), 1,
      sym__identifier,
    ACTIONS(3993), 1,
      sym_keyword_cast,
    ACTIONS(3995), 1,
      sym_keyword_count,
    ACTIONS(3997), 1,
      sym_keyword_group_concat,
    ACTIONS(3999), 1,
      sym_keyword_case,
    ACTIONS(4005), 1,
      sym_keyword_interval,
    ACTIONS(4007), 1,
      sym_keyword_array,
    ACTIONS(4009), 1,
      anon_sym_LPAREN,
    ACTIONS(4011), 1,
      anon_sym_DOT,
    ACTIONS(4013), 1,
      anon_sym_QMARK,
    ACTIONS(4015), 1,
      anon_sym_DOLLAR,
    ACTIONS(4017), 1,
      anon_sym_SQUOTE,
    ACTIONS(4019), 1,
      anon_sym_DASH,
    ACTIONS(4021), 1,
      anon_sym_DQUOTE,
    ACTIONS(4023), 1,
      sym__natural_number,
    ACTIONS(4025), 1,
      sym_bang,
    ACTIONS(4027), 1,
      anon_sym_BQUOTE,
    ACTIONS(4085), 1,
      sym_keyword_not,
    STATE(294), 1,
      sym__expression,
    STATE(930), 1,
      sym_identifier,
    STATE(1157), 1,
      sym_invocation,
    STATE(1160), 1,
      sym__double_quote_string,
    STATE(1161), 1,
      sym__integer,
    STATE(6602), 1,
      sym__alias_identifier,
    STATE(1258), 2,
      sym_count,
      sym_group_concat,
    STATE(1265), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2259), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4003), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(1259), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [178801] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3991), 1,
      sym__identifier,
    ACTIONS(3993), 1,
      sym_keyword_cast,
    ACTIONS(3995), 1,
      sym_keyword_count,
    ACTIONS(3997), 1,
      sym_keyword_group_concat,
    ACTIONS(3999), 1,
      sym_keyword_case,
    ACTIONS(4005), 1,
      sym_keyword_interval,
    ACTIONS(4007), 1,
      sym_keyword_array,
    ACTIONS(4009), 1,
      anon_sym_LPAREN,
    ACTIONS(4011), 1,
      anon_sym_DOT,
    ACTIONS(4013), 1,
      anon_sym_QMARK,
    ACTIONS(4015), 1,
      anon_sym_DOLLAR,
    ACTIONS(4017), 1,
      anon_sym_SQUOTE,
    ACTIONS(4019), 1,
      anon_sym_DASH,
    ACTIONS(4021), 1,
      anon_sym_DQUOTE,
    ACTIONS(4023), 1,
      sym__natural_number,
    ACTIONS(4025), 1,
      sym_bang,
    ACTIONS(4027), 1,
      anon_sym_BQUOTE,
    ACTIONS(4085), 1,
      sym_keyword_not,
    STATE(292), 1,
      sym__expression,
    STATE(930), 1,
      sym_identifier,
    STATE(1157), 1,
      sym_invocation,
    STATE(1160), 1,
      sym__double_quote_string,
    STATE(1161), 1,
      sym__integer,
    STATE(6602), 1,
      sym__alias_identifier,
    STATE(1258), 2,
      sym_count,
      sym_group_concat,
    STATE(1265), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2260), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4003), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(1259), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [178913] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3991), 1,
      sym__identifier,
    ACTIONS(3993), 1,
      sym_keyword_cast,
    ACTIONS(3995), 1,
      sym_keyword_count,
    ACTIONS(3997), 1,
      sym_keyword_group_concat,
    ACTIONS(3999), 1,
      sym_keyword_case,
    ACTIONS(4005), 1,
      sym_keyword_interval,
    ACTIONS(4007), 1,
      sym_keyword_array,
    ACTIONS(4009), 1,
      anon_sym_LPAREN,
    ACTIONS(4011), 1,
      anon_sym_DOT,
    ACTIONS(4013), 1,
      anon_sym_QMARK,
    ACTIONS(4015), 1,
      anon_sym_DOLLAR,
    ACTIONS(4017), 1,
      anon_sym_SQUOTE,
    ACTIONS(4019), 1,
      anon_sym_DASH,
    ACTIONS(4021), 1,
      anon_sym_DQUOTE,
    ACTIONS(4023), 1,
      sym__natural_number,
    ACTIONS(4025), 1,
      sym_bang,
    ACTIONS(4027), 1,
      anon_sym_BQUOTE,
    ACTIONS(4085), 1,
      sym_keyword_not,
    STATE(291), 1,
      sym__expression,
    STATE(930), 1,
      sym_identifier,
    STATE(1157), 1,
      sym_invocation,
    STATE(1160), 1,
      sym__double_quote_string,
    STATE(1161), 1,
      sym__integer,
    STATE(6602), 1,
      sym__alias_identifier,
    STATE(1258), 2,
      sym_count,
      sym_group_concat,
    STATE(1265), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2261), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4003), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(1259), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [179025] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3991), 1,
      sym__identifier,
    ACTIONS(3993), 1,
      sym_keyword_cast,
    ACTIONS(3995), 1,
      sym_keyword_count,
    ACTIONS(3997), 1,
      sym_keyword_group_concat,
    ACTIONS(3999), 1,
      sym_keyword_case,
    ACTIONS(4005), 1,
      sym_keyword_interval,
    ACTIONS(4007), 1,
      sym_keyword_array,
    ACTIONS(4009), 1,
      anon_sym_LPAREN,
    ACTIONS(4011), 1,
      anon_sym_DOT,
    ACTIONS(4013), 1,
      anon_sym_QMARK,
    ACTIONS(4015), 1,
      anon_sym_DOLLAR,
    ACTIONS(4017), 1,
      anon_sym_SQUOTE,
    ACTIONS(4019), 1,
      anon_sym_DASH,
    ACTIONS(4021), 1,
      anon_sym_DQUOTE,
    ACTIONS(4023), 1,
      sym__natural_number,
    ACTIONS(4025), 1,
      sym_bang,
    ACTIONS(4027), 1,
      anon_sym_BQUOTE,
    ACTIONS(4085), 1,
      sym_keyword_not,
    STATE(303), 1,
      sym__expression,
    STATE(930), 1,
      sym_identifier,
    STATE(1157), 1,
      sym_invocation,
    STATE(1160), 1,
      sym__double_quote_string,
    STATE(1161), 1,
      sym__integer,
    STATE(6602), 1,
      sym__alias_identifier,
    STATE(1258), 2,
      sym_count,
      sym_group_concat,
    STATE(1265), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2262), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4003), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(1259), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [179137] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3743), 1,
      sym__identifier,
    ACTIONS(3745), 1,
      sym_keyword_cast,
    ACTIONS(3747), 1,
      sym_keyword_count,
    ACTIONS(3749), 1,
      sym_keyword_group_concat,
    ACTIONS(3751), 1,
      sym_keyword_case,
    ACTIONS(3757), 1,
      sym_keyword_interval,
    ACTIONS(3759), 1,
      sym_keyword_array,
    ACTIONS(3761), 1,
      anon_sym_LPAREN,
    ACTIONS(3763), 1,
      anon_sym_DOT,
    ACTIONS(3765), 1,
      anon_sym_QMARK,
    ACTIONS(3767), 1,
      anon_sym_DOLLAR,
    ACTIONS(3769), 1,
      anon_sym_SQUOTE,
    ACTIONS(3771), 1,
      anon_sym_DASH,
    ACTIONS(3773), 1,
      anon_sym_DQUOTE,
    ACTIONS(3775), 1,
      sym__natural_number,
    ACTIONS(3777), 1,
      sym_bang,
    ACTIONS(3779), 1,
      anon_sym_BQUOTE,
    ACTIONS(3891), 1,
      sym_keyword_not,
    STATE(279), 1,
      sym__expression,
    STATE(976), 1,
      sym_identifier,
    STATE(1003), 1,
      sym_invocation,
    STATE(1005), 1,
      sym__double_quote_string,
    STATE(1014), 1,
      sym__integer,
    STATE(6745), 1,
      sym__alias_identifier,
    STATE(1320), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(1331), 2,
      sym_count,
      sym_group_concat,
    STATE(2263), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3755), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(1329), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [179249] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3743), 1,
      sym__identifier,
    ACTIONS(3745), 1,
      sym_keyword_cast,
    ACTIONS(3747), 1,
      sym_keyword_count,
    ACTIONS(3749), 1,
      sym_keyword_group_concat,
    ACTIONS(3751), 1,
      sym_keyword_case,
    ACTIONS(3757), 1,
      sym_keyword_interval,
    ACTIONS(3759), 1,
      sym_keyword_array,
    ACTIONS(3761), 1,
      anon_sym_LPAREN,
    ACTIONS(3763), 1,
      anon_sym_DOT,
    ACTIONS(3765), 1,
      anon_sym_QMARK,
    ACTIONS(3767), 1,
      anon_sym_DOLLAR,
    ACTIONS(3769), 1,
      anon_sym_SQUOTE,
    ACTIONS(3771), 1,
      anon_sym_DASH,
    ACTIONS(3773), 1,
      anon_sym_DQUOTE,
    ACTIONS(3775), 1,
      sym__natural_number,
    ACTIONS(3777), 1,
      sym_bang,
    ACTIONS(3779), 1,
      anon_sym_BQUOTE,
    ACTIONS(3891), 1,
      sym_keyword_not,
    STATE(280), 1,
      sym__expression,
    STATE(976), 1,
      sym_identifier,
    STATE(1003), 1,
      sym_invocation,
    STATE(1005), 1,
      sym__double_quote_string,
    STATE(1014), 1,
      sym__integer,
    STATE(6745), 1,
      sym__alias_identifier,
    STATE(1320), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(1331), 2,
      sym_count,
      sym_group_concat,
    STATE(2264), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3755), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(1329), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [179361] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2266), 1,
      sym__expression,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2265), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [179473] = 14,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4193), 1,
      sym_keyword_is,
    ACTIONS(4201), 1,
      sym_keyword_in,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(2266), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 11,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1103), 19,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      sym__identifier,
  [179551] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4193), 1,
      sym_keyword_is,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    STATE(2267), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1103), 22,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [179619] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2268), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1103), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [179683] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3473), 1,
      sym__identifier,
    ACTIONS(3475), 1,
      sym_keyword_cast,
    ACTIONS(3477), 1,
      sym_keyword_count,
    ACTIONS(3479), 1,
      sym_keyword_group_concat,
    ACTIONS(3481), 1,
      sym_keyword_case,
    ACTIONS(3483), 1,
      sym_keyword_not,
    ACTIONS(3487), 1,
      sym_keyword_interval,
    ACTIONS(3489), 1,
      sym_keyword_array,
    ACTIONS(3491), 1,
      anon_sym_LPAREN,
    ACTIONS(3493), 1,
      anon_sym_DOT,
    ACTIONS(3495), 1,
      anon_sym_QMARK,
    ACTIONS(3497), 1,
      anon_sym_DOLLAR,
    ACTIONS(3499), 1,
      anon_sym_SQUOTE,
    ACTIONS(3501), 1,
      anon_sym_DASH,
    ACTIONS(3503), 1,
      anon_sym_DQUOTE,
    ACTIONS(3505), 1,
      sym__natural_number,
    ACTIONS(3507), 1,
      sym_bang,
    ACTIONS(3509), 1,
      anon_sym_BQUOTE,
    STATE(92), 1,
      sym__expression,
    STATE(368), 1,
      sym_identifier,
    STATE(603), 1,
      sym__integer,
    STATE(604), 1,
      sym__double_quote_string,
    STATE(605), 1,
      sym_invocation,
    STATE(6786), 1,
      sym__alias_identifier,
    STATE(629), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(656), 2,
      sym_count,
      sym_group_concat,
    STATE(2269), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3485), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(654), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [179795] = 21,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1161), 1,
      sym_keyword_not,
    ACTIONS(1165), 1,
      sym_keyword_similar,
    ACTIONS(4193), 1,
      sym_keyword_is,
    ACTIONS(4201), 1,
      sym_keyword_in,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4241), 1,
      sym_keyword_and,
    ACTIONS(1163), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2270), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 6,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1103), 12,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_returning,
      sym__identifier,
  [179887] = 20,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1161), 1,
      sym_keyword_not,
    ACTIONS(1165), 1,
      sym_keyword_similar,
    ACTIONS(4193), 1,
      sym_keyword_is,
    ACTIONS(4201), 1,
      sym_keyword_in,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1163), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2271), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 6,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1103), 13,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_returning,
      sym__identifier,
  [179977] = 13,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4193), 1,
      sym_keyword_is,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(2272), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 11,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1103), 20,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      sym__identifier,
  [180053] = 32,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3899), 1,
      sym__identifier,
    ACTIONS(3901), 1,
      sym_keyword_cast,
    ACTIONS(3903), 1,
      sym_keyword_count,
    ACTIONS(3905), 1,
      sym_keyword_group_concat,
    ACTIONS(3907), 1,
      sym_keyword_case,
    ACTIONS(3911), 1,
      sym_keyword_null,
    ACTIONS(3913), 1,
      sym_keyword_interval,
    ACTIONS(3915), 1,
      sym_keyword_array,
    ACTIONS(3917), 1,
      anon_sym_LPAREN,
    ACTIONS(3919), 1,
      anon_sym_DOT,
    ACTIONS(3921), 1,
      anon_sym_QMARK,
    ACTIONS(3923), 1,
      anon_sym_DOLLAR,
    ACTIONS(3925), 1,
      anon_sym_SQUOTE,
    ACTIONS(3927), 1,
      anon_sym_DASH,
    ACTIONS(3929), 1,
      anon_sym_DQUOTE,
    ACTIONS(3931), 1,
      sym__natural_number,
    ACTIONS(3933), 1,
      sym_bang,
    ACTIONS(3935), 1,
      anon_sym_BQUOTE,
    ACTIONS(4091), 1,
      sym_keyword_not,
    STATE(2644), 1,
      sym__expression,
    STATE(3328), 1,
      sym_identifier,
    STATE(3468), 1,
      sym_invocation,
    STATE(3527), 1,
      sym__double_quote_string,
    STATE(3528), 1,
      sym__integer,
    STATE(6991), 1,
      sym__alias_identifier,
    ACTIONS(4243), 2,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2273), 2,
      sym_comment,
      sym_marginalia,
    STATE(3545), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(3553), 2,
      sym_count,
      sym_group_concat,
    STATE(3555), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [180167] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4201), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2274), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [180279] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2415), 1,
      sym__identifier,
    ACTIONS(2419), 1,
      sym_keyword_cast,
    ACTIONS(2421), 1,
      sym_keyword_count,
    ACTIONS(2423), 1,
      sym_keyword_group_concat,
    ACTIONS(2425), 1,
      sym_keyword_case,
    ACTIONS(2427), 1,
      sym_keyword_not,
    ACTIONS(2431), 1,
      sym_keyword_interval,
    ACTIONS(2433), 1,
      sym_keyword_array,
    ACTIONS(2435), 1,
      anon_sym_LPAREN,
    ACTIONS(2437), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_QMARK,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2445), 1,
      anon_sym_DASH,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2449), 1,
      sym__natural_number,
    ACTIONS(2451), 1,
      sym_bang,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_identifier,
    STATE(2817), 1,
      sym__integer,
    STATE(2825), 1,
      sym__double_quote_string,
    STATE(2830), 1,
      sym_invocation,
    STATE(4144), 1,
      sym__expression,
    STATE(7106), 1,
      sym__alias_identifier,
    STATE(2275), 2,
      sym_comment,
      sym_marginalia,
    STATE(2931), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(2935), 2,
      sym_count,
      sym_group_concat,
    ACTIONS(2429), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2934), 14,
      sym_array,
      sym_parameter,
      sym_case,
      sym_field,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym__aggregate_function,
      sym_window_function,
      sym_binary_expression,
      sym_unary_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [180391] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2276), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2213), 15,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2215), 30,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [180451] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2277), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1017), 15,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1019), 29,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [180510] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2278), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1731), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1729), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [180569] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2279), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1583), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1581), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [180628] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2280), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2267), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2265), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [180687] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2281), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2271), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2269), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [180746] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2282), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1495), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1493), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [180805] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2283), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2235), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2233), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [180864] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2284), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2281), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2279), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [180923] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2285), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1607), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1605), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [180982] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2286), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2287), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2285), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [181041] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2287), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1599), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1597), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [181100] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2288), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2259), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2257), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [181159] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2289), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1901), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1899), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [181218] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2290), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2227), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2225), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [181277] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2291), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1547), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1545), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [181336] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2292), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1503), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1501), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [181395] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2293), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2215), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2213), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [181454] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2294), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1009), 15,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1011), 29,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [181513] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2295), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1013), 15,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1015), 29,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [181572] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2296), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2263), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2261), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [181631] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2297), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(995), 15,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(997), 29,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [181690] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2298), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1025), 15,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1027), 29,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [181749] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2299), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1571), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1569), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [181808] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2300), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(985), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(983), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [181867] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2301), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1029), 15,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1031), 29,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [181926] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4245), 1,
      sym_keyword_unsigned,
    ACTIONS(4247), 1,
      sym_keyword_zerofill,
    ACTIONS(4249), 1,
      anon_sym_LPAREN,
    STATE(2302), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1033), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1035), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [181991] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2303), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2211), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2209), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [182050] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2304), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2207), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2205), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [182109] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2305), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2003), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2001), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [182168] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2306), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1507), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1505), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [182227] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2307), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2251), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2249), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [182286] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2308), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2293), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2291), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [182345] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4251), 1,
      sym_keyword_unsigned,
    ACTIONS(4253), 1,
      sym_keyword_zerofill,
    ACTIONS(4255), 1,
      anon_sym_LPAREN,
    STATE(2309), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1083), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1085), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [182410] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4257), 1,
      sym_keyword_unsigned,
    ACTIONS(4259), 1,
      sym_keyword_zerofill,
    ACTIONS(4261), 1,
      anon_sym_LPAREN,
    STATE(2310), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(999), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1001), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [182475] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4263), 1,
      sym_keyword_unsigned,
    ACTIONS(4265), 1,
      sym_keyword_zerofill,
    ACTIONS(4267), 1,
      anon_sym_LPAREN,
    STATE(2311), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1063), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1065), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [182540] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4269), 1,
      sym_keyword_unsigned,
    ACTIONS(4271), 1,
      sym_keyword_zerofill,
    ACTIONS(4273), 1,
      anon_sym_LPAREN,
    STATE(2312), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1073), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1075), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [182605] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4275), 1,
      sym_keyword_unsigned,
    ACTIONS(4277), 1,
      sym_keyword_zerofill,
    ACTIONS(4279), 1,
      anon_sym_LPAREN,
    STATE(2313), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1053), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1055), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [182670] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4229), 1,
      sym_keyword_unsigned,
    ACTIONS(4231), 1,
      sym_keyword_zerofill,
    ACTIONS(4235), 1,
      anon_sym_LPAREN,
    STATE(2314), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(983), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(985), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [182735] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2315), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1355), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1353), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [182794] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2316), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1045), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1043), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [182853] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2317), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(979), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(981), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [182912] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2318), 2,
      sym_comment,
      sym_marginalia,
    STATE(1967), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1103), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    STATE(1968), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [182975] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2319), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(975), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(977), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [183034] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2320), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1349), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1347), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [183093] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2321), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1511), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1509), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [183152] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2322), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2255), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2253), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [183211] = 16,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4281), 1,
      sym_keyword_in,
    ACTIONS(4283), 1,
      sym_keyword_is,
    ACTIONS(4285), 1,
      anon_sym_SLASH,
    ACTIONS(4293), 1,
      anon_sym_PLUS,
    ACTIONS(4295), 1,
      anon_sym_DASH,
    ACTIONS(4297), 1,
      anon_sym_CARET,
    ACTIONS(4299), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4289), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4291), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2323), 2,
      sym_comment,
      sym_marginalia,
    STATE(1967), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4287), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1968), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 22,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [183292] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2324), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1341), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1339), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [183351] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4283), 1,
      sym_keyword_is,
    STATE(2325), 2,
      sym_comment,
      sym_marginalia,
    STATE(1967), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1113), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    STATE(1968), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1111), 32,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [183416] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2326), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1515), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1513), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [183475] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2327), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1335), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1333), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [183534] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2328), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1379), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1377), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [183593] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1151), 1,
      sym_keyword_as,
    ACTIONS(1161), 1,
      sym_keyword_not,
    ACTIONS(1165), 1,
      sym_keyword_similar,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(4301), 1,
      sym_keyword_in,
    ACTIONS(4303), 1,
      sym_keyword_and,
    ACTIONS(4305), 1,
      sym_keyword_or,
    ACTIONS(4307), 1,
      sym_keyword_is,
    ACTIONS(4309), 1,
      anon_sym_SLASH,
    ACTIONS(4315), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4319), 1,
      anon_sym_PLUS,
    ACTIONS(4321), 1,
      anon_sym_DASH,
    ACTIONS(4323), 1,
      anon_sym_CARET,
    ACTIONS(4325), 1,
      anon_sym_PIPE_PIPE,
    STATE(2766), 1,
      sym__double_quote_string,
    STATE(2770), 1,
      sym_identifier,
    STATE(4577), 1,
      sym__alias_identifier,
    STATE(4588), 1,
      sym__alias,
    ACTIONS(1163), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(1167), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(4313), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4317), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2329), 2,
      sym_comment,
      sym_marginalia,
    STATE(2129), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4311), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2092), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1149), 5,
      sym_keyword_from,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [183704] = 15,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4281), 1,
      sym_keyword_in,
    ACTIONS(4283), 1,
      sym_keyword_is,
    ACTIONS(4285), 1,
      anon_sym_SLASH,
    ACTIONS(4293), 1,
      anon_sym_PLUS,
    ACTIONS(4295), 1,
      anon_sym_DASH,
    ACTIONS(4297), 1,
      anon_sym_CARET,
    ACTIONS(4289), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4291), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2330), 2,
      sym_comment,
      sym_marginalia,
    STATE(1967), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4287), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1968), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 23,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_PIPE,
  [183783] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2331), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1361), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1359), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [183842] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2332), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1519), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1517), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [183901] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2333), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2513), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2511), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [183960] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2334), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1499), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1497), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [184019] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2335), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1329), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1327), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [184078] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2336), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1643), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1641), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [184137] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2337), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1615), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1613), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [184196] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2338), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1651), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1649), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [184255] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2339), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1655), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1653), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [184314] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2340), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2341), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2339), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [184373] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2341), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1659), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1657), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [184432] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2342), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2349), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2347), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [184491] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4327), 1,
      sym_keyword_unsigned,
    ACTIONS(4329), 1,
      sym_keyword_zerofill,
    ACTIONS(4331), 1,
      anon_sym_LPAREN,
    STATE(2343), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1043), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1045), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [184556] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2344), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2525), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2523), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [184615] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2345), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2367), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2365), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [184674] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4283), 1,
      sym_keyword_is,
    STATE(2346), 2,
      sym_comment,
      sym_marginalia,
    STATE(1967), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1103), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    STATE(1968), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 32,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [184739] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2347), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1727), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1725), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [184798] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2348), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2529), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2527), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [184857] = 11,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4283), 1,
      sym_keyword_is,
    ACTIONS(4285), 1,
      anon_sym_SLASH,
    ACTIONS(4297), 1,
      anon_sym_CARET,
    ACTIONS(4289), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(2349), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1103), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    STATE(1967), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1968), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 29,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [184928] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2350), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(961), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(959), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [184987] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2351), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2539), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2537), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [185046] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2352), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1631), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1629), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [185105] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2353), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1559), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1557), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [185164] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2354), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2179), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2177), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [185223] = 14,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4281), 1,
      sym_keyword_in,
    ACTIONS(4283), 1,
      sym_keyword_is,
    ACTIONS(4285), 1,
      anon_sym_SLASH,
    ACTIONS(4293), 1,
      anon_sym_PLUS,
    ACTIONS(4295), 1,
      anon_sym_DASH,
    ACTIONS(4297), 1,
      anon_sym_CARET,
    ACTIONS(1103), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4289), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(2355), 2,
      sym_comment,
      sym_marginalia,
    STATE(1967), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1968), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [185300] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2356), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1373), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1371), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [185359] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2357), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1627), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1625), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [185418] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2358), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1623), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1621), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [185477] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2359), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1611), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1609), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [185536] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2360), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1457), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1455), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [185595] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2361), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2505), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2503), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [185654] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2362), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1639), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1637), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [185713] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2363), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2405), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2403), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [185772] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4283), 1,
      sym_keyword_is,
    ACTIONS(4297), 1,
      anon_sym_CARET,
    STATE(2364), 2,
      sym_comment,
      sym_marginalia,
    STATE(1967), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1103), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    STATE(1968), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 31,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [185839] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2365), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2393), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2391), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [185898] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2366), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1647), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1645), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [185957] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2367), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1635), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1633), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [186016] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2368), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1619), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1617), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [186075] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2369), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1603), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1601), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [186134] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2370), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1431), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1429), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [186193] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2371), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2245), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2243), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [186252] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2372), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1437), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1435), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [186311] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2373), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1217), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1215), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [186370] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2374), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1595), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1593), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [186429] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2375), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1591), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1589), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [186488] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2376), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1587), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1585), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [186547] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2377), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1579), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1577), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [186606] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2378), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1575), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1573), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [186665] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2379), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2389), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2387), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [186724] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2380), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2385), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2383), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [186783] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2381), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2381), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2379), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [186842] = 20,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4281), 1,
      sym_keyword_in,
    ACTIONS(4283), 1,
      sym_keyword_is,
    ACTIONS(4285), 1,
      anon_sym_SLASH,
    ACTIONS(4293), 1,
      anon_sym_PLUS,
    ACTIONS(4295), 1,
      anon_sym_DASH,
    ACTIONS(4297), 1,
      anon_sym_CARET,
    ACTIONS(4299), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4333), 1,
      sym_keyword_and,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4289), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4291), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2382), 2,
      sym_comment,
      sym_marginalia,
    STATE(1967), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4287), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1968), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 17,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [186931] = 19,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4281), 1,
      sym_keyword_in,
    ACTIONS(4283), 1,
      sym_keyword_is,
    ACTIONS(4285), 1,
      anon_sym_SLASH,
    ACTIONS(4293), 1,
      anon_sym_PLUS,
    ACTIONS(4295), 1,
      anon_sym_DASH,
    ACTIONS(4297), 1,
      anon_sym_CARET,
    ACTIONS(4299), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4289), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4291), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2383), 2,
      sym_comment,
      sym_marginalia,
    STATE(1967), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4287), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1968), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 18,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [187018] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2384), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1567), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1565), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [187077] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2385), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1563), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1561), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [187136] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2386), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1463), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1461), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [187195] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2387), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1425), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1423), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [187254] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2388), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1413), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1411), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [187313] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2389), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1367), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1365), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [187372] = 13,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4283), 1,
      sym_keyword_is,
    ACTIONS(4285), 1,
      anon_sym_SLASH,
    ACTIONS(4293), 1,
      anon_sym_PLUS,
    ACTIONS(4295), 1,
      anon_sym_DASH,
    ACTIONS(4297), 1,
      anon_sym_CARET,
    ACTIONS(1103), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4289), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(2390), 2,
      sym_comment,
      sym_marginalia,
    STATE(1967), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1968), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 28,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [187447] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4335), 1,
      sym_keyword_in,
    ACTIONS(4337), 1,
      sym_keyword_and,
    ACTIONS(4339), 1,
      sym_keyword_or,
    ACTIONS(4341), 1,
      sym_keyword_is,
    ACTIONS(4343), 1,
      anon_sym_SLASH,
    ACTIONS(4349), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4353), 1,
      anon_sym_PLUS,
    ACTIONS(4355), 1,
      anon_sym_DASH,
    ACTIONS(4357), 1,
      anon_sym_CARET,
    ACTIONS(4359), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4347), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4351), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2391), 2,
      sym_comment,
      sym_marginalia,
    STATE(1742), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4345), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1759), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1287), 14,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [187539] = 21,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1103), 1,
      sym_keyword_or,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4335), 1,
      sym_keyword_in,
    ACTIONS(4337), 1,
      sym_keyword_and,
    ACTIONS(4341), 1,
      sym_keyword_is,
    ACTIONS(4343), 1,
      anon_sym_SLASH,
    ACTIONS(4353), 1,
      anon_sym_PLUS,
    ACTIONS(4355), 1,
      anon_sym_DASH,
    ACTIONS(4357), 1,
      anon_sym_CARET,
    ACTIONS(4359), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4347), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4351), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2392), 2,
      sym_comment,
      sym_marginalia,
    STATE(1742), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4345), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1759), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 15,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
  [187629] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4361), 1,
      sym_keyword_unsigned,
    ACTIONS(4363), 1,
      sym_keyword_zerofill,
    STATE(2393), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1199), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1201), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [187691] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4365), 1,
      sym_keyword_unsigned,
    ACTIONS(4367), 1,
      sym_keyword_zerofill,
    STATE(2394), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1207), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1209), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [187753] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4369), 1,
      sym_keyword_unsigned,
    ACTIONS(4371), 1,
      sym_keyword_zerofill,
    STATE(2395), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1231), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1233), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [187815] = 17,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1103), 1,
      sym_keyword_or,
    ACTIONS(4335), 1,
      sym_keyword_in,
    ACTIONS(4341), 1,
      sym_keyword_is,
    ACTIONS(4343), 1,
      anon_sym_SLASH,
    ACTIONS(4353), 1,
      anon_sym_PLUS,
    ACTIONS(4355), 1,
      anon_sym_DASH,
    ACTIONS(4357), 1,
      anon_sym_CARET,
    ACTIONS(4359), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4347), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4351), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2396), 2,
      sym_comment,
      sym_marginalia,
    STATE(1742), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4345), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1759), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 20,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
  [187897] = 16,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1103), 1,
      sym_keyword_or,
    ACTIONS(4335), 1,
      sym_keyword_in,
    ACTIONS(4341), 1,
      sym_keyword_is,
    ACTIONS(4343), 1,
      anon_sym_SLASH,
    ACTIONS(4353), 1,
      anon_sym_PLUS,
    ACTIONS(4355), 1,
      anon_sym_DASH,
    ACTIONS(4357), 1,
      anon_sym_CARET,
    ACTIONS(4347), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4351), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2397), 2,
      sym_comment,
      sym_marginalia,
    STATE(1742), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4345), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1759), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 21,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_PIPE,
  [187977] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4341), 1,
      sym_keyword_is,
    STATE(2398), 2,
      sym_comment,
      sym_marginalia,
    STATE(1742), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1759), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1103), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1093), 29,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [188041] = 11,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4341), 1,
      sym_keyword_is,
    ACTIONS(4343), 1,
      anon_sym_SLASH,
    ACTIONS(4357), 1,
      anon_sym_CARET,
    ACTIONS(4347), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(2399), 2,
      sym_comment,
      sym_marginalia,
    STATE(1742), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1759), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1103), 5,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1093), 26,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [188111] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4373), 1,
      sym_keyword_unsigned,
    ACTIONS(4375), 1,
      sym_keyword_zerofill,
    STATE(2400), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1115), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1117), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [188173] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4377), 1,
      sym_keyword_unsigned,
    ACTIONS(4379), 1,
      sym_keyword_zerofill,
    STATE(2401), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1191), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1193), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [188235] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4341), 1,
      sym_keyword_is,
    ACTIONS(4357), 1,
      anon_sym_CARET,
    STATE(2402), 2,
      sym_comment,
      sym_marginalia,
    STATE(1742), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1759), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1103), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1093), 28,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [188301] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2403), 2,
      sym_comment,
      sym_marginalia,
    STATE(1742), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1759), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1103), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1093), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [188363] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4381), 1,
      sym_keyword_unsigned,
    ACTIONS(4383), 1,
      sym_keyword_zerofill,
    STATE(2404), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1215), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1217), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [188425] = 20,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1103), 1,
      sym_keyword_or,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4335), 1,
      sym_keyword_in,
    ACTIONS(4341), 1,
      sym_keyword_is,
    ACTIONS(4343), 1,
      anon_sym_SLASH,
    ACTIONS(4353), 1,
      anon_sym_PLUS,
    ACTIONS(4355), 1,
      anon_sym_DASH,
    ACTIONS(4357), 1,
      anon_sym_CARET,
    ACTIONS(4359), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4347), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4351), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2405), 2,
      sym_comment,
      sym_marginalia,
    STATE(1742), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4345), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1759), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 16,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
  [188513] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2406), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(949), 16,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(947), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [188571] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4335), 1,
      sym_keyword_in,
    ACTIONS(4337), 1,
      sym_keyword_and,
    ACTIONS(4339), 1,
      sym_keyword_or,
    ACTIONS(4341), 1,
      sym_keyword_is,
    ACTIONS(4343), 1,
      anon_sym_SLASH,
    ACTIONS(4349), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4353), 1,
      anon_sym_PLUS,
    ACTIONS(4355), 1,
      anon_sym_DASH,
    ACTIONS(4357), 1,
      anon_sym_CARET,
    ACTIONS(4359), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4347), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4351), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2407), 2,
      sym_comment,
      sym_marginalia,
    STATE(1742), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4345), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1759), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1289), 14,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [188663] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4385), 1,
      sym_keyword_precision,
    ACTIONS(4387), 1,
      anon_sym_LPAREN,
    STATE(2408), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1043), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1045), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [188725] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4335), 1,
      sym_keyword_in,
    ACTIONS(4337), 1,
      sym_keyword_and,
    ACTIONS(4339), 1,
      sym_keyword_or,
    ACTIONS(4341), 1,
      sym_keyword_is,
    ACTIONS(4343), 1,
      anon_sym_SLASH,
    ACTIONS(4349), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4353), 1,
      anon_sym_PLUS,
    ACTIONS(4355), 1,
      anon_sym_DASH,
    ACTIONS(4357), 1,
      anon_sym_CARET,
    ACTIONS(4359), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4347), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4351), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2409), 2,
      sym_comment,
      sym_marginalia,
    STATE(1742), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4345), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1759), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1299), 14,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [188817] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4389), 1,
      sym_keyword_unsigned,
    ACTIONS(4391), 1,
      sym_keyword_zerofill,
    STATE(2410), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1239), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1241), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [188879] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2411), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(953), 16,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(951), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [188937] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4335), 1,
      sym_keyword_in,
    ACTIONS(4337), 1,
      sym_keyword_and,
    ACTIONS(4339), 1,
      sym_keyword_or,
    ACTIONS(4341), 1,
      sym_keyword_is,
    ACTIONS(4343), 1,
      anon_sym_SLASH,
    ACTIONS(4349), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4353), 1,
      anon_sym_PLUS,
    ACTIONS(4355), 1,
      anon_sym_DASH,
    ACTIONS(4357), 1,
      anon_sym_CARET,
    ACTIONS(4359), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4347), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4351), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2412), 2,
      sym_comment,
      sym_marginalia,
    STATE(1742), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4345), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1759), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1285), 14,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [189029] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4335), 1,
      sym_keyword_in,
    ACTIONS(4337), 1,
      sym_keyword_and,
    ACTIONS(4339), 1,
      sym_keyword_or,
    ACTIONS(4341), 1,
      sym_keyword_is,
    ACTIONS(4343), 1,
      anon_sym_SLASH,
    ACTIONS(4349), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4353), 1,
      anon_sym_PLUS,
    ACTIONS(4355), 1,
      anon_sym_DASH,
    ACTIONS(4357), 1,
      anon_sym_CARET,
    ACTIONS(4359), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4347), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4351), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2413), 2,
      sym_comment,
      sym_marginalia,
    STATE(1742), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4345), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1759), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1283), 14,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [189121] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4341), 1,
      sym_keyword_is,
    STATE(2414), 2,
      sym_comment,
      sym_marginalia,
    STATE(1742), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1759), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1113), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1111), 29,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [189185] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4335), 1,
      sym_keyword_in,
    ACTIONS(4337), 1,
      sym_keyword_and,
    ACTIONS(4339), 1,
      sym_keyword_or,
    ACTIONS(4341), 1,
      sym_keyword_is,
    ACTIONS(4343), 1,
      anon_sym_SLASH,
    ACTIONS(4349), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4353), 1,
      anon_sym_PLUS,
    ACTIONS(4355), 1,
      anon_sym_DASH,
    ACTIONS(4357), 1,
      anon_sym_CARET,
    ACTIONS(4359), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4347), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4351), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2415), 2,
      sym_comment,
      sym_marginalia,
    STATE(1742), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4345), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1759), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1281), 14,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [189277] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4335), 1,
      sym_keyword_in,
    ACTIONS(4337), 1,
      sym_keyword_and,
    ACTIONS(4339), 1,
      sym_keyword_or,
    ACTIONS(4341), 1,
      sym_keyword_is,
    ACTIONS(4343), 1,
      anon_sym_SLASH,
    ACTIONS(4349), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4353), 1,
      anon_sym_PLUS,
    ACTIONS(4355), 1,
      anon_sym_DASH,
    ACTIONS(4357), 1,
      anon_sym_CARET,
    ACTIONS(4359), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4347), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4351), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2416), 2,
      sym_comment,
      sym_marginalia,
    STATE(1742), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4345), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1759), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1279), 14,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [189369] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4335), 1,
      sym_keyword_in,
    ACTIONS(4337), 1,
      sym_keyword_and,
    ACTIONS(4339), 1,
      sym_keyword_or,
    ACTIONS(4341), 1,
      sym_keyword_is,
    ACTIONS(4343), 1,
      anon_sym_SLASH,
    ACTIONS(4349), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4353), 1,
      anon_sym_PLUS,
    ACTIONS(4355), 1,
      anon_sym_DASH,
    ACTIONS(4357), 1,
      anon_sym_CARET,
    ACTIONS(4359), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4347), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4351), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2417), 2,
      sym_comment,
      sym_marginalia,
    STATE(1742), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4345), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1759), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1259), 14,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [189461] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1915), 1,
      anon_sym_DOT,
    ACTIONS(4393), 1,
      anon_sym_LPAREN,
    STATE(2418), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1957), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1959), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [189523] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4335), 1,
      sym_keyword_in,
    ACTIONS(4337), 1,
      sym_keyword_and,
    ACTIONS(4339), 1,
      sym_keyword_or,
    ACTIONS(4341), 1,
      sym_keyword_is,
    ACTIONS(4343), 1,
      anon_sym_SLASH,
    ACTIONS(4349), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4353), 1,
      anon_sym_PLUS,
    ACTIONS(4355), 1,
      anon_sym_DASH,
    ACTIONS(4357), 1,
      anon_sym_CARET,
    ACTIONS(4359), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4347), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4351), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2419), 2,
      sym_comment,
      sym_marginalia,
    STATE(1742), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4345), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1759), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1291), 14,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [189615] = 14,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4335), 1,
      sym_keyword_in,
    ACTIONS(4341), 1,
      sym_keyword_is,
    ACTIONS(4343), 1,
      anon_sym_SLASH,
    ACTIONS(4353), 1,
      anon_sym_PLUS,
    ACTIONS(4355), 1,
      anon_sym_DASH,
    ACTIONS(4357), 1,
      anon_sym_CARET,
    ACTIONS(4347), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(2420), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1103), 3,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1742), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1759), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 25,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [189691] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4335), 1,
      sym_keyword_in,
    ACTIONS(4337), 1,
      sym_keyword_and,
    ACTIONS(4339), 1,
      sym_keyword_or,
    ACTIONS(4341), 1,
      sym_keyword_is,
    ACTIONS(4343), 1,
      anon_sym_SLASH,
    ACTIONS(4349), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4353), 1,
      anon_sym_PLUS,
    ACTIONS(4355), 1,
      anon_sym_DASH,
    ACTIONS(4357), 1,
      anon_sym_CARET,
    ACTIONS(4359), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4347), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4351), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2421), 2,
      sym_comment,
      sym_marginalia,
    STATE(1742), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4345), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1759), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1293), 14,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [189783] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4335), 1,
      sym_keyword_in,
    ACTIONS(4337), 1,
      sym_keyword_and,
    ACTIONS(4339), 1,
      sym_keyword_or,
    ACTIONS(4341), 1,
      sym_keyword_is,
    ACTIONS(4343), 1,
      anon_sym_SLASH,
    ACTIONS(4349), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4353), 1,
      anon_sym_PLUS,
    ACTIONS(4355), 1,
      anon_sym_DASH,
    ACTIONS(4357), 1,
      anon_sym_CARET,
    ACTIONS(4359), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4347), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4351), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2422), 2,
      sym_comment,
      sym_marginalia,
    STATE(1742), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4345), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1759), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1295), 14,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [189875] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4335), 1,
      sym_keyword_in,
    ACTIONS(4337), 1,
      sym_keyword_and,
    ACTIONS(4339), 1,
      sym_keyword_or,
    ACTIONS(4341), 1,
      sym_keyword_is,
    ACTIONS(4343), 1,
      anon_sym_SLASH,
    ACTIONS(4349), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4353), 1,
      anon_sym_PLUS,
    ACTIONS(4355), 1,
      anon_sym_DASH,
    ACTIONS(4357), 1,
      anon_sym_CARET,
    ACTIONS(4359), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4347), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4351), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2423), 2,
      sym_comment,
      sym_marginalia,
    STATE(1742), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4345), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1759), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1297), 14,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [189967] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4395), 1,
      aux_sym_keyword_varchar_token2,
    STATE(2424), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1123), 15,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1125), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [190027] = 13,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4341), 1,
      sym_keyword_is,
    ACTIONS(4343), 1,
      anon_sym_SLASH,
    ACTIONS(4353), 1,
      anon_sym_PLUS,
    ACTIONS(4355), 1,
      anon_sym_DASH,
    ACTIONS(4357), 1,
      anon_sym_CARET,
    ACTIONS(4347), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(2425), 2,
      sym_comment,
      sym_marginalia,
    STATE(1742), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1103), 4,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1759), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 25,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [190101] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4397), 1,
      sym_keyword_unsigned,
    ACTIONS(4399), 1,
      sym_keyword_zerofill,
    STATE(2426), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1223), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1225), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [190163] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4401), 1,
      sym_keyword_unsigned,
    ACTIONS(4403), 1,
      sym_keyword_zerofill,
    ACTIONS(4405), 1,
      sym_keyword_precision,
    ACTIONS(4407), 1,
      anon_sym_LPAREN,
    STATE(2427), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(985), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(983), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [190229] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2428), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1391), 15,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1393), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [190286] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4409), 1,
      sym_keyword_zerofill,
    STATE(2429), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1455), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1457), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [190345] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4411), 1,
      sym_keyword_unsigned,
    ACTIONS(4413), 1,
      sym_keyword_zerofill,
    ACTIONS(4415), 1,
      anon_sym_LPAREN,
    STATE(2430), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1075), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1073), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [190408] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4417), 1,
      sym_keyword_zerofill,
    STATE(2431), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1411), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1413), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [190467] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4419), 1,
      sym_keyword_zerofill,
    STATE(2432), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1429), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1431), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [190526] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4421), 1,
      sym_keyword_unsigned,
    ACTIONS(4423), 1,
      sym_keyword_zerofill,
    ACTIONS(4425), 1,
      anon_sym_LPAREN,
    STATE(2433), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1045), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1043), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [190589] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4427), 1,
      sym_keyword_unsigned,
    ACTIONS(4429), 1,
      sym_keyword_zerofill,
    ACTIONS(4431), 1,
      anon_sym_LPAREN,
    STATE(2434), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1065), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1063), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [190652] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4433), 1,
      sym_keyword_unsigned,
    ACTIONS(4435), 1,
      sym_keyword_zerofill,
    ACTIONS(4437), 1,
      anon_sym_LPAREN,
    STATE(2435), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1001), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(999), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [190715] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4439), 1,
      sym_keyword_unsigned,
    ACTIONS(4441), 1,
      sym_keyword_zerofill,
    ACTIONS(4443), 1,
      anon_sym_LPAREN,
    STATE(2436), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1085), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1083), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [190778] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4445), 1,
      sym_keyword_zerofill,
    STATE(2437), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1423), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1425), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [190837] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4447), 1,
      sym_keyword_zerofill,
    STATE(2438), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1365), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1367), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [190896] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4449), 1,
      sym_keyword_zerofill,
    STATE(2439), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1461), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1463), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [190955] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4451), 1,
      sym_keyword_zerofill,
    STATE(2440), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1371), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1373), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [191014] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2441), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(965), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(963), 28,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_over,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [191071] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4401), 1,
      sym_keyword_unsigned,
    ACTIONS(4403), 1,
      sym_keyword_zerofill,
    ACTIONS(4407), 1,
      anon_sym_LPAREN,
    STATE(2442), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(985), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(983), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [191134] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4453), 1,
      sym_keyword_unsigned,
    ACTIONS(4455), 1,
      sym_keyword_zerofill,
    ACTIONS(4457), 1,
      anon_sym_LPAREN,
    STATE(2443), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1055), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1053), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [191197] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4459), 1,
      sym_keyword_unsigned,
    ACTIONS(4461), 1,
      sym_keyword_zerofill,
    ACTIONS(4463), 1,
      anon_sym_LPAREN,
    STATE(2444), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1035), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1033), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [191260] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2445), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1031), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1029), 36,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_null,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [191317] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4465), 1,
      sym_keyword_zerofill,
    STATE(2446), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1435), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1437), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [191376] = 12,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3425), 1,
      sym__identifier,
    ACTIONS(3457), 1,
      anon_sym_DQUOTE,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    ACTIONS(4469), 1,
      sym_keyword_as,
    STATE(2766), 1,
      sym__double_quote_string,
    STATE(2769), 1,
      sym__alias_identifier,
    STATE(2770), 1,
      sym_identifier,
    STATE(2447), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4471), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(4467), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
  [191447] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2448), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1027), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1025), 36,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_null,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [191504] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2449), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(997), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(995), 36,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_null,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [191561] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2450), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1019), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1017), 36,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_null,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [191618] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2451), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1015), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1013), 36,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_null,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [191675] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2452), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1011), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1009), 36,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_null,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [191732] = 12,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3425), 1,
      sym__identifier,
    ACTIONS(3457), 1,
      anon_sym_DQUOTE,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    ACTIONS(4475), 1,
      sym_keyword_as,
    STATE(2766), 1,
      sym__double_quote_string,
    STATE(2770), 1,
      sym_identifier,
    STATE(2886), 1,
      sym__alias_identifier,
    STATE(2453), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4477), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(4473), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
  [191803] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4479), 1,
      sym_keyword_zerofill,
    STATE(2454), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1327), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1329), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [191862] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4481), 1,
      anon_sym_LPAREN,
    STATE(2455), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1327), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1329), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [191921] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2456), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2015), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2017), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [191978] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4483), 1,
      sym_keyword_zerofill,
    STATE(2457), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1359), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1361), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [192037] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4485), 1,
      sym_keyword_over,
    STATE(2458), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2209), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2211), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [192096] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4487), 1,
      sym_keyword_zerofill,
    STATE(2459), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1377), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1379), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [192155] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4489), 1,
      sym_keyword_zerofill,
    STATE(2460), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1333), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1335), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [192214] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2461), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(973), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(971), 28,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_over,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [192271] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4491), 1,
      sym_keyword_zerofill,
    STATE(2462), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1339), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1341), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [192330] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4493), 1,
      sym_keyword_zerofill,
    STATE(2463), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1347), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1349), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [192389] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4329), 1,
      sym_keyword_zerofill,
    STATE(2464), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1043), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1045), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [192448] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4495), 1,
      sym_keyword_zerofill,
    STATE(2465), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1353), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1355), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [192507] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4387), 1,
      anon_sym_LPAREN,
    STATE(2466), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1043), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1045), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [192566] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4497), 1,
      anon_sym_LPAREN,
    STATE(2467), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1359), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1361), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [192625] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4499), 1,
      anon_sym_LPAREN,
    STATE(2468), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1377), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1379), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [192684] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4501), 1,
      anon_sym_LPAREN,
    STATE(2469), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1333), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1335), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [192743] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4503), 1,
      anon_sym_LPAREN,
    STATE(2470), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1339), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1341), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [192802] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4505), 1,
      anon_sym_LPAREN,
    STATE(2471), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1347), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1349), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [192861] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4507), 1,
      anon_sym_LPAREN,
    STATE(2472), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1353), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1355), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [192920] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2473), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(955), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(957), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [192977] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1909), 1,
      anon_sym_DOT,
    STATE(2474), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2007), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2009), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [193036] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4509), 1,
      anon_sym_DOT,
    STATE(2475), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2001), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2003), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [193095] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2476), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2131), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2133), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [193152] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4511), 1,
      sym__natural_number,
    STATE(2477), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1899), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1901), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [193211] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1909), 1,
      anon_sym_DOT,
    STATE(2478), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1905), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1907), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [193270] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1915), 1,
      anon_sym_DOT,
    STATE(2479), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1911), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1913), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [193329] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4513), 1,
      anon_sym_LPAREN,
    STATE(2480), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1397), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1399), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [193388] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4515), 1,
      anon_sym_LPAREN,
    STATE(2481), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1405), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1407), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [193447] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4517), 1,
      aux_sym_keyword_with_token1,
    ACTIONS(4519), 1,
      aux_sym_keyword_timestamp_token2,
    STATE(2482), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1441), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1443), 26,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [193508] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2483), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1255), 15,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1257), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [193565] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2484), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1123), 15,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1125), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [193622] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4521), 1,
      anon_sym_LPAREN,
    STATE(2485), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1383), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1385), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [193681] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4523), 1,
      anon_sym_LPAREN,
    STATE(2486), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1417), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1419), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [193740] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2487), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(969), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(967), 28,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_over,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [193797] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4525), 1,
      sym_keyword_unsigned,
    ACTIONS(4527), 1,
      sym_keyword_zerofill,
    ACTIONS(4529), 1,
      sym_keyword_precision,
    ACTIONS(4531), 1,
      anon_sym_LPAREN,
    STATE(2488), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(983), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(985), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [193862] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2489), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2365), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2367), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [193918] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2490), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1589), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1591), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [193974] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2491), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(977), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(975), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [194030] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2492), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1625), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1627), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [194086] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2493), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1621), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1623), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [194142] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2494), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1371), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1373), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [194198] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2495), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1617), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1619), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [194254] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2496), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1601), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1603), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [194310] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2497), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1429), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1431), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [194366] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2498), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1435), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1437), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [194422] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2499), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1215), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1217), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [194478] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2500), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1593), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1595), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [194534] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2501), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1613), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1615), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [194590] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2502), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1585), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1587), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [194646] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2503), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1577), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1579), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [194702] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2504), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1573), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1575), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [194758] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2505), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1565), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1567), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [194814] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2506), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1561), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1563), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [194870] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2507), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1557), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1559), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [194926] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2508), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1461), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1463), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [194982] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2509), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(981), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(979), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [195038] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2510), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1423), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1425), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [195094] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2511), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1411), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1413), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [195150] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2512), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1365), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1367), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [195206] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2513), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1455), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1457), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [195262] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2514), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1517), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1519), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [195318] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2515), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1513), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1515), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [195374] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2516), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1509), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1511), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [195430] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2517), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1505), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1507), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [195486] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2518), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1501), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1503), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [195542] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2519), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1545), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1547), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [195598] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2520), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1581), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1583), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [195654] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2521), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1629), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1631), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [195710] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2522), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1633), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1635), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [195766] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2523), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1637), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1639), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [195822] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2524), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1609), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1611), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [195878] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2525), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1729), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1731), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [195934] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2526), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1725), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1727), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [195990] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2527), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1657), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1659), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [196046] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2528), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1653), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1655), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [196102] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2529), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1649), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1651), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [196158] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2530), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1645), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1647), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [196214] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2531), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1641), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1643), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [196270] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2532), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1327), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1329), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [196326] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2533), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1497), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1499), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [196382] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2534), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1359), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1361), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [196438] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2535), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1377), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1379), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [196494] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2536), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1333), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1335), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [196550] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2537), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1339), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1341), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [196606] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2538), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1347), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1349), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [196662] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2539), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1043), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1045), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [196718] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2540), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1353), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1355), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [196774] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2541), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(983), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(985), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [196830] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2542), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1569), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1571), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [196886] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2543), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1597), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1599), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [196942] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2544), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1605), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1607), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [196998] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2545), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1493), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1495), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [197054] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2546), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2347), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2349), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [197110] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2547), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1013), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1015), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [197166] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2548), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1017), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1019), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [197222] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2549), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(995), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(997), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [197278] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2550), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1025), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1027), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [197334] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2551), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1029), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1031), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [197390] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4533), 1,
      sym_keyword_unsigned,
    ACTIONS(4535), 1,
      sym_keyword_zerofill,
    ACTIONS(4537), 1,
      anon_sym_LPAREN,
    STATE(2552), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1033), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1035), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [197452] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4539), 1,
      sym_keyword_unsigned,
    ACTIONS(4541), 1,
      sym_keyword_zerofill,
    ACTIONS(4543), 1,
      anon_sym_LPAREN,
    STATE(2553), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1083), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1085), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [197514] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4545), 1,
      sym_keyword_unsigned,
    ACTIONS(4547), 1,
      sym_keyword_zerofill,
    ACTIONS(4549), 1,
      anon_sym_LPAREN,
    STATE(2554), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(999), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1001), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [197576] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4551), 1,
      sym_keyword_unsigned,
    ACTIONS(4553), 1,
      sym_keyword_zerofill,
    ACTIONS(4555), 1,
      anon_sym_LPAREN,
    STATE(2555), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1063), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1065), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [197638] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4557), 1,
      sym_keyword_unsigned,
    ACTIONS(4559), 1,
      sym_keyword_zerofill,
    ACTIONS(4561), 1,
      anon_sym_LPAREN,
    STATE(2556), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1073), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1075), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [197700] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4563), 1,
      sym_keyword_unsigned,
    ACTIONS(4565), 1,
      sym_keyword_zerofill,
    ACTIONS(4567), 1,
      anon_sym_LPAREN,
    STATE(2557), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1053), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1055), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [197762] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4525), 1,
      sym_keyword_unsigned,
    ACTIONS(4527), 1,
      sym_keyword_zerofill,
    ACTIONS(4531), 1,
      anon_sym_LPAREN,
    STATE(2558), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(983), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(985), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [197824] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2559), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1009), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1011), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [197880] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2560), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2243), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2245), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [197936] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2165), 1,
      anon_sym_LPAREN,
    ACTIONS(4573), 1,
      anon_sym_DOT,
    STATE(2561), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4571), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(4569), 34,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      sym__identifier,
  [197996] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2562), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2249), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2251), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [198052] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2563), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2253), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2255), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [198108] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2564), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2257), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2259), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [198164] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2565), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2261), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2263), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [198220] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2566), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2265), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2267), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [198276] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2567), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2269), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2271), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [198332] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2568), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2279), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2281), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [198388] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2569), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2285), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2287), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [198444] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2570), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2291), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2293), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [198500] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2571), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2339), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2341), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [198556] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4575), 1,
      sym_keyword_unsigned,
    ACTIONS(4577), 1,
      sym_keyword_zerofill,
    STATE(2572), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1117), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1115), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [198616] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2573), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2379), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2381), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [198672] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2574), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2383), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2385), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [198728] = 28,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(2567), 1,
      anon_sym_SQUOTE,
    ACTIONS(4581), 1,
      sym_keyword_partition,
    ACTIONS(4583), 1,
      sym_keyword_as,
    ACTIONS(4585), 1,
      sym_keyword_collate,
    ACTIONS(4587), 1,
      sym_keyword_engine,
    ACTIONS(4589), 1,
      sym_keyword_default,
    ACTIONS(4591), 1,
      sym_keyword_row,
    ACTIONS(4593), 1,
      sym_keyword_stored,
    ACTIONS(4595), 1,
      sym_keyword_tblproperties,
    ACTIONS(4597), 1,
      sym_keyword_location,
    ACTIONS(4599), 1,
      sym_keyword_partitioned,
    ACTIONS(4601), 1,
      sym_keyword_sort,
    ACTIONS(4603), 1,
      anon_sym_SEMI,
    STATE(2598), 1,
      aux_sym_create_table_repeat1,
    STATE(2606), 1,
      sym__double_quote_string,
    STATE(4397), 1,
      sym__table_settings,
    STATE(4506), 1,
      aux_sym_table_options_repeat2,
    STATE(4636), 1,
      sym_table_option,
    STATE(4932), 1,
      sym_table_options,
    STATE(2575), 2,
      sym_comment,
      sym_marginalia,
    STATE(7531), 2,
      sym__literal_string,
      sym_identifier,
    STATE(4402), 5,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
    ACTIONS(4579), 12,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
  [198830] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2576), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2387), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2389), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [198886] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2577), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2391), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2393), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [198942] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2578), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2403), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2405), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [198998] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2579), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2503), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2505), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [199054] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2580), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2511), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2513), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [199110] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2581), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2523), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2525), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [199166] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2582), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2527), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2529), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [199222] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2583), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(959), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(961), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [199278] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2584), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2537), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2539), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [199334] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4605), 1,
      sym_keyword_unsigned,
    ACTIONS(4607), 1,
      sym_keyword_zerofill,
    ACTIONS(4609), 1,
      anon_sym_LPAREN,
    STATE(2585), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1043), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1045), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [199396] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2586), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2177), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2179), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [199452] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2587), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2233), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2235), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [199508] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2588), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1899), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1901), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [199564] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2589), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2225), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2227), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [199620] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2590), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2213), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2215), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [199676] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2591), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2209), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2211), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [199732] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2592), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2205), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2207), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [199788] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2593), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2001), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2003), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [199844] = 28,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(2567), 1,
      anon_sym_SQUOTE,
    ACTIONS(4581), 1,
      sym_keyword_partition,
    ACTIONS(4585), 1,
      sym_keyword_collate,
    ACTIONS(4587), 1,
      sym_keyword_engine,
    ACTIONS(4589), 1,
      sym_keyword_default,
    ACTIONS(4591), 1,
      sym_keyword_row,
    ACTIONS(4593), 1,
      sym_keyword_stored,
    ACTIONS(4595), 1,
      sym_keyword_tblproperties,
    ACTIONS(4597), 1,
      sym_keyword_location,
    ACTIONS(4599), 1,
      sym_keyword_partitioned,
    ACTIONS(4601), 1,
      sym_keyword_sort,
    ACTIONS(4613), 1,
      sym_keyword_as,
    ACTIONS(4615), 1,
      anon_sym_SEMI,
    STATE(2604), 1,
      aux_sym_create_table_repeat1,
    STATE(2606), 1,
      sym__double_quote_string,
    STATE(4397), 1,
      sym__table_settings,
    STATE(4506), 1,
      aux_sym_table_options_repeat2,
    STATE(4636), 1,
      sym_table_option,
    STATE(4930), 1,
      sym_table_options,
    STATE(2594), 2,
      sym_comment,
      sym_marginalia,
    STATE(7531), 2,
      sym__literal_string,
      sym_identifier,
    STATE(4402), 5,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
    ACTIONS(4611), 12,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
  [199946] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4617), 1,
      sym_keyword_unsigned,
    ACTIONS(4619), 1,
      sym_keyword_zerofill,
    STATE(2595), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1217), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1215), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [200006] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4621), 1,
      sym_keyword_unsigned,
    ACTIONS(4623), 1,
      sym_keyword_zerofill,
    STATE(2596), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1193), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1191), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [200066] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4625), 1,
      aux_sym_keyword_varchar_token2,
    STATE(2597), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1125), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1123), 34,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [200124] = 28,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(2567), 1,
      anon_sym_SQUOTE,
    ACTIONS(4581), 1,
      sym_keyword_partition,
    ACTIONS(4585), 1,
      sym_keyword_collate,
    ACTIONS(4587), 1,
      sym_keyword_engine,
    ACTIONS(4589), 1,
      sym_keyword_default,
    ACTIONS(4591), 1,
      sym_keyword_row,
    ACTIONS(4593), 1,
      sym_keyword_stored,
    ACTIONS(4595), 1,
      sym_keyword_tblproperties,
    ACTIONS(4597), 1,
      sym_keyword_location,
    ACTIONS(4599), 1,
      sym_keyword_partitioned,
    ACTIONS(4601), 1,
      sym_keyword_sort,
    ACTIONS(4613), 1,
      sym_keyword_as,
    ACTIONS(4615), 1,
      anon_sym_SEMI,
    STATE(2606), 1,
      sym__double_quote_string,
    STATE(3390), 1,
      aux_sym_create_table_repeat1,
    STATE(4397), 1,
      sym__table_settings,
    STATE(4506), 1,
      aux_sym_table_options_repeat2,
    STATE(4636), 1,
      sym_table_option,
    STATE(4930), 1,
      sym_table_options,
    STATE(2598), 2,
      sym_comment,
      sym_marginalia,
    STATE(7531), 2,
      sym__literal_string,
      sym_identifier,
    STATE(4402), 5,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
    ACTIONS(4611), 12,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
  [200226] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4627), 1,
      sym_keyword_unsigned,
    ACTIONS(4629), 1,
      sym_keyword_zerofill,
    STATE(2599), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1225), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1223), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [200286] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4631), 1,
      sym_keyword_unsigned,
    ACTIONS(4633), 1,
      sym_keyword_zerofill,
    STATE(2600), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1241), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1239), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [200346] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4635), 1,
      sym_keyword_unsigned,
    ACTIONS(4637), 1,
      sym_keyword_zerofill,
    STATE(2601), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1201), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1199), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [200406] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4639), 1,
      sym_keyword_unsigned,
    ACTIONS(4641), 1,
      sym_keyword_zerofill,
    STATE(2602), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1209), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1207), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [200466] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4643), 1,
      sym_keyword_unsigned,
    ACTIONS(4645), 1,
      sym_keyword_zerofill,
    STATE(2603), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1233), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1231), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [200526] = 28,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(2567), 1,
      anon_sym_SQUOTE,
    ACTIONS(4581), 1,
      sym_keyword_partition,
    ACTIONS(4585), 1,
      sym_keyword_collate,
    ACTIONS(4587), 1,
      sym_keyword_engine,
    ACTIONS(4589), 1,
      sym_keyword_default,
    ACTIONS(4591), 1,
      sym_keyword_row,
    ACTIONS(4593), 1,
      sym_keyword_stored,
    ACTIONS(4595), 1,
      sym_keyword_tblproperties,
    ACTIONS(4597), 1,
      sym_keyword_location,
    ACTIONS(4599), 1,
      sym_keyword_partitioned,
    ACTIONS(4601), 1,
      sym_keyword_sort,
    ACTIONS(4649), 1,
      sym_keyword_as,
    ACTIONS(4651), 1,
      anon_sym_SEMI,
    STATE(2606), 1,
      sym__double_quote_string,
    STATE(3390), 1,
      aux_sym_create_table_repeat1,
    STATE(4397), 1,
      sym__table_settings,
    STATE(4506), 1,
      aux_sym_table_options_repeat2,
    STATE(4636), 1,
      sym_table_option,
    STATE(4925), 1,
      sym_table_options,
    STATE(2604), 2,
      sym_comment,
      sym_marginalia,
    STATE(7531), 2,
      sym__literal_string,
      sym_identifier,
    STATE(4402), 5,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
    ACTIONS(4647), 12,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
  [200628] = 28,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(2567), 1,
      anon_sym_SQUOTE,
    ACTIONS(4581), 1,
      sym_keyword_partition,
    ACTIONS(4585), 1,
      sym_keyword_collate,
    ACTIONS(4587), 1,
      sym_keyword_engine,
    ACTIONS(4589), 1,
      sym_keyword_default,
    ACTIONS(4591), 1,
      sym_keyword_row,
    ACTIONS(4593), 1,
      sym_keyword_stored,
    ACTIONS(4595), 1,
      sym_keyword_tblproperties,
    ACTIONS(4597), 1,
      sym_keyword_location,
    ACTIONS(4599), 1,
      sym_keyword_partitioned,
    ACTIONS(4601), 1,
      sym_keyword_sort,
    ACTIONS(4649), 1,
      sym_keyword_as,
    ACTIONS(4651), 1,
      anon_sym_SEMI,
    STATE(2606), 1,
      sym__double_quote_string,
    STATE(2608), 1,
      aux_sym_create_table_repeat1,
    STATE(4397), 1,
      sym__table_settings,
    STATE(4506), 1,
      aux_sym_table_options_repeat2,
    STATE(4636), 1,
      sym_table_option,
    STATE(4925), 1,
      sym_table_options,
    STATE(2605), 2,
      sym_comment,
      sym_marginalia,
    STATE(7531), 2,
      sym__literal_string,
      sym_identifier,
    STATE(4402), 5,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
    ACTIONS(4647), 12,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
  [200730] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2606), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2007), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2009), 34,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_partition,
      sym_keyword_offset,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_cached,
      sym_keyword_uncached,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym_keyword_escaped,
      sym_keyword_lines,
      sym__identifier,
  [200786] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4653), 1,
      sym_keyword_precision,
    ACTIONS(4655), 1,
      anon_sym_LPAREN,
    STATE(2607), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1045), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1043), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [200846] = 28,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(2567), 1,
      anon_sym_SQUOTE,
    ACTIONS(4581), 1,
      sym_keyword_partition,
    ACTIONS(4585), 1,
      sym_keyword_collate,
    ACTIONS(4587), 1,
      sym_keyword_engine,
    ACTIONS(4589), 1,
      sym_keyword_default,
    ACTIONS(4591), 1,
      sym_keyword_row,
    ACTIONS(4593), 1,
      sym_keyword_stored,
    ACTIONS(4595), 1,
      sym_keyword_tblproperties,
    ACTIONS(4597), 1,
      sym_keyword_location,
    ACTIONS(4599), 1,
      sym_keyword_partitioned,
    ACTIONS(4601), 1,
      sym_keyword_sort,
    ACTIONS(4659), 1,
      sym_keyword_as,
    ACTIONS(4661), 1,
      anon_sym_SEMI,
    STATE(2606), 1,
      sym__double_quote_string,
    STATE(3390), 1,
      aux_sym_create_table_repeat1,
    STATE(4397), 1,
      sym__table_settings,
    STATE(4506), 1,
      aux_sym_table_options_repeat2,
    STATE(4636), 1,
      sym_table_option,
    STATE(4928), 1,
      sym_table_options,
    STATE(2608), 2,
      sym_comment,
      sym_marginalia,
    STATE(7531), 2,
      sym__literal_string,
      sym_identifier,
    STATE(4402), 5,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
    ACTIONS(4657), 12,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
  [200948] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4663), 1,
      aux_sym_keyword_with_token1,
    ACTIONS(4665), 1,
      aux_sym_keyword_timestamp_token2,
    STATE(2609), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1443), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1441), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [201008] = 25,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(1673), 1,
      sym_keyword_using,
    ACTIONS(4281), 1,
      sym_keyword_in,
    ACTIONS(4283), 1,
      sym_keyword_is,
    ACTIONS(4285), 1,
      anon_sym_SLASH,
    ACTIONS(4293), 1,
      anon_sym_PLUS,
    ACTIONS(4295), 1,
      anon_sym_DASH,
    ACTIONS(4297), 1,
      anon_sym_CARET,
    ACTIONS(4299), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4333), 1,
      sym_keyword_and,
    ACTIONS(4667), 1,
      sym_keyword_or,
    ACTIONS(4669), 1,
      anon_sym_COLON_COLON,
    STATE(4454), 1,
      sym_direction,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(1663), 2,
      sym_keyword_desc,
      sym_keyword_asc,
    ACTIONS(4289), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4291), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2610), 2,
      sym_comment,
      sym_marginalia,
    STATE(1967), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4287), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1968), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1661), 8,
      sym_keyword_limit,
      sym_keyword_separator,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [201104] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4671), 1,
      sym_keyword_unsigned,
    ACTIONS(4673), 1,
      sym_keyword_zerofill,
    ACTIONS(4675), 1,
      sym_keyword_precision,
    ACTIONS(4677), 1,
      anon_sym_LPAREN,
    STATE(2611), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(985), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(983), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [201168] = 16,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4679), 1,
      sym_keyword_in,
    ACTIONS(4681), 1,
      sym_keyword_is,
    ACTIONS(4683), 1,
      anon_sym_SLASH,
    ACTIONS(4691), 1,
      anon_sym_PLUS,
    ACTIONS(4693), 1,
      anon_sym_DASH,
    ACTIONS(4695), 1,
      anon_sym_CARET,
    ACTIONS(1103), 2,
      sym_keyword_group,
      sym_keyword_or,
    ACTIONS(4687), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4689), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2612), 2,
      sym_comment,
      sym_marginalia,
    STATE(1893), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4685), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1892), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 17,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_separator,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_PIPE,
  [201245] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2613), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1031), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1029), 36,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_null,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [201300] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4697), 1,
      sym_keyword_is,
    STATE(2614), 2,
      sym_comment,
      sym_marginalia,
    STATE(1949), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1944), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1113), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1111), 26,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [201361] = 13,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4697), 1,
      sym_keyword_is,
    ACTIONS(4699), 1,
      anon_sym_SLASH,
    ACTIONS(4703), 1,
      anon_sym_PLUS,
    ACTIONS(4705), 1,
      anon_sym_DASH,
    ACTIONS(4707), 1,
      anon_sym_CARET,
    ACTIONS(4701), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(2615), 2,
      sym_comment,
      sym_marginalia,
    STATE(1949), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1103), 4,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1944), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 22,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [201432] = 28,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(2567), 1,
      anon_sym_SQUOTE,
    ACTIONS(4595), 1,
      sym_keyword_tblproperties,
    ACTIONS(4709), 1,
      sym_keyword_partition,
    ACTIONS(4711), 1,
      sym_keyword_as,
    ACTIONS(4713), 1,
      sym_keyword_collate,
    ACTIONS(4715), 1,
      sym_keyword_engine,
    ACTIONS(4717), 1,
      sym_keyword_default,
    ACTIONS(4719), 1,
      sym_keyword_row,
    ACTIONS(4721), 1,
      sym_keyword_stored,
    ACTIONS(4723), 1,
      sym_keyword_location,
    ACTIONS(4725), 1,
      sym_keyword_partitioned,
    ACTIONS(4727), 1,
      sym_keyword_sort,
    STATE(2606), 1,
      sym__double_quote_string,
    STATE(2711), 1,
      aux_sym_create_table_repeat1,
    STATE(4505), 1,
      sym__table_settings,
    STATE(4524), 1,
      aux_sym_table_options_repeat2,
    STATE(4707), 1,
      sym_table_option,
    STATE(4951), 1,
      sym_table_options,
    ACTIONS(4615), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2616), 2,
      sym_comment,
      sym_marginalia,
    STATE(7485), 2,
      sym__literal_string,
      sym_identifier,
    STATE(4499), 5,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
    ACTIONS(4611), 10,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
  [201533] = 20,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1103), 1,
      sym_keyword_or,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4697), 1,
      sym_keyword_is,
    ACTIONS(4699), 1,
      anon_sym_SLASH,
    ACTIONS(4703), 1,
      anon_sym_PLUS,
    ACTIONS(4705), 1,
      anon_sym_DASH,
    ACTIONS(4707), 1,
      anon_sym_CARET,
    ACTIONS(4729), 1,
      sym_keyword_in,
    ACTIONS(4735), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4701), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2617), 2,
      sym_comment,
      sym_marginalia,
    STATE(1949), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4731), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1944), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 13,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_returning,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
  [201618] = 21,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1103), 1,
      sym_keyword_or,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4697), 1,
      sym_keyword_is,
    ACTIONS(4699), 1,
      anon_sym_SLASH,
    ACTIONS(4703), 1,
      anon_sym_PLUS,
    ACTIONS(4705), 1,
      anon_sym_DASH,
    ACTIONS(4707), 1,
      anon_sym_CARET,
    ACTIONS(4729), 1,
      sym_keyword_in,
    ACTIONS(4735), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4737), 1,
      sym_keyword_and,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4701), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2618), 2,
      sym_comment,
      sym_marginalia,
    STATE(1949), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4731), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1944), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 12,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_returning,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
  [201705] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4697), 1,
      sym_keyword_is,
    ACTIONS(4707), 1,
      anon_sym_CARET,
    STATE(2619), 2,
      sym_comment,
      sym_marginalia,
    STATE(1949), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1944), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1103), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1093), 25,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [201768] = 13,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4681), 1,
      sym_keyword_is,
    ACTIONS(4683), 1,
      anon_sym_SLASH,
    ACTIONS(4691), 1,
      anon_sym_PLUS,
    ACTIONS(4693), 1,
      anon_sym_DASH,
    ACTIONS(4695), 1,
      anon_sym_CARET,
    ACTIONS(4687), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(2620), 2,
      sym_comment,
      sym_marginalia,
    STATE(1893), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1103), 4,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1892), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 22,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [201839] = 20,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4679), 1,
      sym_keyword_in,
    ACTIONS(4681), 1,
      sym_keyword_is,
    ACTIONS(4683), 1,
      anon_sym_SLASH,
    ACTIONS(4691), 1,
      anon_sym_PLUS,
    ACTIONS(4693), 1,
      anon_sym_DASH,
    ACTIONS(4695), 1,
      anon_sym_CARET,
    ACTIONS(4739), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1103), 2,
      sym_keyword_group,
      sym_keyword_or,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4687), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4689), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2621), 2,
      sym_comment,
      sym_marginalia,
    STATE(1893), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4685), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1892), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 12,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_separator,
      sym_keyword_and,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [201924] = 21,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4679), 1,
      sym_keyword_in,
    ACTIONS(4681), 1,
      sym_keyword_is,
    ACTIONS(4683), 1,
      anon_sym_SLASH,
    ACTIONS(4691), 1,
      anon_sym_PLUS,
    ACTIONS(4693), 1,
      anon_sym_DASH,
    ACTIONS(4695), 1,
      anon_sym_CARET,
    ACTIONS(4739), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4741), 1,
      sym_keyword_and,
    ACTIONS(1103), 2,
      sym_keyword_group,
      sym_keyword_or,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4687), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4689), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2622), 2,
      sym_comment,
      sym_marginalia,
    STATE(1893), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4685), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1892), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 11,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_separator,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [202011] = 14,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4697), 1,
      sym_keyword_is,
    ACTIONS(4699), 1,
      anon_sym_SLASH,
    ACTIONS(4703), 1,
      anon_sym_PLUS,
    ACTIONS(4705), 1,
      anon_sym_DASH,
    ACTIONS(4707), 1,
      anon_sym_CARET,
    ACTIONS(4729), 1,
      sym_keyword_in,
    ACTIONS(4701), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(2623), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1103), 3,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1949), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1944), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 22,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [202084] = 28,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(2567), 1,
      anon_sym_SQUOTE,
    ACTIONS(4595), 1,
      sym_keyword_tblproperties,
    ACTIONS(4709), 1,
      sym_keyword_partition,
    ACTIONS(4711), 1,
      sym_keyword_as,
    ACTIONS(4713), 1,
      sym_keyword_collate,
    ACTIONS(4715), 1,
      sym_keyword_engine,
    ACTIONS(4717), 1,
      sym_keyword_default,
    ACTIONS(4719), 1,
      sym_keyword_row,
    ACTIONS(4721), 1,
      sym_keyword_stored,
    ACTIONS(4723), 1,
      sym_keyword_location,
    ACTIONS(4725), 1,
      sym_keyword_partitioned,
    ACTIONS(4727), 1,
      sym_keyword_sort,
    STATE(2606), 1,
      sym__double_quote_string,
    STATE(3498), 1,
      aux_sym_create_table_repeat1,
    STATE(4505), 1,
      sym__table_settings,
    STATE(4524), 1,
      aux_sym_table_options_repeat2,
    STATE(4707), 1,
      sym_table_option,
    STATE(4951), 1,
      sym_table_options,
    ACTIONS(4615), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2624), 2,
      sym_comment,
      sym_marginalia,
    STATE(7485), 2,
      sym__literal_string,
      sym_identifier,
    STATE(4499), 5,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
    ACTIONS(4611), 10,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
  [202185] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4743), 1,
      sym_keyword_precision,
    ACTIONS(4745), 1,
      anon_sym_LPAREN,
    STATE(2625), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1043), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1045), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [202244] = 11,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4697), 1,
      sym_keyword_is,
    ACTIONS(4699), 1,
      anon_sym_SLASH,
    ACTIONS(4707), 1,
      anon_sym_CARET,
    ACTIONS(4701), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(2626), 2,
      sym_comment,
      sym_marginalia,
    STATE(1949), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1944), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1103), 5,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1093), 23,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [202311] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4697), 1,
      sym_keyword_is,
    STATE(2627), 2,
      sym_comment,
      sym_marginalia,
    STATE(1949), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1944), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1103), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1093), 26,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [202372] = 16,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1103), 1,
      sym_keyword_or,
    ACTIONS(4697), 1,
      sym_keyword_is,
    ACTIONS(4699), 1,
      anon_sym_SLASH,
    ACTIONS(4703), 1,
      anon_sym_PLUS,
    ACTIONS(4705), 1,
      anon_sym_DASH,
    ACTIONS(4707), 1,
      anon_sym_CARET,
    ACTIONS(4729), 1,
      sym_keyword_in,
    ACTIONS(4701), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2628), 2,
      sym_comment,
      sym_marginalia,
    STATE(1949), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4731), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1944), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 18,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_PIPE,
  [202449] = 17,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1103), 1,
      sym_keyword_or,
    ACTIONS(4697), 1,
      sym_keyword_is,
    ACTIONS(4699), 1,
      anon_sym_SLASH,
    ACTIONS(4703), 1,
      anon_sym_PLUS,
    ACTIONS(4705), 1,
      anon_sym_DASH,
    ACTIONS(4707), 1,
      anon_sym_CARET,
    ACTIONS(4729), 1,
      sym_keyword_in,
    ACTIONS(4735), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4701), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2629), 2,
      sym_comment,
      sym_marginalia,
    STATE(1949), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4731), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1944), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 17,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
  [202528] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4747), 1,
      aux_sym_keyword_with_token1,
    ACTIONS(4749), 1,
      aux_sym_keyword_timestamp_token2,
    STATE(2630), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1441), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1443), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [202587] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4751), 1,
      sym_keyword_unsigned,
    ACTIONS(4753), 1,
      sym_keyword_zerofill,
    STATE(2631), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1231), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1233), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [202646] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4755), 1,
      sym_keyword_unsigned,
    ACTIONS(4757), 1,
      sym_keyword_zerofill,
    STATE(2632), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1207), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1209), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [202705] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4759), 1,
      sym_keyword_unsigned,
    ACTIONS(4761), 1,
      sym_keyword_zerofill,
    STATE(2633), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1199), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1201), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [202764] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4763), 1,
      sym_keyword_unsigned,
    ACTIONS(4765), 1,
      sym_keyword_zerofill,
    STATE(2634), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1239), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1241), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [202823] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4767), 1,
      aux_sym_keyword_varchar_token2,
    STATE(2635), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1123), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1125), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [202880] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4769), 1,
      sym_keyword_unsigned,
    ACTIONS(4771), 1,
      sym_keyword_zerofill,
    STATE(2636), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1223), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1225), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [202939] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1915), 1,
      anon_sym_DOT,
    ACTIONS(4773), 1,
      anon_sym_LPAREN,
    STATE(2637), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1957), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1959), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [202998] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2638), 2,
      sym_comment,
      sym_marginalia,
    STATE(1893), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1892), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1103), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1093), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [203057] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4681), 1,
      sym_keyword_is,
    ACTIONS(4695), 1,
      anon_sym_CARET,
    STATE(2639), 2,
      sym_comment,
      sym_marginalia,
    STATE(1893), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1892), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1103), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1093), 25,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [203120] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4777), 1,
      sym_keyword_left,
    ACTIONS(4779), 1,
      sym_keyword_right,
    ACTIONS(4783), 1,
      sym_keyword_join,
    ACTIONS(4785), 1,
      sym_keyword_where,
    ACTIONS(4787), 1,
      sym_keyword_order,
    ACTIONS(4789), 1,
      sym_keyword_group,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    ACTIONS(4795), 1,
      anon_sym_COMMA,
    STATE(3471), 1,
      aux_sym_from_repeat1,
    STATE(3472), 1,
      sym_index_hint,
    STATE(3491), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(4554), 1,
      sym_where,
    STATE(4604), 1,
      sym_group_by,
    STATE(4637), 1,
      sym_limit,
    STATE(4643), 1,
      sym_order_by,
    ACTIONS(4781), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(2640), 2,
      sym_comment,
      sym_marginalia,
    STATE(4270), 2,
      sym_join,
      sym_lateral_join,
    ACTIONS(4793), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(4775), 18,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [203209] = 14,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4679), 1,
      sym_keyword_in,
    ACTIONS(4681), 1,
      sym_keyword_is,
    ACTIONS(4683), 1,
      anon_sym_SLASH,
    ACTIONS(4691), 1,
      anon_sym_PLUS,
    ACTIONS(4693), 1,
      anon_sym_DASH,
    ACTIONS(4695), 1,
      anon_sym_CARET,
    ACTIONS(4687), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(2641), 2,
      sym_comment,
      sym_marginalia,
    STATE(1893), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1103), 4,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1892), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 21,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_separator,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [203282] = 28,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(2567), 1,
      anon_sym_SQUOTE,
    ACTIONS(4595), 1,
      sym_keyword_tblproperties,
    ACTIONS(4709), 1,
      sym_keyword_partition,
    ACTIONS(4713), 1,
      sym_keyword_collate,
    ACTIONS(4715), 1,
      sym_keyword_engine,
    ACTIONS(4717), 1,
      sym_keyword_default,
    ACTIONS(4719), 1,
      sym_keyword_row,
    ACTIONS(4721), 1,
      sym_keyword_stored,
    ACTIONS(4723), 1,
      sym_keyword_location,
    ACTIONS(4725), 1,
      sym_keyword_partitioned,
    ACTIONS(4727), 1,
      sym_keyword_sort,
    ACTIONS(4797), 1,
      sym_keyword_as,
    STATE(2606), 1,
      sym__double_quote_string,
    STATE(2624), 1,
      aux_sym_create_table_repeat1,
    STATE(4505), 1,
      sym__table_settings,
    STATE(4524), 1,
      aux_sym_table_options_repeat2,
    STATE(4707), 1,
      sym_table_option,
    STATE(4943), 1,
      sym_table_options,
    ACTIONS(4603), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2642), 2,
      sym_comment,
      sym_marginalia,
    STATE(7485), 2,
      sym__literal_string,
      sym_identifier,
    STATE(4499), 5,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
    ACTIONS(4579), 10,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
  [203383] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4777), 1,
      sym_keyword_left,
    ACTIONS(4779), 1,
      sym_keyword_right,
    ACTIONS(4783), 1,
      sym_keyword_join,
    ACTIONS(4785), 1,
      sym_keyword_where,
    ACTIONS(4787), 1,
      sym_keyword_order,
    ACTIONS(4789), 1,
      sym_keyword_group,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    ACTIONS(4795), 1,
      anon_sym_COMMA,
    STATE(3463), 1,
      sym_index_hint,
    STATE(3464), 1,
      aux_sym_from_repeat1,
    STATE(3491), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(4553), 1,
      sym_where,
    STATE(4605), 1,
      sym_group_by,
    STATE(4617), 1,
      sym_limit,
    STATE(4667), 1,
      sym_order_by,
    ACTIONS(4781), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(2643), 2,
      sym_comment,
      sym_marginalia,
    STATE(4270), 2,
      sym_join,
      sym_lateral_join,
    ACTIONS(4793), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(4799), 18,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [203472] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4697), 1,
      sym_keyword_is,
    ACTIONS(4699), 1,
      anon_sym_SLASH,
    ACTIONS(4703), 1,
      anon_sym_PLUS,
    ACTIONS(4705), 1,
      anon_sym_DASH,
    ACTIONS(4707), 1,
      anon_sym_CARET,
    ACTIONS(4729), 1,
      sym_keyword_in,
    ACTIONS(4735), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4737), 1,
      sym_keyword_and,
    ACTIONS(4801), 1,
      sym_keyword_or,
    ACTIONS(4803), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4701), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2644), 2,
      sym_comment,
      sym_marginalia,
    STATE(1949), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4731), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1944), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1259), 11,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [203561] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4777), 1,
      sym_keyword_left,
    ACTIONS(4779), 1,
      sym_keyword_right,
    ACTIONS(4783), 1,
      sym_keyword_join,
    ACTIONS(4785), 1,
      sym_keyword_where,
    ACTIONS(4787), 1,
      sym_keyword_order,
    ACTIONS(4789), 1,
      sym_keyword_group,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    ACTIONS(4795), 1,
      anon_sym_COMMA,
    STATE(2640), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(3463), 1,
      sym_index_hint,
    STATE(3464), 1,
      aux_sym_from_repeat1,
    STATE(4553), 1,
      sym_where,
    STATE(4605), 1,
      sym_group_by,
    STATE(4617), 1,
      sym_limit,
    STATE(4667), 1,
      sym_order_by,
    ACTIONS(4781), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(2645), 2,
      sym_comment,
      sym_marginalia,
    STATE(4270), 2,
      sym_join,
      sym_lateral_join,
    ACTIONS(4793), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(4799), 18,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [203650] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4777), 1,
      sym_keyword_left,
    ACTIONS(4779), 1,
      sym_keyword_right,
    ACTIONS(4783), 1,
      sym_keyword_join,
    ACTIONS(4785), 1,
      sym_keyword_where,
    ACTIONS(4787), 1,
      sym_keyword_order,
    ACTIONS(4789), 1,
      sym_keyword_group,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    ACTIONS(4795), 1,
      anon_sym_COMMA,
    STATE(2643), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(3461), 1,
      sym_index_hint,
    STATE(3462), 1,
      aux_sym_from_repeat1,
    STATE(4545), 1,
      sym_where,
    STATE(4602), 1,
      sym_group_by,
    STATE(4658), 1,
      sym_limit,
    STATE(4662), 1,
      sym_order_by,
    ACTIONS(4781), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(2646), 2,
      sym_comment,
      sym_marginalia,
    STATE(4270), 2,
      sym_join,
      sym_lateral_join,
    ACTIONS(4793), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(4805), 18,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [203739] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4807), 1,
      sym_keyword_unsigned,
    ACTIONS(4809), 1,
      sym_keyword_zerofill,
    STATE(2647), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1115), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1117), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [203798] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4811), 1,
      sym_keyword_unsigned,
    ACTIONS(4813), 1,
      sym_keyword_zerofill,
    STATE(2648), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1191), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1193), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [203857] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4815), 1,
      anon_sym_LPAREN,
    STATE(2649), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1419), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1417), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [203914] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2650), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1125), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1123), 34,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [203969] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4697), 1,
      sym_keyword_is,
    ACTIONS(4699), 1,
      anon_sym_SLASH,
    ACTIONS(4703), 1,
      anon_sym_PLUS,
    ACTIONS(4705), 1,
      anon_sym_DASH,
    ACTIONS(4707), 1,
      anon_sym_CARET,
    ACTIONS(4729), 1,
      sym_keyword_in,
    ACTIONS(4735), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4737), 1,
      sym_keyword_and,
    ACTIONS(4801), 1,
      sym_keyword_or,
    ACTIONS(4803), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4701), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2651), 2,
      sym_comment,
      sym_marginalia,
    STATE(1949), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4731), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1944), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1279), 11,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [204058] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4697), 1,
      sym_keyword_is,
    ACTIONS(4699), 1,
      anon_sym_SLASH,
    ACTIONS(4703), 1,
      anon_sym_PLUS,
    ACTIONS(4705), 1,
      anon_sym_DASH,
    ACTIONS(4707), 1,
      anon_sym_CARET,
    ACTIONS(4729), 1,
      sym_keyword_in,
    ACTIONS(4735), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4737), 1,
      sym_keyword_and,
    ACTIONS(4801), 1,
      sym_keyword_or,
    ACTIONS(4803), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4701), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2652), 2,
      sym_comment,
      sym_marginalia,
    STATE(1949), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4731), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1944), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1281), 11,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [204147] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2653), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1257), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1255), 34,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [204202] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4817), 1,
      sym_keyword_unsigned,
    ACTIONS(4819), 1,
      sym_keyword_zerofill,
    STATE(2654), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1215), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1217), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [204261] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4697), 1,
      sym_keyword_is,
    ACTIONS(4699), 1,
      anon_sym_SLASH,
    ACTIONS(4703), 1,
      anon_sym_PLUS,
    ACTIONS(4705), 1,
      anon_sym_DASH,
    ACTIONS(4707), 1,
      anon_sym_CARET,
    ACTIONS(4729), 1,
      sym_keyword_in,
    ACTIONS(4735), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4737), 1,
      sym_keyword_and,
    ACTIONS(4801), 1,
      sym_keyword_or,
    ACTIONS(4803), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4701), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2655), 2,
      sym_comment,
      sym_marginalia,
    STATE(1949), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4731), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1944), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1283), 11,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [204350] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4697), 1,
      sym_keyword_is,
    ACTIONS(4699), 1,
      anon_sym_SLASH,
    ACTIONS(4703), 1,
      anon_sym_PLUS,
    ACTIONS(4705), 1,
      anon_sym_DASH,
    ACTIONS(4707), 1,
      anon_sym_CARET,
    ACTIONS(4729), 1,
      sym_keyword_in,
    ACTIONS(4735), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4737), 1,
      sym_keyword_and,
    ACTIONS(4801), 1,
      sym_keyword_or,
    ACTIONS(4803), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4701), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2656), 2,
      sym_comment,
      sym_marginalia,
    STATE(1949), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4731), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1944), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1285), 11,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [204439] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4697), 1,
      sym_keyword_is,
    ACTIONS(4699), 1,
      anon_sym_SLASH,
    ACTIONS(4703), 1,
      anon_sym_PLUS,
    ACTIONS(4705), 1,
      anon_sym_DASH,
    ACTIONS(4707), 1,
      anon_sym_CARET,
    ACTIONS(4729), 1,
      sym_keyword_in,
    ACTIONS(4735), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4737), 1,
      sym_keyword_and,
    ACTIONS(4801), 1,
      sym_keyword_or,
    ACTIONS(4803), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4701), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2657), 2,
      sym_comment,
      sym_marginalia,
    STATE(1949), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4731), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1944), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1287), 11,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [204528] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4697), 1,
      sym_keyword_is,
    ACTIONS(4699), 1,
      anon_sym_SLASH,
    ACTIONS(4703), 1,
      anon_sym_PLUS,
    ACTIONS(4705), 1,
      anon_sym_DASH,
    ACTIONS(4707), 1,
      anon_sym_CARET,
    ACTIONS(4729), 1,
      sym_keyword_in,
    ACTIONS(4735), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4737), 1,
      sym_keyword_and,
    ACTIONS(4801), 1,
      sym_keyword_or,
    ACTIONS(4803), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4701), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2658), 2,
      sym_comment,
      sym_marginalia,
    STATE(1949), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4731), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1944), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1289), 11,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [204617] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2659), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(953), 17,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(951), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [204672] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4821), 1,
      anon_sym_LPAREN,
    STATE(2660), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1407), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1405), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [204729] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4823), 1,
      anon_sym_LPAREN,
    STATE(2661), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1399), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1397), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [204786] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4825), 1,
      anon_sym_LPAREN,
    STATE(2662), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1385), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1383), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [204843] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4681), 1,
      sym_keyword_is,
    STATE(2663), 2,
      sym_comment,
      sym_marginalia,
    STATE(1893), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1892), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1103), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1093), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [204904] = 17,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4679), 1,
      sym_keyword_in,
    ACTIONS(4681), 1,
      sym_keyword_is,
    ACTIONS(4683), 1,
      anon_sym_SLASH,
    ACTIONS(4691), 1,
      anon_sym_PLUS,
    ACTIONS(4693), 1,
      anon_sym_DASH,
    ACTIONS(4695), 1,
      anon_sym_CARET,
    ACTIONS(4739), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1103), 2,
      sym_keyword_group,
      sym_keyword_or,
    ACTIONS(4687), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4689), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2664), 2,
      sym_comment,
      sym_marginalia,
    STATE(1893), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4685), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1892), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 16,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_separator,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [204983] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2665), 2,
      sym_comment,
      sym_marginalia,
    STATE(1949), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1944), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1103), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1093), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [205042] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2666), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(949), 17,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(947), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [205097] = 17,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4301), 1,
      sym_keyword_in,
    ACTIONS(4307), 1,
      sym_keyword_is,
    ACTIONS(4309), 1,
      anon_sym_SLASH,
    ACTIONS(4319), 1,
      anon_sym_PLUS,
    ACTIONS(4321), 1,
      anon_sym_DASH,
    ACTIONS(4323), 1,
      anon_sym_CARET,
    ACTIONS(4325), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4313), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4317), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2667), 2,
      sym_comment,
      sym_marginalia,
    STATE(2129), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4311), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2092), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1103), 13,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym__identifier,
  [205176] = 16,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4301), 1,
      sym_keyword_in,
    ACTIONS(4307), 1,
      sym_keyword_is,
    ACTIONS(4309), 1,
      anon_sym_SLASH,
    ACTIONS(4319), 1,
      anon_sym_PLUS,
    ACTIONS(4321), 1,
      anon_sym_DASH,
    ACTIONS(4323), 1,
      anon_sym_CARET,
    ACTIONS(4313), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4317), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2668), 2,
      sym_comment,
      sym_marginalia,
    STATE(2129), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4311), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2092), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 6,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1103), 13,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym__identifier,
  [205253] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4307), 1,
      sym_keyword_is,
    STATE(2669), 2,
      sym_comment,
      sym_marginalia,
    STATE(2129), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(2092), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1103), 18,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [205314] = 11,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4307), 1,
      sym_keyword_is,
    ACTIONS(4309), 1,
      anon_sym_SLASH,
    ACTIONS(4323), 1,
      anon_sym_CARET,
    ACTIONS(4313), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(2670), 2,
      sym_comment,
      sym_marginalia,
    STATE(2129), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(2092), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 11,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1103), 17,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [205381] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4697), 1,
      sym_keyword_is,
    ACTIONS(4699), 1,
      anon_sym_SLASH,
    ACTIONS(4703), 1,
      anon_sym_PLUS,
    ACTIONS(4705), 1,
      anon_sym_DASH,
    ACTIONS(4707), 1,
      anon_sym_CARET,
    ACTIONS(4729), 1,
      sym_keyword_in,
    ACTIONS(4735), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4737), 1,
      sym_keyword_and,
    ACTIONS(4801), 1,
      sym_keyword_or,
    ACTIONS(4803), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4701), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2671), 2,
      sym_comment,
      sym_marginalia,
    STATE(1949), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4731), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1944), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1291), 11,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [205470] = 25,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(1673), 1,
      sym_keyword_using,
    ACTIONS(4827), 1,
      sym_keyword_in,
    ACTIONS(4829), 1,
      sym_keyword_and,
    ACTIONS(4831), 1,
      sym_keyword_or,
    ACTIONS(4833), 1,
      sym_keyword_is,
    ACTIONS(4835), 1,
      anon_sym_SLASH,
    ACTIONS(4841), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4845), 1,
      anon_sym_PLUS,
    ACTIONS(4847), 1,
      anon_sym_DASH,
    ACTIONS(4849), 1,
      anon_sym_CARET,
    ACTIONS(4851), 1,
      anon_sym_PIPE_PIPE,
    STATE(4454), 1,
      sym_direction,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(1663), 2,
      sym_keyword_desc,
      sym_keyword_asc,
    ACTIONS(4839), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4843), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2672), 2,
      sym_comment,
      sym_marginalia,
    STATE(1758), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4837), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1760), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1661), 7,
      sym_keyword_limit,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [205565] = 26,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4853), 1,
      sym_keyword_having,
    ACTIONS(4855), 1,
      sym_keyword_in,
    ACTIONS(4857), 1,
      sym_keyword_and,
    ACTIONS(4859), 1,
      sym_keyword_or,
    ACTIONS(4861), 1,
      sym_keyword_is,
    ACTIONS(4863), 1,
      anon_sym_COMMA,
    ACTIONS(4865), 1,
      anon_sym_SLASH,
    ACTIONS(4871), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4875), 1,
      anon_sym_PLUS,
    ACTIONS(4877), 1,
      anon_sym_DASH,
    ACTIONS(4879), 1,
      anon_sym_CARET,
    ACTIONS(4881), 1,
      anon_sym_PIPE_PIPE,
    STATE(4571), 1,
      sym__having,
    STATE(4984), 1,
      aux_sym_array_repeat1,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4869), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4873), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2673), 2,
      sym_comment,
      sym_marginalia,
    STATE(2060), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4867), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2068), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1693), 7,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [205662] = 31,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1149), 1,
      sym_keyword_from,
    ACTIONS(1151), 1,
      sym_keyword_as,
    ACTIONS(1161), 1,
      sym_keyword_not,
    ACTIONS(1165), 1,
      sym_keyword_similar,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(4193), 1,
      sym_keyword_is,
    ACTIONS(4201), 1,
      sym_keyword_in,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4241), 1,
      sym_keyword_and,
    ACTIONS(4883), 1,
      sym_keyword_or,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    STATE(2766), 1,
      sym__double_quote_string,
    STATE(2770), 1,
      sym_identifier,
    STATE(4577), 1,
      sym__alias_identifier,
    STATE(4588), 1,
      sym__alias,
    ACTIONS(1163), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(1167), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2674), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [205769] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4887), 1,
      sym_keyword_unsigned,
    ACTIONS(4889), 1,
      sym_keyword_zerofill,
    ACTIONS(4891), 1,
      sym_keyword_precision,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    STATE(2675), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(985), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(983), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [205832] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4697), 1,
      sym_keyword_is,
    ACTIONS(4699), 1,
      anon_sym_SLASH,
    ACTIONS(4703), 1,
      anon_sym_PLUS,
    ACTIONS(4705), 1,
      anon_sym_DASH,
    ACTIONS(4707), 1,
      anon_sym_CARET,
    ACTIONS(4729), 1,
      sym_keyword_in,
    ACTIONS(4735), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4737), 1,
      sym_keyword_and,
    ACTIONS(4801), 1,
      sym_keyword_or,
    ACTIONS(4803), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4701), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2676), 2,
      sym_comment,
      sym_marginalia,
    STATE(1949), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4731), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1944), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1295), 11,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [205921] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4697), 1,
      sym_keyword_is,
    ACTIONS(4699), 1,
      anon_sym_SLASH,
    ACTIONS(4703), 1,
      anon_sym_PLUS,
    ACTIONS(4705), 1,
      anon_sym_DASH,
    ACTIONS(4707), 1,
      anon_sym_CARET,
    ACTIONS(4729), 1,
      sym_keyword_in,
    ACTIONS(4735), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4737), 1,
      sym_keyword_and,
    ACTIONS(4801), 1,
      sym_keyword_or,
    ACTIONS(4803), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4701), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2677), 2,
      sym_comment,
      sym_marginalia,
    STATE(1949), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4731), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1944), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1297), 11,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [206010] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4697), 1,
      sym_keyword_is,
    ACTIONS(4699), 1,
      anon_sym_SLASH,
    ACTIONS(4703), 1,
      anon_sym_PLUS,
    ACTIONS(4705), 1,
      anon_sym_DASH,
    ACTIONS(4707), 1,
      anon_sym_CARET,
    ACTIONS(4729), 1,
      sym_keyword_in,
    ACTIONS(4735), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4737), 1,
      sym_keyword_and,
    ACTIONS(4801), 1,
      sym_keyword_or,
    ACTIONS(4803), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4701), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2678), 2,
      sym_comment,
      sym_marginalia,
    STATE(1949), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4731), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1944), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1299), 11,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [206099] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4697), 1,
      sym_keyword_is,
    ACTIONS(4699), 1,
      anon_sym_SLASH,
    ACTIONS(4703), 1,
      anon_sym_PLUS,
    ACTIONS(4705), 1,
      anon_sym_DASH,
    ACTIONS(4707), 1,
      anon_sym_CARET,
    ACTIONS(4729), 1,
      sym_keyword_in,
    ACTIONS(4735), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4737), 1,
      sym_keyword_and,
    ACTIONS(4801), 1,
      sym_keyword_or,
    ACTIONS(4803), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4701), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2679), 2,
      sym_comment,
      sym_marginalia,
    STATE(1949), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4731), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1944), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1293), 11,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [206188] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4895), 1,
      sym_keyword_zerofill,
    STATE(2680), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1373), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1371), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [206245] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4897), 1,
      sym_keyword_zerofill,
    STATE(2681), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1431), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1429), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [206302] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4899), 1,
      sym_keyword_zerofill,
    STATE(2682), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1437), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1435), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [206359] = 14,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4301), 1,
      sym_keyword_in,
    ACTIONS(4307), 1,
      sym_keyword_is,
    ACTIONS(4309), 1,
      anon_sym_SLASH,
    ACTIONS(4319), 1,
      anon_sym_PLUS,
    ACTIONS(4321), 1,
      anon_sym_DASH,
    ACTIONS(4323), 1,
      anon_sym_CARET,
    ACTIONS(4313), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(2683), 2,
      sym_comment,
      sym_marginalia,
    STATE(2129), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(2092), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 10,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1103), 15,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      sym__identifier,
  [206432] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4307), 1,
      sym_keyword_is,
    ACTIONS(4323), 1,
      anon_sym_CARET,
    STATE(2684), 2,
      sym_comment,
      sym_marginalia,
    STATE(2129), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(2092), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 13,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1103), 18,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [206495] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2685), 2,
      sym_comment,
      sym_marginalia,
    STATE(2129), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(2092), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1103), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [206554] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2686), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1393), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1391), 34,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [206609] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4901), 1,
      anon_sym_LPAREN,
    STATE(2687), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1355), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1353), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [206666] = 21,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1161), 1,
      sym_keyword_not,
    ACTIONS(1165), 1,
      sym_keyword_similar,
    ACTIONS(4301), 1,
      sym_keyword_in,
    ACTIONS(4303), 1,
      sym_keyword_and,
    ACTIONS(4307), 1,
      sym_keyword_is,
    ACTIONS(4309), 1,
      anon_sym_SLASH,
    ACTIONS(4319), 1,
      anon_sym_PLUS,
    ACTIONS(4321), 1,
      anon_sym_DASH,
    ACTIONS(4323), 1,
      anon_sym_CARET,
    ACTIONS(4325), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1163), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4313), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4317), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2688), 2,
      sym_comment,
      sym_marginalia,
    STATE(2129), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4311), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2092), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1103), 8,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_or,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym__identifier,
  [206753] = 20,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1161), 1,
      sym_keyword_not,
    ACTIONS(1165), 1,
      sym_keyword_similar,
    ACTIONS(4301), 1,
      sym_keyword_in,
    ACTIONS(4307), 1,
      sym_keyword_is,
    ACTIONS(4309), 1,
      anon_sym_SLASH,
    ACTIONS(4319), 1,
      anon_sym_PLUS,
    ACTIONS(4321), 1,
      anon_sym_DASH,
    ACTIONS(4323), 1,
      anon_sym_CARET,
    ACTIONS(4325), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1163), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4313), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4317), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2689), 2,
      sym_comment,
      sym_marginalia,
    STATE(2129), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4311), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2092), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1103), 9,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym__identifier,
  [206838] = 13,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4307), 1,
      sym_keyword_is,
    ACTIONS(4309), 1,
      anon_sym_SLASH,
    ACTIONS(4319), 1,
      anon_sym_PLUS,
    ACTIONS(4321), 1,
      anon_sym_DASH,
    ACTIONS(4323), 1,
      anon_sym_CARET,
    ACTIONS(4313), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(2690), 2,
      sym_comment,
      sym_marginalia,
    STATE(2129), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(2092), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 10,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1103), 16,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      sym__identifier,
  [206909] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4903), 1,
      anon_sym_LPAREN,
    STATE(2691), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1349), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1347), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [206966] = 28,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(2567), 1,
      anon_sym_SQUOTE,
    ACTIONS(4595), 1,
      sym_keyword_tblproperties,
    ACTIONS(4709), 1,
      sym_keyword_partition,
    ACTIONS(4713), 1,
      sym_keyword_collate,
    ACTIONS(4715), 1,
      sym_keyword_engine,
    ACTIONS(4717), 1,
      sym_keyword_default,
    ACTIONS(4719), 1,
      sym_keyword_row,
    ACTIONS(4721), 1,
      sym_keyword_stored,
    ACTIONS(4723), 1,
      sym_keyword_location,
    ACTIONS(4725), 1,
      sym_keyword_partitioned,
    ACTIONS(4727), 1,
      sym_keyword_sort,
    ACTIONS(4905), 1,
      sym_keyword_as,
    STATE(2606), 1,
      sym__double_quote_string,
    STATE(3498), 1,
      aux_sym_create_table_repeat1,
    STATE(4505), 1,
      sym__table_settings,
    STATE(4524), 1,
      aux_sym_table_options_repeat2,
    STATE(4707), 1,
      sym_table_option,
    STATE(4939), 1,
      sym_table_options,
    ACTIONS(4661), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2692), 2,
      sym_comment,
      sym_marginalia,
    STATE(7485), 2,
      sym__literal_string,
      sym_identifier,
    STATE(4499), 5,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
    ACTIONS(4657), 10,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
  [207067] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4907), 1,
      anon_sym_LPAREN,
    STATE(2693), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1341), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1339), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [207124] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4909), 1,
      anon_sym_LPAREN,
    STATE(2694), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1335), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1333), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [207181] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4911), 1,
      anon_sym_LPAREN,
    STATE(2695), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1379), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1377), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [207238] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    STATE(2696), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1361), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1359), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [207295] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4655), 1,
      anon_sym_LPAREN,
    STATE(2697), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1045), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1043), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [207352] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4915), 1,
      sym_keyword_zerofill,
    STATE(2698), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1355), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1353), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [207409] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4917), 1,
      sym_keyword_zerofill,
    STATE(2699), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1463), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1461), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [207466] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4423), 1,
      sym_keyword_zerofill,
    STATE(2700), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1045), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1043), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [207523] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4919), 1,
      sym_keyword_zerofill,
    STATE(2701), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1425), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1423), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [207580] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4921), 1,
      sym_keyword_zerofill,
    STATE(2702), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1349), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1347), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [207637] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4923), 1,
      sym_keyword_zerofill,
    STATE(2703), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1413), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1411), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [207694] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4925), 1,
      sym_keyword_zerofill,
    STATE(2704), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1341), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1339), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [207751] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4927), 1,
      sym_keyword_zerofill,
    STATE(2705), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1367), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1365), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [207808] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4929), 1,
      sym_keyword_zerofill,
    STATE(2706), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1335), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1333), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [207865] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4931), 1,
      sym_keyword_zerofill,
    STATE(2707), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1457), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1455), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [207922] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4933), 1,
      sym_keyword_zerofill,
    STATE(2708), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1379), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1377), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [207979] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4307), 1,
      sym_keyword_is,
    STATE(2709), 2,
      sym_comment,
      sym_marginalia,
    STATE(2129), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(2092), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1111), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1113), 18,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [208040] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4935), 1,
      sym_keyword_zerofill,
    STATE(2710), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1361), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1359), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [208097] = 28,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(2567), 1,
      anon_sym_SQUOTE,
    ACTIONS(4595), 1,
      sym_keyword_tblproperties,
    ACTIONS(4709), 1,
      sym_keyword_partition,
    ACTIONS(4713), 1,
      sym_keyword_collate,
    ACTIONS(4715), 1,
      sym_keyword_engine,
    ACTIONS(4717), 1,
      sym_keyword_default,
    ACTIONS(4719), 1,
      sym_keyword_row,
    ACTIONS(4721), 1,
      sym_keyword_stored,
    ACTIONS(4723), 1,
      sym_keyword_location,
    ACTIONS(4725), 1,
      sym_keyword_partitioned,
    ACTIONS(4727), 1,
      sym_keyword_sort,
    ACTIONS(4937), 1,
      sym_keyword_as,
    STATE(2606), 1,
      sym__double_quote_string,
    STATE(3498), 1,
      aux_sym_create_table_repeat1,
    STATE(4505), 1,
      sym__table_settings,
    STATE(4524), 1,
      aux_sym_table_options_repeat2,
    STATE(4707), 1,
      sym_table_option,
    STATE(4949), 1,
      sym_table_options,
    ACTIONS(4651), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2711), 2,
      sym_comment,
      sym_marginalia,
    STATE(7485), 2,
      sym__literal_string,
      sym_identifier,
    STATE(4499), 5,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
    ACTIONS(4647), 10,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
  [208198] = 11,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4681), 1,
      sym_keyword_is,
    ACTIONS(4683), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_CARET,
    ACTIONS(4687), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(2712), 2,
      sym_comment,
      sym_marginalia,
    STATE(1893), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1892), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1103), 5,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1093), 23,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [208265] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2713), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1011), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1009), 36,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_null,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [208320] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2714), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1015), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1013), 36,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_null,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [208375] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2715), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1019), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1017), 36,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_null,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [208430] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2716), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(997), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(995), 36,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_null,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [208485] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4939), 1,
      anon_sym_LPAREN,
    STATE(2717), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1329), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1327), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [208542] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4941), 1,
      sym_keyword_unsigned,
    ACTIONS(4943), 1,
      sym_keyword_zerofill,
    ACTIONS(4945), 1,
      anon_sym_LPAREN,
    STATE(2718), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1045), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1043), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [208603] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4681), 1,
      sym_keyword_is,
    STATE(2719), 2,
      sym_comment,
      sym_marginalia,
    STATE(1893), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1892), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1113), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1111), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [208664] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4947), 1,
      sym_keyword_zerofill,
    STATE(2720), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1329), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1327), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [208721] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4671), 1,
      sym_keyword_unsigned,
    ACTIONS(4673), 1,
      sym_keyword_zerofill,
    ACTIONS(4677), 1,
      anon_sym_LPAREN,
    STATE(2721), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(985), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(983), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [208782] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4949), 1,
      sym_keyword_unsigned,
    ACTIONS(4951), 1,
      sym_keyword_zerofill,
    ACTIONS(4953), 1,
      anon_sym_LPAREN,
    STATE(2722), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1055), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1053), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [208843] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4955), 1,
      sym_keyword_unsigned,
    ACTIONS(4957), 1,
      sym_keyword_zerofill,
    ACTIONS(4959), 1,
      anon_sym_LPAREN,
    STATE(2723), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1035), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1033), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [208904] = 28,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(2567), 1,
      anon_sym_SQUOTE,
    ACTIONS(4595), 1,
      sym_keyword_tblproperties,
    ACTIONS(4709), 1,
      sym_keyword_partition,
    ACTIONS(4713), 1,
      sym_keyword_collate,
    ACTIONS(4715), 1,
      sym_keyword_engine,
    ACTIONS(4717), 1,
      sym_keyword_default,
    ACTIONS(4719), 1,
      sym_keyword_row,
    ACTIONS(4721), 1,
      sym_keyword_stored,
    ACTIONS(4723), 1,
      sym_keyword_location,
    ACTIONS(4725), 1,
      sym_keyword_partitioned,
    ACTIONS(4727), 1,
      sym_keyword_sort,
    ACTIONS(4937), 1,
      sym_keyword_as,
    STATE(2606), 1,
      sym__double_quote_string,
    STATE(2692), 1,
      aux_sym_create_table_repeat1,
    STATE(4505), 1,
      sym__table_settings,
    STATE(4524), 1,
      aux_sym_table_options_repeat2,
    STATE(4707), 1,
      sym_table_option,
    STATE(4949), 1,
      sym_table_options,
    ACTIONS(4651), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(2724), 2,
      sym_comment,
      sym_marginalia,
    STATE(7485), 2,
      sym__literal_string,
      sym_identifier,
    STATE(4499), 5,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
    ACTIONS(4647), 10,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
  [209005] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4961), 1,
      sym_keyword_unsigned,
    ACTIONS(4963), 1,
      sym_keyword_zerofill,
    ACTIONS(4965), 1,
      anon_sym_LPAREN,
    STATE(2725), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1001), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(999), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [209066] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4967), 1,
      sym_keyword_unsigned,
    ACTIONS(4969), 1,
      sym_keyword_zerofill,
    ACTIONS(4971), 1,
      anon_sym_LPAREN,
    STATE(2726), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1065), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1063), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [209127] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2727), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1027), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1025), 36,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_null,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [209182] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4973), 1,
      sym_keyword_unsigned,
    ACTIONS(4975), 1,
      sym_keyword_zerofill,
    ACTIONS(4977), 1,
      anon_sym_LPAREN,
    STATE(2728), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1075), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1073), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [209243] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4979), 1,
      sym_keyword_unsigned,
    ACTIONS(4981), 1,
      sym_keyword_zerofill,
    ACTIONS(4983), 1,
      anon_sym_LPAREN,
    STATE(2729), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1085), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1083), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [209304] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2730), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1587), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1585), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [209358] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1915), 1,
      anon_sym_DOT,
    STATE(2731), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1911), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1913), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [209414] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2732), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1655), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1653), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [209468] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2733), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1659), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1657), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [209522] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4985), 1,
      sym_keyword_zerofill,
    STATE(2734), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1327), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1329), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [209578] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4987), 1,
      anon_sym_LPAREN,
    STATE(2735), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1327), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1329), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [209634] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4989), 1,
      sym_keyword_zerofill,
    STATE(2736), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1359), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1361), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [209690] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4991), 1,
      sym_keyword_zerofill,
    STATE(2737), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1377), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1379), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [209746] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4993), 1,
      aux_sym_keyword_with_token1,
    ACTIONS(4995), 1,
      aux_sym_keyword_timestamp_token2,
    STATE(2738), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1443), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1441), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [209804] = 16,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4827), 1,
      sym_keyword_in,
    ACTIONS(4833), 1,
      sym_keyword_is,
    ACTIONS(4835), 1,
      anon_sym_SLASH,
    ACTIONS(4845), 1,
      anon_sym_PLUS,
    ACTIONS(4847), 1,
      anon_sym_DASH,
    ACTIONS(4849), 1,
      anon_sym_CARET,
    ACTIONS(4851), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4839), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4843), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2739), 2,
      sym_comment,
      sym_marginalia,
    STATE(1758), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4837), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1760), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 17,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [209880] = 15,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4827), 1,
      sym_keyword_in,
    ACTIONS(4833), 1,
      sym_keyword_is,
    ACTIONS(4835), 1,
      anon_sym_SLASH,
    ACTIONS(4845), 1,
      anon_sym_PLUS,
    ACTIONS(4847), 1,
      anon_sym_DASH,
    ACTIONS(4849), 1,
      anon_sym_CARET,
    ACTIONS(4839), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4843), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2740), 2,
      sym_comment,
      sym_marginalia,
    STATE(1758), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4837), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1760), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 18,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_PIPE,
  [209954] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4833), 1,
      sym_keyword_is,
    STATE(2741), 2,
      sym_comment,
      sym_marginalia,
    STATE(1758), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1760), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1103), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1093), 26,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [210014] = 11,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4833), 1,
      sym_keyword_is,
    ACTIONS(4835), 1,
      anon_sym_SLASH,
    ACTIONS(4849), 1,
      anon_sym_CARET,
    ACTIONS(4839), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(2742), 2,
      sym_comment,
      sym_marginalia,
    STATE(1758), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1103), 4,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    STATE(1760), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 23,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [210080] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2743), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1643), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1641), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [210134] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2744), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1727), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1725), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [210188] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2745), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1647), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1645), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [210242] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4997), 1,
      sym_keyword_zerofill,
    STATE(2746), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1333), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1335), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [210298] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4999), 1,
      sym_keyword_zerofill,
    STATE(2747), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1339), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1341), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [210354] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5001), 1,
      sym_keyword_zerofill,
    STATE(2748), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1347), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1349), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [210410] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4607), 1,
      sym_keyword_zerofill,
    STATE(2749), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1043), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1045), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [210466] = 14,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4827), 1,
      sym_keyword_in,
    ACTIONS(4833), 1,
      sym_keyword_is,
    ACTIONS(4835), 1,
      anon_sym_SLASH,
    ACTIONS(4845), 1,
      anon_sym_PLUS,
    ACTIONS(4847), 1,
      anon_sym_DASH,
    ACTIONS(4849), 1,
      anon_sym_CARET,
    ACTIONS(1103), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4839), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(2750), 2,
      sym_comment,
      sym_marginalia,
    STATE(1758), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1760), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 22,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [210538] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4833), 1,
      sym_keyword_is,
    ACTIONS(4849), 1,
      anon_sym_CARET,
    STATE(2751), 2,
      sym_comment,
      sym_marginalia,
    STATE(1758), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1760), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1103), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1093), 25,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [210600] = 20,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4827), 1,
      sym_keyword_in,
    ACTIONS(4829), 1,
      sym_keyword_and,
    ACTIONS(4833), 1,
      sym_keyword_is,
    ACTIONS(4835), 1,
      anon_sym_SLASH,
    ACTIONS(4845), 1,
      anon_sym_PLUS,
    ACTIONS(4847), 1,
      anon_sym_DASH,
    ACTIONS(4849), 1,
      anon_sym_CARET,
    ACTIONS(4851), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4839), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4843), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2752), 2,
      sym_comment,
      sym_marginalia,
    STATE(1758), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4837), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1760), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 12,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [210684] = 19,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4827), 1,
      sym_keyword_in,
    ACTIONS(4833), 1,
      sym_keyword_is,
    ACTIONS(4835), 1,
      anon_sym_SLASH,
    ACTIONS(4845), 1,
      anon_sym_PLUS,
    ACTIONS(4847), 1,
      anon_sym_DASH,
    ACTIONS(4849), 1,
      anon_sym_CARET,
    ACTIONS(4851), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4839), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4843), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2753), 2,
      sym_comment,
      sym_marginalia,
    STATE(1758), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4837), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1760), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 13,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [210766] = 13,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4833), 1,
      sym_keyword_is,
    ACTIONS(4835), 1,
      anon_sym_SLASH,
    ACTIONS(4845), 1,
      anon_sym_PLUS,
    ACTIONS(4847), 1,
      anon_sym_DASH,
    ACTIONS(4849), 1,
      anon_sym_CARET,
    ACTIONS(4839), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(2754), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1103), 3,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1758), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1760), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 22,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [210836] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5003), 1,
      sym_keyword_zerofill,
    STATE(2755), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1353), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1355), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [210892] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4745), 1,
      anon_sym_LPAREN,
    STATE(2756), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1043), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1045), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [210948] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2757), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1731), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1729), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [211002] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5005), 1,
      sym_keyword_precision,
    ACTIONS(5007), 1,
      anon_sym_LPAREN,
    STATE(2758), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1045), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1043), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [211060] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5009), 1,
      anon_sym_LPAREN,
    STATE(2759), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1359), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1361), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [211116] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5011), 1,
      anon_sym_LPAREN,
    STATE(2760), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1377), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1379), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [211172] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5013), 1,
      anon_sym_LPAREN,
    STATE(2761), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1333), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1335), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [211228] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5015), 1,
      anon_sym_LPAREN,
    STATE(2762), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1339), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1341), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [211284] = 26,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5017), 1,
      ts_builtin_sym_end,
    ACTIONS(5019), 1,
      sym_keyword_select,
    ACTIONS(5022), 1,
      sym_keyword_delete,
    ACTIONS(5028), 1,
      sym_keyword_update,
    ACTIONS(5031), 1,
      sym_keyword_create,
    ACTIONS(5034), 1,
      sym_keyword_alter,
    ACTIONS(5037), 1,
      sym_keyword_drop,
    ACTIONS(5040), 1,
      aux_sym_keyword_with_token1,
    ACTIONS(5043), 1,
      sym_keyword_begin,
    STATE(2903), 1,
      sym__begin,
    STATE(4686), 1,
      sym_select,
    STATE(4868), 1,
      sym_insert,
    STATE(4892), 1,
      sym_update,
    STATE(5569), 1,
      sym_keyword_with,
    STATE(5844), 1,
      sym_delete,
    ACTIONS(5025), 2,
      sym_keyword_insert,
      sym_keyword_replace,
    STATE(4884), 2,
      sym_alter_table,
      sym_alter_view,
    STATE(4917), 2,
      sym__ddl_statement,
      sym__dml_statement,
    STATE(2763), 3,
      sym_comment,
      sym_marginalia,
      aux_sym_program_repeat1,
    STATE(4882), 3,
      sym_drop_table,
      sym_drop_view,
      sym_drop_index,
    STATE(4911), 3,
      sym__create_statement,
      sym__alter_statement,
      sym__drop_statement,
    STATE(4989), 3,
      sym_compound_statement,
      sym_statement,
      sym_transaction,
    STATE(4807), 4,
      sym__select_statement,
      sym__delete_statement,
      sym__insert_statement,
      sym__update_statement,
    STATE(4886), 4,
      sym_create_table,
      sym_create_view,
      sym_create_materialized_view,
      sym_create_index,
  [211380] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5046), 1,
      anon_sym_LPAREN,
    STATE(2764), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1353), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1355), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [211436] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2765), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1391), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1393), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [211490] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2766), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1909), 39,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_set,
      sym_keyword_from,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [211542] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2767), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(947), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(949), 35,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [211596] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2768), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1329), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1327), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [211650] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5050), 1,
      anon_sym_LPAREN,
    STATE(3179), 1,
      sym__column_list,
    STATE(2769), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5048), 37,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [211706] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2770), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1915), 39,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_set,
      sym_keyword_from,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [211758] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2771), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1611), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1609), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [211812] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4785), 1,
      sym_keyword_where,
    ACTIONS(4787), 1,
      sym_keyword_order,
    ACTIONS(4789), 1,
      sym_keyword_group,
    ACTIONS(5052), 1,
      sym_keyword_left,
    ACTIONS(5054), 1,
      sym_keyword_right,
    ACTIONS(5058), 1,
      sym_keyword_join,
    ACTIONS(5060), 1,
      sym_keyword_limit,
    ACTIONS(5062), 1,
      anon_sym_COMMA,
    STATE(3727), 1,
      aux_sym_from_repeat1,
    STATE(3732), 1,
      sym_index_hint,
    STATE(4160), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(4556), 1,
      sym_where,
    STATE(4617), 1,
      sym_limit,
    STATE(4618), 1,
      sym_group_by,
    STATE(4712), 1,
      sym_order_by,
    ACTIONS(5056), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(2772), 2,
      sym_comment,
      sym_marginalia,
    STATE(4270), 2,
      sym_join,
      sym_lateral_join,
    ACTIONS(4793), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(4799), 17,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      anon_sym_SEMI,
  [211900] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    STATE(2773), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1397), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1399), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [211956] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2774), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1499), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1497), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [212010] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5066), 1,
      anon_sym_LPAREN,
    STATE(2775), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1405), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1407), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [212066] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2776), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1255), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1257), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [212120] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1915), 1,
      anon_sym_DOT,
    ACTIONS(5068), 1,
      anon_sym_LPAREN,
    STATE(2777), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1959), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1957), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [212178] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2778), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1123), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1125), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [212232] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4785), 1,
      sym_keyword_where,
    ACTIONS(4787), 1,
      sym_keyword_order,
    ACTIONS(4789), 1,
      sym_keyword_group,
    ACTIONS(5052), 1,
      sym_keyword_left,
    ACTIONS(5054), 1,
      sym_keyword_right,
    ACTIONS(5058), 1,
      sym_keyword_join,
    ACTIONS(5060), 1,
      sym_keyword_limit,
    ACTIONS(5062), 1,
      anon_sym_COMMA,
    STATE(3855), 1,
      aux_sym_from_repeat1,
    STATE(3857), 1,
      sym_index_hint,
    STATE(4160), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(4559), 1,
      sym_where,
    STATE(4637), 1,
      sym_limit,
    STATE(4642), 1,
      sym_group_by,
    STATE(4739), 1,
      sym_order_by,
    ACTIONS(5056), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(2779), 2,
      sym_comment,
      sym_marginalia,
    STATE(4270), 2,
      sym_join,
      sym_lateral_join,
    ACTIONS(4793), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(4775), 17,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      anon_sym_SEMI,
  [212320] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5070), 1,
      anon_sym_LPAREN,
    STATE(2780), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1383), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1385), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [212376] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5072), 1,
      anon_sym_LPAREN,
    STATE(2781), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1417), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1419), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [212432] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2782), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1635), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1633), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [212486] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2783), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1631), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1629), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [212540] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2784), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1583), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1581), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [212594] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2785), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1547), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1545), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [212648] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4785), 1,
      sym_keyword_where,
    ACTIONS(4787), 1,
      sym_keyword_order,
    ACTIONS(4789), 1,
      sym_keyword_group,
    ACTIONS(5052), 1,
      sym_keyword_left,
    ACTIONS(5054), 1,
      sym_keyword_right,
    ACTIONS(5058), 1,
      sym_keyword_join,
    ACTIONS(5060), 1,
      sym_keyword_limit,
    ACTIONS(5062), 1,
      anon_sym_COMMA,
    STATE(2772), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(3740), 1,
      sym_index_hint,
    STATE(3785), 1,
      aux_sym_from_repeat1,
    STATE(4557), 1,
      sym_where,
    STATE(4650), 1,
      sym_group_by,
    STATE(4658), 1,
      sym_limit,
    STATE(4723), 1,
      sym_order_by,
    ACTIONS(5056), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(2786), 2,
      sym_comment,
      sym_marginalia,
    STATE(4270), 2,
      sym_join,
      sym_lateral_join,
    ACTIONS(4793), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(4805), 17,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      anon_sym_SEMI,
  [212736] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4785), 1,
      sym_keyword_where,
    ACTIONS(4787), 1,
      sym_keyword_order,
    ACTIONS(4789), 1,
      sym_keyword_group,
    ACTIONS(5052), 1,
      sym_keyword_left,
    ACTIONS(5054), 1,
      sym_keyword_right,
    ACTIONS(5058), 1,
      sym_keyword_join,
    ACTIONS(5060), 1,
      sym_keyword_limit,
    ACTIONS(5062), 1,
      anon_sym_COMMA,
    STATE(2779), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(3727), 1,
      aux_sym_from_repeat1,
    STATE(3732), 1,
      sym_index_hint,
    STATE(4556), 1,
      sym_where,
    STATE(4617), 1,
      sym_limit,
    STATE(4618), 1,
      sym_group_by,
    STATE(4712), 1,
      sym_order_by,
    ACTIONS(5056), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(2787), 2,
      sym_comment,
      sym_marginalia,
    STATE(4270), 2,
      sym_join,
      sym_lateral_join,
    ACTIONS(4793), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(4799), 17,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      anon_sym_SEMI,
  [212824] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2788), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1503), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1501), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [212878] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2789), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1507), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1505), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [212932] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2790), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1511), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1509), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [212986] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2791), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1515), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1513), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [213040] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5074), 1,
      sym_keyword_unsigned,
    ACTIONS(5076), 1,
      sym_keyword_zerofill,
    STATE(2792), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1233), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1231), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [213098] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5078), 1,
      sym_keyword_unsigned,
    ACTIONS(5080), 1,
      sym_keyword_zerofill,
    STATE(2793), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1209), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1207), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [213156] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5082), 1,
      sym_keyword_unsigned,
    ACTIONS(5084), 1,
      sym_keyword_zerofill,
    STATE(2794), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1201), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1199), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [213214] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2795), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1651), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1649), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [213268] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5086), 1,
      sym_keyword_unsigned,
    ACTIONS(5088), 1,
      sym_keyword_zerofill,
    STATE(2796), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1241), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1239), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [213326] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5050), 1,
      anon_sym_LPAREN,
    STATE(3040), 1,
      sym__column_list,
    STATE(2797), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5090), 37,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [213382] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5092), 1,
      sym_keyword_unsigned,
    ACTIONS(5094), 1,
      sym_keyword_zerofill,
    STATE(2798), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1225), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1223), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [213440] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1909), 1,
      anon_sym_DOT,
    STATE(2799), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1905), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1907), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [213496] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5096), 1,
      sym__natural_number,
    STATE(2800), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1899), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1901), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [213552] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2801), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2131), 16,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2133), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [213606] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2802), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1361), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1359), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [213660] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2803), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1615), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1613), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [213714] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2804), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1519), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1517), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [213768] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2805), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1379), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1377), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [213822] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2806), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1457), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1455), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [213876] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2807), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1335), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1333), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [213930] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2808), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1367), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1365), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [213984] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2809), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1341), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1339), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [214038] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2810), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1413), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1411), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [214092] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2811), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1349), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1347), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [214146] = 27,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9), 1,
      sym_keyword_select,
    ACTIONS(11), 1,
      sym_keyword_delete,
    ACTIONS(15), 1,
      sym_keyword_update,
    ACTIONS(17), 1,
      sym_keyword_create,
    ACTIONS(19), 1,
      sym_keyword_alter,
    ACTIONS(21), 1,
      sym_keyword_drop,
    ACTIONS(23), 1,
      aux_sym_keyword_with_token1,
    ACTIONS(25), 1,
      sym_keyword_begin,
    ACTIONS(5098), 1,
      ts_builtin_sym_end,
    STATE(2763), 1,
      aux_sym_program_repeat1,
    STATE(2903), 1,
      sym__begin,
    STATE(4686), 1,
      sym_select,
    STATE(4868), 1,
      sym_insert,
    STATE(4892), 1,
      sym_update,
    STATE(5569), 1,
      sym_keyword_with,
    STATE(5844), 1,
      sym_delete,
    ACTIONS(13), 2,
      sym_keyword_insert,
      sym_keyword_replace,
    STATE(2812), 2,
      sym_comment,
      sym_marginalia,
    STATE(4884), 2,
      sym_alter_table,
      sym_alter_view,
    STATE(4917), 2,
      sym__ddl_statement,
      sym__dml_statement,
    STATE(4882), 3,
      sym_drop_table,
      sym_drop_view,
      sym_drop_index,
    STATE(4911), 3,
      sym__create_statement,
      sym__alter_statement,
      sym__drop_statement,
    STATE(4989), 3,
      sym_compound_statement,
      sym_statement,
      sym_transaction,
    STATE(4807), 4,
      sym__select_statement,
      sym__delete_statement,
      sym__insert_statement,
      sym__update_statement,
    STATE(4886), 4,
      sym_create_table,
      sym_create_view,
      sym_create_materialized_view,
      sym_create_index,
  [214244] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2813), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1425), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1423), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [214298] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2814), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1045), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1043), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [214352] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2815), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1463), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1461), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [214406] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2816), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1559), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1557), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [214460] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5100), 1,
      anon_sym_DOT,
    STATE(2817), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2001), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2003), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [214516] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5102), 1,
      sym_keyword_unsigned,
    ACTIONS(5104), 1,
      sym_keyword_zerofill,
    STATE(2818), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1117), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1115), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [214574] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5106), 1,
      sym_keyword_unsigned,
    ACTIONS(5108), 1,
      sym_keyword_zerofill,
    STATE(2819), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1193), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1191), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [214632] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2820), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1563), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1561), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [214686] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2821), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1355), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1353), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [214740] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2822), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1567), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1565), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [214794] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2823), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1575), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1573), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [214848] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2824), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1579), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1577), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [214902] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1909), 1,
      anon_sym_DOT,
    STATE(2825), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2007), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2009), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [214958] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2826), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1591), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1589), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [215012] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2827), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1595), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1593), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [215066] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2828), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1217), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1215), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [215120] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5050), 1,
      anon_sym_LPAREN,
    STATE(3154), 1,
      sym__column_list,
    STATE(2829), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5110), 37,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [215176] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5112), 1,
      sym_keyword_over,
    STATE(2830), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2209), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2211), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [215232] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2831), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2015), 16,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2017), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [215286] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5114), 1,
      sym_keyword_zerofill,
    STATE(2832), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1455), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1457), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [215342] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5116), 1,
      sym_keyword_zerofill,
    STATE(2833), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1365), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1367), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [215398] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5118), 1,
      sym_keyword_zerofill,
    STATE(2834), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1411), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1413), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [215454] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2835), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1011), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1009), 33,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [215508] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2836), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1437), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1435), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [215562] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4833), 1,
      sym_keyword_is,
    STATE(2837), 2,
      sym_comment,
      sym_marginalia,
    STATE(1758), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1760), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1113), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1111), 26,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [215622] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2838), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1431), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1429), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [215676] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2839), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1639), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1637), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [215730] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2840), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1603), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1601), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [215784] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2841), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1619), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1617), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [215838] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2842), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1015), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1013), 33,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [215892] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2843), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1373), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1371), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [215946] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2844), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1623), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1621), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [216000] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2845), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1627), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1625), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [216054] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5120), 1,
      sym_keyword_zerofill,
    STATE(2846), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1423), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1425), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [216110] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5122), 1,
      sym_keyword_unsigned,
    ACTIONS(5124), 1,
      sym_keyword_zerofill,
    STATE(2847), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1217), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1215), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [216168] = 13,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4861), 1,
      sym_keyword_is,
    ACTIONS(4865), 1,
      anon_sym_SLASH,
    ACTIONS(4875), 1,
      anon_sym_PLUS,
    ACTIONS(4877), 1,
      anon_sym_DASH,
    ACTIONS(4879), 1,
      anon_sym_CARET,
    ACTIONS(4869), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(2848), 2,
      sym_comment,
      sym_marginalia,
    STATE(2060), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1103), 4,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2068), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 21,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [216238] = 20,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1103), 1,
      sym_keyword_or,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4855), 1,
      sym_keyword_in,
    ACTIONS(4861), 1,
      sym_keyword_is,
    ACTIONS(4865), 1,
      anon_sym_SLASH,
    ACTIONS(4875), 1,
      anon_sym_PLUS,
    ACTIONS(4877), 1,
      anon_sym_DASH,
    ACTIONS(4879), 1,
      anon_sym_CARET,
    ACTIONS(4881), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4869), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4873), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2849), 2,
      sym_comment,
      sym_marginalia,
    STATE(2060), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4867), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2068), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 12,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [216322] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2850), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1019), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1017), 33,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [216376] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4861), 1,
      sym_keyword_is,
    STATE(2851), 2,
      sym_comment,
      sym_marginalia,
    STATE(2060), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(2068), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1113), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1111), 25,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [216436] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2852), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(997), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(995), 33,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [216490] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2853), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1027), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1025), 33,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [216544] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2854), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1031), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1029), 33,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [216598] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5126), 1,
      sym_keyword_unsigned,
    ACTIONS(5128), 1,
      sym_keyword_zerofill,
    ACTIONS(5130), 1,
      anon_sym_LPAREN,
    STATE(2855), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1035), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1033), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [216658] = 21,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1103), 1,
      sym_keyword_or,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4855), 1,
      sym_keyword_in,
    ACTIONS(4857), 1,
      sym_keyword_and,
    ACTIONS(4861), 1,
      sym_keyword_is,
    ACTIONS(4865), 1,
      anon_sym_SLASH,
    ACTIONS(4875), 1,
      anon_sym_PLUS,
    ACTIONS(4877), 1,
      anon_sym_DASH,
    ACTIONS(4879), 1,
      anon_sym_CARET,
    ACTIONS(4881), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4869), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4873), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2856), 2,
      sym_comment,
      sym_marginalia,
    STATE(2060), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4867), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2068), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 11,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [216744] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2857), 2,
      sym_comment,
      sym_marginalia,
    STATE(1758), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1760), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1103), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1093), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [216802] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5132), 1,
      sym_keyword_unsigned,
    ACTIONS(5134), 1,
      sym_keyword_zerofill,
    ACTIONS(5136), 1,
      anon_sym_LPAREN,
    STATE(2858), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1085), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1083), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [216862] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4861), 1,
      sym_keyword_is,
    ACTIONS(4879), 1,
      anon_sym_CARET,
    STATE(2859), 2,
      sym_comment,
      sym_marginalia,
    STATE(2060), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(2068), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1103), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1093), 24,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [216924] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2860), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(973), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(971), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_over,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [216978] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2861), 2,
      sym_comment,
      sym_marginalia,
    STATE(2060), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(2068), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1103), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1093), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [217036] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2862), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(969), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(967), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_over,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [217090] = 14,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4855), 1,
      sym_keyword_in,
    ACTIONS(4861), 1,
      sym_keyword_is,
    ACTIONS(4865), 1,
      anon_sym_SLASH,
    ACTIONS(4875), 1,
      anon_sym_PLUS,
    ACTIONS(4877), 1,
      anon_sym_DASH,
    ACTIONS(4879), 1,
      anon_sym_CARET,
    ACTIONS(4869), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(2863), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1103), 3,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2060), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(2068), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 21,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [217162] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5138), 1,
      sym_keyword_unsigned,
    ACTIONS(5140), 1,
      sym_keyword_zerofill,
    ACTIONS(5142), 1,
      anon_sym_LPAREN,
    STATE(2864), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1001), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(999), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [217222] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5144), 1,
      sym_keyword_unsigned,
    ACTIONS(5146), 1,
      sym_keyword_zerofill,
    ACTIONS(5148), 1,
      anon_sym_LPAREN,
    STATE(2865), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1065), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1063), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [217282] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5150), 1,
      sym_keyword_unsigned,
    ACTIONS(5152), 1,
      sym_keyword_zerofill,
    ACTIONS(5154), 1,
      anon_sym_LPAREN,
    STATE(2866), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1075), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1073), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [217342] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5156), 1,
      sym_keyword_unsigned,
    ACTIONS(5158), 1,
      sym_keyword_zerofill,
    ACTIONS(5160), 1,
      anon_sym_LPAREN,
    STATE(2867), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1055), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1053), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [217402] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2868), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1495), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1493), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [217456] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2869), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(965), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(963), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_over,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [217510] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4887), 1,
      sym_keyword_unsigned,
    ACTIONS(4889), 1,
      sym_keyword_zerofill,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    STATE(2870), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(985), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(983), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [217570] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5162), 1,
      sym_keyword_zerofill,
    STATE(2871), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1461), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1463), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [217626] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5164), 1,
      aux_sym_keyword_varchar_token2,
    STATE(2872), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1125), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1123), 34,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [217682] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2873), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(985), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(983), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [217736] = 11,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4861), 1,
      sym_keyword_is,
    ACTIONS(4865), 1,
      anon_sym_SLASH,
    ACTIONS(4879), 1,
      anon_sym_CARET,
    ACTIONS(4869), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(2874), 2,
      sym_comment,
      sym_marginalia,
    STATE(2060), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(2068), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1103), 5,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1093), 22,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [217802] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4861), 1,
      sym_keyword_is,
    STATE(2875), 2,
      sym_comment,
      sym_marginalia,
    STATE(2060), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(2068), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1103), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1093), 25,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [217862] = 16,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1103), 1,
      sym_keyword_or,
    ACTIONS(4855), 1,
      sym_keyword_in,
    ACTIONS(4861), 1,
      sym_keyword_is,
    ACTIONS(4865), 1,
      anon_sym_SLASH,
    ACTIONS(4875), 1,
      anon_sym_PLUS,
    ACTIONS(4877), 1,
      anon_sym_DASH,
    ACTIONS(4879), 1,
      anon_sym_CARET,
    ACTIONS(4869), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4873), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2876), 2,
      sym_comment,
      sym_marginalia,
    STATE(2060), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4867), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2068), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 17,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_PIPE,
  [217938] = 17,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1103), 1,
      sym_keyword_or,
    ACTIONS(4855), 1,
      sym_keyword_in,
    ACTIONS(4861), 1,
      sym_keyword_is,
    ACTIONS(4865), 1,
      anon_sym_SLASH,
    ACTIONS(4875), 1,
      anon_sym_PLUS,
    ACTIONS(4877), 1,
      anon_sym_DASH,
    ACTIONS(4879), 1,
      anon_sym_CARET,
    ACTIONS(4881), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4869), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4873), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2877), 2,
      sym_comment,
      sym_marginalia,
    STATE(2060), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4867), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2068), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 16,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [218016] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5166), 1,
      sym_keyword_zerofill,
    STATE(2878), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1371), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1373), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [218072] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2879), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1607), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1605), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [218126] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2880), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1599), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1597), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [218180] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5168), 1,
      sym_keyword_unsigned,
    ACTIONS(5170), 1,
      sym_keyword_zerofill,
    ACTIONS(5172), 1,
      anon_sym_LPAREN,
    STATE(2881), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1045), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1043), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [218240] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5174), 1,
      anon_sym_LPAREN,
    STATE(2882), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1347), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1349), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [218296] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2883), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(951), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(953), 35,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [218350] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2884), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1571), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1569), 33,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [218404] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5176), 1,
      sym_keyword_zerofill,
    STATE(2885), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1429), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1431), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [218460] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5050), 1,
      anon_sym_LPAREN,
    STATE(3088), 1,
      sym__column_list,
    STATE(2886), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5178), 37,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [218516] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5180), 1,
      sym_keyword_zerofill,
    STATE(2887), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1435), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1437), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [218572] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5182), 1,
      sym_keyword_unsigned,
    ACTIONS(5184), 1,
      sym_keyword_zerofill,
    STATE(2888), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1201), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1199), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [218629] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2889), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1565), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1567), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [218682] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2890), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1593), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1595), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [218735] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1915), 1,
      anon_sym_DOT,
    ACTIONS(5186), 1,
      anon_sym_LPAREN,
    STATE(2891), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1959), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1957), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [218792] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2892), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2249), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2251), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [218845] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2893), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1429), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1431), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [218898] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5188), 1,
      sym_keyword_precision,
    ACTIONS(5190), 1,
      anon_sym_LPAREN,
    STATE(2894), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1045), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1043), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [218955] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2895), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(967), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(969), 34,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [219008] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2896), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1589), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1591), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [219061] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2897), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1585), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1587), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [219114] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2898), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1577), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1579), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [219167] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2899), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1573), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1575), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [219220] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2900), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1493), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1495), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [219273] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2901), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2243), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2245), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [219326] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2902), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1601), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1603), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [219379] = 27,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11), 1,
      sym_keyword_delete,
    ACTIONS(23), 1,
      aux_sym_keyword_with_token1,
    ACTIONS(5192), 1,
      sym_keyword_select,
    ACTIONS(5196), 1,
      sym_keyword_update,
    ACTIONS(5198), 1,
      sym_keyword_create,
    ACTIONS(5200), 1,
      sym_keyword_alter,
    ACTIONS(5202), 1,
      sym_keyword_drop,
    ACTIONS(5204), 1,
      sym_keyword_commit,
    ACTIONS(5206), 1,
      sym_keyword_rollback,
    STATE(3008), 1,
      aux_sym_compound_statement_repeat1,
    STATE(4638), 1,
      sym_select,
    STATE(4838), 1,
      sym_update,
    STATE(4840), 1,
      sym_insert,
    STATE(4973), 1,
      sym_statement,
    STATE(5513), 1,
      sym_keyword_with,
    STATE(5833), 1,
      sym_delete,
    ACTIONS(5194), 2,
      sym_keyword_insert,
      sym_keyword_replace,
    STATE(2903), 2,
      sym_comment,
      sym_marginalia,
    STATE(4884), 2,
      sym_alter_table,
      sym_alter_view,
    STATE(4917), 2,
      sym__ddl_statement,
      sym__dml_statement,
    STATE(4983), 2,
      sym__commit,
      sym__rollback,
    STATE(4882), 3,
      sym_drop_table,
      sym_drop_view,
      sym_drop_index,
    STATE(4911), 3,
      sym__create_statement,
      sym__alter_statement,
      sym__drop_statement,
    STATE(4807), 4,
      sym__select_statement,
      sym__delete_statement,
      sym__insert_statement,
      sym__update_statement,
    STATE(4886), 4,
      sym_create_table,
      sym_create_view,
      sym_create_materialized_view,
      sym_create_index,
  [219476] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2904), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1561), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1563), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [219529] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2905), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1557), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1559), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [219582] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2906), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2253), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2255), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [219635] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2907), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2017), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2015), 34,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [219688] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2908), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1461), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1463), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [219741] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2909), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1371), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1373), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [219794] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2910), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1621), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1623), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [219847] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2911), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(971), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(973), 34,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [219900] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2912), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1625), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1627), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [219953] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2913), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(977), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(975), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [220006] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2914), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1423), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1425), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [220059] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2915), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(981), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(979), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [220112] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4679), 1,
      sym_keyword_in,
    ACTIONS(4681), 1,
      sym_keyword_is,
    ACTIONS(4683), 1,
      anon_sym_SLASH,
    ACTIONS(4691), 1,
      anon_sym_PLUS,
    ACTIONS(4693), 1,
      anon_sym_DASH,
    ACTIONS(4695), 1,
      anon_sym_CARET,
    ACTIONS(4739), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4741), 1,
      sym_keyword_and,
    ACTIONS(5208), 1,
      sym_keyword_or,
    ACTIONS(5210), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4687), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4689), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2916), 2,
      sym_comment,
      sym_marginalia,
    STATE(1893), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4685), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1892), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1849), 9,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [220199] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2917), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(957), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(955), 34,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [220252] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2918), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(963), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(965), 34,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [220305] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5212), 1,
      aux_sym_keyword_with_token1,
    ACTIONS(5214), 1,
      aux_sym_keyword_timestamp_token2,
    STATE(2919), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1443), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1441), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [220362] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5216), 1,
      sym_keyword_zerofill,
    STATE(2920), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1373), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1371), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [220417] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5218), 1,
      sym_keyword_zerofill,
    STATE(2921), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1431), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1429), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [220472] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5220), 1,
      sym_keyword_zerofill,
    STATE(2922), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1437), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1435), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [220527] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2923), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(947), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(949), 32,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [220580] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2924), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1411), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1413), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [220633] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5222), 1,
      aux_sym_keyword_varchar_token2,
    STATE(2925), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1125), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1123), 31,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [220688] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2926), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1365), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1367), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [220741] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4855), 1,
      sym_keyword_in,
    ACTIONS(4857), 1,
      sym_keyword_and,
    ACTIONS(4859), 1,
      sym_keyword_or,
    ACTIONS(4861), 1,
      sym_keyword_is,
    ACTIONS(4865), 1,
      anon_sym_SLASH,
    ACTIONS(4871), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4875), 1,
      anon_sym_PLUS,
    ACTIONS(4877), 1,
      anon_sym_DASH,
    ACTIONS(4879), 1,
      anon_sym_CARET,
    ACTIONS(4881), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4869), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4873), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2927), 2,
      sym_comment,
      sym_marginalia,
    STATE(2060), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4867), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2068), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1849), 9,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [220828] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2928), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1455), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1457), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [220881] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5224), 1,
      sym_keyword_over,
    STATE(2929), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2211), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2209), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [220936] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2930), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1517), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1519), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [220989] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2931), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2001), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2003), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [221042] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2932), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2205), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2207), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [221095] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2933), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(951), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(953), 32,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [221148] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2934), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2209), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2211), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [221201] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2935), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2213), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2215), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [221254] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2936), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5226), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_values,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [221305] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2937), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2269), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2271), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [221358] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5228), 1,
      sym_keyword_zerofill,
    STATE(2938), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1463), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1461), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [221413] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2939), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1513), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1515), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [221466] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5230), 1,
      sym_keyword_zerofill,
    STATE(2940), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1425), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1423), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [221521] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2941), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1509), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1511), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [221574] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2942), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1505), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1507), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [221627] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2943), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1501), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1503), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [221680] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2944), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2257), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2259), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [221733] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2945), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2261), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2263), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [221786] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2946), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1435), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1437), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [221839] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2947), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1545), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1547), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [221892] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2948), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1899), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1901), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [221945] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2949), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2233), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2235), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [221998] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5232), 1,
      sym_keyword_zerofill,
    STATE(2950), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1413), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1411), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [222053] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5234), 1,
      sym_keyword_zerofill,
    STATE(2951), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1367), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1365), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [222108] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2952), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1581), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1583), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [222161] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5236), 1,
      sym_keyword_unsigned,
    ACTIONS(5238), 1,
      sym_keyword_zerofill,
    STATE(2953), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1233), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1231), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [222218] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2954), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2177), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2179), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [222271] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2955), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2537), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2539), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [222324] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2956), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2527), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2529), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [222377] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2957), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2523), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2525), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [222430] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5240), 1,
      sym_keyword_zerofill,
    STATE(2958), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1457), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1455), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [222485] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2959), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5242), 38,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_values,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [222536] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5244), 1,
      sym_keyword_unsigned,
    ACTIONS(5246), 1,
      sym_keyword_zerofill,
    STATE(2960), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1209), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1207), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [222593] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2961), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1613), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1615), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [222646] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2962), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2225), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2227), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [222699] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2963), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1215), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1217), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [222752] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2964), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1617), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1619), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [222805] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5248), 1,
      sym_keyword_zerofill,
    STATE(2965), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1329), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1327), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [222860] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2966), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1605), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1607), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [222913] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2967), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1597), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1599), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [222966] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5250), 1,
      anon_sym_LPAREN,
    STATE(2968), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1329), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1327), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [223021] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5252), 1,
      sym_keyword_zerofill,
    STATE(2969), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1361), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1359), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [223076] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1909), 1,
      anon_sym_DOT,
    STATE(2970), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2009), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2007), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [223131] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5254), 1,
      anon_sym_DOT,
    STATE(2971), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2003), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2001), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [223186] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5256), 1,
      sym_keyword_zerofill,
    STATE(2972), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1379), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1377), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [223241] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5258), 1,
      sym_keyword_unsigned,
    ACTIONS(5260), 1,
      sym_keyword_zerofill,
    STATE(2973), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1241), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1239), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [223298] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2974), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1569), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1571), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [223351] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2975), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(983), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(985), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [223404] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5262), 1,
      sym_keyword_zerofill,
    STATE(2976), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1335), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1333), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [223459] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2977), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1629), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1631), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [223512] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2978), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2133), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2131), 34,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [223565] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2979), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2511), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2513), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [223618] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2980), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1633), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1635), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [223671] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2981), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1637), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1639), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [223724] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5264), 1,
      sym__natural_number,
    STATE(2982), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1901), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1899), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [223779] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5266), 1,
      sym_keyword_zerofill,
    STATE(2983), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1341), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1339), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [223834] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5268), 1,
      sym_keyword_zerofill,
    STATE(2984), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1349), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1347), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [223889] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4943), 1,
      sym_keyword_zerofill,
    STATE(2985), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1045), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1043), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [223944] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2986), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1609), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1611), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [223997] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2987), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2503), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2505), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [224050] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2988), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2403), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2405), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [224103] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2989), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2391), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2393), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [224156] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2990), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2383), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2385), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [224209] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2991), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2379), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2381), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [224262] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5270), 1,
      sym_keyword_zerofill,
    STATE(2992), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1355), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1353), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [224317] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5007), 1,
      anon_sym_LPAREN,
    STATE(2993), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1045), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1043), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [224372] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5272), 1,
      anon_sym_LPAREN,
    STATE(2994), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1361), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1359), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [224427] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2995), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2387), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2389), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [224480] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5274), 1,
      anon_sym_LPAREN,
    STATE(2996), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1379), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1377), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [224535] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5276), 1,
      anon_sym_LPAREN,
    STATE(2997), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1335), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1333), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [224590] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5278), 1,
      anon_sym_LPAREN,
    STATE(2998), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1341), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1339), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [224645] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5280), 1,
      anon_sym_LPAREN,
    STATE(2999), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1349), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1347), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [224700] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1909), 1,
      anon_sym_DOT,
    STATE(3000), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1907), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1905), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [224755] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1915), 1,
      anon_sym_DOT,
    STATE(3001), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1913), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1911), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [224810] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3002), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1353), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1355), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [224863] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5282), 1,
      anon_sym_LPAREN,
    STATE(3003), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1355), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1353), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [224918] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3004), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1043), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1045), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [224971] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3005), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1393), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1391), 34,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [225024] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3006), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1347), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1349), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [225077] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3007), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1729), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1731), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [225130] = 27,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11), 1,
      sym_keyword_delete,
    ACTIONS(23), 1,
      aux_sym_keyword_with_token1,
    ACTIONS(5192), 1,
      sym_keyword_select,
    ACTIONS(5196), 1,
      sym_keyword_update,
    ACTIONS(5198), 1,
      sym_keyword_create,
    ACTIONS(5200), 1,
      sym_keyword_alter,
    ACTIONS(5202), 1,
      sym_keyword_drop,
    ACTIONS(5204), 1,
      sym_keyword_commit,
    ACTIONS(5206), 1,
      sym_keyword_rollback,
    STATE(3053), 1,
      aux_sym_compound_statement_repeat1,
    STATE(4638), 1,
      sym_select,
    STATE(4838), 1,
      sym_update,
    STATE(4840), 1,
      sym_insert,
    STATE(4973), 1,
      sym_statement,
    STATE(5513), 1,
      sym_keyword_with,
    STATE(5833), 1,
      sym_delete,
    ACTIONS(5194), 2,
      sym_keyword_insert,
      sym_keyword_replace,
    STATE(3008), 2,
      sym_comment,
      sym_marginalia,
    STATE(4884), 2,
      sym_alter_table,
      sym_alter_view,
    STATE(4917), 2,
      sym__ddl_statement,
      sym__dml_statement,
    STATE(4994), 2,
      sym__commit,
      sym__rollback,
    STATE(4882), 3,
      sym_drop_table,
      sym_drop_view,
      sym_drop_index,
    STATE(4911), 3,
      sym__create_statement,
      sym__alter_statement,
      sym__drop_statement,
    STATE(4807), 4,
      sym__select_statement,
      sym__delete_statement,
      sym__insert_statement,
      sym__update_statement,
    STATE(4886), 4,
      sym_create_table,
      sym_create_view,
      sym_create_materialized_view,
      sym_create_index,
  [225227] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5284), 1,
      sym_keyword_unsigned,
    ACTIONS(5286), 1,
      sym_keyword_zerofill,
    STATE(3009), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1225), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1223), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [225284] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5288), 1,
      anon_sym_LPAREN,
    STATE(3010), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1399), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1397), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [225339] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5290), 1,
      sym_keyword_unsigned,
    ACTIONS(5292), 1,
      sym_keyword_zerofill,
    STATE(3011), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1117), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1115), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [225396] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5294), 1,
      sym_keyword_unsigned,
    ACTIONS(5296), 1,
      sym_keyword_zerofill,
    STATE(3012), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1193), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1191), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [225453] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5298), 1,
      sym_keyword_unsigned,
    ACTIONS(5300), 1,
      sym_keyword_zerofill,
    STATE(3013), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1217), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1215), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [225510] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3014), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1339), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1341), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [225563] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5302), 1,
      anon_sym_LPAREN,
    STATE(3015), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1407), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1405), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [225618] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3016), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1333), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1335), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [225671] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3017), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1725), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1727), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [225724] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3018), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2265), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2267), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [225777] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3019), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1257), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1255), 34,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [225830] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3020), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1377), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1379), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [225883] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3021), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1125), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1123), 34,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [225936] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3022), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1359), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1361), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [225989] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3023), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2365), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2367), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [226042] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3024), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2347), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2349), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [226095] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3025), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2339), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2341), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [226148] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3026), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2291), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2293), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [226201] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5304), 1,
      anon_sym_LPAREN,
    STATE(3027), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1385), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1383), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [226256] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3028), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1497), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1499), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [226309] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3029), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1327), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1329), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [226362] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5306), 1,
      anon_sym_LPAREN,
    STATE(3030), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1419), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1417), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [226417] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3031), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1641), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1643), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [226470] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3032), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1645), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1647), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [226523] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3033), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1649), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1651), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [226576] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3034), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1653), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1655), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [226629] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3035), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1657), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1659), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [226682] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3036), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2285), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2287), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [226735] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3037), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2279), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2281), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [226788] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3038), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1045), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1043), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [226840] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3039), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1335), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1333), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [226892] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3040), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5308), 37,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [226942] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5310), 1,
      sym_keyword_zerofill,
    STATE(3041), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1373), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1371), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [226996] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5312), 1,
      sym_keyword_zerofill,
    STATE(3042), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1431), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1429), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [227050] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    ACTIONS(4795), 1,
      anon_sym_COMMA,
    ACTIONS(5314), 1,
      sym_keyword_left,
    ACTIONS(5316), 1,
      sym_keyword_right,
    ACTIONS(5320), 1,
      sym_keyword_join,
    ACTIONS(5322), 1,
      sym_keyword_where,
    ACTIONS(5324), 1,
      sym_keyword_order,
    ACTIONS(5326), 1,
      sym_keyword_group,
    STATE(3491), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(4152), 1,
      sym_index_hint,
    STATE(4157), 1,
      aux_sym_from_repeat1,
    STATE(4617), 1,
      sym_limit,
    STATE(4667), 1,
      sym_order_by,
    STATE(4680), 1,
      sym_where,
    STATE(4728), 1,
      sym_group_by,
    ACTIONS(5318), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(3043), 2,
      sym_comment,
      sym_marginalia,
    STATE(4270), 2,
      sym_join,
      sym_lateral_join,
    ACTIONS(4793), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(4799), 15,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [227136] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5328), 1,
      sym_keyword_zerofill,
    STATE(3044), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1437), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1435), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [227190] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    ACTIONS(4795), 1,
      anon_sym_COMMA,
    ACTIONS(5314), 1,
      sym_keyword_left,
    ACTIONS(5316), 1,
      sym_keyword_right,
    ACTIONS(5320), 1,
      sym_keyword_join,
    ACTIONS(5322), 1,
      sym_keyword_where,
    ACTIONS(5324), 1,
      sym_keyword_order,
    ACTIONS(5326), 1,
      sym_keyword_group,
    STATE(3491), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(4162), 1,
      aux_sym_from_repeat1,
    STATE(4163), 1,
      sym_index_hint,
    STATE(4610), 1,
      sym_where,
    STATE(4637), 1,
      sym_limit,
    STATE(4643), 1,
      sym_order_by,
    STATE(4718), 1,
      sym_group_by,
    ACTIONS(5318), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(3045), 2,
      sym_comment,
      sym_marginalia,
    STATE(4270), 2,
      sym_join,
      sym_lateral_join,
    ACTIONS(4793), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(4775), 15,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [227276] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5330), 1,
      sym_keyword_zerofill,
    STATE(3046), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1463), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1461), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [227330] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5332), 1,
      sym_keyword_zerofill,
    STATE(3047), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1425), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1423), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [227384] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5334), 1,
      sym_keyword_zerofill,
    STATE(3048), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1413), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1411), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [227438] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5336), 1,
      sym_keyword_zerofill,
    STATE(3049), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1367), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1365), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [227492] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5338), 1,
      sym_keyword_zerofill,
    STATE(3050), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1457), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1455), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [227546] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    ACTIONS(4795), 1,
      anon_sym_COMMA,
    ACTIONS(5314), 1,
      sym_keyword_left,
    ACTIONS(5316), 1,
      sym_keyword_right,
    ACTIONS(5320), 1,
      sym_keyword_join,
    ACTIONS(5322), 1,
      sym_keyword_where,
    ACTIONS(5324), 1,
      sym_keyword_order,
    ACTIONS(5326), 1,
      sym_keyword_group,
    STATE(3045), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(4152), 1,
      sym_index_hint,
    STATE(4157), 1,
      aux_sym_from_repeat1,
    STATE(4617), 1,
      sym_limit,
    STATE(4667), 1,
      sym_order_by,
    STATE(4680), 1,
      sym_where,
    STATE(4728), 1,
      sym_group_by,
    ACTIONS(5318), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(3051), 2,
      sym_comment,
      sym_marginalia,
    STATE(4270), 2,
      sym_join,
      sym_lateral_join,
    ACTIONS(4793), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(4799), 15,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [227632] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    ACTIONS(4795), 1,
      anon_sym_COMMA,
    ACTIONS(5314), 1,
      sym_keyword_left,
    ACTIONS(5316), 1,
      sym_keyword_right,
    ACTIONS(5320), 1,
      sym_keyword_join,
    ACTIONS(5322), 1,
      sym_keyword_where,
    ACTIONS(5324), 1,
      sym_keyword_order,
    ACTIONS(5326), 1,
      sym_keyword_group,
    STATE(3043), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(4147), 1,
      sym_index_hint,
    STATE(4151), 1,
      aux_sym_from_repeat1,
    STATE(4634), 1,
      sym_where,
    STATE(4658), 1,
      sym_limit,
    STATE(4662), 1,
      sym_order_by,
    STATE(4741), 1,
      sym_group_by,
    ACTIONS(5318), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(3052), 2,
      sym_comment,
      sym_marginalia,
    STATE(4270), 2,
      sym_join,
      sym_lateral_join,
    ACTIONS(4793), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(4805), 15,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [227718] = 24,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5340), 1,
      sym_keyword_select,
    ACTIONS(5343), 1,
      sym_keyword_delete,
    ACTIONS(5349), 1,
      sym_keyword_update,
    ACTIONS(5352), 1,
      sym_keyword_create,
    ACTIONS(5355), 1,
      sym_keyword_alter,
    ACTIONS(5358), 1,
      sym_keyword_drop,
    ACTIONS(5363), 1,
      aux_sym_keyword_with_token1,
    STATE(4638), 1,
      sym_select,
    STATE(4838), 1,
      sym_update,
    STATE(4840), 1,
      sym_insert,
    STATE(4973), 1,
      sym_statement,
    STATE(5513), 1,
      sym_keyword_with,
    STATE(5833), 1,
      sym_delete,
    ACTIONS(5346), 2,
      sym_keyword_insert,
      sym_keyword_replace,
    STATE(4884), 2,
      sym_alter_table,
      sym_alter_view,
    STATE(4917), 2,
      sym__ddl_statement,
      sym__dml_statement,
    ACTIONS(5361), 3,
      sym_keyword_end,
      sym_keyword_commit,
      sym_keyword_rollback,
    STATE(3053), 3,
      sym_comment,
      sym_marginalia,
      aux_sym_compound_statement_repeat1,
    STATE(4882), 3,
      sym_drop_table,
      sym_drop_view,
      sym_drop_index,
    STATE(4911), 3,
      sym__create_statement,
      sym__alter_statement,
      sym__drop_statement,
    STATE(4807), 4,
      sym__select_statement,
      sym__delete_statement,
      sym__insert_statement,
      sym__update_statement,
    STATE(4886), 4,
      sym_create_table,
      sym_create_view,
      sym_create_materialized_view,
      sym_create_index,
  [227808] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5366), 1,
      sym_keyword_zerofill,
    STATE(3054), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1329), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1327), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [227862] = 26,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4679), 1,
      sym_keyword_in,
    ACTIONS(4681), 1,
      sym_keyword_is,
    ACTIONS(4683), 1,
      anon_sym_SLASH,
    ACTIONS(4691), 1,
      anon_sym_PLUS,
    ACTIONS(4693), 1,
      anon_sym_DASH,
    ACTIONS(4695), 1,
      anon_sym_CARET,
    ACTIONS(4739), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4741), 1,
      sym_keyword_and,
    ACTIONS(5208), 1,
      sym_keyword_or,
    ACTIONS(5210), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5368), 1,
      sym_keyword_having,
    ACTIONS(5370), 1,
      anon_sym_COMMA,
    STATE(4571), 1,
      sym__having,
    STATE(5072), 1,
      aux_sym_array_repeat1,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4687), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4689), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(3055), 2,
      sym_comment,
      sym_marginalia,
    STATE(1893), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1693), 4,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_returning,
      anon_sym_RPAREN,
    ACTIONS(4685), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1892), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [227956] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5372), 1,
      anon_sym_LPAREN,
    STATE(3056), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1329), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1327), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [228010] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5374), 1,
      sym_keyword_zerofill,
    STATE(3057), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1361), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1359), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [228064] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5376), 1,
      sym_keyword_zerofill,
    STATE(3058), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1379), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1377), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [228118] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5378), 1,
      sym_keyword_zerofill,
    STATE(3059), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1335), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1333), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [228172] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5380), 1,
      sym_keyword_zerofill,
    STATE(3060), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1341), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1339), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [228226] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5382), 1,
      sym_keyword_zerofill,
    STATE(3061), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1349), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1347), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [228280] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5170), 1,
      sym_keyword_zerofill,
    STATE(3062), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1045), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1043), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [228334] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5384), 1,
      sym_keyword_zerofill,
    STATE(3063), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1355), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1353), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [228388] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3064), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2007), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2009), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_partition,
      sym_keyword_offset,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_cached,
      sym_keyword_uncached,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym_keyword_escaped,
      sym_keyword_lines,
      sym__identifier,
  [228440] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5190), 1,
      anon_sym_LPAREN,
    STATE(3065), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1045), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1043), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [228494] = 12,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3457), 1,
      anon_sym_DQUOTE,
    ACTIONS(3575), 1,
      sym__identifier,
    ACTIONS(3583), 1,
      anon_sym_BQUOTE,
    ACTIONS(5386), 1,
      sym_keyword_as,
    STATE(2766), 1,
      sym__double_quote_string,
    STATE(2770), 1,
      sym_identifier,
    STATE(2886), 1,
      sym__alias_identifier,
    STATE(3066), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4477), 3,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(4473), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
  [228560] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5388), 1,
      anon_sym_LPAREN,
    STATE(3067), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1361), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1359), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [228614] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5390), 1,
      anon_sym_LPAREN,
    STATE(3068), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1379), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1377), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [228668] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    STATE(3069), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1335), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1333), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [228722] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5394), 1,
      anon_sym_LPAREN,
    STATE(3070), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1341), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1339), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [228776] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5396), 1,
      anon_sym_LPAREN,
    STATE(3071), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1349), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1347), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [228830] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5398), 1,
      anon_sym_LPAREN,
    STATE(3072), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1355), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1353), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [228884] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3073), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1393), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1391), 31,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [228936] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3074), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1615), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1613), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [228988] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5400), 1,
      anon_sym_LPAREN,
    STATE(3075), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1399), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1397), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [229042] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5402), 1,
      anon_sym_LPAREN,
    STATE(3076), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1407), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1405), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [229096] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5404), 1,
      sym_keyword_unsigned,
    ACTIONS(5406), 1,
      sym_keyword_zerofill,
    ACTIONS(5408), 1,
      sym_keyword_precision,
    ACTIONS(5410), 1,
      anon_sym_LPAREN,
    STATE(3077), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(983), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(985), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [229156] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3078), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(979), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(981), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [229208] = 12,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3457), 1,
      anon_sym_DQUOTE,
    ACTIONS(3575), 1,
      sym__identifier,
    ACTIONS(3583), 1,
      anon_sym_BQUOTE,
    ACTIONS(5412), 1,
      sym_keyword_as,
    STATE(2766), 1,
      sym__double_quote_string,
    STATE(2769), 1,
      sym__alias_identifier,
    STATE(2770), 1,
      sym_identifier,
    STATE(3079), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4471), 3,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(4467), 27,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
  [229274] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3080), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1257), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1255), 31,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [229326] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3081), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1125), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1123), 31,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [229378] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5414), 1,
      anon_sym_LPAREN,
    STATE(3082), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1385), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1383), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [229432] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5416), 1,
      anon_sym_LPAREN,
    STATE(3083), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1419), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1417), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [229486] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3084), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1495), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1493), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [229538] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3085), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1607), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1605), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [229590] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3086), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(975), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(977), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [229642] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3087), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2245), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2243), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [229694] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3088), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5418), 37,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [229744] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3089), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1599), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1597), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [229796] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3090), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2251), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2249), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [229848] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3091), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2255), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2253), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [229900] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4855), 1,
      sym_keyword_in,
    ACTIONS(4857), 1,
      sym_keyword_and,
    ACTIONS(4859), 1,
      sym_keyword_or,
    ACTIONS(4861), 1,
      sym_keyword_is,
    ACTIONS(4865), 1,
      anon_sym_SLASH,
    ACTIONS(4871), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4875), 1,
      anon_sym_PLUS,
    ACTIONS(4877), 1,
      anon_sym_DASH,
    ACTIONS(4879), 1,
      anon_sym_CARET,
    ACTIONS(4881), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4869), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4873), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(3092), 2,
      sym_comment,
      sym_marginalia,
    STATE(2060), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4867), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2068), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1963), 8,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [229986] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3093), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2259), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2257), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [230038] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3094), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2263), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2261), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [230090] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3095), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2267), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2265), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [230142] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3096), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2271), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2269), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [230194] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3097), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2281), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2279), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [230246] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3098), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2287), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2285), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [230298] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3099), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(967), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(969), 31,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [230350] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3100), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2293), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2291), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [230402] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3101), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2017), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2015), 31,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [230454] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3102), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2341), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2339), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [230506] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3103), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2349), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2347), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [230558] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3104), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2367), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2365), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [230610] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3105), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(971), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(973), 31,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [230662] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1909), 1,
      anon_sym_DOT,
    STATE(3106), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2009), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2007), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [230716] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3107), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2381), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2379), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [230768] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3108), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2385), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2383), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [230820] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3109), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2389), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2387), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [230872] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3110), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2393), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2391), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [230924] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3111), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1571), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1569), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [230976] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3112), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(985), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(983), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [231028] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5420), 1,
      anon_sym_DOT,
    STATE(3113), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2003), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2001), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [231082] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3114), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2405), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2403), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [231134] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3115), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2505), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2503), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [231186] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3116), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(963), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(965), 31,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [231238] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3117), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2513), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2511), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [231290] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3118), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2525), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2523), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [231342] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3119), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(957), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(955), 31,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [231394] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3120), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2529), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2527), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [231446] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3121), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(961), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(959), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [231498] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3122), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1355), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1353), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [231550] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3123), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2539), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2537), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [231602] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3124), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2179), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2177), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [231654] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3125), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1349), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1347), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [231706] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3126), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2235), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2233), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [231758] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3127), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1901), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1899), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [231810] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3128), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1341), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1339), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [231862] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3129), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2227), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2225), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [231914] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3130), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1379), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1377), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [231966] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3131), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2133), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2131), 31,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [232018] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5422), 1,
      sym__natural_number,
    STATE(3132), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1901), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1899), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [232072] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5424), 1,
      sym_keyword_over,
    STATE(3133), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2211), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2209), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [232126] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3134), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1361), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1359), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [232178] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3135), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2215), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2213), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [232230] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3136), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2211), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2209), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [232282] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3137), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1499), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1497), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [232334] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3138), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1329), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1327), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [232386] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3139), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1643), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1641), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [232438] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1909), 1,
      anon_sym_DOT,
    STATE(3140), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1907), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1905), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [232492] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3141), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1647), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1645), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [232544] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3142), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1651), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1649), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [232596] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3143), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1655), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1653), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [232648] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3144), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1659), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1657), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [232700] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3145), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1727), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1725), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [232752] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3146), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1731), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1729), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [232804] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3147), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1611), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1609), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [232856] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3148), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2207), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2205), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [232908] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3149), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2003), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2001), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [232960] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3150), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1639), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1637), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [233012] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3151), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1635), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1633), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [233064] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3152), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1631), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1629), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [233116] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1915), 1,
      anon_sym_DOT,
    STATE(3153), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1913), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1911), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [233170] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3154), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5426), 37,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [233220] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3155), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1583), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1581), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [233272] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3156), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1547), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1545), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [233324] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3157), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1503), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1501), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [233376] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3158), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1507), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1505), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [233428] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3159), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1511), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1509), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [233480] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3160), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1515), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1513), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [233532] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3161), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1519), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1517), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [233584] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3162), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1627), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1625), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [233636] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3163), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1623), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1621), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [233688] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3164), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1373), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1371), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [233740] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3165), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1457), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1455), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [233792] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3166), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1619), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1617), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [233844] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3167), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1603), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1601), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [233896] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3168), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1431), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1429), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [233948] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3169), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1367), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1365), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [234000] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3170), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1413), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1411), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [234052] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3171), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1425), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1423), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [234104] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5428), 1,
      sym_keyword_unsigned,
    ACTIONS(5430), 1,
      sym_keyword_zerofill,
    ACTIONS(5432), 1,
      sym_keyword_precision,
    ACTIONS(5434), 1,
      anon_sym_LPAREN,
    STATE(3172), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(985), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(983), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [234164] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3173), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(951), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(953), 31,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [234216] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3174), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(947), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(949), 31,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [234268] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3175), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1463), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1461), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [234320] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3176), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1437), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1435), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [234372] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3177), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1559), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1557), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [234424] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3178), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1563), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1561), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [234476] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3179), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5436), 37,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [234526] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3180), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1567), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1565), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [234578] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3181), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1575), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1573), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [234630] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3182), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1579), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1577), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [234682] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3183), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1587), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1585), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [234734] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3184), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1591), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1589), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [234786] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3185), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1595), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1593), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [234838] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3186), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1217), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1215), 33,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [234890] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5438), 1,
      sym_keyword_unsigned,
    ACTIONS(5440), 1,
      sym_keyword_zerofill,
    ACTIONS(5442), 1,
      anon_sym_LPAREN,
    STATE(3187), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1045), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1043), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [234947] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3188), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2505), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2503), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [234998] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3189), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2405), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2403), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [235049] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3190), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2003), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2001), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [235100] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3191), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1627), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1625), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [235151] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3192), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2513), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2511), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [235202] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3193), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1623), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1621), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [235253] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3194), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2393), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2391), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [235304] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3195), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2389), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2387), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [235355] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3196), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1373), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1371), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [235406] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3197), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2385), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2383), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [235457] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3198), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2381), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2379), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [235508] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3199), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1619), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1617), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [235559] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3200), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1011), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1009), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [235610] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3201), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1015), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1013), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [235661] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3202), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1019), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1017), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [235712] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3203), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(997), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(995), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [235763] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3204), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1603), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1601), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [235814] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3205), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1431), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1429), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [235865] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3206), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1437), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1435), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [235916] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3207), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1217), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1215), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [235967] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3208), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1595), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1593), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [236018] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3209), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1027), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1025), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [236069] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3210), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1591), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1589), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [236120] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3211), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1587), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1585), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [236171] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3212), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1579), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1577), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [236222] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5444), 1,
      sym_keyword_unsigned,
    ACTIONS(5446), 1,
      sym_keyword_zerofill,
    ACTIONS(5448), 1,
      sym_keyword_precision,
    ACTIONS(5450), 1,
      anon_sym_LPAREN,
    STATE(3213), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(985), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(983), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [236281] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5060), 1,
      sym_keyword_limit,
    ACTIONS(5062), 1,
      anon_sym_COMMA,
    ACTIONS(5314), 1,
      sym_keyword_left,
    ACTIONS(5316), 1,
      sym_keyword_right,
    ACTIONS(5320), 1,
      sym_keyword_join,
    ACTIONS(5322), 1,
      sym_keyword_where,
    ACTIONS(5324), 1,
      sym_keyword_order,
    ACTIONS(5326), 1,
      sym_keyword_group,
    STATE(3217), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(4257), 1,
      aux_sym_from_repeat1,
    STATE(4295), 1,
      sym_index_hint,
    STATE(4617), 1,
      sym_limit,
    STATE(4691), 1,
      sym_where,
    STATE(4712), 1,
      sym_order_by,
    STATE(4772), 1,
      sym_group_by,
    ACTIONS(5318), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(3214), 2,
      sym_comment,
      sym_marginalia,
    STATE(4270), 2,
      sym_join,
      sym_lateral_join,
    ACTIONS(4793), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(4799), 14,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      anon_sym_SEMI,
  [236366] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3215), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1575), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1573), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [236417] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3216), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1567), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1565), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [236468] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5060), 1,
      sym_keyword_limit,
    ACTIONS(5062), 1,
      anon_sym_COMMA,
    ACTIONS(5314), 1,
      sym_keyword_left,
    ACTIONS(5316), 1,
      sym_keyword_right,
    ACTIONS(5320), 1,
      sym_keyword_join,
    ACTIONS(5322), 1,
      sym_keyword_where,
    ACTIONS(5324), 1,
      sym_keyword_order,
    ACTIONS(5326), 1,
      sym_keyword_group,
    STATE(4160), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(4184), 1,
      sym_index_hint,
    STATE(4185), 1,
      aux_sym_from_repeat1,
    STATE(4637), 1,
      sym_limit,
    STATE(4699), 1,
      sym_where,
    STATE(4739), 1,
      sym_order_by,
    STATE(4764), 1,
      sym_group_by,
    ACTIONS(5318), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(3217), 2,
      sym_comment,
      sym_marginalia,
    STATE(4270), 2,
      sym_join,
      sym_lateral_join,
    ACTIONS(4793), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(4775), 14,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      anon_sym_SEMI,
  [236553] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3218), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1031), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1029), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [236604] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3219), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1563), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1561), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [236655] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3220), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1559), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1557), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [236706] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5060), 1,
      sym_keyword_limit,
    ACTIONS(5062), 1,
      anon_sym_COMMA,
    ACTIONS(5314), 1,
      sym_keyword_left,
    ACTIONS(5316), 1,
      sym_keyword_right,
    ACTIONS(5320), 1,
      sym_keyword_join,
    ACTIONS(5322), 1,
      sym_keyword_where,
    ACTIONS(5324), 1,
      sym_keyword_order,
    ACTIONS(5326), 1,
      sym_keyword_group,
    STATE(4160), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(4257), 1,
      aux_sym_from_repeat1,
    STATE(4295), 1,
      sym_index_hint,
    STATE(4617), 1,
      sym_limit,
    STATE(4691), 1,
      sym_where,
    STATE(4712), 1,
      sym_order_by,
    STATE(4772), 1,
      sym_group_by,
    ACTIONS(5318), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(3221), 2,
      sym_comment,
      sym_marginalia,
    STATE(4270), 2,
      sym_join,
      sym_lateral_join,
    ACTIONS(4793), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(4799), 14,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      anon_sym_SEMI,
  [236791] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3222), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1463), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1461), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [236842] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3223), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1425), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1423), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [236893] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3224), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1413), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1411), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [236944] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5452), 1,
      sym_keyword_unsigned,
    ACTIONS(5454), 1,
      sym_keyword_zerofill,
    ACTIONS(5456), 1,
      anon_sym_LPAREN,
    STATE(3225), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1035), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1033), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [237001] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5458), 1,
      sym_keyword_unsigned,
    ACTIONS(5460), 1,
      sym_keyword_zerofill,
    ACTIONS(5462), 1,
      sym_keyword_precision,
    ACTIONS(5464), 1,
      anon_sym_LPAREN,
    STATE(3226), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(985), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(983), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [237060] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3227), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1367), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1365), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [237111] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3228), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1457), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1455), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [237162] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3229), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2367), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2365), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [237213] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3230), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2349), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2347), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [237264] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3231), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2341), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2339), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [237315] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3232), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2293), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2291), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [237366] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3233), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1519), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1517), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [237417] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3234), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2287), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2285), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [237468] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3235), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2281), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2279), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [237519] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3236), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2271), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2269), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [237570] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3237), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2267), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2265), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [237621] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3238), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1515), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1513), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [237672] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3239), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2263), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2261), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [237723] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3240), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2259), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2257), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [237774] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3241), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1511), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1509), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [237825] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3242), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1507), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1505), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [237876] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3243), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1503), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1501), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [237927] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3244), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1547), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1545), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [237978] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3245), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1583), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1581), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [238029] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3246), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1631), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1629), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [238080] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3247), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1635), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1633), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [238131] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3248), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1639), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1637), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [238182] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3249), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1611), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1609), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [238233] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3250), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1731), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1729), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [238284] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3251), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1727), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1725), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [238335] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3252), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2003), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2001), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [238386] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4573), 1,
      anon_sym_DOT,
    STATE(3253), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4571), 6,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(4569), 29,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_partition,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [238439] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5060), 1,
      sym_keyword_limit,
    ACTIONS(5062), 1,
      anon_sym_COMMA,
    ACTIONS(5314), 1,
      sym_keyword_left,
    ACTIONS(5316), 1,
      sym_keyword_right,
    ACTIONS(5320), 1,
      sym_keyword_join,
    ACTIONS(5322), 1,
      sym_keyword_where,
    ACTIONS(5324), 1,
      sym_keyword_order,
    ACTIONS(5326), 1,
      sym_keyword_group,
    STATE(3221), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(4266), 1,
      aux_sym_from_repeat1,
    STATE(4287), 1,
      sym_index_hint,
    STATE(4658), 1,
      sym_limit,
    STATE(4701), 1,
      sym_where,
    STATE(4723), 1,
      sym_order_by,
    STATE(4750), 1,
      sym_group_by,
    ACTIONS(5318), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(3254), 2,
      sym_comment,
      sym_marginalia,
    STATE(4270), 2,
      sym_join,
      sym_lateral_join,
    ACTIONS(4793), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(4805), 14,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      anon_sym_SEMI,
  [238524] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3255), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2003), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2001), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [238575] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3256), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1659), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1657), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [238626] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3257), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1655), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1653), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [238677] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3258), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2003), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2001), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [238728] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3259), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1651), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1649), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [238779] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3260), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2255), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2253), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [238830] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4855), 1,
      sym_keyword_in,
    ACTIONS(4857), 1,
      sym_keyword_and,
    ACTIONS(4859), 1,
      sym_keyword_or,
    ACTIONS(4861), 1,
      sym_keyword_is,
    ACTIONS(4865), 1,
      anon_sym_SLASH,
    ACTIONS(4871), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4875), 1,
      anon_sym_PLUS,
    ACTIONS(4877), 1,
      anon_sym_DASH,
    ACTIONS(4879), 1,
      anon_sym_CARET,
    ACTIONS(4881), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4869), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4873), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(3261), 2,
      sym_comment,
      sym_marginalia,
    STATE(2060), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4867), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2068), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2369), 7,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [238915] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3262), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2003), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2001), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [238966] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5466), 1,
      sym_keyword_unsigned,
    ACTIONS(5468), 1,
      sym_keyword_zerofill,
    ACTIONS(5470), 1,
      anon_sym_LPAREN,
    STATE(3263), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1085), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1083), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [239023] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3264), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2251), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2249), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [239074] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3265), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2245), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2243), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [239125] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5472), 1,
      sym_keyword_unsigned,
    ACTIONS(5474), 1,
      sym_keyword_zerofill,
    ACTIONS(5476), 1,
      anon_sym_LPAREN,
    STATE(3266), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1001), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(999), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [239182] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5478), 1,
      sym_keyword_unsigned,
    ACTIONS(5480), 1,
      sym_keyword_zerofill,
    ACTIONS(5482), 1,
      anon_sym_LPAREN,
    STATE(3267), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1065), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1063), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [239239] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3268), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1647), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1645), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [239290] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3269), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1643), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1641), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [239341] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5484), 1,
      sym_keyword_unsigned,
    ACTIONS(5486), 1,
      sym_keyword_zerofill,
    ACTIONS(5488), 1,
      anon_sym_LPAREN,
    STATE(3270), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1055), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1053), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [239398] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5428), 1,
      sym_keyword_unsigned,
    ACTIONS(5430), 1,
      sym_keyword_zerofill,
    ACTIONS(5434), 1,
      anon_sym_LPAREN,
    STATE(3271), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(985), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(983), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [239455] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3272), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1329), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1327), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [239506] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3273), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1499), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1497), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [239557] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3274), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1361), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1359), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [239608] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3275), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2525), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2523), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [239659] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3276), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1379), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1377), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [239710] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3277), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2529), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2527), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [239761] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5490), 1,
      sym_keyword_unsigned,
    ACTIONS(5492), 1,
      sym_keyword_zerofill,
    ACTIONS(5494), 1,
      anon_sym_LPAREN,
    STATE(3278), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1075), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1073), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [239818] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3279), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1335), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1333), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [239869] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3280), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2539), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2537), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [239920] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3281), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1341), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1339), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [239971] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3282), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1349), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1347), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [240022] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3283), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1045), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1043), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [240073] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3284), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1355), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1353), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [240124] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3285), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2179), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2177), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [240175] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3286), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2235), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2233), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [240226] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3287), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(961), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(959), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [240277] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3288), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1009), 15,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1011), 21,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [240328] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3289), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1013), 15,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1015), 21,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [240379] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3290), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1017), 15,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1019), 21,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [240430] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3291), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(995), 15,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(997), 21,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [240481] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3292), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1025), 15,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1027), 21,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [240532] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3293), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1029), 15,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1031), 21,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [240583] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5496), 1,
      sym_keyword_unsigned,
    ACTIONS(5498), 1,
      sym_keyword_zerofill,
    ACTIONS(5500), 1,
      anon_sym_LPAREN,
    STATE(3294), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1033), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1035), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [240640] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    ACTIONS(5502), 1,
      anon_sym_DOT,
    STATE(3295), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4571), 5,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(4569), 29,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      sym__identifier,
  [240695] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5504), 1,
      sym_keyword_unsigned,
    ACTIONS(5506), 1,
      sym_keyword_zerofill,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    STATE(3296), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1083), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1085), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [240752] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3297), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(985), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(983), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [240803] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3298), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1571), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1569), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [240854] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5510), 1,
      sym_keyword_unsigned,
    ACTIONS(5512), 1,
      sym_keyword_zerofill,
    ACTIONS(5514), 1,
      anon_sym_LPAREN,
    STATE(3299), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(999), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1001), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [240911] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5516), 1,
      sym_keyword_unsigned,
    ACTIONS(5518), 1,
      sym_keyword_zerofill,
    ACTIONS(5520), 1,
      anon_sym_LPAREN,
    STATE(3300), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1063), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1065), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [240968] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5522), 1,
      sym_keyword_unsigned,
    ACTIONS(5524), 1,
      sym_keyword_zerofill,
    ACTIONS(5526), 1,
      anon_sym_LPAREN,
    STATE(3301), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1073), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1075), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [241025] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3302), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(975), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(977), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [241076] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5528), 1,
      sym_keyword_unsigned,
    ACTIONS(5530), 1,
      sym_keyword_zerofill,
    ACTIONS(5532), 1,
      anon_sym_LPAREN,
    STATE(3303), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1053), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1055), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [241133] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5404), 1,
      sym_keyword_unsigned,
    ACTIONS(5406), 1,
      sym_keyword_zerofill,
    ACTIONS(5410), 1,
      anon_sym_LPAREN,
    STATE(3304), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(983), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(985), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [241190] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3305), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1599), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1597), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [241241] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3306), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1607), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1605), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [241292] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3307), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1495), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1493), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [241343] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3308), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1615), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1613), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [241394] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3309), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1901), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1899), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [241445] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5534), 1,
      sym_keyword_unsigned,
    ACTIONS(5536), 1,
      sym_keyword_zerofill,
    ACTIONS(5538), 1,
      anon_sym_LPAREN,
    STATE(3310), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1043), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1045), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [241502] = 26,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11), 1,
      sym_keyword_delete,
    ACTIONS(23), 1,
      aux_sym_keyword_with_token1,
    ACTIONS(5192), 1,
      sym_keyword_select,
    ACTIONS(5196), 1,
      sym_keyword_update,
    ACTIONS(5198), 1,
      sym_keyword_create,
    ACTIONS(5200), 1,
      sym_keyword_alter,
    ACTIONS(5202), 1,
      sym_keyword_drop,
    ACTIONS(5540), 1,
      sym_keyword_transaction,
    ACTIONS(5542), 1,
      anon_sym_SEMI,
    STATE(3355), 1,
      aux_sym_compound_statement_repeat1,
    STATE(4638), 1,
      sym_select,
    STATE(4838), 1,
      sym_update,
    STATE(4840), 1,
      sym_insert,
    STATE(4973), 1,
      sym_statement,
    STATE(5513), 1,
      sym_keyword_with,
    STATE(5833), 1,
      sym_delete,
    ACTIONS(5194), 2,
      sym_keyword_insert,
      sym_keyword_replace,
    STATE(3311), 2,
      sym_comment,
      sym_marginalia,
    STATE(4884), 2,
      sym_alter_table,
      sym_alter_view,
    STATE(4917), 2,
      sym__ddl_statement,
      sym__dml_statement,
    STATE(4882), 3,
      sym_drop_table,
      sym_drop_view,
      sym_drop_index,
    STATE(4911), 3,
      sym__create_statement,
      sym__alter_statement,
      sym__drop_statement,
    STATE(4807), 4,
      sym__select_statement,
      sym__delete_statement,
      sym__insert_statement,
      sym__update_statement,
    STATE(4886), 4,
      sym_create_table,
      sym_create_view,
      sym_create_materialized_view,
      sym_create_index,
  [241595] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3312), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2003), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2001), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [241646] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3313), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2207), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2205), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [241697] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3314), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2211), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2209), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [241748] = 24,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4679), 1,
      sym_keyword_in,
    ACTIONS(4681), 1,
      sym_keyword_is,
    ACTIONS(4683), 1,
      anon_sym_SLASH,
    ACTIONS(4691), 1,
      anon_sym_PLUS,
    ACTIONS(4693), 1,
      anon_sym_DASH,
    ACTIONS(4695), 1,
      anon_sym_CARET,
    ACTIONS(4739), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4741), 1,
      sym_keyword_and,
    ACTIONS(5208), 1,
      sym_keyword_or,
    ACTIONS(5210), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5370), 1,
      anon_sym_COMMA,
    STATE(5161), 1,
      aux_sym_array_repeat1,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4687), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4689), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(3315), 2,
      sym_comment,
      sym_marginalia,
    STATE(1893), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4685), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1892), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(5544), 5,
      sym_keyword_order,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      anon_sym_RPAREN,
  [241837] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3316), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2215), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2213), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [241888] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3317), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(979), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(981), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [241939] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3318), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2003), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2001), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [241990] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3319), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2003), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2001), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [242041] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3320), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2227), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2225), 30,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [242092] = 19,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(5546), 1,
      sym_keyword_in,
    ACTIONS(5548), 1,
      sym_keyword_is,
    ACTIONS(5550), 1,
      anon_sym_SLASH,
    ACTIONS(5558), 1,
      anon_sym_PLUS,
    ACTIONS(5560), 1,
      anon_sym_DASH,
    ACTIONS(5562), 1,
      anon_sym_CARET,
    ACTIONS(5564), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(5554), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(5556), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(3321), 2,
      sym_comment,
      sym_marginalia,
    STATE(1986), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(5552), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2004), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 9,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      anon_sym_COLON_COLON,
  [242170] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5566), 1,
      sym_keyword_unsigned,
    ACTIONS(5568), 1,
      sym_keyword_zerofill,
    STATE(3322), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1115), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1117), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [242224] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5570), 1,
      sym_keyword_unsigned,
    ACTIONS(5572), 1,
      sym_keyword_zerofill,
    STATE(3323), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1199), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1201), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [242278] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5574), 1,
      sym_keyword_unsigned,
    ACTIONS(5576), 1,
      sym_keyword_zerofill,
    STATE(3324), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1207), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1209), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [242332] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5578), 1,
      aux_sym_keyword_with_token1,
    ACTIONS(5580), 1,
      aux_sym_keyword_timestamp_token2,
    STATE(3325), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1441), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1443), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [242386] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5582), 1,
      sym_keyword_unsigned,
    ACTIONS(5584), 1,
      sym_keyword_zerofill,
    STATE(3326), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1223), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1225), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [242440] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5586), 1,
      sym_keyword_unsigned,
    ACTIONS(5588), 1,
      sym_keyword_zerofill,
    ACTIONS(5590), 1,
      anon_sym_LPAREN,
    STATE(3327), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1075), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1073), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [242496] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1915), 1,
      anon_sym_DOT,
    ACTIONS(5592), 1,
      anon_sym_LPAREN,
    STATE(3328), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1959), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1957), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [242550] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1915), 1,
      anon_sym_DOT,
    ACTIONS(5594), 1,
      anon_sym_LPAREN,
    STATE(3329), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1959), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1957), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [242604] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5596), 1,
      sym_keyword_unsigned,
    ACTIONS(5598), 1,
      sym_keyword_zerofill,
    ACTIONS(5600), 1,
      anon_sym_LPAREN,
    STATE(3330), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1055), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1053), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [242660] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3331), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1011), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1009), 30,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [242710] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3332), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1015), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1013), 30,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [242760] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3333), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1019), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1017), 30,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [242810] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5458), 1,
      sym_keyword_unsigned,
    ACTIONS(5460), 1,
      sym_keyword_zerofill,
    ACTIONS(5464), 1,
      anon_sym_LPAREN,
    STATE(3334), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(985), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(983), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [242866] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3335), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1011), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1009), 29,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [242916] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3336), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(997), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(995), 30,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [242966] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3337), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1027), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1025), 30,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [243016] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3338), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1031), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1029), 30,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [243066] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5602), 1,
      sym_keyword_unsigned,
    ACTIONS(5604), 1,
      sym_keyword_zerofill,
    ACTIONS(5606), 1,
      anon_sym_LPAREN,
    STATE(3339), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1035), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1033), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [243122] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5608), 1,
      sym_keyword_unsigned,
    ACTIONS(5610), 1,
      sym_keyword_zerofill,
    ACTIONS(5612), 1,
      anon_sym_LPAREN,
    STATE(3340), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1085), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1083), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [243178] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5614), 1,
      sym_keyword_unsigned,
    ACTIONS(5616), 1,
      sym_keyword_zerofill,
    ACTIONS(5618), 1,
      anon_sym_LPAREN,
    STATE(3341), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1001), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(999), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [243234] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5620), 1,
      sym_keyword_unsigned,
    ACTIONS(5622), 1,
      sym_keyword_zerofill,
    ACTIONS(5624), 1,
      anon_sym_LPAREN,
    STATE(3342), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1065), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1063), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [243290] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5626), 1,
      sym_keyword_unsigned,
    ACTIONS(5628), 1,
      sym_keyword_zerofill,
    ACTIONS(5630), 1,
      anon_sym_LPAREN,
    STATE(3343), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1075), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1073), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [243346] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5632), 1,
      sym_keyword_unsigned,
    ACTIONS(5634), 1,
      sym_keyword_zerofill,
    ACTIONS(5636), 1,
      anon_sym_LPAREN,
    STATE(3344), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1055), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1053), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [243402] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3345), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1031), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1029), 29,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [243452] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(5546), 1,
      sym_keyword_in,
    ACTIONS(5548), 1,
      sym_keyword_is,
    ACTIONS(5550), 1,
      anon_sym_SLASH,
    ACTIONS(5558), 1,
      anon_sym_PLUS,
    ACTIONS(5560), 1,
      anon_sym_DASH,
    ACTIONS(5562), 1,
      anon_sym_CARET,
    ACTIONS(5564), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5638), 1,
      sym_keyword_and,
    ACTIONS(5640), 1,
      sym_keyword_or,
    ACTIONS(5642), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(5554), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(5556), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(3346), 2,
      sym_comment,
      sym_marginalia,
    STATE(1986), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(5552), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2004), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1295), 6,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
  [243536] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5444), 1,
      sym_keyword_unsigned,
    ACTIONS(5446), 1,
      sym_keyword_zerofill,
    ACTIONS(5450), 1,
      anon_sym_LPAREN,
    STATE(3347), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(985), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(983), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [243592] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5644), 1,
      sym_keyword_unsigned,
    ACTIONS(5646), 1,
      sym_keyword_zerofill,
    ACTIONS(5648), 1,
      anon_sym_LPAREN,
    STATE(3348), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1035), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1033), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [243648] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3349), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5650), 35,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [243696] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3350), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1015), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1013), 29,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [243746] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(5546), 1,
      sym_keyword_in,
    ACTIONS(5548), 1,
      sym_keyword_is,
    ACTIONS(5550), 1,
      anon_sym_SLASH,
    ACTIONS(5558), 1,
      anon_sym_PLUS,
    ACTIONS(5560), 1,
      anon_sym_DASH,
    ACTIONS(5562), 1,
      anon_sym_CARET,
    ACTIONS(5564), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5638), 1,
      sym_keyword_and,
    ACTIONS(5640), 1,
      sym_keyword_or,
    ACTIONS(5642), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(5554), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(5556), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(3351), 2,
      sym_comment,
      sym_marginalia,
    STATE(1986), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(5552), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2004), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1293), 6,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
  [243830] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3352), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1019), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1017), 29,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [243880] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1915), 1,
      anon_sym_DOT,
    ACTIONS(5652), 1,
      anon_sym_LPAREN,
    STATE(3353), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1957), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1959), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [243934] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3354), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(997), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(995), 29,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [243984] = 25,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11), 1,
      sym_keyword_delete,
    ACTIONS(23), 1,
      aux_sym_keyword_with_token1,
    ACTIONS(5192), 1,
      sym_keyword_select,
    ACTIONS(5196), 1,
      sym_keyword_update,
    ACTIONS(5198), 1,
      sym_keyword_create,
    ACTIONS(5200), 1,
      sym_keyword_alter,
    ACTIONS(5202), 1,
      sym_keyword_drop,
    ACTIONS(5654), 1,
      sym_keyword_end,
    STATE(3053), 1,
      aux_sym_compound_statement_repeat1,
    STATE(4638), 1,
      sym_select,
    STATE(4838), 1,
      sym_update,
    STATE(4840), 1,
      sym_insert,
    STATE(4973), 1,
      sym_statement,
    STATE(5513), 1,
      sym_keyword_with,
    STATE(5833), 1,
      sym_delete,
    ACTIONS(5194), 2,
      sym_keyword_insert,
      sym_keyword_replace,
    STATE(3355), 2,
      sym_comment,
      sym_marginalia,
    STATE(4884), 2,
      sym_alter_table,
      sym_alter_view,
    STATE(4917), 2,
      sym__ddl_statement,
      sym__dml_statement,
    STATE(4882), 3,
      sym_drop_table,
      sym_drop_view,
      sym_drop_index,
    STATE(4911), 3,
      sym__create_statement,
      sym__alter_statement,
      sym__drop_statement,
    STATE(4807), 4,
      sym__select_statement,
      sym__delete_statement,
      sym__insert_statement,
      sym__update_statement,
    STATE(4886), 4,
      sym_create_table,
      sym_create_view,
      sym_create_materialized_view,
      sym_create_index,
  [244074] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5548), 1,
      sym_keyword_is,
    STATE(3356), 2,
      sym_comment,
      sym_marginalia,
    STATE(1986), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(2004), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1113), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1111), 22,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [244130] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5656), 1,
      aux_sym_keyword_with_token1,
    ACTIONS(5658), 1,
      aux_sym_keyword_timestamp_token2,
    STATE(3357), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1443), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1441), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [244184] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(5546), 1,
      sym_keyword_in,
    ACTIONS(5548), 1,
      sym_keyword_is,
    ACTIONS(5550), 1,
      anon_sym_SLASH,
    ACTIONS(5558), 1,
      anon_sym_PLUS,
    ACTIONS(5560), 1,
      anon_sym_DASH,
    ACTIONS(5562), 1,
      anon_sym_CARET,
    ACTIONS(5564), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5638), 1,
      sym_keyword_and,
    ACTIONS(5640), 1,
      sym_keyword_or,
    ACTIONS(5642), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(5554), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(5556), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(3358), 2,
      sym_comment,
      sym_marginalia,
    STATE(1986), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(5552), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2004), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1297), 6,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
  [244268] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5660), 1,
      sym_keyword_unsigned,
    ACTIONS(5662), 1,
      sym_keyword_zerofill,
    ACTIONS(5664), 1,
      anon_sym_LPAREN,
    STATE(3359), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1045), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1043), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [244324] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3360), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(947), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(949), 29,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [244374] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(5546), 1,
      sym_keyword_in,
    ACTIONS(5548), 1,
      sym_keyword_is,
    ACTIONS(5550), 1,
      anon_sym_SLASH,
    ACTIONS(5558), 1,
      anon_sym_PLUS,
    ACTIONS(5560), 1,
      anon_sym_DASH,
    ACTIONS(5562), 1,
      anon_sym_CARET,
    ACTIONS(5564), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5638), 1,
      sym_keyword_and,
    ACTIONS(5640), 1,
      sym_keyword_or,
    ACTIONS(5642), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(5554), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(5556), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(3361), 2,
      sym_comment,
      sym_marginalia,
    STATE(1986), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(5552), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2004), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1291), 6,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
  [244458] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3362), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1027), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1025), 29,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [244508] = 13,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5548), 1,
      sym_keyword_is,
    ACTIONS(5550), 1,
      anon_sym_SLASH,
    ACTIONS(5558), 1,
      anon_sym_PLUS,
    ACTIONS(5560), 1,
      anon_sym_DASH,
    ACTIONS(5562), 1,
      anon_sym_CARET,
    ACTIONS(5554), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(3363), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1103), 3,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1986), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(2004), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 18,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [244574] = 20,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(5546), 1,
      sym_keyword_in,
    ACTIONS(5548), 1,
      sym_keyword_is,
    ACTIONS(5550), 1,
      anon_sym_SLASH,
    ACTIONS(5558), 1,
      anon_sym_PLUS,
    ACTIONS(5560), 1,
      anon_sym_DASH,
    ACTIONS(5562), 1,
      anon_sym_CARET,
    ACTIONS(5564), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5638), 1,
      sym_keyword_and,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(5554), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(5556), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(3364), 2,
      sym_comment,
      sym_marginalia,
    STATE(1986), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(5552), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2004), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 8,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_or,
      anon_sym_COLON_COLON,
  [244654] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3365), 2,
      sym_comment,
      sym_marginalia,
    STATE(1986), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(2004), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1103), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1093), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [244708] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5666), 1,
      sym_keyword_unsigned,
    ACTIONS(5668), 1,
      sym_keyword_zerofill,
    STATE(3366), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1231), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1233), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [244762] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5670), 1,
      sym_keyword_unsigned,
    ACTIONS(5672), 1,
      sym_keyword_zerofill,
    ACTIONS(5674), 1,
      anon_sym_LPAREN,
    STATE(3367), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1085), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1083), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [244818] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3368), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(951), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(953), 29,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [244868] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5676), 1,
      sym_keyword_unsigned,
    ACTIONS(5678), 1,
      sym_keyword_zerofill,
    ACTIONS(5680), 1,
      anon_sym_LPAREN,
    STATE(3369), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1001), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(999), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [244924] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3370), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(949), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(947), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [244974] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5682), 1,
      sym_keyword_unsigned,
    ACTIONS(5684), 1,
      sym_keyword_zerofill,
    STATE(3371), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1215), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1217), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [245028] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5686), 1,
      sym_keyword_precision,
    ACTIONS(5688), 1,
      anon_sym_LPAREN,
    STATE(3372), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1043), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1045), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [245082] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5548), 1,
      sym_keyword_is,
    ACTIONS(5562), 1,
      anon_sym_CARET,
    STATE(3373), 2,
      sym_comment,
      sym_marginalia,
    STATE(1986), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(2004), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1103), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1093), 21,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [245140] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5690), 1,
      sym_keyword_unsigned,
    ACTIONS(5692), 1,
      sym_keyword_zerofill,
    ACTIONS(5694), 1,
      anon_sym_LPAREN,
    STATE(3374), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1065), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1063), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [245196] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5696), 1,
      sym_keyword_unsigned,
    ACTIONS(5698), 1,
      sym_keyword_zerofill,
    STATE(3375), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1233), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1231), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [245250] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5700), 1,
      sym_keyword_unsigned,
    ACTIONS(5702), 1,
      sym_keyword_zerofill,
    STATE(3376), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1209), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1207), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [245304] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5704), 1,
      sym_keyword_unsigned,
    ACTIONS(5706), 1,
      sym_keyword_zerofill,
    STATE(3377), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1201), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1199), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [245358] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5708), 1,
      sym_keyword_unsigned,
    ACTIONS(5710), 1,
      sym_keyword_zerofill,
    STATE(3378), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1241), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1239), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [245412] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5712), 1,
      sym_keyword_unsigned,
    ACTIONS(5714), 1,
      sym_keyword_zerofill,
    STATE(3379), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1225), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1223), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [245466] = 16,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5546), 1,
      sym_keyword_in,
    ACTIONS(5548), 1,
      sym_keyword_is,
    ACTIONS(5550), 1,
      anon_sym_SLASH,
    ACTIONS(5558), 1,
      anon_sym_PLUS,
    ACTIONS(5560), 1,
      anon_sym_DASH,
    ACTIONS(5562), 1,
      anon_sym_CARET,
    ACTIONS(5564), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5554), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(5556), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(3380), 2,
      sym_comment,
      sym_marginalia,
    STATE(1986), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(5552), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2004), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 13,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COLON_COLON,
  [245538] = 15,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5546), 1,
      sym_keyword_in,
    ACTIONS(5548), 1,
      sym_keyword_is,
    ACTIONS(5550), 1,
      anon_sym_SLASH,
    ACTIONS(5558), 1,
      anon_sym_PLUS,
    ACTIONS(5560), 1,
      anon_sym_DASH,
    ACTIONS(5562), 1,
      anon_sym_CARET,
    ACTIONS(5554), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(5556), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(3381), 2,
      sym_comment,
      sym_marginalia,
    STATE(1986), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(5552), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2004), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 14,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_PIPE,
  [245608] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3382), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1023), 5,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1021), 30,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_cascade,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      sym__identifier,
  [245658] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3383), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(953), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(951), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [245708] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5716), 1,
      aux_sym_keyword_varchar_token2,
    STATE(3384), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1125), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1123), 28,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [245760] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5718), 1,
      sym_keyword_unsigned,
    ACTIONS(5720), 1,
      sym_keyword_zerofill,
    STATE(3385), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1191), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1193), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [245814] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5548), 1,
      sym_keyword_is,
    STATE(3386), 2,
      sym_comment,
      sym_marginalia,
    STATE(1986), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(2004), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1103), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1093), 22,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [245870] = 11,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5548), 1,
      sym_keyword_is,
    ACTIONS(5550), 1,
      anon_sym_SLASH,
    ACTIONS(5562), 1,
      anon_sym_CARET,
    ACTIONS(5554), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(3387), 2,
      sym_comment,
      sym_marginalia,
    STATE(1986), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1103), 4,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    STATE(2004), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 19,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [245932] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5722), 1,
      sym_keyword_unsigned,
    ACTIONS(5724), 1,
      sym_keyword_zerofill,
    STATE(3388), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1239), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1241), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [245986] = 14,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5546), 1,
      sym_keyword_in,
    ACTIONS(5548), 1,
      sym_keyword_is,
    ACTIONS(5550), 1,
      anon_sym_SLASH,
    ACTIONS(5558), 1,
      anon_sym_PLUS,
    ACTIONS(5560), 1,
      anon_sym_DASH,
    ACTIONS(5562), 1,
      anon_sym_CARET,
    ACTIONS(1103), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5554), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(3389), 2,
      sym_comment,
      sym_marginalia,
    STATE(1986), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(2004), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1093), 18,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [246054] = 13,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5728), 1,
      sym_keyword_partition,
    ACTIONS(5731), 1,
      sym_keyword_row,
    ACTIONS(5734), 1,
      sym_keyword_stored,
    ACTIONS(5737), 1,
      sym_keyword_location,
    ACTIONS(5740), 1,
      sym_keyword_partitioned,
    ACTIONS(5743), 1,
      sym_keyword_sort,
    STATE(4397), 1,
      sym__table_settings,
    STATE(3390), 3,
      sym_comment,
      sym_marginalia,
      aux_sym_create_table_repeat1,
    ACTIONS(5746), 4,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    STATE(4402), 5,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
    ACTIONS(5726), 18,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_tblproperties,
      sym__identifier,
  [246120] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(5546), 1,
      sym_keyword_in,
    ACTIONS(5548), 1,
      sym_keyword_is,
    ACTIONS(5550), 1,
      anon_sym_SLASH,
    ACTIONS(5558), 1,
      anon_sym_PLUS,
    ACTIONS(5560), 1,
      anon_sym_DASH,
    ACTIONS(5562), 1,
      anon_sym_CARET,
    ACTIONS(5564), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5638), 1,
      sym_keyword_and,
    ACTIONS(5640), 1,
      sym_keyword_or,
    ACTIONS(5642), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(5554), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(5556), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(3391), 2,
      sym_comment,
      sym_marginalia,
    STATE(1986), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(5552), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2004), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1299), 6,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
  [246204] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5748), 1,
      sym_keyword_unsigned,
    ACTIONS(5750), 1,
      sym_keyword_zerofill,
    ACTIONS(5752), 1,
      anon_sym_LPAREN,
    STATE(3392), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1045), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1043), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [246260] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5754), 1,
      sym_keyword_unsigned,
    ACTIONS(5756), 1,
      sym_keyword_zerofill,
    STATE(3393), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1217), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1215), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [246314] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5758), 1,
      sym_keyword_precision,
    ACTIONS(5760), 1,
      anon_sym_LPAREN,
    STATE(3394), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1045), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1043), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [246368] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5762), 1,
      aux_sym_keyword_varchar_token2,
    STATE(3395), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1123), 15,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1125), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [246420] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5764), 1,
      sym_keyword_unsigned,
    ACTIONS(5766), 1,
      sym_keyword_zerofill,
    STATE(3396), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1193), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1191), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [246474] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5768), 1,
      sym_keyword_unsigned,
    ACTIONS(5770), 1,
      sym_keyword_zerofill,
    STATE(3397), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1117), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1115), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [246528] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5772), 1,
      sym_keyword_zerofill,
    STATE(3398), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1431), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1429), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [246579] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1915), 1,
      anon_sym_DOT,
    ACTIONS(5774), 1,
      anon_sym_LPAREN,
    STATE(3399), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1959), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1957), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [246632] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5776), 1,
      sym_keyword_zerofill,
    STATE(3400), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1461), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1463), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [246683] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5778), 1,
      anon_sym_LPAREN,
    STATE(3401), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1397), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1399), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [246734] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5780), 1,
      anon_sym_LPAREN,
    STATE(3402), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1405), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1407), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [246785] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5760), 1,
      anon_sym_LPAREN,
    STATE(3403), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1045), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1043), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [246836] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3404), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(973), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(971), 20,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [246885] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5782), 1,
      anon_sym_LPAREN,
    STATE(3405), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1361), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1359), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [246936] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    STATE(3406), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1379), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1377), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [246987] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5786), 1,
      anon_sym_LPAREN,
    STATE(3407), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1335), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1333), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [247038] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5788), 1,
      sym_keyword_zerofill,
    STATE(3408), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1457), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1455), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [247089] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5790), 1,
      sym_keyword_zerofill,
    STATE(3409), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1367), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1365), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [247140] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5792), 1,
      anon_sym_LPAREN,
    STATE(3410), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1341), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1339), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [247191] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5794), 1,
      anon_sym_LPAREN,
    STATE(3411), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1349), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1347), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [247242] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5796), 1,
      sym_keyword_zerofill,
    STATE(3412), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1413), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1411), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [247293] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3413), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1255), 15,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1257), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [247342] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3414), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1123), 15,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1125), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [247391] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5798), 1,
      sym_keyword_zerofill,
    STATE(3415), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1425), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1423), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [247442] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5800), 1,
      sym_keyword_zerofill,
    STATE(3416), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1463), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1461), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [247493] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3417), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1393), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1391), 28,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [247542] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5802), 1,
      sym_keyword_over,
    STATE(3418), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2211), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2209), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [247593] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5804), 1,
      anon_sym_LPAREN,
    STATE(3419), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1383), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1385), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [247644] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5806), 1,
      anon_sym_LPAREN,
    STATE(3420), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1417), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1419), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [247695] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5808), 1,
      sym_keyword_unsigned,
    ACTIONS(5810), 1,
      sym_keyword_zerofill,
    STATE(3421), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1225), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1223), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [247748] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1909), 1,
      anon_sym_DOT,
    STATE(3422), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2009), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2007), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [247799] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5812), 1,
      sym_keyword_unsigned,
    ACTIONS(5814), 1,
      sym_keyword_zerofill,
    STATE(3423), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1241), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1239), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [247852] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5816), 1,
      sym_keyword_unsigned,
    ACTIONS(5818), 1,
      sym_keyword_zerofill,
    STATE(3424), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1201), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1199), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [247905] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5820), 1,
      sym_keyword_unsigned,
    ACTIONS(5822), 1,
      sym_keyword_zerofill,
    STATE(3425), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1209), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1207), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [247958] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5824), 1,
      sym_keyword_unsigned,
    ACTIONS(5826), 1,
      sym_keyword_zerofill,
    STATE(3426), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1233), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1231), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [248011] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5828), 1,
      sym_keyword_zerofill,
    STATE(3427), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1437), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1435), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [248062] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5830), 1,
      sym_keyword_zerofill,
    STATE(3428), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1373), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1371), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [248113] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5832), 1,
      sym_keyword_zerofill,
    STATE(3429), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1349), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1347), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [248164] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5834), 1,
      sym_keyword_zerofill,
    STATE(3430), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1423), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1425), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [248215] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5836), 1,
      sym_keyword_zerofill,
    STATE(3431), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1411), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1413), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [248266] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5838), 1,
      sym_keyword_zerofill,
    STATE(3432), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1435), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1437), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [248317] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5840), 1,
      aux_sym_keyword_varchar_token2,
    STATE(3433), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1125), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1123), 27,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [248368] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5842), 1,
      sym_keyword_unsigned,
    ACTIONS(5844), 1,
      sym_keyword_zerofill,
    STATE(3434), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1117), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1115), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [248421] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3435), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1391), 15,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1393), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [248470] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3436), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(947), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(949), 29,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [248519] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5846), 1,
      anon_sym_LPAREN,
    STATE(3437), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1353), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1355), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [248570] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5848), 1,
      sym_keyword_precision,
    ACTIONS(5850), 1,
      anon_sym_LPAREN,
    STATE(3438), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1045), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1043), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [248623] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5852), 1,
      sym_keyword_zerofill,
    STATE(3439), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1429), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1431), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [248674] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5854), 1,
      anon_sym_LPAREN,
    STATE(3440), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1347), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1349), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [248725] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5856), 1,
      sym_keyword_unsigned,
    ACTIONS(5858), 1,
      sym_keyword_zerofill,
    STATE(3441), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1193), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1191), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [248778] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1915), 1,
      anon_sym_DOT,
    ACTIONS(5860), 1,
      anon_sym_LPAREN,
    STATE(3442), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1959), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1957), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [248831] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5862), 1,
      anon_sym_LPAREN,
    STATE(3443), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1339), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1341), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [248882] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5864), 1,
      anon_sym_LPAREN,
    STATE(3444), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1333), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1335), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [248933] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5866), 1,
      anon_sym_LPAREN,
    STATE(3445), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1377), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1379), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [248984] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5868), 1,
      anon_sym_LPAREN,
    STATE(3446), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1359), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1361), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [249035] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5870), 1,
      anon_sym_DOT,
    STATE(3447), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2003), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2001), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [249086] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5688), 1,
      anon_sym_LPAREN,
    STATE(3448), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1043), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1045), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [249137] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3449), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(963), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(965), 28,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [249186] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5872), 1,
      sym_keyword_zerofill,
    STATE(3450), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1353), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1355), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [249237] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3451), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(957), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(955), 28,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [249286] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5874), 1,
      anon_sym_LPAREN,
    STATE(3452), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1399), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1397), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [249337] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5876), 1,
      anon_sym_LPAREN,
    STATE(3453), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1407), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1405), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [249388] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(3454), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3003), 5,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_returning,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [249471] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4679), 1,
      sym_keyword_in,
    ACTIONS(4681), 1,
      sym_keyword_is,
    ACTIONS(4683), 1,
      anon_sym_SLASH,
    ACTIONS(4691), 1,
      anon_sym_PLUS,
    ACTIONS(4693), 1,
      anon_sym_DASH,
    ACTIONS(4695), 1,
      anon_sym_CARET,
    ACTIONS(4739), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4741), 1,
      sym_keyword_and,
    ACTIONS(5208), 1,
      sym_keyword_or,
    ACTIONS(5210), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4687), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4689), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(3455), 2,
      sym_comment,
      sym_marginalia,
    STATE(1893), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4685), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1892), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(1963), 5,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [249554] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5886), 1,
      sym_keyword_unsigned,
    ACTIONS(5888), 1,
      sym_keyword_zerofill,
    STATE(3456), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1217), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1215), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [249607] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5890), 1,
      sym_keyword_zerofill,
    STATE(3457), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1371), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1373), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [249658] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3458), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2015), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2017), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [249707] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5892), 1,
      sym_keyword_over,
    STATE(3459), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2209), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2211), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [249758] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1909), 1,
      anon_sym_DOT,
    STATE(3460), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2007), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2009), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [249809] = 18,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4777), 1,
      sym_keyword_left,
    ACTIONS(4779), 1,
      sym_keyword_right,
    ACTIONS(4783), 1,
      sym_keyword_join,
    ACTIONS(4785), 1,
      sym_keyword_where,
    ACTIONS(4787), 1,
      sym_keyword_order,
    ACTIONS(4789), 1,
      sym_keyword_group,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    STATE(3464), 1,
      aux_sym_from_repeat1,
    STATE(4553), 1,
      sym_where,
    STATE(4605), 1,
      sym_group_by,
    STATE(4617), 1,
      sym_limit,
    STATE(4667), 1,
      sym_order_by,
    ACTIONS(4781), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(3461), 2,
      sym_comment,
      sym_marginalia,
    STATE(4270), 2,
      sym_join,
      sym_lateral_join,
    ACTIONS(4799), 18,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [249884] = 18,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4777), 1,
      sym_keyword_left,
    ACTIONS(4779), 1,
      sym_keyword_right,
    ACTIONS(4783), 1,
      sym_keyword_join,
    ACTIONS(4785), 1,
      sym_keyword_where,
    ACTIONS(4787), 1,
      sym_keyword_order,
    ACTIONS(4789), 1,
      sym_keyword_group,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    STATE(4182), 1,
      aux_sym_from_repeat1,
    STATE(4553), 1,
      sym_where,
    STATE(4605), 1,
      sym_group_by,
    STATE(4617), 1,
      sym_limit,
    STATE(4667), 1,
      sym_order_by,
    ACTIONS(4781), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(3462), 2,
      sym_comment,
      sym_marginalia,
    STATE(4270), 2,
      sym_join,
      sym_lateral_join,
    ACTIONS(4799), 18,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [249959] = 18,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4777), 1,
      sym_keyword_left,
    ACTIONS(4779), 1,
      sym_keyword_right,
    ACTIONS(4783), 1,
      sym_keyword_join,
    ACTIONS(4785), 1,
      sym_keyword_where,
    ACTIONS(4787), 1,
      sym_keyword_order,
    ACTIONS(4789), 1,
      sym_keyword_group,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    STATE(3471), 1,
      aux_sym_from_repeat1,
    STATE(4554), 1,
      sym_where,
    STATE(4604), 1,
      sym_group_by,
    STATE(4637), 1,
      sym_limit,
    STATE(4643), 1,
      sym_order_by,
    ACTIONS(4781), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(3463), 2,
      sym_comment,
      sym_marginalia,
    STATE(4270), 2,
      sym_join,
      sym_lateral_join,
    ACTIONS(4775), 18,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [250034] = 18,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4777), 1,
      sym_keyword_left,
    ACTIONS(4779), 1,
      sym_keyword_right,
    ACTIONS(4783), 1,
      sym_keyword_join,
    ACTIONS(4785), 1,
      sym_keyword_where,
    ACTIONS(4787), 1,
      sym_keyword_order,
    ACTIONS(4789), 1,
      sym_keyword_group,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    STATE(4182), 1,
      aux_sym_from_repeat1,
    STATE(4554), 1,
      sym_where,
    STATE(4604), 1,
      sym_group_by,
    STATE(4637), 1,
      sym_limit,
    STATE(4643), 1,
      sym_order_by,
    ACTIONS(4781), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(3464), 2,
      sym_comment,
      sym_marginalia,
    STATE(4270), 2,
      sym_join,
      sym_lateral_join,
    ACTIONS(4775), 18,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [250109] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5536), 1,
      sym_keyword_zerofill,
    STATE(3465), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1043), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1045), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [250160] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5894), 1,
      sym_keyword_zerofill,
    STATE(3466), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1347), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1349), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [250211] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5896), 1,
      sym_keyword_zerofill,
    STATE(3467), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1355), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1353), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [250262] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5898), 1,
      sym_keyword_over,
    STATE(3468), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2211), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2209), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [250313] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3469), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1257), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1255), 28,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [250362] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5900), 1,
      anon_sym_DOT,
    STATE(3470), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2001), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2003), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [250413] = 18,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4777), 1,
      sym_keyword_left,
    ACTIONS(4779), 1,
      sym_keyword_right,
    ACTIONS(4783), 1,
      sym_keyword_join,
    ACTIONS(4785), 1,
      sym_keyword_where,
    ACTIONS(4787), 1,
      sym_keyword_order,
    ACTIONS(4789), 1,
      sym_keyword_group,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    STATE(4182), 1,
      aux_sym_from_repeat1,
    STATE(4543), 1,
      sym_where,
    STATE(4597), 1,
      sym_group_by,
    STATE(4631), 1,
      sym_order_by,
    STATE(4671), 1,
      sym_limit,
    ACTIONS(4781), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(3471), 2,
      sym_comment,
      sym_marginalia,
    STATE(4270), 2,
      sym_join,
      sym_lateral_join,
    ACTIONS(5902), 18,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [250488] = 18,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4777), 1,
      sym_keyword_left,
    ACTIONS(4779), 1,
      sym_keyword_right,
    ACTIONS(4783), 1,
      sym_keyword_join,
    ACTIONS(4785), 1,
      sym_keyword_where,
    ACTIONS(4787), 1,
      sym_keyword_order,
    ACTIONS(4789), 1,
      sym_keyword_group,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    STATE(3473), 1,
      aux_sym_from_repeat1,
    STATE(4543), 1,
      sym_where,
    STATE(4597), 1,
      sym_group_by,
    STATE(4631), 1,
      sym_order_by,
    STATE(4671), 1,
      sym_limit,
    ACTIONS(4781), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(3472), 2,
      sym_comment,
      sym_marginalia,
    STATE(4270), 2,
      sym_join,
      sym_lateral_join,
    ACTIONS(5902), 18,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [250563] = 18,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4777), 1,
      sym_keyword_left,
    ACTIONS(4779), 1,
      sym_keyword_right,
    ACTIONS(4783), 1,
      sym_keyword_join,
    ACTIONS(4785), 1,
      sym_keyword_where,
    ACTIONS(4787), 1,
      sym_keyword_order,
    ACTIONS(4789), 1,
      sym_keyword_group,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    STATE(4182), 1,
      aux_sym_from_repeat1,
    STATE(4546), 1,
      sym_where,
    STATE(4596), 1,
      sym_group_by,
    STATE(4622), 1,
      sym_order_by,
    STATE(4665), 1,
      sym_limit,
    ACTIONS(4781), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(3473), 2,
      sym_comment,
      sym_marginalia,
    STATE(4270), 2,
      sym_join,
      sym_lateral_join,
    ACTIONS(5904), 18,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [250638] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5906), 1,
      sym_keyword_zerofill,
    STATE(3474), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1339), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1341), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [250689] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5908), 1,
      sym_keyword_zerofill,
    STATE(3475), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1333), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1335), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [250740] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3476), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1125), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1123), 28,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [250789] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5910), 1,
      sym_keyword_zerofill,
    STATE(3477), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1365), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1367), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [250840] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5912), 1,
      aux_sym_keyword_with_token1,
    ACTIONS(5914), 1,
      aux_sym_keyword_timestamp_token2,
    STATE(3478), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1443), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1441), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [250893] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5916), 1,
      sym_keyword_zerofill,
    STATE(3479), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1377), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1379), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [250944] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3480), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(963), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(965), 28,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [250993] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5918), 1,
      sym_keyword_zerofill,
    STATE(3481), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1329), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1327), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [251044] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5920), 1,
      sym_keyword_precision,
    ACTIONS(5922), 1,
      anon_sym_LPAREN,
    STATE(3482), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1045), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1043), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [251097] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3483), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(967), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(969), 28,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [251146] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3484), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2131), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2133), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [251195] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3485), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(965), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(963), 20,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [251244] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3486), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(967), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(969), 28,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [251293] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5924), 1,
      sym_keyword_zerofill,
    STATE(3487), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1359), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1361), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [251344] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3488), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(971), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(973), 28,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [251393] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3489), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(971), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(973), 28,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [251442] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5926), 1,
      sym__natural_number,
    STATE(3490), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1899), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1901), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [251493] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5928), 1,
      anon_sym_COMMA,
    STATE(3491), 3,
      sym_comment,
      sym_marginalia,
      aux_sym__mysql_update_statement_repeat1,
    ACTIONS(5650), 32,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [251542] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3492), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(969), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(967), 20,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [251591] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5931), 1,
      anon_sym_LPAREN,
    STATE(3493), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1329), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1327), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [251642] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5440), 1,
      sym_keyword_zerofill,
    STATE(3494), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1045), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1043), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [251693] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5933), 1,
      anon_sym_LPAREN,
    STATE(3495), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1327), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1329), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [251744] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5935), 1,
      sym_keyword_zerofill,
    STATE(3496), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1455), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1457), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [251795] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5937), 1,
      sym_keyword_zerofill,
    STATE(3497), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1327), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1329), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [251846] = 13,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5939), 1,
      sym_keyword_partition,
    ACTIONS(5942), 1,
      sym_keyword_row,
    ACTIONS(5945), 1,
      sym_keyword_stored,
    ACTIONS(5948), 1,
      sym_keyword_location,
    ACTIONS(5951), 1,
      sym_keyword_partitioned,
    ACTIONS(5954), 1,
      sym_keyword_sort,
    STATE(4505), 1,
      sym__table_settings,
    STATE(3498), 3,
      sym_comment,
      sym_marginalia,
      aux_sym_create_table_repeat1,
    ACTIONS(5746), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    STATE(4499), 5,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
    ACTIONS(5726), 16,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_tblproperties,
      sym__identifier,
  [251911] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5957), 1,
      sym_keyword_unsigned,
    ACTIONS(5959), 1,
      sym_keyword_zerofill,
    STATE(3499), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1117), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1115), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [251964] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3500), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(957), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(955), 28,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [252013] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5961), 1,
      aux_sym_keyword_with_token1,
    ACTIONS(5963), 1,
      aux_sym_keyword_timestamp_token2,
    STATE(3501), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1443), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1441), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [252066] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5965), 1,
      anon_sym_LPAREN,
    STATE(3502), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1385), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1383), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [252117] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5967), 1,
      sym_keyword_zerofill,
    STATE(3503), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1361), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1359), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [252168] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5969), 1,
      sym_keyword_unsigned,
    ACTIONS(5971), 1,
      sym_keyword_zerofill,
    STATE(3504), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1193), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1191), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [252221] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1915), 1,
      anon_sym_DOT,
    STATE(3505), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1913), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1911), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [252272] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5973), 1,
      anon_sym_LPAREN,
    STATE(3506), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1419), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1417), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [252323] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5975), 1,
      sym_keyword_zerofill,
    STATE(3507), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1379), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1377), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [252374] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3508), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(951), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(953), 29,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [252423] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5977), 1,
      sym_keyword_unsigned,
    ACTIONS(5979), 1,
      sym_keyword_zerofill,
    STATE(3509), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1233), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1231), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [252476] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5981), 1,
      sym_keyword_unsigned,
    ACTIONS(5983), 1,
      sym_keyword_zerofill,
    STATE(3510), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1209), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1207), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [252529] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3511), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2017), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2015), 28,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [252578] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5985), 1,
      anon_sym_LPAREN,
    STATE(3512), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1355), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1353), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [252629] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1909), 1,
      anon_sym_DOT,
    STATE(3513), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1907), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1905), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [252680] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5987), 1,
      sym_keyword_unsigned,
    ACTIONS(5989), 1,
      sym_keyword_zerofill,
    STATE(3514), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1201), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1199), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [252733] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5991), 1,
      sym_keyword_unsigned,
    ACTIONS(5993), 1,
      sym_keyword_zerofill,
    STATE(3515), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1241), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1239), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [252786] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5995), 1,
      sym_keyword_unsigned,
    ACTIONS(5997), 1,
      sym_keyword_zerofill,
    STATE(3516), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1225), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1223), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [252839] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5999), 1,
      aux_sym_keyword_varchar_token2,
    STATE(3517), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1125), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1123), 28,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [252890] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3518), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(955), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(957), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [252939] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1909), 1,
      anon_sym_DOT,
    STATE(3519), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1905), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1907), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [252990] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1915), 1,
      anon_sym_DOT,
    STATE(3520), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1913), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1911), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [253041] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1909), 1,
      anon_sym_DOT,
    STATE(3521), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1907), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1905), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [253092] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3522), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2017), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2015), 28,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [253141] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3523), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(951), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(953), 28,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [253190] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3524), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(947), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(949), 28,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [253239] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6001), 1,
      sym__natural_number,
    STATE(3525), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1901), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1899), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [253290] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6003), 1,
      sym_keyword_zerofill,
    STATE(3526), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1335), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1333), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [253341] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1909), 1,
      anon_sym_DOT,
    STATE(3527), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2009), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2007), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [253392] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6005), 1,
      anon_sym_DOT,
    STATE(3528), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2003), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2001), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [253443] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6007), 1,
      sym_keyword_zerofill,
    STATE(3529), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1341), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1339), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [253494] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6009), 1,
      sym_keyword_unsigned,
    ACTIONS(6011), 1,
      sym_keyword_zerofill,
    STATE(3530), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1217), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1215), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [253547] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3531), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2133), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2131), 28,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [253596] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6013), 1,
      sym__natural_number,
    STATE(3532), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1901), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1899), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [253647] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3533), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2133), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2131), 28,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [253696] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1915), 1,
      anon_sym_DOT,
    STATE(3534), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1911), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1913), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [253747] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6015), 1,
      anon_sym_LPAREN,
    STATE(3535), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1407), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1405), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [253797] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3536), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(983), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(985), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [253845] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3537), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2539), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2537), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [253893] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3538), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2179), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2177), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [253941] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3539), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1901), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1899), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [253989] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3540), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2235), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2233), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [254037] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3541), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2235), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2233), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [254085] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3542), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1901), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1899), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [254133] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3543), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2227), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2225), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [254181] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3544), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2529), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2527), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [254229] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3545), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2003), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2001), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [254277] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3546), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2525), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2523), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [254325] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3547), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2179), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2177), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [254373] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3548), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1329), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1327), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [254421] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3549), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2539), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2537), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [254469] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3550), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(961), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(959), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [254517] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3551), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2529), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2527), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [254565] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3552), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(957), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(955), 28,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [254613] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3553), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2215), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2213), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [254661] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3554), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2525), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2523), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [254709] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3555), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2211), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2209), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [254757] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3556), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2207), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2205), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [254805] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3557), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2389), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2387), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [254853] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3558), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2227), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2225), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [254901] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3559), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2513), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2511), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [254949] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3560), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2505), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2503), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [254997] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3561), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2215), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2213), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [255045] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3562), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2211), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2209), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [255093] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3563), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2405), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2403), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [255141] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3564), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2393), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2391), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [255189] = 25,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6017), 1,
      sym_keyword_when,
    ACTIONS(6019), 1,
      sym_keyword_else,
    ACTIONS(6021), 1,
      sym_keyword_end,
    STATE(5502), 1,
      aux_sym_case_repeat1,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(3565), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [255277] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3566), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2385), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2383), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [255325] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3567), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2381), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2379), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [255373] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3568), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(957), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(955), 27,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [255421] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3569), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2367), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2365), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [255469] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3570), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2349), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2347), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [255517] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3571), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2341), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2339), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [255565] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3572), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2293), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2291), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [255613] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3573), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2287), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2285), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [255661] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3574), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2281), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2279), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [255709] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3575), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2271), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2269), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [255757] = 25,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6023), 1,
      sym_keyword_when,
    ACTIONS(6025), 1,
      sym_keyword_else,
    ACTIONS(6027), 1,
      sym_keyword_end,
    STATE(5493), 1,
      aux_sym_case_repeat2,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(3576), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [255845] = 25,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6023), 1,
      sym_keyword_when,
    ACTIONS(6029), 1,
      sym_keyword_else,
    ACTIONS(6031), 1,
      sym_keyword_end,
    STATE(5444), 1,
      aux_sym_case_repeat2,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(3577), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [255933] = 25,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6023), 1,
      sym_keyword_when,
    ACTIONS(6033), 1,
      sym_keyword_else,
    ACTIONS(6035), 1,
      sym_keyword_end,
    STATE(5564), 1,
      aux_sym_case_repeat2,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(3578), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [256021] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6037), 1,
      sym_keyword_zerofill,
    STATE(3579), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1373), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1371), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [256071] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3580), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1643), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1641), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [256119] = 25,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6023), 1,
      sym_keyword_when,
    ACTIONS(6039), 1,
      sym_keyword_else,
    ACTIONS(6041), 1,
      sym_keyword_end,
    STATE(5538), 1,
      aux_sym_case_repeat2,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(3581), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [256207] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3582), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2267), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2265), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [256255] = 25,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6017), 1,
      sym_keyword_when,
    ACTIONS(6043), 1,
      sym_keyword_else,
    ACTIONS(6045), 1,
      sym_keyword_end,
    STATE(5527), 1,
      aux_sym_case_repeat1,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(3583), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [256343] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6047), 1,
      sym_keyword_zerofill,
    STATE(3584), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1431), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1429), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [256393] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3585), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1613), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1615), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [256441] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6049), 1,
      sym_keyword_zerofill,
    STATE(3586), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1437), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1435), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [256491] = 25,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6023), 1,
      sym_keyword_when,
    ACTIONS(6051), 1,
      sym_keyword_else,
    ACTIONS(6053), 1,
      sym_keyword_end,
    STATE(5562), 1,
      aux_sym_case_repeat2,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(3587), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [256579] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3588), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1647), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1645), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [256627] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3589), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1651), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1649), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [256675] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3590), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1655), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1653), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [256723] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3591), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2513), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2511), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [256771] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3592), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2207), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2205), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [256819] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3593), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2003), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2001), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [256867] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3594), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1659), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1657), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [256915] = 25,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6017), 1,
      sym_keyword_when,
    ACTIONS(6055), 1,
      sym_keyword_else,
    ACTIONS(6057), 1,
      sym_keyword_end,
    STATE(5571), 1,
      aux_sym_case_repeat1,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(3595), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [257003] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3596), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(963), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(965), 27,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [257051] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3597), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2505), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2503), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [257099] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3598), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2405), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2403), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [257147] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3599), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2393), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2391), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [257195] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3600), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2389), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2387), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [257243] = 25,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6017), 1,
      sym_keyword_when,
    ACTIONS(6059), 1,
      sym_keyword_else,
    ACTIONS(6061), 1,
      sym_keyword_end,
    STATE(5553), 1,
      aux_sym_case_repeat1,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(3601), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [257331] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3602), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2385), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2383), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [257379] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3603), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2381), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2379), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [257427] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3604), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6063), 33,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [257473] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3605), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2403), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2405), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [257521] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3606), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6065), 33,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [257567] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3607), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2285), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2287), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [257615] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6067), 1,
      sym_keyword_zerofill,
    STATE(3608), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1463), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1461), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [257665] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3609), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6069), 33,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [257711] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6071), 1,
      sym_keyword_zerofill,
    STATE(3610), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1425), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1423), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [257761] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3611), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2291), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2293), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [257809] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6073), 1,
      sym_keyword_zerofill,
    STATE(3612), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1413), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1411), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [257859] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3613), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1493), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1495), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [257907] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6075), 1,
      sym_keyword_zerofill,
    STATE(3614), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1367), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1365), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [257957] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3615), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1605), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1607), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [258005] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6077), 1,
      sym_keyword_zerofill,
    STATE(3616), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1457), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1455), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [258055] = 25,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6017), 1,
      sym_keyword_when,
    ACTIONS(6079), 1,
      sym_keyword_else,
    ACTIONS(6081), 1,
      sym_keyword_end,
    STATE(5560), 1,
      aux_sym_case_repeat1,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(3617), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [258143] = 25,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6017), 1,
      sym_keyword_when,
    ACTIONS(6083), 1,
      sym_keyword_else,
    ACTIONS(6085), 1,
      sym_keyword_end,
    STATE(5428), 1,
      aux_sym_case_repeat1,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(3618), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [258231] = 25,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6017), 1,
      sym_keyword_when,
    ACTIONS(6087), 1,
      sym_keyword_else,
    ACTIONS(6089), 1,
      sym_keyword_end,
    STATE(5526), 1,
      aux_sym_case_repeat1,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(3619), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [258319] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3620), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2339), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2341), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [258367] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3621), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2347), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2349), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [258415] = 25,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6023), 1,
      sym_keyword_when,
    ACTIONS(6091), 1,
      sym_keyword_else,
    ACTIONS(6093), 1,
      sym_keyword_end,
    STATE(5557), 1,
      aux_sym_case_repeat2,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(3622), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [258503] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3623), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2365), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2367), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [258551] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3624), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2279), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2281), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [258599] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3625), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1361), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1359), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [258647] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6095), 1,
      sym_keyword_over,
    STATE(3626), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2211), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2209), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [258697] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3627), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1379), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1377), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [258745] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3628), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(971), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(973), 27,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [258793] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3629), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2367), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2365), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [258841] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3630), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2349), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2347), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [258889] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3631), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2341), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2339), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [258937] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3632), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2293), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2291), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [258985] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3633), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1335), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1333), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [259033] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3634), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1341), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1339), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [259081] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3635), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2263), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2261), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [259129] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3636), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2269), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2271), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [259177] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3637), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2265), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2267), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [259225] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3638), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1727), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1725), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [259273] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3639), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1731), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1729), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [259321] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3640), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1611), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1609), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [259369] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6097), 1,
      sym_keyword_zerofill,
    STATE(3641), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1329), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1327), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [259419] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3642), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(967), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(969), 27,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [259467] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3643), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2287), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2285), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [259515] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3644), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2281), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2279), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [259563] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3645), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2271), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2269), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [259611] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3646), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2267), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2265), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [259659] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3647), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1639), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1637), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [259707] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1915), 1,
      anon_sym_DOT,
    STATE(3648), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1913), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1911), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [259757] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6099), 1,
      anon_sym_LPAREN,
    STATE(3649), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1329), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1327), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [259807] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3650), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2259), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2257), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [259855] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1909), 1,
      anon_sym_DOT,
    STATE(3651), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1907), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1905), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [259905] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6101), 1,
      sym_keyword_zerofill,
    STATE(3652), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1361), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1359), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [259955] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3653), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1597), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1599), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [260003] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6103), 1,
      sym_keyword_zerofill,
    STATE(3654), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1379), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1377), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [260053] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3655), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1635), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1633), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [260101] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6105), 1,
      sym_keyword_zerofill,
    STATE(3656), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1335), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1333), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [260151] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6107), 1,
      sym_keyword_zerofill,
    STATE(3657), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1349), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1347), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [260201] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6109), 1,
      sym_keyword_zerofill,
    STATE(3658), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1341), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1339), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [260251] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6111), 1,
      sym__natural_number,
    STATE(3659), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1901), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1899), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [260301] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3660), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2263), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2261), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [260349] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3661), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2259), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2257), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [260397] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3662), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2133), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2131), 28,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [260445] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3663), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1631), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1629), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [260493] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5662), 1,
      sym_keyword_zerofill,
    STATE(3664), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1045), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1043), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [260543] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3665), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1499), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1497), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [260591] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6113), 1,
      sym_keyword_zerofill,
    STATE(3666), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1355), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1353), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [260641] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5922), 1,
      anon_sym_LPAREN,
    STATE(3667), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1045), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1043), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [260691] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6115), 1,
      anon_sym_LPAREN,
    STATE(3668), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1361), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1359), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [260741] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6117), 1,
      anon_sym_LPAREN,
    STATE(3669), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1379), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1377), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [260791] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6119), 1,
      anon_sym_LPAREN,
    STATE(3670), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1335), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1333), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [260841] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6121), 1,
      anon_sym_LPAREN,
    STATE(3671), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1341), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1339), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [260891] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6123), 1,
      anon_sym_LPAREN,
    STATE(3672), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1349), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1347), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [260941] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6125), 1,
      anon_sym_LPAREN,
    STATE(3673), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1355), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1353), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [260991] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3674), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1393), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1391), 28,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [261039] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3675), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2255), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2253), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [261087] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6127), 1,
      anon_sym_LPAREN,
    STATE(3676), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1399), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1397), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [261137] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3677), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2255), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2253), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [261185] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3678), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1899), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1901), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [261233] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6129), 1,
      anon_sym_DOT,
    STATE(3679), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2003), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2001), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [261283] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1909), 1,
      anon_sym_DOT,
    STATE(3680), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2009), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2007), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [261333] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3681), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1257), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1255), 28,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [261381] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3682), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1125), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1123), 28,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [261429] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6131), 1,
      anon_sym_LPAREN,
    STATE(3683), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1385), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1383), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [261479] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6133), 1,
      anon_sym_LPAREN,
    STATE(3684), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1419), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1417), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [261529] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3685), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1349), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1347), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [261577] = 25,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6017), 1,
      sym_keyword_when,
    ACTIONS(6135), 1,
      sym_keyword_else,
    ACTIONS(6137), 1,
      sym_keyword_end,
    STATE(5439), 1,
      aux_sym_case_repeat1,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(3686), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [261665] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3687), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2251), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2249), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [261713] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3688), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2017), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2015), 28,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [261761] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3689), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1045), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1043), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [261809] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3690), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2251), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2249), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [261857] = 24,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4679), 1,
      sym_keyword_in,
    ACTIONS(4681), 1,
      sym_keyword_is,
    ACTIONS(4683), 1,
      anon_sym_SLASH,
    ACTIONS(4691), 1,
      anon_sym_PLUS,
    ACTIONS(4693), 1,
      anon_sym_DASH,
    ACTIONS(4695), 1,
      anon_sym_CARET,
    ACTIONS(4739), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4741), 1,
      sym_keyword_and,
    ACTIONS(5208), 1,
      sym_keyword_or,
    ACTIONS(5210), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6139), 1,
      sym_keyword_order,
    STATE(5872), 1,
      sym_order_by,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4687), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4689), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6141), 2,
      sym_keyword_separator,
      anon_sym_RPAREN,
    STATE(3691), 2,
      sym_comment,
      sym_marginalia,
    STATE(1893), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4685), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1892), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [261943] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3692), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2245), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2243), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [261991] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3693), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(975), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(977), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [262039] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3694), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(979), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(981), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [262087] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3695), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2245), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2243), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [262135] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3696), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6143), 33,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [262181] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3697), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1617), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1619), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [262229] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3698), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1371), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1373), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [262277] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3699), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1621), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1623), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [262325] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3700), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1355), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1353), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [262373] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3701), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2379), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2381), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [262421] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3702), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2383), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2385), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [262469] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3703), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1569), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1571), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [262517] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3704), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2017), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2015), 27,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [262565] = 25,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6023), 1,
      sym_keyword_when,
    ACTIONS(6145), 1,
      sym_keyword_else,
    ACTIONS(6147), 1,
      sym_keyword_end,
    STATE(5433), 1,
      aux_sym_case_repeat2,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(3705), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [262653] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3706), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(975), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(977), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [262701] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3707), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2387), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2389), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [262749] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3708), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2391), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2393), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [262797] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1909), 1,
      anon_sym_DOT,
    STATE(3709), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2009), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2007), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [262847] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6149), 1,
      anon_sym_DOT,
    STATE(3710), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2003), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2001), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [262897] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3711), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1547), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1545), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [262945] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3712), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1625), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1627), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [262993] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3713), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6151), 33,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [263039] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3714), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1257), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1255), 27,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [263087] = 25,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6023), 1,
      sym_keyword_when,
    ACTIONS(6153), 1,
      sym_keyword_else,
    ACTIONS(6155), 1,
      sym_keyword_end,
    STATE(5520), 1,
      aux_sym_case_repeat2,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(3715), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [263175] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3716), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2133), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2131), 27,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [263223] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3717), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1365), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1367), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [263271] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3718), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2503), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2505), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [263319] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3719), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2511), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2513), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [263367] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3720), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6157), 33,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [263413] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3721), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1353), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1355), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [263461] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3722), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1347), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1349), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [263509] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6159), 1,
      sym_keyword_zerofill,
    STATE(3723), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1373), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1371), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [263559] = 25,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6023), 1,
      sym_keyword_when,
    ACTIONS(6161), 1,
      sym_keyword_else,
    ACTIONS(6163), 1,
      sym_keyword_end,
    STATE(5522), 1,
      aux_sym_case_repeat2,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(3724), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [263647] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3725), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6165), 33,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_using,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [263693] = 25,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6017), 1,
      sym_keyword_when,
    ACTIONS(6167), 1,
      sym_keyword_else,
    ACTIONS(6169), 1,
      sym_keyword_end,
    STATE(5505), 1,
      aux_sym_case_repeat1,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(3726), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [263781] = 18,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4785), 1,
      sym_keyword_where,
    ACTIONS(4787), 1,
      sym_keyword_order,
    ACTIONS(4789), 1,
      sym_keyword_group,
    ACTIONS(5052), 1,
      sym_keyword_left,
    ACTIONS(5054), 1,
      sym_keyword_right,
    ACTIONS(5058), 1,
      sym_keyword_join,
    ACTIONS(5060), 1,
      sym_keyword_limit,
    STATE(4346), 1,
      aux_sym_from_repeat1,
    STATE(4559), 1,
      sym_where,
    STATE(4637), 1,
      sym_limit,
    STATE(4642), 1,
      sym_group_by,
    STATE(4739), 1,
      sym_order_by,
    ACTIONS(5056), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(3727), 2,
      sym_comment,
      sym_marginalia,
    STATE(4270), 2,
      sym_join,
      sym_lateral_join,
    ACTIONS(4775), 17,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      anon_sym_SEMI,
  [263855] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6171), 1,
      sym__natural_number,
    STATE(3728), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1901), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1899), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [263905] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3729), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1339), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1341), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [263953] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6173), 1,
      sym_keyword_zerofill,
    STATE(3730), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1431), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1429), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [264003] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3731), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1333), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1335), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [264051] = 18,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4785), 1,
      sym_keyword_where,
    ACTIONS(4787), 1,
      sym_keyword_order,
    ACTIONS(4789), 1,
      sym_keyword_group,
    ACTIONS(5052), 1,
      sym_keyword_left,
    ACTIONS(5054), 1,
      sym_keyword_right,
    ACTIONS(5058), 1,
      sym_keyword_join,
    ACTIONS(5060), 1,
      sym_keyword_limit,
    STATE(3855), 1,
      aux_sym_from_repeat1,
    STATE(4559), 1,
      sym_where,
    STATE(4637), 1,
      sym_limit,
    STATE(4642), 1,
      sym_group_by,
    STATE(4739), 1,
      sym_order_by,
    ACTIONS(5056), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(3732), 2,
      sym_comment,
      sym_marginalia,
    STATE(4270), 2,
      sym_join,
      sym_lateral_join,
    ACTIONS(4775), 17,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      anon_sym_SEMI,
  [264125] = 25,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6023), 1,
      sym_keyword_when,
    ACTIONS(6175), 1,
      sym_keyword_else,
    ACTIONS(6177), 1,
      sym_keyword_end,
    STATE(5464), 1,
      aux_sym_case_repeat2,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(3733), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [264213] = 18,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4785), 1,
      sym_keyword_where,
    ACTIONS(4787), 1,
      sym_keyword_order,
    ACTIONS(4789), 1,
      sym_keyword_group,
    ACTIONS(5052), 1,
      sym_keyword_left,
    ACTIONS(5054), 1,
      sym_keyword_right,
    ACTIONS(5058), 1,
      sym_keyword_join,
    ACTIONS(5060), 1,
      sym_keyword_limit,
    STATE(4346), 1,
      aux_sym_from_repeat1,
    STATE(4580), 1,
      sym_where,
    STATE(4654), 1,
      sym_group_by,
    STATE(4665), 1,
      sym_limit,
    STATE(4721), 1,
      sym_order_by,
    ACTIONS(5056), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(3734), 2,
      sym_comment,
      sym_marginalia,
    STATE(4270), 2,
      sym_join,
      sym_lateral_join,
    ACTIONS(5904), 17,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      anon_sym_SEMI,
  [264287] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6179), 1,
      sym_keyword_zerofill,
    STATE(3735), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1437), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1435), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [264337] = 25,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6023), 1,
      sym_keyword_when,
    ACTIONS(6181), 1,
      sym_keyword_else,
    ACTIONS(6183), 1,
      sym_keyword_end,
    STATE(5530), 1,
      aux_sym_case_repeat2,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(3736), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [264425] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1909), 1,
      anon_sym_DOT,
    STATE(3737), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1907), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1905), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [264475] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1915), 1,
      anon_sym_DOT,
    STATE(3738), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1913), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1911), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [264525] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3739), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1377), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1379), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [264573] = 18,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4785), 1,
      sym_keyword_where,
    ACTIONS(4787), 1,
      sym_keyword_order,
    ACTIONS(4789), 1,
      sym_keyword_group,
    ACTIONS(5052), 1,
      sym_keyword_left,
    ACTIONS(5054), 1,
      sym_keyword_right,
    ACTIONS(5058), 1,
      sym_keyword_join,
    ACTIONS(5060), 1,
      sym_keyword_limit,
    STATE(3727), 1,
      aux_sym_from_repeat1,
    STATE(4556), 1,
      sym_where,
    STATE(4617), 1,
      sym_limit,
    STATE(4618), 1,
      sym_group_by,
    STATE(4712), 1,
      sym_order_by,
    ACTIONS(5056), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(3740), 2,
      sym_comment,
      sym_marginalia,
    STATE(4270), 2,
      sym_join,
      sym_lateral_join,
    ACTIONS(4799), 17,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      anon_sym_SEMI,
  [264647] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3741), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1359), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1361), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [264695] = 25,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6023), 1,
      sym_keyword_when,
    ACTIONS(6185), 1,
      sym_keyword_else,
    ACTIONS(6187), 1,
      sym_keyword_end,
    STATE(5556), 1,
      aux_sym_case_repeat2,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(3742), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [264783] = 25,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6017), 1,
      sym_keyword_when,
    ACTIONS(6189), 1,
      sym_keyword_else,
    ACTIONS(6191), 1,
      sym_keyword_end,
    STATE(5449), 1,
      aux_sym_case_repeat1,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(3743), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [264871] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3744), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1411), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1413), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [264919] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3745), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1497), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1499), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [264967] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3746), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2261), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2263), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [265015] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3747), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2257), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2259), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [265063] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3748), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2233), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2235), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [265111] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3749), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2003), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2001), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [265159] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3750), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1503), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1501), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [265207] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3751), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(967), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(969), 28,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [265255] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3752), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1507), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1505), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [265303] = 25,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6023), 1,
      sym_keyword_when,
    ACTIONS(6193), 1,
      sym_keyword_else,
    ACTIONS(6195), 1,
      sym_keyword_end,
    STATE(5467), 1,
      aux_sym_case_repeat2,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(3753), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [265391] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3754), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1511), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1509), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [265439] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3755), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1515), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1513), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [265487] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3756), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1423), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1425), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [265535] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3757), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1519), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1517), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [265583] = 25,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6017), 1,
      sym_keyword_when,
    ACTIONS(6197), 1,
      sym_keyword_else,
    ACTIONS(6199), 1,
      sym_keyword_end,
    STATE(5506), 1,
      aux_sym_case_repeat1,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(3758), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [265671] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3759), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1457), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1455), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [265719] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3760), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1461), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1463), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [265767] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3761), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2001), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2003), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [265815] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3762), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1509), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1511), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [265863] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3763), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1367), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1365), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [265911] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3764), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2003), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2001), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [265959] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3765), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1413), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1411), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [266007] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3766), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1557), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1559), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [266055] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3767), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1425), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1423), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [266103] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3768), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2003), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2001), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [266151] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6201), 1,
      sym_keyword_zerofill,
    STATE(3769), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1463), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1461), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [266201] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3770), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1463), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1461), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [266249] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6203), 1,
      sym_keyword_zerofill,
    STATE(3771), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1425), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1423), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [266299] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6205), 1,
      sym_keyword_zerofill,
    STATE(3772), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1457), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1455), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [266349] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3773), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2253), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2255), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [266397] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6207), 1,
      sym_keyword_zerofill,
    STATE(3774), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1413), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1411), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [266447] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3775), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1559), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1557), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [266495] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6209), 1,
      sym_keyword_zerofill,
    STATE(3776), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1367), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1365), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [266545] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3777), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2003), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2001), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [266593] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3778), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1563), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1561), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [266641] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3779), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1327), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1329), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [266689] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3780), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(971), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(973), 28,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [266737] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3781), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1641), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1643), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [266785] = 25,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6017), 1,
      sym_keyword_when,
    ACTIONS(6211), 1,
      sym_keyword_else,
    ACTIONS(6213), 1,
      sym_keyword_end,
    STATE(5473), 1,
      aux_sym_case_repeat1,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(3782), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [266873] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3783), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2003), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2001), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [266921] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3784), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1567), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1565), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [266969] = 18,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4785), 1,
      sym_keyword_where,
    ACTIONS(4787), 1,
      sym_keyword_order,
    ACTIONS(4789), 1,
      sym_keyword_group,
    ACTIONS(5052), 1,
      sym_keyword_left,
    ACTIONS(5054), 1,
      sym_keyword_right,
    ACTIONS(5058), 1,
      sym_keyword_join,
    ACTIONS(5060), 1,
      sym_keyword_limit,
    STATE(4346), 1,
      aux_sym_from_repeat1,
    STATE(4556), 1,
      sym_where,
    STATE(4617), 1,
      sym_limit,
    STATE(4618), 1,
      sym_group_by,
    STATE(4712), 1,
      sym_order_by,
    ACTIONS(5056), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(3785), 2,
      sym_comment,
      sym_marginalia,
    STATE(4270), 2,
      sym_join,
      sym_lateral_join,
    ACTIONS(4799), 17,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      anon_sym_SEMI,
  [267043] = 25,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6017), 1,
      sym_keyword_when,
    ACTIONS(6215), 1,
      sym_keyword_else,
    ACTIONS(6217), 1,
      sym_keyword_end,
    STATE(5460), 1,
      aux_sym_case_repeat1,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(3786), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [267131] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3787), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1561), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1563), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [267179] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3788), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1645), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1647), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [267227] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3789), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1575), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1573), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [267275] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3790), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1579), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1577), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [267323] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3791), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1587), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1585), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [267371] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3792), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1591), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1589), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [267419] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3793), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2249), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2251), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [267467] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3794), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1565), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1567), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [267515] = 25,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6023), 1,
      sym_keyword_when,
    ACTIONS(6219), 1,
      sym_keyword_else,
    ACTIONS(6221), 1,
      sym_keyword_end,
    STATE(5432), 1,
      aux_sym_case_repeat2,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(3795), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [267603] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3796), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1595), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1593), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [267651] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3797), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2003), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2001), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [267699] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3798), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1217), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1215), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [267747] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3799), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1437), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1435), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [267795] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3800), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1431), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1429), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [267843] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3801), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2243), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2245), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [267891] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3802), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1573), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1575), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [267939] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3803), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1603), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1601), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [267987] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3804), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1619), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1617), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [268035] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3805), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1373), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1371), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [268083] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3806), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1623), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1621), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [268131] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3807), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1627), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1625), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [268179] = 25,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6023), 1,
      sym_keyword_when,
    ACTIONS(6223), 1,
      sym_keyword_else,
    ACTIONS(6225), 1,
      sym_keyword_end,
    STATE(5453), 1,
      aux_sym_case_repeat2,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(3808), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [268267] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3809), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(985), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(983), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [268315] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3810), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1649), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1651), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [268363] = 24,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4679), 1,
      sym_keyword_in,
    ACTIONS(4681), 1,
      sym_keyword_is,
    ACTIONS(4683), 1,
      anon_sym_SLASH,
    ACTIONS(4691), 1,
      anon_sym_PLUS,
    ACTIONS(4693), 1,
      anon_sym_DASH,
    ACTIONS(4695), 1,
      anon_sym_CARET,
    ACTIONS(4739), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4741), 1,
      sym_keyword_and,
    ACTIONS(5208), 1,
      sym_keyword_or,
    ACTIONS(5210), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6139), 1,
      sym_keyword_order,
    STATE(5973), 1,
      sym_order_by,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4687), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4689), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6227), 2,
      sym_keyword_separator,
      anon_sym_RPAREN,
    STATE(3811), 2,
      sym_comment,
      sym_marginalia,
    STATE(1893), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4685), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1892), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [268449] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3812), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1653), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1655), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [268497] = 25,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6023), 1,
      sym_keyword_when,
    ACTIONS(6229), 1,
      sym_keyword_else,
    ACTIONS(6231), 1,
      sym_keyword_end,
    STATE(5566), 1,
      aux_sym_case_repeat2,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(3813), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [268585] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3814), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1657), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1659), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [268633] = 25,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6017), 1,
      sym_keyword_when,
    ACTIONS(6233), 1,
      sym_keyword_else,
    ACTIONS(6235), 1,
      sym_keyword_end,
    STATE(5590), 1,
      aux_sym_case_repeat1,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(3815), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [268721] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3816), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(963), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(965), 28,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [268769] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4679), 1,
      sym_keyword_in,
    ACTIONS(4681), 1,
      sym_keyword_is,
    ACTIONS(4683), 1,
      anon_sym_SLASH,
    ACTIONS(4691), 1,
      anon_sym_PLUS,
    ACTIONS(4693), 1,
      anon_sym_DASH,
    ACTIONS(4695), 1,
      anon_sym_CARET,
    ACTIONS(4739), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4741), 1,
      sym_keyword_and,
    ACTIONS(5208), 1,
      sym_keyword_or,
    ACTIONS(5210), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4687), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4689), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(3817), 2,
      sym_comment,
      sym_marginalia,
    STATE(1893), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(2369), 4,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_returning,
      anon_sym_RPAREN,
    ACTIONS(4685), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1892), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [268851] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3818), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1571), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1569), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [268899] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3819), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2003), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2001), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [268947] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3820), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1725), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1727), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [268995] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3821), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1729), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1731), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [269043] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3822), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1577), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1579), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [269091] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3823), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2205), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2207), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [269139] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3824), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1609), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1611), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [269187] = 25,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6017), 1,
      sym_keyword_when,
    ACTIONS(6237), 1,
      sym_keyword_else,
    ACTIONS(6239), 1,
      sym_keyword_end,
    STATE(5591), 1,
      aux_sym_case_repeat1,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(3825), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [269275] = 25,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6023), 1,
      sym_keyword_when,
    ACTIONS(6241), 1,
      sym_keyword_else,
    ACTIONS(6243), 1,
      sym_keyword_end,
    STATE(5544), 1,
      aux_sym_case_repeat2,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(3826), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [269363] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3827), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1599), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1597), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [269411] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3828), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1607), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1605), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [269459] = 25,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6017), 1,
      sym_keyword_when,
    ACTIONS(6245), 1,
      sym_keyword_else,
    ACTIONS(6247), 1,
      sym_keyword_end,
    STATE(5491), 1,
      aux_sym_case_repeat1,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(3829), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [269547] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3830), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1495), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1493), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [269595] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6249), 1,
      sym_keyword_zerofill,
    STATE(3831), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1329), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1327), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [269645] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3832), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1615), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1613), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [269693] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3833), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2523), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2525), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [269741] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6251), 1,
      anon_sym_LPAREN,
    STATE(3834), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1329), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1327), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [269791] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3835), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(979), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(981), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [269839] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3836), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1505), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1507), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [269887] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3837), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2527), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2529), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [269935] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3838), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1637), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1639), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [269983] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3839), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1583), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1581), 27,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [270031] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6253), 1,
      sym_keyword_zerofill,
    STATE(3840), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1361), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1359), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [270081] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3841), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(961), 6,
      sym_keyword_group,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(959), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [270129] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3842), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1633), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1635), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [270177] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3843), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(977), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(975), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [270225] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6255), 1,
      sym_keyword_zerofill,
    STATE(3844), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1379), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1377), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [270275] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3845), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1043), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1045), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [270323] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6257), 1,
      sym_keyword_zerofill,
    STATE(3846), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1335), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1333), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [270373] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3847), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1585), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1587), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [270421] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3848), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1589), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1591), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [270469] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3849), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(959), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(961), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [270517] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3850), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1581), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1583), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [270565] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3851), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1545), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1547), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [270613] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6259), 1,
      sym_keyword_zerofill,
    STATE(3852), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1341), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1339), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [270663] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3853), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2537), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2539), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [270711] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6261), 1,
      sym_keyword_zerofill,
    STATE(3854), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1349), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1347), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [270761] = 18,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4785), 1,
      sym_keyword_where,
    ACTIONS(4787), 1,
      sym_keyword_order,
    ACTIONS(4789), 1,
      sym_keyword_group,
    ACTIONS(5052), 1,
      sym_keyword_left,
    ACTIONS(5054), 1,
      sym_keyword_right,
    ACTIONS(5058), 1,
      sym_keyword_join,
    ACTIONS(5060), 1,
      sym_keyword_limit,
    STATE(4346), 1,
      aux_sym_from_repeat1,
    STATE(4584), 1,
      sym_where,
    STATE(4671), 1,
      sym_limit,
    STATE(4673), 1,
      sym_group_by,
    STATE(4742), 1,
      sym_order_by,
    ACTIONS(5056), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(3855), 2,
      sym_comment,
      sym_marginalia,
    STATE(4270), 2,
      sym_join,
      sym_lateral_join,
    ACTIONS(5902), 17,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      anon_sym_SEMI,
  [270835] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5750), 1,
      sym_keyword_zerofill,
    STATE(3856), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1045), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1043), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [270885] = 18,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4785), 1,
      sym_keyword_where,
    ACTIONS(4787), 1,
      sym_keyword_order,
    ACTIONS(4789), 1,
      sym_keyword_group,
    ACTIONS(5052), 1,
      sym_keyword_left,
    ACTIONS(5054), 1,
      sym_keyword_right,
    ACTIONS(5058), 1,
      sym_keyword_join,
    ACTIONS(5060), 1,
      sym_keyword_limit,
    STATE(3734), 1,
      aux_sym_from_repeat1,
    STATE(4584), 1,
      sym_where,
    STATE(4671), 1,
      sym_limit,
    STATE(4673), 1,
      sym_group_by,
    STATE(4742), 1,
      sym_order_by,
    ACTIONS(5056), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(3857), 2,
      sym_comment,
      sym_marginalia,
    STATE(4270), 2,
      sym_join,
      sym_lateral_join,
    ACTIONS(5902), 17,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      anon_sym_SEMI,
  [270959] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6263), 1,
      sym_keyword_zerofill,
    STATE(3858), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1355), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1353), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [271009] = 25,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6023), 1,
      sym_keyword_when,
    ACTIONS(6265), 1,
      sym_keyword_else,
    ACTIONS(6267), 1,
      sym_keyword_end,
    STATE(5517), 1,
      aux_sym_case_repeat2,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(3859), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [271097] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5850), 1,
      anon_sym_LPAREN,
    STATE(3860), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1045), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1043), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [271147] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6269), 1,
      anon_sym_LPAREN,
    STATE(3861), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1361), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1359), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [271197] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6271), 1,
      anon_sym_LPAREN,
    STATE(3862), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1379), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1377), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [271247] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6273), 1,
      anon_sym_LPAREN,
    STATE(3863), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1335), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1333), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [271297] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6275), 1,
      anon_sym_LPAREN,
    STATE(3864), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1341), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1339), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [271347] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6277), 1,
      anon_sym_LPAREN,
    STATE(3865), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1349), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1347), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [271397] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6279), 1,
      anon_sym_LPAREN,
    STATE(3866), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1355), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1353), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [271447] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3867), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1393), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1391), 27,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [271495] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3868), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1513), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1515), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [271543] = 25,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6017), 1,
      sym_keyword_when,
    ACTIONS(6281), 1,
      sym_keyword_else,
    ACTIONS(6283), 1,
      sym_keyword_end,
    STATE(5512), 1,
      aux_sym_case_repeat1,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(3869), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [271631] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3870), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1517), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1519), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [271679] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3871), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1501), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1503), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [271727] = 25,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6023), 1,
      sym_keyword_when,
    ACTIONS(6285), 1,
      sym_keyword_else,
    ACTIONS(6287), 1,
      sym_keyword_end,
    STATE(5492), 1,
      aux_sym_case_repeat2,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(3872), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [271815] = 25,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6017), 1,
      sym_keyword_when,
    ACTIONS(6289), 1,
      sym_keyword_else,
    ACTIONS(6291), 1,
      sym_keyword_end,
    STATE(5445), 1,
      aux_sym_case_repeat1,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(3873), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [271903] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3874), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1593), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1595), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [271951] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3875), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1629), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1631), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [271999] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    STATE(3876), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1419), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1417), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [272049] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6295), 1,
      anon_sym_LPAREN,
    STATE(3877), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1385), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1383), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [272099] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3878), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(981), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(979), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [272147] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3879), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1215), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1217), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [272195] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3880), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1435), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1437), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [272243] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3881), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1429), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1431), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [272291] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3882), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2209), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2211), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [272339] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3883), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2225), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2227), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [272387] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3884), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2177), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2179), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [272435] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3885), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1455), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1457), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [272483] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3886), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2213), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(2215), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [272531] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3887), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1601), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(1603), 19,
      sym_keyword_from,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [272579] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6297), 1,
      anon_sym_LPAREN,
    STATE(3888), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1399), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1397), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [272629] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6299), 1,
      anon_sym_LPAREN,
    STATE(3889), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1407), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1405), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [272679] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6301), 1,
      sym_keyword_over,
    STATE(3890), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2211), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2209), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [272729] = 25,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6017), 1,
      sym_keyword_when,
    ACTIONS(6303), 1,
      sym_keyword_else,
    ACTIONS(6305), 1,
      sym_keyword_end,
    STATE(5417), 1,
      aux_sym_case_repeat1,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(3891), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [272817] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3892), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1125), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1123), 27,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [272865] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3893), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1341), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1339), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [272912] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3894), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(985), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(983), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [272959] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3895), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(985), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(983), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [273006] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3896), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1571), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1569), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [273053] = 24,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6307), 1,
      anon_sym_COMMA,
    ACTIONS(6309), 1,
      anon_sym_RBRACK,
    STATE(5776), 1,
      aux_sym_array_repeat1,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(3897), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [273138] = 24,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6307), 1,
      anon_sym_COMMA,
    ACTIONS(6311), 1,
      anon_sym_RPAREN,
    STATE(5773), 1,
      aux_sym_array_repeat1,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(3898), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [273223] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3899), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1639), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1637), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [273270] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3900), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(975), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(977), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [273317] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3901), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2245), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2243), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [273364] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3902), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1599), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1597), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [273411] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3903), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1607), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1605), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [273458] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3904), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1495), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1493), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [273505] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3905), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1615), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1613), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [273552] = 24,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6307), 1,
      anon_sym_COMMA,
    ACTIONS(6313), 1,
      anon_sym_RPAREN,
    STATE(5749), 1,
      aux_sym_array_repeat1,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(3906), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [273637] = 24,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6307), 1,
      anon_sym_COMMA,
    ACTIONS(6315), 1,
      anon_sym_RBRACK,
    STATE(5628), 1,
      aux_sym_array_repeat1,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(3907), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [273722] = 24,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6307), 1,
      anon_sym_COMMA,
    ACTIONS(6317), 1,
      anon_sym_RBRACK,
    STATE(5710), 1,
      aux_sym_array_repeat1,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(3908), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [273807] = 24,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6307), 1,
      anon_sym_COMMA,
    ACTIONS(6319), 1,
      anon_sym_RPAREN,
    STATE(5675), 1,
      aux_sym_array_repeat1,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(3909), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [273892] = 24,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6321), 1,
      anon_sym_RPAREN,
    ACTIONS(6323), 1,
      anon_sym_COMMA,
    STATE(5714), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(3910), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [273977] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3911), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2267), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2265), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [274024] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3912), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2251), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2249), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [274071] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3913), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2255), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2253), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [274118] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3914), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1355), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1353), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [274165] = 24,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6323), 1,
      anon_sym_COMMA,
    ACTIONS(6325), 1,
      anon_sym_RPAREN,
    STATE(5681), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(3915), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [274250] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3916), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1045), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1043), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [274297] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3917), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1349), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1347), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [274344] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3918), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2271), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2269), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [274391] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3919), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2281), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2279), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [274438] = 24,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6323), 1,
      anon_sym_COMMA,
    ACTIONS(6327), 1,
      anon_sym_RPAREN,
    STATE(5619), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(3920), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [274523] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3921), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1335), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1333), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [274570] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3922), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2259), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2257), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [274617] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3923), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2263), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2261), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [274664] = 24,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6307), 1,
      anon_sym_COMMA,
    ACTIONS(6329), 1,
      anon_sym_RPAREN,
    STATE(5732), 1,
      aux_sym_array_repeat1,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(3924), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [274749] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3925), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1379), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1377), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [274796] = 24,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6307), 1,
      anon_sym_COMMA,
    ACTIONS(6331), 1,
      anon_sym_RPAREN,
    STATE(5792), 1,
      aux_sym_array_repeat1,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(3926), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [274881] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3927), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1361), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1359), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [274928] = 24,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6307), 1,
      anon_sym_COMMA,
    ACTIONS(6333), 1,
      anon_sym_RPAREN,
    STATE(5708), 1,
      aux_sym_array_repeat1,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(3928), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [275013] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3929), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2287), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2285), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [275060] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3930), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1341), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1339), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [275107] = 24,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6307), 1,
      anon_sym_COMMA,
    ACTIONS(6335), 1,
      anon_sym_RBRACK,
    STATE(5599), 1,
      aux_sym_array_repeat1,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(3931), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [275192] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(3932), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1849), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [275273] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3933), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1627), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1625), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [275320] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3934), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1499), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1497), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [275367] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3935), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1329), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1327), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [275414] = 24,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6307), 1,
      anon_sym_COMMA,
    ACTIONS(6337), 1,
      anon_sym_RBRACK,
    STATE(5697), 1,
      aux_sym_array_repeat1,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(3936), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [275499] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3937), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1643), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1641), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [275546] = 24,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6323), 1,
      anon_sym_COMMA,
    ACTIONS(6339), 1,
      anon_sym_RPAREN,
    STATE(5600), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(3938), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [275631] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3939), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1647), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1645), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [275678] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3940), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2267), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2265), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [275725] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3941), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2271), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2269), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [275772] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3942), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2281), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2279), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [275819] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3943), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2287), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2285), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [275866] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3944), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1651), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1649), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [275913] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3945), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2293), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2291), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [275960] = 24,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6307), 1,
      anon_sym_COMMA,
    ACTIONS(6341), 1,
      anon_sym_RBRACK,
    STATE(5677), 1,
      aux_sym_array_repeat1,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(3946), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [276045] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3947), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2341), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2339), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [276092] = 24,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6307), 1,
      anon_sym_COMMA,
    ACTIONS(6343), 1,
      anon_sym_RPAREN,
    STATE(5672), 1,
      aux_sym_array_repeat1,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(3948), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [276177] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3949), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1655), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1653), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [276224] = 24,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6307), 1,
      anon_sym_COMMA,
    ACTIONS(6345), 1,
      anon_sym_RBRACK,
    STATE(5746), 1,
      aux_sym_array_repeat1,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(3950), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [276309] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3951), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1659), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1657), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [276356] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3952), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2349), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2347), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [276403] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3953), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2293), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2291), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [276450] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3954), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(979), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(981), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [276497] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3955), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2341), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2339), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [276544] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3956), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2349), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2347), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [276591] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3957), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2367), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2365), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [276638] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3958), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2367), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2365), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [276685] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3959), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1623), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1621), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [276732] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3960), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1727), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1725), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [276779] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3961), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1731), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1729), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [276826] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3962), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1611), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1609), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [276873] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3963), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1373), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1371), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [276920] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3964), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1635), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1633), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [276967] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3965), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1631), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1629), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [277014] = 24,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6307), 1,
      anon_sym_COMMA,
    ACTIONS(6347), 1,
      anon_sym_RBRACK,
    STATE(5716), 1,
      aux_sym_array_repeat1,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(3966), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [277099] = 24,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6323), 1,
      anon_sym_COMMA,
    ACTIONS(6349), 1,
      anon_sym_RPAREN,
    STATE(5623), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(3967), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [277184] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3968), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1583), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1581), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [277231] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3969), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1547), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1545), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [277278] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3970), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1503), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1501), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [277325] = 24,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6323), 1,
      anon_sym_COMMA,
    ACTIONS(6351), 1,
      anon_sym_RPAREN,
    STATE(5654), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(3971), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [277410] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3972), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1507), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1505), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [277457] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3973), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1511), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1509), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [277504] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3974), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1515), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1513), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [277551] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3975), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1519), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1517), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [277598] = 24,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6307), 1,
      anon_sym_COMMA,
    ACTIONS(6353), 1,
      anon_sym_RBRACK,
    STATE(5617), 1,
      aux_sym_array_repeat1,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(3976), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [277683] = 24,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6323), 1,
      anon_sym_COMMA,
    ACTIONS(6355), 1,
      anon_sym_RPAREN,
    STATE(5750), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(3977), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [277768] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3978), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2381), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2379), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [277815] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3979), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2385), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2383), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [277862] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3980), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2389), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2387), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [277909] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3981), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2393), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2391), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [277956] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3982), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2405), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2403), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [278003] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3983), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2505), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2503), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [278050] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3984), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1457), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1455), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [278097] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3985), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1367), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1365), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [278144] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3986), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2513), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2511), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [278191] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3987), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1425), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1423), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [278238] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3988), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1463), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1461), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [278285] = 24,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6307), 1,
      anon_sym_COMMA,
    ACTIONS(6357), 1,
      anon_sym_RPAREN,
    STATE(5609), 1,
      aux_sym_array_repeat1,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(3989), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [278370] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3990), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1559), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1557), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [278417] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3991), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1563), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1561), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [278464] = 24,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6323), 1,
      anon_sym_COMMA,
    ACTIONS(6359), 1,
      anon_sym_RPAREN,
    STATE(5669), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(3992), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [278549] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3993), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1567), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1565), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [278596] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3994), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1575), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1573), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [278643] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3995), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1579), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1577), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [278690] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3996), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1587), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1585), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [278737] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3997), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1591), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1589), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [278784] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3998), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2263), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2261), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [278831] = 24,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6307), 1,
      anon_sym_COMMA,
    ACTIONS(6361), 1,
      anon_sym_RBRACK,
    STATE(5653), 1,
      aux_sym_array_repeat1,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(3999), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [278916] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4000), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2259), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2257), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [278963] = 24,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6307), 1,
      anon_sym_COMMA,
    ACTIONS(6363), 1,
      anon_sym_RBRACK,
    STATE(5740), 1,
      aux_sym_array_repeat1,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4001), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [279048] = 24,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6307), 1,
      anon_sym_COMMA,
    ACTIONS(6365), 1,
      anon_sym_RBRACK,
    STATE(5670), 1,
      aux_sym_array_repeat1,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4002), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [279133] = 24,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6323), 1,
      anon_sym_COMMA,
    ACTIONS(6367), 1,
      anon_sym_RPAREN,
    STATE(5633), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4003), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [279218] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4004), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1595), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1593), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [279265] = 24,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6307), 1,
      anon_sym_COMMA,
    ACTIONS(6369), 1,
      anon_sym_RBRACK,
    STATE(5632), 1,
      aux_sym_array_repeat1,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4005), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [279350] = 24,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6307), 1,
      anon_sym_COMMA,
    ACTIONS(6371), 1,
      anon_sym_RPAREN,
    STATE(5622), 1,
      aux_sym_array_repeat1,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4006), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [279435] = 24,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6323), 1,
      anon_sym_COMMA,
    ACTIONS(6373), 1,
      anon_sym_RPAREN,
    STATE(5621), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4007), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [279520] = 24,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6307), 1,
      anon_sym_COMMA,
    ACTIONS(6375), 1,
      anon_sym_RBRACK,
    STATE(5612), 1,
      aux_sym_array_repeat1,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4008), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [279605] = 24,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6307), 1,
      anon_sym_COMMA,
    ACTIONS(6377), 1,
      anon_sym_RPAREN,
    STATE(5646), 1,
      aux_sym_array_repeat1,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4009), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [279690] = 24,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6307), 1,
      anon_sym_COMMA,
    ACTIONS(6379), 1,
      anon_sym_RBRACK,
    STATE(5657), 1,
      aux_sym_array_repeat1,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4010), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [279775] = 24,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6323), 1,
      anon_sym_COMMA,
    ACTIONS(6381), 1,
      anon_sym_RPAREN,
    STATE(5608), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4011), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [279860] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4012), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1217), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1215), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [279907] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4013), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2525), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2523), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [279954] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4014), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1437), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1435), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [280001] = 24,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6307), 1,
      anon_sym_COMMA,
    ACTIONS(6383), 1,
      anon_sym_RPAREN,
    STATE(5630), 1,
      aux_sym_array_repeat1,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4015), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [280086] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4016), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2529), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2527), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [280133] = 24,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6307), 1,
      anon_sym_COMMA,
    ACTIONS(6385), 1,
      anon_sym_RPAREN,
    STATE(5700), 1,
      aux_sym_array_repeat1,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4017), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [280218] = 24,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6323), 1,
      anon_sym_COMMA,
    ACTIONS(6387), 1,
      anon_sym_RPAREN,
    STATE(5729), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4018), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [280303] = 24,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6323), 1,
      anon_sym_COMMA,
    ACTIONS(6389), 1,
      anon_sym_RPAREN,
    STATE(5733), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4019), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [280388] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4020), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6391), 3,
      sym_keyword_when,
      sym_keyword_else,
      sym_keyword_end,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [280469] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4021), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(961), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(959), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [280516] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4022), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2539), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2537), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [280563] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4023), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2179), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2177), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [280610] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4024), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1431), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1429), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [280657] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6393), 1,
      sym_keyword_unsigned,
    ACTIONS(6395), 1,
      sym_keyword_zerofill,
    ACTIONS(6397), 1,
      sym_keyword_precision,
    ACTIONS(6399), 1,
      anon_sym_LPAREN,
    STATE(4025), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(985), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(983), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [280712] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4026), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1603), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1601), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [280759] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4027), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1619), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1617), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [280806] = 24,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6307), 1,
      anon_sym_COMMA,
    ACTIONS(6401), 1,
      anon_sym_RPAREN,
    STATE(5741), 1,
      aux_sym_array_repeat1,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4028), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [280891] = 24,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6323), 1,
      anon_sym_COMMA,
    ACTIONS(6403), 1,
      anon_sym_RPAREN,
    STATE(5791), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4029), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [280976] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4030), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1623), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1621), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [281023] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4031), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1627), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1625), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [281070] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4032), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1373), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1371), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [281117] = 24,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6323), 1,
      anon_sym_COMMA,
    ACTIONS(6405), 1,
      anon_sym_RPAREN,
    STATE(5658), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4033), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [281202] = 24,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6307), 1,
      anon_sym_COMMA,
    ACTIONS(6407), 1,
      anon_sym_RBRACK,
    STATE(5712), 1,
      aux_sym_array_repeat1,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4034), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [281287] = 24,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6323), 1,
      anon_sym_COMMA,
    ACTIONS(6409), 1,
      anon_sym_RPAREN,
    STATE(5743), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4035), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [281372] = 24,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6307), 1,
      anon_sym_COMMA,
    ACTIONS(6411), 1,
      anon_sym_RPAREN,
    STATE(5789), 1,
      aux_sym_array_repeat1,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4036), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [281457] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4037), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2235), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2233), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [281504] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4038), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1901), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1899), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [281551] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4039), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2227), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2225), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [281598] = 24,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6307), 1,
      anon_sym_COMMA,
    ACTIONS(6413), 1,
      anon_sym_RPAREN,
    STATE(5639), 1,
      aux_sym_array_repeat1,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4040), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [281683] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4041), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1619), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1617), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [281730] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4042), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2215), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2213), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [281777] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4043), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6415), 3,
      sym_keyword_when,
      sym_keyword_else,
      sym_keyword_end,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [281858] = 24,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6307), 1,
      anon_sym_COMMA,
    ACTIONS(6417), 1,
      anon_sym_RBRACK,
    STATE(5785), 1,
      aux_sym_array_repeat1,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4044), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [281943] = 24,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6307), 1,
      anon_sym_COMMA,
    ACTIONS(6419), 1,
      anon_sym_RBRACK,
    STATE(5668), 1,
      aux_sym_array_repeat1,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4045), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [282028] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4046), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1603), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1601), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [282075] = 24,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6323), 1,
      anon_sym_COMMA,
    ACTIONS(6421), 1,
      anon_sym_RPAREN,
    STATE(5778), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4047), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [282160] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4048), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2211), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2209), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [282207] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4049), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1431), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1429), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [282254] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4050), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2207), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2205), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [282301] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4051), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2003), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2001), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [282348] = 24,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6323), 1,
      anon_sym_COMMA,
    ACTIONS(6423), 1,
      anon_sym_RPAREN,
    STATE(5664), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4052), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [282433] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4053), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1437), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1435), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [282480] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4054), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1217), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1215), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [282527] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4055), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2003), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2001), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [282574] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4056), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2207), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2205), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [282621] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4057), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1615), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1613), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [282668] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4058), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1495), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1493), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [282715] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4059), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2211), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2209), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [282762] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4060), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2215), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2213), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [282809] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4061), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1607), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1605), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [282856] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4062), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1599), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1597), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [282903] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4063), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1571), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1569), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [282950] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4064), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(975), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(977), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [282997] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4065), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1355), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1353), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [283044] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4066), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2227), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2225), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [283091] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4067), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1901), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1899), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [283138] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4068), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2235), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2233), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [283185] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4069), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1045), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1043), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [283232] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4070), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1413), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1411), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [283279] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4071), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2179), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2177), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [283326] = 24,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6307), 1,
      anon_sym_COMMA,
    ACTIONS(6425), 1,
      anon_sym_RPAREN,
    STATE(5625), 1,
      aux_sym_array_repeat1,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4072), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [283411] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4073), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2539), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2537), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [283458] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4074), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(961), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(959), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [283505] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4075), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2529), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2527), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [283552] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4076), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1349), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1347), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [283599] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4077), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1335), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1333), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [283646] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4078), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2525), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2523), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [283693] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4079), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1379), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1377), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [283740] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4080), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1361), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1359), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [283787] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4081), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1499), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1497), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [283834] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4082), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1329), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1327), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [283881] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4083), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1643), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1641), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [283928] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4084), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1647), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1645), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [283975] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4085), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1651), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1649), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [284022] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4086), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1655), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1653), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [284069] = 24,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6307), 1,
      anon_sym_COMMA,
    ACTIONS(6427), 1,
      anon_sym_RPAREN,
    STATE(5711), 1,
      aux_sym_array_repeat1,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4087), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [284154] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4088), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1659), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1657), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [284201] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4089), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1727), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1725), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [284248] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4090), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1731), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1729), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [284295] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4091), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1611), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1609), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [284342] = 24,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6323), 1,
      anon_sym_COMMA,
    ACTIONS(6429), 1,
      anon_sym_RPAREN,
    STATE(5601), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4092), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [284427] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4093), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1639), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1637), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [284474] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4094), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1635), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1633), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [284521] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4095), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1631), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1629), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [284568] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4096), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1583), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1581), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [284615] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4097), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1547), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1545), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [284662] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4098), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1503), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1501), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [284709] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4099), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1507), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1505), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [284756] = 24,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6323), 1,
      anon_sym_COMMA,
    ACTIONS(6431), 1,
      anon_sym_RPAREN,
    STATE(5694), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4100), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [284841] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4101), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1511), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1509), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [284888] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4102), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1515), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1513), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [284935] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4103), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2245), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2243), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [284982] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4104), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1519), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1517), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [285029] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4105), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1457), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1455), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [285076] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4106), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1367), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1365), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [285123] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4107), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1413), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1411), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [285170] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4108), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1425), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1423), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [285217] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4109), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1463), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1461), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [285264] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4110), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2251), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2249), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [285311] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4111), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1559), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1557), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [285358] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4112), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1563), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1561), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [285405] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4113), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1567), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1565), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [285452] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4114), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(979), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(981), 26,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [285499] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4115), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2513), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2511), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [285546] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4116), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1575), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1573), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [285593] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4117), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1579), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1577), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [285640] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4118), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1587), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1585), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [285687] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4119), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1591), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1589), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [285734] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4120), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1595), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1593), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [285781] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4121), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2505), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2503), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [285828] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4122), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2405), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2403), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [285875] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4123), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2393), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2391), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [285922] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4124), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2389), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2387), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [285969] = 24,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6307), 1,
      anon_sym_COMMA,
    ACTIONS(6433), 1,
      anon_sym_RPAREN,
    STATE(5756), 1,
      aux_sym_array_repeat1,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4125), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [286054] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4126), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2385), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2383), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [286101] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4127), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2381), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2379), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [286148] = 24,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6307), 1,
      anon_sym_COMMA,
    ACTIONS(6435), 1,
      anon_sym_RPAREN,
    STATE(5690), 1,
      aux_sym_array_repeat1,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4128), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [286233] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4129), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2255), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2253), 27,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [286280] = 24,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6307), 1,
      anon_sym_COMMA,
    ACTIONS(6437), 1,
      anon_sym_RBRACK,
    STATE(5747), 1,
      aux_sym_array_repeat1,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4130), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [286365] = 12,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6443), 1,
      sym_keyword_primary,
    ACTIONS(6445), 1,
      sym_keyword_not,
    ACTIONS(6449), 1,
      sym_keyword_default,
    STATE(4136), 1,
      aux_sym_column_definition_repeat1,
    STATE(4515), 1,
      sym__column_constraint,
    ACTIONS(6441), 2,
      sym_keyword_desc,
      sym_keyword_asc,
    ACTIONS(6447), 2,
      sym_keyword_auto_increment,
      sym_keyword_null,
    STATE(4131), 2,
      sym_comment,
      sym_marginalia,
    STATE(4514), 4,
      sym__not_null,
      sym__primary_key,
      sym_direction,
      sym__default_expression,
    ACTIONS(6439), 18,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [286425] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(1963), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4132), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [286505] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4133), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1011), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1009), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [286551] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4134), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1015), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1013), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [286597] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4135), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1019), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1017), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [286643] = 11,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6456), 1,
      sym_keyword_primary,
    ACTIONS(6459), 1,
      sym_keyword_not,
    ACTIONS(6465), 1,
      sym_keyword_default,
    STATE(4515), 1,
      sym__column_constraint,
    ACTIONS(6453), 2,
      sym_keyword_desc,
      sym_keyword_asc,
    ACTIONS(6462), 2,
      sym_keyword_auto_increment,
      sym_keyword_null,
    STATE(4136), 3,
      sym_comment,
      sym_marginalia,
      aux_sym_column_definition_repeat1,
    STATE(4514), 4,
      sym__not_null,
      sym__primary_key,
      sym_direction,
      sym__default_expression,
    ACTIONS(6451), 18,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [286701] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4137), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(997), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(995), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [286747] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4138), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1027), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1025), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [286793] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6468), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    STATE(4139), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [286873] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4140), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1031), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1029), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [286919] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6470), 1,
      sym_keyword_unsigned,
    ACTIONS(6472), 1,
      sym_keyword_zerofill,
    ACTIONS(6474), 1,
      anon_sym_LPAREN,
    STATE(4141), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1035), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1033), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [286971] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(1299), 2,
      sym_keyword_on,
      sym_keyword_using,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4142), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [287051] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(1297), 2,
      sym_keyword_on,
      sym_keyword_using,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4143), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [287131] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(1295), 2,
      sym_keyword_on,
      sym_keyword_using,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4144), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [287211] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(1293), 2,
      sym_keyword_on,
      sym_keyword_using,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4145), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [287291] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(1291), 2,
      sym_keyword_on,
      sym_keyword_using,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4146), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [287371] = 18,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    ACTIONS(5314), 1,
      sym_keyword_left,
    ACTIONS(5316), 1,
      sym_keyword_right,
    ACTIONS(5320), 1,
      sym_keyword_join,
    ACTIONS(5322), 1,
      sym_keyword_where,
    ACTIONS(5324), 1,
      sym_keyword_order,
    ACTIONS(5326), 1,
      sym_keyword_group,
    STATE(4157), 1,
      aux_sym_from_repeat1,
    STATE(4617), 1,
      sym_limit,
    STATE(4667), 1,
      sym_order_by,
    STATE(4680), 1,
      sym_where,
    STATE(4728), 1,
      sym_group_by,
    ACTIONS(5318), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(4147), 2,
      sym_comment,
      sym_marginalia,
    STATE(4270), 2,
      sym_join,
      sym_lateral_join,
    ACTIONS(4799), 15,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [287443] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6476), 1,
      sym_keyword_unsigned,
    ACTIONS(6478), 1,
      sym_keyword_zerofill,
    ACTIONS(6480), 1,
      anon_sym_LPAREN,
    STATE(4148), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1085), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1083), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [287495] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6482), 1,
      sym_keyword_unsigned,
    ACTIONS(6484), 1,
      sym_keyword_zerofill,
    ACTIONS(6486), 1,
      anon_sym_LPAREN,
    STATE(4149), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1001), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(999), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [287547] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6488), 1,
      sym_keyword_unsigned,
    ACTIONS(6490), 1,
      sym_keyword_zerofill,
    ACTIONS(6492), 1,
      anon_sym_LPAREN,
    STATE(4150), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1065), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1063), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [287599] = 18,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    ACTIONS(5314), 1,
      sym_keyword_left,
    ACTIONS(5316), 1,
      sym_keyword_right,
    ACTIONS(5320), 1,
      sym_keyword_join,
    ACTIONS(5322), 1,
      sym_keyword_where,
    ACTIONS(5324), 1,
      sym_keyword_order,
    ACTIONS(5326), 1,
      sym_keyword_group,
    STATE(4335), 1,
      aux_sym_from_repeat1,
    STATE(4617), 1,
      sym_limit,
    STATE(4667), 1,
      sym_order_by,
    STATE(4680), 1,
      sym_where,
    STATE(4728), 1,
      sym_group_by,
    ACTIONS(5318), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(4151), 2,
      sym_comment,
      sym_marginalia,
    STATE(4270), 2,
      sym_join,
      sym_lateral_join,
    ACTIONS(4799), 15,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [287671] = 18,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    ACTIONS(5314), 1,
      sym_keyword_left,
    ACTIONS(5316), 1,
      sym_keyword_right,
    ACTIONS(5320), 1,
      sym_keyword_join,
    ACTIONS(5322), 1,
      sym_keyword_where,
    ACTIONS(5324), 1,
      sym_keyword_order,
    ACTIONS(5326), 1,
      sym_keyword_group,
    STATE(4162), 1,
      aux_sym_from_repeat1,
    STATE(4610), 1,
      sym_where,
    STATE(4637), 1,
      sym_limit,
    STATE(4643), 1,
      sym_order_by,
    STATE(4718), 1,
      sym_group_by,
    ACTIONS(5318), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(4152), 2,
      sym_comment,
      sym_marginalia,
    STATE(4270), 2,
      sym_join,
      sym_lateral_join,
    ACTIONS(4775), 15,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [287743] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6494), 1,
      sym_keyword_unsigned,
    ACTIONS(6496), 1,
      sym_keyword_zerofill,
    ACTIONS(6498), 1,
      anon_sym_LPAREN,
    STATE(4153), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1075), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1073), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [287795] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6500), 1,
      sym_keyword_unsigned,
    ACTIONS(6502), 1,
      sym_keyword_zerofill,
    ACTIONS(6504), 1,
      anon_sym_LPAREN,
    STATE(4154), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1055), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1053), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [287847] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6393), 1,
      sym_keyword_unsigned,
    ACTIONS(6395), 1,
      sym_keyword_zerofill,
    ACTIONS(6399), 1,
      anon_sym_LPAREN,
    STATE(4155), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(985), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(983), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [287899] = 12,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6443), 1,
      sym_keyword_primary,
    ACTIONS(6445), 1,
      sym_keyword_not,
    ACTIONS(6449), 1,
      sym_keyword_default,
    STATE(4131), 1,
      aux_sym_column_definition_repeat1,
    STATE(4515), 1,
      sym__column_constraint,
    ACTIONS(6441), 2,
      sym_keyword_desc,
      sym_keyword_asc,
    ACTIONS(6447), 2,
      sym_keyword_auto_increment,
      sym_keyword_null,
    STATE(4156), 2,
      sym_comment,
      sym_marginalia,
    STATE(4514), 4,
      sym__not_null,
      sym__primary_key,
      sym_direction,
      sym__default_expression,
    ACTIONS(6506), 18,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [287959] = 18,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    ACTIONS(5314), 1,
      sym_keyword_left,
    ACTIONS(5316), 1,
      sym_keyword_right,
    ACTIONS(5320), 1,
      sym_keyword_join,
    ACTIONS(5322), 1,
      sym_keyword_where,
    ACTIONS(5324), 1,
      sym_keyword_order,
    ACTIONS(5326), 1,
      sym_keyword_group,
    STATE(4335), 1,
      aux_sym_from_repeat1,
    STATE(4610), 1,
      sym_where,
    STATE(4637), 1,
      sym_limit,
    STATE(4643), 1,
      sym_order_by,
    STATE(4718), 1,
      sym_group_by,
    ACTIONS(5318), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(4157), 2,
      sym_comment,
      sym_marginalia,
    STATE(4270), 2,
      sym_join,
      sym_lateral_join,
    ACTIONS(4775), 15,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [288031] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3357), 1,
      sym_keyword_over,
    STATE(4158), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2211), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(3355), 8,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(2209), 18,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [288081] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6508), 1,
      sym_keyword_unsigned,
    ACTIONS(6510), 1,
      sym_keyword_zerofill,
    ACTIONS(6512), 1,
      anon_sym_LPAREN,
    STATE(4159), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1045), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1043), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [288133] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6514), 1,
      anon_sym_COMMA,
    STATE(4160), 3,
      sym_comment,
      sym_marginalia,
      aux_sym__mysql_update_statement_repeat1,
    ACTIONS(5650), 29,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      anon_sym_SEMI,
  [288179] = 18,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    ACTIONS(5314), 1,
      sym_keyword_left,
    ACTIONS(5316), 1,
      sym_keyword_right,
    ACTIONS(5320), 1,
      sym_keyword_join,
    ACTIONS(5322), 1,
      sym_keyword_where,
    ACTIONS(5324), 1,
      sym_keyword_order,
    ACTIONS(5326), 1,
      sym_keyword_group,
    STATE(4335), 1,
      aux_sym_from_repeat1,
    STATE(4619), 1,
      sym_where,
    STATE(4622), 1,
      sym_order_by,
    STATE(4665), 1,
      sym_limit,
    STATE(4730), 1,
      sym_group_by,
    ACTIONS(5318), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(4161), 2,
      sym_comment,
      sym_marginalia,
    STATE(4270), 2,
      sym_join,
      sym_lateral_join,
    ACTIONS(5904), 15,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [288251] = 18,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    ACTIONS(5314), 1,
      sym_keyword_left,
    ACTIONS(5316), 1,
      sym_keyword_right,
    ACTIONS(5320), 1,
      sym_keyword_join,
    ACTIONS(5322), 1,
      sym_keyword_where,
    ACTIONS(5324), 1,
      sym_keyword_order,
    ACTIONS(5326), 1,
      sym_keyword_group,
    STATE(4335), 1,
      aux_sym_from_repeat1,
    STATE(4615), 1,
      sym_where,
    STATE(4631), 1,
      sym_order_by,
    STATE(4671), 1,
      sym_limit,
    STATE(4738), 1,
      sym_group_by,
    ACTIONS(5318), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(4162), 2,
      sym_comment,
      sym_marginalia,
    STATE(4270), 2,
      sym_join,
      sym_lateral_join,
    ACTIONS(5902), 15,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [288323] = 18,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    ACTIONS(5314), 1,
      sym_keyword_left,
    ACTIONS(5316), 1,
      sym_keyword_right,
    ACTIONS(5320), 1,
      sym_keyword_join,
    ACTIONS(5322), 1,
      sym_keyword_where,
    ACTIONS(5324), 1,
      sym_keyword_order,
    ACTIONS(5326), 1,
      sym_keyword_group,
    STATE(4161), 1,
      aux_sym_from_repeat1,
    STATE(4615), 1,
      sym_where,
    STATE(4631), 1,
      sym_order_by,
    STATE(4671), 1,
      sym_limit,
    STATE(4738), 1,
      sym_group_by,
    ACTIONS(5318), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(4163), 2,
      sym_comment,
      sym_marginalia,
    STATE(4270), 2,
      sym_join,
      sym_lateral_join,
    ACTIONS(5902), 15,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [288395] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6517), 1,
      sym_keyword_unsigned,
    ACTIONS(6519), 1,
      sym_keyword_zerofill,
    STATE(4164), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1241), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1239), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [288444] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6521), 1,
      sym_keyword_end,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4165), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [288523] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6523), 1,
      sym_keyword_end,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4166), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [288602] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6525), 1,
      sym_keyword_end,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4167), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [288681] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6527), 1,
      sym_keyword_as,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4168), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [288760] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6529), 1,
      sym_keyword_when,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4169), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [288839] = 28,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(2567), 1,
      anon_sym_SQUOTE,
    ACTIONS(4581), 1,
      sym_keyword_partition,
    ACTIONS(4585), 1,
      sym_keyword_collate,
    ACTIONS(4589), 1,
      sym_keyword_default,
    ACTIONS(4593), 1,
      sym_keyword_stored,
    ACTIONS(4595), 1,
      sym_keyword_tblproperties,
    ACTIONS(4599), 1,
      sym_keyword_partitioned,
    ACTIONS(4601), 1,
      sym_keyword_sort,
    ACTIONS(4613), 1,
      sym_keyword_as,
    ACTIONS(6531), 1,
      sym_keyword_engine,
    ACTIONS(6533), 1,
      sym_keyword_row,
    ACTIONS(6535), 1,
      sym_keyword_location,
    ACTIONS(6537), 1,
      anon_sym_LPAREN,
    STATE(2605), 1,
      sym_column_definitions,
    STATE(2606), 1,
      sym__double_quote_string,
    STATE(4397), 1,
      sym__table_settings,
    STATE(4411), 1,
      aux_sym_create_table_repeat1,
    STATE(4636), 1,
      sym_table_option,
    STATE(4953), 1,
      aux_sym_table_options_repeat2,
    STATE(6309), 1,
      sym_table_options,
    STATE(4170), 2,
      sym_comment,
      sym_marginalia,
    STATE(6067), 2,
      sym__literal_string,
      sym_identifier,
    STATE(4402), 5,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
  [288930] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6539), 1,
      sym_keyword_end,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4171), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [289009] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6541), 1,
      sym_keyword_as,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4172), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [289088] = 28,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(2567), 1,
      anon_sym_SQUOTE,
    ACTIONS(4581), 1,
      sym_keyword_partition,
    ACTIONS(4583), 1,
      sym_keyword_as,
    ACTIONS(4585), 1,
      sym_keyword_collate,
    ACTIONS(4589), 1,
      sym_keyword_default,
    ACTIONS(4593), 1,
      sym_keyword_stored,
    ACTIONS(4595), 1,
      sym_keyword_tblproperties,
    ACTIONS(4599), 1,
      sym_keyword_partitioned,
    ACTIONS(4601), 1,
      sym_keyword_sort,
    ACTIONS(6531), 1,
      sym_keyword_engine,
    ACTIONS(6533), 1,
      sym_keyword_row,
    ACTIONS(6535), 1,
      sym_keyword_location,
    ACTIONS(6537), 1,
      anon_sym_LPAREN,
    STATE(2594), 1,
      sym_column_definitions,
    STATE(2606), 1,
      sym__double_quote_string,
    STATE(4376), 1,
      aux_sym_create_table_repeat1,
    STATE(4397), 1,
      sym__table_settings,
    STATE(4636), 1,
      sym_table_option,
    STATE(4953), 1,
      aux_sym_table_options_repeat2,
    STATE(6282), 1,
      sym_table_options,
    STATE(4173), 2,
      sym_comment,
      sym_marginalia,
    STATE(6067), 2,
      sym__literal_string,
      sym_identifier,
    STATE(4402), 5,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
  [289179] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6543), 1,
      sym_keyword_end,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4174), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [289258] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6545), 1,
      sym_keyword_then,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4175), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [289337] = 18,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5060), 1,
      sym_keyword_limit,
    ACTIONS(5314), 1,
      sym_keyword_left,
    ACTIONS(5316), 1,
      sym_keyword_right,
    ACTIONS(5320), 1,
      sym_keyword_join,
    ACTIONS(5322), 1,
      sym_keyword_where,
    ACTIONS(5324), 1,
      sym_keyword_order,
    ACTIONS(5326), 1,
      sym_keyword_group,
    STATE(4335), 1,
      aux_sym_from_repeat1,
    STATE(4665), 1,
      sym_limit,
    STATE(4687), 1,
      sym_where,
    STATE(4721), 1,
      sym_order_by,
    STATE(4753), 1,
      sym_group_by,
    ACTIONS(5318), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(4176), 2,
      sym_comment,
      sym_marginalia,
    STATE(4270), 2,
      sym_join,
      sym_lateral_join,
    ACTIONS(5904), 14,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      anon_sym_SEMI,
  [289408] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6547), 1,
      sym_keyword_then,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4177), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [289487] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6549), 1,
      sym_keyword_end,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4178), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [289566] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6551), 1,
      sym_keyword_as,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4179), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [289645] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6553), 1,
      sym_keyword_as,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4180), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [289724] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4181), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2211), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(3355), 8,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_auto_increment,
      sym_keyword_default,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(2209), 18,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [289771] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6557), 1,
      sym_keyword_left,
    ACTIONS(6560), 1,
      sym_keyword_right,
    ACTIONS(6566), 1,
      sym_keyword_join,
    ACTIONS(6563), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(4270), 2,
      sym_join,
      sym_lateral_join,
    STATE(4182), 3,
      sym_comment,
      sym_marginalia,
      aux_sym_from_repeat1,
    ACTIONS(6555), 22,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [289824] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6569), 1,
      aux_sym_keyword_varchar_token2,
    STATE(4183), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1125), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1123), 24,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [289871] = 18,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5060), 1,
      sym_keyword_limit,
    ACTIONS(5314), 1,
      sym_keyword_left,
    ACTIONS(5316), 1,
      sym_keyword_right,
    ACTIONS(5320), 1,
      sym_keyword_join,
    ACTIONS(5322), 1,
      sym_keyword_where,
    ACTIONS(5324), 1,
      sym_keyword_order,
    ACTIONS(5326), 1,
      sym_keyword_group,
    STATE(4176), 1,
      aux_sym_from_repeat1,
    STATE(4671), 1,
      sym_limit,
    STATE(4688), 1,
      sym_where,
    STATE(4742), 1,
      sym_order_by,
    STATE(4759), 1,
      sym_group_by,
    ACTIONS(5318), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(4184), 2,
      sym_comment,
      sym_marginalia,
    STATE(4270), 2,
      sym_join,
      sym_lateral_join,
    ACTIONS(5902), 14,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      anon_sym_SEMI,
  [289942] = 18,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5060), 1,
      sym_keyword_limit,
    ACTIONS(5314), 1,
      sym_keyword_left,
    ACTIONS(5316), 1,
      sym_keyword_right,
    ACTIONS(5320), 1,
      sym_keyword_join,
    ACTIONS(5322), 1,
      sym_keyword_where,
    ACTIONS(5324), 1,
      sym_keyword_order,
    ACTIONS(5326), 1,
      sym_keyword_group,
    STATE(4335), 1,
      aux_sym_from_repeat1,
    STATE(4671), 1,
      sym_limit,
    STATE(4688), 1,
      sym_where,
    STATE(4742), 1,
      sym_order_by,
    STATE(4759), 1,
      sym_group_by,
    ACTIONS(5318), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(4185), 2,
      sym_comment,
      sym_marginalia,
    STATE(4270), 2,
      sym_join,
      sym_lateral_join,
    ACTIONS(5902), 14,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      anon_sym_SEMI,
  [290013] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6571), 1,
      sym_keyword_then,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4186), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [290092] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6573), 1,
      sym_keyword_as,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4187), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [290171] = 28,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(2567), 1,
      anon_sym_SQUOTE,
    ACTIONS(4581), 1,
      sym_keyword_partition,
    ACTIONS(4585), 1,
      sym_keyword_collate,
    ACTIONS(4589), 1,
      sym_keyword_default,
    ACTIONS(4593), 1,
      sym_keyword_stored,
    ACTIONS(4595), 1,
      sym_keyword_tblproperties,
    ACTIONS(4599), 1,
      sym_keyword_partitioned,
    ACTIONS(4601), 1,
      sym_keyword_sort,
    ACTIONS(6531), 1,
      sym_keyword_engine,
    ACTIONS(6533), 1,
      sym_keyword_row,
    ACTIONS(6535), 1,
      sym_keyword_location,
    ACTIONS(6537), 1,
      anon_sym_LPAREN,
    ACTIONS(6575), 1,
      sym_keyword_as,
    STATE(2575), 1,
      sym_column_definitions,
    STATE(2606), 1,
      sym__double_quote_string,
    STATE(4365), 1,
      aux_sym_create_table_repeat1,
    STATE(4397), 1,
      sym__table_settings,
    STATE(4636), 1,
      sym_table_option,
    STATE(4953), 1,
      aux_sym_table_options_repeat2,
    STATE(6246), 1,
      sym_table_options,
    STATE(4188), 2,
      sym_comment,
      sym_marginalia,
    STATE(6067), 2,
      sym__literal_string,
      sym_identifier,
    STATE(4402), 5,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
  [290262] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6577), 1,
      sym_keyword_then,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4189), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [290341] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6579), 1,
      sym_keyword_as,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4190), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [290420] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6581), 1,
      sym_keyword_end,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4191), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [290499] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6583), 1,
      sym_keyword_when,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4192), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [290578] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6585), 1,
      sym_keyword_end,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4193), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [290657] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6587), 1,
      sym_keyword_then,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4194), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [290736] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6589), 1,
      sym_keyword_as,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4195), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [290815] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6591), 1,
      sym_keyword_then,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4196), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [290894] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6595), 1,
      aux_sym_keyword_with_token1,
    ACTIONS(6597), 1,
      sym_keyword_uncached,
    STATE(7746), 1,
      sym_keyword_with,
    STATE(4197), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6599), 4,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(6593), 23,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [290945] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6601), 1,
      sym_keyword_end,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4198), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [291024] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6603), 1,
      sym_keyword_as,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4199), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [291103] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6605), 1,
      sym_keyword_end,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4200), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [291182] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6607), 1,
      sym_keyword_then,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4201), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [291261] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6609), 1,
      sym_keyword_when,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4202), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [291340] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6611), 1,
      sym_keyword_then,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4203), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [291419] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6613), 1,
      sym_keyword_end,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4204), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [291498] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6615), 1,
      sym_keyword_end,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4205), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [291577] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6617), 1,
      sym_keyword_then,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4206), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [291656] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6619), 1,
      sym_keyword_end,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4207), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [291735] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6621), 1,
      sym_keyword_then,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4208), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [291814] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6623), 1,
      sym_keyword_end,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4209), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [291893] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6625), 1,
      sym_keyword_when,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4210), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [291972] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6627), 1,
      sym_keyword_unsigned,
    ACTIONS(6629), 1,
      sym_keyword_zerofill,
    STATE(4211), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1209), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1207), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [292021] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6631), 1,
      sym_keyword_when,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4212), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [292100] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6633), 1,
      sym_keyword_when,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4213), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [292179] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6635), 1,
      sym_keyword_end,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4214), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [292258] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6637), 1,
      sym_keyword_when,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4215), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [292337] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6639), 1,
      sym_keyword_end,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4216), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [292416] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6641), 1,
      sym_keyword_when,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4217), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [292495] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6643), 1,
      sym_keyword_end,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4218), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [292574] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6645), 1,
      sym_keyword_end,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4219), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [292653] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6647), 1,
      sym_keyword_when,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4220), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [292732] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6649), 1,
      sym_keyword_end,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4221), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [292811] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6653), 1,
      sym_keyword_escaped,
    ACTIONS(6655), 1,
      sym_keyword_lines,
    STATE(4222), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6657), 4,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(6651), 24,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [292860] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6659), 1,
      sym_keyword_unsigned,
    ACTIONS(6661), 1,
      sym_keyword_zerofill,
    STATE(4223), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1217), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1215), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [292909] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6663), 1,
      sym_keyword_when,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4224), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [292988] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6665), 1,
      sym_keyword_when,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4225), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [293067] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6667), 1,
      sym_keyword_end,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4226), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [293146] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6669), 1,
      sym_keyword_as,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4227), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [293225] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6671), 1,
      sym_keyword_end,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4228), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [293304] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4229), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(951), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(953), 25,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [293349] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6673), 1,
      sym_keyword_end,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4230), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [293428] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6675), 1,
      sym_keyword_end,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4231), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [293507] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6677), 1,
      sym_keyword_then,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4232), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [293586] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6679), 1,
      sym_keyword_when,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4233), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [293665] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6681), 1,
      sym_keyword_as,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4234), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [293744] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6683), 1,
      sym_keyword_then,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4235), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [293823] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6685), 1,
      sym_keyword_end,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4236), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [293902] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6687), 1,
      sym_keyword_as,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4237), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [293981] = 28,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(2567), 1,
      anon_sym_SQUOTE,
    ACTIONS(4581), 1,
      sym_keyword_partition,
    ACTIONS(4585), 1,
      sym_keyword_collate,
    ACTIONS(4589), 1,
      sym_keyword_default,
    ACTIONS(4593), 1,
      sym_keyword_stored,
    ACTIONS(4595), 1,
      sym_keyword_tblproperties,
    ACTIONS(4599), 1,
      sym_keyword_partitioned,
    ACTIONS(4601), 1,
      sym_keyword_sort,
    ACTIONS(4797), 1,
      sym_keyword_as,
    ACTIONS(6531), 1,
      sym_keyword_engine,
    ACTIONS(6533), 1,
      sym_keyword_row,
    ACTIONS(6535), 1,
      sym_keyword_location,
    ACTIONS(6689), 1,
      anon_sym_LPAREN,
    STATE(2606), 1,
      sym__double_quote_string,
    STATE(2616), 1,
      sym_column_definitions,
    STATE(4397), 1,
      sym__table_settings,
    STATE(4414), 1,
      aux_sym_create_table_repeat1,
    STATE(4636), 1,
      sym_table_option,
    STATE(4953), 1,
      aux_sym_table_options_repeat2,
    STATE(7226), 1,
      sym_table_options,
    STATE(4238), 2,
      sym_comment,
      sym_marginalia,
    STATE(6067), 2,
      sym__literal_string,
      sym_identifier,
    STATE(4402), 5,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
  [294072] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6691), 1,
      sym_keyword_as,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4239), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [294151] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6693), 1,
      sym_keyword_as,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4240), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [294230] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6695), 1,
      sym_keyword_end,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4241), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [294309] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6697), 1,
      sym_keyword_then,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4242), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [294388] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6699), 1,
      sym_keyword_as,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4243), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [294467] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6701), 1,
      sym_keyword_end,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4244), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [294546] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6703), 1,
      sym_keyword_when,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4245), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [294625] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6705), 1,
      sym_keyword_end,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4246), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [294704] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6707), 1,
      sym_keyword_then,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4247), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [294783] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4248), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(947), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(949), 25,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [294828] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6709), 1,
      sym_keyword_when,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4249), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [294907] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6711), 1,
      aux_sym_keyword_with_token1,
    ACTIONS(6713), 1,
      aux_sym_keyword_timestamp_token2,
    STATE(4250), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1443), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1441), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [294956] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6715), 1,
      sym_keyword_as,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4251), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [295035] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6717), 1,
      sym_keyword_end,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4252), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [295114] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6719), 1,
      sym_keyword_end,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4253), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [295193] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6721), 1,
      sym_keyword_end,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4254), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [295272] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6723), 1,
      sym_keyword_then,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4255), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [295351] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6725), 1,
      sym_keyword_end,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4256), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [295430] = 18,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5060), 1,
      sym_keyword_limit,
    ACTIONS(5314), 1,
      sym_keyword_left,
    ACTIONS(5316), 1,
      sym_keyword_right,
    ACTIONS(5320), 1,
      sym_keyword_join,
    ACTIONS(5322), 1,
      sym_keyword_where,
    ACTIONS(5324), 1,
      sym_keyword_order,
    ACTIONS(5326), 1,
      sym_keyword_group,
    STATE(4335), 1,
      aux_sym_from_repeat1,
    STATE(4637), 1,
      sym_limit,
    STATE(4699), 1,
      sym_where,
    STATE(4739), 1,
      sym_order_by,
    STATE(4764), 1,
      sym_group_by,
    ACTIONS(5318), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(4257), 2,
      sym_comment,
      sym_marginalia,
    STATE(4270), 2,
      sym_join,
      sym_lateral_join,
    ACTIONS(4775), 14,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      anon_sym_SEMI,
  [295501] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6727), 1,
      sym_keyword_end,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4258), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [295580] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6729), 1,
      sym_keyword_end,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4259), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [295659] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6731), 1,
      sym_keyword_end,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4260), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [295738] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1915), 1,
      anon_sym_DOT,
    ACTIONS(6733), 1,
      anon_sym_LPAREN,
    STATE(4261), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1959), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1957), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [295787] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6735), 1,
      sym_keyword_end,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4262), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [295866] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6737), 1,
      sym_keyword_when,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4263), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [295945] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6739), 1,
      sym_keyword_end,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4264), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [296024] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6741), 1,
      sym_keyword_when,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4265), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [296103] = 18,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5060), 1,
      sym_keyword_limit,
    ACTIONS(5314), 1,
      sym_keyword_left,
    ACTIONS(5316), 1,
      sym_keyword_right,
    ACTIONS(5320), 1,
      sym_keyword_join,
    ACTIONS(5322), 1,
      sym_keyword_where,
    ACTIONS(5324), 1,
      sym_keyword_order,
    ACTIONS(5326), 1,
      sym_keyword_group,
    STATE(4335), 1,
      aux_sym_from_repeat1,
    STATE(4617), 1,
      sym_limit,
    STATE(4691), 1,
      sym_where,
    STATE(4712), 1,
      sym_order_by,
    STATE(4772), 1,
      sym_group_by,
    ACTIONS(5318), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(4266), 2,
      sym_comment,
      sym_marginalia,
    STATE(4270), 2,
      sym_join,
      sym_lateral_join,
    ACTIONS(4799), 14,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      anon_sym_SEMI,
  [296174] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6743), 1,
      sym_keyword_as,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4267), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [296253] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6745), 1,
      sym_keyword_when,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4268), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [296332] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6747), 1,
      sym_keyword_end,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4269), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [296411] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4270), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6749), 30,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [296454] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6751), 1,
      sym_keyword_when,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4271), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [296533] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6753), 1,
      sym_keyword_unsigned,
    ACTIONS(6755), 1,
      sym_keyword_zerofill,
    STATE(4272), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1193), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1191), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [296582] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6759), 1,
      sym_keyword_fields,
    ACTIONS(6761), 1,
      sym_keyword_lines,
    STATE(4273), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6763), 4,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(6757), 24,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [296631] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6765), 1,
      sym_keyword_end,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4274), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [296710] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6767), 1,
      sym_keyword_unsigned,
    ACTIONS(6769), 1,
      sym_keyword_zerofill,
    STATE(4275), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1117), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1115), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [296759] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6771), 1,
      sym_keyword_end,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4276), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [296838] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6773), 1,
      sym_keyword_end,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4277), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [296917] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6775), 1,
      sym_keyword_then,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4278), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [296996] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6777), 1,
      sym_keyword_end,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4279), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [297075] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6779), 1,
      sym_keyword_end,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4280), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [297154] = 28,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(2567), 1,
      anon_sym_SQUOTE,
    ACTIONS(4581), 1,
      sym_keyword_partition,
    ACTIONS(4585), 1,
      sym_keyword_collate,
    ACTIONS(4589), 1,
      sym_keyword_default,
    ACTIONS(4593), 1,
      sym_keyword_stored,
    ACTIONS(4595), 1,
      sym_keyword_tblproperties,
    ACTIONS(4599), 1,
      sym_keyword_partitioned,
    ACTIONS(4601), 1,
      sym_keyword_sort,
    ACTIONS(6531), 1,
      sym_keyword_engine,
    ACTIONS(6533), 1,
      sym_keyword_row,
    ACTIONS(6535), 1,
      sym_keyword_location,
    ACTIONS(6689), 1,
      anon_sym_LPAREN,
    ACTIONS(6781), 1,
      sym_keyword_as,
    STATE(2606), 1,
      sym__double_quote_string,
    STATE(2642), 1,
      sym_column_definitions,
    STATE(4384), 1,
      aux_sym_create_table_repeat1,
    STATE(4397), 1,
      sym__table_settings,
    STATE(4636), 1,
      sym_table_option,
    STATE(4953), 1,
      aux_sym_table_options_repeat2,
    STATE(6091), 1,
      sym_table_options,
    STATE(4281), 2,
      sym_comment,
      sym_marginalia,
    STATE(6067), 2,
      sym__literal_string,
      sym_identifier,
    STATE(4402), 5,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
  [297245] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6783), 1,
      sym_keyword_end,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4282), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [297324] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6785), 1,
      sym_keyword_end,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4283), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [297403] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6787), 1,
      sym_keyword_end,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4284), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [297482] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6789), 1,
      sym_keyword_unsigned,
    ACTIONS(6791), 1,
      sym_keyword_zerofill,
    STATE(4285), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1225), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1223), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [297531] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6793), 1,
      sym_keyword_unsigned,
    ACTIONS(6795), 1,
      sym_keyword_zerofill,
    STATE(4286), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1201), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1199), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [297580] = 18,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5060), 1,
      sym_keyword_limit,
    ACTIONS(5314), 1,
      sym_keyword_left,
    ACTIONS(5316), 1,
      sym_keyword_right,
    ACTIONS(5320), 1,
      sym_keyword_join,
    ACTIONS(5322), 1,
      sym_keyword_where,
    ACTIONS(5324), 1,
      sym_keyword_order,
    ACTIONS(5326), 1,
      sym_keyword_group,
    STATE(4257), 1,
      aux_sym_from_repeat1,
    STATE(4617), 1,
      sym_limit,
    STATE(4691), 1,
      sym_where,
    STATE(4712), 1,
      sym_order_by,
    STATE(4772), 1,
      sym_group_by,
    ACTIONS(5318), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(4270), 2,
      sym_join,
      sym_lateral_join,
    STATE(4287), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4799), 14,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      anon_sym_SEMI,
  [297651] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6797), 1,
      sym_keyword_unsigned,
    ACTIONS(6799), 1,
      sym_keyword_zerofill,
    STATE(4288), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1233), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1231), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [297700] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6801), 1,
      sym_keyword_as,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4289), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [297779] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6803), 1,
      sym_keyword_end,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4290), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [297858] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6805), 1,
      sym_keyword_end,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4291), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [297937] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6807), 1,
      sym_keyword_then,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4292), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [298016] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6809), 1,
      sym_keyword_end,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4293), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [298095] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6811), 1,
      sym_keyword_then,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4294), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [298174] = 18,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5060), 1,
      sym_keyword_limit,
    ACTIONS(5314), 1,
      sym_keyword_left,
    ACTIONS(5316), 1,
      sym_keyword_right,
    ACTIONS(5320), 1,
      sym_keyword_join,
    ACTIONS(5322), 1,
      sym_keyword_where,
    ACTIONS(5324), 1,
      sym_keyword_order,
    ACTIONS(5326), 1,
      sym_keyword_group,
    STATE(4185), 1,
      aux_sym_from_repeat1,
    STATE(4637), 1,
      sym_limit,
    STATE(4699), 1,
      sym_where,
    STATE(4739), 1,
      sym_order_by,
    STATE(4764), 1,
      sym_group_by,
    ACTIONS(5318), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(4270), 2,
      sym_join,
      sym_lateral_join,
    STATE(4295), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4775), 14,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      anon_sym_SEMI,
  [298245] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6813), 1,
      sym_keyword_as,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4296), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [298324] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6815), 1,
      sym_keyword_end,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4297), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [298403] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6817), 1,
      sym_keyword_end,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4298), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [298482] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6819), 1,
      sym_keyword_as,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4299), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [298561] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6821), 1,
      sym_keyword_end,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4300), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [298640] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6823), 1,
      sym_keyword_precision,
    ACTIONS(6825), 1,
      anon_sym_LPAREN,
    STATE(4301), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1045), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1043), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [298689] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6827), 1,
      sym_keyword_end,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4302), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [298768] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6829), 1,
      sym_keyword_then,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4303), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [298847] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6831), 1,
      sym_keyword_end,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4304), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [298926] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6833), 1,
      sym_keyword_when,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4305), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [299005] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6835), 1,
      sym_keyword_then,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4306), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [299084] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6837), 1,
      sym_keyword_end,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4307), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [299163] = 28,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(2567), 1,
      anon_sym_SQUOTE,
    ACTIONS(4581), 1,
      sym_keyword_partition,
    ACTIONS(4585), 1,
      sym_keyword_collate,
    ACTIONS(4589), 1,
      sym_keyword_default,
    ACTIONS(4593), 1,
      sym_keyword_stored,
    ACTIONS(4595), 1,
      sym_keyword_tblproperties,
    ACTIONS(4599), 1,
      sym_keyword_partitioned,
    ACTIONS(4601), 1,
      sym_keyword_sort,
    ACTIONS(4711), 1,
      sym_keyword_as,
    ACTIONS(6531), 1,
      sym_keyword_engine,
    ACTIONS(6533), 1,
      sym_keyword_row,
    ACTIONS(6535), 1,
      sym_keyword_location,
    ACTIONS(6689), 1,
      anon_sym_LPAREN,
    STATE(2606), 1,
      sym__double_quote_string,
    STATE(2724), 1,
      sym_column_definitions,
    STATE(4397), 1,
      sym__table_settings,
    STATE(4418), 1,
      aux_sym_create_table_repeat1,
    STATE(4636), 1,
      sym_table_option,
    STATE(4953), 1,
      aux_sym_table_options_repeat2,
    STATE(7554), 1,
      sym_table_options,
    STATE(4308), 2,
      sym_comment,
      sym_marginalia,
    STATE(6067), 2,
      sym__literal_string,
      sym_identifier,
    STATE(4402), 5,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
  [299254] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6839), 1,
      sym_keyword_end,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4309), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [299333] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6841), 1,
      sym_keyword_end,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4310), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [299412] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(6843), 1,
      sym_keyword_end,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4311), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [299491] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6845), 1,
      sym_keyword_zerofill,
    STATE(4312), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1335), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1333), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [299537] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6847), 1,
      sym_keyword_zerofill,
    STATE(4313), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1341), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1339), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [299583] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6849), 1,
      sym_keyword_zerofill,
    STATE(4314), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1379), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1377), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [299629] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6851), 1,
      sym_keyword_zerofill,
    STATE(4315), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1349), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1347), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [299675] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6853), 1,
      sym_keyword_zerofill,
    STATE(4316), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1361), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1359), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [299721] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6855), 1,
      sym_keyword_zerofill,
    STATE(4317), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1413), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1411), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [299767] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6510), 1,
      sym_keyword_zerofill,
    STATE(4318), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1045), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1043), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [299813] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4319), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(957), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(955), 24,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [299857] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6857), 1,
      anon_sym_LPAREN,
    STATE(4320), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1329), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1327), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [299903] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6859), 1,
      anon_sym_LPAREN,
    STATE(4321), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1419), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1417), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [299949] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6825), 1,
      anon_sym_LPAREN,
    STATE(4322), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1045), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1043), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [299995] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6861), 1,
      anon_sym_LPAREN,
    STATE(4323), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1361), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1359), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [300041] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6863), 1,
      anon_sym_LPAREN,
    STATE(4324), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1379), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1377), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [300087] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6865), 1,
      sym_keyword_zerofill,
    STATE(4325), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1425), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1423), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [300133] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6867), 1,
      anon_sym_LPAREN,
    STATE(4326), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1335), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1333), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [300179] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6869), 1,
      sym_keyword_zerofill,
    STATE(4327), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1463), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1461), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [300225] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6871), 1,
      anon_sym_LPAREN,
    STATE(4328), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1341), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1339), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [300271] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6873), 1,
      anon_sym_LPAREN,
    STATE(4329), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1349), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1347), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [300317] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6875), 1,
      sym_keyword_zerofill,
    STATE(4330), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1329), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1327), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [300363] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6877), 1,
      anon_sym_LPAREN,
    STATE(4331), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1355), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1353), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [300409] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6879), 1,
      sym_keyword_fields,
    ACTIONS(6881), 1,
      sym_keyword_lines,
    STATE(4332), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6763), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(6757), 22,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [300457] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4333), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2017), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2015), 24,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [300501] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4334), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1393), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1391), 24,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [300545] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6883), 1,
      sym_keyword_left,
    ACTIONS(6886), 1,
      sym_keyword_right,
    ACTIONS(6892), 1,
      sym_keyword_join,
    ACTIONS(6889), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(4270), 2,
      sym_join,
      sym_lateral_join,
    STATE(4335), 3,
      sym_comment,
      sym_marginalia,
      aux_sym_from_repeat1,
    ACTIONS(6555), 21,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [300597] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6895), 1,
      anon_sym_LPAREN,
    STATE(4336), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1399), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1397), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [300643] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6897), 1,
      sym_keyword_zerofill,
    STATE(4337), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1355), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1353), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [300689] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6899), 1,
      sym_keyword_zerofill,
    STATE(4338), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1373), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1371), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [300735] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6901), 1,
      sym_keyword_over,
    STATE(4339), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2211), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2209), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [300781] = 21,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1097), 1,
      sym_keyword_is,
    ACTIONS(1099), 1,
      anon_sym_SLASH,
    ACTIONS(1105), 1,
      anon_sym_PLUS,
    ACTIONS(1107), 1,
      anon_sym_DASH,
    ACTIONS(1109), 1,
      anon_sym_CARET,
    ACTIONS(1133), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1139), 1,
      sym_keyword_and,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(1991), 1,
      sym_keyword_or,
    ACTIONS(1993), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6903), 1,
      sym_keyword_in,
    ACTIONS(1101), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1131), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    STATE(4340), 2,
      sym_comment,
      sym_marginalia,
    STATE(2053), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(1129), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2054), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [300857] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6905), 1,
      anon_sym_LPAREN,
    STATE(4341), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1407), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1405), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [300903] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6595), 1,
      aux_sym_keyword_with_token1,
    ACTIONS(6907), 1,
      sym_keyword_uncached,
    STATE(7254), 1,
      sym_keyword_with,
    STATE(4342), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6599), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(6593), 21,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_begin,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [300953] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1909), 1,
      anon_sym_DOT,
    STATE(4343), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2009), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2007), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [300999] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6909), 1,
      sym_keyword_zerofill,
    STATE(4344), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1437), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1435), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [301045] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6911), 1,
      anon_sym_DOT,
    STATE(4345), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2003), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2001), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [301091] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6913), 1,
      sym_keyword_left,
    ACTIONS(6916), 1,
      sym_keyword_right,
    ACTIONS(6922), 1,
      sym_keyword_join,
    ACTIONS(6919), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(4270), 2,
      sym_join,
      sym_lateral_join,
    STATE(4346), 3,
      sym_comment,
      sym_marginalia,
      aux_sym_from_repeat1,
    ACTIONS(6555), 21,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      anon_sym_SEMI,
  [301143] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6925), 1,
      sym_keyword_zerofill,
    STATE(4347), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1367), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1365), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [301189] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6927), 1,
      sym_keyword_escaped,
    ACTIONS(6929), 1,
      sym_keyword_lines,
    STATE(4348), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6657), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(6651), 22,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [301237] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6933), 1,
      sym_keyword_lines,
    STATE(4349), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6935), 4,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(6931), 24,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [301283] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4350), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1257), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1255), 24,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [301327] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6937), 1,
      sym_keyword_zerofill,
    STATE(4351), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1431), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1429), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [301373] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6939), 1,
      sym_keyword_zerofill,
    STATE(4352), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1457), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1455), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [301419] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6943), 1,
      sym_keyword_cached,
    STATE(4353), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6945), 4,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(6941), 24,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [301465] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4354), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2133), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2131), 24,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [301509] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4355), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(963), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(965), 24,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [301553] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6947), 1,
      sym__natural_number,
    STATE(4356), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1901), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1899), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [301599] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4357), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1125), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1123), 24,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [301643] = 21,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4203), 1,
      anon_sym_SLASH,
    ACTIONS(4211), 1,
      anon_sym_PLUS,
    ACTIONS(4213), 1,
      anon_sym_DASH,
    ACTIONS(4215), 1,
      anon_sym_CARET,
    ACTIONS(4237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      sym_keyword_in,
    ACTIONS(5880), 1,
      sym_keyword_and,
    ACTIONS(5882), 1,
      sym_keyword_or,
    ACTIONS(5884), 1,
      sym_keyword_is,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4207), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4209), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4358), 2,
      sym_comment,
      sym_marginalia,
    STATE(2070), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4205), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(2067), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [301719] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6949), 1,
      anon_sym_LPAREN,
    STATE(4359), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1385), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1383), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [301765] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1915), 1,
      anon_sym_DOT,
    STATE(4360), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1913), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1911), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [301811] = 21,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1141), 1,
      sym_keyword_not,
    ACTIONS(1145), 1,
      sym_keyword_similar,
    ACTIONS(4281), 1,
      sym_keyword_in,
    ACTIONS(4283), 1,
      sym_keyword_is,
    ACTIONS(4285), 1,
      anon_sym_SLASH,
    ACTIONS(4293), 1,
      anon_sym_PLUS,
    ACTIONS(4295), 1,
      anon_sym_DASH,
    ACTIONS(4297), 1,
      anon_sym_CARET,
    ACTIONS(4299), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4333), 1,
      sym_keyword_and,
    ACTIONS(4667), 1,
      sym_keyword_or,
    ACTIONS(4669), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4289), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4291), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(4361), 2,
      sym_comment,
      sym_marginalia,
    STATE(1967), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4287), 4,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    STATE(1968), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
  [301887] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1909), 1,
      anon_sym_DOT,
    STATE(4362), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1907), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1905), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [301933] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4363), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(971), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(973), 24,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [301977] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4364), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(967), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(969), 24,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [302021] = 26,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(2567), 1,
      anon_sym_SQUOTE,
    ACTIONS(4581), 1,
      sym_keyword_partition,
    ACTIONS(4583), 1,
      sym_keyword_as,
    ACTIONS(4585), 1,
      sym_keyword_collate,
    ACTIONS(4589), 1,
      sym_keyword_default,
    ACTIONS(4593), 1,
      sym_keyword_stored,
    ACTIONS(4595), 1,
      sym_keyword_tblproperties,
    ACTIONS(4599), 1,
      sym_keyword_partitioned,
    ACTIONS(4601), 1,
      sym_keyword_sort,
    ACTIONS(6531), 1,
      sym_keyword_engine,
    ACTIONS(6533), 1,
      sym_keyword_row,
    ACTIONS(6535), 1,
      sym_keyword_location,
    STATE(2606), 1,
      sym__double_quote_string,
    STATE(4397), 1,
      sym__table_settings,
    STATE(4600), 1,
      aux_sym_create_table_repeat1,
    STATE(4636), 1,
      sym_table_option,
    STATE(4953), 1,
      aux_sym_table_options_repeat2,
    STATE(6282), 1,
      sym_table_options,
    STATE(4365), 2,
      sym_comment,
      sym_marginalia,
    STATE(6067), 2,
      sym__literal_string,
      sym_identifier,
    STATE(4402), 5,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
  [302106] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4366), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1503), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1501), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [302149] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4367), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1511), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1509), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [302192] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4368), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1591), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1589), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [302235] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4369), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1615), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1613), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [302278] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4370), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1413), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1411), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [302321] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4371), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1425), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1423), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [302364] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4372), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1335), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1333), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [302407] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4373), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2207), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2205), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [302450] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4374), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1463), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1461), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [302493] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4375), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1515), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1513), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [302536] = 26,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(2567), 1,
      anon_sym_SQUOTE,
    ACTIONS(4581), 1,
      sym_keyword_partition,
    ACTIONS(4585), 1,
      sym_keyword_collate,
    ACTIONS(4589), 1,
      sym_keyword_default,
    ACTIONS(4593), 1,
      sym_keyword_stored,
    ACTIONS(4595), 1,
      sym_keyword_tblproperties,
    ACTIONS(4599), 1,
      sym_keyword_partitioned,
    ACTIONS(4601), 1,
      sym_keyword_sort,
    ACTIONS(4613), 1,
      sym_keyword_as,
    ACTIONS(6531), 1,
      sym_keyword_engine,
    ACTIONS(6533), 1,
      sym_keyword_row,
    ACTIONS(6535), 1,
      sym_keyword_location,
    STATE(2606), 1,
      sym__double_quote_string,
    STATE(4397), 1,
      sym__table_settings,
    STATE(4600), 1,
      aux_sym_create_table_repeat1,
    STATE(4636), 1,
      sym_table_option,
    STATE(4953), 1,
      aux_sym_table_options_repeat2,
    STATE(6309), 1,
      sym_table_options,
    STATE(4376), 2,
      sym_comment,
      sym_marginalia,
    STATE(6067), 2,
      sym__literal_string,
      sym_identifier,
    STATE(4402), 5,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
  [302621] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4377), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1495), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1493), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [302664] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4378), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1731), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1729), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [302707] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4379), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1607), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1605), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [302750] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4380), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1559), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1557), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [302793] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4381), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1563), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1561), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [302836] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4382), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1567), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1565), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [302879] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4383), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1659), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1657), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [302922] = 26,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(2567), 1,
      anon_sym_SQUOTE,
    ACTIONS(4581), 1,
      sym_keyword_partition,
    ACTIONS(4585), 1,
      sym_keyword_collate,
    ACTIONS(4589), 1,
      sym_keyword_default,
    ACTIONS(4593), 1,
      sym_keyword_stored,
    ACTIONS(4595), 1,
      sym_keyword_tblproperties,
    ACTIONS(4599), 1,
      sym_keyword_partitioned,
    ACTIONS(4601), 1,
      sym_keyword_sort,
    ACTIONS(4797), 1,
      sym_keyword_as,
    ACTIONS(6531), 1,
      sym_keyword_engine,
    ACTIONS(6533), 1,
      sym_keyword_row,
    ACTIONS(6535), 1,
      sym_keyword_location,
    STATE(2606), 1,
      sym__double_quote_string,
    STATE(4397), 1,
      sym__table_settings,
    STATE(4600), 1,
      aux_sym_create_table_repeat1,
    STATE(4636), 1,
      sym_table_option,
    STATE(4953), 1,
      aux_sym_table_options_repeat2,
    STATE(7226), 1,
      sym_table_options,
    STATE(4384), 2,
      sym_comment,
      sym_marginalia,
    STATE(6067), 2,
      sym__literal_string,
      sym_identifier,
    STATE(4402), 5,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
  [303007] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4385), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6953), 4,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(6951), 24,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [303050] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4386), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1635), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1633), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [303093] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4387), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6957), 4,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(6955), 24,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [303136] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4388), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1599), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1597), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [303179] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4389), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1639), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1637), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [303222] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4390), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1611), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1609), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [303265] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4391), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1341), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1339), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [303308] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4392), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6961), 4,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(6959), 24,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [303351] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4393), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6965), 4,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(6963), 24,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [303394] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4394), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1575), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1573), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [303437] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4395), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1329), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1327), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [303480] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4396), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(975), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(977), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [303523] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4397), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6969), 4,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(6967), 24,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [303566] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4398), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2367), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2365), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [303609] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4399), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2349), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2347), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [303652] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4400), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1727), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1725), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [303695] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4401), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2341), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2339), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [303738] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4402), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6973), 4,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(6971), 24,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [303781] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4403), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1519), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1517), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [303824] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4404), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2293), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2291), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [303867] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4405), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1045), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1043), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [303910] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4406), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1457), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1455), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [303953] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4407), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1367), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1365), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [303996] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4408), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2003), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2001), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [304039] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4409), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2513), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2511), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [304082] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4410), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2227), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2225), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [304125] = 26,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(2567), 1,
      anon_sym_SQUOTE,
    ACTIONS(4581), 1,
      sym_keyword_partition,
    ACTIONS(4585), 1,
      sym_keyword_collate,
    ACTIONS(4589), 1,
      sym_keyword_default,
    ACTIONS(4593), 1,
      sym_keyword_stored,
    ACTIONS(4595), 1,
      sym_keyword_tblproperties,
    ACTIONS(4599), 1,
      sym_keyword_partitioned,
    ACTIONS(4601), 1,
      sym_keyword_sort,
    ACTIONS(4649), 1,
      sym_keyword_as,
    ACTIONS(6531), 1,
      sym_keyword_engine,
    ACTIONS(6533), 1,
      sym_keyword_row,
    ACTIONS(6535), 1,
      sym_keyword_location,
    STATE(2606), 1,
      sym__double_quote_string,
    STATE(4397), 1,
      sym__table_settings,
    STATE(4600), 1,
      aux_sym_create_table_repeat1,
    STATE(4636), 1,
      sym_table_option,
    STATE(4953), 1,
      aux_sym_table_options_repeat2,
    STATE(6331), 1,
      sym_table_options,
    STATE(4411), 2,
      sym_comment,
      sym_marginalia,
    STATE(6067), 2,
      sym__literal_string,
      sym_identifier,
    STATE(4402), 5,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
  [304210] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4412), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1437), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1435), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [304253] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6975), 1,
      sym_keyword_lines,
    STATE(4413), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6935), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(6931), 22,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [304298] = 26,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(2567), 1,
      anon_sym_SQUOTE,
    ACTIONS(4581), 1,
      sym_keyword_partition,
    ACTIONS(4585), 1,
      sym_keyword_collate,
    ACTIONS(4589), 1,
      sym_keyword_default,
    ACTIONS(4593), 1,
      sym_keyword_stored,
    ACTIONS(4595), 1,
      sym_keyword_tblproperties,
    ACTIONS(4599), 1,
      sym_keyword_partitioned,
    ACTIONS(4601), 1,
      sym_keyword_sort,
    ACTIONS(4711), 1,
      sym_keyword_as,
    ACTIONS(6531), 1,
      sym_keyword_engine,
    ACTIONS(6533), 1,
      sym_keyword_row,
    ACTIONS(6535), 1,
      sym_keyword_location,
    STATE(2606), 1,
      sym__double_quote_string,
    STATE(4397), 1,
      sym__table_settings,
    STATE(4600), 1,
      aux_sym_create_table_repeat1,
    STATE(4636), 1,
      sym_table_option,
    STATE(4953), 1,
      aux_sym_table_options_repeat2,
    STATE(7554), 1,
      sym_table_options,
    STATE(4414), 2,
      sym_comment,
      sym_marginalia,
    STATE(6067), 2,
      sym__literal_string,
      sym_identifier,
    STATE(4402), 5,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
  [304383] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4415), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1355), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1353), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [304426] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4416), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1901), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1899), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [304469] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4417), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(985), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(983), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [304512] = 26,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(2567), 1,
      anon_sym_SQUOTE,
    ACTIONS(4581), 1,
      sym_keyword_partition,
    ACTIONS(4585), 1,
      sym_keyword_collate,
    ACTIONS(4589), 1,
      sym_keyword_default,
    ACTIONS(4593), 1,
      sym_keyword_stored,
    ACTIONS(4595), 1,
      sym_keyword_tblproperties,
    ACTIONS(4599), 1,
      sym_keyword_partitioned,
    ACTIONS(4601), 1,
      sym_keyword_sort,
    ACTIONS(4937), 1,
      sym_keyword_as,
    ACTIONS(6531), 1,
      sym_keyword_engine,
    ACTIONS(6533), 1,
      sym_keyword_row,
    ACTIONS(6535), 1,
      sym_keyword_location,
    STATE(2606), 1,
      sym__double_quote_string,
    STATE(4397), 1,
      sym__table_settings,
    STATE(4600), 1,
      aux_sym_create_table_repeat1,
    STATE(4636), 1,
      sym_table_option,
    STATE(4953), 1,
      aux_sym_table_options_repeat2,
    STATE(7698), 1,
      sym_table_options,
    STATE(4418), 2,
      sym_comment,
      sym_marginalia,
    STATE(6067), 2,
      sym__literal_string,
      sym_identifier,
    STATE(4402), 5,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
  [304597] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4419), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1655), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1653), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [304640] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4420), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2179), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2177), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [304683] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4421), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2245), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2243), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [304726] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4422), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2211), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2209), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [304769] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4423), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2251), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2249), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [304812] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4424), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2255), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2253), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [304855] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6977), 1,
      sym_keyword_cached,
    STATE(4425), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6945), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(6941), 22,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [304900] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4426), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2505), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2503), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [304943] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4427), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2405), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2403), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [304986] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4428), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2259), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2257), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [305029] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4429), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2393), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2391), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [305072] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4430), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2263), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2261), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [305115] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4431), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6981), 4,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(6979), 24,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [305158] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4432), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2389), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2387), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [305201] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4433), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1631), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1629), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [305244] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4434), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1583), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1581), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [305287] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4435), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1579), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1577), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [305330] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4436), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1349), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1347), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [305373] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4437), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1627), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1625), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [305416] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4438), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2385), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2383), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [305459] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4439), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1547), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1545), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [305502] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4440), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6985), 4,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(6983), 24,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [305545] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4441), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2381), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2379), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [305588] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4442), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1571), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1569), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [305631] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4443), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6989), 4,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(6987), 24,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [305674] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4444), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6993), 4,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(6991), 24,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [305717] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4445), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6997), 4,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(6995), 24,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [305760] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4446), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2235), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2233), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [305803] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4447), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1217), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1215), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [305846] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4448), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1507), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1505), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [305889] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4449), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2539), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2537), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [305932] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4450), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1651), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1649), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [305975] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4451), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(979), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(981), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [306018] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4452), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2215), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2213), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [306061] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4453), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7001), 4,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(6999), 24,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [306104] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7005), 1,
      sym_keyword_nulls,
    STATE(4454), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7003), 27,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_separator,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [306147] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4455), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7009), 4,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(7007), 24,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [306190] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4456), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2525), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2523), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [306233] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4457), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1647), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1645), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [306276] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4458), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1431), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1429), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [306319] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7013), 1,
      sym_keyword_nulls,
    STATE(4459), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7011), 27,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_separator,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [306362] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4460), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1603), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1601), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [306405] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4461), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7017), 4,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(7015), 24,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [306448] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4462), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7021), 4,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(7019), 24,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [306491] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4463), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1379), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1377), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [306534] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4464), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2529), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2527), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [306577] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4465), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2267), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2265), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [306620] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4466), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2271), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2269), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [306663] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4467), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2281), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2279), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [306706] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4468), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2287), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2285), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [306749] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4469), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1587), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1585), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [306792] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4470), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1619), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1617), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [306835] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4471), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7023), 28,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_separator,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [306876] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4472), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7027), 4,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(7025), 24,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [306919] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4473), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1643), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1641), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [306962] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4474), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1373), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1371), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [307005] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4475), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1595), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1593), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [307048] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4476), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1499), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1497), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [307091] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4477), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1623), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1621), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [307134] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4478), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7031), 4,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(7029), 24,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [307177] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4479), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1361), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1359), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [307220] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4480), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(961), 5,
      sym_keyword_in,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(959), 23,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [307263] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4481), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6981), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(6979), 22,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [307305] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    ACTIONS(4795), 1,
      anon_sym_COMMA,
    ACTIONS(7033), 1,
      sym_keyword_left,
    ACTIONS(7035), 1,
      sym_keyword_right,
    ACTIONS(7039), 1,
      sym_keyword_join,
    ACTIONS(7041), 1,
      sym_keyword_where,
    ACTIONS(7043), 1,
      sym_keyword_order,
    ACTIONS(7045), 1,
      sym_keyword_group,
    STATE(3491), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(4637), 1,
      sym_limit,
    STATE(4643), 1,
      sym_order_by,
    STATE(4675), 1,
      sym_index_hint,
    STATE(4682), 1,
      aux_sym_from_repeat1,
    STATE(4986), 1,
      sym_where,
    STATE(5021), 1,
      sym_group_by,
    ACTIONS(7037), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(4270), 2,
      sym_join,
      sym_lateral_join,
    STATE(4482), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4793), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(4775), 5,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [307381] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4483), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7047), 27,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_separator,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [307421] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4484), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6985), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(6983), 22,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [307463] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4485), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6953), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(6951), 22,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [307505] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4486), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6961), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(6959), 22,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [307547] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    ACTIONS(4795), 1,
      anon_sym_COMMA,
    ACTIONS(7033), 1,
      sym_keyword_left,
    ACTIONS(7035), 1,
      sym_keyword_right,
    ACTIONS(7039), 1,
      sym_keyword_join,
    ACTIONS(7041), 1,
      sym_keyword_where,
    ACTIONS(7043), 1,
      sym_keyword_order,
    ACTIONS(7045), 1,
      sym_keyword_group,
    STATE(4490), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(4655), 1,
      sym_index_hint,
    STATE(4658), 1,
      sym_limit,
    STATE(4662), 1,
      sym_order_by,
    STATE(4668), 1,
      aux_sym_from_repeat1,
    STATE(5000), 1,
      sym_where,
    STATE(5017), 1,
      sym_group_by,
    ACTIONS(7037), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(4270), 2,
      sym_join,
      sym_lateral_join,
    STATE(4487), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4793), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(4805), 5,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [307623] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    ACTIONS(4795), 1,
      anon_sym_COMMA,
    ACTIONS(7033), 1,
      sym_keyword_left,
    ACTIONS(7035), 1,
      sym_keyword_right,
    ACTIONS(7039), 1,
      sym_keyword_join,
    ACTIONS(7041), 1,
      sym_keyword_where,
    ACTIONS(7043), 1,
      sym_keyword_order,
    ACTIONS(7045), 1,
      sym_keyword_group,
    STATE(4482), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(4617), 1,
      sym_limit,
    STATE(4667), 1,
      sym_order_by,
    STATE(4681), 1,
      sym_index_hint,
    STATE(4683), 1,
      aux_sym_from_repeat1,
    STATE(4982), 1,
      sym_where,
    STATE(5024), 1,
      sym_group_by,
    ACTIONS(7037), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(4270), 2,
      sym_join,
      sym_lateral_join,
    STATE(4488), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4793), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(4799), 5,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [307699] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4489), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6997), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(6995), 22,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [307741] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    ACTIONS(4795), 1,
      anon_sym_COMMA,
    ACTIONS(7033), 1,
      sym_keyword_left,
    ACTIONS(7035), 1,
      sym_keyword_right,
    ACTIONS(7039), 1,
      sym_keyword_join,
    ACTIONS(7041), 1,
      sym_keyword_where,
    ACTIONS(7043), 1,
      sym_keyword_order,
    ACTIONS(7045), 1,
      sym_keyword_group,
    STATE(3491), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(4617), 1,
      sym_limit,
    STATE(4667), 1,
      sym_order_by,
    STATE(4681), 1,
      sym_index_hint,
    STATE(4683), 1,
      aux_sym_from_repeat1,
    STATE(4982), 1,
      sym_where,
    STATE(5024), 1,
      sym_group_by,
    ACTIONS(7037), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(4270), 2,
      sym_join,
      sym_lateral_join,
    STATE(4490), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4793), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(4799), 5,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [307817] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4491), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6989), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(6987), 22,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [307859] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4492), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6993), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(6991), 22,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [307901] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4493), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7049), 27,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_null,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [307941] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4494), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7031), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(7029), 22,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [307983] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4495), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6957), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(6955), 22,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [308025] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4496), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7027), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(7025), 22,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [308067] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4497), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6965), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(6963), 22,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [308109] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4498), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7017), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(7015), 22,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [308151] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4499), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6973), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(6971), 22,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [308193] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4500), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7009), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(7007), 22,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [308235] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4501), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7001), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(6999), 22,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [308277] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4502), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7051), 27,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_separator,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [308317] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4503), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7053), 27,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_separator,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [308357] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4504), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7021), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(7019), 22,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [308399] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4505), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6969), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(6967), 22,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [308441] = 16,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(2567), 1,
      anon_sym_SQUOTE,
    ACTIONS(4585), 1,
      sym_keyword_collate,
    ACTIONS(4587), 1,
      sym_keyword_engine,
    ACTIONS(4589), 1,
      sym_keyword_default,
    ACTIONS(7057), 1,
      anon_sym_SEMI,
    STATE(2606), 1,
      sym__double_quote_string,
    STATE(4508), 1,
      aux_sym_table_options_repeat2,
    STATE(4636), 1,
      sym_table_option,
    STATE(4506), 2,
      sym_comment,
      sym_marginalia,
    STATE(7531), 2,
      sym__literal_string,
      sym_identifier,
    ACTIONS(7055), 13,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
  [308504] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4507), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7059), 26,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [308543] = 15,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7061), 1,
      sym__identifier,
    ACTIONS(7066), 1,
      sym_keyword_collate,
    ACTIONS(7069), 1,
      sym_keyword_engine,
    ACTIONS(7072), 1,
      sym_keyword_default,
    ACTIONS(7075), 1,
      anon_sym_SEMI,
    ACTIONS(7077), 1,
      anon_sym_SQUOTE,
    ACTIONS(7080), 1,
      anon_sym_DQUOTE,
    ACTIONS(7083), 1,
      anon_sym_BQUOTE,
    STATE(2606), 1,
      sym__double_quote_string,
    STATE(4636), 1,
      sym_table_option,
    STATE(7531), 2,
      sym__literal_string,
      sym_identifier,
    STATE(4508), 3,
      sym_comment,
      sym_marginalia,
      aux_sym_table_options_repeat2,
    ACTIONS(7064), 13,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
  [308604] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7086), 1,
      anon_sym_DOT,
    STATE(4509), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4571), 25,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_values,
      sym_keyword_set,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_change,
      sym_keyword_modify,
      sym_keyword_drop,
      sym_keyword_add,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_using,
      sym_keyword_cascade,
      aux_sym_keyword_with_token1,
      sym_keyword_rename,
      sym_keyword_owner,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [308645] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4510), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7088), 26,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [308684] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4511), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7090), 26,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [308723] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4512), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7023), 26,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [308762] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1695), 1,
      sym_keyword_having,
    ACTIONS(1705), 1,
      anon_sym_COMMA,
    STATE(4528), 1,
      aux_sym_array_repeat1,
    STATE(4592), 1,
      sym__having,
    STATE(4513), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7092), 22,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [308809] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4514), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7094), 26,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [308848] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4515), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7096), 26,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [308887] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1915), 1,
      anon_sym_DOT,
    ACTIONS(4773), 1,
      anon_sym_LPAREN,
    ACTIONS(7098), 1,
      sym_keyword_then,
    STATE(4516), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1959), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1957), 18,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [308933] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1915), 1,
      anon_sym_DOT,
    ACTIONS(4773), 1,
      anon_sym_LPAREN,
    ACTIONS(7100), 1,
      sym_keyword_then,
    STATE(4517), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1959), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1957), 18,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [308979] = 15,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7061), 1,
      sym__identifier,
    ACTIONS(7077), 1,
      anon_sym_SQUOTE,
    ACTIONS(7080), 1,
      anon_sym_DQUOTE,
    ACTIONS(7083), 1,
      anon_sym_BQUOTE,
    ACTIONS(7102), 1,
      sym_keyword_collate,
    ACTIONS(7105), 1,
      sym_keyword_engine,
    ACTIONS(7108), 1,
      sym_keyword_default,
    STATE(2606), 1,
      sym__double_quote_string,
    STATE(4707), 1,
      sym_table_option,
    ACTIONS(7075), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(7485), 2,
      sym__literal_string,
      sym_identifier,
    STATE(4518), 3,
      sym_comment,
      sym_marginalia,
      aux_sym_table_options_repeat2,
    ACTIONS(7064), 11,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
  [309039] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1915), 1,
      anon_sym_DOT,
    ACTIONS(4773), 1,
      anon_sym_LPAREN,
    ACTIONS(7111), 1,
      sym_keyword_then,
    STATE(4519), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1959), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1957), 18,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [309085] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4520), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7113), 25,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_order,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_separator,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [309123] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4521), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7117), 10,
      anon_sym_year,
      anon_sym_month,
      anon_sym_week,
      anon_sym_day,
      anon_sym_hour,
      anon_sym_minute,
      anon_sym_second,
      anon_sym_y,
      anon_sym_m,
      anon_sym_d,
    ACTIONS(7115), 15,
      anon_sym_millennium,
      anon_sym_century,
      anon_sym_decade,
      anon_sym_millisecond,
      anon_sym_microsecond,
      anon_sym_H,
      anon_sym_M,
      anon_sym_S,
      anon_sym_years,
      anon_sym_months,
      anon_sym_weeks,
      anon_sym_days,
      anon_sym_hours,
      anon_sym_minutes,
      anon_sym_seconds,
  [309163] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1915), 1,
      anon_sym_DOT,
    ACTIONS(4773), 1,
      anon_sym_LPAREN,
    ACTIONS(7119), 1,
      sym_keyword_then,
    STATE(4522), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1959), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1957), 18,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [309209] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1915), 1,
      anon_sym_DOT,
    ACTIONS(4773), 1,
      anon_sym_LPAREN,
    ACTIONS(7121), 1,
      sym_keyword_then,
    STATE(4523), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1959), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1957), 18,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [309255] = 16,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(2567), 1,
      anon_sym_SQUOTE,
    ACTIONS(4713), 1,
      sym_keyword_collate,
    ACTIONS(4715), 1,
      sym_keyword_engine,
    ACTIONS(4717), 1,
      sym_keyword_default,
    STATE(2606), 1,
      sym__double_quote_string,
    STATE(4518), 1,
      aux_sym_table_options_repeat2,
    STATE(4707), 1,
      sym_table_option,
    ACTIONS(7057), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(4524), 2,
      sym_comment,
      sym_marginalia,
    STATE(7485), 2,
      sym__literal_string,
      sym_identifier,
    ACTIONS(7055), 11,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
  [309317] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4525), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7123), 25,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_order,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_separator,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [309355] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1915), 1,
      anon_sym_DOT,
    ACTIONS(4773), 1,
      anon_sym_LPAREN,
    ACTIONS(7125), 1,
      sym_keyword_then,
    STATE(4526), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1959), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1957), 18,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [309401] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1915), 1,
      anon_sym_DOT,
    ACTIONS(4773), 1,
      anon_sym_LPAREN,
    ACTIONS(7127), 1,
      sym_keyword_then,
    STATE(4527), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1959), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1957), 18,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [309447] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7129), 1,
      anon_sym_COMMA,
    STATE(4528), 3,
      sym_comment,
      sym_marginalia,
      aux_sym_array_repeat1,
    ACTIONS(1849), 23,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [309487] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1915), 1,
      anon_sym_DOT,
    ACTIONS(4773), 1,
      anon_sym_LPAREN,
    ACTIONS(7132), 1,
      sym_keyword_then,
    STATE(4529), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1959), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1957), 18,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [309533] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3357), 1,
      sym_keyword_over,
    STATE(4530), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2211), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2209), 20,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [309575] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1915), 1,
      anon_sym_DOT,
    ACTIONS(4773), 1,
      anon_sym_LPAREN,
    ACTIONS(7134), 1,
      sym_keyword_then,
    STATE(4531), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1959), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1957), 18,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [309621] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1915), 1,
      anon_sym_DOT,
    ACTIONS(4773), 1,
      anon_sym_LPAREN,
    ACTIONS(7136), 1,
      sym_keyword_then,
    STATE(4532), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1959), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1957), 18,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [309667] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1915), 1,
      anon_sym_DOT,
    ACTIONS(4773), 1,
      anon_sym_LPAREN,
    ACTIONS(7138), 1,
      sym_keyword_then,
    STATE(4533), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1959), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1957), 18,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [309713] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1915), 1,
      anon_sym_DOT,
    ACTIONS(4773), 1,
      anon_sym_LPAREN,
    ACTIONS(7140), 1,
      sym_keyword_then,
    STATE(4534), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1959), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1957), 18,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [309759] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4535), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7142), 25,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_order,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_separator,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [309797] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1915), 1,
      anon_sym_DOT,
    ACTIONS(4773), 1,
      anon_sym_LPAREN,
    ACTIONS(7144), 1,
      sym_keyword_then,
    STATE(4536), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1959), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1957), 18,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [309843] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1915), 1,
      anon_sym_DOT,
    ACTIONS(4773), 1,
      anon_sym_LPAREN,
    ACTIONS(7146), 1,
      sym_keyword_then,
    STATE(4537), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1959), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1957), 18,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [309889] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1915), 1,
      anon_sym_DOT,
    ACTIONS(4773), 1,
      anon_sym_LPAREN,
    ACTIONS(7148), 1,
      sym_keyword_then,
    STATE(4538), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1959), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1957), 18,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [309935] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1915), 1,
      anon_sym_DOT,
    ACTIONS(4773), 1,
      anon_sym_LPAREN,
    ACTIONS(7150), 1,
      sym_keyword_then,
    STATE(4539), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1959), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1957), 18,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [309981] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1915), 1,
      anon_sym_DOT,
    ACTIONS(4773), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_keyword_then,
    STATE(4540), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1959), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1957), 18,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [310027] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1915), 1,
      anon_sym_DOT,
    ACTIONS(4773), 1,
      anon_sym_LPAREN,
    ACTIONS(7154), 1,
      sym_keyword_then,
    STATE(4541), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1959), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1957), 18,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [310073] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1915), 1,
      anon_sym_DOT,
    ACTIONS(4773), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_keyword_then,
    STATE(4542), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1959), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1957), 18,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [310119] = 10,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4787), 1,
      sym_keyword_order,
    ACTIONS(4789), 1,
      sym_keyword_group,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    STATE(4596), 1,
      sym_group_by,
    STATE(4622), 1,
      sym_order_by,
    STATE(4665), 1,
      sym_limit,
    STATE(4543), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5904), 18,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [310168] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1915), 1,
      anon_sym_DOT,
    ACTIONS(1961), 1,
      anon_sym_LPAREN,
    STATE(4544), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1959), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1957), 18,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [310211] = 10,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4787), 1,
      sym_keyword_order,
    ACTIONS(4789), 1,
      sym_keyword_group,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    STATE(4605), 1,
      sym_group_by,
    STATE(4617), 1,
      sym_limit,
    STATE(4667), 1,
      sym_order_by,
    STATE(4545), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4799), 18,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [310260] = 10,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4787), 1,
      sym_keyword_order,
    ACTIONS(4789), 1,
      sym_keyword_group,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    STATE(4601), 1,
      sym_group_by,
    STATE(4614), 1,
      sym_order_by,
    STATE(4628), 1,
      sym_limit,
    STATE(4546), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7158), 18,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [310309] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4547), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2211), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2209), 20,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [310348] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    ACTIONS(4795), 1,
      anon_sym_COMMA,
    ACTIONS(6139), 1,
      sym_keyword_order,
    ACTIONS(7160), 1,
      sym_keyword_left,
    ACTIONS(7162), 1,
      sym_keyword_right,
    ACTIONS(7166), 1,
      sym_keyword_join,
    ACTIONS(7168), 1,
      sym_keyword_where,
    ACTIONS(7170), 1,
      sym_keyword_group,
    STATE(4549), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(4658), 1,
      sym_limit,
    STATE(4662), 1,
      sym_order_by,
    STATE(4789), 1,
      sym_index_hint,
    STATE(4790), 1,
      aux_sym_from_repeat1,
    STATE(5138), 1,
      sym_where,
    STATE(5270), 1,
      sym_group_by,
    ACTIONS(4805), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
    ACTIONS(7164), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(4270), 2,
      sym_join,
      sym_lateral_join,
    STATE(4548), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4793), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
  [310421] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    ACTIONS(4795), 1,
      anon_sym_COMMA,
    ACTIONS(6139), 1,
      sym_keyword_order,
    ACTIONS(7160), 1,
      sym_keyword_left,
    ACTIONS(7162), 1,
      sym_keyword_right,
    ACTIONS(7166), 1,
      sym_keyword_join,
    ACTIONS(7168), 1,
      sym_keyword_where,
    ACTIONS(7170), 1,
      sym_keyword_group,
    STATE(3491), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(4617), 1,
      sym_limit,
    STATE(4667), 1,
      sym_order_by,
    STATE(4783), 1,
      aux_sym_from_repeat1,
    STATE(4784), 1,
      sym_index_hint,
    STATE(5141), 1,
      sym_where,
    STATE(5279), 1,
      sym_group_by,
    ACTIONS(4799), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
    ACTIONS(7164), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(4270), 2,
      sym_join,
      sym_lateral_join,
    STATE(4549), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4793), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
  [310494] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    ACTIONS(4795), 1,
      anon_sym_COMMA,
    ACTIONS(6139), 1,
      sym_keyword_order,
    ACTIONS(7160), 1,
      sym_keyword_left,
    ACTIONS(7162), 1,
      sym_keyword_right,
    ACTIONS(7166), 1,
      sym_keyword_join,
    ACTIONS(7168), 1,
      sym_keyword_where,
    ACTIONS(7170), 1,
      sym_keyword_group,
    STATE(3491), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(4637), 1,
      sym_limit,
    STATE(4643), 1,
      sym_order_by,
    STATE(4746), 1,
      aux_sym_from_repeat1,
    STATE(4778), 1,
      sym_index_hint,
    STATE(5143), 1,
      sym_where,
    STATE(5284), 1,
      sym_group_by,
    ACTIONS(4775), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
    ACTIONS(7164), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(4270), 2,
      sym_join,
      sym_lateral_join,
    STATE(4550), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4793), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
  [310567] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1915), 1,
      anon_sym_DOT,
    ACTIONS(5068), 1,
      anon_sym_LPAREN,
    STATE(4551), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1959), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(1957), 18,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [310610] = 22,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    ACTIONS(4795), 1,
      anon_sym_COMMA,
    ACTIONS(6139), 1,
      sym_keyword_order,
    ACTIONS(7160), 1,
      sym_keyword_left,
    ACTIONS(7162), 1,
      sym_keyword_right,
    ACTIONS(7166), 1,
      sym_keyword_join,
    ACTIONS(7168), 1,
      sym_keyword_where,
    ACTIONS(7170), 1,
      sym_keyword_group,
    STATE(4550), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(4617), 1,
      sym_limit,
    STATE(4667), 1,
      sym_order_by,
    STATE(4783), 1,
      aux_sym_from_repeat1,
    STATE(4784), 1,
      sym_index_hint,
    STATE(5141), 1,
      sym_where,
    STATE(5279), 1,
      sym_group_by,
    ACTIONS(4799), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
    ACTIONS(7164), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(4270), 2,
      sym_join,
      sym_lateral_join,
    STATE(4552), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4793), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
  [310683] = 10,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4787), 1,
      sym_keyword_order,
    ACTIONS(4789), 1,
      sym_keyword_group,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    STATE(4604), 1,
      sym_group_by,
    STATE(4637), 1,
      sym_limit,
    STATE(4643), 1,
      sym_order_by,
    STATE(4553), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4775), 18,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [310732] = 10,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4787), 1,
      sym_keyword_order,
    ACTIONS(4789), 1,
      sym_keyword_group,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    STATE(4597), 1,
      sym_group_by,
    STATE(4631), 1,
      sym_order_by,
    STATE(4671), 1,
      sym_limit,
    STATE(4554), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5902), 18,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [310781] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7098), 1,
      sym_keyword_then,
    STATE(4555), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2211), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2209), 18,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [310821] = 10,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4787), 1,
      sym_keyword_order,
    ACTIONS(4789), 1,
      sym_keyword_group,
    ACTIONS(5060), 1,
      sym_keyword_limit,
    STATE(4637), 1,
      sym_limit,
    STATE(4642), 1,
      sym_group_by,
    STATE(4739), 1,
      sym_order_by,
    STATE(4556), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4775), 17,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      anon_sym_SEMI,
  [310869] = 10,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4787), 1,
      sym_keyword_order,
    ACTIONS(4789), 1,
      sym_keyword_group,
    ACTIONS(5060), 1,
      sym_keyword_limit,
    STATE(4617), 1,
      sym_limit,
    STATE(4618), 1,
      sym_group_by,
    STATE(4712), 1,
      sym_order_by,
    STATE(4557), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4799), 17,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      anon_sym_SEMI,
  [310917] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7148), 1,
      sym_keyword_then,
    STATE(4558), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2211), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2209), 18,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [310957] = 10,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4787), 1,
      sym_keyword_order,
    ACTIONS(4789), 1,
      sym_keyword_group,
    ACTIONS(5060), 1,
      sym_keyword_limit,
    STATE(4671), 1,
      sym_limit,
    STATE(4673), 1,
      sym_group_by,
    STATE(4742), 1,
      sym_order_by,
    STATE(4559), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5902), 17,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      anon_sym_SEMI,
  [311005] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7140), 1,
      sym_keyword_then,
    STATE(4560), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2211), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2209), 18,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [311045] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7132), 1,
      sym_keyword_then,
    STATE(4561), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2211), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2209), 18,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [311085] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7136), 1,
      sym_keyword_then,
    STATE(4562), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2211), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2209), 18,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [311125] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7119), 1,
      sym_keyword_then,
    STATE(4563), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2211), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2209), 18,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [311165] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7150), 1,
      sym_keyword_then,
    STATE(4564), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2211), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2209), 18,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [311205] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7174), 1,
      anon_sym_COMMA,
    STATE(4566), 1,
      aux_sym_order_by_repeat1,
    STATE(4565), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7172), 21,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [311245] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7174), 1,
      anon_sym_COMMA,
    STATE(4574), 1,
      aux_sym_order_by_repeat1,
    STATE(4566), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7176), 21,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [311285] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7156), 1,
      sym_keyword_then,
    STATE(4567), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2211), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2209), 18,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [311325] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7125), 1,
      sym_keyword_then,
    STATE(4568), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2211), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2209), 18,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [311365] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4569), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7178), 23,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [311401] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7100), 1,
      sym_keyword_then,
    STATE(4570), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2211), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2209), 18,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [311441] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4571), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7092), 23,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [311477] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7180), 1,
      sym_keyword_then,
    STATE(4572), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2211), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2209), 18,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [311517] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7127), 1,
      sym_keyword_then,
    STATE(4573), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2211), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2209), 18,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [311557] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7182), 1,
      anon_sym_COMMA,
    STATE(4574), 3,
      sym_comment,
      sym_marginalia,
      aux_sym_order_by_repeat1,
    ACTIONS(7047), 21,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [311595] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7154), 1,
      sym_keyword_then,
    STATE(4575), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2211), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2209), 18,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [311635] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7187), 1,
      aux_sym_keyword_character_token1,
    STATE(7248), 1,
      sym_keyword_character,
    STATE(4576), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7189), 4,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(7185), 17,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym__identifier,
  [311677] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4577), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7191), 23,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [311713] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4578), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7195), 6,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(7193), 17,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym__identifier,
  [311751] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7152), 1,
      sym_keyword_then,
    STATE(4579), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2211), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2209), 18,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [311791] = 10,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4787), 1,
      sym_keyword_order,
    ACTIONS(4789), 1,
      sym_keyword_group,
    ACTIONS(5060), 1,
      sym_keyword_limit,
    STATE(4626), 1,
      sym_group_by,
    STATE(4628), 1,
      sym_limit,
    STATE(4724), 1,
      sym_order_by,
    STATE(4580), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7158), 17,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      anon_sym_SEMI,
  [311839] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7146), 1,
      sym_keyword_then,
    STATE(4581), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2211), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2209), 18,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [311879] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2071), 1,
      sym_keyword_having,
    ACTIONS(2081), 1,
      anon_sym_COMMA,
    STATE(4592), 1,
      sym__having,
    STATE(4603), 1,
      aux_sym_array_repeat1,
    STATE(4582), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7092), 19,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [311923] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7111), 1,
      sym_keyword_then,
    STATE(4583), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2211), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2209), 18,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [311963] = 10,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4787), 1,
      sym_keyword_order,
    ACTIONS(4789), 1,
      sym_keyword_group,
    ACTIONS(5060), 1,
      sym_keyword_limit,
    STATE(4654), 1,
      sym_group_by,
    STATE(4665), 1,
      sym_limit,
    STATE(4721), 1,
      sym_order_by,
    STATE(4584), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5904), 17,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      anon_sym_SEMI,
  [312011] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4585), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7197), 23,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [312047] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4586), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7199), 23,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [312083] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7144), 1,
      sym_keyword_then,
    STATE(4587), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2211), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2209), 18,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [312123] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4588), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7201), 23,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [312159] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4589), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7205), 6,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(7203), 17,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym__identifier,
  [312197] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4590), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7209), 6,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(7207), 17,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym__identifier,
  [312235] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7121), 1,
      sym_keyword_then,
    STATE(4591), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2211), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2209), 18,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [312275] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4592), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7211), 23,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [312311] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7138), 1,
      sym_keyword_then,
    STATE(4593), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2211), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2209), 18,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [312351] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7134), 1,
      sym_keyword_then,
    STATE(4594), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2211), 4,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2209), 18,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG_EQ,
  [312391] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4595), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7213), 22,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [312426] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4787), 1,
      sym_keyword_order,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    STATE(4614), 1,
      sym_order_by,
    STATE(4628), 1,
      sym_limit,
    STATE(4596), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7158), 18,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [312469] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4787), 1,
      sym_keyword_order,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    STATE(4622), 1,
      sym_order_by,
    STATE(4665), 1,
      sym_limit,
    STATE(4597), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5904), 18,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [312512] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7187), 1,
      aux_sym_keyword_character_token1,
    STATE(7463), 1,
      sym_keyword_character,
    STATE(4598), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7189), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(7185), 15,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym__identifier,
  [312553] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4599), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7215), 22,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [312588] = 13,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5728), 1,
      sym_keyword_partition,
    ACTIONS(5734), 1,
      sym_keyword_stored,
    ACTIONS(5740), 1,
      sym_keyword_partitioned,
    ACTIONS(5743), 1,
      sym_keyword_sort,
    ACTIONS(7217), 1,
      sym_keyword_row,
    ACTIONS(7220), 1,
      sym_keyword_location,
    STATE(4397), 1,
      sym__table_settings,
    ACTIONS(5746), 3,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    STATE(4600), 3,
      sym_comment,
      sym_marginalia,
      aux_sym_create_table_repeat1,
    STATE(4402), 5,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
    ACTIONS(5726), 6,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_tblproperties,
      sym__identifier,
  [312641] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4787), 1,
      sym_keyword_order,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    STATE(4611), 1,
      sym_order_by,
    STATE(4616), 1,
      sym_limit,
    STATE(4601), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7223), 18,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [312684] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4787), 1,
      sym_keyword_order,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    STATE(4617), 1,
      sym_limit,
    STATE(4667), 1,
      sym_order_by,
    STATE(4602), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4799), 18,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [312727] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7225), 1,
      anon_sym_COMMA,
    STATE(4603), 3,
      sym_comment,
      sym_marginalia,
      aux_sym_array_repeat1,
    ACTIONS(1849), 20,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [312764] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4787), 1,
      sym_keyword_order,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    STATE(4631), 1,
      sym_order_by,
    STATE(4671), 1,
      sym_limit,
    STATE(4604), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5902), 18,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [312807] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4787), 1,
      sym_keyword_order,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    STATE(4637), 1,
      sym_limit,
    STATE(4643), 1,
      sym_order_by,
    STATE(4605), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4775), 18,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [312850] = 18,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(727), 1,
      aux_sym_keyword_int_token1,
    ACTIONS(7228), 1,
      sym_keyword_float,
    ACTIONS(7230), 1,
      sym_keyword_double,
    STATE(1269), 1,
      sym_keyword_tinyint,
    STATE(1270), 1,
      sym_keyword_smallint,
    STATE(1271), 1,
      sym_keyword_mediumint,
    STATE(1274), 1,
      sym_keyword_int,
    STATE(1275), 1,
      sym_keyword_bigint,
    STATE(1279), 1,
      sym_keyword_real,
    ACTIONS(721), 2,
      aux_sym_keyword_tinyint_token1,
      aux_sym_keyword_tinyint_token2,
    ACTIONS(723), 2,
      aux_sym_keyword_smallint_token1,
      aux_sym_keyword_smallint_token2,
    ACTIONS(725), 2,
      aux_sym_keyword_mediumint_token1,
      aux_sym_keyword_mediumint_token2,
    ACTIONS(729), 2,
      aux_sym_keyword_int_token2,
      aux_sym_keyword_int_token3,
    ACTIONS(731), 2,
      aux_sym_keyword_bigint_token1,
      aux_sym_keyword_bigint_token2,
    ACTIONS(737), 2,
      aux_sym_keyword_real_token1,
      aux_sym_keyword_real_token2,
    STATE(4606), 2,
      sym_comment,
      sym_marginalia,
  [312912] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7234), 1,
      anon_sym_COMMA,
    STATE(4678), 1,
      aux_sym_select_expression_repeat1,
    STATE(4607), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7232), 19,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [312950] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7234), 1,
      anon_sym_COMMA,
    STATE(4607), 1,
      aux_sym_select_expression_repeat1,
    STATE(4608), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7236), 19,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [312988] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4609), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7238), 21,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [313022] = 10,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    ACTIONS(5324), 1,
      sym_keyword_order,
    ACTIONS(5326), 1,
      sym_keyword_group,
    STATE(4631), 1,
      sym_order_by,
    STATE(4671), 1,
      sym_limit,
    STATE(4738), 1,
      sym_group_by,
    STATE(4610), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5902), 15,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [313068] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    STATE(4630), 1,
      sym_limit,
    STATE(4611), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7240), 19,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [313106] = 18,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(391), 1,
      aux_sym_keyword_int_token1,
    ACTIONS(7242), 1,
      sym_keyword_float,
    ACTIONS(7244), 1,
      sym_keyword_double,
    STATE(3860), 1,
      sym_keyword_real,
    STATE(3861), 1,
      sym_keyword_bigint,
    STATE(3862), 1,
      sym_keyword_int,
    STATE(3863), 1,
      sym_keyword_mediumint,
    STATE(3864), 1,
      sym_keyword_smallint,
    STATE(3865), 1,
      sym_keyword_tinyint,
    ACTIONS(385), 2,
      aux_sym_keyword_tinyint_token1,
      aux_sym_keyword_tinyint_token2,
    ACTIONS(387), 2,
      aux_sym_keyword_smallint_token1,
      aux_sym_keyword_smallint_token2,
    ACTIONS(389), 2,
      aux_sym_keyword_mediumint_token1,
      aux_sym_keyword_mediumint_token2,
    ACTIONS(393), 2,
      aux_sym_keyword_int_token2,
      aux_sym_keyword_int_token3,
    ACTIONS(395), 2,
      aux_sym_keyword_bigint_token1,
      aux_sym_keyword_bigint_token2,
    ACTIONS(401), 2,
      aux_sym_keyword_real_token1,
      aux_sym_keyword_real_token2,
    STATE(4612), 2,
      sym_comment,
      sym_marginalia,
  [313168] = 18,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(871), 1,
      aux_sym_keyword_int_token1,
    ACTIONS(7246), 1,
      sym_keyword_float,
    ACTIONS(7248), 1,
      sym_keyword_double,
    STATE(2993), 1,
      sym_keyword_real,
    STATE(2994), 1,
      sym_keyword_bigint,
    STATE(2996), 1,
      sym_keyword_int,
    STATE(2997), 1,
      sym_keyword_mediumint,
    STATE(2998), 1,
      sym_keyword_smallint,
    STATE(2999), 1,
      sym_keyword_tinyint,
    ACTIONS(865), 2,
      aux_sym_keyword_tinyint_token1,
      aux_sym_keyword_tinyint_token2,
    ACTIONS(867), 2,
      aux_sym_keyword_smallint_token1,
      aux_sym_keyword_smallint_token2,
    ACTIONS(869), 2,
      aux_sym_keyword_mediumint_token1,
      aux_sym_keyword_mediumint_token2,
    ACTIONS(873), 2,
      aux_sym_keyword_int_token2,
      aux_sym_keyword_int_token3,
    ACTIONS(875), 2,
      aux_sym_keyword_bigint_token1,
      aux_sym_keyword_bigint_token2,
    ACTIONS(881), 2,
      aux_sym_keyword_real_token1,
      aux_sym_keyword_real_token2,
    STATE(4613), 2,
      sym_comment,
      sym_marginalia,
  [313230] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    STATE(4616), 1,
      sym_limit,
    STATE(4614), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7223), 19,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [313268] = 10,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    ACTIONS(5324), 1,
      sym_keyword_order,
    ACTIONS(5326), 1,
      sym_keyword_group,
    STATE(4622), 1,
      sym_order_by,
    STATE(4665), 1,
      sym_limit,
    STATE(4730), 1,
      sym_group_by,
    STATE(4615), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5904), 15,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [313314] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4616), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7240), 21,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [313348] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4617), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4775), 21,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [313382] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4787), 1,
      sym_keyword_order,
    ACTIONS(5060), 1,
      sym_keyword_limit,
    STATE(4637), 1,
      sym_limit,
    STATE(4739), 1,
      sym_order_by,
    STATE(4618), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4775), 17,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      anon_sym_SEMI,
  [313424] = 10,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    ACTIONS(5324), 1,
      sym_keyword_order,
    ACTIONS(5326), 1,
      sym_keyword_group,
    STATE(4614), 1,
      sym_order_by,
    STATE(4628), 1,
      sym_limit,
    STATE(4713), 1,
      sym_group_by,
    STATE(4619), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7158), 15,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [313470] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7252), 1,
      sym_keyword_offset,
    STATE(4635), 1,
      sym_offset,
    STATE(4620), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7250), 19,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [313508] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7256), 1,
      sym_keyword_where,
    ACTIONS(7258), 1,
      anon_sym_COMMA,
    STATE(4657), 1,
      aux_sym__insert_set_repeat1,
    STATE(4786), 1,
      sym_where,
    STATE(4621), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7254), 17,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [313550] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    STATE(4628), 1,
      sym_limit,
    STATE(4622), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7158), 19,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [313588] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4623), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7262), 9,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__natural_number,
      sym_bang,
      anon_sym_BQUOTE,
    ACTIONS(7260), 12,
      sym_keyword_cast,
      sym_keyword_count,
      sym_keyword_group_concat,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      anon_sym_DASH,
      sym__identifier,
  [313624] = 18,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(919), 1,
      aux_sym_keyword_int_token1,
    ACTIONS(7264), 1,
      sym_keyword_float,
    ACTIONS(7266), 1,
      sym_keyword_double,
    STATE(3440), 1,
      sym_keyword_tinyint,
    STATE(3443), 1,
      sym_keyword_smallint,
    STATE(3444), 1,
      sym_keyword_mediumint,
    STATE(3445), 1,
      sym_keyword_int,
    STATE(3446), 1,
      sym_keyword_bigint,
    STATE(3448), 1,
      sym_keyword_real,
    ACTIONS(913), 2,
      aux_sym_keyword_tinyint_token1,
      aux_sym_keyword_tinyint_token2,
    ACTIONS(915), 2,
      aux_sym_keyword_smallint_token1,
      aux_sym_keyword_smallint_token2,
    ACTIONS(917), 2,
      aux_sym_keyword_mediumint_token1,
      aux_sym_keyword_mediumint_token2,
    ACTIONS(921), 2,
      aux_sym_keyword_int_token2,
      aux_sym_keyword_int_token3,
    ACTIONS(923), 2,
      aux_sym_keyword_bigint_token1,
      aux_sym_keyword_bigint_token2,
    ACTIONS(929), 2,
      aux_sym_keyword_real_token1,
      aux_sym_keyword_real_token2,
    STATE(4624), 2,
      sym_comment,
      sym_marginalia,
  [313686] = 18,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(487), 1,
      aux_sym_keyword_int_token1,
    ACTIONS(7268), 1,
      sym_keyword_float,
    ACTIONS(7270), 1,
      sym_keyword_double,
    STATE(1795), 1,
      sym_keyword_int,
    STATE(1836), 1,
      sym_keyword_tinyint,
    STATE(1837), 1,
      sym_keyword_smallint,
    STATE(1838), 1,
      sym_keyword_mediumint,
    STATE(1844), 1,
      sym_keyword_bigint,
    STATE(1845), 1,
      sym_keyword_real,
    ACTIONS(481), 2,
      aux_sym_keyword_tinyint_token1,
      aux_sym_keyword_tinyint_token2,
    ACTIONS(483), 2,
      aux_sym_keyword_smallint_token1,
      aux_sym_keyword_smallint_token2,
    ACTIONS(485), 2,
      aux_sym_keyword_mediumint_token1,
      aux_sym_keyword_mediumint_token2,
    ACTIONS(489), 2,
      aux_sym_keyword_int_token2,
      aux_sym_keyword_int_token3,
    ACTIONS(491), 2,
      aux_sym_keyword_bigint_token1,
      aux_sym_keyword_bigint_token2,
    ACTIONS(497), 2,
      aux_sym_keyword_real_token1,
      aux_sym_keyword_real_token2,
    STATE(4625), 2,
      sym_comment,
      sym_marginalia,
  [313748] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4787), 1,
      sym_keyword_order,
    ACTIONS(5060), 1,
      sym_keyword_limit,
    STATE(4616), 1,
      sym_limit,
    STATE(4733), 1,
      sym_order_by,
    STATE(4626), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7223), 17,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      anon_sym_SEMI,
  [313790] = 18,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(535), 1,
      aux_sym_keyword_int_token1,
    ACTIONS(7272), 1,
      sym_keyword_float,
    ACTIONS(7274), 1,
      sym_keyword_double,
    STATE(135), 1,
      sym_keyword_mediumint,
    STATE(136), 1,
      sym_keyword_smallint,
    STATE(138), 1,
      sym_keyword_tinyint,
    STATE(160), 1,
      sym_keyword_real,
    STATE(161), 1,
      sym_keyword_bigint,
    STATE(162), 1,
      sym_keyword_int,
    ACTIONS(529), 2,
      aux_sym_keyword_tinyint_token1,
      aux_sym_keyword_tinyint_token2,
    ACTIONS(531), 2,
      aux_sym_keyword_smallint_token1,
      aux_sym_keyword_smallint_token2,
    ACTIONS(533), 2,
      aux_sym_keyword_mediumint_token1,
      aux_sym_keyword_mediumint_token2,
    ACTIONS(537), 2,
      aux_sym_keyword_int_token2,
      aux_sym_keyword_int_token3,
    ACTIONS(539), 2,
      aux_sym_keyword_bigint_token1,
      aux_sym_keyword_bigint_token2,
    ACTIONS(545), 2,
      aux_sym_keyword_real_token1,
      aux_sym_keyword_real_token2,
    STATE(4627), 2,
      sym_comment,
      sym_marginalia,
  [313852] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4628), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7223), 21,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [313886] = 18,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(583), 1,
      aux_sym_keyword_int_token1,
    ACTIONS(7276), 1,
      sym_keyword_float,
    ACTIONS(7278), 1,
      sym_keyword_double,
    STATE(838), 1,
      sym_keyword_bigint,
    STATE(844), 1,
      sym_keyword_tinyint,
    STATE(845), 1,
      sym_keyword_smallint,
    STATE(848), 1,
      sym_keyword_mediumint,
    STATE(849), 1,
      sym_keyword_int,
    STATE(852), 1,
      sym_keyword_real,
    ACTIONS(577), 2,
      aux_sym_keyword_tinyint_token1,
      aux_sym_keyword_tinyint_token2,
    ACTIONS(579), 2,
      aux_sym_keyword_smallint_token1,
      aux_sym_keyword_smallint_token2,
    ACTIONS(581), 2,
      aux_sym_keyword_mediumint_token1,
      aux_sym_keyword_mediumint_token2,
    ACTIONS(585), 2,
      aux_sym_keyword_int_token2,
      aux_sym_keyword_int_token3,
    ACTIONS(587), 2,
      aux_sym_keyword_bigint_token1,
      aux_sym_keyword_bigint_token2,
    ACTIONS(593), 2,
      aux_sym_keyword_real_token1,
      aux_sym_keyword_real_token2,
    STATE(4629), 2,
      sym_comment,
      sym_marginalia,
  [313948] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4630), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7280), 21,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [313982] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    STATE(4665), 1,
      sym_limit,
    STATE(4631), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5904), 19,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [314020] = 18,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(247), 1,
      aux_sym_keyword_int_token1,
    ACTIONS(7282), 1,
      sym_keyword_float,
    ACTIONS(7284), 1,
      sym_keyword_double,
    STATE(2466), 1,
      sym_keyword_real,
    STATE(2467), 1,
      sym_keyword_bigint,
    STATE(2468), 1,
      sym_keyword_int,
    STATE(2469), 1,
      sym_keyword_mediumint,
    STATE(2470), 1,
      sym_keyword_smallint,
    STATE(2471), 1,
      sym_keyword_tinyint,
    ACTIONS(241), 2,
      aux_sym_keyword_tinyint_token1,
      aux_sym_keyword_tinyint_token2,
    ACTIONS(243), 2,
      aux_sym_keyword_smallint_token1,
      aux_sym_keyword_smallint_token2,
    ACTIONS(245), 2,
      aux_sym_keyword_mediumint_token1,
      aux_sym_keyword_mediumint_token2,
    ACTIONS(249), 2,
      aux_sym_keyword_int_token2,
      aux_sym_keyword_int_token3,
    ACTIONS(251), 2,
      aux_sym_keyword_bigint_token1,
      aux_sym_keyword_bigint_token2,
    ACTIONS(257), 2,
      aux_sym_keyword_real_token1,
      aux_sym_keyword_real_token2,
    STATE(4632), 2,
      sym_comment,
      sym_marginalia,
  [314082] = 18,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(823), 1,
      aux_sym_keyword_int_token1,
    ACTIONS(7286), 1,
      sym_keyword_float,
    ACTIONS(7288), 1,
      sym_keyword_double,
    STATE(3667), 1,
      sym_keyword_real,
    STATE(3668), 1,
      sym_keyword_bigint,
    STATE(3669), 1,
      sym_keyword_int,
    STATE(3670), 1,
      sym_keyword_mediumint,
    STATE(3671), 1,
      sym_keyword_smallint,
    STATE(3672), 1,
      sym_keyword_tinyint,
    ACTIONS(817), 2,
      aux_sym_keyword_tinyint_token1,
      aux_sym_keyword_tinyint_token2,
    ACTIONS(819), 2,
      aux_sym_keyword_smallint_token1,
      aux_sym_keyword_smallint_token2,
    ACTIONS(821), 2,
      aux_sym_keyword_mediumint_token1,
      aux_sym_keyword_mediumint_token2,
    ACTIONS(825), 2,
      aux_sym_keyword_int_token2,
      aux_sym_keyword_int_token3,
    ACTIONS(827), 2,
      aux_sym_keyword_bigint_token1,
      aux_sym_keyword_bigint_token2,
    ACTIONS(833), 2,
      aux_sym_keyword_real_token1,
      aux_sym_keyword_real_token2,
    STATE(4633), 2,
      sym_comment,
      sym_marginalia,
  [314144] = 10,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    ACTIONS(5324), 1,
      sym_keyword_order,
    ACTIONS(5326), 1,
      sym_keyword_group,
    STATE(4617), 1,
      sym_limit,
    STATE(4667), 1,
      sym_order_by,
    STATE(4728), 1,
      sym_group_by,
    STATE(4634), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4799), 15,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [314190] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4635), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7290), 21,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [314224] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4636), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7294), 4,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(7292), 17,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym__identifier,
  [314260] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4637), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5902), 21,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [314294] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7298), 1,
      sym_keyword_from,
    ACTIONS(7300), 1,
      sym_keyword_union,
    STATE(4734), 1,
      aux_sym__select_statement_repeat1,
    STATE(4736), 1,
      sym_from,
    ACTIONS(7302), 2,
      sym_keyword_except,
      sym_keyword_intersect,
    STATE(4638), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7296), 15,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [314338] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4639), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7306), 9,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__natural_number,
      sym_bang,
      anon_sym_BQUOTE,
    ACTIONS(7304), 12,
      sym_keyword_cast,
      sym_keyword_count,
      sym_keyword_group_concat,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      anon_sym_DASH,
      sym__identifier,
  [314374] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4640), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7310), 9,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__natural_number,
      sym_bang,
      anon_sym_BQUOTE,
    ACTIONS(7308), 12,
      sym_keyword_cast,
      sym_keyword_count,
      sym_keyword_group_concat,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      anon_sym_DASH,
      sym__identifier,
  [314410] = 18,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(103), 1,
      aux_sym_keyword_int_token1,
    ACTIONS(7312), 1,
      sym_keyword_float,
    ACTIONS(7314), 1,
      sym_keyword_double,
    STATE(771), 1,
      sym_keyword_real,
    STATE(772), 1,
      sym_keyword_bigint,
    STATE(773), 1,
      sym_keyword_int,
    STATE(774), 1,
      sym_keyword_mediumint,
    STATE(775), 1,
      sym_keyword_smallint,
    STATE(776), 1,
      sym_keyword_tinyint,
    ACTIONS(97), 2,
      aux_sym_keyword_tinyint_token1,
      aux_sym_keyword_tinyint_token2,
    ACTIONS(99), 2,
      aux_sym_keyword_smallint_token1,
      aux_sym_keyword_smallint_token2,
    ACTIONS(101), 2,
      aux_sym_keyword_mediumint_token1,
      aux_sym_keyword_mediumint_token2,
    ACTIONS(105), 2,
      aux_sym_keyword_int_token2,
      aux_sym_keyword_int_token3,
    ACTIONS(107), 2,
      aux_sym_keyword_bigint_token1,
      aux_sym_keyword_bigint_token2,
    ACTIONS(113), 2,
      aux_sym_keyword_real_token1,
      aux_sym_keyword_real_token2,
    STATE(4641), 2,
      sym_comment,
      sym_marginalia,
  [314472] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4787), 1,
      sym_keyword_order,
    ACTIONS(5060), 1,
      sym_keyword_limit,
    STATE(4671), 1,
      sym_limit,
    STATE(4742), 1,
      sym_order_by,
    STATE(4642), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5902), 17,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      anon_sym_SEMI,
  [314514] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    STATE(4671), 1,
      sym_limit,
    STATE(4643), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5902), 19,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [314552] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4644), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7316), 21,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [314586] = 18,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(679), 1,
      aux_sym_keyword_int_token1,
    ACTIONS(7318), 1,
      sym_keyword_float,
    ACTIONS(7320), 1,
      sym_keyword_double,
    STATE(2756), 1,
      sym_keyword_real,
    STATE(2759), 1,
      sym_keyword_bigint,
    STATE(2760), 1,
      sym_keyword_int,
    STATE(2761), 1,
      sym_keyword_mediumint,
    STATE(2762), 1,
      sym_keyword_smallint,
    STATE(2882), 1,
      sym_keyword_tinyint,
    ACTIONS(673), 2,
      aux_sym_keyword_tinyint_token1,
      aux_sym_keyword_tinyint_token2,
    ACTIONS(675), 2,
      aux_sym_keyword_smallint_token1,
      aux_sym_keyword_smallint_token2,
    ACTIONS(677), 2,
      aux_sym_keyword_mediumint_token1,
      aux_sym_keyword_mediumint_token2,
    ACTIONS(681), 2,
      aux_sym_keyword_int_token2,
      aux_sym_keyword_int_token3,
    ACTIONS(683), 2,
      aux_sym_keyword_bigint_token1,
      aux_sym_keyword_bigint_token2,
    ACTIONS(689), 2,
      aux_sym_keyword_real_token1,
      aux_sym_keyword_real_token2,
    STATE(4645), 2,
      sym_comment,
      sym_marginalia,
  [314648] = 18,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(47), 1,
      aux_sym_keyword_int_token1,
    ACTIONS(7322), 1,
      sym_keyword_float,
    ACTIONS(7324), 1,
      sym_keyword_double,
    STATE(2691), 1,
      sym_keyword_tinyint,
    STATE(2693), 1,
      sym_keyword_smallint,
    STATE(2694), 1,
      sym_keyword_mediumint,
    STATE(2695), 1,
      sym_keyword_int,
    STATE(2696), 1,
      sym_keyword_bigint,
    STATE(2697), 1,
      sym_keyword_real,
    ACTIONS(41), 2,
      aux_sym_keyword_tinyint_token1,
      aux_sym_keyword_tinyint_token2,
    ACTIONS(43), 2,
      aux_sym_keyword_smallint_token1,
      aux_sym_keyword_smallint_token2,
    ACTIONS(45), 2,
      aux_sym_keyword_mediumint_token1,
      aux_sym_keyword_mediumint_token2,
    ACTIONS(49), 2,
      aux_sym_keyword_int_token2,
      aux_sym_keyword_int_token3,
    ACTIONS(51), 2,
      aux_sym_keyword_bigint_token1,
      aux_sym_keyword_bigint_token2,
    ACTIONS(57), 2,
      aux_sym_keyword_real_token1,
      aux_sym_keyword_real_token2,
    STATE(4646), 2,
      sym_comment,
      sym_marginalia,
  [314710] = 18,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(199), 1,
      aux_sym_keyword_int_token1,
    ACTIONS(7326), 1,
      sym_keyword_float,
    ACTIONS(7328), 1,
      sym_keyword_double,
    STATE(540), 1,
      sym_keyword_real,
    STATE(541), 1,
      sym_keyword_bigint,
    STATE(542), 1,
      sym_keyword_int,
    STATE(545), 1,
      sym_keyword_mediumint,
    STATE(546), 1,
      sym_keyword_smallint,
    STATE(547), 1,
      sym_keyword_tinyint,
    ACTIONS(193), 2,
      aux_sym_keyword_tinyint_token1,
      aux_sym_keyword_tinyint_token2,
    ACTIONS(195), 2,
      aux_sym_keyword_smallint_token1,
      aux_sym_keyword_smallint_token2,
    ACTIONS(197), 2,
      aux_sym_keyword_mediumint_token1,
      aux_sym_keyword_mediumint_token2,
    ACTIONS(201), 2,
      aux_sym_keyword_int_token2,
      aux_sym_keyword_int_token3,
    ACTIONS(203), 2,
      aux_sym_keyword_bigint_token1,
      aux_sym_keyword_bigint_token2,
    ACTIONS(209), 2,
      aux_sym_keyword_real_token1,
      aux_sym_keyword_real_token2,
    STATE(4647), 2,
      sym_comment,
      sym_marginalia,
  [314772] = 10,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7256), 1,
      sym_keyword_where,
    ACTIONS(7258), 1,
      anon_sym_COMMA,
    ACTIONS(7332), 1,
      sym_keyword_from,
    STATE(4677), 1,
      aux_sym__insert_set_repeat1,
    STATE(4766), 1,
      sym_from,
    STATE(4774), 1,
      sym_where,
    STATE(4648), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7330), 15,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [314818] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7256), 1,
      sym_keyword_where,
    ACTIONS(7258), 1,
      anon_sym_COMMA,
    STATE(4661), 1,
      aux_sym__insert_set_repeat1,
    STATE(4782), 1,
      sym_where,
    STATE(4649), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7334), 17,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [314860] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4787), 1,
      sym_keyword_order,
    ACTIONS(5060), 1,
      sym_keyword_limit,
    STATE(4617), 1,
      sym_limit,
    STATE(4712), 1,
      sym_order_by,
    STATE(4650), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4799), 17,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      anon_sym_SEMI,
  [314902] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4651), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7336), 21,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [314936] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4652), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7340), 9,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__natural_number,
      sym_bang,
      anon_sym_BQUOTE,
    ACTIONS(7338), 12,
      sym_keyword_cast,
      sym_keyword_count,
      sym_keyword_group_concat,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      anon_sym_DASH,
      sym__identifier,
  [314972] = 18,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(631), 1,
      aux_sym_keyword_int_token1,
    ACTIONS(7342), 1,
      sym_keyword_float,
    ACTIONS(7344), 1,
      sym_keyword_double,
    STATE(3065), 1,
      sym_keyword_real,
    STATE(3067), 1,
      sym_keyword_bigint,
    STATE(3068), 1,
      sym_keyword_int,
    STATE(3069), 1,
      sym_keyword_mediumint,
    STATE(3070), 1,
      sym_keyword_smallint,
    STATE(3071), 1,
      sym_keyword_tinyint,
    ACTIONS(625), 2,
      aux_sym_keyword_tinyint_token1,
      aux_sym_keyword_tinyint_token2,
    ACTIONS(627), 2,
      aux_sym_keyword_smallint_token1,
      aux_sym_keyword_smallint_token2,
    ACTIONS(629), 2,
      aux_sym_keyword_mediumint_token1,
      aux_sym_keyword_mediumint_token2,
    ACTIONS(633), 2,
      aux_sym_keyword_int_token2,
      aux_sym_keyword_int_token3,
    ACTIONS(635), 2,
      aux_sym_keyword_bigint_token1,
      aux_sym_keyword_bigint_token2,
    ACTIONS(641), 2,
      aux_sym_keyword_real_token1,
      aux_sym_keyword_real_token2,
    STATE(4653), 2,
      sym_comment,
      sym_marginalia,
  [315034] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4787), 1,
      sym_keyword_order,
    ACTIONS(5060), 1,
      sym_keyword_limit,
    STATE(4628), 1,
      sym_limit,
    STATE(4724), 1,
      sym_order_by,
    STATE(4654), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7158), 17,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      anon_sym_SEMI,
  [315076] = 18,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    ACTIONS(7033), 1,
      sym_keyword_left,
    ACTIONS(7035), 1,
      sym_keyword_right,
    ACTIONS(7039), 1,
      sym_keyword_join,
    ACTIONS(7041), 1,
      sym_keyword_where,
    ACTIONS(7043), 1,
      sym_keyword_order,
    ACTIONS(7045), 1,
      sym_keyword_group,
    STATE(4617), 1,
      sym_limit,
    STATE(4667), 1,
      sym_order_by,
    STATE(4683), 1,
      aux_sym_from_repeat1,
    STATE(4982), 1,
      sym_where,
    STATE(5024), 1,
      sym_group_by,
    ACTIONS(7037), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(4270), 2,
      sym_join,
      sym_lateral_join,
    STATE(4655), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4799), 5,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [315138] = 10,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    ACTIONS(5322), 1,
      sym_keyword_where,
    ACTIONS(5324), 1,
      sym_keyword_order,
    STATE(4743), 1,
      sym_where,
    STATE(4748), 1,
      sym_order_by,
    STATE(4765), 1,
      sym_limit,
    STATE(4656), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7346), 15,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [315184] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7348), 1,
      anon_sym_COMMA,
    STATE(4657), 3,
      sym_comment,
      sym_marginalia,
      aux_sym__insert_set_repeat1,
    ACTIONS(7336), 19,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [315220] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4658), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4799), 21,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [315254] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4659), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7353), 9,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__natural_number,
      sym_bang,
      anon_sym_BQUOTE,
    ACTIONS(7351), 12,
      sym_keyword_cast,
      sym_keyword_count,
      sym_keyword_group_concat,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      anon_sym_DASH,
      sym__identifier,
  [315290] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4660), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7357), 9,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__natural_number,
      sym_bang,
      anon_sym_BQUOTE,
    ACTIONS(7355), 12,
      sym_keyword_cast,
      sym_keyword_count,
      sym_keyword_group_concat,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      anon_sym_DASH,
      sym__identifier,
  [315326] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7256), 1,
      sym_keyword_where,
    ACTIONS(7258), 1,
      anon_sym_COMMA,
    STATE(4657), 1,
      aux_sym__insert_set_repeat1,
    STATE(4781), 1,
      sym_where,
    STATE(4661), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7359), 17,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [315368] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    STATE(4617), 1,
      sym_limit,
    STATE(4662), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4799), 19,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [315406] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7256), 1,
      sym_keyword_where,
    ACTIONS(7258), 1,
      anon_sym_COMMA,
    STATE(4621), 1,
      aux_sym__insert_set_repeat1,
    STATE(4781), 1,
      sym_where,
    STATE(4663), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7359), 17,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [315448] = 18,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(439), 1,
      aux_sym_keyword_int_token1,
    ACTIONS(7361), 1,
      sym_keyword_float,
    ACTIONS(7363), 1,
      sym_keyword_double,
    STATE(4322), 1,
      sym_keyword_real,
    STATE(4323), 1,
      sym_keyword_bigint,
    STATE(4324), 1,
      sym_keyword_int,
    STATE(4326), 1,
      sym_keyword_mediumint,
    STATE(4328), 1,
      sym_keyword_smallint,
    STATE(4329), 1,
      sym_keyword_tinyint,
    ACTIONS(433), 2,
      aux_sym_keyword_tinyint_token1,
      aux_sym_keyword_tinyint_token2,
    ACTIONS(435), 2,
      aux_sym_keyword_smallint_token1,
      aux_sym_keyword_smallint_token2,
    ACTIONS(437), 2,
      aux_sym_keyword_mediumint_token1,
      aux_sym_keyword_mediumint_token2,
    ACTIONS(441), 2,
      aux_sym_keyword_int_token2,
      aux_sym_keyword_int_token3,
    ACTIONS(443), 2,
      aux_sym_keyword_bigint_token1,
      aux_sym_keyword_bigint_token2,
    ACTIONS(449), 2,
      aux_sym_keyword_real_token1,
      aux_sym_keyword_real_token2,
    STATE(4664), 2,
      sym_comment,
      sym_marginalia,
  [315510] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4665), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7158), 21,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [315544] = 10,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    ACTIONS(5322), 1,
      sym_keyword_where,
    ACTIONS(5324), 1,
      sym_keyword_order,
    STATE(4726), 1,
      sym_where,
    STATE(4762), 1,
      sym_limit,
    STATE(4787), 1,
      sym_order_by,
    STATE(4666), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7365), 15,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [315590] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    STATE(4637), 1,
      sym_limit,
    STATE(4667), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4775), 19,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [315628] = 18,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    ACTIONS(7033), 1,
      sym_keyword_left,
    ACTIONS(7035), 1,
      sym_keyword_right,
    ACTIONS(7039), 1,
      sym_keyword_join,
    ACTIONS(7041), 1,
      sym_keyword_where,
    ACTIONS(7043), 1,
      sym_keyword_order,
    ACTIONS(7045), 1,
      sym_keyword_group,
    STATE(4617), 1,
      sym_limit,
    STATE(4667), 1,
      sym_order_by,
    STATE(4798), 1,
      aux_sym_from_repeat1,
    STATE(4982), 1,
      sym_where,
    STATE(5024), 1,
      sym_group_by,
    ACTIONS(7037), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(4270), 2,
      sym_join,
      sym_lateral_join,
    STATE(4668), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4799), 5,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [315690] = 18,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(775), 1,
      aux_sym_keyword_int_token1,
    ACTIONS(7367), 1,
      sym_keyword_float,
    ACTIONS(7369), 1,
      sym_keyword_double,
    STATE(381), 1,
      sym_keyword_tinyint,
    STATE(382), 1,
      sym_keyword_smallint,
    STATE(383), 1,
      sym_keyword_mediumint,
    STATE(384), 1,
      sym_keyword_int,
    STATE(385), 1,
      sym_keyword_bigint,
    STATE(386), 1,
      sym_keyword_real,
    ACTIONS(769), 2,
      aux_sym_keyword_tinyint_token1,
      aux_sym_keyword_tinyint_token2,
    ACTIONS(771), 2,
      aux_sym_keyword_smallint_token1,
      aux_sym_keyword_smallint_token2,
    ACTIONS(773), 2,
      aux_sym_keyword_mediumint_token1,
      aux_sym_keyword_mediumint_token2,
    ACTIONS(777), 2,
      aux_sym_keyword_int_token2,
      aux_sym_keyword_int_token3,
    ACTIONS(779), 2,
      aux_sym_keyword_bigint_token1,
      aux_sym_keyword_bigint_token2,
    ACTIONS(785), 2,
      aux_sym_keyword_real_token1,
      aux_sym_keyword_real_token2,
    STATE(4669), 2,
      sym_comment,
      sym_marginalia,
  [315752] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4670), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7371), 21,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [315786] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4671), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5904), 21,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [315820] = 18,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    ACTIONS(7033), 1,
      sym_keyword_left,
    ACTIONS(7035), 1,
      sym_keyword_right,
    ACTIONS(7039), 1,
      sym_keyword_join,
    ACTIONS(7041), 1,
      sym_keyword_where,
    ACTIONS(7043), 1,
      sym_keyword_order,
    ACTIONS(7045), 1,
      sym_keyword_group,
    STATE(4622), 1,
      sym_order_by,
    STATE(4665), 1,
      sym_limit,
    STATE(4798), 1,
      aux_sym_from_repeat1,
    STATE(4995), 1,
      sym_where,
    STATE(5018), 1,
      sym_group_by,
    ACTIONS(7037), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(4270), 2,
      sym_join,
      sym_lateral_join,
    STATE(4672), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5904), 5,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [315882] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4787), 1,
      sym_keyword_order,
    ACTIONS(5060), 1,
      sym_keyword_limit,
    STATE(4665), 1,
      sym_limit,
    STATE(4721), 1,
      sym_order_by,
    STATE(4673), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5904), 17,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      anon_sym_SEMI,
  [315924] = 18,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(295), 1,
      aux_sym_keyword_int_token1,
    ACTIONS(7373), 1,
      sym_keyword_float,
    ACTIONS(7375), 1,
      sym_keyword_double,
    STATE(1363), 1,
      sym_keyword_real,
    STATE(1364), 1,
      sym_keyword_bigint,
    STATE(1365), 1,
      sym_keyword_int,
    STATE(1366), 1,
      sym_keyword_mediumint,
    STATE(1368), 1,
      sym_keyword_smallint,
    STATE(1369), 1,
      sym_keyword_tinyint,
    ACTIONS(289), 2,
      aux_sym_keyword_tinyint_token1,
      aux_sym_keyword_tinyint_token2,
    ACTIONS(291), 2,
      aux_sym_keyword_smallint_token1,
      aux_sym_keyword_smallint_token2,
    ACTIONS(293), 2,
      aux_sym_keyword_mediumint_token1,
      aux_sym_keyword_mediumint_token2,
    ACTIONS(297), 2,
      aux_sym_keyword_int_token2,
      aux_sym_keyword_int_token3,
    ACTIONS(299), 2,
      aux_sym_keyword_bigint_token1,
      aux_sym_keyword_bigint_token2,
    ACTIONS(305), 2,
      aux_sym_keyword_real_token1,
      aux_sym_keyword_real_token2,
    STATE(4674), 2,
      sym_comment,
      sym_marginalia,
  [315986] = 18,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    ACTIONS(7033), 1,
      sym_keyword_left,
    ACTIONS(7035), 1,
      sym_keyword_right,
    ACTIONS(7039), 1,
      sym_keyword_join,
    ACTIONS(7041), 1,
      sym_keyword_where,
    ACTIONS(7043), 1,
      sym_keyword_order,
    ACTIONS(7045), 1,
      sym_keyword_group,
    STATE(4631), 1,
      sym_order_by,
    STATE(4671), 1,
      sym_limit,
    STATE(4672), 1,
      aux_sym_from_repeat1,
    STATE(4988), 1,
      sym_where,
    STATE(5020), 1,
      sym_group_by,
    ACTIONS(7037), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(4270), 2,
      sym_join,
      sym_lateral_join,
    STATE(4675), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5902), 5,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [316048] = 18,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(343), 1,
      aux_sym_keyword_int_token1,
    ACTIONS(7377), 1,
      sym_keyword_float,
    ACTIONS(7379), 1,
      sym_keyword_double,
    STATE(1166), 1,
      sym_keyword_tinyint,
    STATE(1167), 1,
      sym_keyword_smallint,
    STATE(1171), 1,
      sym_keyword_mediumint,
    STATE(1172), 1,
      sym_keyword_int,
    STATE(1173), 1,
      sym_keyword_bigint,
    STATE(1186), 1,
      sym_keyword_real,
    ACTIONS(337), 2,
      aux_sym_keyword_tinyint_token1,
      aux_sym_keyword_tinyint_token2,
    ACTIONS(339), 2,
      aux_sym_keyword_smallint_token1,
      aux_sym_keyword_smallint_token2,
    ACTIONS(341), 2,
      aux_sym_keyword_mediumint_token1,
      aux_sym_keyword_mediumint_token2,
    ACTIONS(345), 2,
      aux_sym_keyword_int_token2,
      aux_sym_keyword_int_token3,
    ACTIONS(347), 2,
      aux_sym_keyword_bigint_token1,
      aux_sym_keyword_bigint_token2,
    ACTIONS(353), 2,
      aux_sym_keyword_real_token1,
      aux_sym_keyword_real_token2,
    STATE(4676), 2,
      sym_comment,
      sym_marginalia,
  [316110] = 10,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7256), 1,
      sym_keyword_where,
    ACTIONS(7258), 1,
      anon_sym_COMMA,
    ACTIONS(7332), 1,
      sym_keyword_from,
    STATE(4657), 1,
      aux_sym__insert_set_repeat1,
    STATE(4773), 1,
      sym_from,
    STATE(4782), 1,
      sym_where,
    STATE(4677), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7381), 15,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [316156] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7383), 1,
      anon_sym_COMMA,
    STATE(4678), 3,
      sym_comment,
      sym_marginalia,
      aux_sym_select_expression_repeat1,
    ACTIONS(7178), 19,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [316192] = 18,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(151), 1,
      aux_sym_keyword_int_token1,
    ACTIONS(7386), 1,
      sym_keyword_float,
    ACTIONS(7388), 1,
      sym_keyword_double,
    STATE(3403), 1,
      sym_keyword_real,
    STATE(3405), 1,
      sym_keyword_bigint,
    STATE(3406), 1,
      sym_keyword_int,
    STATE(3407), 1,
      sym_keyword_mediumint,
    STATE(3410), 1,
      sym_keyword_smallint,
    STATE(3411), 1,
      sym_keyword_tinyint,
    ACTIONS(145), 2,
      aux_sym_keyword_tinyint_token1,
      aux_sym_keyword_tinyint_token2,
    ACTIONS(147), 2,
      aux_sym_keyword_smallint_token1,
      aux_sym_keyword_smallint_token2,
    ACTIONS(149), 2,
      aux_sym_keyword_mediumint_token1,
      aux_sym_keyword_mediumint_token2,
    ACTIONS(153), 2,
      aux_sym_keyword_int_token2,
      aux_sym_keyword_int_token3,
    ACTIONS(155), 2,
      aux_sym_keyword_bigint_token1,
      aux_sym_keyword_bigint_token2,
    ACTIONS(161), 2,
      aux_sym_keyword_real_token1,
      aux_sym_keyword_real_token2,
    STATE(4679), 2,
      sym_comment,
      sym_marginalia,
  [316254] = 10,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    ACTIONS(5324), 1,
      sym_keyword_order,
    ACTIONS(5326), 1,
      sym_keyword_group,
    STATE(4637), 1,
      sym_limit,
    STATE(4643), 1,
      sym_order_by,
    STATE(4718), 1,
      sym_group_by,
    STATE(4680), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4775), 15,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [316300] = 18,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    ACTIONS(7033), 1,
      sym_keyword_left,
    ACTIONS(7035), 1,
      sym_keyword_right,
    ACTIONS(7039), 1,
      sym_keyword_join,
    ACTIONS(7041), 1,
      sym_keyword_where,
    ACTIONS(7043), 1,
      sym_keyword_order,
    ACTIONS(7045), 1,
      sym_keyword_group,
    STATE(4637), 1,
      sym_limit,
    STATE(4643), 1,
      sym_order_by,
    STATE(4682), 1,
      aux_sym_from_repeat1,
    STATE(4986), 1,
      sym_where,
    STATE(5021), 1,
      sym_group_by,
    ACTIONS(7037), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(4270), 2,
      sym_join,
      sym_lateral_join,
    STATE(4681), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4775), 5,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [316362] = 18,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    ACTIONS(7033), 1,
      sym_keyword_left,
    ACTIONS(7035), 1,
      sym_keyword_right,
    ACTIONS(7039), 1,
      sym_keyword_join,
    ACTIONS(7041), 1,
      sym_keyword_where,
    ACTIONS(7043), 1,
      sym_keyword_order,
    ACTIONS(7045), 1,
      sym_keyword_group,
    STATE(4631), 1,
      sym_order_by,
    STATE(4671), 1,
      sym_limit,
    STATE(4798), 1,
      aux_sym_from_repeat1,
    STATE(4988), 1,
      sym_where,
    STATE(5020), 1,
      sym_group_by,
    ACTIONS(7037), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(4270), 2,
      sym_join,
      sym_lateral_join,
    STATE(4682), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5902), 5,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [316424] = 18,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    ACTIONS(7033), 1,
      sym_keyword_left,
    ACTIONS(7035), 1,
      sym_keyword_right,
    ACTIONS(7039), 1,
      sym_keyword_join,
    ACTIONS(7041), 1,
      sym_keyword_where,
    ACTIONS(7043), 1,
      sym_keyword_order,
    ACTIONS(7045), 1,
      sym_keyword_group,
    STATE(4637), 1,
      sym_limit,
    STATE(4643), 1,
      sym_order_by,
    STATE(4798), 1,
      aux_sym_from_repeat1,
    STATE(4986), 1,
      sym_where,
    STATE(5021), 1,
      sym_group_by,
    ACTIONS(7037), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(4270), 2,
      sym_join,
      sym_lateral_join,
    STATE(4683), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4775), 5,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [316486] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4684), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7209), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(7207), 15,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym__identifier,
  [316521] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7392), 1,
      anon_sym_COMMA,
    STATE(4696), 1,
      aux_sym__insert_values_repeat1,
    STATE(4685), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7390), 18,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [316558] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7394), 1,
      sym_keyword_from,
    ACTIONS(7396), 1,
      sym_keyword_union,
    STATE(4758), 1,
      aux_sym__select_statement_repeat1,
    STATE(4785), 1,
      sym_from,
    ACTIONS(7398), 2,
      sym_keyword_except,
      sym_keyword_intersect,
    STATE(4686), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7296), 14,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      anon_sym_SEMI,
  [316601] = 10,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5060), 1,
      sym_keyword_limit,
    ACTIONS(5324), 1,
      sym_keyword_order,
    ACTIONS(5326), 1,
      sym_keyword_group,
    STATE(4628), 1,
      sym_limit,
    STATE(4724), 1,
      sym_order_by,
    STATE(4752), 1,
      sym_group_by,
    STATE(4687), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7158), 14,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      anon_sym_SEMI,
  [316646] = 10,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5060), 1,
      sym_keyword_limit,
    ACTIONS(5324), 1,
      sym_keyword_order,
    ACTIONS(5326), 1,
      sym_keyword_group,
    STATE(4665), 1,
      sym_limit,
    STATE(4721), 1,
      sym_order_by,
    STATE(4753), 1,
      sym_group_by,
    STATE(4688), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5904), 14,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      anon_sym_SEMI,
  [316691] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7400), 1,
      anon_sym_COMMA,
    STATE(4689), 3,
      sym_comment,
      sym_marginalia,
      aux_sym_select_expression_repeat1,
    ACTIONS(7178), 18,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      anon_sym_SEMI,
  [316726] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7403), 1,
      anon_sym_COMMA,
    STATE(4692), 1,
      aux_sym_order_by_repeat1,
    STATE(4690), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7172), 18,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [316763] = 10,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5060), 1,
      sym_keyword_limit,
    ACTIONS(5324), 1,
      sym_keyword_order,
    ACTIONS(5326), 1,
      sym_keyword_group,
    STATE(4637), 1,
      sym_limit,
    STATE(4739), 1,
      sym_order_by,
    STATE(4764), 1,
      sym_group_by,
    STATE(4691), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4775), 14,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      anon_sym_SEMI,
  [316808] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7403), 1,
      anon_sym_COMMA,
    STATE(4710), 1,
      aux_sym_order_by_repeat1,
    STATE(4692), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7176), 18,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [316845] = 10,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7256), 1,
      sym_keyword_where,
    ACTIONS(7258), 1,
      anon_sym_COMMA,
    ACTIONS(7405), 1,
      sym_keyword_from,
    STATE(4698), 1,
      aux_sym__insert_set_repeat1,
    STATE(4766), 1,
      sym_from,
    STATE(4774), 1,
      sym_where,
    STATE(4693), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7330), 14,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      anon_sym_SEMI,
  [316890] = 10,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5060), 1,
      sym_keyword_limit,
    ACTIONS(5322), 1,
      sym_keyword_where,
    ACTIONS(5324), 1,
      sym_keyword_order,
    STATE(4756), 1,
      sym_where,
    STATE(4762), 1,
      sym_limit,
    STATE(4814), 1,
      sym_order_by,
    STATE(4694), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7365), 14,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      anon_sym_SEMI,
  [316935] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7392), 1,
      anon_sym_COMMA,
    STATE(4685), 1,
      aux_sym__insert_values_repeat1,
    STATE(4695), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7407), 18,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [316972] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7411), 1,
      anon_sym_COMMA,
    STATE(4696), 3,
      sym_comment,
      sym_marginalia,
      aux_sym__insert_values_repeat1,
    ACTIONS(7409), 18,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [317007] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7392), 1,
      anon_sym_COMMA,
    STATE(4700), 1,
      aux_sym__insert_values_repeat1,
    STATE(4697), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7414), 18,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [317044] = 10,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7256), 1,
      sym_keyword_where,
    ACTIONS(7258), 1,
      anon_sym_COMMA,
    ACTIONS(7405), 1,
      sym_keyword_from,
    STATE(4657), 1,
      aux_sym__insert_set_repeat1,
    STATE(4773), 1,
      sym_from,
    STATE(4782), 1,
      sym_where,
    STATE(4698), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7381), 14,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      anon_sym_SEMI,
  [317089] = 10,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5060), 1,
      sym_keyword_limit,
    ACTIONS(5324), 1,
      sym_keyword_order,
    ACTIONS(5326), 1,
      sym_keyword_group,
    STATE(4671), 1,
      sym_limit,
    STATE(4742), 1,
      sym_order_by,
    STATE(4759), 1,
      sym_group_by,
    STATE(4699), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5902), 14,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      anon_sym_SEMI,
  [317134] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7392), 1,
      anon_sym_COMMA,
    STATE(4696), 1,
      aux_sym__insert_values_repeat1,
    STATE(4700), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7407), 18,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [317171] = 10,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5060), 1,
      sym_keyword_limit,
    ACTIONS(5324), 1,
      sym_keyword_order,
    ACTIONS(5326), 1,
      sym_keyword_group,
    STATE(4617), 1,
      sym_limit,
    STATE(4712), 1,
      sym_order_by,
    STATE(4772), 1,
      sym_group_by,
    STATE(4701), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4799), 14,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      anon_sym_SEMI,
  [317216] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4702), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7195), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(7193), 15,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym__identifier,
  [317251] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7298), 1,
      sym_keyword_from,
    STATE(4670), 1,
      sym_from,
    STATE(4703), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7416), 18,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [317288] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7418), 1,
      anon_sym_COMMA,
    STATE(4689), 1,
      aux_sym_select_expression_repeat1,
    STATE(4704), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7232), 18,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      anon_sym_SEMI,
  [317325] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4705), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7205), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(7203), 15,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym__identifier,
  [317360] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7418), 1,
      anon_sym_COMMA,
    STATE(4704), 1,
      aux_sym_select_expression_repeat1,
    STATE(4706), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7236), 18,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      anon_sym_SEMI,
  [317397] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4707), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7294), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(7292), 15,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym__identifier,
  [317432] = 10,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5060), 1,
      sym_keyword_limit,
    ACTIONS(5322), 1,
      sym_keyword_where,
    ACTIONS(5324), 1,
      sym_keyword_order,
    STATE(4765), 1,
      sym_limit,
    STATE(4768), 1,
      sym_where,
    STATE(4809), 1,
      sym_order_by,
    STATE(4708), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7346), 14,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      anon_sym_SEMI,
  [317477] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7298), 1,
      sym_keyword_from,
    STATE(4609), 1,
      sym_from,
    STATE(4709), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7371), 18,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [317514] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7420), 1,
      anon_sym_COMMA,
    STATE(4710), 3,
      sym_comment,
      sym_marginalia,
      aux_sym_order_by_repeat1,
    ACTIONS(7047), 18,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [317549] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7425), 1,
      sym_keyword_first,
    ACTIONS(7427), 1,
      sym_keyword_after,
    STATE(4836), 1,
      sym_column_position,
    STATE(4711), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7423), 16,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [317587] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5060), 1,
      sym_keyword_limit,
    STATE(4637), 1,
      sym_limit,
    STATE(4712), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4775), 17,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      anon_sym_SEMI,
  [317623] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    ACTIONS(5324), 1,
      sym_keyword_order,
    STATE(4611), 1,
      sym_order_by,
    STATE(4616), 1,
      sym_limit,
    STATE(4713), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7223), 15,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [317663] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7425), 1,
      sym_keyword_first,
    ACTIONS(7427), 1,
      sym_keyword_after,
    STATE(4824), 1,
      sym_column_position,
    STATE(4714), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7429), 16,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [317701] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7425), 1,
      sym_keyword_first,
    ACTIONS(7427), 1,
      sym_keyword_after,
    STATE(4860), 1,
      sym_column_position,
    STATE(4715), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7431), 16,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [317739] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7425), 1,
      sym_keyword_first,
    ACTIONS(7427), 1,
      sym_keyword_after,
    STATE(4847), 1,
      sym_column_position,
    STATE(4716), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7433), 16,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [317777] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7425), 1,
      sym_keyword_first,
    ACTIONS(7427), 1,
      sym_keyword_after,
    STATE(4810), 1,
      sym_column_position,
    STATE(4717), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7435), 16,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [317815] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    ACTIONS(5324), 1,
      sym_keyword_order,
    STATE(4631), 1,
      sym_order_by,
    STATE(4671), 1,
      sym_limit,
    STATE(4718), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5902), 15,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [317855] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7425), 1,
      sym_keyword_first,
    ACTIONS(7427), 1,
      sym_keyword_after,
    STATE(4841), 1,
      sym_column_position,
    STATE(4719), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7437), 16,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [317893] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7439), 1,
      sym_keyword_offset,
    STATE(4635), 1,
      sym_offset,
    STATE(4720), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7250), 17,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      anon_sym_SEMI,
  [317929] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5060), 1,
      sym_keyword_limit,
    STATE(4628), 1,
      sym_limit,
    STATE(4721), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7158), 17,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      anon_sym_SEMI,
  [317965] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7394), 1,
      sym_keyword_from,
    STATE(4609), 1,
      sym_from,
    STATE(4722), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7371), 17,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      anon_sym_SEMI,
  [318001] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5060), 1,
      sym_keyword_limit,
    STATE(4617), 1,
      sym_limit,
    STATE(4723), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4799), 17,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      anon_sym_SEMI,
  [318037] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5060), 1,
      sym_keyword_limit,
    STATE(4616), 1,
      sym_limit,
    STATE(4724), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7223), 17,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      anon_sym_SEMI,
  [318073] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7425), 1,
      sym_keyword_first,
    ACTIONS(7427), 1,
      sym_keyword_after,
    STATE(4858), 1,
      sym_column_position,
    STATE(4725), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7441), 16,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [318111] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    ACTIONS(5324), 1,
      sym_keyword_order,
    STATE(4749), 1,
      sym_limit,
    STATE(4763), 1,
      sym_order_by,
    STATE(4726), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7443), 15,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [318151] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7300), 1,
      sym_keyword_union,
    STATE(4737), 1,
      aux_sym__select_statement_repeat1,
    ACTIONS(7302), 2,
      sym_keyword_except,
      sym_keyword_intersect,
    STATE(4727), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7445), 15,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [318189] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    ACTIONS(5324), 1,
      sym_keyword_order,
    STATE(4637), 1,
      sym_limit,
    STATE(4643), 1,
      sym_order_by,
    STATE(4728), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4775), 15,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [318229] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7425), 1,
      sym_keyword_first,
    ACTIONS(7427), 1,
      sym_keyword_after,
    STATE(4820), 1,
      sym_column_position,
    STATE(4729), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7447), 16,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [318267] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    ACTIONS(5324), 1,
      sym_keyword_order,
    STATE(4614), 1,
      sym_order_by,
    STATE(4628), 1,
      sym_limit,
    STATE(4730), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7158), 15,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [318307] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4731), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7409), 19,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [318339] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7258), 1,
      anon_sym_COMMA,
    STATE(4735), 1,
      aux_sym__insert_set_repeat1,
    STATE(4732), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7449), 17,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [318375] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5060), 1,
      sym_keyword_limit,
    STATE(4630), 1,
      sym_limit,
    STATE(4733), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7240), 17,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      anon_sym_SEMI,
  [318411] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7300), 1,
      sym_keyword_union,
    STATE(4737), 1,
      aux_sym__select_statement_repeat1,
    ACTIONS(7302), 2,
      sym_keyword_except,
      sym_keyword_intersect,
    STATE(4734), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7451), 15,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [318449] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7258), 1,
      anon_sym_COMMA,
    STATE(4657), 1,
      aux_sym__insert_set_repeat1,
    STATE(4735), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7453), 17,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [318485] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7300), 1,
      sym_keyword_union,
    STATE(4727), 1,
      aux_sym__select_statement_repeat1,
    ACTIONS(7302), 2,
      sym_keyword_except,
      sym_keyword_intersect,
    STATE(4736), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7451), 15,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [318523] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7455), 1,
      sym_keyword_union,
    ACTIONS(7458), 2,
      sym_keyword_except,
      sym_keyword_intersect,
    STATE(4737), 3,
      sym_comment,
      sym_marginalia,
      aux_sym__select_statement_repeat1,
    ACTIONS(7416), 15,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [318559] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    ACTIONS(5324), 1,
      sym_keyword_order,
    STATE(4622), 1,
      sym_order_by,
    STATE(4665), 1,
      sym_limit,
    STATE(4738), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5904), 15,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [318599] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5060), 1,
      sym_keyword_limit,
    STATE(4671), 1,
      sym_limit,
    STATE(4739), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5902), 17,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      anon_sym_SEMI,
  [318635] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7425), 1,
      sym_keyword_first,
    ACTIONS(7427), 1,
      sym_keyword_after,
    STATE(4823), 1,
      sym_column_position,
    STATE(4740), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7461), 16,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [318673] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    ACTIONS(5324), 1,
      sym_keyword_order,
    STATE(4617), 1,
      sym_limit,
    STATE(4667), 1,
      sym_order_by,
    STATE(4741), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4799), 15,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [318713] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5060), 1,
      sym_keyword_limit,
    STATE(4665), 1,
      sym_limit,
    STATE(4742), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5904), 17,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      anon_sym_SEMI,
  [318749] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    ACTIONS(5324), 1,
      sym_keyword_order,
    STATE(4762), 1,
      sym_limit,
    STATE(4787), 1,
      sym_order_by,
    STATE(4743), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7365), 15,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [318789] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7394), 1,
      sym_keyword_from,
    STATE(4670), 1,
      sym_from,
    STATE(4744), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7416), 17,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      anon_sym_SEMI,
  [318825] = 13,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7463), 1,
      sym_keyword_set,
    ACTIONS(7465), 1,
      sym_keyword_alter,
    ACTIONS(7467), 1,
      sym_keyword_change,
    ACTIONS(7469), 1,
      sym_keyword_modify,
    ACTIONS(7471), 1,
      sym_keyword_drop,
    ACTIONS(7473), 1,
      sym_keyword_add,
    ACTIONS(7475), 1,
      sym_keyword_rename,
    ACTIONS(7477), 1,
      sym_keyword_owner,
    STATE(4931), 1,
      sym__alter_specifications,
    STATE(4745), 2,
      sym_comment,
      sym_marginalia,
    STATE(4852), 9,
      sym_add_column,
      sym_alter_column,
      sym_modify_column,
      sym_change_column,
      sym_drop_column,
      sym_rename_column,
      sym_rename_object,
      sym_set_schema,
      sym_change_ownership,
  [318874] = 18,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    ACTIONS(6139), 1,
      sym_keyword_order,
    ACTIONS(7160), 1,
      sym_keyword_left,
    ACTIONS(7162), 1,
      sym_keyword_right,
    ACTIONS(7166), 1,
      sym_keyword_join,
    ACTIONS(7168), 1,
      sym_keyword_where,
    ACTIONS(7170), 1,
      sym_keyword_group,
    STATE(4631), 1,
      sym_order_by,
    STATE(4671), 1,
      sym_limit,
    STATE(4927), 1,
      aux_sym_from_repeat1,
    STATE(5144), 1,
      sym_where,
    STATE(5285), 1,
      sym_group_by,
    ACTIONS(5902), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
    ACTIONS(7164), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(4270), 2,
      sym_join,
      sym_lateral_join,
    STATE(4746), 2,
      sym_comment,
      sym_marginalia,
  [318933] = 13,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7463), 1,
      sym_keyword_set,
    ACTIONS(7465), 1,
      sym_keyword_alter,
    ACTIONS(7467), 1,
      sym_keyword_change,
    ACTIONS(7469), 1,
      sym_keyword_modify,
    ACTIONS(7471), 1,
      sym_keyword_drop,
    ACTIONS(7473), 1,
      sym_keyword_add,
    ACTIONS(7477), 1,
      sym_keyword_owner,
    ACTIONS(7479), 1,
      sym_keyword_rename,
    STATE(4815), 1,
      sym__alter_specifications,
    STATE(4747), 2,
      sym_comment,
      sym_marginalia,
    STATE(4852), 9,
      sym_add_column,
      sym_alter_column,
      sym_modify_column,
      sym_change_column,
      sym_drop_column,
      sym_rename_column,
      sym_rename_object,
      sym_set_schema,
      sym_change_ownership,
  [318982] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    STATE(4762), 1,
      sym_limit,
    STATE(4748), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7365), 16,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [319017] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4749), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7481), 18,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [319048] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5060), 1,
      sym_keyword_limit,
    ACTIONS(5324), 1,
      sym_keyword_order,
    STATE(4617), 1,
      sym_limit,
    STATE(4712), 1,
      sym_order_by,
    STATE(4750), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4799), 14,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      anon_sym_SEMI,
  [319087] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7396), 1,
      sym_keyword_union,
    STATE(4770), 1,
      aux_sym__select_statement_repeat1,
    ACTIONS(7398), 2,
      sym_keyword_except,
      sym_keyword_intersect,
    STATE(4751), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7445), 14,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      anon_sym_SEMI,
  [319124] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5060), 1,
      sym_keyword_limit,
    ACTIONS(5324), 1,
      sym_keyword_order,
    STATE(4616), 1,
      sym_limit,
    STATE(4733), 1,
      sym_order_by,
    STATE(4752), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7223), 14,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      anon_sym_SEMI,
  [319163] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5060), 1,
      sym_keyword_limit,
    ACTIONS(5324), 1,
      sym_keyword_order,
    STATE(4628), 1,
      sym_limit,
    STATE(4724), 1,
      sym_order_by,
    STATE(4753), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7158), 14,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      anon_sym_SEMI,
  [319202] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4754), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7483), 18,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [319233] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4755), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7414), 18,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [319264] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5060), 1,
      sym_keyword_limit,
    ACTIONS(5324), 1,
      sym_keyword_order,
    STATE(4749), 1,
      sym_limit,
    STATE(4832), 1,
      sym_order_by,
    STATE(4756), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7443), 14,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      anon_sym_SEMI,
  [319303] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4757), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7485), 18,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [319334] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7396), 1,
      sym_keyword_union,
    STATE(4770), 1,
      aux_sym__select_statement_repeat1,
    ACTIONS(7398), 2,
      sym_keyword_except,
      sym_keyword_intersect,
    STATE(4758), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7451), 14,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      anon_sym_SEMI,
  [319371] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5060), 1,
      sym_keyword_limit,
    ACTIONS(5324), 1,
      sym_keyword_order,
    STATE(4665), 1,
      sym_limit,
    STATE(4721), 1,
      sym_order_by,
    STATE(4759), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5904), 14,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      anon_sym_SEMI,
  [319410] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4760), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7487), 18,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [319441] = 13,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7463), 1,
      sym_keyword_set,
    ACTIONS(7465), 1,
      sym_keyword_alter,
    ACTIONS(7467), 1,
      sym_keyword_change,
    ACTIONS(7469), 1,
      sym_keyword_modify,
    ACTIONS(7471), 1,
      sym_keyword_drop,
    ACTIONS(7473), 1,
      sym_keyword_add,
    ACTIONS(7475), 1,
      sym_keyword_rename,
    ACTIONS(7477), 1,
      sym_keyword_owner,
    STATE(4815), 1,
      sym__alter_specifications,
    STATE(4761), 2,
      sym_comment,
      sym_marginalia,
    STATE(4852), 9,
      sym_add_column,
      sym_alter_column,
      sym_modify_column,
      sym_change_column,
      sym_drop_column,
      sym_rename_column,
      sym_rename_object,
      sym_set_schema,
      sym_change_ownership,
  [319490] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4762), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7443), 18,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [319521] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    STATE(4760), 1,
      sym_limit,
    STATE(4763), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7481), 16,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [319556] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5060), 1,
      sym_keyword_limit,
    ACTIONS(5324), 1,
      sym_keyword_order,
    STATE(4671), 1,
      sym_limit,
    STATE(4742), 1,
      sym_order_by,
    STATE(4764), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5902), 14,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      anon_sym_SEMI,
  [319595] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4765), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7365), 18,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [319626] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4766), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7381), 18,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [319657] = 18,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    ACTIONS(6139), 1,
      sym_keyword_order,
    ACTIONS(7160), 1,
      sym_keyword_left,
    ACTIONS(7162), 1,
      sym_keyword_right,
    ACTIONS(7166), 1,
      sym_keyword_join,
    ACTIONS(7168), 1,
      sym_keyword_where,
    ACTIONS(7170), 1,
      sym_keyword_group,
    STATE(4622), 1,
      sym_order_by,
    STATE(4665), 1,
      sym_limit,
    STATE(4927), 1,
      aux_sym_from_repeat1,
    STATE(5142), 1,
      sym_where,
    STATE(5290), 1,
      sym_group_by,
    ACTIONS(5904), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
    ACTIONS(7164), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(4270), 2,
      sym_join,
      sym_lateral_join,
    STATE(4767), 2,
      sym_comment,
      sym_marginalia,
  [319716] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5060), 1,
      sym_keyword_limit,
    ACTIONS(5324), 1,
      sym_keyword_order,
    STATE(4762), 1,
      sym_limit,
    STATE(4814), 1,
      sym_order_by,
    STATE(4768), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7365), 14,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      anon_sym_SEMI,
  [319755] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4769), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7489), 18,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [319786] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7491), 1,
      sym_keyword_union,
    ACTIONS(7494), 2,
      sym_keyword_except,
      sym_keyword_intersect,
    STATE(4770), 3,
      sym_comment,
      sym_marginalia,
      aux_sym__select_statement_repeat1,
    ACTIONS(7416), 14,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      anon_sym_SEMI,
  [319821] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4771), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7497), 18,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [319852] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5060), 1,
      sym_keyword_limit,
    ACTIONS(5324), 1,
      sym_keyword_order,
    STATE(4637), 1,
      sym_limit,
    STATE(4739), 1,
      sym_order_by,
    STATE(4772), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4775), 14,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      anon_sym_SEMI,
  [319891] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4773), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7499), 18,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [319922] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4774), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7334), 18,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [319953] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4775), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7501), 18,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [319984] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4776), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7503), 18,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [320015] = 13,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7463), 1,
      sym_keyword_set,
    ACTIONS(7465), 1,
      sym_keyword_alter,
    ACTIONS(7467), 1,
      sym_keyword_change,
    ACTIONS(7469), 1,
      sym_keyword_modify,
    ACTIONS(7471), 1,
      sym_keyword_drop,
    ACTIONS(7473), 1,
      sym_keyword_add,
    ACTIONS(7475), 1,
      sym_keyword_rename,
    ACTIONS(7477), 1,
      sym_keyword_owner,
    STATE(4929), 1,
      sym__alter_specifications,
    STATE(4777), 2,
      sym_comment,
      sym_marginalia,
    STATE(4852), 9,
      sym_add_column,
      sym_alter_column,
      sym_modify_column,
      sym_change_column,
      sym_drop_column,
      sym_rename_column,
      sym_rename_object,
      sym_set_schema,
      sym_change_ownership,
  [320064] = 18,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    ACTIONS(6139), 1,
      sym_keyword_order,
    ACTIONS(7160), 1,
      sym_keyword_left,
    ACTIONS(7162), 1,
      sym_keyword_right,
    ACTIONS(7166), 1,
      sym_keyword_join,
    ACTIONS(7168), 1,
      sym_keyword_where,
    ACTIONS(7170), 1,
      sym_keyword_group,
    STATE(4631), 1,
      sym_order_by,
    STATE(4671), 1,
      sym_limit,
    STATE(4767), 1,
      aux_sym_from_repeat1,
    STATE(5144), 1,
      sym_where,
    STATE(5285), 1,
      sym_group_by,
    ACTIONS(5902), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
    ACTIONS(7164), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(4270), 2,
      sym_join,
      sym_lateral_join,
    STATE(4778), 2,
      sym_comment,
      sym_marginalia,
  [320123] = 13,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7463), 1,
      sym_keyword_set,
    ACTIONS(7465), 1,
      sym_keyword_alter,
    ACTIONS(7467), 1,
      sym_keyword_change,
    ACTIONS(7469), 1,
      sym_keyword_modify,
    ACTIONS(7471), 1,
      sym_keyword_drop,
    ACTIONS(7473), 1,
      sym_keyword_add,
    ACTIONS(7477), 1,
      sym_keyword_owner,
    ACTIONS(7479), 1,
      sym_keyword_rename,
    STATE(4898), 1,
      sym__alter_specifications,
    STATE(4779), 2,
      sym_comment,
      sym_marginalia,
    STATE(4852), 9,
      sym_add_column,
      sym_alter_column,
      sym_modify_column,
      sym_change_column,
      sym_drop_column,
      sym_rename_column,
      sym_rename_object,
      sym_set_schema,
      sym_change_ownership,
  [320172] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5502), 1,
      anon_sym_DOT,
    STATE(4780), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4571), 17,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      anon_sym_SEMI,
  [320205] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4781), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7254), 18,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [320236] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4782), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7359), 18,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [320267] = 18,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    ACTIONS(6139), 1,
      sym_keyword_order,
    ACTIONS(7160), 1,
      sym_keyword_left,
    ACTIONS(7162), 1,
      sym_keyword_right,
    ACTIONS(7166), 1,
      sym_keyword_join,
    ACTIONS(7168), 1,
      sym_keyword_where,
    ACTIONS(7170), 1,
      sym_keyword_group,
    STATE(4637), 1,
      sym_limit,
    STATE(4643), 1,
      sym_order_by,
    STATE(4927), 1,
      aux_sym_from_repeat1,
    STATE(5143), 1,
      sym_where,
    STATE(5284), 1,
      sym_group_by,
    ACTIONS(4775), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
    ACTIONS(7164), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(4270), 2,
      sym_join,
      sym_lateral_join,
    STATE(4783), 2,
      sym_comment,
      sym_marginalia,
  [320326] = 18,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    ACTIONS(6139), 1,
      sym_keyword_order,
    ACTIONS(7160), 1,
      sym_keyword_left,
    ACTIONS(7162), 1,
      sym_keyword_right,
    ACTIONS(7166), 1,
      sym_keyword_join,
    ACTIONS(7168), 1,
      sym_keyword_where,
    ACTIONS(7170), 1,
      sym_keyword_group,
    STATE(4637), 1,
      sym_limit,
    STATE(4643), 1,
      sym_order_by,
    STATE(4746), 1,
      aux_sym_from_repeat1,
    STATE(5143), 1,
      sym_where,
    STATE(5284), 1,
      sym_group_by,
    ACTIONS(4775), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
    ACTIONS(7164), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(4270), 2,
      sym_join,
      sym_lateral_join,
    STATE(4784), 2,
      sym_comment,
      sym_marginalia,
  [320385] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7396), 1,
      sym_keyword_union,
    STATE(4751), 1,
      aux_sym__select_statement_repeat1,
    ACTIONS(7398), 2,
      sym_keyword_except,
      sym_keyword_intersect,
    STATE(4785), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7451), 14,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      anon_sym_SEMI,
  [320422] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4786), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7505), 18,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [320453] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    STATE(4749), 1,
      sym_limit,
    STATE(4787), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7443), 16,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [320488] = 13,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7463), 1,
      sym_keyword_set,
    ACTIONS(7465), 1,
      sym_keyword_alter,
    ACTIONS(7467), 1,
      sym_keyword_change,
    ACTIONS(7469), 1,
      sym_keyword_modify,
    ACTIONS(7471), 1,
      sym_keyword_drop,
    ACTIONS(7473), 1,
      sym_keyword_add,
    ACTIONS(7477), 1,
      sym_keyword_owner,
    ACTIONS(7479), 1,
      sym_keyword_rename,
    STATE(4897), 1,
      sym__alter_specifications,
    STATE(4788), 2,
      sym_comment,
      sym_marginalia,
    STATE(4852), 9,
      sym_add_column,
      sym_alter_column,
      sym_modify_column,
      sym_change_column,
      sym_drop_column,
      sym_rename_column,
      sym_rename_object,
      sym_set_schema,
      sym_change_ownership,
  [320537] = 18,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    ACTIONS(6139), 1,
      sym_keyword_order,
    ACTIONS(7160), 1,
      sym_keyword_left,
    ACTIONS(7162), 1,
      sym_keyword_right,
    ACTIONS(7166), 1,
      sym_keyword_join,
    ACTIONS(7168), 1,
      sym_keyword_where,
    ACTIONS(7170), 1,
      sym_keyword_group,
    STATE(4617), 1,
      sym_limit,
    STATE(4667), 1,
      sym_order_by,
    STATE(4783), 1,
      aux_sym_from_repeat1,
    STATE(5141), 1,
      sym_where,
    STATE(5279), 1,
      sym_group_by,
    ACTIONS(4799), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
    ACTIONS(7164), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(4270), 2,
      sym_join,
      sym_lateral_join,
    STATE(4789), 2,
      sym_comment,
      sym_marginalia,
  [320596] = 18,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    ACTIONS(6139), 1,
      sym_keyword_order,
    ACTIONS(7160), 1,
      sym_keyword_left,
    ACTIONS(7162), 1,
      sym_keyword_right,
    ACTIONS(7166), 1,
      sym_keyword_join,
    ACTIONS(7168), 1,
      sym_keyword_where,
    ACTIONS(7170), 1,
      sym_keyword_group,
    STATE(4617), 1,
      sym_limit,
    STATE(4667), 1,
      sym_order_by,
    STATE(4927), 1,
      aux_sym_from_repeat1,
    STATE(5141), 1,
      sym_where,
    STATE(5279), 1,
      sym_group_by,
    ACTIONS(4799), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
    ACTIONS(7164), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(4270), 2,
      sym_join,
      sym_lateral_join,
    STATE(4790), 2,
      sym_comment,
      sym_marginalia,
  [320655] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7507), 1,
      sym_keyword_escaped,
    ACTIONS(7509), 1,
      sym_keyword_lines,
    STATE(4791), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6657), 3,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(6651), 12,
      sym_keyword_partition,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [320691] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7256), 1,
      sym_keyword_where,
    STATE(4896), 1,
      sym_where,
    STATE(4792), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7511), 15,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_SEMI,
  [320725] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7256), 1,
      sym_keyword_where,
    STATE(4875), 1,
      sym_where,
    STATE(4793), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7513), 15,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_SEMI,
  [320759] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4794), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7515), 17,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [320789] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4795), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7517), 17,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [320819] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7256), 1,
      sym_keyword_where,
    STATE(4872), 1,
      sym_where,
    STATE(4796), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7519), 15,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_SEMI,
  [320853] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7523), 1,
      sym_keyword_window,
    STATE(4910), 1,
      sym_window_clause,
    STATE(4797), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7521), 15,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_SEMI,
  [320887] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7525), 1,
      sym_keyword_left,
    ACTIONS(7528), 1,
      sym_keyword_right,
    ACTIONS(7534), 1,
      sym_keyword_join,
    ACTIONS(7531), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(4270), 2,
      sym_join,
      sym_lateral_join,
    STATE(4798), 3,
      sym_comment,
      sym_marginalia,
      aux_sym_from_repeat1,
    ACTIONS(6555), 9,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [320927] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4799), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7537), 17,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [320957] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7523), 1,
      sym_keyword_window,
    STATE(4881), 1,
      sym_window_clause,
    STATE(4800), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7539), 15,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_SEMI,
  [320991] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7256), 1,
      sym_keyword_where,
    STATE(4876), 1,
      sym_where,
    STATE(4801), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7541), 15,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_SEMI,
  [321025] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7256), 1,
      sym_keyword_where,
    STATE(4880), 1,
      sym_where,
    STATE(4802), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7543), 15,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_SEMI,
  [321059] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4803), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7545), 17,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [321089] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7256), 1,
      sym_keyword_where,
    STATE(4903), 1,
      sym_where,
    STATE(4804), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7547), 15,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_SEMI,
  [321123] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7256), 1,
      sym_keyword_where,
    STATE(4913), 1,
      sym_where,
    STATE(4805), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7549), 15,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_SEMI,
  [321157] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7551), 1,
      sym_keyword_fields,
    ACTIONS(7553), 1,
      sym_keyword_lines,
    STATE(4806), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6763), 3,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(6757), 12,
      sym_keyword_partition,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [321193] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7523), 1,
      sym_keyword_window,
    STATE(4901), 1,
      sym_window_clause,
    STATE(4807), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7555), 15,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_SEMI,
  [321227] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7256), 1,
      sym_keyword_where,
    STATE(4918), 1,
      sym_where,
    STATE(4808), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7557), 15,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_SEMI,
  [321261] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5060), 1,
      sym_keyword_limit,
    STATE(4762), 1,
      sym_limit,
    STATE(4809), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7365), 14,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      anon_sym_SEMI,
  [321294] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4810), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7559), 16,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [321323] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7561), 1,
      anon_sym_COMMA,
    STATE(4834), 1,
      aux_sym_select_expression_repeat1,
    STATE(4811), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7236), 14,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [321356] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7565), 1,
      sym_keyword_on,
    ACTIONS(7567), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    STATE(4812), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7563), 13,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_SEMI,
  [321389] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4813), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7569), 16,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [321418] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5060), 1,
      sym_keyword_limit,
    STATE(4749), 1,
      sym_limit,
    STATE(4814), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7443), 14,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      anon_sym_SEMI,
  [321451] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4815), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7571), 16,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [321480] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4816), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7573), 16,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [321509] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4817), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7575), 16,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [321538] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4818), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7577), 16,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [321567] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7579), 1,
      sym_keyword_cached,
    STATE(4819), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6945), 3,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(6941), 12,
      sym_keyword_partition,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [321600] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4820), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7437), 16,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [321629] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4821), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7581), 16,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [321658] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4822), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7583), 16,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [321687] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4823), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7433), 16,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [321716] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4824), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7585), 16,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [321745] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4825), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7587), 16,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [321774] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4826), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7589), 16,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [321803] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4827), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7591), 16,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [321832] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4828), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7593), 16,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [321861] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4829), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7595), 16,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [321890] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7599), 1,
      sym_keyword_on,
    ACTIONS(7601), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    STATE(4830), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7597), 13,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_SEMI,
  [321923] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23), 1,
      aux_sym_keyword_with_token1,
    STATE(5809), 1,
      sym_keyword_with,
    STATE(4831), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7603), 14,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_SEMI,
  [321956] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5060), 1,
      sym_keyword_limit,
    STATE(4760), 1,
      sym_limit,
    STATE(4832), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7481), 14,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_returning,
      sym_keyword_begin,
      sym_keyword_window,
      anon_sym_SEMI,
  [321989] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7605), 1,
      anon_sym_COMMA,
    STATE(4833), 3,
      sym_comment,
      sym_marginalia,
      aux_sym_select_expression_repeat1,
    ACTIONS(7178), 14,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [322020] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7561), 1,
      anon_sym_COMMA,
    STATE(4833), 1,
      aux_sym_select_expression_repeat1,
    STATE(4834), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7232), 14,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [322053] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7610), 1,
      sym_keyword_returning,
    STATE(4795), 1,
      sym_returning,
    STATE(4835), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7608), 14,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [322086] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4836), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7612), 16,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [322115] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7616), 1,
      sym_keyword_cascade,
    STATE(4837), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7614), 15,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_SEMI,
  [322146] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7610), 1,
      sym_keyword_returning,
    STATE(4803), 1,
      sym_returning,
    STATE(4838), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7618), 14,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [322179] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4839), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7620), 16,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [322208] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7610), 1,
      sym_keyword_returning,
    STATE(4794), 1,
      sym_returning,
    STATE(4840), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7622), 14,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_window,
      anon_sym_SEMI,
  [322241] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4841), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7441), 16,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [322270] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23), 1,
      aux_sym_keyword_with_token1,
    STATE(5873), 1,
      sym_keyword_with,
    STATE(4842), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7624), 14,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_SEMI,
  [322303] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4843), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7626), 16,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_SEMI,
  [322332] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4844), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4181), 16,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [322361] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4845), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7628), 16,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [322390] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7632), 1,
      sym_keyword_cascade,
    STATE(4846), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7630), 15,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_SEMI,
  [322421] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4847), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7431), 16,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [322450] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4848), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4239), 16,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [322479] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7636), 1,
      sym_keyword_on,
    ACTIONS(7638), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    STATE(4849), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7634), 13,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_SEMI,
  [322512] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23), 1,
      aux_sym_keyword_with_token1,
    STATE(5940), 1,
      sym_keyword_with,
    STATE(4850), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7640), 14,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_SEMI,
  [322545] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7644), 1,
      sym_keyword_cascade,
    STATE(4851), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7642), 15,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_SEMI,
  [322576] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4852), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7646), 16,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [322605] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4853), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7648), 16,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [322634] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7650), 1,
      sym_keyword_lines,
    STATE(4854), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6935), 3,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    ACTIONS(6931), 12,
      sym_keyword_partition,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [322667] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4855), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7652), 16,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_as,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_SEMI,
  [322696] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4856), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7654), 16,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [322725] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7658), 1,
      sym_keyword_cascade,
    STATE(4857), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7656), 15,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_SEMI,
  [322756] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4858), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7660), 16,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [322785] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4859), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7662), 16,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [322814] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4860), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7664), 16,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [322843] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7666), 1,
      sym_keyword_returning,
    STATE(4795), 1,
      sym_returning,
    STATE(4861), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7608), 13,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_window,
      anon_sym_SEMI,
  [322875] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4862), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7668), 15,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_SEMI,
  [322903] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7670), 1,
      sym_keyword_on,
    ACTIONS(7672), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    STATE(4863), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7597), 12,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      anon_sym_SEMI,
  [322935] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4864), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7674), 15,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_SEMI,
  [322963] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7678), 1,
      anon_sym_COMMA,
    STATE(4921), 1,
      aux_sym_alter_table_repeat1,
    STATE(4865), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7676), 13,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_SEMI,
  [322995] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4866), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7680), 15,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_SEMI,
  [323023] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4867), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7682), 15,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_SEMI,
  [323051] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7666), 1,
      sym_keyword_returning,
    STATE(4794), 1,
      sym_returning,
    STATE(4868), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7622), 13,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_window,
      anon_sym_SEMI,
  [323083] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4869), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7684), 15,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_SEMI,
  [323111] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4870), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7686), 15,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_SEMI,
  [323139] = 14,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11), 1,
      sym_keyword_delete,
    ACTIONS(5192), 1,
      sym_keyword_select,
    ACTIONS(5196), 1,
      sym_keyword_update,
    ACTIONS(7688), 1,
      anon_sym_COMMA,
    STATE(4638), 1,
      sym_select,
    STATE(4838), 1,
      sym_update,
    STATE(4840), 1,
      sym_insert,
    STATE(5179), 1,
      aux_sym__dml_statement_repeat1,
    STATE(5833), 1,
      sym_delete,
    ACTIONS(5194), 2,
      sym_keyword_insert,
      sym_keyword_replace,
    STATE(4871), 2,
      sym_comment,
      sym_marginalia,
    STATE(4797), 4,
      sym__select_statement,
      sym__delete_statement,
      sym__insert_statement,
      sym__update_statement,
  [323187] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4872), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7549), 15,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_SEMI,
  [323215] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4873), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7690), 15,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_SEMI,
  [323243] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4874), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4615), 15,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_SEMI,
  [323271] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4875), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7547), 15,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_SEMI,
  [323299] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4876), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7543), 15,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_SEMI,
  [323327] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4877), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7692), 15,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_SEMI,
  [323355] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4878), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7694), 15,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_SEMI,
  [323383] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7696), 1,
      anon_sym_COMMA,
    STATE(4889), 1,
      aux_sym_select_expression_repeat1,
    STATE(4879), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7232), 13,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_window,
      anon_sym_SEMI,
  [323415] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4880), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7698), 15,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_SEMI,
  [323443] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4881), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7521), 15,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_SEMI,
  [323471] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4882), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7700), 15,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_SEMI,
  [323499] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4883), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7702), 15,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_SEMI,
  [323527] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4884), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7704), 15,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_SEMI,
  [323555] = 14,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11), 1,
      sym_keyword_delete,
    ACTIONS(5192), 1,
      sym_keyword_select,
    ACTIONS(5196), 1,
      sym_keyword_update,
    ACTIONS(7688), 1,
      anon_sym_COMMA,
    STATE(4638), 1,
      sym_select,
    STATE(4838), 1,
      sym_update,
    STATE(4840), 1,
      sym_insert,
    STATE(4871), 1,
      aux_sym__dml_statement_repeat1,
    STATE(5833), 1,
      sym_delete,
    ACTIONS(5194), 2,
      sym_keyword_insert,
      sym_keyword_replace,
    STATE(4885), 2,
      sym_comment,
      sym_marginalia,
    STATE(4800), 4,
      sym__select_statement,
      sym__delete_statement,
      sym__insert_statement,
      sym__update_statement,
  [323603] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4886), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7706), 15,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_SEMI,
  [323631] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4887), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7708), 15,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_SEMI,
  [323659] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7710), 1,
      anon_sym_DOT,
    STATE(4888), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4571), 14,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_cascade,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [323689] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7712), 1,
      anon_sym_COMMA,
    STATE(4889), 3,
      sym_comment,
      sym_marginalia,
      aux_sym_select_expression_repeat1,
    ACTIONS(7178), 13,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_window,
      anon_sym_SEMI,
  [323719] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4890), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7715), 15,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_SEMI,
  [323747] = 14,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9), 1,
      sym_keyword_select,
    ACTIONS(11), 1,
      sym_keyword_delete,
    ACTIONS(15), 1,
      sym_keyword_update,
    ACTIONS(7688), 1,
      anon_sym_COMMA,
    STATE(4686), 1,
      sym_select,
    STATE(4868), 1,
      sym_insert,
    STATE(4892), 1,
      sym_update,
    STATE(4907), 1,
      aux_sym__dml_statement_repeat1,
    STATE(5844), 1,
      sym_delete,
    ACTIONS(13), 2,
      sym_keyword_insert,
      sym_keyword_replace,
    STATE(4891), 2,
      sym_comment,
      sym_marginalia,
    STATE(4800), 4,
      sym__select_statement,
      sym__delete_statement,
      sym__insert_statement,
      sym__update_statement,
  [323795] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7666), 1,
      sym_keyword_returning,
    STATE(4803), 1,
      sym_returning,
    STATE(4892), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7618), 13,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_window,
      anon_sym_SEMI,
  [323827] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7717), 1,
      sym_keyword_on,
    ACTIONS(7719), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    STATE(4893), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7634), 12,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      anon_sym_SEMI,
  [323859] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4894), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7721), 15,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_SEMI,
  [323887] = 12,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6443), 1,
      sym_keyword_primary,
    ACTIONS(6445), 1,
      sym_keyword_not,
    ACTIONS(7723), 1,
      sym_keyword_default,
    STATE(4515), 1,
      sym__column_constraint,
    STATE(4912), 1,
      aux_sym_column_definition_repeat1,
    ACTIONS(6439), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(6441), 2,
      sym_keyword_desc,
      sym_keyword_asc,
    ACTIONS(6447), 2,
      sym_keyword_auto_increment,
      sym_keyword_null,
    STATE(4895), 2,
      sym_comment,
      sym_marginalia,
    STATE(4514), 4,
      sym__not_null,
      sym__primary_key,
      sym_direction,
      sym__default_expression,
  [323931] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4896), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7513), 15,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_SEMI,
  [323959] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7678), 1,
      anon_sym_COMMA,
    STATE(4920), 1,
      aux_sym_alter_table_repeat1,
    STATE(4897), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7676), 13,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_SEMI,
  [323991] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7678), 1,
      anon_sym_COMMA,
    STATE(4865), 1,
      aux_sym_alter_table_repeat1,
    STATE(4898), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7725), 13,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_SEMI,
  [324023] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4899), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7727), 15,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_SEMI,
  [324051] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4900), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7729), 15,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_SEMI,
  [324079] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4901), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7731), 15,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_SEMI,
  [324107] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4902), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4661), 15,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_SEMI,
  [324135] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4903), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7519), 15,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_SEMI,
  [324163] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7733), 1,
      sym_keyword_on,
    ACTIONS(7735), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    STATE(4904), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7563), 12,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      anon_sym_SEMI,
  [324195] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4905), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7640), 15,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_SEMI,
  [324223] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4906), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7737), 15,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_SEMI,
  [324251] = 14,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9), 1,
      sym_keyword_select,
    ACTIONS(11), 1,
      sym_keyword_delete,
    ACTIONS(15), 1,
      sym_keyword_update,
    ACTIONS(7688), 1,
      anon_sym_COMMA,
    STATE(4686), 1,
      sym_select,
    STATE(4868), 1,
      sym_insert,
    STATE(4892), 1,
      sym_update,
    STATE(5179), 1,
      aux_sym__dml_statement_repeat1,
    STATE(5844), 1,
      sym_delete,
    ACTIONS(13), 2,
      sym_keyword_insert,
      sym_keyword_replace,
    STATE(4907), 2,
      sym_comment,
      sym_marginalia,
    STATE(4797), 4,
      sym__select_statement,
      sym__delete_statement,
      sym__insert_statement,
      sym__update_statement,
  [324299] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4908), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7739), 15,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_SEMI,
  [324327] = 12,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6443), 1,
      sym_keyword_primary,
    ACTIONS(6445), 1,
      sym_keyword_not,
    ACTIONS(7723), 1,
      sym_keyword_default,
    STATE(4515), 1,
      sym__column_constraint,
    STATE(4895), 1,
      aux_sym_column_definition_repeat1,
    ACTIONS(6441), 2,
      sym_keyword_desc,
      sym_keyword_asc,
    ACTIONS(6447), 2,
      sym_keyword_auto_increment,
      sym_keyword_null,
    ACTIONS(6506), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    STATE(4909), 2,
      sym_comment,
      sym_marginalia,
    STATE(4514), 4,
      sym__not_null,
      sym__primary_key,
      sym_direction,
      sym__default_expression,
  [324371] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4910), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7741), 15,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_SEMI,
  [324399] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4911), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7743), 15,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_SEMI,
  [324427] = 11,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6456), 1,
      sym_keyword_primary,
    ACTIONS(6459), 1,
      sym_keyword_not,
    ACTIONS(7745), 1,
      sym_keyword_default,
    STATE(4515), 1,
      sym__column_constraint,
    ACTIONS(6451), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(6453), 2,
      sym_keyword_desc,
      sym_keyword_asc,
    ACTIONS(6462), 2,
      sym_keyword_auto_increment,
      sym_keyword_null,
    STATE(4912), 3,
      sym_comment,
      sym_marginalia,
      aux_sym_column_definition_repeat1,
    STATE(4514), 4,
      sym__not_null,
      sym__primary_key,
      sym_direction,
      sym__default_expression,
  [324469] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4913), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7557), 15,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_SEMI,
  [324497] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4914), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7630), 15,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_SEMI,
  [324525] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7696), 1,
      anon_sym_COMMA,
    STATE(4879), 1,
      aux_sym_select_expression_repeat1,
    STATE(4915), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7236), 13,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_window,
      anon_sym_SEMI,
  [324557] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4916), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7748), 15,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_SEMI,
  [324585] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7752), 1,
      anon_sym_SEMI,
    STATE(4917), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7750), 14,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
  [324615] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4918), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7541), 15,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_SEMI,
  [324643] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4919), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7754), 15,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_SEMI,
  [324671] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7678), 1,
      anon_sym_COMMA,
    STATE(4921), 1,
      aux_sym_alter_table_repeat1,
    STATE(4920), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7756), 13,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_SEMI,
  [324703] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7758), 1,
      anon_sym_COMMA,
    STATE(4921), 3,
      sym_comment,
      sym_marginalia,
      aux_sym_alter_table_repeat1,
    ACTIONS(7571), 13,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_SEMI,
  [324733] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4922), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7761), 15,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_SEMI,
  [324761] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4923), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7614), 15,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_SEMI,
  [324789] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4924), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4651), 15,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_SEMI,
  [324817] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7763), 1,
      sym_keyword_as,
    STATE(4925), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4661), 13,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_SEMI,
  [324846] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7767), 1,
      sym_keyword_on,
    STATE(4926), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7765), 13,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_SEMI,
  [324875] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7769), 1,
      sym_keyword_left,
    ACTIONS(7772), 1,
      sym_keyword_right,
    ACTIONS(7778), 1,
      sym_keyword_join,
    ACTIONS(7775), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(4270), 2,
      sym_join,
      sym_lateral_join,
    STATE(4927), 3,
      sym_comment,
      sym_marginalia,
      aux_sym_from_repeat1,
    ACTIONS(6555), 6,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [324912] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7781), 1,
      sym_keyword_as,
    STATE(4928), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7748), 13,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_SEMI,
  [324941] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7783), 1,
      anon_sym_COMMA,
    STATE(4933), 1,
      aux_sym_alter_table_repeat1,
    STATE(4929), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7676), 12,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      anon_sym_SEMI,
  [324972] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7785), 1,
      sym_keyword_as,
    STATE(4930), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4651), 13,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_SEMI,
  [325001] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7783), 1,
      anon_sym_COMMA,
    STATE(4937), 1,
      aux_sym_alter_table_repeat1,
    STATE(4931), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7725), 12,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      anon_sym_SEMI,
  [325032] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7787), 1,
      sym_keyword_as,
    STATE(4932), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4615), 13,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_SEMI,
  [325061] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7783), 1,
      anon_sym_COMMA,
    STATE(4934), 1,
      aux_sym_alter_table_repeat1,
    STATE(4933), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7756), 12,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      anon_sym_SEMI,
  [325092] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7789), 1,
      anon_sym_COMMA,
    STATE(4934), 3,
      sym_comment,
      sym_marginalia,
      aux_sym_alter_table_repeat1,
    ACTIONS(7571), 12,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      anon_sym_SEMI,
  [325121] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7794), 1,
      sym_keyword_on,
    STATE(4935), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7792), 13,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_SEMI,
  [325150] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7798), 1,
      sym_keyword_on,
    STATE(4936), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7796), 13,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
      anon_sym_SEMI,
  [325179] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7783), 1,
      anon_sym_COMMA,
    STATE(4934), 1,
      aux_sym_alter_table_repeat1,
    STATE(4937), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7676), 12,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      anon_sym_SEMI,
  [325210] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4938), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7800), 14,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      sym_keyword_commit,
      sym_keyword_rollback,
  [325237] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7802), 1,
      sym_keyword_as,
    STATE(4939), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7748), 12,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      anon_sym_SEMI,
  [325265] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7804), 1,
      sym_keyword_on,
    STATE(4940), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7765), 12,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      anon_sym_SEMI,
  [325293] = 13,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(2561), 1,
      anon_sym_DOT,
    ACTIONS(2567), 1,
      anon_sym_SQUOTE,
    ACTIONS(2569), 1,
      anon_sym_DASH,
    ACTIONS(2571), 1,
      sym__natural_number,
    STATE(580), 1,
      sym__integer,
    STATE(3064), 1,
      sym__double_quote_string,
    STATE(4644), 1,
      sym_literal,
    STATE(671), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(4941), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7806), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
  [325337] = 12,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11), 1,
      sym_keyword_delete,
    ACTIONS(7808), 1,
      sym_keyword_select,
    ACTIONS(7812), 1,
      sym_keyword_update,
    STATE(5136), 1,
      sym_select,
    STATE(5637), 1,
      sym_update,
    STATE(5641), 1,
      sym_insert,
    STATE(5892), 1,
      sym_delete,
    ACTIONS(7810), 2,
      sym_keyword_insert,
      sym_keyword_replace,
    STATE(4942), 2,
      sym_comment,
      sym_marginalia,
    STATE(7285), 4,
      sym__select_statement,
      sym__delete_statement,
      sym__insert_statement,
      sym__update_statement,
  [325379] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym_keyword_as,
    STATE(4943), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4615), 12,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      anon_sym_SEMI,
  [325407] = 14,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7061), 1,
      sym__identifier,
    ACTIONS(7064), 1,
      sym_keyword_as,
    ACTIONS(7066), 1,
      sym_keyword_collate,
    ACTIONS(7072), 1,
      sym_keyword_default,
    ACTIONS(7077), 1,
      anon_sym_SQUOTE,
    ACTIONS(7080), 1,
      anon_sym_DQUOTE,
    ACTIONS(7083), 1,
      anon_sym_BQUOTE,
    ACTIONS(7816), 1,
      sym_keyword_engine,
    STATE(2606), 1,
      sym__double_quote_string,
    STATE(4636), 1,
      sym_table_option,
    STATE(6067), 2,
      sym__literal_string,
      sym_identifier,
    STATE(4944), 3,
      sym_comment,
      sym_marginalia,
      aux_sym_table_options_repeat2,
  [325453] = 13,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(2561), 1,
      anon_sym_DOT,
    ACTIONS(2567), 1,
      anon_sym_SQUOTE,
    ACTIONS(2569), 1,
      anon_sym_DASH,
    ACTIONS(2571), 1,
      sym__natural_number,
    STATE(580), 1,
      sym__integer,
    STATE(2606), 1,
      sym__double_quote_string,
    STATE(4620), 1,
      sym_literal,
    STATE(671), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(4945), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7806), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
  [325497] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7819), 1,
      sym_keyword_on,
    STATE(4946), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7792), 12,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      anon_sym_SEMI,
  [325525] = 12,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11), 1,
      sym_keyword_delete,
    ACTIONS(7808), 1,
      sym_keyword_select,
    ACTIONS(7812), 1,
      sym_keyword_update,
    STATE(5136), 1,
      sym_select,
    STATE(5637), 1,
      sym_update,
    STATE(5641), 1,
      sym_insert,
    STATE(5892), 1,
      sym_delete,
    ACTIONS(7810), 2,
      sym_keyword_insert,
      sym_keyword_replace,
    STATE(4947), 2,
      sym_comment,
      sym_marginalia,
    STATE(7707), 4,
      sym__select_statement,
      sym__delete_statement,
      sym__insert_statement,
      sym__update_statement,
  [325567] = 13,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(2561), 1,
      anon_sym_DOT,
    ACTIONS(2567), 1,
      anon_sym_SQUOTE,
    ACTIONS(2569), 1,
      anon_sym_DASH,
    ACTIONS(2571), 1,
      sym__natural_number,
    STATE(580), 1,
      sym__integer,
    STATE(3064), 1,
      sym__double_quote_string,
    STATE(4720), 1,
      sym_literal,
    STATE(671), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(4948), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7806), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
  [325611] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7821), 1,
      sym_keyword_as,
    STATE(4949), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4661), 12,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      anon_sym_SEMI,
  [325639] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7823), 1,
      sym_keyword_on,
    STATE(4950), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7796), 12,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      anon_sym_SEMI,
  [325667] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7825), 1,
      sym_keyword_as,
    STATE(4951), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4651), 12,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
      anon_sym_SEMI,
  [325695] = 13,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(2561), 1,
      anon_sym_DOT,
    ACTIONS(2567), 1,
      anon_sym_SQUOTE,
    ACTIONS(2569), 1,
      anon_sym_DASH,
    ACTIONS(2571), 1,
      sym__natural_number,
    STATE(580), 1,
      sym__integer,
    STATE(2606), 1,
      sym__double_quote_string,
    STATE(4644), 1,
      sym_literal,
    STATE(671), 2,
      sym__literal_string,
      sym__decimal_number,
    STATE(4952), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7806), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
  [325739] = 15,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(2567), 1,
      anon_sym_SQUOTE,
    ACTIONS(4585), 1,
      sym_keyword_collate,
    ACTIONS(4589), 1,
      sym_keyword_default,
    ACTIONS(6531), 1,
      sym_keyword_engine,
    ACTIONS(7055), 1,
      sym_keyword_as,
    STATE(2606), 1,
      sym__double_quote_string,
    STATE(4636), 1,
      sym_table_option,
    STATE(4944), 1,
      aux_sym_table_options_repeat2,
    STATE(4953), 2,
      sym_comment,
      sym_marginalia,
    STATE(6067), 2,
      sym__literal_string,
      sym_identifier,
  [325787] = 15,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7827), 1,
      sym__identifier,
    ACTIONS(7829), 1,
      sym_keyword_primary,
    ACTIONS(7833), 1,
      sym_keyword_constraint,
    ACTIONS(7835), 1,
      anon_sym_BQUOTE,
    STATE(15), 1,
      sym_identifier,
    STATE(5757), 1,
      sym_constraint,
    STATE(5797), 1,
      sym__primary_key,
    STATE(5799), 1,
      sym_column_definition,
    STATE(5800), 1,
      sym__primary_key_constraint,
    STATE(5802), 1,
      sym__key_constraint,
    STATE(5806), 1,
      sym__constraint_literal,
    ACTIONS(7831), 2,
      sym_keyword_key,
      sym_keyword_index,
    STATE(4954), 2,
      sym_comment,
      sym_marginalia,
  [325835] = 12,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11), 1,
      sym_keyword_delete,
    ACTIONS(7808), 1,
      sym_keyword_select,
    ACTIONS(7812), 1,
      sym_keyword_update,
    STATE(5136), 1,
      sym_select,
    STATE(5637), 1,
      sym_update,
    STATE(5641), 1,
      sym_insert,
    STATE(5892), 1,
      sym_delete,
    ACTIONS(7810), 2,
      sym_keyword_insert,
      sym_keyword_replace,
    STATE(4955), 2,
      sym_comment,
      sym_marginalia,
    STATE(7553), 4,
      sym__select_statement,
      sym__delete_statement,
      sym__insert_statement,
      sym__update_statement,
  [325877] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7839), 1,
      anon_sym_SEMI,
    STATE(4956), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7837), 11,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
  [325904] = 11,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7845), 1,
      sym_keyword_join,
    ACTIONS(7847), 1,
      sym_keyword_on,
    ACTIONS(7849), 1,
      sym_keyword_using,
    STATE(5125), 1,
      sym_index_hint,
    STATE(5894), 1,
      sym_join,
    ACTIONS(7841), 2,
      sym_keyword_left,
      sym_keyword_right,
    ACTIONS(7843), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(4957), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4793), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
  [325943] = 11,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7845), 1,
      sym_keyword_join,
    ACTIONS(7849), 1,
      sym_keyword_using,
    ACTIONS(7851), 1,
      sym_keyword_on,
    STATE(5124), 1,
      sym_index_hint,
    STATE(5901), 1,
      sym_join,
    ACTIONS(7841), 2,
      sym_keyword_left,
      sym_keyword_right,
    ACTIONS(7843), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(4958), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4793), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
  [325982] = 11,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7845), 1,
      sym_keyword_join,
    ACTIONS(7849), 1,
      sym_keyword_using,
    ACTIONS(7853), 1,
      sym_keyword_on,
    STATE(5107), 1,
      sym_index_hint,
    STATE(5948), 1,
      sym_join,
    ACTIONS(7841), 2,
      sym_keyword_left,
      sym_keyword_right,
    ACTIONS(7843), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(4959), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4793), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
  [326021] = 11,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7845), 1,
      sym_keyword_join,
    ACTIONS(7855), 1,
      sym_keyword_on,
    ACTIONS(7857), 1,
      sym_keyword_using,
    STATE(5128), 1,
      sym_index_hint,
    STATE(5891), 1,
      sym_join,
    ACTIONS(7841), 2,
      sym_keyword_left,
      sym_keyword_right,
    ACTIONS(7843), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(4960), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4793), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
  [326060] = 11,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7845), 1,
      sym_keyword_join,
    ACTIONS(7857), 1,
      sym_keyword_using,
    ACTIONS(7859), 1,
      sym_keyword_on,
    STATE(5083), 1,
      sym_index_hint,
    STATE(5933), 1,
      sym_join,
    ACTIONS(7841), 2,
      sym_keyword_left,
      sym_keyword_right,
    ACTIONS(7843), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(4961), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4793), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
  [326099] = 11,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7845), 1,
      sym_keyword_join,
    ACTIONS(7861), 1,
      sym_keyword_on,
    ACTIONS(7863), 1,
      sym_keyword_using,
    STATE(5074), 1,
      sym_index_hint,
    STATE(5994), 1,
      sym_join,
    ACTIONS(7841), 2,
      sym_keyword_left,
      sym_keyword_right,
    ACTIONS(7843), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(4962), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4793), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
  [326138] = 11,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7845), 1,
      sym_keyword_join,
    ACTIONS(7857), 1,
      sym_keyword_using,
    ACTIONS(7865), 1,
      sym_keyword_on,
    STATE(5077), 1,
      sym_index_hint,
    STATE(5992), 1,
      sym_join,
    ACTIONS(7841), 2,
      sym_keyword_left,
      sym_keyword_right,
    ACTIONS(7843), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(4963), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4793), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
  [326177] = 11,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7845), 1,
      sym_keyword_join,
    ACTIONS(7863), 1,
      sym_keyword_using,
    ACTIONS(7867), 1,
      sym_keyword_on,
    STATE(5101), 1,
      sym_index_hint,
    STATE(5835), 1,
      sym_join,
    ACTIONS(7841), 2,
      sym_keyword_left,
      sym_keyword_right,
    ACTIONS(7843), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(4964), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4793), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
  [326216] = 11,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7845), 1,
      sym_keyword_join,
    ACTIONS(7863), 1,
      sym_keyword_using,
    ACTIONS(7869), 1,
      sym_keyword_on,
    STATE(5075), 1,
      sym_index_hint,
    STATE(5989), 1,
      sym_join,
    ACTIONS(7841), 2,
      sym_keyword_left,
      sym_keyword_right,
    ACTIONS(7843), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(4965), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4793), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
  [326255] = 11,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7845), 1,
      sym_keyword_join,
    ACTIONS(7863), 1,
      sym_keyword_using,
    ACTIONS(7871), 1,
      sym_keyword_on,
    STATE(5104), 1,
      sym_index_hint,
    STATE(5950), 1,
      sym_join,
    ACTIONS(7841), 2,
      sym_keyword_left,
      sym_keyword_right,
    ACTIONS(7843), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(4966), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4793), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
  [326294] = 11,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7845), 1,
      sym_keyword_join,
    ACTIONS(7863), 1,
      sym_keyword_using,
    ACTIONS(7873), 1,
      sym_keyword_on,
    STATE(5119), 1,
      sym_index_hint,
    STATE(5904), 1,
      sym_join,
    ACTIONS(7841), 2,
      sym_keyword_left,
      sym_keyword_right,
    ACTIONS(7843), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(4967), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4793), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
  [326333] = 11,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7845), 1,
      sym_keyword_join,
    ACTIONS(7849), 1,
      sym_keyword_using,
    ACTIONS(7875), 1,
      sym_keyword_on,
    STATE(5068), 1,
      sym_index_hint,
    STATE(5993), 1,
      sym_join,
    ACTIONS(7841), 2,
      sym_keyword_left,
      sym_keyword_right,
    ACTIONS(7843), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(4968), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4793), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
  [326372] = 11,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7845), 1,
      sym_keyword_join,
    ACTIONS(7857), 1,
      sym_keyword_using,
    ACTIONS(7877), 1,
      sym_keyword_on,
    STATE(5109), 1,
      sym_index_hint,
    STATE(5939), 1,
      sym_join,
    ACTIONS(7841), 2,
      sym_keyword_left,
      sym_keyword_right,
    ACTIONS(7843), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(4969), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4793), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
  [326411] = 11,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7845), 1,
      sym_keyword_join,
    ACTIONS(7849), 1,
      sym_keyword_using,
    ACTIONS(7879), 1,
      sym_keyword_on,
    STATE(5086), 1,
      sym_index_hint,
    STATE(5985), 1,
      sym_join,
    ACTIONS(7841), 2,
      sym_keyword_left,
      sym_keyword_right,
    ACTIONS(7843), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(4970), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4793), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
  [326450] = 11,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7845), 1,
      sym_keyword_join,
    ACTIONS(7863), 1,
      sym_keyword_using,
    ACTIONS(7881), 1,
      sym_keyword_on,
    STATE(5076), 1,
      sym_index_hint,
    STATE(5816), 1,
      sym_join,
    ACTIONS(7841), 2,
      sym_keyword_left,
      sym_keyword_right,
    ACTIONS(7843), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(4971), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4793), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
  [326489] = 11,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7845), 1,
      sym_keyword_join,
    ACTIONS(7857), 1,
      sym_keyword_using,
    ACTIONS(7883), 1,
      sym_keyword_on,
    STATE(5089), 1,
      sym_index_hint,
    STATE(5977), 1,
      sym_join,
    ACTIONS(7841), 2,
      sym_keyword_left,
      sym_keyword_right,
    ACTIONS(7843), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(4972), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4793), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
  [326528] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4973), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7885), 12,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      sym_keyword_end,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
  [326553] = 11,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7845), 1,
      sym_keyword_join,
    ACTIONS(7849), 1,
      sym_keyword_using,
    ACTIONS(7887), 1,
      sym_keyword_on,
    STATE(5084), 1,
      sym_index_hint,
    STATE(5821), 1,
      sym_join,
    ACTIONS(7841), 2,
      sym_keyword_left,
      sym_keyword_right,
    ACTIONS(7843), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(4974), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4793), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
  [326592] = 11,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7845), 1,
      sym_keyword_join,
    ACTIONS(7857), 1,
      sym_keyword_using,
    ACTIONS(7889), 1,
      sym_keyword_on,
    STATE(5127), 1,
      sym_index_hint,
    STATE(5795), 1,
      sym_join,
    ACTIONS(7841), 2,
      sym_keyword_left,
      sym_keyword_right,
    ACTIONS(7843), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(4975), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4793), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
  [326631] = 14,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7891), 1,
      sym_keyword_table,
    ACTIONS(7893), 1,
      sym_keyword_view,
    ACTIONS(7895), 1,
      sym_keyword_materialized,
    ACTIONS(7897), 1,
      sym_keyword_or,
    ACTIONS(7899), 1,
      sym_keyword_index,
    ACTIONS(7901), 1,
      sym_keyword_temp,
    ACTIONS(7903), 1,
      sym_keyword_temporary,
    ACTIONS(7907), 1,
      sym_keyword_unique,
    STATE(5930), 1,
      sym__or_replace,
    STATE(7198), 1,
      sym__temporary,
    ACTIONS(7905), 2,
      sym_keyword_unlogged,
      sym_keyword_external,
    STATE(4976), 2,
      sym_comment,
      sym_marginalia,
  [326676] = 14,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7897), 1,
      sym_keyword_or,
    ACTIONS(7899), 1,
      sym_keyword_index,
    ACTIONS(7901), 1,
      sym_keyword_temp,
    ACTIONS(7903), 1,
      sym_keyword_temporary,
    ACTIONS(7907), 1,
      sym_keyword_unique,
    ACTIONS(7909), 1,
      sym_keyword_table,
    ACTIONS(7911), 1,
      sym_keyword_view,
    ACTIONS(7913), 1,
      sym_keyword_materialized,
    STATE(5830), 1,
      sym__or_replace,
    STATE(7601), 1,
      sym__temporary,
    ACTIONS(7915), 2,
      sym_keyword_unlogged,
      sym_keyword_external,
    STATE(4977), 2,
      sym_comment,
      sym_marginalia,
  [326721] = 11,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7845), 1,
      sym_keyword_join,
    ACTIONS(7849), 1,
      sym_keyword_using,
    ACTIONS(7917), 1,
      sym_keyword_on,
    STATE(5087), 1,
      sym_index_hint,
    STATE(5983), 1,
      sym_join,
    ACTIONS(7841), 2,
      sym_keyword_left,
      sym_keyword_right,
    ACTIONS(7843), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(4978), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4793), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
  [326760] = 12,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7919), 1,
      sym_keyword_between,
    ACTIONS(7921), 1,
      sym_keyword_unbounded,
    ACTIONS(7923), 1,
      sym_keyword_exclude,
    ACTIONS(7925), 1,
      sym_keyword_current,
    ACTIONS(7927), 1,
      anon_sym_RPAREN,
    ACTIONS(7929), 1,
      sym__natural_number,
    STATE(5192), 1,
      sym__current_row,
    STATE(5389), 1,
      sym_frame_definition,
    STATE(4979), 2,
      sym_comment,
      sym_marginalia,
    STATE(7389), 4,
      sym__exclude_current_row,
      sym__exclude_group,
      sym__exclude_no_others,
      sym__exclude_ties,
  [326801] = 11,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7845), 1,
      sym_keyword_join,
    ACTIONS(7857), 1,
      sym_keyword_using,
    ACTIONS(7931), 1,
      sym_keyword_on,
    STATE(5096), 1,
      sym_index_hint,
    STATE(5969), 1,
      sym_join,
    ACTIONS(7841), 2,
      sym_keyword_left,
      sym_keyword_right,
    ACTIONS(7843), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(4980), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4793), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
  [326840] = 11,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7845), 1,
      sym_keyword_join,
    ACTIONS(7863), 1,
      sym_keyword_using,
    ACTIONS(7933), 1,
      sym_keyword_on,
    STATE(5092), 1,
      sym_index_hint,
    STATE(5962), 1,
      sym_join,
    ACTIONS(7841), 2,
      sym_keyword_left,
      sym_keyword_right,
    ACTIONS(7843), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(4981), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4793), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
  [326879] = 10,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    ACTIONS(7043), 1,
      sym_keyword_order,
    ACTIONS(7045), 1,
      sym_keyword_group,
    STATE(4637), 1,
      sym_limit,
    STATE(4643), 1,
      sym_order_by,
    STATE(5021), 1,
      sym_group_by,
    STATE(4982), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4775), 5,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [326915] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4983), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7935), 11,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
  [326939] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4853), 1,
      sym_keyword_having,
    ACTIONS(4863), 1,
      anon_sym_COMMA,
    STATE(4592), 1,
      sym__having,
    STATE(5003), 1,
      aux_sym_array_repeat1,
    STATE(4984), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7092), 7,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [326971] = 11,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3425), 1,
      sym__identifier,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    ACTIONS(7937), 1,
      sym_keyword_only,
    ACTIONS(7939), 1,
      anon_sym_LPAREN,
    STATE(2561), 1,
      sym_identifier,
    STATE(5011), 1,
      sym_relation,
    STATE(4769), 2,
      sym__mysql_update_statement,
      sym__postgres_update_statement,
    STATE(4985), 2,
      sym_comment,
      sym_marginalia,
    STATE(2447), 3,
      sym_table_reference,
      sym_invocation,
      sym_subquery,
  [327009] = 10,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    ACTIONS(7043), 1,
      sym_keyword_order,
    ACTIONS(7045), 1,
      sym_keyword_group,
    STATE(4631), 1,
      sym_order_by,
    STATE(4671), 1,
      sym_limit,
    STATE(5020), 1,
      sym_group_by,
    STATE(4986), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5902), 5,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [327045] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4987), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7941), 11,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
  [327069] = 10,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    ACTIONS(7043), 1,
      sym_keyword_order,
    ACTIONS(7045), 1,
      sym_keyword_group,
    STATE(4622), 1,
      sym_order_by,
    STATE(4665), 1,
      sym_limit,
    STATE(5018), 1,
      sym_group_by,
    STATE(4988), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5904), 5,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [327105] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4989), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7943), 11,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
  [327129] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4990), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7945), 11,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
  [327153] = 11,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3425), 1,
      sym__identifier,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    ACTIONS(7939), 1,
      anon_sym_LPAREN,
    ACTIONS(7947), 1,
      sym_keyword_only,
    STATE(2561), 1,
      sym_identifier,
    STATE(5006), 1,
      sym_relation,
    STATE(4769), 2,
      sym__mysql_update_statement,
      sym__postgres_update_statement,
    STATE(4991), 2,
      sym_comment,
      sym_marginalia,
    STATE(2447), 3,
      sym_table_reference,
      sym_invocation,
      sym_subquery,
  [327191] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4992), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7949), 11,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
  [327215] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4993), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7951), 11,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
  [327239] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4994), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7953), 11,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
  [327263] = 10,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    ACTIONS(7043), 1,
      sym_keyword_order,
    ACTIONS(7045), 1,
      sym_keyword_group,
    STATE(4614), 1,
      sym_order_by,
    STATE(4628), 1,
      sym_limit,
    STATE(5014), 1,
      sym_group_by,
    STATE(4995), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7158), 5,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [327299] = 11,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3425), 1,
      sym__identifier,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    ACTIONS(7939), 1,
      anon_sym_LPAREN,
    ACTIONS(7955), 1,
      sym_keyword_only,
    STATE(2561), 1,
      sym_identifier,
    STATE(5009), 1,
      sym_relation,
    STATE(4769), 2,
      sym__mysql_update_statement,
      sym__postgres_update_statement,
    STATE(4996), 2,
      sym_comment,
      sym_marginalia,
    STATE(2447), 3,
      sym_table_reference,
      sym_invocation,
      sym_subquery,
  [327337] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4997), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7957), 11,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
  [327361] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4998), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7959), 11,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_begin,
  [327385] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4999), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7961), 11,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_drop,
      aux_sym_keyword_with_token1,
      sym_keyword_commit,
      sym_keyword_rollback,
  [327409] = 10,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    ACTIONS(7043), 1,
      sym_keyword_order,
    ACTIONS(7045), 1,
      sym_keyword_group,
    STATE(4617), 1,
      sym_limit,
    STATE(4667), 1,
      sym_order_by,
    STATE(5024), 1,
      sym_group_by,
    STATE(5000), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4799), 5,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [327445] = 13,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(2567), 1,
      anon_sym_SQUOTE,
    ACTIONS(7963), 1,
      sym_keyword_collate,
    ACTIONS(7965), 1,
      sym_keyword_engine,
    ACTIONS(7967), 1,
      sym_keyword_default,
    STATE(2606), 1,
      sym__double_quote_string,
    STATE(5627), 1,
      sym_table_option,
    STATE(5001), 2,
      sym_comment,
      sym_marginalia,
    STATE(7330), 2,
      sym__literal_string,
      sym_identifier,
  [327487] = 13,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(2567), 1,
      anon_sym_SQUOTE,
    ACTIONS(7963), 1,
      sym_keyword_collate,
    ACTIONS(7965), 1,
      sym_keyword_engine,
    ACTIONS(7967), 1,
      sym_keyword_default,
    STATE(2606), 1,
      sym__double_quote_string,
    STATE(5850), 1,
      sym_table_option,
    STATE(5002), 2,
      sym_comment,
      sym_marginalia,
    STATE(7330), 2,
      sym__literal_string,
      sym_identifier,
  [327529] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7969), 1,
      anon_sym_COMMA,
    STATE(5003), 3,
      sym_comment,
      sym_marginalia,
      aux_sym_array_repeat1,
    ACTIONS(1849), 8,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [327554] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7972), 1,
      anon_sym_COMMA,
    STATE(5004), 3,
      sym_comment,
      sym_marginalia,
      aux_sym_array_repeat1,
    ACTIONS(1849), 8,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      anon_sym_RPAREN,
  [327579] = 10,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    ACTIONS(7939), 1,
      anon_sym_LPAREN,
    ACTIONS(7975), 1,
      sym__identifier,
    STATE(2561), 1,
      sym_identifier,
    STATE(5006), 1,
      sym_relation,
    STATE(4754), 2,
      sym__mysql_update_statement,
      sym__postgres_update_statement,
    STATE(5005), 2,
      sym_comment,
      sym_marginalia,
    STATE(2447), 3,
      sym_table_reference,
      sym_invocation,
      sym_subquery,
  [327614] = 11,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4795), 1,
      anon_sym_COMMA,
    ACTIONS(7977), 1,
      sym_keyword_set,
    ACTIONS(7983), 1,
      sym_keyword_join,
    STATE(5010), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(5066), 1,
      aux_sym__mysql_update_statement_repeat2,
    STATE(5262), 1,
      sym_join,
    ACTIONS(7979), 2,
      sym_keyword_left,
      sym_keyword_right,
    ACTIONS(7981), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(5006), 2,
      sym_comment,
      sym_marginalia,
  [327651] = 11,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4795), 1,
      anon_sym_COMMA,
    ACTIONS(7983), 1,
      sym_keyword_join,
    ACTIONS(7985), 1,
      sym_keyword_set,
    STATE(3491), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(5122), 1,
      aux_sym__mysql_update_statement_repeat2,
    STATE(5262), 1,
      sym_join,
    ACTIONS(7979), 2,
      sym_keyword_left,
      sym_keyword_right,
    ACTIONS(7981), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(5007), 2,
      sym_comment,
      sym_marginalia,
  [327688] = 10,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    ACTIONS(7939), 1,
      anon_sym_LPAREN,
    ACTIONS(7975), 1,
      sym__identifier,
    STATE(2561), 1,
      sym_identifier,
    STATE(5009), 1,
      sym_relation,
    STATE(4754), 2,
      sym__mysql_update_statement,
      sym__postgres_update_statement,
    STATE(5008), 2,
      sym_comment,
      sym_marginalia,
    STATE(2447), 3,
      sym_table_reference,
      sym_invocation,
      sym_subquery,
  [327723] = 11,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4795), 1,
      anon_sym_COMMA,
    ACTIONS(7983), 1,
      sym_keyword_join,
    ACTIONS(7987), 1,
      sym_keyword_set,
    STATE(5007), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(5134), 1,
      aux_sym__mysql_update_statement_repeat2,
    STATE(5262), 1,
      sym_join,
    ACTIONS(7979), 2,
      sym_keyword_left,
      sym_keyword_right,
    ACTIONS(7981), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(5009), 2,
      sym_comment,
      sym_marginalia,
  [327760] = 11,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4795), 1,
      anon_sym_COMMA,
    ACTIONS(7983), 1,
      sym_keyword_join,
    ACTIONS(7989), 1,
      sym_keyword_set,
    STATE(3491), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(5110), 1,
      aux_sym__mysql_update_statement_repeat2,
    STATE(5262), 1,
      sym_join,
    ACTIONS(7979), 2,
      sym_keyword_left,
      sym_keyword_right,
    ACTIONS(7981), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(5010), 2,
      sym_comment,
      sym_marginalia,
  [327797] = 11,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4795), 1,
      anon_sym_COMMA,
    ACTIONS(7983), 1,
      sym_keyword_join,
    ACTIONS(7991), 1,
      sym_keyword_set,
    STATE(5007), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(5134), 1,
      aux_sym__mysql_update_statement_repeat2,
    STATE(5262), 1,
      sym_join,
    ACTIONS(7979), 2,
      sym_keyword_left,
      sym_keyword_right,
    ACTIONS(7981), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(5011), 2,
      sym_comment,
      sym_marginalia,
  [327834] = 10,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    ACTIONS(7939), 1,
      anon_sym_LPAREN,
    ACTIONS(7975), 1,
      sym__identifier,
    STATE(2561), 1,
      sym_identifier,
    STATE(5011), 1,
      sym_relation,
    STATE(4754), 2,
      sym__mysql_update_statement,
      sym__postgres_update_statement,
    STATE(5012), 2,
      sym_comment,
      sym_marginalia,
    STATE(2447), 3,
      sym_table_reference,
      sym_invocation,
      sym_subquery,
  [327869] = 10,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3425), 1,
      sym__identifier,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    ACTIONS(7939), 1,
      anon_sym_LPAREN,
    ACTIONS(7993), 1,
      sym_keyword_lateral,
    STATE(2561), 1,
      sym_identifier,
    STATE(4978), 1,
      sym_relation,
    STATE(5013), 2,
      sym_comment,
      sym_marginalia,
    STATE(2447), 3,
      sym_table_reference,
      sym_invocation,
      sym_subquery,
  [327903] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    ACTIONS(7043), 1,
      sym_keyword_order,
    STATE(4611), 1,
      sym_order_by,
    STATE(4616), 1,
      sym_limit,
    STATE(5014), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7223), 5,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [327933] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7995), 1,
      anon_sym_COMMA,
    STATE(5015), 3,
      sym_comment,
      sym_marginalia,
      aux_sym_order_by_repeat1,
    ACTIONS(7047), 7,
      sym_keyword_limit,
      sym_keyword_separator,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      anon_sym_RPAREN,
  [327957] = 10,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3425), 1,
      sym__identifier,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    ACTIONS(7939), 1,
      anon_sym_LPAREN,
    ACTIONS(7998), 1,
      sym_keyword_lateral,
    STATE(2561), 1,
      sym_identifier,
    STATE(4970), 1,
      sym_relation,
    STATE(5016), 2,
      sym_comment,
      sym_marginalia,
    STATE(2447), 3,
      sym_table_reference,
      sym_invocation,
      sym_subquery,
  [327991] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    ACTIONS(7043), 1,
      sym_keyword_order,
    STATE(4617), 1,
      sym_limit,
    STATE(4667), 1,
      sym_order_by,
    STATE(5017), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4799), 5,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [328021] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    ACTIONS(7043), 1,
      sym_keyword_order,
    STATE(4614), 1,
      sym_order_by,
    STATE(4628), 1,
      sym_limit,
    STATE(5018), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7158), 5,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [328051] = 10,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6139), 1,
      sym_keyword_order,
    ACTIONS(8000), 1,
      sym_keyword_partition,
    ACTIONS(8004), 1,
      anon_sym_RPAREN,
    STATE(5169), 1,
      sym_partition_by,
    STATE(5337), 1,
      sym_order_by,
    STATE(6231), 1,
      sym_window_frame,
    STATE(5019), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8002), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [328085] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    ACTIONS(7043), 1,
      sym_keyword_order,
    STATE(4622), 1,
      sym_order_by,
    STATE(4665), 1,
      sym_limit,
    STATE(5020), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5904), 5,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [328115] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    ACTIONS(7043), 1,
      sym_keyword_order,
    STATE(4631), 1,
      sym_order_by,
    STATE(4671), 1,
      sym_limit,
    STATE(5021), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5902), 5,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [328145] = 10,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3425), 1,
      sym__identifier,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    ACTIONS(7939), 1,
      anon_sym_LPAREN,
    ACTIONS(8006), 1,
      sym_keyword_lateral,
    STATE(2561), 1,
      sym_identifier,
    STATE(4965), 1,
      sym_relation,
    STATE(5022), 2,
      sym_comment,
      sym_marginalia,
    STATE(2447), 3,
      sym_table_reference,
      sym_invocation,
      sym_subquery,
  [328179] = 10,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6139), 1,
      sym_keyword_order,
    ACTIONS(8000), 1,
      sym_keyword_partition,
    ACTIONS(8008), 1,
      anon_sym_RPAREN,
    STATE(5149), 1,
      sym_partition_by,
    STATE(5387), 1,
      sym_order_by,
    STATE(7266), 1,
      sym_window_frame,
    STATE(5023), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8002), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [328213] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    ACTIONS(7043), 1,
      sym_keyword_order,
    STATE(4637), 1,
      sym_limit,
    STATE(4643), 1,
      sym_order_by,
    STATE(5024), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4775), 5,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [328243] = 10,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3425), 1,
      sym__identifier,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    ACTIONS(7939), 1,
      anon_sym_LPAREN,
    ACTIONS(8010), 1,
      sym_keyword_lateral,
    STATE(2561), 1,
      sym_identifier,
    STATE(4975), 1,
      sym_relation,
    STATE(5025), 2,
      sym_comment,
      sym_marginalia,
    STATE(2447), 3,
      sym_table_reference,
      sym_invocation,
      sym_subquery,
  [328277] = 10,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3575), 1,
      sym__identifier,
    ACTIONS(3583), 1,
      anon_sym_BQUOTE,
    ACTIONS(8012), 1,
      sym_keyword_only,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    STATE(2786), 1,
      sym_relation,
    STATE(3295), 1,
      sym_identifier,
    STATE(5026), 2,
      sym_comment,
      sym_marginalia,
    STATE(3079), 3,
      sym_table_reference,
      sym_invocation,
      sym_subquery,
  [328311] = 10,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6139), 1,
      sym_keyword_order,
    ACTIONS(8000), 1,
      sym_keyword_partition,
    ACTIONS(8016), 1,
      anon_sym_RPAREN,
    STATE(5187), 1,
      sym_partition_by,
    STATE(5407), 1,
      sym_order_by,
    STATE(6024), 1,
      sym_window_frame,
    STATE(5027), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8002), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [328345] = 10,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6139), 1,
      sym_keyword_order,
    ACTIONS(8000), 1,
      sym_keyword_partition,
    ACTIONS(8018), 1,
      anon_sym_RPAREN,
    STATE(5165), 1,
      sym_partition_by,
    STATE(5339), 1,
      sym_order_by,
    STATE(6358), 1,
      sym_window_frame,
    STATE(5028), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8002), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [328379] = 10,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3425), 1,
      sym__identifier,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    ACTIONS(7939), 1,
      anon_sym_LPAREN,
    ACTIONS(8020), 1,
      sym_keyword_only,
    STATE(2561), 1,
      sym_identifier,
    STATE(4548), 1,
      sym_relation,
    STATE(5029), 2,
      sym_comment,
      sym_marginalia,
    STATE(2447), 3,
      sym_table_reference,
      sym_invocation,
      sym_subquery,
  [328413] = 10,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3425), 1,
      sym__identifier,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    ACTIONS(7939), 1,
      anon_sym_LPAREN,
    ACTIONS(8022), 1,
      sym_keyword_lateral,
    STATE(2561), 1,
      sym_identifier,
    STATE(4972), 1,
      sym_relation,
    STATE(5030), 2,
      sym_comment,
      sym_marginalia,
    STATE(2447), 3,
      sym_table_reference,
      sym_invocation,
      sym_subquery,
  [328447] = 10,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6139), 1,
      sym_keyword_order,
    ACTIONS(8000), 1,
      sym_keyword_partition,
    ACTIONS(8024), 1,
      anon_sym_RPAREN,
    STATE(5154), 1,
      sym_partition_by,
    STATE(5302), 1,
      sym_order_by,
    STATE(7211), 1,
      sym_window_frame,
    STATE(5031), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8002), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [328481] = 10,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6139), 1,
      sym_keyword_order,
    ACTIONS(8000), 1,
      sym_keyword_partition,
    ACTIONS(8026), 1,
      anon_sym_RPAREN,
    STATE(5156), 1,
      sym_partition_by,
    STATE(5307), 1,
      sym_order_by,
    STATE(6400), 1,
      sym_window_frame,
    STATE(5032), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8002), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [328515] = 10,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3425), 1,
      sym__identifier,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    ACTIONS(7939), 1,
      anon_sym_LPAREN,
    ACTIONS(8028), 1,
      sym_keyword_lateral,
    STATE(2561), 1,
      sym_identifier,
    STATE(4964), 1,
      sym_relation,
    STATE(5033), 2,
      sym_comment,
      sym_marginalia,
    STATE(2447), 3,
      sym_table_reference,
      sym_invocation,
      sym_subquery,
  [328549] = 10,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3575), 1,
      sym__identifier,
    ACTIONS(3583), 1,
      anon_sym_BQUOTE,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8030), 1,
      sym_keyword_only,
    STATE(3254), 1,
      sym_relation,
    STATE(3295), 1,
      sym_identifier,
    STATE(5034), 2,
      sym_comment,
      sym_marginalia,
    STATE(3079), 3,
      sym_table_reference,
      sym_invocation,
      sym_subquery,
  [328583] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8032), 1,
      anon_sym_COMMA,
    STATE(5037), 1,
      aux_sym_order_by_repeat1,
    STATE(5035), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7172), 7,
      sym_keyword_limit,
      sym_keyword_separator,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      anon_sym_RPAREN,
  [328609] = 10,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6139), 1,
      sym_keyword_order,
    ACTIONS(8000), 1,
      sym_keyword_partition,
    ACTIONS(8034), 1,
      anon_sym_RPAREN,
    STATE(5167), 1,
      sym_partition_by,
    STATE(5364), 1,
      sym_order_by,
    STATE(6081), 1,
      sym_window_frame,
    STATE(5036), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8002), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [328643] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8032), 1,
      anon_sym_COMMA,
    STATE(5015), 1,
      aux_sym_order_by_repeat1,
    STATE(5037), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7176), 7,
      sym_keyword_limit,
      sym_keyword_separator,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      anon_sym_RPAREN,
  [328669] = 10,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3425), 1,
      sym__identifier,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    ACTIONS(7939), 1,
      anon_sym_LPAREN,
    ACTIONS(8036), 1,
      sym_keyword_only,
    STATE(2561), 1,
      sym_identifier,
    STATE(2646), 1,
      sym_relation,
    STATE(5038), 2,
      sym_comment,
      sym_marginalia,
    STATE(2447), 3,
      sym_table_reference,
      sym_invocation,
      sym_subquery,
  [328703] = 10,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3425), 1,
      sym__identifier,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    ACTIONS(7939), 1,
      anon_sym_LPAREN,
    ACTIONS(8038), 1,
      sym_keyword_lateral,
    STATE(2561), 1,
      sym_identifier,
    STATE(4963), 1,
      sym_relation,
    STATE(5039), 2,
      sym_comment,
      sym_marginalia,
    STATE(2447), 3,
      sym_table_reference,
      sym_invocation,
      sym_subquery,
  [328737] = 11,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5050), 1,
      anon_sym_LPAREN,
    ACTIONS(5192), 1,
      sym_keyword_select,
    ACTIONS(8040), 1,
      sym_keyword_values,
    ACTIONS(8042), 1,
      sym_keyword_set,
    STATE(4638), 1,
      sym_select,
    STATE(4771), 1,
      sym__select_statement,
    STATE(5521), 1,
      sym__column_list,
    STATE(4776), 2,
      sym__insert_values,
      sym__insert_set,
    STATE(5040), 2,
      sym_comment,
      sym_marginalia,
  [328773] = 10,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6139), 1,
      sym_keyword_order,
    ACTIONS(8000), 1,
      sym_keyword_partition,
    ACTIONS(8044), 1,
      anon_sym_RPAREN,
    STATE(5168), 1,
      sym_partition_by,
    STATE(5358), 1,
      sym_order_by,
    STATE(6994), 1,
      sym_window_frame,
    STATE(5041), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8002), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [328807] = 10,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6139), 1,
      sym_keyword_order,
    ACTIONS(8000), 1,
      sym_keyword_partition,
    ACTIONS(8046), 1,
      anon_sym_RPAREN,
    STATE(5163), 1,
      sym_partition_by,
    STATE(5346), 1,
      sym_order_by,
    STATE(6477), 1,
      sym_window_frame,
    STATE(5042), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8002), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [328841] = 10,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3425), 1,
      sym__identifier,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    ACTIONS(7939), 1,
      anon_sym_LPAREN,
    ACTIONS(8048), 1,
      sym_keyword_only,
    STATE(2561), 1,
      sym_identifier,
    STATE(3052), 1,
      sym_relation,
    STATE(5043), 2,
      sym_comment,
      sym_marginalia,
    STATE(2447), 3,
      sym_table_reference,
      sym_invocation,
      sym_subquery,
  [328875] = 10,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3425), 1,
      sym__identifier,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    ACTIONS(7939), 1,
      anon_sym_LPAREN,
    ACTIONS(8050), 1,
      sym_keyword_lateral,
    STATE(2561), 1,
      sym_identifier,
    STATE(4968), 1,
      sym_relation,
    STATE(5044), 2,
      sym_comment,
      sym_marginalia,
    STATE(2447), 3,
      sym_table_reference,
      sym_invocation,
      sym_subquery,
  [328909] = 11,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6443), 1,
      sym_keyword_primary,
    ACTIONS(8054), 1,
      sym_keyword_constraint,
    STATE(5797), 1,
      sym__primary_key,
    STATE(5800), 1,
      sym__primary_key_constraint,
    STATE(5802), 1,
      sym__key_constraint,
    STATE(5806), 1,
      sym__constraint_literal,
    STATE(5929), 1,
      sym_constraint,
    ACTIONS(8052), 2,
      sym_keyword_key,
      sym_keyword_index,
    STATE(5045), 2,
      sym_comment,
      sym_marginalia,
  [328945] = 10,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3425), 1,
      sym__identifier,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    ACTIONS(7939), 1,
      anon_sym_LPAREN,
    ACTIONS(8056), 1,
      sym_keyword_lateral,
    STATE(2561), 1,
      sym_identifier,
    STATE(4962), 1,
      sym_relation,
    STATE(5046), 2,
      sym_comment,
      sym_marginalia,
    STATE(2447), 3,
      sym_table_reference,
      sym_invocation,
      sym_subquery,
  [328979] = 10,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3425), 1,
      sym__identifier,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    ACTIONS(7939), 1,
      anon_sym_LPAREN,
    ACTIONS(8058), 1,
      sym_keyword_lateral,
    STATE(2561), 1,
      sym_identifier,
    STATE(4969), 1,
      sym_relation,
    STATE(5047), 2,
      sym_comment,
      sym_marginalia,
    STATE(2447), 3,
      sym_table_reference,
      sym_invocation,
      sym_subquery,
  [329013] = 11,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9), 1,
      sym_keyword_select,
    ACTIONS(5050), 1,
      anon_sym_LPAREN,
    ACTIONS(8040), 1,
      sym_keyword_values,
    ACTIONS(8042), 1,
      sym_keyword_set,
    STATE(4686), 1,
      sym_select,
    STATE(4771), 1,
      sym__select_statement,
    STATE(5518), 1,
      sym__column_list,
    STATE(4776), 2,
      sym__insert_values,
      sym__insert_set,
    STATE(5048), 2,
      sym_comment,
      sym_marginalia,
  [329049] = 10,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6139), 1,
      sym_keyword_order,
    ACTIONS(8000), 1,
      sym_keyword_partition,
    ACTIONS(8060), 1,
      anon_sym_RPAREN,
    STATE(5170), 1,
      sym_partition_by,
    STATE(5365), 1,
      sym_order_by,
    STATE(7474), 1,
      sym_window_frame,
    STATE(5049), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8002), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [329083] = 10,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3425), 1,
      sym__identifier,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    ACTIONS(7939), 1,
      anon_sym_LPAREN,
    ACTIONS(8062), 1,
      sym_keyword_lateral,
    STATE(2561), 1,
      sym_identifier,
    STATE(4966), 1,
      sym_relation,
    STATE(5050), 2,
      sym_comment,
      sym_marginalia,
    STATE(2447), 3,
      sym_table_reference,
      sym_invocation,
      sym_subquery,
  [329117] = 10,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6139), 1,
      sym_keyword_order,
    ACTIONS(8000), 1,
      sym_keyword_partition,
    ACTIONS(8064), 1,
      anon_sym_RPAREN,
    STATE(5147), 1,
      sym_partition_by,
    STATE(5401), 1,
      sym_order_by,
    STATE(6162), 1,
      sym_window_frame,
    STATE(5051), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8002), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [329151] = 10,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6139), 1,
      sym_keyword_order,
    ACTIONS(8000), 1,
      sym_keyword_partition,
    ACTIONS(8066), 1,
      anon_sym_RPAREN,
    STATE(5153), 1,
      sym_partition_by,
    STATE(5310), 1,
      sym_order_by,
    STATE(6156), 1,
      sym_window_frame,
    STATE(5052), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8002), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [329185] = 10,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3425), 1,
      sym__identifier,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    ACTIONS(7939), 1,
      anon_sym_LPAREN,
    ACTIONS(8068), 1,
      sym_keyword_lateral,
    STATE(2561), 1,
      sym_identifier,
    STATE(4959), 1,
      sym_relation,
    STATE(5053), 2,
      sym_comment,
      sym_marginalia,
    STATE(2447), 3,
      sym_table_reference,
      sym_invocation,
      sym_subquery,
  [329219] = 10,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6139), 1,
      sym_keyword_order,
    ACTIONS(8000), 1,
      sym_keyword_partition,
    ACTIONS(8070), 1,
      anon_sym_RPAREN,
    STATE(5180), 1,
      sym_partition_by,
    STATE(5395), 1,
      sym_order_by,
    STATE(7224), 1,
      sym_window_frame,
    STATE(5054), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8002), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [329253] = 10,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6139), 1,
      sym_keyword_order,
    ACTIONS(8000), 1,
      sym_keyword_partition,
    ACTIONS(8072), 1,
      anon_sym_RPAREN,
    STATE(5181), 1,
      sym_partition_by,
    STATE(5403), 1,
      sym_order_by,
    STATE(6294), 1,
      sym_window_frame,
    STATE(5055), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8002), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [329287] = 10,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3425), 1,
      sym__identifier,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    ACTIONS(7939), 1,
      anon_sym_LPAREN,
    ACTIONS(8074), 1,
      sym_keyword_only,
    STATE(2561), 1,
      sym_identifier,
    STATE(4487), 1,
      sym_relation,
    STATE(5056), 2,
      sym_comment,
      sym_marginalia,
    STATE(2447), 3,
      sym_table_reference,
      sym_invocation,
      sym_subquery,
  [329321] = 10,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3425), 1,
      sym__identifier,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    ACTIONS(7939), 1,
      anon_sym_LPAREN,
    ACTIONS(8076), 1,
      sym_keyword_lateral,
    STATE(2561), 1,
      sym_identifier,
    STATE(4961), 1,
      sym_relation,
    STATE(5057), 2,
      sym_comment,
      sym_marginalia,
    STATE(2447), 3,
      sym_table_reference,
      sym_invocation,
      sym_subquery,
  [329355] = 10,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6139), 1,
      sym_keyword_order,
    ACTIONS(8000), 1,
      sym_keyword_partition,
    ACTIONS(8078), 1,
      anon_sym_RPAREN,
    STATE(5148), 1,
      sym_partition_by,
    STATE(5303), 1,
      sym_order_by,
    STATE(7329), 1,
      sym_window_frame,
    STATE(5058), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8002), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [329389] = 10,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6139), 1,
      sym_keyword_order,
    ACTIONS(8000), 1,
      sym_keyword_partition,
    ACTIONS(8080), 1,
      anon_sym_RPAREN,
    STATE(5173), 1,
      sym_partition_by,
    STATE(5380), 1,
      sym_order_by,
    STATE(6497), 1,
      sym_window_frame,
    STATE(5059), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8002), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [329423] = 11,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5050), 1,
      anon_sym_LPAREN,
    ACTIONS(7808), 1,
      sym_keyword_select,
    ACTIONS(8040), 1,
      sym_keyword_values,
    ACTIONS(8082), 1,
      sym_keyword_set,
    STATE(4771), 1,
      sym__select_statement,
    STATE(5136), 1,
      sym_select,
    STATE(5586), 1,
      sym__column_list,
    STATE(4776), 2,
      sym__insert_values,
      sym__insert_set,
    STATE(5060), 2,
      sym_comment,
      sym_marginalia,
  [329459] = 10,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3425), 1,
      sym__identifier,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    ACTIONS(7939), 1,
      anon_sym_LPAREN,
    ACTIONS(8084), 1,
      sym_keyword_lateral,
    STATE(2561), 1,
      sym_identifier,
    STATE(4981), 1,
      sym_relation,
    STATE(5061), 2,
      sym_comment,
      sym_marginalia,
    STATE(2447), 3,
      sym_table_reference,
      sym_invocation,
      sym_subquery,
  [329493] = 10,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6139), 1,
      sym_keyword_order,
    ACTIONS(8000), 1,
      sym_keyword_partition,
    ACTIONS(8086), 1,
      anon_sym_RPAREN,
    STATE(5162), 1,
      sym_partition_by,
    STATE(5330), 1,
      sym_order_by,
    STATE(6810), 1,
      sym_window_frame,
    STATE(5062), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8002), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [329527] = 10,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6139), 1,
      sym_keyword_order,
    ACTIONS(8000), 1,
      sym_keyword_partition,
    ACTIONS(8088), 1,
      anon_sym_RPAREN,
    STATE(5164), 1,
      sym_partition_by,
    STATE(5297), 1,
      sym_order_by,
    STATE(6093), 1,
      sym_window_frame,
    STATE(5063), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8002), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [329561] = 10,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6139), 1,
      sym_keyword_order,
    ACTIONS(8000), 1,
      sym_keyword_partition,
    ACTIONS(8090), 1,
      anon_sym_RPAREN,
    STATE(5183), 1,
      sym_partition_by,
    STATE(5404), 1,
      sym_order_by,
    STATE(6657), 1,
      sym_window_frame,
    STATE(5064), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8002), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [329595] = 10,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3425), 1,
      sym__identifier,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    ACTIONS(7939), 1,
      anon_sym_LPAREN,
    ACTIONS(8092), 1,
      sym_keyword_lateral,
    STATE(2561), 1,
      sym_identifier,
    STATE(4974), 1,
      sym_relation,
    STATE(5065), 2,
      sym_comment,
      sym_marginalia,
    STATE(2447), 3,
      sym_table_reference,
      sym_invocation,
      sym_subquery,
  [329629] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7983), 1,
      sym_keyword_join,
    ACTIONS(7989), 1,
      sym_keyword_set,
    STATE(5120), 1,
      aux_sym__mysql_update_statement_repeat2,
    STATE(5262), 1,
      sym_join,
    ACTIONS(7979), 2,
      sym_keyword_left,
      sym_keyword_right,
    ACTIONS(7981), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(5066), 2,
      sym_comment,
      sym_marginalia,
  [329660] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    ACTIONS(7939), 1,
      anon_sym_LPAREN,
    ACTIONS(7975), 1,
      sym__identifier,
    STATE(2561), 1,
      sym_identifier,
    STATE(4957), 1,
      sym_relation,
    STATE(5067), 2,
      sym_comment,
      sym_marginalia,
    STATE(2447), 3,
      sym_table_reference,
      sym_invocation,
      sym_subquery,
  [329691] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7845), 1,
      sym_keyword_join,
    ACTIONS(7861), 1,
      sym_keyword_on,
    ACTIONS(7863), 1,
      sym_keyword_using,
    STATE(5994), 1,
      sym_join,
    ACTIONS(7841), 2,
      sym_keyword_left,
      sym_keyword_right,
    ACTIONS(7843), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(5068), 2,
      sym_comment,
      sym_marginalia,
  [329722] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    ACTIONS(7939), 1,
      anon_sym_LPAREN,
    ACTIONS(7975), 1,
      sym__identifier,
    STATE(2561), 1,
      sym_identifier,
    STATE(4981), 1,
      sym_relation,
    STATE(5069), 2,
      sym_comment,
      sym_marginalia,
    STATE(2447), 3,
      sym_table_reference,
      sym_invocation,
      sym_subquery,
  [329753] = 11,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(5218), 1,
      sym_assignment,
    STATE(5820), 1,
      sym__double_quote_string,
    STATE(5841), 1,
      sym_identifier,
    STATE(6238), 1,
      sym_field,
    STATE(7520), 1,
      sym__alias_identifier,
    STATE(5070), 2,
      sym_comment,
      sym_marginalia,
  [329788] = 11,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(4651), 1,
      sym_assignment,
    STATE(5820), 1,
      sym__double_quote_string,
    STATE(5841), 1,
      sym_identifier,
    STATE(6238), 1,
      sym_field,
    STATE(7520), 1,
      sym__alias_identifier,
    STATE(5071), 2,
      sym_comment,
      sym_marginalia,
  [329823] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5368), 1,
      sym_keyword_having,
    ACTIONS(5370), 1,
      anon_sym_COMMA,
    STATE(4592), 1,
      sym__having,
    STATE(5004), 1,
      aux_sym_array_repeat1,
    STATE(5072), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7092), 4,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [329852] = 11,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(4663), 1,
      sym_assignment,
    STATE(5820), 1,
      sym__double_quote_string,
    STATE(5841), 1,
      sym_identifier,
    STATE(6228), 1,
      sym_field,
    STATE(7520), 1,
      sym__alias_identifier,
    STATE(5073), 2,
      sym_comment,
      sym_marginalia,
  [329887] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7845), 1,
      sym_keyword_join,
    ACTIONS(8096), 1,
      sym_keyword_on,
    ACTIONS(8098), 1,
      sym_keyword_using,
    STATE(5995), 1,
      sym_join,
    ACTIONS(7841), 2,
      sym_keyword_left,
      sym_keyword_right,
    ACTIONS(7843), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(5074), 2,
      sym_comment,
      sym_marginalia,
  [329918] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7845), 1,
      sym_keyword_join,
    ACTIONS(8098), 1,
      sym_keyword_using,
    ACTIONS(8100), 1,
      sym_keyword_on,
    STATE(5990), 1,
      sym_join,
    ACTIONS(7841), 2,
      sym_keyword_left,
      sym_keyword_right,
    ACTIONS(7843), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(5075), 2,
      sym_comment,
      sym_marginalia,
  [329949] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7845), 1,
      sym_keyword_join,
    ACTIONS(8098), 1,
      sym_keyword_using,
    ACTIONS(8102), 1,
      sym_keyword_on,
    STATE(5846), 1,
      sym_join,
    ACTIONS(7841), 2,
      sym_keyword_left,
      sym_keyword_right,
    ACTIONS(7843), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(5076), 2,
      sym_comment,
      sym_marginalia,
  [329980] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7845), 1,
      sym_keyword_join,
    ACTIONS(7849), 1,
      sym_keyword_using,
    ACTIONS(7875), 1,
      sym_keyword_on,
    STATE(5993), 1,
      sym_join,
    ACTIONS(7841), 2,
      sym_keyword_left,
      sym_keyword_right,
    ACTIONS(7843), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(5077), 2,
      sym_comment,
      sym_marginalia,
  [330011] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8104), 1,
      anon_sym_COMMA,
    STATE(5091), 1,
      aux_sym_select_expression_repeat1,
    STATE(5078), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7236), 6,
      sym_keyword_from,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [330036] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8106), 1,
      anon_sym_COMMA,
    STATE(5085), 1,
      aux_sym_order_by_repeat1,
    STATE(5079), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7176), 6,
      sym_keyword_limit,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [330061] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    ACTIONS(7939), 1,
      anon_sym_LPAREN,
    ACTIONS(7975), 1,
      sym__identifier,
    STATE(2561), 1,
      sym_identifier,
    STATE(4978), 1,
      sym_relation,
    STATE(5080), 2,
      sym_comment,
      sym_marginalia,
    STATE(2447), 3,
      sym_table_reference,
      sym_invocation,
      sym_subquery,
  [330092] = 11,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(5191), 1,
      sym_assignment,
    STATE(5820), 1,
      sym__double_quote_string,
    STATE(5841), 1,
      sym_identifier,
    STATE(6238), 1,
      sym_field,
    STATE(7520), 1,
      sym__alias_identifier,
    STATE(5081), 2,
      sym_comment,
      sym_marginalia,
  [330127] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    ACTIONS(7939), 1,
      anon_sym_LPAREN,
    ACTIONS(7975), 1,
      sym__identifier,
    STATE(2561), 1,
      sym_identifier,
    STATE(4964), 1,
      sym_relation,
    STATE(5082), 2,
      sym_comment,
      sym_marginalia,
    STATE(2447), 3,
      sym_table_reference,
      sym_invocation,
      sym_subquery,
  [330158] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7845), 1,
      sym_keyword_join,
    ACTIONS(7849), 1,
      sym_keyword_using,
    ACTIONS(7917), 1,
      sym_keyword_on,
    STATE(5983), 1,
      sym_join,
    ACTIONS(7841), 2,
      sym_keyword_left,
      sym_keyword_right,
    ACTIONS(7843), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(5083), 2,
      sym_comment,
      sym_marginalia,
  [330189] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7845), 1,
      sym_keyword_join,
    ACTIONS(7863), 1,
      sym_keyword_using,
    ACTIONS(7867), 1,
      sym_keyword_on,
    STATE(5835), 1,
      sym_join,
    ACTIONS(7841), 2,
      sym_keyword_left,
      sym_keyword_right,
    ACTIONS(7843), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(5084), 2,
      sym_comment,
      sym_marginalia,
  [330220] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8108), 1,
      anon_sym_COMMA,
    STATE(5085), 3,
      sym_comment,
      sym_marginalia,
      aux_sym_order_by_repeat1,
    ACTIONS(7047), 6,
      sym_keyword_limit,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [330243] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7845), 1,
      sym_keyword_join,
    ACTIONS(7863), 1,
      sym_keyword_using,
    ACTIONS(7869), 1,
      sym_keyword_on,
    STATE(5989), 1,
      sym_join,
    ACTIONS(7841), 2,
      sym_keyword_left,
      sym_keyword_right,
    ACTIONS(7843), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(5086), 2,
      sym_comment,
      sym_marginalia,
  [330274] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7845), 1,
      sym_keyword_join,
    ACTIONS(7863), 1,
      sym_keyword_using,
    ACTIONS(7933), 1,
      sym_keyword_on,
    STATE(5962), 1,
      sym_join,
    ACTIONS(7841), 2,
      sym_keyword_left,
      sym_keyword_right,
    ACTIONS(7843), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(5087), 2,
      sym_comment,
      sym_marginalia,
  [330305] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    ACTIONS(7939), 1,
      anon_sym_LPAREN,
    ACTIONS(7975), 1,
      sym__identifier,
    STATE(2561), 1,
      sym_identifier,
    STATE(4959), 1,
      sym_relation,
    STATE(5088), 2,
      sym_comment,
      sym_marginalia,
    STATE(2447), 3,
      sym_table_reference,
      sym_invocation,
      sym_subquery,
  [330336] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7845), 1,
      sym_keyword_join,
    ACTIONS(7849), 1,
      sym_keyword_using,
    ACTIONS(7879), 1,
      sym_keyword_on,
    STATE(5985), 1,
      sym_join,
    ACTIONS(7841), 2,
      sym_keyword_left,
      sym_keyword_right,
    ACTIONS(7843), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(5089), 2,
      sym_comment,
      sym_marginalia,
  [330367] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    ACTIONS(7939), 1,
      anon_sym_LPAREN,
    ACTIONS(7975), 1,
      sym__identifier,
    STATE(2561), 1,
      sym_identifier,
    STATE(4962), 1,
      sym_relation,
    STATE(5090), 2,
      sym_comment,
      sym_marginalia,
    STATE(2447), 3,
      sym_table_reference,
      sym_invocation,
      sym_subquery,
  [330398] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8104), 1,
      anon_sym_COMMA,
    STATE(5094), 1,
      aux_sym_select_expression_repeat1,
    STATE(5091), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7232), 6,
      sym_keyword_from,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [330423] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7845), 1,
      sym_keyword_join,
    ACTIONS(8098), 1,
      sym_keyword_using,
    ACTIONS(8111), 1,
      sym_keyword_on,
    STATE(5957), 1,
      sym_join,
    ACTIONS(7841), 2,
      sym_keyword_left,
      sym_keyword_right,
    ACTIONS(7843), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(5092), 2,
      sym_comment,
      sym_marginalia,
  [330454] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    ACTIONS(7939), 1,
      anon_sym_LPAREN,
    ACTIONS(7975), 1,
      sym__identifier,
    STATE(2561), 1,
      sym_identifier,
    STATE(4966), 1,
      sym_relation,
    STATE(5093), 2,
      sym_comment,
      sym_marginalia,
    STATE(2447), 3,
      sym_table_reference,
      sym_invocation,
      sym_subquery,
  [330485] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8113), 1,
      anon_sym_COMMA,
    STATE(5094), 3,
      sym_comment,
      sym_marginalia,
      aux_sym_select_expression_repeat1,
    ACTIONS(7178), 6,
      sym_keyword_from,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [330508] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5095), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8116), 8,
      sym_keyword_parquet,
      sym_keyword_rcfile,
      sym_keyword_csv,
      sym_keyword_textfile,
      sym_keyword_avro,
      sym_keyword_sequencefile,
      sym_keyword_orc,
      sym_keyword_jsonfile,
  [330529] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7845), 1,
      sym_keyword_join,
    ACTIONS(7847), 1,
      sym_keyword_on,
    ACTIONS(7849), 1,
      sym_keyword_using,
    STATE(5894), 1,
      sym_join,
    ACTIONS(7841), 2,
      sym_keyword_left,
      sym_keyword_right,
    ACTIONS(7843), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(5096), 2,
      sym_comment,
      sym_marginalia,
  [330560] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    ACTIONS(7939), 1,
      anon_sym_LPAREN,
    ACTIONS(7975), 1,
      sym__identifier,
    STATE(2561), 1,
      sym_identifier,
    STATE(4488), 1,
      sym_relation,
    STATE(5097), 2,
      sym_comment,
      sym_marginalia,
    STATE(2447), 3,
      sym_table_reference,
      sym_invocation,
      sym_subquery,
  [330591] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    ACTIONS(7939), 1,
      anon_sym_LPAREN,
    ACTIONS(7975), 1,
      sym__identifier,
    STATE(2561), 1,
      sym_identifier,
    STATE(4971), 1,
      sym_relation,
    STATE(5098), 2,
      sym_comment,
      sym_marginalia,
    STATE(2447), 3,
      sym_table_reference,
      sym_invocation,
      sym_subquery,
  [330622] = 11,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(4651), 1,
      sym_assignment,
    STATE(5820), 1,
      sym__double_quote_string,
    STATE(5841), 1,
      sym_identifier,
    STATE(6228), 1,
      sym_field,
    STATE(7520), 1,
      sym__alias_identifier,
    STATE(5099), 2,
      sym_comment,
      sym_marginalia,
  [330657] = 11,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(4648), 1,
      sym_assignment,
    STATE(5820), 1,
      sym__double_quote_string,
    STATE(5841), 1,
      sym_identifier,
    STATE(6228), 1,
      sym_field,
    STATE(7520), 1,
      sym__alias_identifier,
    STATE(5100), 2,
      sym_comment,
      sym_marginalia,
  [330692] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7845), 1,
      sym_keyword_join,
    ACTIONS(8098), 1,
      sym_keyword_using,
    ACTIONS(8118), 1,
      sym_keyword_on,
    STATE(5838), 1,
      sym_join,
    ACTIONS(7841), 2,
      sym_keyword_left,
      sym_keyword_right,
    ACTIONS(7843), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(5101), 2,
      sym_comment,
      sym_marginalia,
  [330723] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3583), 1,
      anon_sym_BQUOTE,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8120), 1,
      sym__identifier,
    STATE(2787), 1,
      sym_relation,
    STATE(3295), 1,
      sym_identifier,
    STATE(5102), 2,
      sym_comment,
      sym_marginalia,
    STATE(3079), 3,
      sym_table_reference,
      sym_invocation,
      sym_subquery,
  [330754] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    ACTIONS(7939), 1,
      anon_sym_LPAREN,
    ACTIONS(7975), 1,
      sym__identifier,
    STATE(2561), 1,
      sym_identifier,
    STATE(4967), 1,
      sym_relation,
    STATE(5103), 2,
      sym_comment,
      sym_marginalia,
    STATE(2447), 3,
      sym_table_reference,
      sym_invocation,
      sym_subquery,
  [330785] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7845), 1,
      sym_keyword_join,
    ACTIONS(8098), 1,
      sym_keyword_using,
    ACTIONS(8122), 1,
      sym_keyword_on,
    STATE(5955), 1,
      sym_join,
    ACTIONS(7841), 2,
      sym_keyword_left,
      sym_keyword_right,
    ACTIONS(7843), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(5104), 2,
      sym_comment,
      sym_marginalia,
  [330816] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8106), 1,
      anon_sym_COMMA,
    STATE(5079), 1,
      aux_sym_order_by_repeat1,
    STATE(5105), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7172), 6,
      sym_keyword_limit,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [330841] = 11,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(4693), 1,
      sym_assignment,
    STATE(5820), 1,
      sym__double_quote_string,
    STATE(5841), 1,
      sym_identifier,
    STATE(6228), 1,
      sym_field,
    STATE(7520), 1,
      sym__alias_identifier,
    STATE(5106), 2,
      sym_comment,
      sym_marginalia,
  [330876] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7845), 1,
      sym_keyword_join,
    ACTIONS(7863), 1,
      sym_keyword_using,
    ACTIONS(7871), 1,
      sym_keyword_on,
    STATE(5950), 1,
      sym_join,
    ACTIONS(7841), 2,
      sym_keyword_left,
      sym_keyword_right,
    ACTIONS(7843), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(5107), 2,
      sym_comment,
      sym_marginalia,
  [330907] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    ACTIONS(7939), 1,
      anon_sym_LPAREN,
    ACTIONS(7975), 1,
      sym__identifier,
    STATE(2561), 1,
      sym_identifier,
    STATE(4552), 1,
      sym_relation,
    STATE(5108), 2,
      sym_comment,
      sym_marginalia,
    STATE(2447), 3,
      sym_table_reference,
      sym_invocation,
      sym_subquery,
  [330938] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7845), 1,
      sym_keyword_join,
    ACTIONS(7849), 1,
      sym_keyword_using,
    ACTIONS(7853), 1,
      sym_keyword_on,
    STATE(5948), 1,
      sym_join,
    ACTIONS(7841), 2,
      sym_keyword_left,
      sym_keyword_right,
    ACTIONS(7843), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(5109), 2,
      sym_comment,
      sym_marginalia,
  [330969] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7983), 1,
      sym_keyword_join,
    ACTIONS(8124), 1,
      sym_keyword_set,
    STATE(5120), 1,
      aux_sym__mysql_update_statement_repeat2,
    STATE(5262), 1,
      sym_join,
    ACTIONS(7979), 2,
      sym_keyword_left,
      sym_keyword_right,
    ACTIONS(7981), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(5110), 2,
      sym_comment,
      sym_marginalia,
  [331000] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    ACTIONS(7939), 1,
      anon_sym_LPAREN,
    ACTIONS(7975), 1,
      sym__identifier,
    STATE(2561), 1,
      sym_identifier,
    STATE(4974), 1,
      sym_relation,
    STATE(5111), 2,
      sym_comment,
      sym_marginalia,
    STATE(2447), 3,
      sym_table_reference,
      sym_invocation,
      sym_subquery,
  [331031] = 11,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(5455), 1,
      sym_assignment,
    STATE(5820), 1,
      sym__double_quote_string,
    STATE(5841), 1,
      sym_identifier,
    STATE(6238), 1,
      sym_field,
    STATE(7520), 1,
      sym__alias_identifier,
    STATE(5112), 2,
      sym_comment,
      sym_marginalia,
  [331066] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    ACTIONS(7939), 1,
      anon_sym_LPAREN,
    ACTIONS(7975), 1,
      sym__identifier,
    STATE(2561), 1,
      sym_identifier,
    STATE(4968), 1,
      sym_relation,
    STATE(5113), 2,
      sym_comment,
      sym_marginalia,
    STATE(2447), 3,
      sym_table_reference,
      sym_invocation,
      sym_subquery,
  [331097] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    ACTIONS(7939), 1,
      anon_sym_LPAREN,
    ACTIONS(7975), 1,
      sym__identifier,
    STATE(2561), 1,
      sym_identifier,
    STATE(2645), 1,
      sym_relation,
    STATE(5114), 2,
      sym_comment,
      sym_marginalia,
    STATE(2447), 3,
      sym_table_reference,
      sym_invocation,
      sym_subquery,
  [331128] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    ACTIONS(7939), 1,
      anon_sym_LPAREN,
    ACTIONS(7975), 1,
      sym__identifier,
    STATE(2561), 1,
      sym_identifier,
    STATE(4980), 1,
      sym_relation,
    STATE(5115), 2,
      sym_comment,
      sym_marginalia,
    STATE(2447), 3,
      sym_table_reference,
      sym_invocation,
      sym_subquery,
  [331159] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3583), 1,
      anon_sym_BQUOTE,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8120), 1,
      sym__identifier,
    STATE(3295), 1,
      sym_identifier,
    STATE(3349), 1,
      sym_relation,
    STATE(5116), 2,
      sym_comment,
      sym_marginalia,
    STATE(3079), 3,
      sym_table_reference,
      sym_invocation,
      sym_subquery,
  [331190] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    ACTIONS(7939), 1,
      anon_sym_LPAREN,
    ACTIONS(7975), 1,
      sym__identifier,
    STATE(2561), 1,
      sym_identifier,
    STATE(3051), 1,
      sym_relation,
    STATE(5117), 2,
      sym_comment,
      sym_marginalia,
    STATE(2447), 3,
      sym_table_reference,
      sym_invocation,
      sym_subquery,
  [331221] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    ACTIONS(7939), 1,
      anon_sym_LPAREN,
    ACTIONS(7975), 1,
      sym__identifier,
    STATE(2561), 1,
      sym_identifier,
    STATE(4958), 1,
      sym_relation,
    STATE(5118), 2,
      sym_comment,
      sym_marginalia,
    STATE(2447), 3,
      sym_table_reference,
      sym_invocation,
      sym_subquery,
  [331252] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7845), 1,
      sym_keyword_join,
    ACTIONS(8098), 1,
      sym_keyword_using,
    ACTIONS(8126), 1,
      sym_keyword_on,
    STATE(5906), 1,
      sym_join,
    ACTIONS(7841), 2,
      sym_keyword_left,
      sym_keyword_right,
    ACTIONS(7843), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(5119), 2,
      sym_comment,
      sym_marginalia,
  [331283] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8128), 1,
      sym_keyword_set,
    ACTIONS(8136), 1,
      sym_keyword_join,
    STATE(5262), 1,
      sym_join,
    ACTIONS(8130), 2,
      sym_keyword_left,
      sym_keyword_right,
    ACTIONS(8133), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(5120), 3,
      sym_comment,
      sym_marginalia,
      aux_sym__mysql_update_statement_repeat2,
  [331312] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3583), 1,
      anon_sym_BQUOTE,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8120), 1,
      sym__identifier,
    STATE(3214), 1,
      sym_relation,
    STATE(3295), 1,
      sym_identifier,
    STATE(5121), 2,
      sym_comment,
      sym_marginalia,
    STATE(3079), 3,
      sym_table_reference,
      sym_invocation,
      sym_subquery,
  [331343] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7983), 1,
      sym_keyword_join,
    ACTIONS(8139), 1,
      sym_keyword_set,
    STATE(5120), 1,
      aux_sym__mysql_update_statement_repeat2,
    STATE(5262), 1,
      sym_join,
    ACTIONS(7979), 2,
      sym_keyword_left,
      sym_keyword_right,
    ACTIONS(7981), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(5122), 2,
      sym_comment,
      sym_marginalia,
  [331374] = 11,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(4649), 1,
      sym_assignment,
    STATE(5820), 1,
      sym__double_quote_string,
    STATE(5841), 1,
      sym_identifier,
    STATE(6228), 1,
      sym_field,
    STATE(7520), 1,
      sym__alias_identifier,
    STATE(5123), 2,
      sym_comment,
      sym_marginalia,
  [331409] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7845), 1,
      sym_keyword_join,
    ACTIONS(7863), 1,
      sym_keyword_using,
    ACTIONS(7873), 1,
      sym_keyword_on,
    STATE(5904), 1,
      sym_join,
    ACTIONS(7841), 2,
      sym_keyword_left,
      sym_keyword_right,
    ACTIONS(7843), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(5124), 2,
      sym_comment,
      sym_marginalia,
  [331440] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7845), 1,
      sym_keyword_join,
    ACTIONS(7863), 1,
      sym_keyword_using,
    ACTIONS(7881), 1,
      sym_keyword_on,
    STATE(5816), 1,
      sym_join,
    ACTIONS(7841), 2,
      sym_keyword_left,
      sym_keyword_right,
    ACTIONS(7843), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(5125), 2,
      sym_comment,
      sym_marginalia,
  [331471] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    ACTIONS(7939), 1,
      anon_sym_LPAREN,
    ACTIONS(7975), 1,
      sym__identifier,
    STATE(2561), 1,
      sym_identifier,
    STATE(3349), 1,
      sym_relation,
    STATE(5126), 2,
      sym_comment,
      sym_marginalia,
    STATE(2447), 3,
      sym_table_reference,
      sym_invocation,
      sym_subquery,
  [331502] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7845), 1,
      sym_keyword_join,
    ACTIONS(7849), 1,
      sym_keyword_using,
    ACTIONS(7887), 1,
      sym_keyword_on,
    STATE(5821), 1,
      sym_join,
    ACTIONS(7841), 2,
      sym_keyword_left,
      sym_keyword_right,
    ACTIONS(7843), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(5127), 2,
      sym_comment,
      sym_marginalia,
  [331533] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7845), 1,
      sym_keyword_join,
    ACTIONS(7849), 1,
      sym_keyword_using,
    ACTIONS(7851), 1,
      sym_keyword_on,
    STATE(5901), 1,
      sym_join,
    ACTIONS(7841), 2,
      sym_keyword_left,
      sym_keyword_right,
    ACTIONS(7843), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(5128), 2,
      sym_comment,
      sym_marginalia,
  [331564] = 10,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    ACTIONS(6139), 1,
      sym_keyword_order,
    ACTIONS(7168), 1,
      sym_keyword_where,
    STATE(4748), 1,
      sym_order_by,
    STATE(4765), 1,
      sym_limit,
    STATE(5271), 1,
      sym_where,
    ACTIONS(7346), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
    STATE(5129), 2,
      sym_comment,
      sym_marginalia,
  [331597] = 11,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(5135), 1,
      sym_assignment,
    STATE(5820), 1,
      sym__double_quote_string,
    STATE(5841), 1,
      sym_identifier,
    STATE(6238), 1,
      sym_field,
    STATE(7520), 1,
      sym__alias_identifier,
    STATE(5130), 2,
      sym_comment,
      sym_marginalia,
  [331632] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    ACTIONS(7939), 1,
      anon_sym_LPAREN,
    ACTIONS(7975), 1,
      sym__identifier,
    STATE(2561), 1,
      sym_identifier,
    STATE(4960), 1,
      sym_relation,
    STATE(5131), 2,
      sym_comment,
      sym_marginalia,
    STATE(2447), 3,
      sym_table_reference,
      sym_invocation,
      sym_subquery,
  [331663] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5132), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8141), 8,
      sym_keyword_parquet,
      sym_keyword_rcfile,
      sym_keyword_csv,
      sym_keyword_textfile,
      sym_keyword_avro,
      sym_keyword_sequencefile,
      sym_keyword_orc,
      sym_keyword_jsonfile,
  [331684] = 11,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(4732), 1,
      sym_assignment,
    STATE(5820), 1,
      sym__double_quote_string,
    STATE(5841), 1,
      sym_identifier,
    STATE(6228), 1,
      sym_field,
    STATE(7520), 1,
      sym__alias_identifier,
    STATE(5133), 2,
      sym_comment,
      sym_marginalia,
  [331719] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7983), 1,
      sym_keyword_join,
    ACTIONS(7985), 1,
      sym_keyword_set,
    STATE(5120), 1,
      aux_sym__mysql_update_statement_repeat2,
    STATE(5262), 1,
      sym_join,
    ACTIONS(7979), 2,
      sym_keyword_left,
      sym_keyword_right,
    ACTIONS(7981), 2,
      sym_keyword_inner,
      sym_keyword_cross,
    STATE(5134), 2,
      sym_comment,
      sym_marginalia,
  [331750] = 10,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8143), 1,
      sym_keyword_from,
    ACTIONS(8145), 1,
      sym_keyword_where,
    ACTIONS(8147), 1,
      anon_sym_COMMA,
    STATE(4766), 1,
      sym_from,
    STATE(4774), 1,
      sym_where,
    STATE(5139), 1,
      aux_sym__insert_set_repeat1,
    ACTIONS(7330), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
    STATE(5135), 2,
      sym_comment,
      sym_marginalia,
  [331783] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8149), 1,
      sym_keyword_from,
    ACTIONS(8151), 1,
      sym_keyword_union,
    STATE(5257), 1,
      sym_from,
    STATE(5261), 1,
      aux_sym__select_statement_repeat1,
    ACTIONS(7296), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
    ACTIONS(8153), 2,
      sym_keyword_except,
      sym_keyword_intersect,
    STATE(5136), 2,
      sym_comment,
      sym_marginalia,
  [331814] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    ACTIONS(7939), 1,
      anon_sym_LPAREN,
    ACTIONS(7975), 1,
      sym__identifier,
    STATE(2561), 1,
      sym_identifier,
    STATE(4965), 1,
      sym_relation,
    STATE(5137), 2,
      sym_comment,
      sym_marginalia,
    STATE(2447), 3,
      sym_table_reference,
      sym_invocation,
      sym_subquery,
  [331845] = 10,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    ACTIONS(6139), 1,
      sym_keyword_order,
    ACTIONS(7170), 1,
      sym_keyword_group,
    STATE(4617), 1,
      sym_limit,
    STATE(4667), 1,
      sym_order_by,
    STATE(5279), 1,
      sym_group_by,
    ACTIONS(4799), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
    STATE(5138), 2,
      sym_comment,
      sym_marginalia,
  [331878] = 10,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8143), 1,
      sym_keyword_from,
    ACTIONS(8145), 1,
      sym_keyword_where,
    ACTIONS(8147), 1,
      anon_sym_COMMA,
    STATE(4773), 1,
      sym_from,
    STATE(4782), 1,
      sym_where,
    STATE(5215), 1,
      aux_sym__insert_set_repeat1,
    ACTIONS(7381), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
    STATE(5139), 2,
      sym_comment,
      sym_marginalia,
  [331911] = 10,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    ACTIONS(6139), 1,
      sym_keyword_order,
    ACTIONS(7168), 1,
      sym_keyword_where,
    STATE(4762), 1,
      sym_limit,
    STATE(4787), 1,
      sym_order_by,
    STATE(5275), 1,
      sym_where,
    ACTIONS(7365), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
    STATE(5140), 2,
      sym_comment,
      sym_marginalia,
  [331944] = 10,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    ACTIONS(6139), 1,
      sym_keyword_order,
    ACTIONS(7170), 1,
      sym_keyword_group,
    STATE(4637), 1,
      sym_limit,
    STATE(4643), 1,
      sym_order_by,
    STATE(5284), 1,
      sym_group_by,
    ACTIONS(4775), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
    STATE(5141), 2,
      sym_comment,
      sym_marginalia,
  [331977] = 10,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    ACTIONS(6139), 1,
      sym_keyword_order,
    ACTIONS(7170), 1,
      sym_keyword_group,
    STATE(4614), 1,
      sym_order_by,
    STATE(4628), 1,
      sym_limit,
    STATE(5295), 1,
      sym_group_by,
    ACTIONS(7158), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
    STATE(5142), 2,
      sym_comment,
      sym_marginalia,
  [332010] = 10,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    ACTIONS(6139), 1,
      sym_keyword_order,
    ACTIONS(7170), 1,
      sym_keyword_group,
    STATE(4631), 1,
      sym_order_by,
    STATE(4671), 1,
      sym_limit,
    STATE(5285), 1,
      sym_group_by,
    ACTIONS(5902), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
    STATE(5143), 2,
      sym_comment,
      sym_marginalia,
  [332043] = 10,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    ACTIONS(6139), 1,
      sym_keyword_order,
    ACTIONS(7170), 1,
      sym_keyword_group,
    STATE(4622), 1,
      sym_order_by,
    STATE(4665), 1,
      sym_limit,
    STATE(5290), 1,
      sym_group_by,
    ACTIONS(5904), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
    STATE(5144), 2,
      sym_comment,
      sym_marginalia,
  [332076] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    ACTIONS(7939), 1,
      anon_sym_LPAREN,
    ACTIONS(7975), 1,
      sym__identifier,
    STATE(2561), 1,
      sym_identifier,
    STATE(4970), 1,
      sym_relation,
    STATE(5145), 2,
      sym_comment,
      sym_marginalia,
    STATE(2447), 3,
      sym_table_reference,
      sym_invocation,
      sym_subquery,
  [332107] = 10,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2331), 1,
      anon_sym_DQUOTE,
    ACTIONS(2337), 1,
      anon_sym_BQUOTE,
    ACTIONS(8155), 1,
      sym__identifier,
    ACTIONS(8157), 1,
      anon_sym_STAR,
    STATE(3519), 1,
      sym__double_quote_string,
    STATE(3534), 1,
      sym_identifier,
    STATE(6819), 1,
      sym__alias_identifier,
    STATE(5146), 2,
      sym_comment,
      sym_marginalia,
  [332139] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6139), 1,
      sym_keyword_order,
    ACTIONS(8159), 1,
      anon_sym_RPAREN,
    STATE(5314), 1,
      sym_order_by,
    STATE(6169), 1,
      sym_window_frame,
    STATE(5147), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8002), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [332167] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6139), 1,
      sym_keyword_order,
    ACTIONS(8161), 1,
      anon_sym_RPAREN,
    STATE(5316), 1,
      sym_order_by,
    STATE(7325), 1,
      sym_window_frame,
    STATE(5148), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8002), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [332195] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6139), 1,
      sym_keyword_order,
    ACTIONS(8163), 1,
      anon_sym_RPAREN,
    STATE(5323), 1,
      sym_order_by,
    STATE(7262), 1,
      sym_window_frame,
    STATE(5149), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8002), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [332223] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7463), 1,
      sym_keyword_set,
    ACTIONS(7477), 1,
      sym_keyword_owner,
    ACTIONS(7479), 1,
      sym_keyword_rename,
    STATE(5150), 2,
      sym_comment,
      sym_marginalia,
    STATE(4919), 4,
      sym_rename_column,
      sym_rename_object,
      sym_set_schema,
      sym_change_ownership,
  [332249] = 10,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7827), 1,
      sym__identifier,
    ACTIONS(7835), 1,
      anon_sym_BQUOTE,
    ACTIONS(8165), 1,
      sym_keyword_column,
    ACTIONS(8167), 1,
      sym_keyword_if,
    STATE(17), 1,
      sym_identifier,
    STATE(4729), 1,
      sym_column_definition,
    STATE(5551), 1,
      sym__if_not_exists,
    STATE(5151), 2,
      sym_comment,
      sym_marginalia,
  [332281] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8149), 1,
      sym_keyword_from,
    STATE(4609), 1,
      sym_from,
    STATE(5152), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7371), 5,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [332305] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6139), 1,
      sym_keyword_order,
    ACTIONS(8169), 1,
      anon_sym_RPAREN,
    STATE(5327), 1,
      sym_order_by,
    STATE(6151), 1,
      sym_window_frame,
    STATE(5153), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8002), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [332333] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6139), 1,
      sym_keyword_order,
    ACTIONS(8171), 1,
      anon_sym_RPAREN,
    STATE(5311), 1,
      sym_order_by,
    STATE(7207), 1,
      sym_window_frame,
    STATE(5154), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8002), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [332361] = 10,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8167), 1,
      sym_keyword_if,
    ACTIONS(8173), 1,
      sym_keyword_on,
    ACTIONS(8175), 1,
      sym_keyword_concurrently,
    STATE(5779), 1,
      sym__if_not_exists,
    STATE(6247), 1,
      sym_identifier,
    STATE(5155), 2,
      sym_comment,
      sym_marginalia,
  [332393] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6139), 1,
      sym_keyword_order,
    ACTIONS(8177), 1,
      anon_sym_RPAREN,
    STATE(5304), 1,
      sym_order_by,
    STATE(6395), 1,
      sym_window_frame,
    STATE(5156), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8002), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [332421] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7463), 1,
      sym_keyword_set,
    ACTIONS(7475), 1,
      sym_keyword_rename,
    ACTIONS(7477), 1,
      sym_keyword_owner,
    STATE(5157), 2,
      sym_comment,
      sym_marginalia,
    STATE(4919), 4,
      sym_rename_column,
      sym_rename_object,
      sym_set_schema,
      sym_change_ownership,
  [332447] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8149), 1,
      sym_keyword_from,
    STATE(4670), 1,
      sym_from,
    STATE(5158), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7416), 5,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [332471] = 10,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7827), 1,
      sym__identifier,
    ACTIONS(7835), 1,
      anon_sym_BQUOTE,
    ACTIONS(8179), 1,
      sym_keyword_column,
    ACTIONS(8181), 1,
      sym_keyword_if,
    STATE(17), 1,
      sym_identifier,
    STATE(4740), 1,
      sym_column_definition,
    STATE(5498), 1,
      sym__if_exists,
    STATE(5159), 2,
      sym_comment,
      sym_marginalia,
  [332503] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7463), 1,
      sym_keyword_set,
    ACTIONS(7475), 1,
      sym_keyword_rename,
    ACTIONS(7477), 1,
      sym_keyword_owner,
    STATE(5160), 2,
      sym_comment,
      sym_marginalia,
    STATE(4887), 4,
      sym_rename_column,
      sym_rename_object,
      sym_set_schema,
      sym_change_ownership,
  [332529] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5370), 1,
      anon_sym_COMMA,
    STATE(5004), 1,
      aux_sym_array_repeat1,
    STATE(5161), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8183), 5,
      sym_keyword_order,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      anon_sym_RPAREN,
  [332553] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6139), 1,
      sym_keyword_order,
    ACTIONS(8185), 1,
      anon_sym_RPAREN,
    STATE(5338), 1,
      sym_order_by,
    STATE(6788), 1,
      sym_window_frame,
    STATE(5162), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8002), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [332581] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6139), 1,
      sym_keyword_order,
    ACTIONS(8187), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym_order_by,
    STATE(6468), 1,
      sym_window_frame,
    STATE(5163), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8002), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [332609] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6139), 1,
      sym_keyword_order,
    ACTIONS(8189), 1,
      anon_sym_RPAREN,
    STATE(5349), 1,
      sym_order_by,
    STATE(6100), 1,
      sym_window_frame,
    STATE(5164), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8002), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [332637] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6139), 1,
      sym_keyword_order,
    ACTIONS(8191), 1,
      anon_sym_RPAREN,
    STATE(5352), 1,
      sym_order_by,
    STATE(6348), 1,
      sym_window_frame,
    STATE(5165), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8002), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [332665] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(2567), 1,
      anon_sym_SQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(2606), 1,
      sym__double_quote_string,
    STATE(4590), 2,
      sym__literal_string,
      sym_identifier,
    STATE(5166), 2,
      sym_comment,
      sym_marginalia,
  [332695] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6139), 1,
      sym_keyword_order,
    ACTIONS(8193), 1,
      anon_sym_RPAREN,
    STATE(5381), 1,
      sym_order_by,
    STATE(6072), 1,
      sym_window_frame,
    STATE(5167), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8002), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [332723] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6139), 1,
      sym_keyword_order,
    ACTIONS(8195), 1,
      anon_sym_RPAREN,
    STATE(5298), 1,
      sym_order_by,
    STATE(6990), 1,
      sym_window_frame,
    STATE(5168), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8002), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [332751] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6139), 1,
      sym_keyword_order,
    ACTIONS(8197), 1,
      anon_sym_RPAREN,
    STATE(5332), 1,
      sym_order_by,
    STATE(6226), 1,
      sym_window_frame,
    STATE(5169), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8002), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [332779] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6139), 1,
      sym_keyword_order,
    ACTIONS(8199), 1,
      anon_sym_RPAREN,
    STATE(5377), 1,
      sym_order_by,
    STATE(7448), 1,
      sym_window_frame,
    STATE(5170), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8002), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [332807] = 10,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2669), 1,
      anon_sym_DQUOTE,
    ACTIONS(2675), 1,
      anon_sym_BQUOTE,
    ACTIONS(8157), 1,
      anon_sym_STAR,
    ACTIONS(8201), 1,
      sym__identifier,
    STATE(1243), 1,
      sym_identifier,
    STATE(1250), 1,
      sym__double_quote_string,
    STATE(7331), 1,
      sym__alias_identifier,
    STATE(5171), 2,
      sym_comment,
      sym_marginalia,
  [332839] = 10,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    ACTIONS(8157), 1,
      anon_sym_STAR,
    ACTIONS(8203), 1,
      sym__identifier,
    STATE(2731), 1,
      sym_identifier,
    STATE(2799), 1,
      sym__double_quote_string,
    STATE(7212), 1,
      sym__alias_identifier,
    STATE(5172), 2,
      sym_comment,
      sym_marginalia,
  [332871] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6139), 1,
      sym_keyword_order,
    ACTIONS(8205), 1,
      anon_sym_RPAREN,
    STATE(5373), 1,
      sym_order_by,
    STATE(6549), 1,
      sym_window_frame,
    STATE(5173), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8002), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [332899] = 10,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8167), 1,
      sym_keyword_if,
    ACTIONS(8207), 1,
      sym_keyword_on,
    ACTIONS(8209), 1,
      sym_keyword_concurrently,
    STATE(5643), 1,
      sym__if_not_exists,
    STATE(6866), 1,
      sym_identifier,
    STATE(5174), 2,
      sym_comment,
      sym_marginalia,
  [332931] = 10,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2489), 1,
      anon_sym_DQUOTE,
    ACTIONS(2495), 1,
      anon_sym_BQUOTE,
    ACTIONS(8157), 1,
      anon_sym_STAR,
    ACTIONS(8211), 1,
      sym__identifier,
    STATE(1388), 1,
      sym_identifier,
    STATE(1389), 1,
      sym__double_quote_string,
    STATE(7487), 1,
      sym__alias_identifier,
    STATE(5175), 2,
      sym_comment,
      sym_marginalia,
  [332963] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2485), 1,
      anon_sym_SQUOTE,
    ACTIONS(2489), 1,
      anon_sym_DQUOTE,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    ACTIONS(7975), 1,
      sym__identifier,
    STATE(2606), 1,
      sym__double_quote_string,
    STATE(4590), 2,
      sym__literal_string,
      sym_identifier,
    STATE(5176), 2,
      sym_comment,
      sym_marginalia,
  [332993] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    ACTIONS(7975), 1,
      sym__identifier,
    STATE(2606), 1,
      sym__double_quote_string,
    STATE(4590), 2,
      sym__literal_string,
      sym_identifier,
    STATE(5177), 2,
      sym_comment,
      sym_marginalia,
  [333023] = 10,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    ACTIONS(8157), 1,
      anon_sym_STAR,
    STATE(1662), 1,
      sym_identifier,
    STATE(1668), 1,
      sym__double_quote_string,
    STATE(6481), 1,
      sym__alias_identifier,
    STATE(5178), 2,
      sym_comment,
      sym_marginalia,
  [333055] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8215), 1,
      anon_sym_COMMA,
    STATE(5179), 3,
      sym_comment,
      sym_marginalia,
      aux_sym__dml_statement_repeat1,
    ACTIONS(8213), 5,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
  [333077] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6139), 1,
      sym_keyword_order,
    ACTIONS(8218), 1,
      anon_sym_RPAREN,
    STATE(5405), 1,
      sym_order_by,
    STATE(7390), 1,
      sym_window_frame,
    STATE(5180), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8002), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [333105] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6139), 1,
      sym_keyword_order,
    ACTIONS(8220), 1,
      anon_sym_RPAREN,
    STATE(5408), 1,
      sym_order_by,
    STATE(6291), 1,
      sym_window_frame,
    STATE(5181), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8002), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [333133] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7463), 1,
      sym_keyword_set,
    ACTIONS(7477), 1,
      sym_keyword_owner,
    ACTIONS(7479), 1,
      sym_keyword_rename,
    STATE(5182), 2,
      sym_comment,
      sym_marginalia,
    STATE(4887), 4,
      sym_rename_column,
      sym_rename_object,
      sym_set_schema,
      sym_change_ownership,
  [333159] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6139), 1,
      sym_keyword_order,
    ACTIONS(8222), 1,
      anon_sym_RPAREN,
    STATE(5388), 1,
      sym_order_by,
    STATE(6654), 1,
      sym_window_frame,
    STATE(5183), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8002), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [333187] = 10,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2617), 1,
      anon_sym_DQUOTE,
    ACTIONS(2623), 1,
      anon_sym_BQUOTE,
    ACTIONS(8157), 1,
      anon_sym_STAR,
    ACTIONS(8224), 1,
      sym__identifier,
    STATE(2478), 1,
      sym__double_quote_string,
    STATE(2479), 1,
      sym_identifier,
    STATE(6995), 1,
      sym__alias_identifier,
    STATE(5184), 2,
      sym_comment,
      sym_marginalia,
  [333219] = 10,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2843), 1,
      anon_sym_DQUOTE,
    ACTIONS(2849), 1,
      anon_sym_BQUOTE,
    ACTIONS(8157), 1,
      anon_sym_STAR,
    ACTIONS(8226), 1,
      sym__identifier,
    STATE(3505), 1,
      sym_identifier,
    STATE(3513), 1,
      sym__double_quote_string,
    STATE(7267), 1,
      sym__alias_identifier,
    STATE(5185), 2,
      sym_comment,
      sym_marginalia,
  [333251] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(2567), 1,
      anon_sym_SQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(3064), 1,
      sym__double_quote_string,
    STATE(4684), 2,
      sym__literal_string,
      sym_identifier,
    STATE(5186), 2,
      sym_comment,
      sym_marginalia,
  [333281] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6139), 1,
      sym_keyword_order,
    ACTIONS(8228), 1,
      anon_sym_RPAREN,
    STATE(5394), 1,
      sym_order_by,
    STATE(6031), 1,
      sym_window_frame,
    STATE(5187), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8002), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [333309] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8181), 1,
      sym_keyword_if,
    STATE(4851), 1,
      sym_table_reference,
    STATE(4888), 1,
      sym_identifier,
    STATE(5574), 1,
      sym__if_exists,
    STATE(5188), 2,
      sym_comment,
      sym_marginalia,
  [333338] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    ACTIONS(8230), 1,
      anon_sym_LPAREN,
    STATE(7697), 1,
      sym_identifier,
    STATE(5189), 2,
      sym_comment,
      sym_marginalia,
    STATE(5355), 2,
      sym_invocation,
      sym_subquery,
  [333365] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    ACTIONS(8230), 1,
      anon_sym_LPAREN,
    STATE(7697), 1,
      sym_identifier,
    STATE(5190), 2,
      sym_comment,
      sym_marginalia,
    STATE(5326), 2,
      sym_invocation,
      sym_subquery,
  [333392] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8145), 1,
      sym_keyword_where,
    ACTIONS(8147), 1,
      anon_sym_COMMA,
    STATE(4782), 1,
      sym_where,
    STATE(5217), 1,
      aux_sym__insert_set_repeat1,
    ACTIONS(7334), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
    STATE(5191), 2,
      sym_comment,
      sym_marginalia,
  [333419] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5192), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8232), 6,
      sym_keyword_and,
      sym_keyword_unbounded,
      sym_keyword_exclude,
      sym_keyword_current,
      anon_sym_RPAREN,
      sym__natural_number,
  [333438] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    ACTIONS(8230), 1,
      anon_sym_LPAREN,
    STATE(7697), 1,
      sym_identifier,
    STATE(5193), 2,
      sym_comment,
      sym_marginalia,
    STATE(5347), 2,
      sym_invocation,
      sym_subquery,
  [333465] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3567), 1,
      anon_sym_DQUOTE,
    ACTIONS(3573), 1,
      anon_sym_BQUOTE,
    ACTIONS(8234), 1,
      sym__identifier,
    STATE(785), 1,
      sym_identifier,
    STATE(880), 1,
      sym__double_quote_string,
    STATE(7078), 1,
      sym__alias_identifier,
    STATE(5194), 2,
      sym_comment,
      sym_marginalia,
  [333494] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2489), 1,
      anon_sym_DQUOTE,
    ACTIONS(2495), 1,
      anon_sym_BQUOTE,
    ACTIONS(8211), 1,
      sym__identifier,
    ACTIONS(8236), 1,
      anon_sym_STAR,
    STATE(1565), 1,
      sym__double_quote_string,
    STATE(1566), 1,
      sym_identifier,
    STATE(5195), 2,
      sym_comment,
      sym_marginalia,
  [333523] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    ACTIONS(8230), 1,
      anon_sym_LPAREN,
    STATE(7697), 1,
      sym_identifier,
    STATE(5196), 2,
      sym_comment,
      sym_marginalia,
    STATE(5359), 2,
      sym_invocation,
      sym_subquery,
  [333550] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2617), 1,
      anon_sym_DQUOTE,
    ACTIONS(2623), 1,
      anon_sym_BQUOTE,
    ACTIONS(8224), 1,
      sym__identifier,
    ACTIONS(8236), 1,
      anon_sym_STAR,
    STATE(2570), 1,
      sym_identifier,
    STATE(2571), 1,
      sym__double_quote_string,
    STATE(5197), 2,
      sym_comment,
      sym_marginalia,
  [333579] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2843), 1,
      anon_sym_DQUOTE,
    ACTIONS(2849), 1,
      anon_sym_BQUOTE,
    ACTIONS(8226), 1,
      sym__identifier,
    ACTIONS(8236), 1,
      anon_sym_STAR,
    STATE(3571), 1,
      sym__double_quote_string,
    STATE(3572), 1,
      sym_identifier,
    STATE(5198), 2,
      sym_comment,
      sym_marginalia,
  [333608] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    ACTIONS(8230), 1,
      anon_sym_LPAREN,
    STATE(7697), 1,
      sym_identifier,
    STATE(5199), 2,
      sym_comment,
      sym_marginalia,
    STATE(5301), 2,
      sym_invocation,
      sym_subquery,
  [333635] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5200), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8238), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [333654] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    ACTIONS(8230), 1,
      anon_sym_LPAREN,
    STATE(7697), 1,
      sym_identifier,
    STATE(5201), 2,
      sym_comment,
      sym_marginalia,
    STATE(5329), 2,
      sym_invocation,
      sym_subquery,
  [333681] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    ACTIONS(8230), 1,
      anon_sym_LPAREN,
    STATE(7697), 1,
      sym_identifier,
    STATE(5202), 2,
      sym_comment,
      sym_marginalia,
    STATE(5331), 2,
      sym_invocation,
      sym_subquery,
  [333708] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    ACTIONS(8203), 1,
      sym__identifier,
    STATE(2731), 1,
      sym_identifier,
    STATE(2799), 1,
      sym__double_quote_string,
    STATE(6942), 1,
      sym__alias_identifier,
    STATE(5203), 2,
      sym_comment,
      sym_marginalia,
  [333737] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    ACTIONS(8230), 1,
      anon_sym_LPAREN,
    STATE(7697), 1,
      sym_identifier,
    STATE(5204), 2,
      sym_comment,
      sym_marginalia,
    STATE(5363), 2,
      sym_invocation,
      sym_subquery,
  [333764] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    ACTIONS(8236), 1,
      anon_sym_STAR,
    STATE(1977), 1,
      sym__double_quote_string,
    STATE(1979), 1,
      sym_identifier,
    STATE(5205), 2,
      sym_comment,
      sym_marginalia,
  [333793] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(1662), 1,
      sym_identifier,
    STATE(1668), 1,
      sym__double_quote_string,
    STATE(7475), 1,
      sym__alias_identifier,
    STATE(5206), 2,
      sym_comment,
      sym_marginalia,
  [333822] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8167), 1,
      sym_keyword_if,
    ACTIONS(8240), 1,
      sym_keyword_on,
    STATE(5771), 1,
      sym__if_not_exists,
    STATE(7284), 1,
      sym_identifier,
    STATE(5207), 2,
      sym_comment,
      sym_marginalia,
  [333851] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3841), 1,
      anon_sym_DQUOTE,
    ACTIONS(3847), 1,
      anon_sym_BQUOTE,
    ACTIONS(8242), 1,
      sym__identifier,
    STATE(4360), 1,
      sym_identifier,
    STATE(4362), 1,
      sym__double_quote_string,
    STATE(6709), 1,
      sym__alias_identifier,
    STATE(5208), 2,
      sym_comment,
      sym_marginalia,
  [333880] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5209), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8213), 6,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      anon_sym_COMMA,
  [333899] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3773), 1,
      anon_sym_DQUOTE,
    ACTIONS(3779), 1,
      anon_sym_BQUOTE,
    ACTIONS(8244), 1,
      sym__identifier,
    STATE(1073), 1,
      sym__double_quote_string,
    STATE(1074), 1,
      sym_identifier,
    STATE(6750), 1,
      sym__alias_identifier,
    STATE(5210), 2,
      sym_comment,
      sym_marginalia,
  [333928] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(2766), 1,
      sym__double_quote_string,
    STATE(2770), 1,
      sym_identifier,
    STATE(4586), 1,
      sym__alias_identifier,
    STATE(5211), 2,
      sym_comment,
      sym_marginalia,
  [333957] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3457), 1,
      anon_sym_DQUOTE,
    ACTIONS(3583), 1,
      anon_sym_BQUOTE,
    ACTIONS(8120), 1,
      sym__identifier,
    STATE(359), 1,
      sym__double_quote_string,
    STATE(360), 1,
      sym_identifier,
    STATE(6914), 1,
      sym__alias_identifier,
    STATE(5212), 2,
      sym_comment,
      sym_marginalia,
  [333986] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8167), 1,
      sym_keyword_if,
    STATE(4509), 1,
      sym_identifier,
    STATE(5461), 1,
      sym__if_not_exists,
    STATE(7283), 1,
      sym_table_reference,
    STATE(5213), 2,
      sym_comment,
      sym_marginalia,
  [334015] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8167), 1,
      sym_keyword_if,
    STATE(4509), 1,
      sym_identifier,
    STATE(5434), 1,
      sym__if_not_exists,
    STATE(6286), 1,
      sym_table_reference,
    STATE(5214), 2,
      sym_comment,
      sym_marginalia,
  [334044] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8246), 1,
      anon_sym_COMMA,
    STATE(5215), 3,
      sym_comment,
      sym_marginalia,
      aux_sym__insert_set_repeat1,
    ACTIONS(7336), 4,
      sym_keyword_from,
      sym_keyword_where,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [334065] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    ACTIONS(8203), 1,
      sym__identifier,
    ACTIONS(8236), 1,
      anon_sym_STAR,
    STATE(3025), 1,
      sym__double_quote_string,
    STATE(3026), 1,
      sym_identifier,
    STATE(5216), 2,
      sym_comment,
      sym_marginalia,
  [334094] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8145), 1,
      sym_keyword_where,
    ACTIONS(8147), 1,
      anon_sym_COMMA,
    STATE(4781), 1,
      sym_where,
    STATE(5215), 1,
      aux_sym__insert_set_repeat1,
    ACTIONS(7359), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
    STATE(5217), 2,
      sym_comment,
      sym_marginalia,
  [334121] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8145), 1,
      sym_keyword_where,
    ACTIONS(8147), 1,
      anon_sym_COMMA,
    STATE(4781), 1,
      sym_where,
    STATE(5234), 1,
      aux_sym__insert_set_repeat1,
    ACTIONS(7359), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
    STATE(5218), 2,
      sym_comment,
      sym_marginalia,
  [334148] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    ACTIONS(8230), 1,
      anon_sym_LPAREN,
    STATE(7697), 1,
      sym_identifier,
    STATE(5219), 2,
      sym_comment,
      sym_marginalia,
    STATE(5340), 2,
      sym_invocation,
      sym_subquery,
  [334175] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3425), 1,
      sym__identifier,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    ACTIONS(8167), 1,
      sym_keyword_if,
    STATE(3253), 1,
      sym_identifier,
    STATE(4281), 1,
      sym_table_reference,
    STATE(5582), 1,
      sym__if_not_exists,
    STATE(5220), 2,
      sym_comment,
      sym_marginalia,
  [334204] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8167), 1,
      sym_keyword_if,
    STATE(4509), 1,
      sym_identifier,
    STATE(5584), 1,
      sym__if_not_exists,
    STATE(6897), 1,
      sym_table_reference,
    STATE(5221), 2,
      sym_comment,
      sym_marginalia,
  [334233] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3457), 1,
      anon_sym_DQUOTE,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    ACTIONS(7975), 1,
      sym__identifier,
    STATE(2766), 1,
      sym__double_quote_string,
    STATE(2770), 1,
      sym_identifier,
    STATE(2829), 1,
      sym__alias_identifier,
    STATE(5222), 2,
      sym_comment,
      sym_marginalia,
  [334262] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7827), 1,
      sym__identifier,
    ACTIONS(7835), 1,
      anon_sym_BQUOTE,
    ACTIONS(8181), 1,
      sym_keyword_if,
    STATE(17), 1,
      sym_identifier,
    STATE(4716), 1,
      sym_column_definition,
    STATE(5598), 1,
      sym__if_exists,
    STATE(5223), 2,
      sym_comment,
      sym_marginalia,
  [334291] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8181), 1,
      sym_keyword_if,
    STATE(4509), 1,
      sym_identifier,
    STATE(4745), 1,
      sym_table_reference,
    STATE(5575), 1,
      sym__if_exists,
    STATE(5224), 2,
      sym_comment,
      sym_marginalia,
  [334320] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8181), 1,
      sym_keyword_if,
    STATE(4509), 1,
      sym_identifier,
    STATE(5157), 1,
      sym_table_reference,
    STATE(5411), 1,
      sym__if_exists,
    STATE(5225), 2,
      sym_comment,
      sym_marginalia,
  [334349] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7923), 1,
      sym_keyword_exclude,
    ACTIONS(8249), 1,
      anon_sym_RPAREN,
    STATE(5226), 2,
      sym_comment,
      sym_marginalia,
    STATE(7716), 4,
      sym__exclude_current_row,
      sym__exclude_group,
      sym__exclude_no_others,
      sym__exclude_ties,
  [334372] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4021), 1,
      anon_sym_DQUOTE,
    ACTIONS(4027), 1,
      anon_sym_BQUOTE,
    ACTIONS(8251), 1,
      sym__identifier,
    STATE(1174), 1,
      sym__double_quote_string,
    STATE(1184), 1,
      sym_identifier,
    STATE(6608), 1,
      sym__alias_identifier,
    STATE(5227), 2,
      sym_comment,
      sym_marginalia,
  [334401] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3457), 1,
      anon_sym_DQUOTE,
    ACTIONS(3583), 1,
      anon_sym_BQUOTE,
    ACTIONS(8120), 1,
      sym__identifier,
    STATE(2766), 1,
      sym__double_quote_string,
    STATE(2770), 1,
      sym_identifier,
    STATE(2829), 1,
      sym__alias_identifier,
    STATE(5228), 2,
      sym_comment,
      sym_marginalia,
  [334430] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3425), 1,
      sym__identifier,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    ACTIONS(8167), 1,
      sym_keyword_if,
    STATE(3253), 1,
      sym_identifier,
    STATE(4173), 1,
      sym_table_reference,
    STATE(5430), 1,
      sym__if_not_exists,
    STATE(5229), 2,
      sym_comment,
      sym_marginalia,
  [334459] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5230), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8253), 6,
      sym_keyword_and,
      sym_keyword_unbounded,
      sym_keyword_exclude,
      sym_keyword_current,
      anon_sym_RPAREN,
      sym__natural_number,
  [334478] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5231), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8255), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [334497] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5232), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8257), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [334516] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3457), 1,
      anon_sym_DQUOTE,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    ACTIONS(7975), 1,
      sym__identifier,
    STATE(359), 1,
      sym__double_quote_string,
    STATE(360), 1,
      sym_identifier,
    STATE(6955), 1,
      sym__alias_identifier,
    STATE(5233), 2,
      sym_comment,
      sym_marginalia,
  [334545] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8145), 1,
      sym_keyword_where,
    ACTIONS(8147), 1,
      anon_sym_COMMA,
    STATE(4786), 1,
      sym_where,
    STATE(5215), 1,
      aux_sym__insert_set_repeat1,
    ACTIONS(7254), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
    STATE(5234), 2,
      sym_comment,
      sym_marginalia,
  [334572] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3663), 1,
      anon_sym_DQUOTE,
    ACTIONS(3669), 1,
      anon_sym_BQUOTE,
    ACTIONS(8259), 1,
      sym__identifier,
    STATE(3648), 1,
      sym_identifier,
    STATE(3651), 1,
      sym__double_quote_string,
    STATE(7118), 1,
      sym__alias_identifier,
    STATE(5235), 2,
      sym_comment,
      sym_marginalia,
  [334601] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8181), 1,
      sym_keyword_if,
    STATE(4857), 1,
      sym_table_reference,
    STATE(4888), 1,
      sym_identifier,
    STATE(5588), 1,
      sym__if_exists,
    STATE(5236), 2,
      sym_comment,
      sym_marginalia,
  [334630] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3881), 1,
      anon_sym_DQUOTE,
    ACTIONS(3887), 1,
      anon_sym_BQUOTE,
    ACTIONS(8261), 1,
      sym__identifier,
    STATE(3737), 1,
      sym__double_quote_string,
    STATE(3738), 1,
      sym_identifier,
    STATE(7037), 1,
      sym__alias_identifier,
    STATE(5237), 2,
      sym_comment,
      sym_marginalia,
  [334659] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2669), 1,
      anon_sym_DQUOTE,
    ACTIONS(2675), 1,
      anon_sym_BQUOTE,
    ACTIONS(8201), 1,
      sym__identifier,
    ACTIONS(8236), 1,
      anon_sym_STAR,
    STATE(1550), 1,
      sym_identifier,
    STATE(1561), 1,
      sym__double_quote_string,
    STATE(5238), 2,
      sym_comment,
      sym_marginalia,
  [334688] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5239), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8263), 6,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      anon_sym_COMMA,
  [334707] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    ACTIONS(8230), 1,
      anon_sym_LPAREN,
    STATE(7697), 1,
      sym_identifier,
    STATE(5240), 2,
      sym_comment,
      sym_marginalia,
    STATE(5357), 2,
      sym_invocation,
      sym_subquery,
  [334734] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5241), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8265), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [334753] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5242), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8267), 6,
      sym_keyword_and,
      sym_keyword_unbounded,
      sym_keyword_exclude,
      sym_keyword_current,
      anon_sym_RPAREN,
      sym__natural_number,
  [334772] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    ACTIONS(8230), 1,
      anon_sym_LPAREN,
    STATE(7697), 1,
      sym_identifier,
    STATE(5243), 2,
      sym_comment,
      sym_marginalia,
    STATE(5362), 2,
      sym_invocation,
      sym_subquery,
  [334799] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8181), 1,
      sym_keyword_if,
    ACTIONS(8269), 1,
      sym_keyword_concurrently,
    STATE(4863), 1,
      sym_identifier,
    STATE(5604), 1,
      sym__if_exists,
    STATE(5244), 2,
      sym_comment,
      sym_marginalia,
  [334828] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    ACTIONS(8230), 1,
      anon_sym_LPAREN,
    STATE(7697), 1,
      sym_identifier,
    STATE(5245), 2,
      sym_comment,
      sym_marginalia,
    STATE(5366), 2,
      sym_invocation,
      sym_subquery,
  [334855] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2489), 1,
      anon_sym_DQUOTE,
    ACTIONS(2495), 1,
      anon_sym_BQUOTE,
    ACTIONS(8211), 1,
      sym__identifier,
    STATE(1388), 1,
      sym_identifier,
    STATE(1389), 1,
      sym__double_quote_string,
    STATE(6263), 1,
      sym__alias_identifier,
    STATE(5246), 2,
      sym_comment,
      sym_marginalia,
  [334884] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3503), 1,
      anon_sym_DQUOTE,
    ACTIONS(3509), 1,
      anon_sym_BQUOTE,
    ACTIONS(8271), 1,
      sym__identifier,
    STATE(532), 1,
      sym_identifier,
    STATE(533), 1,
      sym__double_quote_string,
    STATE(6791), 1,
      sym__alias_identifier,
    STATE(5247), 2,
      sym_comment,
      sym_marginalia,
  [334913] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7923), 1,
      sym_keyword_exclude,
    ACTIONS(8273), 1,
      anon_sym_RPAREN,
    STATE(5248), 2,
      sym_comment,
      sym_marginalia,
    STATE(7752), 4,
      sym__exclude_current_row,
      sym__exclude_group,
      sym__exclude_no_others,
      sym__exclude_ties,
  [334936] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3457), 1,
      anon_sym_DQUOTE,
    ACTIONS(3583), 1,
      anon_sym_BQUOTE,
    ACTIONS(8120), 1,
      sym__identifier,
    STATE(2766), 1,
      sym__double_quote_string,
    STATE(2770), 1,
      sym_identifier,
    STATE(2797), 1,
      sym__alias_identifier,
    STATE(5249), 2,
      sym_comment,
      sym_marginalia,
  [334965] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8181), 1,
      sym_keyword_if,
    STATE(4509), 1,
      sym_identifier,
    STATE(4851), 1,
      sym_table_reference,
    STATE(5410), 1,
      sym__if_exists,
    STATE(5250), 2,
      sym_comment,
      sym_marginalia,
  [334994] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8181), 1,
      sym_keyword_if,
    STATE(4509), 1,
      sym_identifier,
    STATE(4857), 1,
      sym_table_reference,
    STATE(5537), 1,
      sym__if_exists,
    STATE(5251), 2,
      sym_comment,
      sym_marginalia,
  [335023] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    ACTIONS(8230), 1,
      anon_sym_LPAREN,
    STATE(7697), 1,
      sym_identifier,
    STATE(5252), 2,
      sym_comment,
      sym_marginalia,
    STATE(5335), 2,
      sym_invocation,
      sym_subquery,
  [335050] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8181), 1,
      sym_keyword_if,
    STATE(4509), 1,
      sym_identifier,
    STATE(4779), 1,
      sym_table_reference,
    STATE(5565), 1,
      sym__if_exists,
    STATE(5253), 2,
      sym_comment,
      sym_marginalia,
  [335079] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3457), 1,
      anon_sym_DQUOTE,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    ACTIONS(7975), 1,
      sym__identifier,
    STATE(2766), 1,
      sym__double_quote_string,
    STATE(2770), 1,
      sym_identifier,
    STATE(2797), 1,
      sym__alias_identifier,
    STATE(5254), 2,
      sym_comment,
      sym_marginalia,
  [335108] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5255), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8275), 6,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      anon_sym_COMMA,
  [335127] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8181), 1,
      sym_keyword_if,
    STATE(4509), 1,
      sym_identifier,
    STATE(5150), 1,
      sym_table_reference,
    STATE(5585), 1,
      sym__if_exists,
    STATE(5256), 2,
      sym_comment,
      sym_marginalia,
  [335156] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8151), 1,
      sym_keyword_union,
    STATE(5278), 1,
      aux_sym__select_statement_repeat1,
    ACTIONS(7451), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
    ACTIONS(8153), 2,
      sym_keyword_except,
      sym_keyword_intersect,
    STATE(5257), 2,
      sym_comment,
      sym_marginalia,
  [335181] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2331), 1,
      anon_sym_DQUOTE,
    ACTIONS(2337), 1,
      anon_sym_BQUOTE,
    ACTIONS(8155), 1,
      sym__identifier,
    STATE(3519), 1,
      sym__double_quote_string,
    STATE(3534), 1,
      sym_identifier,
    STATE(6873), 1,
      sym__alias_identifier,
    STATE(5258), 2,
      sym_comment,
      sym_marginalia,
  [335210] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2617), 1,
      anon_sym_DQUOTE,
    ACTIONS(2623), 1,
      anon_sym_BQUOTE,
    ACTIONS(8224), 1,
      sym__identifier,
    STATE(2478), 1,
      sym__double_quote_string,
    STATE(2479), 1,
      sym_identifier,
    STATE(6550), 1,
      sym__alias_identifier,
    STATE(5259), 2,
      sym_comment,
      sym_marginalia,
  [335239] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3425), 1,
      sym__identifier,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    ACTIONS(8167), 1,
      sym_keyword_if,
    STATE(3253), 1,
      sym_identifier,
    STATE(4188), 1,
      sym_table_reference,
    STATE(5414), 1,
      sym__if_not_exists,
    STATE(5260), 2,
      sym_comment,
      sym_marginalia,
  [335268] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8151), 1,
      sym_keyword_union,
    STATE(5289), 1,
      aux_sym__select_statement_repeat1,
    ACTIONS(7451), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
    ACTIONS(8153), 2,
      sym_keyword_except,
      sym_keyword_intersect,
    STATE(5261), 2,
      sym_comment,
      sym_marginalia,
  [335293] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5262), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8277), 6,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_cross,
      sym_keyword_join,
  [335312] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3425), 1,
      sym__identifier,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    ACTIONS(8181), 1,
      sym_keyword_if,
    ACTIONS(8279), 1,
      sym_keyword_column,
    STATE(5472), 1,
      sym_identifier,
    STATE(5642), 1,
      sym__if_exists,
    STATE(5263), 2,
      sym_comment,
      sym_marginalia,
  [335341] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    ACTIONS(8230), 1,
      anon_sym_LPAREN,
    STATE(7697), 1,
      sym_identifier,
    STATE(5264), 2,
      sym_comment,
      sym_marginalia,
    STATE(5391), 2,
      sym_invocation,
      sym_subquery,
  [335368] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8167), 1,
      sym_keyword_if,
    STATE(4509), 1,
      sym_identifier,
    STATE(5546), 1,
      sym__if_not_exists,
    STATE(6233), 1,
      sym_table_reference,
    STATE(5265), 2,
      sym_comment,
      sym_marginalia,
  [335397] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8181), 1,
      sym_keyword_if,
    ACTIONS(8281), 1,
      sym_keyword_concurrently,
    STATE(4830), 1,
      sym_identifier,
    STATE(5616), 1,
      sym__if_exists,
    STATE(5266), 2,
      sym_comment,
      sym_marginalia,
  [335426] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2843), 1,
      anon_sym_DQUOTE,
    ACTIONS(2849), 1,
      anon_sym_BQUOTE,
    ACTIONS(8226), 1,
      sym__identifier,
    STATE(3505), 1,
      sym_identifier,
    STATE(3513), 1,
      sym__double_quote_string,
    STATE(6484), 1,
      sym__alias_identifier,
    STATE(5267), 2,
      sym_comment,
      sym_marginalia,
  [335455] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    ACTIONS(8230), 1,
      anon_sym_LPAREN,
    STATE(7697), 1,
      sym_identifier,
    STATE(5268), 2,
      sym_comment,
      sym_marginalia,
    STATE(5400), 2,
      sym_invocation,
      sym_subquery,
  [335482] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8181), 1,
      sym_keyword_if,
    ACTIONS(8283), 1,
      sym_keyword_column,
    STATE(4859), 1,
      sym_identifier,
    STATE(5702), 1,
      sym__if_exists,
    STATE(5269), 2,
      sym_comment,
      sym_marginalia,
  [335511] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    ACTIONS(6139), 1,
      sym_keyword_order,
    STATE(4617), 1,
      sym_limit,
    STATE(4667), 1,
      sym_order_by,
    ACTIONS(4799), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
    STATE(5270), 2,
      sym_comment,
      sym_marginalia,
  [335538] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    ACTIONS(6139), 1,
      sym_keyword_order,
    STATE(4762), 1,
      sym_limit,
    STATE(4787), 1,
      sym_order_by,
    ACTIONS(7365), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
    STATE(5271), 2,
      sym_comment,
      sym_marginalia,
  [335565] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8167), 1,
      sym_keyword_if,
    STATE(4509), 1,
      sym_identifier,
    STATE(5499), 1,
      sym__if_not_exists,
    STATE(6249), 1,
      sym_table_reference,
    STATE(5272), 2,
      sym_comment,
      sym_marginalia,
  [335594] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3971), 1,
      anon_sym_DQUOTE,
    ACTIONS(3977), 1,
      anon_sym_BQUOTE,
    ACTIONS(8285), 1,
      sym__identifier,
    STATE(1902), 1,
      sym_identifier,
    STATE(1903), 1,
      sym__double_quote_string,
    STATE(6659), 1,
      sym__alias_identifier,
    STATE(5273), 2,
      sym_comment,
      sym_marginalia,
  [335623] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3711), 1,
      anon_sym_DQUOTE,
    ACTIONS(3717), 1,
      anon_sym_BQUOTE,
    ACTIONS(8287), 1,
      sym__identifier,
    STATE(3000), 1,
      sym__double_quote_string,
    STATE(3001), 1,
      sym_identifier,
    STATE(6832), 1,
      sym__alias_identifier,
    STATE(5274), 2,
      sym_comment,
      sym_marginalia,
  [335652] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    ACTIONS(6139), 1,
      sym_keyword_order,
    STATE(4749), 1,
      sym_limit,
    STATE(4763), 1,
      sym_order_by,
    ACTIONS(7443), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
    STATE(5275), 2,
      sym_comment,
      sym_marginalia,
  [335679] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8167), 1,
      sym_keyword_if,
    STATE(4509), 1,
      sym_identifier,
    STATE(5547), 1,
      sym__if_not_exists,
    STATE(6311), 1,
      sym_table_reference,
    STATE(5276), 2,
      sym_comment,
      sym_marginalia,
  [335708] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5277), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8289), 6,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      anon_sym_COMMA,
  [335727] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8151), 1,
      sym_keyword_union,
    STATE(5289), 1,
      aux_sym__select_statement_repeat1,
    ACTIONS(7445), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
    ACTIONS(8153), 2,
      sym_keyword_except,
      sym_keyword_intersect,
    STATE(5278), 2,
      sym_comment,
      sym_marginalia,
  [335752] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    ACTIONS(6139), 1,
      sym_keyword_order,
    STATE(4637), 1,
      sym_limit,
    STATE(4643), 1,
      sym_order_by,
    ACTIONS(4775), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
    STATE(5279), 2,
      sym_comment,
      sym_marginalia,
  [335779] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7827), 1,
      sym__identifier,
    ACTIONS(7835), 1,
      anon_sym_BQUOTE,
    ACTIONS(8167), 1,
      sym_keyword_if,
    STATE(17), 1,
      sym_identifier,
    STATE(4719), 1,
      sym_column_definition,
    STATE(5539), 1,
      sym__if_not_exists,
    STATE(5280), 2,
      sym_comment,
      sym_marginalia,
  [335808] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5281), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8291), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [335827] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8167), 1,
      sym_keyword_if,
    ACTIONS(8173), 1,
      sym_keyword_on,
    STATE(5779), 1,
      sym__if_not_exists,
    STATE(6247), 1,
      sym_identifier,
    STATE(5282), 2,
      sym_comment,
      sym_marginalia,
  [335856] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4063), 1,
      anon_sym_DQUOTE,
    ACTIONS(4069), 1,
      anon_sym_BQUOTE,
    ACTIONS(8293), 1,
      sym__identifier,
    STATE(3140), 1,
      sym__double_quote_string,
    STATE(3153), 1,
      sym_identifier,
    STATE(7159), 1,
      sym__alias_identifier,
    STATE(5283), 2,
      sym_comment,
      sym_marginalia,
  [335885] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    ACTIONS(6139), 1,
      sym_keyword_order,
    STATE(4631), 1,
      sym_order_by,
    STATE(4671), 1,
      sym_limit,
    ACTIONS(5902), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
    STATE(5284), 2,
      sym_comment,
      sym_marginalia,
  [335912] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    ACTIONS(6139), 1,
      sym_keyword_order,
    STATE(4622), 1,
      sym_order_by,
    STATE(4665), 1,
      sym_limit,
    ACTIONS(5904), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
    STATE(5285), 2,
      sym_comment,
      sym_marginalia,
  [335939] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8167), 1,
      sym_keyword_if,
    STATE(4509), 1,
      sym_identifier,
    STATE(5481), 1,
      sym__if_not_exists,
    STATE(6160), 1,
      sym_table_reference,
    STATE(5286), 2,
      sym_comment,
      sym_marginalia,
  [335968] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8167), 1,
      sym_keyword_if,
    STATE(4509), 1,
      sym_identifier,
    STATE(5496), 1,
      sym__if_not_exists,
    STATE(6248), 1,
      sym_table_reference,
    STATE(5287), 2,
      sym_comment,
      sym_marginalia,
  [335997] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2331), 1,
      anon_sym_DQUOTE,
    ACTIONS(2337), 1,
      anon_sym_BQUOTE,
    ACTIONS(8155), 1,
      sym__identifier,
    ACTIONS(8236), 1,
      anon_sym_STAR,
    STATE(3611), 1,
      sym_identifier,
    STATE(3620), 1,
      sym__double_quote_string,
    STATE(5288), 2,
      sym_comment,
      sym_marginalia,
  [336026] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8295), 1,
      sym_keyword_union,
    ACTIONS(7416), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
    ACTIONS(8298), 2,
      sym_keyword_except,
      sym_keyword_intersect,
    STATE(5289), 3,
      sym_comment,
      sym_marginalia,
      aux_sym__select_statement_repeat1,
  [336049] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    ACTIONS(6139), 1,
      sym_keyword_order,
    STATE(4614), 1,
      sym_order_by,
    STATE(4628), 1,
      sym_limit,
    ACTIONS(7158), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
    STATE(5290), 2,
      sym_comment,
      sym_marginalia,
  [336076] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3425), 1,
      sym__identifier,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    ACTIONS(8167), 1,
      sym_keyword_if,
    STATE(3253), 1,
      sym_identifier,
    STATE(4238), 1,
      sym_table_reference,
    STATE(5424), 1,
      sym__if_not_exists,
    STATE(5291), 2,
      sym_comment,
      sym_marginalia,
  [336105] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3929), 1,
      anon_sym_DQUOTE,
    ACTIONS(3935), 1,
      anon_sym_BQUOTE,
    ACTIONS(8301), 1,
      sym__identifier,
    STATE(3520), 1,
      sym_identifier,
    STATE(3521), 1,
      sym__double_quote_string,
    STATE(6996), 1,
      sym__alias_identifier,
    STATE(5292), 2,
      sym_comment,
      sym_marginalia,
  [336134] = 9,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2669), 1,
      anon_sym_DQUOTE,
    ACTIONS(2675), 1,
      anon_sym_BQUOTE,
    ACTIONS(8201), 1,
      sym__identifier,
    STATE(1243), 1,
      sym_identifier,
    STATE(1250), 1,
      sym__double_quote_string,
    STATE(6409), 1,
      sym__alias_identifier,
    STATE(5293), 2,
      sym_comment,
      sym_marginalia,
  [336163] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5294), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8303), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [336182] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4791), 1,
      sym_keyword_limit,
    ACTIONS(6139), 1,
      sym_keyword_order,
    STATE(4611), 1,
      sym_order_by,
    STATE(4616), 1,
      sym_limit,
    ACTIONS(7223), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
    STATE(5295), 2,
      sym_comment,
      sym_marginalia,
  [336209] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5296), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8305), 6,
      sym_keyword_and,
      sym_keyword_unbounded,
      sym_keyword_exclude,
      sym_keyword_current,
      anon_sym_RPAREN,
      sym__natural_number,
  [336228] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8189), 1,
      anon_sym_RPAREN,
    STATE(6100), 1,
      sym_window_frame,
    STATE(5297), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8002), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [336250] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8307), 1,
      anon_sym_RPAREN,
    STATE(6938), 1,
      sym_window_frame,
    STATE(5298), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8002), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [336272] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8309), 1,
      sym_keyword_only,
    STATE(4509), 1,
      sym_identifier,
    STATE(5770), 1,
      sym_table_reference,
    STATE(5299), 2,
      sym_comment,
      sym_marginalia,
  [336298] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2675), 1,
      anon_sym_BQUOTE,
    ACTIONS(8201), 1,
      sym__identifier,
    ACTIONS(8311), 1,
      anon_sym_LPAREN,
    STATE(1695), 2,
      sym_window_specification,
      sym_identifier,
    STATE(5300), 2,
      sym_comment,
      sym_marginalia,
  [336322] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8313), 1,
      sym_keyword_on,
    ACTIONS(8315), 1,
      sym_keyword_as,
    STATE(7750), 1,
      sym_identifier,
    STATE(5301), 2,
      sym_comment,
      sym_marginalia,
  [336348] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8171), 1,
      anon_sym_RPAREN,
    STATE(7207), 1,
      sym_window_frame,
    STATE(5302), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8002), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [336370] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8161), 1,
      anon_sym_RPAREN,
    STATE(7325), 1,
      sym_window_frame,
    STATE(5303), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8002), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [336392] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8317), 1,
      anon_sym_RPAREN,
    STATE(6381), 1,
      sym_window_frame,
    STATE(5304), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8002), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [336414] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8181), 1,
      sym_keyword_if,
    STATE(4812), 1,
      sym_identifier,
    STATE(5760), 1,
      sym__if_exists,
    STATE(5305), 2,
      sym_comment,
      sym_marginalia,
  [336440] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3711), 1,
      anon_sym_DQUOTE,
    ACTIONS(3717), 1,
      anon_sym_BQUOTE,
    ACTIONS(8287), 1,
      sym__identifier,
    STATE(3100), 1,
      sym_identifier,
    STATE(3102), 1,
      sym__double_quote_string,
    STATE(5306), 2,
      sym_comment,
      sym_marginalia,
  [336466] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8177), 1,
      anon_sym_RPAREN,
    STATE(6395), 1,
      sym_window_frame,
    STATE(5307), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8002), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [336488] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2617), 1,
      anon_sym_DQUOTE,
    ACTIONS(2623), 1,
      anon_sym_BQUOTE,
    ACTIONS(8224), 1,
      sym__identifier,
    STATE(2570), 1,
      sym_identifier,
    STATE(2571), 1,
      sym__double_quote_string,
    STATE(5308), 2,
      sym_comment,
      sym_marginalia,
  [336514] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4027), 1,
      anon_sym_BQUOTE,
    ACTIONS(8251), 1,
      sym__identifier,
    ACTIONS(8319), 1,
      anon_sym_LPAREN,
    STATE(1232), 2,
      sym_window_specification,
      sym_identifier,
    STATE(5309), 2,
      sym_comment,
      sym_marginalia,
  [336538] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8169), 1,
      anon_sym_RPAREN,
    STATE(6151), 1,
      sym_window_frame,
    STATE(5310), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8002), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [336560] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8321), 1,
      anon_sym_RPAREN,
    STATE(7192), 1,
      sym_window_frame,
    STATE(5311), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8002), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [336582] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    ACTIONS(7975), 1,
      sym__identifier,
    ACTIONS(8323), 1,
      anon_sym_LPAREN,
    STATE(607), 2,
      sym_window_specification,
      sym_identifier,
    STATE(5312), 2,
      sym_comment,
      sym_marginalia,
  [336606] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4063), 1,
      anon_sym_DQUOTE,
    ACTIONS(4069), 1,
      anon_sym_BQUOTE,
    ACTIONS(8293), 1,
      sym__identifier,
    STATE(3231), 1,
      sym__double_quote_string,
    STATE(3232), 1,
      sym_identifier,
    STATE(5313), 2,
      sym_comment,
      sym_marginalia,
  [336632] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8325), 1,
      anon_sym_RPAREN,
    STATE(6185), 1,
      sym_window_frame,
    STATE(5314), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8002), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [336654] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3509), 1,
      anon_sym_BQUOTE,
    ACTIONS(8271), 1,
      sym__identifier,
    ACTIONS(8327), 1,
      anon_sym_LPAREN,
    STATE(698), 2,
      sym_window_specification,
      sym_identifier,
    STATE(5315), 2,
      sym_comment,
      sym_marginalia,
  [336678] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8329), 1,
      anon_sym_RPAREN,
    STATE(7307), 1,
      sym_window_frame,
    STATE(5316), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8002), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [336700] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8331), 1,
      sym_keyword_column,
    ACTIONS(8333), 1,
      sym_keyword_to,
    STATE(7336), 1,
      sym_identifier,
    STATE(5317), 2,
      sym_comment,
      sym_marginalia,
  [336726] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3935), 1,
      anon_sym_BQUOTE,
    ACTIONS(8301), 1,
      sym__identifier,
    ACTIONS(8335), 1,
      anon_sym_LPAREN,
    STATE(3554), 2,
      sym_window_specification,
      sym_identifier,
    STATE(5318), 2,
      sym_comment,
      sym_marginalia,
  [336750] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3567), 1,
      anon_sym_DQUOTE,
    ACTIONS(3573), 1,
      anon_sym_BQUOTE,
    ACTIONS(8234), 1,
      sym__identifier,
    STATE(1175), 1,
      sym_identifier,
    STATE(1176), 1,
      sym__double_quote_string,
    STATE(5319), 2,
      sym_comment,
      sym_marginalia,
  [336776] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2843), 1,
      anon_sym_DQUOTE,
    ACTIONS(2849), 1,
      anon_sym_BQUOTE,
    ACTIONS(8226), 1,
      sym__identifier,
    STATE(3571), 1,
      sym__double_quote_string,
    STATE(3572), 1,
      sym_identifier,
    STATE(5320), 2,
      sym_comment,
      sym_marginalia,
  [336802] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3425), 1,
      sym__identifier,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    ACTIONS(8337), 1,
      sym_keyword_only,
    STATE(3253), 1,
      sym_identifier,
    STATE(5129), 1,
      sym_table_reference,
    STATE(5321), 2,
      sym_comment,
      sym_marginalia,
  [336828] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7921), 1,
      sym_keyword_unbounded,
    ACTIONS(7925), 1,
      sym_keyword_current,
    ACTIONS(7929), 1,
      sym__natural_number,
    STATE(5192), 1,
      sym__current_row,
    STATE(5248), 1,
      sym_frame_definition,
    STATE(5322), 2,
      sym_comment,
      sym_marginalia,
  [336854] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8339), 1,
      anon_sym_RPAREN,
    STATE(7247), 1,
      sym_window_frame,
    STATE(5323), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8002), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [336876] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3779), 1,
      anon_sym_BQUOTE,
    ACTIONS(8244), 1,
      sym__identifier,
    ACTIONS(8341), 1,
      anon_sym_LPAREN,
    STATE(1370), 2,
      sym_window_specification,
      sym_identifier,
    STATE(5324), 2,
      sym_comment,
      sym_marginalia,
  [336900] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3929), 1,
      anon_sym_DQUOTE,
    ACTIONS(3935), 1,
      anon_sym_BQUOTE,
    ACTIONS(8301), 1,
      sym__identifier,
    STATE(3631), 1,
      sym__double_quote_string,
    STATE(3632), 1,
      sym_identifier,
    STATE(5325), 2,
      sym_comment,
      sym_marginalia,
  [336926] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8343), 1,
      sym_keyword_on,
    ACTIONS(8345), 1,
      sym_keyword_as,
    STATE(6444), 1,
      sym_identifier,
    STATE(5326), 2,
      sym_comment,
      sym_marginalia,
  [336952] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8347), 1,
      anon_sym_RPAREN,
    STATE(6134), 1,
      sym_window_frame,
    STATE(5327), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8002), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [336974] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4069), 1,
      anon_sym_BQUOTE,
    ACTIONS(8293), 1,
      sym__identifier,
    ACTIONS(8349), 1,
      anon_sym_LPAREN,
    STATE(3275), 2,
      sym_window_specification,
      sym_identifier,
    STATE(5328), 2,
      sym_comment,
      sym_marginalia,
  [336998] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8351), 1,
      sym_keyword_on,
    ACTIONS(8353), 1,
      sym_keyword_as,
    STATE(6451), 1,
      sym_identifier,
    STATE(5329), 2,
      sym_comment,
      sym_marginalia,
  [337024] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8185), 1,
      anon_sym_RPAREN,
    STATE(6788), 1,
      sym_window_frame,
    STATE(5330), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8002), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [337046] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8355), 1,
      sym_keyword_on,
    ACTIONS(8357), 1,
      sym_keyword_as,
    STATE(6454), 1,
      sym_identifier,
    STATE(5331), 2,
      sym_comment,
      sym_marginalia,
  [337072] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8359), 1,
      anon_sym_RPAREN,
    STATE(6211), 1,
      sym_window_frame,
    STATE(5332), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8002), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [337094] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3457), 1,
      anon_sym_DQUOTE,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    ACTIONS(7975), 1,
      sym__identifier,
    STATE(535), 1,
      sym_identifier,
    STATE(539), 1,
      sym__double_quote_string,
    STATE(5333), 2,
      sym_comment,
      sym_marginalia,
  [337120] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8181), 1,
      sym_keyword_if,
    STATE(4904), 1,
      sym_identifier,
    STATE(5695), 1,
      sym__if_exists,
    STATE(5334), 2,
      sym_comment,
      sym_marginalia,
  [337146] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8361), 1,
      sym_keyword_on,
    ACTIONS(8363), 1,
      sym_keyword_as,
    STATE(7738), 1,
      sym_identifier,
    STATE(5335), 2,
      sym_comment,
      sym_marginalia,
  [337172] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3971), 1,
      anon_sym_DQUOTE,
    ACTIONS(3977), 1,
      anon_sym_BQUOTE,
    ACTIONS(8285), 1,
      sym__identifier,
    STATE(2308), 1,
      sym_identifier,
    STATE(2340), 1,
      sym__double_quote_string,
    STATE(5336), 2,
      sym_comment,
      sym_marginalia,
  [337198] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8197), 1,
      anon_sym_RPAREN,
    STATE(6226), 1,
      sym_window_frame,
    STATE(5337), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8002), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [337220] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8365), 1,
      anon_sym_RPAREN,
    STATE(6747), 1,
      sym_window_frame,
    STATE(5338), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8002), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [337242] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8191), 1,
      anon_sym_RPAREN,
    STATE(6348), 1,
      sym_window_frame,
    STATE(5339), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8002), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [337264] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8367), 1,
      sym_keyword_on,
    ACTIONS(8369), 1,
      sym_keyword_as,
    STATE(7708), 1,
      sym_identifier,
    STATE(5340), 2,
      sym_comment,
      sym_marginalia,
  [337290] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2331), 1,
      anon_sym_DQUOTE,
    ACTIONS(2337), 1,
      anon_sym_BQUOTE,
    ACTIONS(8155), 1,
      sym__identifier,
    STATE(3611), 1,
      sym_identifier,
    STATE(3620), 1,
      sym__double_quote_string,
    STATE(5341), 2,
      sym_comment,
      sym_marginalia,
  [337316] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3425), 1,
      sym__identifier,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    ACTIONS(8371), 1,
      sym_keyword_only,
    STATE(3253), 1,
      sym_identifier,
    STATE(4656), 1,
      sym_table_reference,
    STATE(5342), 2,
      sym_comment,
      sym_marginalia,
  [337342] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8373), 1,
      anon_sym_RPAREN,
    STATE(6458), 1,
      sym_window_frame,
    STATE(5343), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8002), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [337364] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3503), 1,
      anon_sym_DQUOTE,
    ACTIONS(3509), 1,
      anon_sym_BQUOTE,
    ACTIONS(8271), 1,
      sym__identifier,
    STATE(739), 1,
      sym__double_quote_string,
    STATE(741), 1,
      sym_identifier,
    STATE(5344), 2,
      sym_comment,
      sym_marginalia,
  [337390] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2337), 1,
      anon_sym_BQUOTE,
    ACTIONS(8155), 1,
      sym__identifier,
    ACTIONS(8375), 1,
      anon_sym_LPAREN,
    STATE(3833), 2,
      sym_window_specification,
      sym_identifier,
    STATE(5345), 2,
      sym_comment,
      sym_marginalia,
  [337414] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8187), 1,
      anon_sym_RPAREN,
    STATE(6468), 1,
      sym_window_frame,
    STATE(5346), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8002), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [337436] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8377), 1,
      sym_keyword_on,
    ACTIONS(8379), 1,
      sym_keyword_as,
    STATE(6351), 1,
      sym_identifier,
    STATE(5347), 2,
      sym_comment,
      sym_marginalia,
  [337462] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8383), 1,
      anon_sym_BQUOTE,
    STATE(5348), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8381), 4,
      sym_keyword_no,
      sym_keyword_data,
      sym_keyword_replication,
      sym__identifier,
  [337482] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8385), 1,
      anon_sym_RPAREN,
    STATE(6116), 1,
      sym_window_frame,
    STATE(5349), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8002), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [337504] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4021), 1,
      anon_sym_DQUOTE,
    ACTIONS(4027), 1,
      anon_sym_BQUOTE,
    ACTIONS(8251), 1,
      sym__identifier,
    STATE(1212), 1,
      sym_identifier,
    STATE(1213), 1,
      sym__double_quote_string,
    STATE(5350), 2,
      sym_comment,
      sym_marginalia,
  [337530] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3663), 1,
      anon_sym_DQUOTE,
    ACTIONS(3669), 1,
      anon_sym_BQUOTE,
    ACTIONS(8259), 1,
      sym__identifier,
    STATE(3945), 1,
      sym_identifier,
    STATE(3947), 1,
      sym__double_quote_string,
    STATE(5351), 2,
      sym_comment,
      sym_marginalia,
  [337556] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8387), 1,
      anon_sym_RPAREN,
    STATE(6330), 1,
      sym_window_frame,
    STATE(5352), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8002), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [337578] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3887), 1,
      anon_sym_BQUOTE,
    ACTIONS(8261), 1,
      sym__identifier,
    ACTIONS(8389), 1,
      anon_sym_LPAREN,
    STATE(4013), 2,
      sym_window_specification,
      sym_identifier,
    STATE(5353), 2,
      sym_comment,
      sym_marginalia,
  [337602] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5796), 1,
      sym_direction,
    ACTIONS(6441), 2,
      sym_keyword_desc,
      sym_keyword_asc,
    ACTIONS(8391), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    STATE(5354), 2,
      sym_comment,
      sym_marginalia,
  [337624] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8393), 1,
      sym_keyword_on,
    ACTIONS(8395), 1,
      sym_keyword_as,
    STATE(6584), 1,
      sym_identifier,
    STATE(5355), 2,
      sym_comment,
      sym_marginalia,
  [337650] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8397), 1,
      sym_keyword_only,
    STATE(4509), 1,
      sym_identifier,
    STATE(5786), 1,
      sym_table_reference,
    STATE(5356), 2,
      sym_comment,
      sym_marginalia,
  [337676] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8399), 1,
      sym_keyword_on,
    ACTIONS(8401), 1,
      sym_keyword_as,
    STATE(6519), 1,
      sym_identifier,
    STATE(5357), 2,
      sym_comment,
      sym_marginalia,
  [337702] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8195), 1,
      anon_sym_RPAREN,
    STATE(6990), 1,
      sym_window_frame,
    STATE(5358), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8002), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [337724] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8403), 1,
      sym_keyword_on,
    ACTIONS(8405), 1,
      sym_keyword_as,
    STATE(6347), 1,
      sym_identifier,
    STATE(5359), 2,
      sym_comment,
      sym_marginalia,
  [337750] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3847), 1,
      anon_sym_BQUOTE,
    ACTIONS(8242), 1,
      sym__identifier,
    ACTIONS(8407), 1,
      anon_sym_LPAREN,
    STATE(4456), 2,
      sym_window_specification,
      sym_identifier,
    STATE(5360), 2,
      sym_comment,
      sym_marginalia,
  [337774] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2669), 1,
      anon_sym_DQUOTE,
    ACTIONS(2675), 1,
      anon_sym_BQUOTE,
    ACTIONS(8201), 1,
      sym__identifier,
    STATE(1550), 1,
      sym_identifier,
    STATE(1561), 1,
      sym__double_quote_string,
    STATE(5361), 2,
      sym_comment,
      sym_marginalia,
  [337800] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8409), 1,
      sym_keyword_on,
    ACTIONS(8411), 1,
      sym_keyword_as,
    STATE(6526), 1,
      sym_identifier,
    STATE(5362), 2,
      sym_comment,
      sym_marginalia,
  [337826] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8413), 1,
      sym_keyword_on,
    ACTIONS(8415), 1,
      sym_keyword_as,
    STATE(6335), 1,
      sym_identifier,
    STATE(5363), 2,
      sym_comment,
      sym_marginalia,
  [337852] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8193), 1,
      anon_sym_RPAREN,
    STATE(6072), 1,
      sym_window_frame,
    STATE(5364), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8002), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [337874] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8199), 1,
      anon_sym_RPAREN,
    STATE(7448), 1,
      sym_window_frame,
    STATE(5365), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8002), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [337896] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8417), 1,
      sym_keyword_on,
    ACTIONS(8419), 1,
      sym_keyword_as,
    STATE(6529), 1,
      sym_identifier,
    STATE(5366), 2,
      sym_comment,
      sym_marginalia,
  [337922] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8181), 1,
      sym_keyword_if,
    STATE(4821), 1,
      sym_identifier,
    STATE(5662), 1,
      sym__if_exists,
    STATE(5367), 2,
      sym_comment,
      sym_marginalia,
  [337948] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8421), 1,
      sym_keyword_from,
    STATE(7635), 1,
      sym_index_hint,
    STATE(5368), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4793), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
  [337970] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2495), 1,
      anon_sym_BQUOTE,
    ACTIONS(8211), 1,
      sym__identifier,
    ACTIONS(8423), 1,
      anon_sym_LPAREN,
    STATE(1486), 2,
      sym_window_specification,
      sym_identifier,
    STATE(5369), 2,
      sym_comment,
      sym_marginalia,
  [337994] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8425), 1,
      sym_keyword_only,
    STATE(4509), 1,
      sym_identifier,
    STATE(5738), 1,
      sym_table_reference,
    STATE(5370), 2,
      sym_comment,
      sym_marginalia,
  [338020] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3717), 1,
      anon_sym_BQUOTE,
    ACTIONS(8287), 1,
      sym__identifier,
    ACTIONS(8427), 1,
      anon_sym_LPAREN,
    STATE(3118), 2,
      sym_window_specification,
      sym_identifier,
    STATE(5371), 2,
      sym_comment,
      sym_marginalia,
  [338044] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3881), 1,
      anon_sym_DQUOTE,
    ACTIONS(3887), 1,
      anon_sym_BQUOTE,
    ACTIONS(8261), 1,
      sym__identifier,
    STATE(3953), 1,
      sym_identifier,
    STATE(3955), 1,
      sym__double_quote_string,
    STATE(5372), 2,
      sym_comment,
      sym_marginalia,
  [338070] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8429), 1,
      anon_sym_RPAREN,
    STATE(6533), 1,
      sym_window_frame,
    STATE(5373), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8002), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [338092] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3773), 1,
      anon_sym_DQUOTE,
    ACTIONS(3779), 1,
      anon_sym_BQUOTE,
    ACTIONS(8244), 1,
      sym__identifier,
    STATE(1310), 1,
      sym_identifier,
    STATE(1311), 1,
      sym__double_quote_string,
    STATE(5374), 2,
      sym_comment,
      sym_marginalia,
  [338118] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3977), 1,
      anon_sym_BQUOTE,
    ACTIONS(8285), 1,
      sym__identifier,
    ACTIONS(8431), 1,
      anon_sym_LPAREN,
    STATE(2344), 2,
      sym_window_specification,
      sym_identifier,
    STATE(5375), 2,
      sym_comment,
      sym_marginalia,
  [338142] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2489), 1,
      anon_sym_DQUOTE,
    ACTIONS(2495), 1,
      anon_sym_BQUOTE,
    ACTIONS(8211), 1,
      sym__identifier,
    STATE(1565), 1,
      sym__double_quote_string,
    STATE(1566), 1,
      sym_identifier,
    STATE(5376), 2,
      sym_comment,
      sym_marginalia,
  [338168] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8433), 1,
      anon_sym_RPAREN,
    STATE(7413), 1,
      sym_window_frame,
    STATE(5377), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8002), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [338190] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3583), 1,
      anon_sym_BQUOTE,
    ACTIONS(8120), 1,
      sym__identifier,
    ACTIONS(8323), 1,
      anon_sym_LPAREN,
    STATE(607), 2,
      sym_window_specification,
      sym_identifier,
    STATE(5378), 2,
      sym_comment,
      sym_marginalia,
  [338214] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2849), 1,
      anon_sym_BQUOTE,
    ACTIONS(8226), 1,
      sym__identifier,
    ACTIONS(8435), 1,
      anon_sym_LPAREN,
    STATE(3546), 2,
      sym_window_specification,
      sym_identifier,
    STATE(5379), 2,
      sym_comment,
      sym_marginalia,
  [338238] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8205), 1,
      anon_sym_RPAREN,
    STATE(6549), 1,
      sym_window_frame,
    STATE(5380), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8002), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [338260] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8437), 1,
      anon_sym_RPAREN,
    STATE(6045), 1,
      sym_window_frame,
    STATE(5381), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8002), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [338282] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8439), 1,
      sym_keyword_only,
    STATE(4509), 1,
      sym_identifier,
    STATE(5638), 1,
      sym_table_reference,
    STATE(5382), 2,
      sym_comment,
      sym_marginalia,
  [338308] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8331), 1,
      sym_keyword_column,
    ACTIONS(8441), 1,
      sym_keyword_to,
    STATE(7336), 1,
      sym_identifier,
    STATE(5383), 2,
      sym_comment,
      sym_marginalia,
  [338334] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8443), 1,
      sym_keyword_only,
    STATE(4509), 1,
      sym_identifier,
    STATE(5645), 1,
      sym_table_reference,
    STATE(5384), 2,
      sym_comment,
      sym_marginalia,
  [338360] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3669), 1,
      anon_sym_BQUOTE,
    ACTIONS(8259), 1,
      sym__identifier,
    ACTIONS(8445), 1,
      anon_sym_LPAREN,
    STATE(4078), 2,
      sym_window_specification,
      sym_identifier,
    STATE(5385), 2,
      sym_comment,
      sym_marginalia,
  [338384] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(1977), 1,
      sym__double_quote_string,
    STATE(1979), 1,
      sym_identifier,
    STATE(5386), 2,
      sym_comment,
      sym_marginalia,
  [338410] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8163), 1,
      anon_sym_RPAREN,
    STATE(7262), 1,
      sym_window_frame,
    STATE(5387), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8002), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [338432] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8447), 1,
      anon_sym_RPAREN,
    STATE(6630), 1,
      sym_window_frame,
    STATE(5388), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8002), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [338454] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7921), 1,
      sym_keyword_unbounded,
    ACTIONS(7925), 1,
      sym_keyword_current,
    ACTIONS(7929), 1,
      sym__natural_number,
    STATE(5192), 1,
      sym__current_row,
    STATE(5226), 1,
      sym_frame_definition,
    STATE(5389), 2,
      sym_comment,
      sym_marginalia,
  [338480] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    ACTIONS(8203), 1,
      sym__identifier,
    ACTIONS(8449), 1,
      anon_sym_LPAREN,
    STATE(2957), 2,
      sym_window_specification,
      sym_identifier,
    STATE(5390), 2,
      sym_comment,
      sym_marginalia,
  [338504] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8451), 1,
      sym_keyword_on,
    ACTIONS(8453), 1,
      sym_keyword_as,
    STATE(6594), 1,
      sym_identifier,
    STATE(5391), 2,
      sym_comment,
      sym_marginalia,
  [338530] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3575), 1,
      sym__identifier,
    ACTIONS(3583), 1,
      anon_sym_BQUOTE,
    ACTIONS(8455), 1,
      sym_keyword_only,
    STATE(4708), 1,
      sym_table_reference,
    STATE(4780), 1,
      sym_identifier,
    STATE(5392), 2,
      sym_comment,
      sym_marginalia,
  [338556] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    ACTIONS(8203), 1,
      sym__identifier,
    STATE(3025), 1,
      sym__double_quote_string,
    STATE(3026), 1,
      sym_identifier,
    STATE(5393), 2,
      sym_comment,
      sym_marginalia,
  [338582] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8457), 1,
      anon_sym_RPAREN,
    STATE(6047), 1,
      sym_window_frame,
    STATE(5394), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8002), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [338604] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8218), 1,
      anon_sym_RPAREN,
    STATE(7390), 1,
      sym_window_frame,
    STATE(5395), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8002), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [338626] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3573), 1,
      anon_sym_BQUOTE,
    ACTIONS(8234), 1,
      sym__identifier,
    ACTIONS(8459), 1,
      anon_sym_LPAREN,
    STATE(979), 2,
      sym_window_specification,
      sym_identifier,
    STATE(5396), 2,
      sym_comment,
      sym_marginalia,
  [338650] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7921), 1,
      sym_keyword_unbounded,
    ACTIONS(7925), 1,
      sym_keyword_current,
    ACTIONS(7929), 1,
      sym__natural_number,
    STATE(5192), 1,
      sym__current_row,
    STATE(7578), 1,
      sym_frame_definition,
    STATE(5397), 2,
      sym_comment,
      sym_marginalia,
  [338676] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3425), 1,
      sym__identifier,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    ACTIONS(8181), 1,
      sym_keyword_if,
    STATE(5589), 1,
      sym_identifier,
    STATE(5651), 1,
      sym__if_exists,
    STATE(5398), 2,
      sym_comment,
      sym_marginalia,
  [338702] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    ACTIONS(8461), 1,
      anon_sym_LPAREN,
    STATE(2030), 2,
      sym_window_specification,
      sym_identifier,
    STATE(5399), 2,
      sym_comment,
      sym_marginalia,
  [338726] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8463), 1,
      sym_keyword_on,
    ACTIONS(8465), 1,
      sym_keyword_as,
    STATE(6591), 1,
      sym_identifier,
    STATE(5400), 2,
      sym_comment,
      sym_marginalia,
  [338752] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8159), 1,
      anon_sym_RPAREN,
    STATE(6169), 1,
      sym_window_frame,
    STATE(5401), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8002), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [338774] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2623), 1,
      anon_sym_BQUOTE,
    ACTIONS(8224), 1,
      sym__identifier,
    ACTIONS(8467), 1,
      anon_sym_LPAREN,
    STATE(2581), 2,
      sym_window_specification,
      sym_identifier,
    STATE(5402), 2,
      sym_comment,
      sym_marginalia,
  [338798] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8220), 1,
      anon_sym_RPAREN,
    STATE(6291), 1,
      sym_window_frame,
    STATE(5403), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8002), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [338820] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8222), 1,
      anon_sym_RPAREN,
    STATE(6654), 1,
      sym_window_frame,
    STATE(5404), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8002), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [338842] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8469), 1,
      anon_sym_RPAREN,
    STATE(7591), 1,
      sym_window_frame,
    STATE(5405), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8002), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [338864] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3457), 1,
      anon_sym_DQUOTE,
    ACTIONS(3583), 1,
      anon_sym_BQUOTE,
    ACTIONS(8120), 1,
      sym__identifier,
    STATE(535), 1,
      sym_identifier,
    STATE(539), 1,
      sym__double_quote_string,
    STATE(5406), 2,
      sym_comment,
      sym_marginalia,
  [338890] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8228), 1,
      anon_sym_RPAREN,
    STATE(6031), 1,
      sym_window_frame,
    STATE(5407), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8002), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [338912] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8471), 1,
      anon_sym_RPAREN,
    STATE(6278), 1,
      sym_window_frame,
    STATE(5408), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8002), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [338934] = 8,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3841), 1,
      anon_sym_DQUOTE,
    ACTIONS(3847), 1,
      anon_sym_BQUOTE,
    ACTIONS(8242), 1,
      sym__identifier,
    STATE(4401), 1,
      sym__double_quote_string,
    STATE(4404), 1,
      sym_identifier,
    STATE(5409), 2,
      sym_comment,
      sym_marginalia,
  [338960] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(4509), 1,
      sym_identifier,
    STATE(4846), 1,
      sym_table_reference,
    STATE(5410), 2,
      sym_comment,
      sym_marginalia,
  [338983] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(4509), 1,
      sym_identifier,
    STATE(5160), 1,
      sym_table_reference,
    STATE(5411), 2,
      sym_comment,
      sym_marginalia,
  [339006] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2485), 1,
      anon_sym_SQUOTE,
    ACTIONS(2489), 1,
      anon_sym_DQUOTE,
    STATE(2606), 1,
      sym__double_quote_string,
    STATE(4222), 1,
      sym__literal_string,
    STATE(5412), 2,
      sym_comment,
      sym_marginalia,
  [339029] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(4867), 1,
      sym_table_reference,
    STATE(4888), 1,
      sym_identifier,
    STATE(5413), 2,
      sym_comment,
      sym_marginalia,
  [339052] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    ACTIONS(7975), 1,
      sym__identifier,
    STATE(3253), 1,
      sym_identifier,
    STATE(4173), 1,
      sym_table_reference,
    STATE(5414), 2,
      sym_comment,
      sym_marginalia,
  [339075] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2849), 1,
      anon_sym_BQUOTE,
    ACTIONS(8226), 1,
      sym__identifier,
    STATE(5354), 1,
      sym_identifier,
    STATE(5644), 1,
      sym_ordered_column,
    STATE(5415), 2,
      sym_comment,
      sym_marginalia,
  [339098] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(2567), 1,
      anon_sym_SQUOTE,
    STATE(2606), 1,
      sym__double_quote_string,
    STATE(6789), 1,
      sym__literal_string,
    STATE(5416), 2,
      sym_comment,
      sym_marginalia,
  [339121] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6017), 1,
      sym_keyword_when,
    ACTIONS(6521), 1,
      sym_keyword_end,
    ACTIONS(8473), 1,
      sym_keyword_else,
    STATE(5563), 1,
      aux_sym_case_repeat1,
    STATE(5417), 2,
      sym_comment,
      sym_marginalia,
  [339144] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8475), 1,
      sym_keyword_group,
    ACTIONS(8477), 1,
      sym_keyword_no,
    ACTIONS(8479), 1,
      sym_keyword_current,
    ACTIONS(8481), 1,
      sym_keyword_ties,
    STATE(5418), 2,
      sym_comment,
      sym_marginalia,
  [339167] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7835), 1,
      anon_sym_BQUOTE,
    ACTIONS(8483), 1,
      sym__identifier,
    STATE(17), 1,
      sym_identifier,
    STATE(4711), 1,
      sym_column_definition,
    STATE(5419), 2,
      sym_comment,
      sym_marginalia,
  [339190] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8485), 1,
      sym__natural_number,
    STATE(5462), 1,
      aux_sym_interval_definitions_repeat1,
    STATE(5986), 1,
      sym__interval_definition,
    STATE(6152), 1,
      sym_interval_definitions,
    STATE(5420), 2,
      sym_comment,
      sym_marginalia,
  [339213] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8487), 1,
      aux_sym_keyword_character_token1,
    STATE(7328), 1,
      sym_keyword_character,
    ACTIONS(7189), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    STATE(5421), 2,
      sym_comment,
      sym_marginalia,
  [339234] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8485), 1,
      sym__natural_number,
    STATE(5462), 1,
      aux_sym_interval_definitions_repeat1,
    STATE(5986), 1,
      sym__interval_definition,
    STATE(6826), 1,
      sym_interval_definitions,
    STATE(5422), 2,
      sym_comment,
      sym_marginalia,
  [339257] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7835), 1,
      anon_sym_BQUOTE,
    ACTIONS(8483), 1,
      sym__identifier,
    STATE(15), 1,
      sym_identifier,
    STATE(5490), 1,
      sym_column_definition,
    STATE(5423), 2,
      sym_comment,
      sym_marginalia,
  [339280] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    ACTIONS(7975), 1,
      sym__identifier,
    STATE(3253), 1,
      sym_identifier,
    STATE(4308), 1,
      sym_table_reference,
    STATE(5424), 2,
      sym_comment,
      sym_marginalia,
  [339303] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8489), 1,
      anon_sym_COMMA,
    STATE(5427), 1,
      aux_sym_select_expression_repeat1,
    ACTIONS(7232), 2,
      sym_keyword_from,
      anon_sym_RPAREN,
    STATE(5425), 2,
      sym_comment,
      sym_marginalia,
  [339324] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(4509), 1,
      sym_identifier,
    STATE(5645), 1,
      sym_table_reference,
    STATE(5426), 2,
      sym_comment,
      sym_marginalia,
  [339347] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8491), 1,
      anon_sym_COMMA,
    ACTIONS(7178), 2,
      sym_keyword_from,
      anon_sym_RPAREN,
    STATE(5427), 3,
      sym_comment,
      sym_marginalia,
      aux_sym_select_expression_repeat1,
  [339366] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6017), 1,
      sym_keyword_when,
    ACTIONS(6695), 1,
      sym_keyword_end,
    ACTIONS(8494), 1,
      sym_keyword_else,
    STATE(5563), 1,
      aux_sym_case_repeat1,
    STATE(5428), 2,
      sym_comment,
      sym_marginalia,
  [339389] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6139), 1,
      sym_keyword_order,
    STATE(5872), 1,
      sym_order_by,
    ACTIONS(6141), 2,
      sym_keyword_separator,
      anon_sym_RPAREN,
    STATE(5429), 2,
      sym_comment,
      sym_marginalia,
  [339410] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    ACTIONS(7975), 1,
      sym__identifier,
    STATE(3253), 1,
      sym_identifier,
    STATE(4170), 1,
      sym_table_reference,
    STATE(5430), 2,
      sym_comment,
      sym_marginalia,
  [339433] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2485), 1,
      anon_sym_SQUOTE,
    ACTIONS(2489), 1,
      anon_sym_DQUOTE,
    STATE(2606), 1,
      sym__double_quote_string,
    STATE(4197), 1,
      sym__literal_string,
    STATE(5431), 2,
      sym_comment,
      sym_marginalia,
  [339456] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6023), 1,
      sym_keyword_when,
    ACTIONS(6189), 1,
      sym_keyword_else,
    ACTIONS(6191), 1,
      sym_keyword_end,
    STATE(5504), 1,
      aux_sym_case_repeat2,
    STATE(5432), 2,
      sym_comment,
      sym_marginalia,
  [339479] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6023), 1,
      sym_keyword_when,
    ACTIONS(6135), 1,
      sym_keyword_else,
    ACTIONS(6137), 1,
      sym_keyword_end,
    STATE(5504), 1,
      aux_sym_case_repeat2,
    STATE(5433), 2,
      sym_comment,
      sym_marginalia,
  [339502] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(4509), 1,
      sym_identifier,
    STATE(6314), 1,
      sym_table_reference,
    STATE(5434), 2,
      sym_comment,
      sym_marginalia,
  [339525] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(4509), 1,
      sym_identifier,
    STATE(4867), 1,
      sym_table_reference,
    STATE(5435), 2,
      sym_comment,
      sym_marginalia,
  [339548] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(4509), 1,
      sym_identifier,
    STATE(5638), 1,
      sym_table_reference,
    STATE(5436), 2,
      sym_comment,
      sym_marginalia,
  [339571] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(2567), 1,
      anon_sym_SQUOTE,
    STATE(2606), 1,
      sym__double_quote_string,
    STATE(6992), 1,
      sym__literal_string,
    STATE(5437), 2,
      sym_comment,
      sym_marginalia,
  [339594] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(2567), 1,
      anon_sym_SQUOTE,
    STATE(2606), 1,
      sym__double_quote_string,
    STATE(6097), 1,
      sym__literal_string,
    STATE(5438), 2,
      sym_comment,
      sym_marginalia,
  [339617] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6017), 1,
      sym_keyword_when,
    ACTIONS(6685), 1,
      sym_keyword_end,
    ACTIONS(8496), 1,
      sym_keyword_else,
    STATE(5563), 1,
      aux_sym_case_repeat1,
    STATE(5439), 2,
      sym_comment,
      sym_marginalia,
  [339640] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(2567), 1,
      anon_sym_SQUOTE,
    STATE(3064), 1,
      sym__double_quote_string,
    STATE(4342), 1,
      sym__literal_string,
    STATE(5440), 2,
      sym_comment,
      sym_marginalia,
  [339663] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8485), 1,
      sym__natural_number,
    STATE(5462), 1,
      aux_sym_interval_definitions_repeat1,
    STATE(5986), 1,
      sym__interval_definition,
    STATE(7015), 1,
      sym_interval_definitions,
    STATE(5441), 2,
      sym_comment,
      sym_marginalia,
  [339686] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7835), 1,
      anon_sym_BQUOTE,
    ACTIONS(8483), 1,
      sym__identifier,
    STATE(4), 1,
      sym_identifier,
    STATE(5525), 1,
      sym_column_definition,
    STATE(5442), 2,
      sym_comment,
      sym_marginalia,
  [339709] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2849), 1,
      anon_sym_BQUOTE,
    ACTIONS(8226), 1,
      sym__identifier,
    STATE(5354), 1,
      sym_identifier,
    STATE(5814), 1,
      sym_ordered_column,
    STATE(5443), 2,
      sym_comment,
      sym_marginalia,
  [339732] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6023), 1,
      sym_keyword_when,
    ACTIONS(6083), 1,
      sym_keyword_else,
    ACTIONS(6085), 1,
      sym_keyword_end,
    STATE(5504), 1,
      aux_sym_case_repeat2,
    STATE(5444), 2,
      sym_comment,
      sym_marginalia,
  [339755] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6017), 1,
      sym_keyword_when,
    ACTIONS(6841), 1,
      sym_keyword_end,
    ACTIONS(8498), 1,
      sym_keyword_else,
    STATE(5563), 1,
      aux_sym_case_repeat1,
    STATE(5445), 2,
      sym_comment,
      sym_marginalia,
  [339778] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(4509), 1,
      sym_identifier,
    STATE(4906), 1,
      sym_table_reference,
    STATE(5446), 2,
      sym_comment,
      sym_marginalia,
  [339801] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(4509), 1,
      sym_identifier,
    STATE(4894), 1,
      sym_table_reference,
    STATE(5447), 2,
      sym_comment,
      sym_marginalia,
  [339824] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    STATE(2606), 1,
      sym__double_quote_string,
    STATE(4819), 1,
      sym__literal_string,
    STATE(5448), 2,
      sym_comment,
      sym_marginalia,
  [339847] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6017), 1,
      sym_keyword_when,
    ACTIONS(6523), 1,
      sym_keyword_end,
    ACTIONS(8500), 1,
      sym_keyword_else,
    STATE(5563), 1,
      aux_sym_case_repeat1,
    STATE(5449), 2,
      sym_comment,
      sym_marginalia,
  [339870] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(5605), 1,
      sym__column,
    STATE(5922), 1,
      sym_identifier,
    STATE(5450), 2,
      sym_comment,
      sym_marginalia,
  [339893] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(2567), 1,
      anon_sym_SQUOTE,
    STATE(2606), 1,
      sym__double_quote_string,
    STATE(7449), 1,
      sym__literal_string,
    STATE(5451), 2,
      sym_comment,
      sym_marginalia,
  [339916] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8485), 1,
      sym__natural_number,
    STATE(5462), 1,
      aux_sym_interval_definitions_repeat1,
    STATE(5986), 1,
      sym__interval_definition,
    STATE(6083), 1,
      sym_interval_definitions,
    STATE(5452), 2,
      sym_comment,
      sym_marginalia,
  [339939] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6023), 1,
      sym_keyword_when,
    ACTIONS(6289), 1,
      sym_keyword_else,
    ACTIONS(6291), 1,
      sym_keyword_end,
    STATE(5504), 1,
      aux_sym_case_repeat2,
    STATE(5453), 2,
      sym_comment,
      sym_marginalia,
  [339962] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(2567), 1,
      anon_sym_SQUOTE,
    STATE(3064), 1,
      sym__double_quote_string,
    STATE(4500), 1,
      sym__literal_string,
    STATE(5454), 2,
      sym_comment,
      sym_marginalia,
  [339985] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8147), 1,
      anon_sym_COMMA,
    STATE(5480), 1,
      aux_sym__insert_set_repeat1,
    ACTIONS(7449), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
    STATE(5455), 2,
      sym_comment,
      sym_marginalia,
  [340006] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3583), 1,
      anon_sym_BQUOTE,
    ACTIONS(8120), 1,
      sym__identifier,
    STATE(4694), 1,
      sym_table_reference,
    STATE(4780), 1,
      sym_identifier,
    STATE(5456), 2,
      sym_comment,
      sym_marginalia,
  [340029] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(2567), 1,
      anon_sym_SQUOTE,
    STATE(3064), 1,
      sym__double_quote_string,
    STATE(4495), 1,
      sym__literal_string,
    STATE(5457), 2,
      sym_comment,
      sym_marginalia,
  [340052] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8502), 1,
      anon_sym_RPAREN,
    ACTIONS(8504), 1,
      anon_sym_COMMA,
    STATE(5763), 1,
      aux_sym_column_definitions_repeat1,
    STATE(7391), 1,
      sym_constraints,
    STATE(5458), 2,
      sym_comment,
      sym_marginalia,
  [340075] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7835), 1,
      anon_sym_BQUOTE,
    ACTIONS(8483), 1,
      sym__identifier,
    STATE(3), 1,
      sym_identifier,
    STATE(5525), 1,
      sym_column_definition,
    STATE(5459), 2,
      sym_comment,
      sym_marginalia,
  [340098] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6017), 1,
      sym_keyword_when,
    ACTIONS(6773), 1,
      sym_keyword_end,
    ACTIONS(8506), 1,
      sym_keyword_else,
    STATE(5563), 1,
      aux_sym_case_repeat1,
    STATE(5460), 2,
      sym_comment,
      sym_marginalia,
  [340121] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(4509), 1,
      sym_identifier,
    STATE(7566), 1,
      sym_table_reference,
    STATE(5461), 2,
      sym_comment,
      sym_marginalia,
  [340144] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8485), 1,
      sym__natural_number,
    ACTIONS(8508), 1,
      anon_sym_SQUOTE,
    STATE(5511), 1,
      aux_sym_interval_definitions_repeat1,
    STATE(5986), 1,
      sym__interval_definition,
    STATE(5462), 2,
      sym_comment,
      sym_marginalia,
  [340167] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8485), 1,
      sym__natural_number,
    STATE(5462), 1,
      aux_sym_interval_definitions_repeat1,
    STATE(5986), 1,
      sym__interval_definition,
    STATE(6585), 1,
      sym_interval_definitions,
    STATE(5463), 2,
      sym_comment,
      sym_marginalia,
  [340190] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6023), 1,
      sym_keyword_when,
    ACTIONS(6215), 1,
      sym_keyword_else,
    ACTIONS(6217), 1,
      sym_keyword_end,
    STATE(5504), 1,
      aux_sym_case_repeat2,
    STATE(5464), 2,
      sym_comment,
      sym_marginalia,
  [340213] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    STATE(2606), 1,
      sym__double_quote_string,
    STATE(4197), 1,
      sym__literal_string,
    STATE(5465), 2,
      sym_comment,
      sym_marginalia,
  [340236] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8485), 1,
      sym__natural_number,
    STATE(5462), 1,
      aux_sym_interval_definitions_repeat1,
    STATE(5986), 1,
      sym__interval_definition,
    STATE(6014), 1,
      sym_interval_definitions,
    STATE(5466), 2,
      sym_comment,
      sym_marginalia,
  [340259] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6023), 1,
      sym_keyword_when,
    ACTIONS(6211), 1,
      sym_keyword_else,
    ACTIONS(6213), 1,
      sym_keyword_end,
    STATE(5504), 1,
      aux_sym_case_repeat2,
    STATE(5467), 2,
      sym_comment,
      sym_marginalia,
  [340282] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(2567), 1,
      anon_sym_SQUOTE,
    STATE(2606), 1,
      sym__double_quote_string,
    STATE(6028), 1,
      sym__literal_string,
    STATE(5468), 2,
      sym_comment,
      sym_marginalia,
  [340305] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    STATE(2606), 1,
      sym__double_quote_string,
    STATE(4453), 1,
      sym__literal_string,
    STATE(5469), 2,
      sym_comment,
      sym_marginalia,
  [340328] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(4509), 1,
      sym_identifier,
    STATE(5738), 1,
      sym_table_reference,
    STATE(5470), 2,
      sym_comment,
      sym_marginalia,
  [340351] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7835), 1,
      anon_sym_BQUOTE,
    ACTIONS(8483), 1,
      sym__identifier,
    STATE(5), 1,
      sym_identifier,
    STATE(5490), 1,
      sym_column_definition,
    STATE(5471), 2,
      sym_comment,
      sym_marginalia,
  [340374] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7835), 1,
      anon_sym_BQUOTE,
    ACTIONS(8483), 1,
      sym__identifier,
    STATE(17), 1,
      sym_identifier,
    STATE(4714), 1,
      sym_column_definition,
    STATE(5472), 2,
      sym_comment,
      sym_marginalia,
  [340397] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6017), 1,
      sym_keyword_when,
    ACTIONS(6771), 1,
      sym_keyword_end,
    ACTIONS(8510), 1,
      sym_keyword_else,
    STATE(5563), 1,
      aux_sym_case_repeat1,
    STATE(5473), 2,
      sym_comment,
      sym_marginalia,
  [340420] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(2567), 1,
      anon_sym_SQUOTE,
    STATE(2606), 1,
      sym__double_quote_string,
    STATE(6073), 1,
      sym__literal_string,
    STATE(5474), 2,
      sym_comment,
      sym_marginalia,
  [340443] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    STATE(2606), 1,
      sym__double_quote_string,
    STATE(4455), 1,
      sym__literal_string,
    STATE(5475), 2,
      sym_comment,
      sym_marginalia,
  [340466] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(2567), 1,
      anon_sym_SQUOTE,
    STATE(3064), 1,
      sym__double_quote_string,
    STATE(4413), 1,
      sym__literal_string,
    STATE(5476), 2,
      sym_comment,
      sym_marginalia,
  [340489] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(4509), 1,
      sym_identifier,
    STATE(4870), 1,
      sym_table_reference,
    STATE(5477), 2,
      sym_comment,
      sym_marginalia,
  [340512] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8485), 1,
      sym__natural_number,
    STATE(5462), 1,
      aux_sym_interval_definitions_repeat1,
    STATE(5986), 1,
      sym__interval_definition,
    STATE(7497), 1,
      sym_interval_definitions,
    STATE(5478), 2,
      sym_comment,
      sym_marginalia,
  [340535] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(2567), 1,
      anon_sym_SQUOTE,
    STATE(2606), 1,
      sym__double_quote_string,
    STATE(7208), 1,
      sym__literal_string,
    STATE(5479), 2,
      sym_comment,
      sym_marginalia,
  [340558] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8147), 1,
      anon_sym_COMMA,
    STATE(5215), 1,
      aux_sym__insert_set_repeat1,
    ACTIONS(7453), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
    STATE(5480), 2,
      sym_comment,
      sym_marginalia,
  [340579] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(4509), 1,
      sym_identifier,
    STATE(7257), 1,
      sym_table_reference,
    STATE(5481), 2,
      sym_comment,
      sym_marginalia,
  [340602] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8512), 1,
      sym_keyword_similar,
    STATE(4623), 1,
      sym_keyword_like,
    ACTIONS(1143), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    STATE(5482), 2,
      sym_comment,
      sym_marginalia,
  [340623] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8514), 1,
      anon_sym_COMMA,
    ACTIONS(1849), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    STATE(5483), 3,
      sym_comment,
      sym_marginalia,
      aux_sym_array_repeat1,
  [340642] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(4509), 1,
      sym_identifier,
    STATE(4873), 1,
      sym_table_reference,
    STATE(5484), 2,
      sym_comment,
      sym_marginalia,
  [340665] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8485), 1,
      sym__natural_number,
    STATE(5462), 1,
      aux_sym_interval_definitions_repeat1,
    STATE(5986), 1,
      sym__interval_definition,
    STATE(7214), 1,
      sym_interval_definitions,
    STATE(5485), 2,
      sym_comment,
      sym_marginalia,
  [340688] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8485), 1,
      sym__natural_number,
    STATE(5462), 1,
      aux_sym_interval_definitions_repeat1,
    STATE(5986), 1,
      sym__interval_definition,
    STATE(6084), 1,
      sym_interval_definitions,
    STATE(5486), 2,
      sym_comment,
      sym_marginalia,
  [340711] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(4509), 1,
      sym_identifier,
    STATE(4818), 1,
      sym_table_reference,
    STATE(5487), 2,
      sym_comment,
      sym_marginalia,
  [340734] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(4509), 1,
      sym_identifier,
    STATE(5048), 1,
      sym_table_reference,
    STATE(5488), 2,
      sym_comment,
      sym_marginalia,
  [340757] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8517), 1,
      sym_keyword_select,
    ACTIONS(8519), 1,
      sym_keyword_values,
    STATE(5666), 1,
      sym_select,
    STATE(6979), 1,
      sym_values,
    STATE(5489), 2,
      sym_comment,
      sym_marginalia,
  [340780] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8504), 1,
      anon_sym_COMMA,
    ACTIONS(8521), 1,
      anon_sym_RPAREN,
    STATE(5458), 1,
      aux_sym_column_definitions_repeat1,
    STATE(7414), 1,
      sym_constraints,
    STATE(5490), 2,
      sym_comment,
      sym_marginalia,
  [340803] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6017), 1,
      sym_keyword_when,
    ACTIONS(6817), 1,
      sym_keyword_end,
    ACTIONS(8523), 1,
      sym_keyword_else,
    STATE(5563), 1,
      aux_sym_case_repeat1,
    STATE(5491), 2,
      sym_comment,
      sym_marginalia,
  [340826] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6023), 1,
      sym_keyword_when,
    ACTIONS(6303), 1,
      sym_keyword_else,
    ACTIONS(6305), 1,
      sym_keyword_end,
    STATE(5504), 1,
      aux_sym_case_repeat2,
    STATE(5492), 2,
      sym_comment,
      sym_marginalia,
  [340849] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6019), 1,
      sym_keyword_else,
    ACTIONS(6021), 1,
      sym_keyword_end,
    ACTIONS(6023), 1,
      sym_keyword_when,
    STATE(5504), 1,
      aux_sym_case_repeat2,
    STATE(5493), 2,
      sym_comment,
      sym_marginalia,
  [340872] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8517), 1,
      sym_keyword_select,
    ACTIONS(8519), 1,
      sym_keyword_values,
    STATE(5689), 1,
      sym_select,
    STATE(7499), 1,
      sym_values,
    STATE(5494), 2,
      sym_comment,
      sym_marginalia,
  [340895] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(2567), 1,
      anon_sym_SQUOTE,
    STATE(3064), 1,
      sym__double_quote_string,
    STATE(4501), 1,
      sym__literal_string,
    STATE(5495), 2,
      sym_comment,
      sym_marginalia,
  [340918] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(4509), 1,
      sym_identifier,
    STATE(6287), 1,
      sym_table_reference,
    STATE(5496), 2,
      sym_comment,
      sym_marginalia,
  [340941] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(4509), 1,
      sym_identifier,
    STATE(5040), 1,
      sym_table_reference,
    STATE(5497), 2,
      sym_comment,
      sym_marginalia,
  [340964] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7835), 1,
      anon_sym_BQUOTE,
    ACTIONS(8483), 1,
      sym__identifier,
    STATE(17), 1,
      sym_identifier,
    STATE(4716), 1,
      sym_column_definition,
    STATE(5498), 2,
      sym_comment,
      sym_marginalia,
  [340987] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(4509), 1,
      sym_identifier,
    STATE(6286), 1,
      sym_table_reference,
    STATE(5499), 2,
      sym_comment,
      sym_marginalia,
  [341010] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8525), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8527), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    STATE(5500), 2,
      sym_comment,
      sym_marginalia,
  [341029] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7835), 1,
      anon_sym_BQUOTE,
    ACTIONS(8483), 1,
      sym__identifier,
    STATE(15), 1,
      sym_identifier,
    STATE(5525), 1,
      sym_column_definition,
    STATE(5501), 2,
      sym_comment,
      sym_marginalia,
  [341052] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6017), 1,
      sym_keyword_when,
    ACTIONS(6543), 1,
      sym_keyword_end,
    ACTIONS(8529), 1,
      sym_keyword_else,
    STATE(5563), 1,
      aux_sym_case_repeat1,
    STATE(5502), 2,
      sym_comment,
      sym_marginalia,
  [341075] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8485), 1,
      sym__natural_number,
    STATE(5462), 1,
      aux_sym_interval_definitions_repeat1,
    STATE(5986), 1,
      sym__interval_definition,
    STATE(6673), 1,
      sym_interval_definitions,
    STATE(5503), 2,
      sym_comment,
      sym_marginalia,
  [341098] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8531), 1,
      sym_keyword_when,
    ACTIONS(8534), 2,
      sym_keyword_else,
      sym_keyword_end,
    STATE(5504), 3,
      sym_comment,
      sym_marginalia,
      aux_sym_case_repeat2,
  [341117] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6017), 1,
      sym_keyword_when,
    ACTIONS(6735), 1,
      sym_keyword_end,
    ACTIONS(8536), 1,
      sym_keyword_else,
    STATE(5563), 1,
      aux_sym_case_repeat1,
    STATE(5505), 2,
      sym_comment,
      sym_marginalia,
  [341140] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6017), 1,
      sym_keyword_when,
    ACTIONS(6673), 1,
      sym_keyword_end,
    ACTIONS(8538), 1,
      sym_keyword_else,
    STATE(5563), 1,
      aux_sym_case_repeat1,
    STATE(5506), 2,
      sym_comment,
      sym_marginalia,
  [341163] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(4509), 1,
      sym_identifier,
    STATE(4922), 1,
      sym_table_reference,
    STATE(5507), 2,
      sym_comment,
      sym_marginalia,
  [341186] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(2567), 1,
      anon_sym_SQUOTE,
    STATE(2606), 1,
      sym__double_quote_string,
    STATE(6153), 1,
      sym__literal_string,
    STATE(5508), 2,
      sym_comment,
      sym_marginalia,
  [341209] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(2567), 1,
      anon_sym_SQUOTE,
    STATE(2606), 1,
      sym__double_quote_string,
    STATE(6655), 1,
      sym__literal_string,
    STATE(5509), 2,
      sym_comment,
      sym_marginalia,
  [341232] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2485), 1,
      anon_sym_SQUOTE,
    ACTIONS(2489), 1,
      anon_sym_DQUOTE,
    STATE(2606), 1,
      sym__double_quote_string,
    STATE(4353), 1,
      sym__literal_string,
    STATE(5510), 2,
      sym_comment,
      sym_marginalia,
  [341255] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8540), 1,
      anon_sym_SQUOTE,
    ACTIONS(8542), 1,
      sym__natural_number,
    STATE(5986), 1,
      sym__interval_definition,
    STATE(5511), 3,
      sym_comment,
      sym_marginalia,
      aux_sym_interval_definitions_repeat1,
  [341276] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6017), 1,
      sym_keyword_when,
    ACTIONS(6719), 1,
      sym_keyword_end,
    ACTIONS(8545), 1,
      sym_keyword_else,
    STATE(5563), 1,
      aux_sym_case_repeat1,
    STATE(5512), 2,
      sym_comment,
      sym_marginalia,
  [341299] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(4885), 1,
      sym_cte,
    STATE(7551), 1,
      sym_identifier,
    STATE(5513), 2,
      sym_comment,
      sym_marginalia,
  [341322] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(4888), 1,
      sym_identifier,
    STATE(4922), 1,
      sym_table_reference,
    STATE(5514), 2,
      sym_comment,
      sym_marginalia,
  [341345] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(2567), 1,
      anon_sym_SQUOTE,
    STATE(3064), 1,
      sym__double_quote_string,
    STATE(4425), 1,
      sym__literal_string,
    STATE(5515), 2,
      sym_comment,
      sym_marginalia,
  [341368] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8504), 1,
      anon_sym_COMMA,
    ACTIONS(8547), 1,
      anon_sym_RPAREN,
    STATE(5763), 1,
      aux_sym_column_definitions_repeat1,
    STATE(7690), 1,
      sym_constraints,
    STATE(5516), 2,
      sym_comment,
      sym_marginalia,
  [341391] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6023), 1,
      sym_keyword_when,
    ACTIONS(6197), 1,
      sym_keyword_else,
    ACTIONS(6199), 1,
      sym_keyword_end,
    STATE(5504), 1,
      aux_sym_case_repeat2,
    STATE(5517), 2,
      sym_comment,
      sym_marginalia,
  [341414] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9), 1,
      sym_keyword_select,
    ACTIONS(8549), 1,
      sym_keyword_values,
    STATE(4686), 1,
      sym_select,
    STATE(4755), 1,
      sym__select_statement,
    STATE(5518), 2,
      sym_comment,
      sym_marginalia,
  [341437] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8485), 1,
      sym__natural_number,
    STATE(5462), 1,
      aux_sym_interval_definitions_repeat1,
    STATE(5986), 1,
      sym__interval_definition,
    STATE(6158), 1,
      sym_interval_definitions,
    STATE(5519), 2,
      sym_comment,
      sym_marginalia,
  [341460] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6023), 1,
      sym_keyword_when,
    ACTIONS(6281), 1,
      sym_keyword_else,
    ACTIONS(6283), 1,
      sym_keyword_end,
    STATE(5504), 1,
      aux_sym_case_repeat2,
    STATE(5520), 2,
      sym_comment,
      sym_marginalia,
  [341483] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5192), 1,
      sym_keyword_select,
    ACTIONS(8549), 1,
      sym_keyword_values,
    STATE(4638), 1,
      sym_select,
    STATE(4755), 1,
      sym__select_statement,
    STATE(5521), 2,
      sym_comment,
      sym_marginalia,
  [341506] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6023), 1,
      sym_keyword_when,
    ACTIONS(6087), 1,
      sym_keyword_else,
    ACTIONS(6089), 1,
      sym_keyword_end,
    STATE(5504), 1,
      aux_sym_case_repeat2,
    STATE(5522), 2,
      sym_comment,
      sym_marginalia,
  [341529] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8485), 1,
      sym__natural_number,
    STATE(5462), 1,
      aux_sym_interval_definitions_repeat1,
    STATE(5986), 1,
      sym__interval_definition,
    STATE(6572), 1,
      sym_interval_definitions,
    STATE(5523), 2,
      sym_comment,
      sym_marginalia,
  [341552] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8489), 1,
      anon_sym_COMMA,
    STATE(5425), 1,
      aux_sym_select_expression_repeat1,
    ACTIONS(7236), 2,
      sym_keyword_from,
      anon_sym_RPAREN,
    STATE(5524), 2,
      sym_comment,
      sym_marginalia,
  [341573] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8504), 1,
      anon_sym_COMMA,
    ACTIONS(8551), 1,
      anon_sym_RPAREN,
    STATE(5516), 1,
      aux_sym_column_definitions_repeat1,
    STATE(7564), 1,
      sym_constraints,
    STATE(5525), 2,
      sym_comment,
      sym_marginalia,
  [341596] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6017), 1,
      sym_keyword_when,
    ACTIONS(6613), 1,
      sym_keyword_end,
    ACTIONS(8553), 1,
      sym_keyword_else,
    STATE(5563), 1,
      aux_sym_case_repeat1,
    STATE(5526), 2,
      sym_comment,
      sym_marginalia,
  [341619] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6017), 1,
      sym_keyword_when,
    ACTIONS(6601), 1,
      sym_keyword_end,
    ACTIONS(8555), 1,
      sym_keyword_else,
    STATE(5563), 1,
      aux_sym_case_repeat1,
    STATE(5527), 2,
      sym_comment,
      sym_marginalia,
  [341642] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(2567), 1,
      anon_sym_SQUOTE,
    STATE(2606), 1,
      sym__double_quote_string,
    STATE(7263), 1,
      sym__literal_string,
    STATE(5528), 2,
      sym_comment,
      sym_marginalia,
  [341665] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(2567), 1,
      anon_sym_SQUOTE,
    STATE(2606), 1,
      sym__double_quote_string,
    STATE(6227), 1,
      sym__literal_string,
    STATE(5529), 2,
      sym_comment,
      sym_marginalia,
  [341688] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6023), 1,
      sym_keyword_when,
    ACTIONS(6167), 1,
      sym_keyword_else,
    ACTIONS(6169), 1,
      sym_keyword_end,
    STATE(5504), 1,
      aux_sym_case_repeat2,
    STATE(5530), 2,
      sym_comment,
      sym_marginalia,
  [341711] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    ACTIONS(7975), 1,
      sym__identifier,
    STATE(3253), 1,
      sym_identifier,
    STATE(4666), 1,
      sym_table_reference,
    STATE(5531), 2,
      sym_comment,
      sym_marginalia,
  [341734] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(4888), 1,
      sym_identifier,
    STATE(4906), 1,
      sym_table_reference,
    STATE(5532), 2,
      sym_comment,
      sym_marginalia,
  [341757] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8485), 1,
      sym__natural_number,
    STATE(5462), 1,
      aux_sym_interval_definitions_repeat1,
    STATE(5986), 1,
      sym__interval_definition,
    STATE(7270), 1,
      sym_interval_definitions,
    STATE(5533), 2,
      sym_comment,
      sym_marginalia,
  [341780] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8557), 1,
      sym_keyword_column,
    STATE(5685), 1,
      sym_identifier,
    STATE(5534), 2,
      sym_comment,
      sym_marginalia,
  [341803] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(4870), 1,
      sym_table_reference,
    STATE(4888), 1,
      sym_identifier,
    STATE(5535), 2,
      sym_comment,
      sym_marginalia,
  [341826] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(4888), 1,
      sym_identifier,
    STATE(4894), 1,
      sym_table_reference,
    STATE(5536), 2,
      sym_comment,
      sym_marginalia,
  [341849] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(4509), 1,
      sym_identifier,
    STATE(4837), 1,
      sym_table_reference,
    STATE(5537), 2,
      sym_comment,
      sym_marginalia,
  [341872] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6023), 1,
      sym_keyword_when,
    ACTIONS(6043), 1,
      sym_keyword_else,
    ACTIONS(6045), 1,
      sym_keyword_end,
    STATE(5504), 1,
      aux_sym_case_repeat2,
    STATE(5538), 2,
      sym_comment,
      sym_marginalia,
  [341895] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7835), 1,
      anon_sym_BQUOTE,
    ACTIONS(8483), 1,
      sym__identifier,
    STATE(17), 1,
      sym_identifier,
    STATE(4725), 1,
      sym_column_definition,
    STATE(5539), 2,
      sym_comment,
      sym_marginalia,
  [341918] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(2567), 1,
      anon_sym_SQUOTE,
    STATE(2606), 1,
      sym__double_quote_string,
    STATE(6563), 1,
      sym__literal_string,
    STATE(5540), 2,
      sym_comment,
      sym_marginalia,
  [341941] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(4873), 1,
      sym_table_reference,
    STATE(4888), 1,
      sym_identifier,
    STATE(5541), 2,
      sym_comment,
      sym_marginalia,
  [341964] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(5209), 1,
      sym_cte,
    STATE(7551), 1,
      sym_identifier,
    STATE(5542), 2,
      sym_comment,
      sym_marginalia,
  [341987] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8485), 1,
      sym__natural_number,
    STATE(5462), 1,
      aux_sym_interval_definitions_repeat1,
    STATE(5986), 1,
      sym__interval_definition,
    STATE(6183), 1,
      sym_interval_definitions,
    STATE(5543), 2,
      sym_comment,
      sym_marginalia,
  [342010] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6023), 1,
      sym_keyword_when,
    ACTIONS(6237), 1,
      sym_keyword_else,
    ACTIONS(6239), 1,
      sym_keyword_end,
    STATE(5504), 1,
      aux_sym_case_repeat2,
    STATE(5544), 2,
      sym_comment,
      sym_marginalia,
  [342033] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2485), 1,
      anon_sym_SQUOTE,
    ACTIONS(2489), 1,
      anon_sym_DQUOTE,
    STATE(2606), 1,
      sym__double_quote_string,
    STATE(4349), 1,
      sym__literal_string,
    STATE(5545), 2,
      sym_comment,
      sym_marginalia,
  [342056] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(4509), 1,
      sym_identifier,
    STATE(6248), 1,
      sym_table_reference,
    STATE(5546), 2,
      sym_comment,
      sym_marginalia,
  [342079] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(4509), 1,
      sym_identifier,
    STATE(7283), 1,
      sym_table_reference,
    STATE(5547), 2,
      sym_comment,
      sym_marginalia,
  [342102] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2485), 1,
      anon_sym_SQUOTE,
    ACTIONS(2489), 1,
      anon_sym_DQUOTE,
    STATE(2606), 1,
      sym__double_quote_string,
    STATE(4455), 1,
      sym__literal_string,
    STATE(5548), 2,
      sym_comment,
      sym_marginalia,
  [342125] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(2567), 1,
      anon_sym_SQUOTE,
    STATE(2606), 1,
      sym__double_quote_string,
    STATE(6166), 1,
      sym__literal_string,
    STATE(5549), 2,
      sym_comment,
      sym_marginalia,
  [342148] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7835), 1,
      anon_sym_BQUOTE,
    ACTIONS(8483), 1,
      sym__identifier,
    STATE(2), 1,
      sym_identifier,
    STATE(5490), 1,
      sym_column_definition,
    STATE(5550), 2,
      sym_comment,
      sym_marginalia,
  [342171] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7835), 1,
      anon_sym_BQUOTE,
    ACTIONS(8483), 1,
      sym__identifier,
    STATE(17), 1,
      sym_identifier,
    STATE(4719), 1,
      sym_column_definition,
    STATE(5551), 2,
      sym_comment,
      sym_marginalia,
  [342194] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2485), 1,
      anon_sym_SQUOTE,
    ACTIONS(2489), 1,
      anon_sym_DQUOTE,
    STATE(2606), 1,
      sym__double_quote_string,
    STATE(4453), 1,
      sym__literal_string,
    STATE(5552), 2,
      sym_comment,
      sym_marginalia,
  [342217] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6017), 1,
      sym_keyword_when,
    ACTIONS(6667), 1,
      sym_keyword_end,
    ACTIONS(8559), 1,
      sym_keyword_else,
    STATE(5563), 1,
      aux_sym_case_repeat1,
    STATE(5553), 2,
      sym_comment,
      sym_marginalia,
  [342240] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    STATE(2606), 1,
      sym__double_quote_string,
    STATE(4387), 1,
      sym__literal_string,
    STATE(5554), 2,
      sym_comment,
      sym_marginalia,
  [342263] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(4509), 1,
      sym_identifier,
    STATE(5770), 1,
      sym_table_reference,
    STATE(5555), 2,
      sym_comment,
      sym_marginalia,
  [342286] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6023), 1,
      sym_keyword_when,
    ACTIONS(6233), 1,
      sym_keyword_else,
    ACTIONS(6235), 1,
      sym_keyword_end,
    STATE(5504), 1,
      aux_sym_case_repeat2,
    STATE(5556), 2,
      sym_comment,
      sym_marginalia,
  [342309] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6023), 1,
      sym_keyword_when,
    ACTIONS(6079), 1,
      sym_keyword_else,
    ACTIONS(6081), 1,
      sym_keyword_end,
    STATE(5504), 1,
      aux_sym_case_repeat2,
    STATE(5557), 2,
      sym_comment,
      sym_marginalia,
  [342332] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    STATE(2606), 1,
      sym__double_quote_string,
    STATE(4791), 1,
      sym__literal_string,
    STATE(5558), 2,
      sym_comment,
      sym_marginalia,
  [342355] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(2567), 1,
      anon_sym_SQUOTE,
    STATE(3064), 1,
      sym__double_quote_string,
    STATE(4348), 1,
      sym__literal_string,
    STATE(5559), 2,
      sym_comment,
      sym_marginalia,
  [342378] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6017), 1,
      sym_keyword_when,
    ACTIONS(6649), 1,
      sym_keyword_end,
    ACTIONS(8561), 1,
      sym_keyword_else,
    STATE(5563), 1,
      aux_sym_case_repeat1,
    STATE(5560), 2,
      sym_comment,
      sym_marginalia,
  [342401] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8485), 1,
      sym__natural_number,
    STATE(5462), 1,
      aux_sym_interval_definitions_repeat1,
    STATE(5986), 1,
      sym__interval_definition,
    STATE(6482), 1,
      sym_interval_definitions,
    STATE(5561), 2,
      sym_comment,
      sym_marginalia,
  [342424] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6023), 1,
      sym_keyword_when,
    ACTIONS(6055), 1,
      sym_keyword_else,
    ACTIONS(6057), 1,
      sym_keyword_end,
    STATE(5504), 1,
      aux_sym_case_repeat2,
    STATE(5562), 2,
      sym_comment,
      sym_marginalia,
  [342447] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8563), 1,
      sym_keyword_when,
    ACTIONS(8566), 2,
      sym_keyword_else,
      sym_keyword_end,
    STATE(5563), 3,
      sym_comment,
      sym_marginalia,
      aux_sym_case_repeat1,
  [342466] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6023), 1,
      sym_keyword_when,
    ACTIONS(6059), 1,
      sym_keyword_else,
    ACTIONS(6061), 1,
      sym_keyword_end,
    STATE(5504), 1,
      aux_sym_case_repeat2,
    STATE(5564), 2,
      sym_comment,
      sym_marginalia,
  [342489] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(4509), 1,
      sym_identifier,
    STATE(4788), 1,
      sym_table_reference,
    STATE(5565), 2,
      sym_comment,
      sym_marginalia,
  [342512] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6023), 1,
      sym_keyword_when,
    ACTIONS(6245), 1,
      sym_keyword_else,
    ACTIONS(6247), 1,
      sym_keyword_end,
    STATE(5504), 1,
      aux_sym_case_repeat2,
    STATE(5566), 2,
      sym_comment,
      sym_marginalia,
  [342535] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(2567), 1,
      anon_sym_SQUOTE,
    STATE(2606), 1,
      sym__double_quote_string,
    STATE(6469), 1,
      sym__literal_string,
    STATE(5567), 2,
      sym_comment,
      sym_marginalia,
  [342558] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8485), 1,
      sym__natural_number,
    STATE(5462), 1,
      aux_sym_interval_definitions_repeat1,
    STATE(5986), 1,
      sym__interval_definition,
    STATE(7333), 1,
      sym_interval_definitions,
    STATE(5568), 2,
      sym_comment,
      sym_marginalia,
  [342581] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(4891), 1,
      sym_cte,
    STATE(7551), 1,
      sym_identifier,
    STATE(5569), 2,
      sym_comment,
      sym_marginalia,
  [342604] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(4509), 1,
      sym_identifier,
    STATE(5734), 1,
      sym_table_reference,
    STATE(5570), 2,
      sym_comment,
      sym_marginalia,
  [342627] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6017), 1,
      sym_keyword_when,
    ACTIONS(6721), 1,
      sym_keyword_end,
    ACTIONS(8568), 1,
      sym_keyword_else,
    STATE(5563), 1,
      aux_sym_case_repeat1,
    STATE(5571), 2,
      sym_comment,
      sym_marginalia,
  [342650] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(2567), 1,
      anon_sym_SQUOTE,
    STATE(2606), 1,
      sym__double_quote_string,
    STATE(6350), 1,
      sym__literal_string,
    STATE(5572), 2,
      sym_comment,
      sym_marginalia,
  [342673] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8485), 1,
      sym__natural_number,
    STATE(5462), 1,
      aux_sym_interval_definitions_repeat1,
    STATE(5986), 1,
      sym__interval_definition,
    STATE(6362), 1,
      sym_interval_definitions,
    STATE(5573), 2,
      sym_comment,
      sym_marginalia,
  [342696] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(4846), 1,
      sym_table_reference,
    STATE(4888), 1,
      sym_identifier,
    STATE(5574), 2,
      sym_comment,
      sym_marginalia,
  [342719] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(4509), 1,
      sym_identifier,
    STATE(4777), 1,
      sym_table_reference,
    STATE(5575), 2,
      sym_comment,
      sym_marginalia,
  [342742] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(5822), 1,
      sym__column,
    STATE(5922), 1,
      sym_identifier,
    STATE(5576), 2,
      sym_comment,
      sym_marginalia,
  [342765] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(2567), 1,
      anon_sym_SQUOTE,
    STATE(2606), 1,
      sym__double_quote_string,
    STATE(6396), 1,
      sym__literal_string,
    STATE(5577), 2,
      sym_comment,
      sym_marginalia,
  [342788] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(2567), 1,
      anon_sym_SQUOTE,
    STATE(2606), 1,
      sym__double_quote_string,
    STATE(7364), 1,
      sym__literal_string,
    STATE(5578), 2,
      sym_comment,
      sym_marginalia,
  [342811] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8485), 1,
      sym__natural_number,
    STATE(5462), 1,
      aux_sym_interval_definitions_repeat1,
    STATE(5986), 1,
      sym__interval_definition,
    STATE(6301), 1,
      sym_interval_definitions,
    STATE(5579), 2,
      sym_comment,
      sym_marginalia,
  [342834] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE,
    ACTIONS(2447), 1,
      anon_sym_DQUOTE,
    STATE(2606), 1,
      sym__double_quote_string,
    STATE(4854), 1,
      sym__literal_string,
    STATE(5580), 2,
      sym_comment,
      sym_marginalia,
  [342857] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(4509), 1,
      sym_identifier,
    STATE(5060), 1,
      sym_table_reference,
    STATE(5581), 2,
      sym_comment,
      sym_marginalia,
  [342880] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    ACTIONS(7975), 1,
      sym__identifier,
    STATE(3253), 1,
      sym_identifier,
    STATE(4238), 1,
      sym_table_reference,
    STATE(5582), 2,
      sym_comment,
      sym_marginalia,
  [342903] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(2567), 1,
      anon_sym_SQUOTE,
    STATE(2606), 1,
      sym__double_quote_string,
    STATE(6292), 1,
      sym__literal_string,
    STATE(5583), 2,
      sym_comment,
      sym_marginalia,
  [342926] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(4509), 1,
      sym_identifier,
    STATE(6160), 1,
      sym_table_reference,
    STATE(5584), 2,
      sym_comment,
      sym_marginalia,
  [342949] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(4509), 1,
      sym_identifier,
    STATE(5182), 1,
      sym_table_reference,
    STATE(5585), 2,
      sym_comment,
      sym_marginalia,
  [342972] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7808), 1,
      sym_keyword_select,
    ACTIONS(8549), 1,
      sym_keyword_values,
    STATE(4755), 1,
      sym__select_statement,
    STATE(5136), 1,
      sym_select,
    STATE(5586), 2,
      sym_comment,
      sym_marginalia,
  [342995] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7835), 1,
      anon_sym_BQUOTE,
    ACTIONS(8483), 1,
      sym__identifier,
    STATE(15), 1,
      sym_identifier,
    STATE(5799), 1,
      sym_column_definition,
    STATE(5587), 2,
      sym_comment,
      sym_marginalia,
  [343018] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(4837), 1,
      sym_table_reference,
    STATE(4888), 1,
      sym_identifier,
    STATE(5588), 2,
      sym_comment,
      sym_marginalia,
  [343041] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7835), 1,
      anon_sym_BQUOTE,
    ACTIONS(8483), 1,
      sym__identifier,
    STATE(17), 1,
      sym_identifier,
    STATE(4717), 1,
      sym_column_definition,
    STATE(5589), 2,
      sym_comment,
      sym_marginalia,
  [343064] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6017), 1,
      sym_keyword_when,
    ACTIONS(6783), 1,
      sym_keyword_end,
    ACTIONS(8570), 1,
      sym_keyword_else,
    STATE(5563), 1,
      aux_sym_case_repeat1,
    STATE(5590), 2,
      sym_comment,
      sym_marginalia,
  [343087] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6017), 1,
      sym_keyword_when,
    ACTIONS(6805), 1,
      sym_keyword_end,
    ACTIONS(8572), 1,
      sym_keyword_else,
    STATE(5563), 1,
      aux_sym_case_repeat1,
    STATE(5591), 2,
      sym_comment,
      sym_marginalia,
  [343110] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    ACTIONS(7975), 1,
      sym__identifier,
    STATE(3253), 1,
      sym_identifier,
    STATE(5140), 1,
      sym_table_reference,
    STATE(5592), 2,
      sym_comment,
      sym_marginalia,
  [343133] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6139), 1,
      sym_keyword_order,
    STATE(5973), 1,
      sym_order_by,
    ACTIONS(6227), 2,
      sym_keyword_separator,
      anon_sym_RPAREN,
    STATE(5593), 2,
      sym_comment,
      sym_marginalia,
  [343154] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1187), 1,
      anon_sym_DQUOTE,
    ACTIONS(2567), 1,
      anon_sym_SQUOTE,
    STATE(2606), 1,
      sym__double_quote_string,
    STATE(7326), 1,
      sym__literal_string,
    STATE(5594), 2,
      sym_comment,
      sym_marginalia,
  [343177] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2485), 1,
      anon_sym_SQUOTE,
    ACTIONS(2489), 1,
      anon_sym_DQUOTE,
    STATE(2606), 1,
      sym__double_quote_string,
    STATE(4387), 1,
      sym__literal_string,
    STATE(5595), 2,
      sym_comment,
      sym_marginalia,
  [343200] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8485), 1,
      sym__natural_number,
    STATE(5462), 1,
      aux_sym_interval_definitions_repeat1,
    STATE(5986), 1,
      sym__interval_definition,
    STATE(6360), 1,
      sym_interval_definitions,
    STATE(5596), 2,
      sym_comment,
      sym_marginalia,
  [343223] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(4818), 1,
      sym_table_reference,
    STATE(4888), 1,
      sym_identifier,
    STATE(5597), 2,
      sym_comment,
      sym_marginalia,
  [343246] = 7,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7835), 1,
      anon_sym_BQUOTE,
    ACTIONS(8483), 1,
      sym__identifier,
    STATE(17), 1,
      sym_identifier,
    STATE(4715), 1,
      sym_column_definition,
    STATE(5598), 2,
      sym_comment,
      sym_marginalia,
  [343269] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6307), 1,
      anon_sym_COMMA,
    ACTIONS(8574), 1,
      anon_sym_RBRACK,
    STATE(5483), 1,
      aux_sym_array_repeat1,
    STATE(5599), 2,
      sym_comment,
      sym_marginalia,
  [343289] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6323), 1,
      anon_sym_COMMA,
    ACTIONS(8576), 1,
      anon_sym_RPAREN,
    STATE(5606), 1,
      aux_sym_invocation_repeat1,
    STATE(5600), 2,
      sym_comment,
      sym_marginalia,
  [343309] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6323), 1,
      anon_sym_COMMA,
    ACTIONS(8578), 1,
      anon_sym_RPAREN,
    STATE(5606), 1,
      aux_sym_invocation_repeat1,
    STATE(5601), 2,
      sym_comment,
      sym_marginalia,
  [343329] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8580), 1,
      anon_sym_RPAREN,
    ACTIONS(8582), 1,
      anon_sym_COMMA,
    STATE(5602), 3,
      sym_comment,
      sym_marginalia,
      aux_sym_table_sort_repeat1,
  [343347] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5192), 1,
      sym_keyword_select,
    ACTIONS(8585), 1,
      sym_keyword_all,
    STATE(4703), 1,
      sym_select,
    STATE(5603), 2,
      sym_comment,
      sym_marginalia,
  [343367] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(4904), 1,
      sym_identifier,
    STATE(5604), 2,
      sym_comment,
      sym_marginalia,
  [343387] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8587), 1,
      anon_sym_RPAREN,
    ACTIONS(8589), 1,
      anon_sym_COMMA,
    STATE(5611), 1,
      aux_sym__column_list_repeat1,
    STATE(5605), 2,
      sym_comment,
      sym_marginalia,
  [343407] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8591), 1,
      anon_sym_RPAREN,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    STATE(5606), 3,
      sym_comment,
      sym_marginalia,
      aux_sym_invocation_repeat1,
  [343425] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(7650), 1,
      sym_identifier,
    STATE(5607), 2,
      sym_comment,
      sym_marginalia,
  [343445] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6323), 1,
      anon_sym_COMMA,
    ACTIONS(8596), 1,
      anon_sym_RPAREN,
    STATE(5606), 1,
      aux_sym_invocation_repeat1,
    STATE(5608), 2,
      sym_comment,
      sym_marginalia,
  [343465] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6307), 1,
      anon_sym_COMMA,
    ACTIONS(8598), 1,
      anon_sym_RPAREN,
    STATE(5483), 1,
      aux_sym_array_repeat1,
    STATE(5609), 2,
      sym_comment,
      sym_marginalia,
  [343485] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8143), 1,
      sym_keyword_from,
    ACTIONS(8600), 1,
      anon_sym_RPAREN,
    STATE(6154), 1,
      sym_from,
    STATE(5610), 2,
      sym_comment,
      sym_marginalia,
  [343505] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8589), 1,
      anon_sym_COMMA,
    ACTIONS(8602), 1,
      anon_sym_RPAREN,
    STATE(5731), 1,
      aux_sym__column_list_repeat1,
    STATE(5611), 2,
      sym_comment,
      sym_marginalia,
  [343525] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6307), 1,
      anon_sym_COMMA,
    ACTIONS(8604), 1,
      anon_sym_RBRACK,
    STATE(5483), 1,
      aux_sym_array_repeat1,
    STATE(5612), 2,
      sym_comment,
      sym_marginalia,
  [343545] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(7750), 1,
      sym_identifier,
    STATE(5613), 2,
      sym_comment,
      sym_marginalia,
  [343565] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8143), 1,
      sym_keyword_from,
    ACTIONS(8606), 1,
      anon_sym_RPAREN,
    STATE(7332), 1,
      sym_from,
    STATE(5614), 2,
      sym_comment,
      sym_marginalia,
  [343585] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(6594), 1,
      sym_identifier,
    STATE(5615), 2,
      sym_comment,
      sym_marginalia,
  [343605] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(4812), 1,
      sym_identifier,
    STATE(5616), 2,
      sym_comment,
      sym_marginalia,
  [343625] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6307), 1,
      anon_sym_COMMA,
    ACTIONS(8608), 1,
      anon_sym_RBRACK,
    STATE(5483), 1,
      aux_sym_array_repeat1,
    STATE(5617), 2,
      sym_comment,
      sym_marginalia,
  [343645] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9), 1,
      sym_keyword_select,
    STATE(4686), 1,
      sym_select,
    STATE(4902), 1,
      sym__select_statement,
    STATE(5618), 2,
      sym_comment,
      sym_marginalia,
  [343665] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6323), 1,
      anon_sym_COMMA,
    ACTIONS(8610), 1,
      anon_sym_RPAREN,
    STATE(5606), 1,
      aux_sym_invocation_repeat1,
    STATE(5619), 2,
      sym_comment,
      sym_marginalia,
  [343685] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8143), 1,
      sym_keyword_from,
    ACTIONS(8612), 1,
      anon_sym_RPAREN,
    STATE(6402), 1,
      sym_from,
    STATE(5620), 2,
      sym_comment,
      sym_marginalia,
  [343705] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6323), 1,
      anon_sym_COMMA,
    ACTIONS(8614), 1,
      anon_sym_RPAREN,
    STATE(5606), 1,
      aux_sym_invocation_repeat1,
    STATE(5621), 2,
      sym_comment,
      sym_marginalia,
  [343725] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6307), 1,
      anon_sym_COMMA,
    ACTIONS(8616), 1,
      anon_sym_RPAREN,
    STATE(5483), 1,
      aux_sym_array_repeat1,
    STATE(5622), 2,
      sym_comment,
      sym_marginalia,
  [343745] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6323), 1,
      anon_sym_COMMA,
    ACTIONS(8618), 1,
      anon_sym_RPAREN,
    STATE(5606), 1,
      aux_sym_invocation_repeat1,
    STATE(5623), 2,
      sym_comment,
      sym_marginalia,
  [343765] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(7210), 1,
      sym_identifier,
    STATE(5624), 2,
      sym_comment,
      sym_marginalia,
  [343785] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6307), 1,
      anon_sym_COMMA,
    ACTIONS(8620), 1,
      anon_sym_RPAREN,
    STATE(5483), 1,
      aux_sym_array_repeat1,
    STATE(5625), 2,
      sym_comment,
      sym_marginalia,
  [343805] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    ACTIONS(7975), 1,
      sym__identifier,
    STATE(4589), 1,
      sym_identifier,
    STATE(5626), 2,
      sym_comment,
      sym_marginalia,
  [343825] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8622), 1,
      anon_sym_RPAREN,
    ACTIONS(8624), 1,
      anon_sym_COMMA,
    STATE(5706), 1,
      aux_sym_table_options_repeat1,
    STATE(5627), 2,
      sym_comment,
      sym_marginalia,
  [343845] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6307), 1,
      anon_sym_COMMA,
    ACTIONS(8626), 1,
      anon_sym_RBRACK,
    STATE(5483), 1,
      aux_sym_array_repeat1,
    STATE(5628), 2,
      sym_comment,
      sym_marginalia,
  [343865] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(4816), 1,
      sym_identifier,
    STATE(5629), 2,
      sym_comment,
      sym_marginalia,
  [343885] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6307), 1,
      anon_sym_COMMA,
    ACTIONS(8628), 1,
      anon_sym_RPAREN,
    STATE(5483), 1,
      aux_sym_array_repeat1,
    STATE(5630), 2,
      sym_comment,
      sym_marginalia,
  [343905] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(5752), 1,
      sym_identifier,
    STATE(5631), 2,
      sym_comment,
      sym_marginalia,
  [343925] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6307), 1,
      anon_sym_COMMA,
    ACTIONS(8630), 1,
      anon_sym_RBRACK,
    STATE(5483), 1,
      aux_sym_array_repeat1,
    STATE(5632), 2,
      sym_comment,
      sym_marginalia,
  [343945] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6323), 1,
      anon_sym_COMMA,
    ACTIONS(8632), 1,
      anon_sym_RPAREN,
    STATE(5606), 1,
      aux_sym_invocation_repeat1,
    STATE(5633), 2,
      sym_comment,
      sym_marginalia,
  [343965] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7608), 1,
      anon_sym_RPAREN,
    ACTIONS(8634), 1,
      sym_keyword_returning,
    STATE(4795), 1,
      sym_returning,
    STATE(5634), 2,
      sym_comment,
      sym_marginalia,
  [343985] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9), 1,
      sym_keyword_select,
    STATE(4686), 1,
      sym_select,
    STATE(4842), 1,
      sym__select_statement,
    STATE(5635), 2,
      sym_comment,
      sym_marginalia,
  [344005] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8143), 1,
      sym_keyword_from,
    ACTIONS(8636), 1,
      anon_sym_RPAREN,
    STATE(6825), 1,
      sym_from,
    STATE(5636), 2,
      sym_comment,
      sym_marginalia,
  [344025] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7618), 1,
      anon_sym_RPAREN,
    ACTIONS(8634), 1,
      sym_keyword_returning,
    STATE(4803), 1,
      sym_returning,
    STATE(5637), 2,
      sym_comment,
      sym_marginalia,
  [344045] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8638), 1,
      sym_keyword_using,
    ACTIONS(8640), 1,
      anon_sym_LPAREN,
    STATE(4805), 1,
      sym_ordered_columns,
    STATE(5638), 2,
      sym_comment,
      sym_marginalia,
  [344065] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6307), 1,
      anon_sym_COMMA,
    ACTIONS(8642), 1,
      anon_sym_RPAREN,
    STATE(5483), 1,
      aux_sym_array_repeat1,
    STATE(5639), 2,
      sym_comment,
      sym_marginalia,
  [344085] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8644), 1,
      anon_sym_RPAREN,
    ACTIONS(8646), 1,
      anon_sym_COMMA,
    STATE(5640), 3,
      sym_comment,
      sym_marginalia,
      aux_sym_ordered_columns_repeat1,
  [344103] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7622), 1,
      anon_sym_RPAREN,
    ACTIONS(8634), 1,
      sym_keyword_returning,
    STATE(4794), 1,
      sym_returning,
    STATE(5641), 2,
      sym_comment,
      sym_marginalia,
  [344123] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    ACTIONS(7975), 1,
      sym__identifier,
    STATE(5589), 1,
      sym_identifier,
    STATE(5642), 2,
      sym_comment,
      sym_marginalia,
  [344143] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(6247), 1,
      sym_identifier,
    STATE(5643), 2,
      sym_comment,
      sym_marginalia,
  [344163] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8649), 1,
      anon_sym_RPAREN,
    ACTIONS(8651), 1,
      anon_sym_COMMA,
    STATE(5783), 1,
      aux_sym_ordered_columns_repeat1,
    STATE(5644), 2,
      sym_comment,
      sym_marginalia,
  [344183] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8640), 1,
      anon_sym_LPAREN,
    ACTIONS(8653), 1,
      sym_keyword_using,
    STATE(4804), 1,
      sym_ordered_columns,
    STATE(5645), 2,
      sym_comment,
      sym_marginalia,
  [344203] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6307), 1,
      anon_sym_COMMA,
    ACTIONS(8655), 1,
      anon_sym_RPAREN,
    STATE(5483), 1,
      aux_sym_array_repeat1,
    STATE(5646), 2,
      sym_comment,
      sym_marginalia,
  [344223] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9), 1,
      sym_keyword_select,
    STATE(4686), 1,
      sym_select,
    STATE(4883), 1,
      sym__select_statement,
    STATE(5647), 2,
      sym_comment,
      sym_marginalia,
  [344243] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8657), 1,
      sym_keyword_set,
    ACTIONS(8659), 1,
      sym_keyword_drop,
    ACTIONS(8661), 1,
      sym_keyword_type,
    STATE(5648), 2,
      sym_comment,
      sym_marginalia,
  [344263] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8663), 1,
      sym_keyword_not,
    ACTIONS(8665), 1,
      sym_keyword_default,
    ACTIONS(8667), 1,
      sym_keyword_data,
    STATE(5649), 2,
      sym_comment,
      sym_marginalia,
  [344283] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8669), 1,
      anon_sym_RPAREN,
    ACTIONS(8671), 1,
      anon_sym_COMMA,
    STATE(5679), 1,
      aux_sym_constraints_repeat1,
    STATE(5650), 2,
      sym_comment,
      sym_marginalia,
  [344303] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    ACTIONS(7975), 1,
      sym__identifier,
    STATE(5419), 1,
      sym_identifier,
    STATE(5651), 2,
      sym_comment,
      sym_marginalia,
  [344323] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(7569), 1,
      sym_identifier,
    STATE(5652), 2,
      sym_comment,
      sym_marginalia,
  [344343] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6307), 1,
      anon_sym_COMMA,
    ACTIONS(8673), 1,
      anon_sym_RBRACK,
    STATE(5483), 1,
      aux_sym_array_repeat1,
    STATE(5653), 2,
      sym_comment,
      sym_marginalia,
  [344363] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6323), 1,
      anon_sym_COMMA,
    ACTIONS(8675), 1,
      anon_sym_RPAREN,
    STATE(5606), 1,
      aux_sym_invocation_repeat1,
    STATE(5654), 2,
      sym_comment,
      sym_marginalia,
  [344383] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(3382), 1,
      sym_identifier,
    STATE(5655), 2,
      sym_comment,
      sym_marginalia,
  [344403] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(4827), 1,
      sym_identifier,
    STATE(5656), 2,
      sym_comment,
      sym_marginalia,
  [344423] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6307), 1,
      anon_sym_COMMA,
    ACTIONS(8677), 1,
      anon_sym_RBRACK,
    STATE(5483), 1,
      aux_sym_array_repeat1,
    STATE(5657), 2,
      sym_comment,
      sym_marginalia,
  [344443] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6323), 1,
      anon_sym_COMMA,
    ACTIONS(8679), 1,
      anon_sym_RPAREN,
    STATE(5606), 1,
      aux_sym_invocation_repeat1,
    STATE(5658), 2,
      sym_comment,
      sym_marginalia,
  [344463] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8143), 1,
      sym_keyword_from,
    ACTIONS(8681), 1,
      anon_sym_RPAREN,
    STATE(6157), 1,
      sym_from,
    STATE(5659), 2,
      sym_comment,
      sym_marginalia,
  [344483] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9), 1,
      sym_keyword_select,
    STATE(4686), 1,
      sym_select,
    STATE(4899), 1,
      sym__select_statement,
    STATE(5660), 2,
      sym_comment,
      sym_marginalia,
  [344503] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8143), 1,
      sym_keyword_from,
    ACTIONS(8683), 1,
      anon_sym_RPAREN,
    STATE(6359), 1,
      sym_from,
    STATE(5661), 2,
      sym_comment,
      sym_marginalia,
  [344523] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(4828), 1,
      sym_identifier,
    STATE(5662), 2,
      sym_comment,
      sym_marginalia,
  [344543] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    ACTIONS(7975), 1,
      sym__identifier,
    STATE(72), 1,
      sym_identifier,
    STATE(5663), 2,
      sym_comment,
      sym_marginalia,
  [344563] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6323), 1,
      anon_sym_COMMA,
    ACTIONS(8685), 1,
      anon_sym_RPAREN,
    STATE(5606), 1,
      aux_sym_invocation_repeat1,
    STATE(5664), 2,
      sym_comment,
      sym_marginalia,
  [344583] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(6595), 1,
      sym_identifier,
    STATE(5665), 2,
      sym_comment,
      sym_marginalia,
  [344603] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8143), 1,
      sym_keyword_from,
    ACTIONS(8687), 1,
      anon_sym_RPAREN,
    STATE(7496), 1,
      sym_from,
    STATE(5666), 2,
      sym_comment,
      sym_marginalia,
  [344623] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8689), 1,
      anon_sym_RPAREN,
    ACTIONS(8691), 1,
      anon_sym_COMMA,
    STATE(5602), 1,
      aux_sym_table_sort_repeat1,
    STATE(5667), 2,
      sym_comment,
      sym_marginalia,
  [344643] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6307), 1,
      anon_sym_COMMA,
    ACTIONS(8693), 1,
      anon_sym_RBRACK,
    STATE(5483), 1,
      aux_sym_array_repeat1,
    STATE(5668), 2,
      sym_comment,
      sym_marginalia,
  [344663] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6323), 1,
      anon_sym_COMMA,
    ACTIONS(8695), 1,
      anon_sym_RPAREN,
    STATE(5606), 1,
      aux_sym_invocation_repeat1,
    STATE(5669), 2,
      sym_comment,
      sym_marginalia,
  [344683] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6307), 1,
      anon_sym_COMMA,
    ACTIONS(8697), 1,
      anon_sym_RBRACK,
    STATE(5483), 1,
      aux_sym_array_repeat1,
    STATE(5670), 2,
      sym_comment,
      sym_marginalia,
  [344703] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(4829), 1,
      sym_identifier,
    STATE(5671), 2,
      sym_comment,
      sym_marginalia,
  [344723] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6307), 1,
      anon_sym_COMMA,
    ACTIONS(8699), 1,
      anon_sym_RPAREN,
    STATE(5483), 1,
      aux_sym_array_repeat1,
    STATE(5672), 2,
      sym_comment,
      sym_marginalia,
  [344743] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3583), 1,
      anon_sym_BQUOTE,
    ACTIONS(8120), 1,
      sym__identifier,
    STATE(3382), 1,
      sym_identifier,
    STATE(5673), 2,
      sym_comment,
      sym_marginalia,
  [344763] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(6353), 1,
      sym_identifier,
    STATE(5674), 2,
      sym_comment,
      sym_marginalia,
  [344783] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6307), 1,
      anon_sym_COMMA,
    ACTIONS(8701), 1,
      anon_sym_RPAREN,
    STATE(5483), 1,
      aux_sym_array_repeat1,
    STATE(5675), 2,
      sym_comment,
      sym_marginalia,
  [344803] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(5921), 1,
      sym_identifier,
    STATE(5676), 2,
      sym_comment,
      sym_marginalia,
  [344823] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6307), 1,
      anon_sym_COMMA,
    ACTIONS(8703), 1,
      anon_sym_RBRACK,
    STATE(5483), 1,
      aux_sym_array_repeat1,
    STATE(5677), 2,
      sym_comment,
      sym_marginalia,
  [344843] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8705), 1,
      anon_sym_RPAREN,
    ACTIONS(8707), 1,
      anon_sym_COMMA,
    STATE(5678), 3,
      sym_comment,
      sym_marginalia,
      aux_sym_table_options_repeat1,
  [344861] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8710), 1,
      anon_sym_RPAREN,
    ACTIONS(8712), 1,
      anon_sym_COMMA,
    STATE(5679), 3,
      sym_comment,
      sym_marginalia,
      aux_sym_constraints_repeat1,
  [344879] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(6530), 1,
      sym_identifier,
    STATE(5680), 2,
      sym_comment,
      sym_marginalia,
  [344899] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6323), 1,
      anon_sym_COMMA,
    ACTIONS(8715), 1,
      anon_sym_RPAREN,
    STATE(5606), 1,
      aux_sym_invocation_repeat1,
    STATE(5681), 2,
      sym_comment,
      sym_marginalia,
  [344919] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8143), 1,
      sym_keyword_from,
    ACTIONS(8717), 1,
      anon_sym_RPAREN,
    STATE(6082), 1,
      sym_from,
    STATE(5682), 2,
      sym_comment,
      sym_marginalia,
  [344939] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9), 1,
      sym_keyword_select,
    STATE(4686), 1,
      sym_select,
    STATE(4878), 1,
      sym__select_statement,
    STATE(5683), 2,
      sym_comment,
      sym_marginalia,
  [344959] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8719), 1,
      sym_keyword_table,
    ACTIONS(8721), 1,
      sym_keyword_view,
    ACTIONS(8723), 1,
      sym_keyword_index,
    STATE(5684), 2,
      sym_comment,
      sym_marginalia,
  [344979] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8725), 1,
      sym_keyword_set,
    ACTIONS(8727), 1,
      sym_keyword_drop,
    ACTIONS(8729), 1,
      sym_keyword_type,
    STATE(5685), 2,
      sym_comment,
      sym_marginalia,
  [344999] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8143), 1,
      sym_keyword_from,
    ACTIONS(8731), 1,
      anon_sym_RPAREN,
    STATE(6208), 1,
      sym_from,
    STATE(5686), 2,
      sym_comment,
      sym_marginalia,
  [345019] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(6529), 1,
      sym_identifier,
    STATE(5687), 2,
      sym_comment,
      sym_marginalia,
  [345039] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8143), 1,
      sym_keyword_from,
    ACTIONS(8733), 1,
      anon_sym_RPAREN,
    STATE(7269), 1,
      sym_from,
    STATE(5688), 2,
      sym_comment,
      sym_marginalia,
  [345059] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8143), 1,
      sym_keyword_from,
    ACTIONS(8735), 1,
      anon_sym_RPAREN,
    STATE(7213), 1,
      sym_from,
    STATE(5689), 2,
      sym_comment,
      sym_marginalia,
  [345079] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6307), 1,
      anon_sym_COMMA,
    ACTIONS(8737), 1,
      anon_sym_RPAREN,
    STATE(5483), 1,
      aux_sym_array_repeat1,
    STATE(5690), 2,
      sym_comment,
      sym_marginalia,
  [345099] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9), 1,
      sym_keyword_select,
    STATE(4686), 1,
      sym_select,
    STATE(4869), 1,
      sym__select_statement,
    STATE(5691), 2,
      sym_comment,
      sym_marginalia,
  [345119] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(6526), 1,
      sym_identifier,
    STATE(5692), 2,
      sym_comment,
      sym_marginalia,
  [345139] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8143), 1,
      sym_keyword_from,
    ACTIONS(8739), 1,
      anon_sym_RPAREN,
    STATE(6478), 1,
      sym_from,
    STATE(5693), 2,
      sym_comment,
      sym_marginalia,
  [345159] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6323), 1,
      anon_sym_COMMA,
    ACTIONS(8741), 1,
      anon_sym_RPAREN,
    STATE(5606), 1,
      aux_sym_invocation_repeat1,
    STATE(5694), 2,
      sym_comment,
      sym_marginalia,
  [345179] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(4893), 1,
      sym_identifier,
    STATE(5695), 2,
      sym_comment,
      sym_marginalia,
  [345199] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7808), 1,
      sym_keyword_select,
    ACTIONS(8743), 1,
      sym_keyword_all,
    STATE(5158), 1,
      sym_select,
    STATE(5696), 2,
      sym_comment,
      sym_marginalia,
  [345219] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6307), 1,
      anon_sym_COMMA,
    ACTIONS(8745), 1,
      anon_sym_RBRACK,
    STATE(5483), 1,
      aux_sym_array_repeat1,
    STATE(5697), 2,
      sym_comment,
      sym_marginalia,
  [345239] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8747), 1,
      sym_keyword_table,
    ACTIONS(8749), 1,
      sym_keyword_view,
    ACTIONS(8751), 1,
      sym_keyword_index,
    STATE(5698), 2,
      sym_comment,
      sym_marginalia,
  [345259] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8753), 1,
      anon_sym_ago,
    ACTIONS(8755), 2,
      anon_sym_SQUOTE,
      sym__natural_number,
    STATE(5699), 2,
      sym_comment,
      sym_marginalia,
  [345277] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6307), 1,
      anon_sym_COMMA,
    ACTIONS(8757), 1,
      anon_sym_RPAREN,
    STATE(5483), 1,
      aux_sym_array_repeat1,
    STATE(5700), 2,
      sym_comment,
      sym_marginalia,
  [345297] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(7759), 1,
      sym_identifier,
    STATE(5701), 2,
      sym_comment,
      sym_marginalia,
  [345317] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(4821), 1,
      sym_identifier,
    STATE(5702), 2,
      sym_comment,
      sym_marginalia,
  [345337] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8759), 1,
      sym_keyword_materialized,
    ACTIONS(8761), 1,
      sym_keyword_not,
    ACTIONS(8763), 1,
      anon_sym_LPAREN,
    STATE(5703), 2,
      sym_comment,
      sym_marginalia,
  [345357] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(4589), 1,
      sym_identifier,
    STATE(5704), 2,
      sym_comment,
      sym_marginalia,
  [345377] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7392), 1,
      anon_sym_COMMA,
    ACTIONS(8765), 1,
      anon_sym_RPAREN,
    STATE(5737), 1,
      aux_sym__insert_values_repeat1,
    STATE(5705), 2,
      sym_comment,
      sym_marginalia,
  [345397] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8624), 1,
      anon_sym_COMMA,
    ACTIONS(8767), 1,
      anon_sym_RPAREN,
    STATE(5678), 1,
      aux_sym_table_options_repeat1,
    STATE(5706), 2,
      sym_comment,
      sym_marginalia,
  [345417] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5192), 1,
      sym_keyword_select,
    STATE(4638), 1,
      sym_select,
    STATE(4899), 1,
      sym__select_statement,
    STATE(5707), 2,
      sym_comment,
      sym_marginalia,
  [345437] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6307), 1,
      anon_sym_COMMA,
    ACTIONS(8769), 1,
      anon_sym_RPAREN,
    STATE(5483), 1,
      aux_sym_array_repeat1,
    STATE(5708), 2,
      sym_comment,
      sym_marginalia,
  [345457] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(4578), 1,
      sym_identifier,
    STATE(5709), 2,
      sym_comment,
      sym_marginalia,
  [345477] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6307), 1,
      anon_sym_COMMA,
    ACTIONS(8771), 1,
      anon_sym_RBRACK,
    STATE(5483), 1,
      aux_sym_array_repeat1,
    STATE(5710), 2,
      sym_comment,
      sym_marginalia,
  [345497] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6307), 1,
      anon_sym_COMMA,
    ACTIONS(8773), 1,
      anon_sym_RPAREN,
    STATE(5483), 1,
      aux_sym_array_repeat1,
    STATE(5711), 2,
      sym_comment,
      sym_marginalia,
  [345517] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6307), 1,
      anon_sym_COMMA,
    ACTIONS(8775), 1,
      anon_sym_RBRACK,
    STATE(5483), 1,
      aux_sym_array_repeat1,
    STATE(5712), 2,
      sym_comment,
      sym_marginalia,
  [345537] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9), 1,
      sym_keyword_select,
    STATE(4686), 1,
      sym_select,
    STATE(4874), 1,
      sym__select_statement,
    STATE(5713), 2,
      sym_comment,
      sym_marginalia,
  [345557] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6323), 1,
      anon_sym_COMMA,
    ACTIONS(8777), 1,
      anon_sym_RPAREN,
    STATE(5606), 1,
      aux_sym_invocation_repeat1,
    STATE(5714), 2,
      sym_comment,
      sym_marginalia,
  [345577] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5192), 1,
      sym_keyword_select,
    STATE(4638), 1,
      sym_select,
    STATE(4924), 1,
      sym__select_statement,
    STATE(5715), 2,
      sym_comment,
      sym_marginalia,
  [345597] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6307), 1,
      anon_sym_COMMA,
    ACTIONS(8779), 1,
      anon_sym_RBRACK,
    STATE(5483), 1,
      aux_sym_array_repeat1,
    STATE(5716), 2,
      sym_comment,
      sym_marginalia,
  [345617] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(6591), 1,
      sym_identifier,
    STATE(5717), 2,
      sym_comment,
      sym_marginalia,
  [345637] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(6455), 1,
      sym_identifier,
    STATE(5718), 2,
      sym_comment,
      sym_marginalia,
  [345657] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(5769), 1,
      sym_identifier,
    STATE(5719), 2,
      sym_comment,
      sym_marginalia,
  [345677] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(6454), 1,
      sym_identifier,
    STATE(5720), 2,
      sym_comment,
      sym_marginalia,
  [345697] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5192), 1,
      sym_keyword_select,
    STATE(4638), 1,
      sym_select,
    STATE(4874), 1,
      sym__select_statement,
    STATE(5721), 2,
      sym_comment,
      sym_marginalia,
  [345717] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5192), 1,
      sym_keyword_select,
    STATE(4638), 1,
      sym_select,
    STATE(4908), 1,
      sym__select_statement,
    STATE(5722), 2,
      sym_comment,
      sym_marginalia,
  [345737] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5192), 1,
      sym_keyword_select,
    STATE(4638), 1,
      sym_select,
    STATE(4831), 1,
      sym__select_statement,
    STATE(5723), 2,
      sym_comment,
      sym_marginalia,
  [345757] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(6451), 1,
      sym_identifier,
    STATE(5724), 2,
      sym_comment,
      sym_marginalia,
  [345777] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9), 1,
      sym_keyword_select,
    STATE(4686), 1,
      sym_select,
    STATE(4908), 1,
      sym__select_statement,
    STATE(5725), 2,
      sym_comment,
      sym_marginalia,
  [345797] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(7738), 1,
      sym_identifier,
    STATE(5726), 2,
      sym_comment,
      sym_marginalia,
  [345817] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8143), 1,
      sym_keyword_from,
    ACTIONS(8781), 1,
      anon_sym_RPAREN,
    STATE(6295), 1,
      sym_from,
    STATE(5727), 2,
      sym_comment,
      sym_marginalia,
  [345837] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(6708), 1,
      sym_identifier,
    STATE(5728), 2,
      sym_comment,
      sym_marginalia,
  [345857] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6323), 1,
      anon_sym_COMMA,
    ACTIONS(8783), 1,
      anon_sym_RPAREN,
    STATE(5606), 1,
      aux_sym_invocation_repeat1,
    STATE(5729), 2,
      sym_comment,
      sym_marginalia,
  [345877] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8143), 1,
      sym_keyword_from,
    ACTIONS(8785), 1,
      anon_sym_RPAREN,
    STATE(6886), 1,
      sym_from,
    STATE(5730), 2,
      sym_comment,
      sym_marginalia,
  [345897] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8787), 1,
      anon_sym_RPAREN,
    ACTIONS(8789), 1,
      anon_sym_COMMA,
    STATE(5731), 3,
      sym_comment,
      sym_marginalia,
      aux_sym__column_list_repeat1,
  [345915] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6307), 1,
      anon_sym_COMMA,
    ACTIONS(8792), 1,
      anon_sym_RPAREN,
    STATE(5483), 1,
      aux_sym_array_repeat1,
    STATE(5732), 2,
      sym_comment,
      sym_marginalia,
  [345935] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6323), 1,
      anon_sym_COMMA,
    ACTIONS(8794), 1,
      anon_sym_RPAREN,
    STATE(5606), 1,
      aux_sym_invocation_repeat1,
    STATE(5733), 2,
      sym_comment,
      sym_marginalia,
  [345955] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8640), 1,
      anon_sym_LPAREN,
    ACTIONS(8796), 1,
      sym_keyword_using,
    STATE(4808), 1,
      sym_ordered_columns,
    STATE(5734), 2,
      sym_comment,
      sym_marginalia,
  [345975] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8143), 1,
      sym_keyword_from,
    ACTIONS(8798), 1,
      anon_sym_RPAREN,
    STATE(6085), 1,
      sym_from,
    STATE(5735), 2,
      sym_comment,
      sym_marginalia,
  [345995] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9), 1,
      sym_keyword_select,
    STATE(4686), 1,
      sym_select,
    STATE(4831), 1,
      sym__select_statement,
    STATE(5736), 2,
      sym_comment,
      sym_marginalia,
  [346015] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7392), 1,
      anon_sym_COMMA,
    ACTIONS(8800), 1,
      anon_sym_RPAREN,
    STATE(4696), 1,
      aux_sym__insert_values_repeat1,
    STATE(5737), 2,
      sym_comment,
      sym_marginalia,
  [346035] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8640), 1,
      anon_sym_LPAREN,
    ACTIONS(8802), 1,
      sym_keyword_using,
    STATE(4793), 1,
      sym_ordered_columns,
    STATE(5738), 2,
      sym_comment,
      sym_marginalia,
  [346055] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3463), 1,
      anon_sym_BQUOTE,
    ACTIONS(7975), 1,
      sym__identifier,
    STATE(4578), 1,
      sym_identifier,
    STATE(5739), 2,
      sym_comment,
      sym_marginalia,
  [346075] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6307), 1,
      anon_sym_COMMA,
    ACTIONS(8804), 1,
      anon_sym_RBRACK,
    STATE(5483), 1,
      aux_sym_array_repeat1,
    STATE(5740), 2,
      sym_comment,
      sym_marginalia,
  [346095] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6307), 1,
      anon_sym_COMMA,
    ACTIONS(8806), 1,
      anon_sym_RPAREN,
    STATE(5483), 1,
      aux_sym_array_repeat1,
    STATE(5741), 2,
      sym_comment,
      sym_marginalia,
  [346115] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9), 1,
      sym_keyword_select,
    STATE(4686), 1,
      sym_select,
    STATE(4916), 1,
      sym__select_statement,
    STATE(5742), 2,
      sym_comment,
      sym_marginalia,
  [346135] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6323), 1,
      anon_sym_COMMA,
    ACTIONS(8808), 1,
      anon_sym_RPAREN,
    STATE(5606), 1,
      aux_sym_invocation_repeat1,
    STATE(5743), 2,
      sym_comment,
      sym_marginalia,
  [346155] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8143), 1,
      sym_keyword_from,
    ACTIONS(8810), 1,
      anon_sym_RPAREN,
    STATE(6672), 1,
      sym_from,
    STATE(5744), 2,
      sym_comment,
      sym_marginalia,
  [346175] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5192), 1,
      sym_keyword_select,
    STATE(4638), 1,
      sym_select,
    STATE(4869), 1,
      sym__select_statement,
    STATE(5745), 2,
      sym_comment,
      sym_marginalia,
  [346195] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6307), 1,
      anon_sym_COMMA,
    ACTIONS(8812), 1,
      anon_sym_RBRACK,
    STATE(5483), 1,
      aux_sym_array_repeat1,
    STATE(5746), 2,
      sym_comment,
      sym_marginalia,
  [346215] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6307), 1,
      anon_sym_COMMA,
    ACTIONS(8814), 1,
      anon_sym_RBRACK,
    STATE(5483), 1,
      aux_sym_array_repeat1,
    STATE(5747), 2,
      sym_comment,
      sym_marginalia,
  [346235] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9), 1,
      sym_keyword_select,
    STATE(4686), 1,
      sym_select,
    STATE(4924), 1,
      sym__select_statement,
    STATE(5748), 2,
      sym_comment,
      sym_marginalia,
  [346255] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6307), 1,
      anon_sym_COMMA,
    ACTIONS(8816), 1,
      anon_sym_RPAREN,
    STATE(5483), 1,
      aux_sym_array_repeat1,
    STATE(5749), 2,
      sym_comment,
      sym_marginalia,
  [346275] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6323), 1,
      anon_sym_COMMA,
    ACTIONS(8818), 1,
      anon_sym_RPAREN,
    STATE(5606), 1,
      aux_sym_invocation_repeat1,
    STATE(5750), 2,
      sym_comment,
      sym_marginalia,
  [346295] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5192), 1,
      sym_keyword_select,
    STATE(4638), 1,
      sym_select,
    STATE(4902), 1,
      sym__select_statement,
    STATE(5751), 2,
      sym_comment,
      sym_marginalia,
  [346315] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8691), 1,
      anon_sym_COMMA,
    ACTIONS(8820), 1,
      anon_sym_RPAREN,
    STATE(5667), 1,
      aux_sym_table_sort_repeat1,
    STATE(5752), 2,
      sym_comment,
      sym_marginalia,
  [346335] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(5862), 1,
      sym_identifier,
    STATE(5753), 2,
      sym_comment,
      sym_marginalia,
  [346355] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8143), 1,
      sym_keyword_from,
    ACTIONS(8822), 1,
      anon_sym_RPAREN,
    STATE(6547), 1,
      sym_from,
    STATE(5754), 2,
      sym_comment,
      sym_marginalia,
  [346375] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(5866), 1,
      sym_identifier,
    STATE(5755), 2,
      sym_comment,
      sym_marginalia,
  [346395] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6307), 1,
      anon_sym_COMMA,
    ACTIONS(8824), 1,
      anon_sym_RPAREN,
    STATE(5483), 1,
      aux_sym_array_repeat1,
    STATE(5756), 2,
      sym_comment,
      sym_marginalia,
  [346415] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8671), 1,
      anon_sym_COMMA,
    ACTIONS(8826), 1,
      anon_sym_RPAREN,
    STATE(5650), 1,
      aux_sym_constraints_repeat1,
    STATE(5757), 2,
      sym_comment,
      sym_marginalia,
  [346435] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(5648), 1,
      sym_identifier,
    STATE(5758), 2,
      sym_comment,
      sym_marginalia,
  [346455] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(4826), 1,
      sym_identifier,
    STATE(5759), 2,
      sym_comment,
      sym_marginalia,
  [346475] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(4849), 1,
      sym_identifier,
    STATE(5760), 2,
      sym_comment,
      sym_marginalia,
  [346495] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(72), 1,
      sym_identifier,
    STATE(5761), 2,
      sym_comment,
      sym_marginalia,
  [346515] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(4702), 1,
      sym_identifier,
    STATE(5762), 2,
      sym_comment,
      sym_marginalia,
  [346535] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8828), 1,
      anon_sym_RPAREN,
    ACTIONS(8830), 1,
      anon_sym_COMMA,
    STATE(5763), 3,
      sym_comment,
      sym_marginalia,
      aux_sym_column_definitions_repeat1,
  [346553] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5192), 1,
      sym_keyword_select,
    STATE(4638), 1,
      sym_select,
    STATE(4842), 1,
      sym__select_statement,
    STATE(5764), 2,
      sym_comment,
      sym_marginalia,
  [346573] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8143), 1,
      sym_keyword_from,
    ACTIONS(8833), 1,
      anon_sym_RPAREN,
    STATE(6566), 1,
      sym_from,
    STATE(5765), 2,
      sym_comment,
      sym_marginalia,
  [346593] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5192), 1,
      sym_keyword_select,
    STATE(4638), 1,
      sym_select,
    STATE(4883), 1,
      sym__select_statement,
    STATE(5766), 2,
      sym_comment,
      sym_marginalia,
  [346613] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8143), 1,
      sym_keyword_from,
    ACTIONS(8835), 1,
      anon_sym_RPAREN,
    STATE(6016), 1,
      sym_from,
    STATE(5767), 2,
      sym_comment,
      sym_marginalia,
  [346633] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5192), 1,
      sym_keyword_select,
    STATE(4638), 1,
      sym_select,
    STATE(4916), 1,
      sym__select_statement,
    STATE(5768), 2,
      sym_comment,
      sym_marginalia,
  [346653] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8691), 1,
      anon_sym_COMMA,
    ACTIONS(8837), 1,
      anon_sym_RPAREN,
    STATE(5782), 1,
      aux_sym_table_sort_repeat1,
    STATE(5769), 2,
      sym_comment,
      sym_marginalia,
  [346673] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8640), 1,
      anon_sym_LPAREN,
    ACTIONS(8839), 1,
      sym_keyword_using,
    STATE(4796), 1,
      sym_ordered_columns,
    STATE(5770), 2,
      sym_comment,
      sym_marginalia,
  [346693] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(7565), 1,
      sym_identifier,
    STATE(5771), 2,
      sym_comment,
      sym_marginalia,
  [346713] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5192), 1,
      sym_keyword_select,
    STATE(4638), 1,
      sym_select,
    STATE(4850), 1,
      sym__select_statement,
    STATE(5772), 2,
      sym_comment,
      sym_marginalia,
  [346733] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6307), 1,
      anon_sym_COMMA,
    ACTIONS(8841), 1,
      anon_sym_RPAREN,
    STATE(5483), 1,
      aux_sym_array_repeat1,
    STATE(5773), 2,
      sym_comment,
      sym_marginalia,
  [346753] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9), 1,
      sym_keyword_select,
    STATE(4686), 1,
      sym_select,
    STATE(4850), 1,
      sym__select_statement,
    STATE(5774), 2,
      sym_comment,
      sym_marginalia,
  [346773] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(4705), 1,
      sym_identifier,
    STATE(5775), 2,
      sym_comment,
      sym_marginalia,
  [346793] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6307), 1,
      anon_sym_COMMA,
    ACTIONS(8843), 1,
      anon_sym_RBRACK,
    STATE(5483), 1,
      aux_sym_array_repeat1,
    STATE(5776), 2,
      sym_comment,
      sym_marginalia,
  [346813] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5192), 1,
      sym_keyword_select,
    STATE(4638), 1,
      sym_select,
    STATE(4878), 1,
      sym__select_statement,
    STATE(5777), 2,
      sym_comment,
      sym_marginalia,
  [346833] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6323), 1,
      anon_sym_COMMA,
    ACTIONS(8845), 1,
      anon_sym_RPAREN,
    STATE(5606), 1,
      aux_sym_invocation_repeat1,
    STATE(5778), 2,
      sym_comment,
      sym_marginalia,
  [346853] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(7284), 1,
      sym_identifier,
    STATE(5779), 2,
      sym_comment,
      sym_marginalia,
  [346873] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8143), 1,
      sym_keyword_from,
    ACTIONS(8847), 1,
      anon_sym_RPAREN,
    STATE(6232), 1,
      sym_from,
    STATE(5780), 2,
      sym_comment,
      sym_marginalia,
  [346893] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8849), 1,
      sym_keyword_not,
    ACTIONS(8851), 1,
      sym_keyword_default,
    ACTIONS(8853), 1,
      sym_keyword_data,
    STATE(5781), 2,
      sym_comment,
      sym_marginalia,
  [346913] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8691), 1,
      anon_sym_COMMA,
    ACTIONS(8855), 1,
      anon_sym_RPAREN,
    STATE(5602), 1,
      aux_sym_table_sort_repeat1,
    STATE(5782), 2,
      sym_comment,
      sym_marginalia,
  [346933] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8651), 1,
      anon_sym_COMMA,
    ACTIONS(8857), 1,
      anon_sym_RPAREN,
    STATE(5640), 1,
      aux_sym_ordered_columns_repeat1,
    STATE(5783), 2,
      sym_comment,
      sym_marginalia,
  [346953] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(4856), 1,
      sym_identifier,
    STATE(5784), 2,
      sym_comment,
      sym_marginalia,
  [346973] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6307), 1,
      anon_sym_COMMA,
    ACTIONS(8859), 1,
      anon_sym_RBRACK,
    STATE(5483), 1,
      aux_sym_array_repeat1,
    STATE(5785), 2,
      sym_comment,
      sym_marginalia,
  [346993] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8640), 1,
      anon_sym_LPAREN,
    ACTIONS(8861), 1,
      sym_keyword_using,
    STATE(4792), 1,
      sym_ordered_columns,
    STATE(5786), 2,
      sym_comment,
      sym_marginalia,
  [347013] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(6347), 1,
      sym_identifier,
    STATE(5787), 2,
      sym_comment,
      sym_marginalia,
  [347033] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9), 1,
      sym_keyword_select,
    ACTIONS(8863), 1,
      sym_keyword_all,
    STATE(4744), 1,
      sym_select,
    STATE(5788), 2,
      sym_comment,
      sym_marginalia,
  [347053] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6307), 1,
      anon_sym_COMMA,
    ACTIONS(8865), 1,
      anon_sym_RPAREN,
    STATE(5483), 1,
      aux_sym_array_repeat1,
    STATE(5789), 2,
      sym_comment,
      sym_marginalia,
  [347073] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(8094), 1,
      sym__identifier,
    STATE(6351), 1,
      sym_identifier,
    STATE(5790), 2,
      sym_comment,
      sym_marginalia,
  [347093] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6323), 1,
      anon_sym_COMMA,
    ACTIONS(8867), 1,
      anon_sym_RPAREN,
    STATE(5606), 1,
      aux_sym_invocation_repeat1,
    STATE(5791), 2,
      sym_comment,
      sym_marginalia,
  [347113] = 6,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6307), 1,
      anon_sym_COMMA,
    ACTIONS(8869), 1,
      anon_sym_RPAREN,
    STATE(5483), 1,
      aux_sym_array_repeat1,
    STATE(5792), 2,
      sym_comment,
      sym_marginalia,
  [347133] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8871), 1,
      anon_sym_DOT,
    ACTIONS(8873), 1,
      sym__natural_number,
    STATE(5793), 2,
      sym_comment,
      sym_marginalia,
  [347150] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8875), 1,
      anon_sym_DOT,
    ACTIONS(8877), 1,
      sym__natural_number,
    STATE(5794), 2,
      sym_comment,
      sym_marginalia,
  [347167] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7849), 1,
      sym_keyword_using,
    ACTIONS(7887), 1,
      sym_keyword_on,
    STATE(5795), 2,
      sym_comment,
      sym_marginalia,
  [347184] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8879), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    STATE(5796), 2,
      sym_comment,
      sym_marginalia,
  [347199] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8640), 1,
      anon_sym_LPAREN,
    STATE(5871), 1,
      sym_ordered_columns,
    STATE(5797), 2,
      sym_comment,
      sym_marginalia,
  [347216] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8849), 1,
      sym_keyword_not,
    ACTIONS(8881), 1,
      sym_keyword_default,
    STATE(5798), 2,
      sym_comment,
      sym_marginalia,
  [347233] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8828), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    STATE(5799), 2,
      sym_comment,
      sym_marginalia,
  [347248] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8883), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    STATE(5800), 2,
      sym_comment,
      sym_marginalia,
  [347263] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8885), 1,
      sym_keyword_transaction,
    ACTIONS(8887), 1,
      anon_sym_SEMI,
    STATE(5801), 2,
      sym_comment,
      sym_marginalia,
  [347280] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8889), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    STATE(5802), 2,
      sym_comment,
      sym_marginalia,
  [347295] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8891), 1,
      anon_sym_RPAREN,
    ACTIONS(8893), 1,
      anon_sym_COMMA,
    STATE(5803), 2,
      sym_comment,
      sym_marginalia,
  [347312] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8895), 2,
      sym_keyword_range,
      sym_keyword_hash,
    STATE(5804), 2,
      sym_comment,
      sym_marginalia,
  [347327] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8897), 1,
      sym_keyword_separator,
    ACTIONS(8899), 1,
      anon_sym_RPAREN,
    STATE(5805), 2,
      sym_comment,
      sym_marginalia,
  [347344] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8889), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    STATE(5806), 2,
      sym_comment,
      sym_marginalia,
  [347359] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9), 1,
      sym_keyword_select,
    STATE(4744), 1,
      sym_select,
    STATE(5807), 2,
      sym_comment,
      sym_marginalia,
  [347376] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8901), 1,
      anon_sym_RPAREN,
    ACTIONS(8903), 1,
      anon_sym_COMMA,
    STATE(5808), 2,
      sym_comment,
      sym_marginalia,
  [347393] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8905), 1,
      sym_keyword_no,
    ACTIONS(8907), 1,
      sym_keyword_data,
    STATE(5809), 2,
      sym_comment,
      sym_marginalia,
  [347410] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8640), 1,
      anon_sym_LPAREN,
    STATE(4796), 1,
      sym_ordered_columns,
    STATE(5810), 2,
      sym_comment,
      sym_marginalia,
  [347427] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8909), 1,
      anon_sym_RPAREN,
    ACTIONS(8911), 1,
      anon_sym_COMMA,
    STATE(5811), 2,
      sym_comment,
      sym_marginalia,
  [347444] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8913), 1,
      sym_keyword_outer,
    ACTIONS(8915), 1,
      sym_keyword_join,
    STATE(5812), 2,
      sym_comment,
      sym_marginalia,
  [347461] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8917), 1,
      sym_keyword_table,
    ACTIONS(8919), 1,
      sym_keyword_view,
    STATE(5813), 2,
      sym_comment,
      sym_marginalia,
  [347478] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8644), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    STATE(5814), 2,
      sym_comment,
      sym_marginalia,
  [347493] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8921), 1,
      anon_sym_DOT,
    ACTIONS(8923), 1,
      sym__natural_number,
    STATE(5815), 2,
      sym_comment,
      sym_marginalia,
  [347510] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8098), 1,
      sym_keyword_using,
    ACTIONS(8102), 1,
      sym_keyword_on,
    STATE(5816), 2,
      sym_comment,
      sym_marginalia,
  [347527] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5050), 1,
      anon_sym_LPAREN,
    STATE(3604), 1,
      sym__column_list,
    STATE(5817), 2,
      sym_comment,
      sym_marginalia,
  [347544] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8925), 1,
      anon_sym_DOT,
    ACTIONS(8927), 1,
      sym__natural_number,
    STATE(5818), 2,
      sym_comment,
      sym_marginalia,
  [347561] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8929), 1,
      sym_keyword_separator,
    ACTIONS(8931), 1,
      anon_sym_RPAREN,
    STATE(5819), 2,
      sym_comment,
      sym_marginalia,
  [347578] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1909), 1,
      anon_sym_DOT,
    ACTIONS(8933), 1,
      anon_sym_EQ,
    STATE(5820), 2,
      sym_comment,
      sym_marginalia,
  [347595] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7863), 1,
      sym_keyword_using,
    ACTIONS(7867), 1,
      sym_keyword_on,
    STATE(5821), 2,
      sym_comment,
      sym_marginalia,
  [347612] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8935), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    STATE(5822), 2,
      sym_comment,
      sym_marginalia,
  [347627] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8937), 2,
      anon_sym_BQUOTE,
      sym__identifier,
    STATE(5823), 2,
      sym_comment,
      sym_marginalia,
  [347642] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8939), 1,
      anon_sym_DOT,
    ACTIONS(8941), 1,
      sym__natural_number,
    STATE(5824), 2,
      sym_comment,
      sym_marginalia,
  [347659] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8943), 1,
      anon_sym_DOT,
    ACTIONS(8945), 1,
      sym__natural_number,
    STATE(5825), 2,
      sym_comment,
      sym_marginalia,
  [347676] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8947), 1,
      anon_sym_RPAREN,
    ACTIONS(8949), 1,
      anon_sym_COMMA,
    STATE(5826), 2,
      sym_comment,
      sym_marginalia,
  [347693] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8951), 1,
      anon_sym_RPAREN,
    ACTIONS(8953), 1,
      anon_sym_COMMA,
    STATE(5827), 2,
      sym_comment,
      sym_marginalia,
  [347710] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8955), 1,
      anon_sym_RPAREN,
    ACTIONS(8957), 1,
      anon_sym_COMMA,
    STATE(5828), 2,
      sym_comment,
      sym_marginalia,
  [347727] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8959), 1,
      sym_keyword_outer,
    ACTIONS(8961), 1,
      sym_keyword_join,
    STATE(5829), 2,
      sym_comment,
      sym_marginalia,
  [347744] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8963), 1,
      sym_keyword_view,
    ACTIONS(8965), 1,
      sym_keyword_materialized,
    STATE(5830), 2,
      sym_comment,
      sym_marginalia,
  [347761] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8967), 1,
      sym_keyword_outer,
    ACTIONS(8969), 1,
      sym_keyword_join,
    STATE(5831), 2,
      sym_comment,
      sym_marginalia,
  [347778] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8971), 1,
      sym_keyword_separator,
    ACTIONS(8973), 1,
      anon_sym_RPAREN,
    STATE(5832), 2,
      sym_comment,
      sym_marginalia,
  [347795] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8975), 1,
      sym_keyword_from,
    STATE(4835), 1,
      sym__delete_from,
    STATE(5833), 2,
      sym_comment,
      sym_marginalia,
  [347812] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8977), 1,
      sym_keyword_for,
    ACTIONS(8979), 1,
      anon_sym_LPAREN,
    STATE(5834), 2,
      sym_comment,
      sym_marginalia,
  [347829] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8098), 1,
      sym_keyword_using,
    ACTIONS(8118), 1,
      sym_keyword_on,
    STATE(5835), 2,
      sym_comment,
      sym_marginalia,
  [347846] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8981), 1,
      sym_keyword_outer,
    ACTIONS(8983), 1,
      sym_keyword_join,
    STATE(5836), 2,
      sym_comment,
      sym_marginalia,
  [347863] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8985), 1,
      sym_keyword_outer,
    ACTIONS(8987), 1,
      sym_keyword_join,
    STATE(5837), 2,
      sym_comment,
      sym_marginalia,
  [347880] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8989), 1,
      sym_keyword_on,
    ACTIONS(8991), 1,
      sym_keyword_using,
    STATE(5838), 2,
      sym_comment,
      sym_marginalia,
  [347897] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8993), 1,
      anon_sym_RPAREN,
    ACTIONS(8995), 1,
      anon_sym_COMMA,
    STATE(5839), 2,
      sym_comment,
      sym_marginalia,
  [347914] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8997), 1,
      anon_sym_RPAREN,
    ACTIONS(8999), 1,
      anon_sym_COMMA,
    STATE(5840), 2,
      sym_comment,
      sym_marginalia,
  [347931] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1915), 1,
      anon_sym_DOT,
    ACTIONS(1957), 1,
      anon_sym_EQ,
    STATE(5841), 2,
      sym_comment,
      sym_marginalia,
  [347948] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9001), 1,
      anon_sym_RPAREN,
    ACTIONS(9003), 1,
      anon_sym_COMMA,
    STATE(5842), 2,
      sym_comment,
      sym_marginalia,
  [347965] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9005), 1,
      anon_sym_RPAREN,
    ACTIONS(9007), 1,
      anon_sym_COMMA,
    STATE(5843), 2,
      sym_comment,
      sym_marginalia,
  [347982] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9009), 1,
      sym_keyword_from,
    STATE(4861), 1,
      sym__delete_from,
    STATE(5844), 2,
      sym_comment,
      sym_marginalia,
  [347999] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5050), 1,
      anon_sym_LPAREN,
    STATE(3609), 1,
      sym__column_list,
    STATE(5845), 2,
      sym_comment,
      sym_marginalia,
  [348016] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8991), 1,
      sym_keyword_using,
    ACTIONS(9011), 1,
      sym_keyword_on,
    STATE(5846), 2,
      sym_comment,
      sym_marginalia,
  [348033] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9013), 1,
      anon_sym_RPAREN,
    ACTIONS(9015), 1,
      anon_sym_COMMA,
    STATE(5847), 2,
      sym_comment,
      sym_marginalia,
  [348050] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9017), 1,
      anon_sym_RPAREN,
    ACTIONS(9019), 1,
      anon_sym_COMMA,
    STATE(5848), 2,
      sym_comment,
      sym_marginalia,
  [348067] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8517), 1,
      sym_keyword_select,
    STATE(5666), 1,
      sym_select,
    STATE(5849), 2,
      sym_comment,
      sym_marginalia,
  [348084] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8705), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    STATE(5850), 2,
      sym_comment,
      sym_marginalia,
  [348099] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9021), 1,
      anon_sym_LPAREN,
    STATE(5705), 1,
      sym_list,
    STATE(5851), 2,
      sym_comment,
      sym_marginalia,
  [348116] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9023), 1,
      sym_keyword_outer,
    ACTIONS(9025), 1,
      sym_keyword_join,
    STATE(5852), 2,
      sym_comment,
      sym_marginalia,
  [348133] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9027), 1,
      sym_keyword_outer,
    ACTIONS(9029), 1,
      sym_keyword_join,
    STATE(5853), 2,
      sym_comment,
      sym_marginalia,
  [348150] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9031), 1,
      anon_sym_RPAREN,
    ACTIONS(9033), 1,
      anon_sym_COMMA,
    STATE(5854), 2,
      sym_comment,
      sym_marginalia,
  [348167] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9035), 1,
      anon_sym_RPAREN,
    ACTIONS(9037), 1,
      anon_sym_COMMA,
    STATE(5855), 2,
      sym_comment,
      sym_marginalia,
  [348184] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8663), 1,
      sym_keyword_not,
    ACTIONS(9039), 1,
      sym_keyword_default,
    STATE(5856), 2,
      sym_comment,
      sym_marginalia,
  [348201] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9041), 1,
      anon_sym_RPAREN,
    ACTIONS(9043), 1,
      anon_sym_COMMA,
    STATE(5857), 2,
      sym_comment,
      sym_marginalia,
  [348218] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9045), 1,
      sym_keyword_separator,
    ACTIONS(9047), 1,
      anon_sym_RPAREN,
    STATE(5858), 2,
      sym_comment,
      sym_marginalia,
  [348235] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9049), 1,
      sym_keyword_separator,
    ACTIONS(9051), 1,
      anon_sym_RPAREN,
    STATE(5859), 2,
      sym_comment,
      sym_marginalia,
  [348252] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9053), 1,
      anon_sym_RPAREN,
    ACTIONS(9055), 1,
      anon_sym_COMMA,
    STATE(5860), 2,
      sym_comment,
      sym_marginalia,
  [348269] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9057), 1,
      anon_sym_RPAREN,
    ACTIONS(9059), 1,
      anon_sym_COMMA,
    STATE(5861), 2,
      sym_comment,
      sym_marginalia,
  [348286] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8640), 1,
      anon_sym_LPAREN,
    STATE(5925), 1,
      sym_ordered_columns,
    STATE(5862), 2,
      sym_comment,
      sym_marginalia,
  [348303] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9061), 1,
      anon_sym_DOT,
    ACTIONS(9063), 1,
      sym__natural_number,
    STATE(5863), 2,
      sym_comment,
      sym_marginalia,
  [348320] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9065), 1,
      anon_sym_RPAREN,
    ACTIONS(9067), 1,
      anon_sym_COMMA,
    STATE(5864), 2,
      sym_comment,
      sym_marginalia,
  [348337] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9069), 1,
      anon_sym_DOT,
    ACTIONS(9071), 1,
      sym__natural_number,
    STATE(5865), 2,
      sym_comment,
      sym_marginalia,
  [348354] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6443), 1,
      sym_keyword_primary,
    STATE(5928), 1,
      sym__primary_key,
    STATE(5866), 2,
      sym_comment,
      sym_marginalia,
  [348371] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9073), 1,
      anon_sym_RPAREN,
    ACTIONS(9075), 1,
      anon_sym_COMMA,
    STATE(5867), 2,
      sym_comment,
      sym_marginalia,
  [348388] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9077), 1,
      anon_sym_RPAREN,
    ACTIONS(9079), 1,
      anon_sym_COMMA,
    STATE(5868), 2,
      sym_comment,
      sym_marginalia,
  [348405] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9081), 1,
      anon_sym_RPAREN,
    ACTIONS(9083), 1,
      anon_sym_COMMA,
    STATE(5869), 2,
      sym_comment,
      sym_marginalia,
  [348422] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9085), 2,
      sym_keyword_view,
      sym_keyword_materialized,
    STATE(5870), 2,
      sym_comment,
      sym_marginalia,
  [348437] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9087), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    STATE(5871), 2,
      sym_comment,
      sym_marginalia,
  [348452] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9089), 2,
      sym_keyword_separator,
      anon_sym_RPAREN,
    STATE(5872), 2,
      sym_comment,
      sym_marginalia,
  [348467] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9091), 1,
      sym_keyword_no,
    ACTIONS(9093), 1,
      sym_keyword_data,
    STATE(5873), 2,
      sym_comment,
      sym_marginalia,
  [348484] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9095), 1,
      sym_keyword_separator,
    ACTIONS(9097), 1,
      anon_sym_RPAREN,
    STATE(5874), 2,
      sym_comment,
      sym_marginalia,
  [348501] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9099), 1,
      anon_sym_DOT,
    ACTIONS(9101), 1,
      sym__natural_number,
    STATE(5875), 2,
      sym_comment,
      sym_marginalia,
  [348518] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9103), 1,
      anon_sym_LPAREN,
    STATE(4440), 1,
      sym_column_definitions,
    STATE(5876), 2,
      sym_comment,
      sym_marginalia,
  [348535] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8640), 1,
      anon_sym_LPAREN,
    STATE(4804), 1,
      sym_ordered_columns,
    STATE(5877), 2,
      sym_comment,
      sym_marginalia,
  [348552] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8640), 1,
      anon_sym_LPAREN,
    STATE(4805), 1,
      sym_ordered_columns,
    STATE(5878), 2,
      sym_comment,
      sym_marginalia,
  [348569] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9105), 1,
      anon_sym_RPAREN,
    ACTIONS(9107), 1,
      anon_sym_COMMA,
    STATE(5879), 2,
      sym_comment,
      sym_marginalia,
  [348586] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9109), 1,
      anon_sym_RPAREN,
    ACTIONS(9111), 1,
      anon_sym_COMMA,
    STATE(5880), 2,
      sym_comment,
      sym_marginalia,
  [348603] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9113), 1,
      anon_sym_RPAREN,
    ACTIONS(9115), 1,
      anon_sym_COMMA,
    STATE(5881), 2,
      sym_comment,
      sym_marginalia,
  [348620] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9117), 1,
      sym_keyword_separator,
    ACTIONS(9119), 1,
      anon_sym_RPAREN,
    STATE(5882), 2,
      sym_comment,
      sym_marginalia,
  [348637] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7808), 1,
      sym_keyword_select,
    STATE(5152), 1,
      sym_select,
    STATE(5883), 2,
      sym_comment,
      sym_marginalia,
  [348654] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9121), 1,
      sym_keyword_outer,
    ACTIONS(9123), 1,
      sym_keyword_join,
    STATE(5884), 2,
      sym_comment,
      sym_marginalia,
  [348671] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9125), 1,
      sym_keyword_separator,
    ACTIONS(9127), 1,
      anon_sym_RPAREN,
    STATE(5885), 2,
      sym_comment,
      sym_marginalia,
  [348688] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9129), 1,
      sym_keyword_separator,
    ACTIONS(9131), 1,
      anon_sym_RPAREN,
    STATE(5886), 2,
      sym_comment,
      sym_marginalia,
  [348705] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9021), 1,
      anon_sym_LPAREN,
    STATE(4697), 1,
      sym_list,
    STATE(5887), 2,
      sym_comment,
      sym_marginalia,
  [348722] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9133), 1,
      anon_sym_LPAREN,
    STATE(4393), 1,
      sym_column_definitions,
    STATE(5888), 2,
      sym_comment,
      sym_marginalia,
  [348739] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9135), 1,
      sym_keyword_outer,
    ACTIONS(9137), 1,
      sym_keyword_join,
    STATE(5889), 2,
      sym_comment,
      sym_marginalia,
  [348756] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9139), 1,
      anon_sym_DOT,
    ACTIONS(9141), 1,
      sym__natural_number,
    STATE(5890), 2,
      sym_comment,
      sym_marginalia,
  [348773] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7849), 1,
      sym_keyword_using,
    ACTIONS(7851), 1,
      sym_keyword_on,
    STATE(5891), 2,
      sym_comment,
      sym_marginalia,
  [348790] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9143), 1,
      sym_keyword_from,
    STATE(5634), 1,
      sym__delete_from,
    STATE(5892), 2,
      sym_comment,
      sym_marginalia,
  [348807] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9145), 1,
      sym_keyword_separator,
    ACTIONS(9147), 1,
      anon_sym_RPAREN,
    STATE(5893), 2,
      sym_comment,
      sym_marginalia,
  [348824] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7863), 1,
      sym_keyword_using,
    ACTIONS(7881), 1,
      sym_keyword_on,
    STATE(5894), 2,
      sym_comment,
      sym_marginalia,
  [348841] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9149), 1,
      anon_sym_RPAREN,
    ACTIONS(9151), 1,
      anon_sym_COMMA,
    STATE(5895), 2,
      sym_comment,
      sym_marginalia,
  [348858] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9153), 1,
      anon_sym_RPAREN,
    ACTIONS(9155), 1,
      anon_sym_COMMA,
    STATE(5896), 2,
      sym_comment,
      sym_marginalia,
  [348875] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9157), 1,
      anon_sym_RPAREN,
    ACTIONS(9159), 1,
      anon_sym_COMMA,
    STATE(5897), 2,
      sym_comment,
      sym_marginalia,
  [348892] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9161), 1,
      anon_sym_RPAREN,
    ACTIONS(9163), 1,
      anon_sym_COMMA,
    STATE(5898), 2,
      sym_comment,
      sym_marginalia,
  [348909] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9165), 1,
      anon_sym_DOT,
    ACTIONS(9167), 1,
      sym__natural_number,
    STATE(5899), 2,
      sym_comment,
      sym_marginalia,
  [348926] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5050), 1,
      anon_sym_LPAREN,
    STATE(3696), 1,
      sym__column_list,
    STATE(5900), 2,
      sym_comment,
      sym_marginalia,
  [348943] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7863), 1,
      sym_keyword_using,
    ACTIONS(7873), 1,
      sym_keyword_on,
    STATE(5901), 2,
      sym_comment,
      sym_marginalia,
  [348960] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9169), 1,
      anon_sym_RPAREN,
    ACTIONS(9171), 1,
      anon_sym_COMMA,
    STATE(5902), 2,
      sym_comment,
      sym_marginalia,
  [348977] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9173), 1,
      anon_sym_DOT,
    ACTIONS(9175), 1,
      sym__natural_number,
    STATE(5903), 2,
      sym_comment,
      sym_marginalia,
  [348994] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8098), 1,
      sym_keyword_using,
    ACTIONS(8126), 1,
      sym_keyword_on,
    STATE(5904), 2,
      sym_comment,
      sym_marginalia,
  [349011] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9177), 2,
      sym_keyword_first,
      sym_keyword_last,
    STATE(5905), 2,
      sym_comment,
      sym_marginalia,
  [349026] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8991), 1,
      sym_keyword_using,
    ACTIONS(9179), 1,
      sym_keyword_on,
    STATE(5906), 2,
      sym_comment,
      sym_marginalia,
  [349043] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9181), 1,
      sym_keyword_outer,
    ACTIONS(9183), 1,
      sym_keyword_join,
    STATE(5907), 2,
      sym_comment,
      sym_marginalia,
  [349060] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9185), 1,
      sym_keyword_outer,
    ACTIONS(9187), 1,
      sym_keyword_join,
    STATE(5908), 2,
      sym_comment,
      sym_marginalia,
  [349077] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9189), 1,
      anon_sym_RPAREN,
    ACTIONS(9191), 1,
      anon_sym_COMMA,
    STATE(5909), 2,
      sym_comment,
      sym_marginalia,
  [349094] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9193), 1,
      sym_keyword_separator,
    ACTIONS(9195), 1,
      anon_sym_RPAREN,
    STATE(5910), 2,
      sym_comment,
      sym_marginalia,
  [349111] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9197), 1,
      sym_keyword_transaction,
    ACTIONS(9199), 1,
      anon_sym_SEMI,
    STATE(5911), 2,
      sym_comment,
      sym_marginalia,
  [349128] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5050), 1,
      anon_sym_LPAREN,
    STATE(3713), 1,
      sym__column_list,
    STATE(5912), 2,
      sym_comment,
      sym_marginalia,
  [349145] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9201), 1,
      anon_sym_RPAREN,
    ACTIONS(9203), 1,
      anon_sym_COMMA,
    STATE(5913), 2,
      sym_comment,
      sym_marginalia,
  [349162] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9205), 1,
      anon_sym_RPAREN,
    ACTIONS(9207), 1,
      anon_sym_COMMA,
    STATE(5914), 2,
      sym_comment,
      sym_marginalia,
  [349179] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9209), 1,
      anon_sym_RPAREN,
    ACTIONS(9211), 1,
      anon_sym_COMMA,
    STATE(5915), 2,
      sym_comment,
      sym_marginalia,
  [349196] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5192), 1,
      sym_keyword_select,
    STATE(4703), 1,
      sym_select,
    STATE(5916), 2,
      sym_comment,
      sym_marginalia,
  [349213] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9213), 1,
      anon_sym_RPAREN,
    ACTIONS(9215), 1,
      anon_sym_COMMA,
    STATE(5917), 2,
      sym_comment,
      sym_marginalia,
  [349230] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9217), 1,
      anon_sym_RPAREN,
    ACTIONS(9219), 1,
      anon_sym_COMMA,
    STATE(5918), 2,
      sym_comment,
      sym_marginalia,
  [349247] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9221), 1,
      anon_sym_RPAREN,
    ACTIONS(9223), 1,
      anon_sym_COMMA,
    STATE(5919), 2,
      sym_comment,
      sym_marginalia,
  [349264] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7808), 1,
      sym_keyword_select,
    STATE(5158), 1,
      sym_select,
    STATE(5920), 2,
      sym_comment,
      sym_marginalia,
  [349281] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8580), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    STATE(5921), 2,
      sym_comment,
      sym_marginalia,
  [349296] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9225), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    STATE(5922), 2,
      sym_comment,
      sym_marginalia,
  [349311] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9227), 1,
      anon_sym_RPAREN,
    ACTIONS(9229), 1,
      anon_sym_COMMA,
    STATE(5923), 2,
      sym_comment,
      sym_marginalia,
  [349328] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9231), 1,
      anon_sym_RPAREN,
    ACTIONS(9233), 1,
      anon_sym_COMMA,
    STATE(5924), 2,
      sym_comment,
      sym_marginalia,
  [349345] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9235), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    STATE(5925), 2,
      sym_comment,
      sym_marginalia,
  [349360] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9021), 1,
      anon_sym_LPAREN,
    STATE(4695), 1,
      sym_list,
    STATE(5926), 2,
      sym_comment,
      sym_marginalia,
  [349377] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9237), 1,
      anon_sym_RPAREN,
    ACTIONS(9239), 1,
      anon_sym_COMMA,
    STATE(5927), 2,
      sym_comment,
      sym_marginalia,
  [349394] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8640), 1,
      anon_sym_LPAREN,
    STATE(5949), 1,
      sym_ordered_columns,
    STATE(5928), 2,
      sym_comment,
      sym_marginalia,
  [349411] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8710), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    STATE(5929), 2,
      sym_comment,
      sym_marginalia,
  [349426] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9241), 1,
      sym_keyword_view,
    ACTIONS(9243), 1,
      sym_keyword_materialized,
    STATE(5930), 2,
      sym_comment,
      sym_marginalia,
  [349443] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9245), 1,
      anon_sym_RPAREN,
    ACTIONS(9247), 1,
      anon_sym_COMMA,
    STATE(5931), 2,
      sym_comment,
      sym_marginalia,
  [349460] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9249), 1,
      anon_sym_DOT,
    ACTIONS(9251), 1,
      sym__natural_number,
    STATE(5932), 2,
      sym_comment,
      sym_marginalia,
  [349477] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7849), 1,
      sym_keyword_using,
    ACTIONS(7917), 1,
      sym_keyword_on,
    STATE(5933), 2,
      sym_comment,
      sym_marginalia,
  [349494] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5192), 1,
      sym_keyword_select,
    STATE(4709), 1,
      sym_select,
    STATE(5934), 2,
      sym_comment,
      sym_marginalia,
  [349511] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9253), 1,
      sym_keyword_separator,
    ACTIONS(9255), 1,
      anon_sym_RPAREN,
    STATE(5935), 2,
      sym_comment,
      sym_marginalia,
  [349528] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9257), 1,
      sym_keyword_separator,
    ACTIONS(9259), 1,
      anon_sym_RPAREN,
    STATE(5936), 2,
      sym_comment,
      sym_marginalia,
  [349545] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8640), 1,
      anon_sym_LPAREN,
    STATE(4808), 1,
      sym_ordered_columns,
    STATE(5937), 2,
      sym_comment,
      sym_marginalia,
  [349562] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9261), 1,
      anon_sym_RPAREN,
    ACTIONS(9263), 1,
      anon_sym_COMMA,
    STATE(5938), 2,
      sym_comment,
      sym_marginalia,
  [349579] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7849), 1,
      sym_keyword_using,
    ACTIONS(7853), 1,
      sym_keyword_on,
    STATE(5939), 2,
      sym_comment,
      sym_marginalia,
  [349596] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9265), 1,
      sym_keyword_no,
    ACTIONS(9267), 1,
      sym_keyword_data,
    STATE(5940), 2,
      sym_comment,
      sym_marginalia,
  [349613] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9269), 1,
      anon_sym_DOT,
    ACTIONS(9271), 1,
      sym__natural_number,
    STATE(5941), 2,
      sym_comment,
      sym_marginalia,
  [349630] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9273), 1,
      sym_keyword_table,
    ACTIONS(9275), 1,
      sym_keyword_view,
    STATE(5942), 2,
      sym_comment,
      sym_marginalia,
  [349647] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9277), 1,
      sym_keyword_separator,
    ACTIONS(9279), 1,
      anon_sym_RPAREN,
    STATE(5943), 2,
      sym_comment,
      sym_marginalia,
  [349664] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9281), 1,
      anon_sym_RPAREN,
    ACTIONS(9283), 1,
      anon_sym_COMMA,
    STATE(5944), 2,
      sym_comment,
      sym_marginalia,
  [349681] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9285), 1,
      sym_keyword_separator,
    ACTIONS(9287), 1,
      anon_sym_RPAREN,
    STATE(5945), 2,
      sym_comment,
      sym_marginalia,
  [349698] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9289), 2,
      sym_keyword_first,
      sym_keyword_last,
    STATE(5946), 2,
      sym_comment,
      sym_marginalia,
  [349713] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9291), 1,
      sym_keyword_separator,
    ACTIONS(9293), 1,
      anon_sym_RPAREN,
    STATE(5947), 2,
      sym_comment,
      sym_marginalia,
  [349730] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7863), 1,
      sym_keyword_using,
    ACTIONS(7871), 1,
      sym_keyword_on,
    STATE(5948), 2,
      sym_comment,
      sym_marginalia,
  [349747] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9295), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    STATE(5949), 2,
      sym_comment,
      sym_marginalia,
  [349762] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8098), 1,
      sym_keyword_using,
    ACTIONS(8122), 1,
      sym_keyword_on,
    STATE(5950), 2,
      sym_comment,
      sym_marginalia,
  [349779] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8640), 1,
      anon_sym_LPAREN,
    STATE(4801), 1,
      sym_ordered_columns,
    STATE(5951), 2,
      sym_comment,
      sym_marginalia,
  [349796] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9297), 1,
      anon_sym_DOT,
    ACTIONS(9299), 1,
      sym__natural_number,
    STATE(5952), 2,
      sym_comment,
      sym_marginalia,
  [349813] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9301), 2,
      sym_keyword_preceding,
      sym_keyword_following,
    STATE(5953), 2,
      sym_comment,
      sym_marginalia,
  [349828] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9), 1,
      sym_keyword_select,
    STATE(4722), 1,
      sym_select,
    STATE(5954), 2,
      sym_comment,
      sym_marginalia,
  [349845] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8991), 1,
      sym_keyword_using,
    ACTIONS(9303), 1,
      sym_keyword_on,
    STATE(5955), 2,
      sym_comment,
      sym_marginalia,
  [349862] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9305), 1,
      sym_keyword_outer,
    ACTIONS(9307), 1,
      sym_keyword_join,
    STATE(5956), 2,
      sym_comment,
      sym_marginalia,
  [349879] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8991), 1,
      sym_keyword_using,
    ACTIONS(9309), 1,
      sym_keyword_on,
    STATE(5957), 2,
      sym_comment,
      sym_marginalia,
  [349896] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9311), 1,
      anon_sym_RPAREN,
    ACTIONS(9313), 1,
      anon_sym_COMMA,
    STATE(5958), 2,
      sym_comment,
      sym_marginalia,
  [349913] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9315), 1,
      anon_sym_RPAREN,
    ACTIONS(9317), 1,
      anon_sym_COMMA,
    STATE(5959), 2,
      sym_comment,
      sym_marginalia,
  [349930] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9021), 1,
      anon_sym_LPAREN,
    STATE(4731), 1,
      sym_list,
    STATE(5960), 2,
      sym_comment,
      sym_marginalia,
  [349947] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      anon_sym_RPAREN,
    ACTIONS(9321), 1,
      anon_sym_COMMA,
    STATE(5961), 2,
      sym_comment,
      sym_marginalia,
  [349964] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8098), 1,
      sym_keyword_using,
    ACTIONS(8111), 1,
      sym_keyword_on,
    STATE(5962), 2,
      sym_comment,
      sym_marginalia,
  [349981] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5050), 1,
      anon_sym_LPAREN,
    STATE(3725), 1,
      sym__column_list,
    STATE(5963), 2,
      sym_comment,
      sym_marginalia,
  [349998] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9323), 1,
      anon_sym_RPAREN,
    ACTIONS(9325), 1,
      anon_sym_COMMA,
    STATE(5964), 2,
      sym_comment,
      sym_marginalia,
  [350015] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9327), 1,
      anon_sym_RPAREN,
    ACTIONS(9329), 1,
      anon_sym_COMMA,
    STATE(5965), 2,
      sym_comment,
      sym_marginalia,
  [350032] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9331), 1,
      anon_sym_RPAREN,
    ACTIONS(9333), 1,
      anon_sym_COMMA,
    STATE(5966), 2,
      sym_comment,
      sym_marginalia,
  [350049] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9335), 1,
      anon_sym_DOT,
    ACTIONS(9337), 1,
      sym__natural_number,
    STATE(5967), 2,
      sym_comment,
      sym_marginalia,
  [350066] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8640), 1,
      anon_sym_LPAREN,
    STATE(4802), 1,
      sym_ordered_columns,
    STATE(5968), 2,
      sym_comment,
      sym_marginalia,
  [350083] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7847), 1,
      sym_keyword_on,
    ACTIONS(7849), 1,
      sym_keyword_using,
    STATE(5969), 2,
      sym_comment,
      sym_marginalia,
  [350100] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9339), 2,
      anon_sym_BQUOTE,
      sym__identifier,
    STATE(5970), 2,
      sym_comment,
      sym_marginalia,
  [350115] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8461), 1,
      anon_sym_LPAREN,
    STATE(4862), 1,
      sym_window_specification,
    STATE(5971), 2,
      sym_comment,
      sym_marginalia,
  [350132] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9341), 1,
      anon_sym_DOT,
    ACTIONS(9343), 1,
      sym__natural_number,
    STATE(5972), 2,
      sym_comment,
      sym_marginalia,
  [350149] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9345), 2,
      sym_keyword_separator,
      anon_sym_RPAREN,
    STATE(5973), 2,
      sym_comment,
      sym_marginalia,
  [350164] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9347), 1,
      anon_sym_RPAREN,
    ACTIONS(9349), 1,
      anon_sym_COMMA,
    STATE(5974), 2,
      sym_comment,
      sym_marginalia,
  [350181] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9351), 1,
      anon_sym_RPAREN,
    ACTIONS(9353), 1,
      anon_sym_COMMA,
    STATE(5975), 2,
      sym_comment,
      sym_marginalia,
  [350198] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9355), 1,
      anon_sym_RPAREN,
    ACTIONS(9357), 1,
      anon_sym_COMMA,
    STATE(5976), 2,
      sym_comment,
      sym_marginalia,
  [350215] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7849), 1,
      sym_keyword_using,
    ACTIONS(7879), 1,
      sym_keyword_on,
    STATE(5977), 2,
      sym_comment,
      sym_marginalia,
  [350232] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9359), 1,
      anon_sym_RPAREN,
    ACTIONS(9361), 1,
      anon_sym_COMMA,
    STATE(5978), 2,
      sym_comment,
      sym_marginalia,
  [350249] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9363), 1,
      anon_sym_RPAREN,
    ACTIONS(9365), 1,
      anon_sym_COMMA,
    STATE(5979), 2,
      sym_comment,
      sym_marginalia,
  [350266] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9367), 1,
      anon_sym_RPAREN,
    ACTIONS(9369), 1,
      anon_sym_COMMA,
    STATE(5980), 2,
      sym_comment,
      sym_marginalia,
  [350283] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9371), 2,
      sym_keyword_range,
      sym_keyword_hash,
    STATE(5981), 2,
      sym_comment,
      sym_marginalia,
  [350298] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9373), 1,
      anon_sym_LPAREN,
    STATE(4497), 1,
      sym_column_definitions,
    STATE(5982), 2,
      sym_comment,
      sym_marginalia,
  [350315] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7863), 1,
      sym_keyword_using,
    ACTIONS(7933), 1,
      sym_keyword_on,
    STATE(5983), 2,
      sym_comment,
      sym_marginalia,
  [350332] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9375), 1,
      sym_keyword_separator,
    ACTIONS(9377), 1,
      anon_sym_RPAREN,
    STATE(5984), 2,
      sym_comment,
      sym_marginalia,
  [350349] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7863), 1,
      sym_keyword_using,
    ACTIONS(7869), 1,
      sym_keyword_on,
    STATE(5985), 2,
      sym_comment,
      sym_marginalia,
  [350366] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9379), 2,
      anon_sym_SQUOTE,
      sym__natural_number,
    STATE(5986), 2,
      sym_comment,
      sym_marginalia,
  [350381] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9381), 1,
      anon_sym_DOT,
    ACTIONS(9383), 1,
      sym__natural_number,
    STATE(5987), 2,
      sym_comment,
      sym_marginalia,
  [350398] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9385), 1,
      anon_sym_DOT,
    ACTIONS(9387), 1,
      sym__natural_number,
    STATE(5988), 2,
      sym_comment,
      sym_marginalia,
  [350415] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8098), 1,
      sym_keyword_using,
    ACTIONS(8100), 1,
      sym_keyword_on,
    STATE(5989), 2,
      sym_comment,
      sym_marginalia,
  [350432] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8991), 1,
      sym_keyword_using,
    ACTIONS(9389), 1,
      sym_keyword_on,
    STATE(5990), 2,
      sym_comment,
      sym_marginalia,
  [350449] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9391), 1,
      sym_keyword_separator,
    ACTIONS(9393), 1,
      anon_sym_RPAREN,
    STATE(5991), 2,
      sym_comment,
      sym_marginalia,
  [350466] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7849), 1,
      sym_keyword_using,
    ACTIONS(7875), 1,
      sym_keyword_on,
    STATE(5992), 2,
      sym_comment,
      sym_marginalia,
  [350483] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7861), 1,
      sym_keyword_on,
    ACTIONS(7863), 1,
      sym_keyword_using,
    STATE(5993), 2,
      sym_comment,
      sym_marginalia,
  [350500] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8096), 1,
      sym_keyword_on,
    ACTIONS(8098), 1,
      sym_keyword_using,
    STATE(5994), 2,
      sym_comment,
      sym_marginalia,
  [350517] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8991), 1,
      sym_keyword_using,
    ACTIONS(9395), 1,
      sym_keyword_on,
    STATE(5995), 2,
      sym_comment,
      sym_marginalia,
  [350534] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9397), 1,
      anon_sym_RPAREN,
    ACTIONS(9399), 1,
      anon_sym_COMMA,
    STATE(5996), 2,
      sym_comment,
      sym_marginalia,
  [350551] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9401), 1,
      anon_sym_RPAREN,
    ACTIONS(9403), 1,
      anon_sym_COMMA,
    STATE(5997), 2,
      sym_comment,
      sym_marginalia,
  [350568] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9405), 1,
      anon_sym_RPAREN,
    ACTIONS(9407), 1,
      anon_sym_COMMA,
    STATE(5998), 2,
      sym_comment,
      sym_marginalia,
  [350585] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9409), 2,
      sym_keyword_preceding,
      sym_keyword_following,
    STATE(5999), 2,
      sym_comment,
      sym_marginalia,
  [350600] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9411), 1,
      anon_sym_LPAREN,
    STATE(4484), 1,
      sym_column_definitions,
    STATE(6000), 2,
      sym_comment,
      sym_marginalia,
  [350617] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9413), 2,
      anon_sym_SQUOTE,
      sym__natural_number,
    STATE(6001), 2,
      sym_comment,
      sym_marginalia,
  [350632] = 5,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9415), 1,
      sym_keyword_separator,
    ACTIONS(9417), 1,
      anon_sym_RPAREN,
    STATE(6002), 2,
      sym_comment,
      sym_marginalia,
  [350649] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9419), 1,
      sym__natural_number,
    STATE(6003), 2,
      sym_comment,
      sym_marginalia,
  [350663] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9421), 1,
      anon_sym_RPAREN,
    STATE(6004), 2,
      sym_comment,
      sym_marginalia,
  [350677] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9423), 1,
      anon_sym_SQUOTE,
    STATE(6005), 2,
      sym_comment,
      sym_marginalia,
  [350691] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2985), 1,
      sym__natural_number,
    STATE(6006), 2,
      sym_comment,
      sym_marginalia,
  [350705] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9425), 1,
      anon_sym_DQUOTE,
    STATE(6007), 2,
      sym_comment,
      sym_marginalia,
  [350719] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9427), 1,
      anon_sym_BQUOTE,
    STATE(6008), 2,
      sym_comment,
      sym_marginalia,
  [350733] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9429), 1,
      anon_sym_LPAREN,
    STATE(6009), 2,
      sym_comment,
      sym_marginalia,
  [350747] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9431), 1,
      sym_keyword_as,
    STATE(6010), 2,
      sym_comment,
      sym_marginalia,
  [350761] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9433), 1,
      anon_sym_RPAREN,
    STATE(6011), 2,
      sym_comment,
      sym_marginalia,
  [350775] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9435), 1,
      anon_sym_RPAREN,
    STATE(6012), 2,
      sym_comment,
      sym_marginalia,
  [350789] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9437), 1,
      anon_sym_RPAREN,
    STATE(6013), 2,
      sym_comment,
      sym_marginalia,
  [350803] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9439), 1,
      anon_sym_SQUOTE,
    STATE(6014), 2,
      sym_comment,
      sym_marginalia,
  [350817] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9441), 1,
      anon_sym_RPAREN,
    STATE(6015), 2,
      sym_comment,
      sym_marginalia,
  [350831] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      anon_sym_RPAREN,
    STATE(6016), 2,
      sym_comment,
      sym_marginalia,
  [350845] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9445), 1,
      anon_sym_RPAREN,
    STATE(6017), 2,
      sym_comment,
      sym_marginalia,
  [350859] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9447), 1,
      anon_sym_RPAREN,
    STATE(6018), 2,
      sym_comment,
      sym_marginalia,
  [350873] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9449), 1,
      sym_keyword_format,
    STATE(6019), 2,
      sym_comment,
      sym_marginalia,
  [350887] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9451), 1,
      anon_sym_RPAREN,
    STATE(6020), 2,
      sym_comment,
      sym_marginalia,
  [350901] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9453), 1,
      sym_keyword_exists,
    STATE(6021), 2,
      sym_comment,
      sym_marginalia,
  [350915] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9455), 1,
      sym_keyword_by,
    STATE(6022), 2,
      sym_comment,
      sym_marginalia,
  [350929] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9457), 1,
      sym__natural_number,
    STATE(6023), 2,
      sym_comment,
      sym_marginalia,
  [350943] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8228), 1,
      anon_sym_RPAREN,
    STATE(6024), 2,
      sym_comment,
      sym_marginalia,
  [350957] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9459), 1,
      aux_sym_parameter_token1,
    STATE(6025), 2,
      sym_comment,
      sym_marginalia,
  [350971] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9461), 1,
      anon_sym_RPAREN,
    STATE(6026), 2,
      sym_comment,
      sym_marginalia,
  [350985] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9463), 1,
      anon_sym_RPAREN,
    STATE(6027), 2,
      sym_comment,
      sym_marginalia,
  [350999] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9465), 1,
      anon_sym_RPAREN,
    STATE(6028), 2,
      sym_comment,
      sym_marginalia,
  [351013] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9467), 1,
      anon_sym_RPAREN,
    STATE(6029), 2,
      sym_comment,
      sym_marginalia,
  [351027] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9469), 1,
      anon_sym_RPAREN,
    STATE(6030), 2,
      sym_comment,
      sym_marginalia,
  [351041] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8457), 1,
      anon_sym_RPAREN,
    STATE(6031), 2,
      sym_comment,
      sym_marginalia,
  [351055] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9471), 1,
      anon_sym_RPAREN,
    STATE(6032), 2,
      sym_comment,
      sym_marginalia,
  [351069] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9473), 1,
      anon_sym_RPAREN,
    STATE(6033), 2,
      sym_comment,
      sym_marginalia,
  [351083] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9475), 1,
      anon_sym_RPAREN,
    STATE(6034), 2,
      sym_comment,
      sym_marginalia,
  [351097] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9477), 1,
      anon_sym_RPAREN,
    STATE(6035), 2,
      sym_comment,
      sym_marginalia,
  [351111] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9479), 1,
      aux_sym_keyword_timestamp_token4,
    STATE(6036), 2,
      sym_comment,
      sym_marginalia,
  [351125] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9481), 1,
      aux_sym_keyword_timestamp_token4,
    STATE(6037), 2,
      sym_comment,
      sym_marginalia,
  [351139] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9483), 1,
      anon_sym_RPAREN,
    STATE(6038), 2,
      sym_comment,
      sym_marginalia,
  [351153] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9485), 1,
      anon_sym_RPAREN,
    STATE(6039), 2,
      sym_comment,
      sym_marginalia,
  [351167] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9487), 1,
      anon_sym_RPAREN,
    STATE(6040), 2,
      sym_comment,
      sym_marginalia,
  [351181] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9489), 1,
      anon_sym_RPAREN,
    STATE(6041), 2,
      sym_comment,
      sym_marginalia,
  [351195] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9491), 1,
      anon_sym_RPAREN,
    STATE(6042), 2,
      sym_comment,
      sym_marginalia,
  [351209] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9493), 1,
      anon_sym_RPAREN,
    STATE(6043), 2,
      sym_comment,
      sym_marginalia,
  [351223] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9495), 1,
      anon_sym_RPAREN,
    STATE(6044), 2,
      sym_comment,
      sym_marginalia,
  [351237] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9497), 1,
      anon_sym_RPAREN,
    STATE(6045), 2,
      sym_comment,
      sym_marginalia,
  [351251] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9499), 1,
      anon_sym_RPAREN,
    STATE(6046), 2,
      sym_comment,
      sym_marginalia,
  [351265] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9501), 1,
      anon_sym_RPAREN,
    STATE(6047), 2,
      sym_comment,
      sym_marginalia,
  [351279] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9503), 1,
      anon_sym_RPAREN,
    STATE(6048), 2,
      sym_comment,
      sym_marginalia,
  [351293] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9505), 1,
      anon_sym_RPAREN,
    STATE(6049), 2,
      sym_comment,
      sym_marginalia,
  [351307] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9507), 1,
      anon_sym_RPAREN,
    STATE(6050), 2,
      sym_comment,
      sym_marginalia,
  [351321] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9509), 1,
      anon_sym_RPAREN,
    STATE(6051), 2,
      sym_comment,
      sym_marginalia,
  [351335] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9511), 1,
      anon_sym_RPAREN,
    STATE(6052), 2,
      sym_comment,
      sym_marginalia,
  [351349] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9513), 1,
      anon_sym_RPAREN,
    STATE(6053), 2,
      sym_comment,
      sym_marginalia,
  [351363] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9515), 1,
      anon_sym_RPAREN,
    STATE(6054), 2,
      sym_comment,
      sym_marginalia,
  [351377] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9517), 1,
      anon_sym_RPAREN,
    STATE(6055), 2,
      sym_comment,
      sym_marginalia,
  [351391] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9519), 1,
      anon_sym_RPAREN,
    STATE(6056), 2,
      sym_comment,
      sym_marginalia,
  [351405] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9521), 1,
      anon_sym_RPAREN,
    STATE(6057), 2,
      sym_comment,
      sym_marginalia,
  [351419] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9523), 1,
      anon_sym_RPAREN,
    STATE(6058), 2,
      sym_comment,
      sym_marginalia,
  [351433] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9525), 1,
      anon_sym_RPAREN,
    STATE(6059), 2,
      sym_comment,
      sym_marginalia,
  [351447] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9527), 1,
      anon_sym_RPAREN,
    STATE(6060), 2,
      sym_comment,
      sym_marginalia,
  [351461] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9529), 1,
      anon_sym_RPAREN,
    STATE(6061), 2,
      sym_comment,
      sym_marginalia,
  [351475] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9531), 1,
      anon_sym_RPAREN,
    STATE(6062), 2,
      sym_comment,
      sym_marginalia,
  [351489] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9533), 1,
      anon_sym_RPAREN,
    STATE(6063), 2,
      sym_comment,
      sym_marginalia,
  [351503] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9535), 1,
      anon_sym_RPAREN,
    STATE(6064), 2,
      sym_comment,
      sym_marginalia,
  [351517] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9537), 1,
      anon_sym_RPAREN,
    STATE(6065), 2,
      sym_comment,
      sym_marginalia,
  [351531] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9539), 1,
      anon_sym_RPAREN,
    STATE(6066), 2,
      sym_comment,
      sym_marginalia,
  [351545] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9541), 1,
      anon_sym_EQ,
    STATE(6067), 2,
      sym_comment,
      sym_marginalia,
  [351559] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9543), 1,
      sym__natural_number,
    STATE(6068), 2,
      sym_comment,
      sym_marginalia,
  [351573] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9545), 1,
      aux_sym_parameter_token1,
    STATE(6069), 2,
      sym_comment,
      sym_marginalia,
  [351587] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9547), 1,
      aux_sym_keyword_timestamp_token4,
    STATE(6070), 2,
      sym_comment,
      sym_marginalia,
  [351601] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9549), 1,
      aux_sym_keyword_timestamp_token4,
    STATE(6071), 2,
      sym_comment,
      sym_marginalia,
  [351615] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8437), 1,
      anon_sym_RPAREN,
    STATE(6072), 2,
      sym_comment,
      sym_marginalia,
  [351629] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9551), 1,
      anon_sym_RPAREN,
    STATE(6073), 2,
      sym_comment,
      sym_marginalia,
  [351643] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9553), 1,
      anon_sym_SQUOTE,
    STATE(6074), 2,
      sym_comment,
      sym_marginalia,
  [351657] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6111), 1,
      sym__natural_number,
    STATE(6075), 2,
      sym_comment,
      sym_marginalia,
  [351671] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9555), 1,
      anon_sym_DQUOTE,
    STATE(6076), 2,
      sym_comment,
      sym_marginalia,
  [351685] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9557), 1,
      anon_sym_BQUOTE,
    STATE(6077), 2,
      sym_comment,
      sym_marginalia,
  [351699] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9559), 1,
      anon_sym_RPAREN,
    STATE(6078), 2,
      sym_comment,
      sym_marginalia,
  [351713] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9561), 1,
      sym_keyword_by,
    STATE(6079), 2,
      sym_comment,
      sym_marginalia,
  [351727] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9563), 1,
      anon_sym_RPAREN,
    STATE(6080), 2,
      sym_comment,
      sym_marginalia,
  [351741] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8193), 1,
      anon_sym_RPAREN,
    STATE(6081), 2,
      sym_comment,
      sym_marginalia,
  [351755] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9565), 1,
      anon_sym_RPAREN,
    STATE(6082), 2,
      sym_comment,
      sym_marginalia,
  [351769] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9567), 1,
      anon_sym_SQUOTE,
    STATE(6083), 2,
      sym_comment,
      sym_marginalia,
  [351783] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9569), 1,
      anon_sym_SQUOTE,
    STATE(6084), 2,
      sym_comment,
      sym_marginalia,
  [351797] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9571), 1,
      anon_sym_RPAREN,
    STATE(6085), 2,
      sym_comment,
      sym_marginalia,
  [351811] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9573), 1,
      anon_sym_RPAREN,
    STATE(6086), 2,
      sym_comment,
      sym_marginalia,
  [351825] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9575), 1,
      anon_sym_BQUOTE,
    STATE(6087), 2,
      sym_comment,
      sym_marginalia,
  [351839] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9577), 1,
      anon_sym_DQUOTE,
    STATE(6088), 2,
      sym_comment,
      sym_marginalia,
  [351853] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6171), 1,
      sym__natural_number,
    STATE(6089), 2,
      sym_comment,
      sym_marginalia,
  [351867] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9579), 1,
      anon_sym_SQUOTE,
    STATE(6090), 2,
      sym_comment,
      sym_marginalia,
  [351881] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9581), 1,
      sym_keyword_as,
    STATE(6091), 2,
      sym_comment,
      sym_marginalia,
  [351895] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9583), 1,
      aux_sym_parameter_token1,
    STATE(6092), 2,
      sym_comment,
      sym_marginalia,
  [351909] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8189), 1,
      anon_sym_RPAREN,
    STATE(6093), 2,
      sym_comment,
      sym_marginalia,
  [351923] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9585), 1,
      sym__natural_number,
    STATE(6094), 2,
      sym_comment,
      sym_marginalia,
  [351937] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9587), 1,
      anon_sym_RPAREN,
    STATE(6095), 2,
      sym_comment,
      sym_marginalia,
  [351951] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9589), 1,
      anon_sym_RPAREN,
    STATE(6096), 2,
      sym_comment,
      sym_marginalia,
  [351965] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9591), 1,
      anon_sym_RPAREN,
    STATE(6097), 2,
      sym_comment,
      sym_marginalia,
  [351979] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9593), 1,
      anon_sym_RPAREN,
    STATE(6098), 2,
      sym_comment,
      sym_marginalia,
  [351993] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9595), 1,
      anon_sym_RPAREN,
    STATE(6099), 2,
      sym_comment,
      sym_marginalia,
  [352007] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8385), 1,
      anon_sym_RPAREN,
    STATE(6100), 2,
      sym_comment,
      sym_marginalia,
  [352021] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9597), 1,
      anon_sym_RPAREN,
    STATE(6101), 2,
      sym_comment,
      sym_marginalia,
  [352035] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9599), 1,
      anon_sym_RPAREN,
    STATE(6102), 2,
      sym_comment,
      sym_marginalia,
  [352049] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9601), 1,
      anon_sym_RPAREN,
    STATE(6103), 2,
      sym_comment,
      sym_marginalia,
  [352063] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9603), 1,
      anon_sym_RPAREN,
    STATE(6104), 2,
      sym_comment,
      sym_marginalia,
  [352077] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9605), 1,
      aux_sym_keyword_timestamp_token4,
    STATE(6105), 2,
      sym_comment,
      sym_marginalia,
  [352091] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9607), 1,
      aux_sym_keyword_timestamp_token4,
    STATE(6106), 2,
      sym_comment,
      sym_marginalia,
  [352105] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9609), 1,
      anon_sym_RPAREN,
    STATE(6107), 2,
      sym_comment,
      sym_marginalia,
  [352119] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9611), 1,
      anon_sym_RPAREN,
    STATE(6108), 2,
      sym_comment,
      sym_marginalia,
  [352133] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9613), 1,
      anon_sym_RPAREN,
    STATE(6109), 2,
      sym_comment,
      sym_marginalia,
  [352147] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9615), 1,
      anon_sym_RPAREN,
    STATE(6110), 2,
      sym_comment,
      sym_marginalia,
  [352161] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9617), 1,
      anon_sym_RPAREN,
    STATE(6111), 2,
      sym_comment,
      sym_marginalia,
  [352175] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9619), 1,
      anon_sym_RPAREN,
    STATE(6112), 2,
      sym_comment,
      sym_marginalia,
  [352189] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9621), 1,
      anon_sym_RPAREN,
    STATE(6113), 2,
      sym_comment,
      sym_marginalia,
  [352203] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9623), 1,
      anon_sym_RPAREN,
    STATE(6114), 2,
      sym_comment,
      sym_marginalia,
  [352217] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9625), 1,
      anon_sym_RPAREN,
    STATE(6115), 2,
      sym_comment,
      sym_marginalia,
  [352231] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9627), 1,
      anon_sym_RPAREN,
    STATE(6116), 2,
      sym_comment,
      sym_marginalia,
  [352245] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9629), 1,
      anon_sym_RPAREN,
    STATE(6117), 2,
      sym_comment,
      sym_marginalia,
  [352259] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9631), 1,
      anon_sym_RPAREN,
    STATE(6118), 2,
      sym_comment,
      sym_marginalia,
  [352273] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9633), 1,
      anon_sym_RPAREN,
    STATE(6119), 2,
      sym_comment,
      sym_marginalia,
  [352287] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9635), 1,
      anon_sym_RPAREN,
    STATE(6120), 2,
      sym_comment,
      sym_marginalia,
  [352301] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9637), 1,
      anon_sym_RPAREN,
    STATE(6121), 2,
      sym_comment,
      sym_marginalia,
  [352315] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9639), 1,
      anon_sym_RPAREN,
    STATE(6122), 2,
      sym_comment,
      sym_marginalia,
  [352329] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9641), 1,
      anon_sym_RPAREN,
    STATE(6123), 2,
      sym_comment,
      sym_marginalia,
  [352343] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9643), 1,
      anon_sym_RPAREN,
    STATE(6124), 2,
      sym_comment,
      sym_marginalia,
  [352357] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9645), 1,
      anon_sym_RPAREN,
    STATE(6125), 2,
      sym_comment,
      sym_marginalia,
  [352371] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9647), 1,
      anon_sym_RPAREN,
    STATE(6126), 2,
      sym_comment,
      sym_marginalia,
  [352385] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9649), 1,
      anon_sym_RPAREN,
    STATE(6127), 2,
      sym_comment,
      sym_marginalia,
  [352399] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9651), 1,
      anon_sym_RPAREN,
    STATE(6128), 2,
      sym_comment,
      sym_marginalia,
  [352413] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9653), 1,
      anon_sym_RPAREN,
    STATE(6129), 2,
      sym_comment,
      sym_marginalia,
  [352427] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9655), 1,
      anon_sym_RPAREN,
    STATE(6130), 2,
      sym_comment,
      sym_marginalia,
  [352441] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9657), 1,
      anon_sym_RPAREN,
    STATE(6131), 2,
      sym_comment,
      sym_marginalia,
  [352455] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9659), 1,
      anon_sym_RPAREN,
    STATE(6132), 2,
      sym_comment,
      sym_marginalia,
  [352469] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9661), 1,
      anon_sym_RPAREN,
    STATE(6133), 2,
      sym_comment,
      sym_marginalia,
  [352483] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9663), 1,
      anon_sym_RPAREN,
    STATE(6134), 2,
      sym_comment,
      sym_marginalia,
  [352497] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9665), 1,
      anon_sym_RPAREN,
    STATE(6135), 2,
      sym_comment,
      sym_marginalia,
  [352511] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9667), 1,
      anon_sym_RPAREN,
    STATE(6136), 2,
      sym_comment,
      sym_marginalia,
  [352525] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9669), 1,
      sym__natural_number,
    STATE(6137), 2,
      sym_comment,
      sym_marginalia,
  [352539] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9671), 1,
      aux_sym_parameter_token1,
    STATE(6138), 2,
      sym_comment,
      sym_marginalia,
  [352553] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9673), 1,
      anon_sym_RPAREN,
    STATE(6139), 2,
      sym_comment,
      sym_marginalia,
  [352567] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9675), 1,
      anon_sym_RPAREN,
    STATE(6140), 2,
      sym_comment,
      sym_marginalia,
  [352581] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9677), 1,
      anon_sym_RPAREN,
    STATE(6141), 2,
      sym_comment,
      sym_marginalia,
  [352595] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9679), 1,
      anon_sym_RPAREN,
    STATE(6142), 2,
      sym_comment,
      sym_marginalia,
  [352609] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9681), 1,
      anon_sym_SQUOTE,
    STATE(6143), 2,
      sym_comment,
      sym_marginalia,
  [352623] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5422), 1,
      sym__natural_number,
    STATE(6144), 2,
      sym_comment,
      sym_marginalia,
  [352637] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9683), 1,
      anon_sym_DQUOTE,
    STATE(6145), 2,
      sym_comment,
      sym_marginalia,
  [352651] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9685), 1,
      anon_sym_BQUOTE,
    STATE(6146), 2,
      sym_comment,
      sym_marginalia,
  [352665] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9687), 1,
      anon_sym_RPAREN,
    STATE(6147), 2,
      sym_comment,
      sym_marginalia,
  [352679] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9689), 1,
      aux_sym_keyword_timestamp_token4,
    STATE(6148), 2,
      sym_comment,
      sym_marginalia,
  [352693] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9691), 1,
      anon_sym_RPAREN,
    STATE(6149), 2,
      sym_comment,
      sym_marginalia,
  [352707] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9693), 1,
      aux_sym_keyword_timestamp_token4,
    STATE(6150), 2,
      sym_comment,
      sym_marginalia,
  [352721] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8347), 1,
      anon_sym_RPAREN,
    STATE(6151), 2,
      sym_comment,
      sym_marginalia,
  [352735] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9695), 1,
      anon_sym_SQUOTE,
    STATE(6152), 2,
      sym_comment,
      sym_marginalia,
  [352749] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9697), 1,
      anon_sym_RPAREN,
    STATE(6153), 2,
      sym_comment,
      sym_marginalia,
  [352763] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9699), 1,
      anon_sym_RPAREN,
    STATE(6154), 2,
      sym_comment,
      sym_marginalia,
  [352777] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9701), 1,
      anon_sym_RPAREN,
    STATE(6155), 2,
      sym_comment,
      sym_marginalia,
  [352791] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8169), 1,
      anon_sym_RPAREN,
    STATE(6156), 2,
      sym_comment,
      sym_marginalia,
  [352805] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9703), 1,
      anon_sym_RPAREN,
    STATE(6157), 2,
      sym_comment,
      sym_marginalia,
  [352819] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9705), 1,
      anon_sym_SQUOTE,
    STATE(6158), 2,
      sym_comment,
      sym_marginalia,
  [352833] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9707), 1,
      anon_sym_RPAREN,
    STATE(6159), 2,
      sym_comment,
      sym_marginalia,
  [352847] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9709), 1,
      sym_keyword_as,
    STATE(6160), 2,
      sym_comment,
      sym_marginalia,
  [352861] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9711), 1,
      anon_sym_BQUOTE,
    STATE(6161), 2,
      sym_comment,
      sym_marginalia,
  [352875] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8159), 1,
      anon_sym_RPAREN,
    STATE(6162), 2,
      sym_comment,
      sym_marginalia,
  [352889] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9713), 1,
      anon_sym_DQUOTE,
    STATE(6163), 2,
      sym_comment,
      sym_marginalia,
  [352903] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6001), 1,
      sym__natural_number,
    STATE(6164), 2,
      sym_comment,
      sym_marginalia,
  [352917] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9715), 1,
      anon_sym_RPAREN,
    STATE(6165), 2,
      sym_comment,
      sym_marginalia,
  [352931] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      anon_sym_RPAREN,
    STATE(6166), 2,
      sym_comment,
      sym_marginalia,
  [352945] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9719), 1,
      anon_sym_SQUOTE,
    STATE(6167), 2,
      sym_comment,
      sym_marginalia,
  [352959] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9721), 1,
      aux_sym_parameter_token1,
    STATE(6168), 2,
      sym_comment,
      sym_marginalia,
  [352973] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8325), 1,
      anon_sym_RPAREN,
    STATE(6169), 2,
      sym_comment,
      sym_marginalia,
  [352987] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9723), 1,
      sym__natural_number,
    STATE(6170), 2,
      sym_comment,
      sym_marginalia,
  [353001] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9725), 1,
      sym_keyword_by,
    STATE(6171), 2,
      sym_comment,
      sym_marginalia,
  [353015] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9727), 1,
      anon_sym_RPAREN,
    STATE(6172), 2,
      sym_comment,
      sym_marginalia,
  [353029] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9729), 1,
      anon_sym_RPAREN,
    STATE(6173), 2,
      sym_comment,
      sym_marginalia,
  [353043] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9731), 1,
      aux_sym_keyword_timestamp_token4,
    STATE(6174), 2,
      sym_comment,
      sym_marginalia,
  [353057] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9733), 1,
      aux_sym_keyword_timestamp_token4,
    STATE(6175), 2,
      sym_comment,
      sym_marginalia,
  [353071] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9735), 1,
      anon_sym_RPAREN,
    STATE(6176), 2,
      sym_comment,
      sym_marginalia,
  [353085] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9737), 1,
      anon_sym_RPAREN,
    STATE(6177), 2,
      sym_comment,
      sym_marginalia,
  [353099] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9739), 1,
      anon_sym_RPAREN,
    STATE(6178), 2,
      sym_comment,
      sym_marginalia,
  [353113] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9741), 1,
      anon_sym_RPAREN,
    STATE(6179), 2,
      sym_comment,
      sym_marginalia,
  [353127] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9743), 1,
      anon_sym_RPAREN,
    STATE(6180), 2,
      sym_comment,
      sym_marginalia,
  [353141] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9745), 1,
      anon_sym_RPAREN,
    STATE(6181), 2,
      sym_comment,
      sym_marginalia,
  [353155] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9747), 1,
      anon_sym_RPAREN,
    STATE(6182), 2,
      sym_comment,
      sym_marginalia,
  [353169] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9749), 1,
      anon_sym_SQUOTE,
    STATE(6183), 2,
      sym_comment,
      sym_marginalia,
  [353183] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9751), 1,
      anon_sym_RPAREN,
    STATE(6184), 2,
      sym_comment,
      sym_marginalia,
  [353197] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9753), 1,
      anon_sym_RPAREN,
    STATE(6185), 2,
      sym_comment,
      sym_marginalia,
  [353211] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9755), 1,
      anon_sym_RPAREN,
    STATE(6186), 2,
      sym_comment,
      sym_marginalia,
  [353225] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9757), 1,
      anon_sym_RPAREN,
    STATE(6187), 2,
      sym_comment,
      sym_marginalia,
  [353239] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9759), 1,
      anon_sym_RPAREN,
    STATE(6188), 2,
      sym_comment,
      sym_marginalia,
  [353253] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9761), 1,
      anon_sym_RPAREN,
    STATE(6189), 2,
      sym_comment,
      sym_marginalia,
  [353267] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9763), 1,
      anon_sym_RPAREN,
    STATE(6190), 2,
      sym_comment,
      sym_marginalia,
  [353281] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9765), 1,
      anon_sym_RPAREN,
    STATE(6191), 2,
      sym_comment,
      sym_marginalia,
  [353295] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9767), 1,
      anon_sym_RPAREN,
    STATE(6192), 2,
      sym_comment,
      sym_marginalia,
  [353309] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9769), 1,
      anon_sym_RPAREN,
    STATE(6193), 2,
      sym_comment,
      sym_marginalia,
  [353323] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9771), 1,
      anon_sym_RPAREN,
    STATE(6194), 2,
      sym_comment,
      sym_marginalia,
  [353337] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9773), 1,
      anon_sym_RPAREN,
    STATE(6195), 2,
      sym_comment,
      sym_marginalia,
  [353351] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9775), 1,
      anon_sym_RPAREN,
    STATE(6196), 2,
      sym_comment,
      sym_marginalia,
  [353365] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9777), 1,
      anon_sym_RPAREN,
    STATE(6197), 2,
      sym_comment,
      sym_marginalia,
  [353379] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9779), 1,
      anon_sym_RPAREN,
    STATE(6198), 2,
      sym_comment,
      sym_marginalia,
  [353393] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9781), 1,
      anon_sym_RPAREN,
    STATE(6199), 2,
      sym_comment,
      sym_marginalia,
  [353407] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9783), 1,
      anon_sym_RPAREN,
    STATE(6200), 2,
      sym_comment,
      sym_marginalia,
  [353421] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9785), 1,
      anon_sym_RPAREN,
    STATE(6201), 2,
      sym_comment,
      sym_marginalia,
  [353435] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9787), 1,
      anon_sym_RPAREN,
    STATE(6202), 2,
      sym_comment,
      sym_marginalia,
  [353449] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9789), 1,
      anon_sym_RPAREN,
    STATE(6203), 2,
      sym_comment,
      sym_marginalia,
  [353463] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9791), 1,
      anon_sym_RPAREN,
    STATE(6204), 2,
      sym_comment,
      sym_marginalia,
  [353477] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9793), 1,
      anon_sym_RPAREN,
    STATE(6205), 2,
      sym_comment,
      sym_marginalia,
  [353491] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9795), 1,
      anon_sym_BQUOTE,
    STATE(6206), 2,
      sym_comment,
      sym_marginalia,
  [353505] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9797), 1,
      sym_keyword_join,
    STATE(6207), 2,
      sym_comment,
      sym_marginalia,
  [353519] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9799), 1,
      anon_sym_RPAREN,
    STATE(6208), 2,
      sym_comment,
      sym_marginalia,
  [353533] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9801), 1,
      anon_sym_RPAREN,
    STATE(6209), 2,
      sym_comment,
      sym_marginalia,
  [353547] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9803), 1,
      anon_sym_RPAREN,
    STATE(6210), 2,
      sym_comment,
      sym_marginalia,
  [353561] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9805), 1,
      anon_sym_RPAREN,
    STATE(6211), 2,
      sym_comment,
      sym_marginalia,
  [353575] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9807), 1,
      anon_sym_BQUOTE,
    STATE(6212), 2,
      sym_comment,
      sym_marginalia,
  [353589] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9809), 1,
      anon_sym_RPAREN,
    STATE(6213), 2,
      sym_comment,
      sym_marginalia,
  [353603] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9811), 1,
      anon_sym_RPAREN,
    STATE(6214), 2,
      sym_comment,
      sym_marginalia,
  [353617] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9813), 1,
      anon_sym_RPAREN,
    STATE(6215), 2,
      sym_comment,
      sym_marginalia,
  [353631] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9815), 1,
      anon_sym_RPAREN,
    STATE(6216), 2,
      sym_comment,
      sym_marginalia,
  [353645] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9817), 1,
      anon_sym_RPAREN,
    STATE(6217), 2,
      sym_comment,
      sym_marginalia,
  [353659] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9819), 1,
      anon_sym_RPAREN,
    STATE(6218), 2,
      sym_comment,
      sym_marginalia,
  [353673] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9821), 1,
      anon_sym_LBRACK,
    STATE(6219), 2,
      sym_comment,
      sym_marginalia,
  [353687] = 4,
    ACTIONS(9823), 1,
      anon_sym_DASH_DASH,
    ACTIONS(9825), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9827), 1,
      aux_sym__literal_string_token1,
    STATE(6220), 2,
      sym_comment,
      sym_marginalia,
  [353701] = 4,
    ACTIONS(9823), 1,
      anon_sym_DASH_DASH,
    ACTIONS(9825), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9829), 1,
      aux_sym__double_quote_string_token1,
    STATE(6221), 2,
      sym_comment,
      sym_marginalia,
  [353715] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9831), 1,
      sym__identifier,
    STATE(6222), 2,
      sym_comment,
      sym_marginalia,
  [353729] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9833), 1,
      anon_sym_RPAREN,
    STATE(6223), 2,
      sym_comment,
      sym_marginalia,
  [353743] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9835), 1,
      aux_sym_keyword_timestamp_token4,
    STATE(6224), 2,
      sym_comment,
      sym_marginalia,
  [353757] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9837), 1,
      aux_sym_keyword_timestamp_token4,
    STATE(6225), 2,
      sym_comment,
      sym_marginalia,
  [353771] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8359), 1,
      anon_sym_RPAREN,
    STATE(6226), 2,
      sym_comment,
      sym_marginalia,
  [353785] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9839), 1,
      anon_sym_RPAREN,
    STATE(6227), 2,
      sym_comment,
      sym_marginalia,
  [353799] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9841), 1,
      anon_sym_EQ,
    STATE(6228), 2,
      sym_comment,
      sym_marginalia,
  [353813] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9843), 1,
      anon_sym_DOT,
    STATE(6229), 2,
      sym_comment,
      sym_marginalia,
  [353827] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9845), 1,
      anon_sym_RPAREN,
    STATE(6230), 2,
      sym_comment,
      sym_marginalia,
  [353841] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8197), 1,
      anon_sym_RPAREN,
    STATE(6231), 2,
      sym_comment,
      sym_marginalia,
  [353855] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9847), 1,
      anon_sym_RPAREN,
    STATE(6232), 2,
      sym_comment,
      sym_marginalia,
  [353869] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9849), 1,
      sym_keyword_as,
    STATE(6233), 2,
      sym_comment,
      sym_marginalia,
  [353883] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9851), 1,
      anon_sym_SQUOTE,
    STATE(6234), 2,
      sym_comment,
      sym_marginalia,
  [353897] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9853), 1,
      anon_sym_RPAREN,
    STATE(6235), 2,
      sym_comment,
      sym_marginalia,
  [353911] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9855), 1,
      anon_sym_BQUOTE,
    STATE(6236), 2,
      sym_comment,
      sym_marginalia,
  [353925] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9857), 1,
      anon_sym_DQUOTE,
    STATE(6237), 2,
      sym_comment,
      sym_marginalia,
  [353939] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9859), 1,
      anon_sym_EQ,
    STATE(6238), 2,
      sym_comment,
      sym_marginalia,
  [353953] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1903), 1,
      sym__natural_number,
    STATE(6239), 2,
      sym_comment,
      sym_marginalia,
  [353967] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9861), 1,
      anon_sym_SQUOTE,
    STATE(6240), 2,
      sym_comment,
      sym_marginalia,
  [353981] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9863), 1,
      aux_sym_parameter_token1,
    STATE(6241), 2,
      sym_comment,
      sym_marginalia,
  [353995] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9865), 1,
      sym_keyword_format,
    STATE(6242), 2,
      sym_comment,
      sym_marginalia,
  [354009] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9867), 1,
      sym_keyword_as,
    STATE(6243), 2,
      sym_comment,
      sym_marginalia,
  [354023] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9869), 1,
      sym_keyword_by,
    STATE(6244), 2,
      sym_comment,
      sym_marginalia,
  [354037] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9871), 1,
      sym__natural_number,
    STATE(6245), 2,
      sym_comment,
      sym_marginalia,
  [354051] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9873), 1,
      sym_keyword_as,
    STATE(6246), 2,
      sym_comment,
      sym_marginalia,
  [354065] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9875), 1,
      sym_keyword_on,
    STATE(6247), 2,
      sym_comment,
      sym_marginalia,
  [354079] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9877), 1,
      sym_keyword_as,
    STATE(6248), 2,
      sym_comment,
      sym_marginalia,
  [354093] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9879), 1,
      sym_keyword_as,
    STATE(6249), 2,
      sym_comment,
      sym_marginalia,
  [354107] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9881), 1,
      anon_sym_RPAREN,
    STATE(6250), 2,
      sym_comment,
      sym_marginalia,
  [354121] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9883), 1,
      anon_sym_RPAREN,
    STATE(6251), 2,
      sym_comment,
      sym_marginalia,
  [354135] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9885), 1,
      anon_sym_RPAREN,
    STATE(6252), 2,
      sym_comment,
      sym_marginalia,
  [354149] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9887), 1,
      anon_sym_RPAREN,
    STATE(6253), 2,
      sym_comment,
      sym_marginalia,
  [354163] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9889), 1,
      anon_sym_RPAREN,
    STATE(6254), 2,
      sym_comment,
      sym_marginalia,
  [354177] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9891), 1,
      anon_sym_RPAREN,
    STATE(6255), 2,
      sym_comment,
      sym_marginalia,
  [354191] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9893), 1,
      sym_keyword_by,
    STATE(6256), 2,
      sym_comment,
      sym_marginalia,
  [354205] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9895), 1,
      sym_keyword_by,
    STATE(6257), 2,
      sym_comment,
      sym_marginalia,
  [354219] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9897), 1,
      anon_sym_RPAREN,
    STATE(6258), 2,
      sym_comment,
      sym_marginalia,
  [354233] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9899), 1,
      anon_sym_RPAREN,
    STATE(6259), 2,
      sym_comment,
      sym_marginalia,
  [354247] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9901), 1,
      anon_sym_RPAREN,
    STATE(6260), 2,
      sym_comment,
      sym_marginalia,
  [354261] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9903), 1,
      anon_sym_RPAREN,
    STATE(6261), 2,
      sym_comment,
      sym_marginalia,
  [354275] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9905), 1,
      anon_sym_RPAREN,
    STATE(6262), 2,
      sym_comment,
      sym_marginalia,
  [354289] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9907), 1,
      anon_sym_DOT,
    STATE(6263), 2,
      sym_comment,
      sym_marginalia,
  [354303] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9909), 1,
      sym__natural_number,
    STATE(6264), 2,
      sym_comment,
      sym_marginalia,
  [354317] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9911), 1,
      sym__natural_number,
    STATE(6265), 2,
      sym_comment,
      sym_marginalia,
  [354331] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9913), 1,
      sym__natural_number,
    STATE(6266), 2,
      sym_comment,
      sym_marginalia,
  [354345] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9915), 1,
      aux_sym_keyword_timestamp_token3,
    STATE(6267), 2,
      sym_comment,
      sym_marginalia,
  [354359] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9917), 1,
      aux_sym_keyword_timestamp_token3,
    STATE(6268), 2,
      sym_comment,
      sym_marginalia,
  [354373] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9919), 1,
      sym__natural_number,
    STATE(6269), 2,
      sym_comment,
      sym_marginalia,
  [354387] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9921), 1,
      sym__natural_number,
    STATE(6270), 2,
      sym_comment,
      sym_marginalia,
  [354401] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9923), 1,
      sym__natural_number,
    STATE(6271), 2,
      sym_comment,
      sym_marginalia,
  [354415] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9925), 1,
      sym__natural_number,
    STATE(6272), 2,
      sym_comment,
      sym_marginalia,
  [354429] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9927), 1,
      sym__natural_number,
    STATE(6273), 2,
      sym_comment,
      sym_marginalia,
  [354443] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9929), 1,
      sym__natural_number,
    STATE(6274), 2,
      sym_comment,
      sym_marginalia,
  [354457] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9931), 1,
      sym__natural_number,
    STATE(6275), 2,
      sym_comment,
      sym_marginalia,
  [354471] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9933), 1,
      anon_sym_RPAREN,
    STATE(6276), 2,
      sym_comment,
      sym_marginalia,
  [354485] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9935), 1,
      anon_sym_RPAREN,
    STATE(6277), 2,
      sym_comment,
      sym_marginalia,
  [354499] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9937), 1,
      anon_sym_RPAREN,
    STATE(6278), 2,
      sym_comment,
      sym_marginalia,
  [354513] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9939), 1,
      anon_sym_RPAREN,
    STATE(6279), 2,
      sym_comment,
      sym_marginalia,
  [354527] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9941), 1,
      anon_sym_RPAREN,
    STATE(6280), 2,
      sym_comment,
      sym_marginalia,
  [354541] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9943), 1,
      anon_sym_RPAREN,
    STATE(6281), 2,
      sym_comment,
      sym_marginalia,
  [354555] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7787), 1,
      sym_keyword_as,
    STATE(6282), 2,
      sym_comment,
      sym_marginalia,
  [354569] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      anon_sym_RPAREN,
    STATE(6283), 2,
      sym_comment,
      sym_marginalia,
  [354583] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9947), 1,
      anon_sym_RPAREN,
    STATE(6284), 2,
      sym_comment,
      sym_marginalia,
  [354597] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9949), 1,
      anon_sym_RPAREN,
    STATE(6285), 2,
      sym_comment,
      sym_marginalia,
  [354611] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9951), 1,
      sym_keyword_as,
    STATE(6286), 2,
      sym_comment,
      sym_marginalia,
  [354625] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9953), 1,
      sym_keyword_as,
    STATE(6287), 2,
      sym_comment,
      sym_marginalia,
  [354639] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9955), 1,
      anon_sym_RPAREN,
    STATE(6288), 2,
      sym_comment,
      sym_marginalia,
  [354653] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9957), 1,
      aux_sym_keyword_timestamp_token4,
    STATE(6289), 2,
      sym_comment,
      sym_marginalia,
  [354667] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9959), 1,
      aux_sym_keyword_timestamp_token4,
    STATE(6290), 2,
      sym_comment,
      sym_marginalia,
  [354681] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8471), 1,
      anon_sym_RPAREN,
    STATE(6291), 2,
      sym_comment,
      sym_marginalia,
  [354695] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9961), 1,
      anon_sym_RPAREN,
    STATE(6292), 2,
      sym_comment,
      sym_marginalia,
  [354709] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9963), 1,
      anon_sym_RPAREN,
    STATE(6293), 2,
      sym_comment,
      sym_marginalia,
  [354723] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8220), 1,
      anon_sym_RPAREN,
    STATE(6294), 2,
      sym_comment,
      sym_marginalia,
  [354737] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9965), 1,
      anon_sym_RPAREN,
    STATE(6295), 2,
      sym_comment,
      sym_marginalia,
  [354751] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9967), 1,
      sym__natural_number,
    STATE(6296), 2,
      sym_comment,
      sym_marginalia,
  [354765] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9969), 1,
      sym__natural_number,
    STATE(6297), 2,
      sym_comment,
      sym_marginalia,
  [354779] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9971), 1,
      sym__natural_number,
    STATE(6298), 2,
      sym_comment,
      sym_marginalia,
  [354793] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9973), 1,
      sym__natural_number,
    STATE(6299), 2,
      sym_comment,
      sym_marginalia,
  [354807] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9975), 1,
      sym__natural_number,
    STATE(6300), 2,
      sym_comment,
      sym_marginalia,
  [354821] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9977), 1,
      anon_sym_SQUOTE,
    STATE(6301), 2,
      sym_comment,
      sym_marginalia,
  [354835] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9979), 1,
      anon_sym_RPAREN,
    STATE(6302), 2,
      sym_comment,
      sym_marginalia,
  [354849] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9981), 1,
      anon_sym_BQUOTE,
    STATE(6303), 2,
      sym_comment,
      sym_marginalia,
  [354863] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9983), 1,
      anon_sym_DQUOTE,
    STATE(6304), 2,
      sym_comment,
      sym_marginalia,
  [354877] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5264), 1,
      sym__natural_number,
    STATE(6305), 2,
      sym_comment,
      sym_marginalia,
  [354891] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9985), 1,
      anon_sym_BQUOTE,
    STATE(6306), 2,
      sym_comment,
      sym_marginalia,
  [354905] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9987), 1,
      aux_sym_parameter_token1,
    STATE(6307), 2,
      sym_comment,
      sym_marginalia,
  [354919] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9989), 1,
      sym__natural_number,
    STATE(6308), 2,
      sym_comment,
      sym_marginalia,
  [354933] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7785), 1,
      sym_keyword_as,
    STATE(6309), 2,
      sym_comment,
      sym_marginalia,
  [354947] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9991), 1,
      sym_keyword_in,
    STATE(6310), 2,
      sym_comment,
      sym_marginalia,
  [354961] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9993), 1,
      sym_keyword_as,
    STATE(6311), 2,
      sym_comment,
      sym_marginalia,
  [354975] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9995), 1,
      anon_sym_RPAREN,
    STATE(6312), 2,
      sym_comment,
      sym_marginalia,
  [354989] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9997), 1,
      anon_sym_RPAREN,
    STATE(6313), 2,
      sym_comment,
      sym_marginalia,
  [355003] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9999), 1,
      sym_keyword_as,
    STATE(6314), 2,
      sym_comment,
      sym_marginalia,
  [355017] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10001), 1,
      anon_sym_RPAREN,
    STATE(6315), 2,
      sym_comment,
      sym_marginalia,
  [355031] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10003), 1,
      anon_sym_RPAREN,
    STATE(6316), 2,
      sym_comment,
      sym_marginalia,
  [355045] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10005), 1,
      anon_sym_RPAREN,
    STATE(6317), 2,
      sym_comment,
      sym_marginalia,
  [355059] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10007), 1,
      anon_sym_RPAREN,
    STATE(6318), 2,
      sym_comment,
      sym_marginalia,
  [355073] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10009), 1,
      anon_sym_RPAREN,
    STATE(6319), 2,
      sym_comment,
      sym_marginalia,
  [355087] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10011), 1,
      anon_sym_RPAREN,
    STATE(6320), 2,
      sym_comment,
      sym_marginalia,
  [355101] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10013), 1,
      anon_sym_RPAREN,
    STATE(6321), 2,
      sym_comment,
      sym_marginalia,
  [355115] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10015), 1,
      anon_sym_RPAREN,
    STATE(6322), 2,
      sym_comment,
      sym_marginalia,
  [355129] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10017), 1,
      sym__natural_number,
    STATE(6323), 2,
      sym_comment,
      sym_marginalia,
  [355143] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10019), 1,
      sym__natural_number,
    STATE(6324), 2,
      sym_comment,
      sym_marginalia,
  [355157] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10021), 1,
      sym__natural_number,
    STATE(6325), 2,
      sym_comment,
      sym_marginalia,
  [355171] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10023), 1,
      sym__natural_number,
    STATE(6326), 2,
      sym_comment,
      sym_marginalia,
  [355185] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10025), 1,
      anon_sym_RPAREN,
    STATE(6327), 2,
      sym_comment,
      sym_marginalia,
  [355199] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10027), 1,
      anon_sym_RPAREN,
    STATE(6328), 2,
      sym_comment,
      sym_marginalia,
  [355213] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10029), 1,
      anon_sym_RPAREN,
    STATE(6329), 2,
      sym_comment,
      sym_marginalia,
  [355227] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10031), 1,
      anon_sym_RPAREN,
    STATE(6330), 2,
      sym_comment,
      sym_marginalia,
  [355241] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7763), 1,
      sym_keyword_as,
    STATE(6331), 2,
      sym_comment,
      sym_marginalia,
  [355255] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10033), 1,
      anon_sym_RPAREN,
    STATE(6332), 2,
      sym_comment,
      sym_marginalia,
  [355269] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10035), 1,
      anon_sym_RPAREN,
    STATE(6333), 2,
      sym_comment,
      sym_marginalia,
  [355283] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10037), 1,
      anon_sym_RPAREN,
    STATE(6334), 2,
      sym_comment,
      sym_marginalia,
  [355297] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10039), 1,
      sym_keyword_on,
    STATE(6335), 2,
      sym_comment,
      sym_marginalia,
  [355311] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10041), 1,
      anon_sym_RPAREN,
    STATE(6336), 2,
      sym_comment,
      sym_marginalia,
  [355325] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10043), 1,
      sym__natural_number,
    STATE(6337), 2,
      sym_comment,
      sym_marginalia,
  [355339] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10045), 1,
      sym__natural_number,
    STATE(6338), 2,
      sym_comment,
      sym_marginalia,
  [355353] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10047), 1,
      sym__natural_number,
    STATE(6339), 2,
      sym_comment,
      sym_marginalia,
  [355367] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10049), 1,
      anon_sym_RPAREN,
    STATE(6340), 2,
      sym_comment,
      sym_marginalia,
  [355381] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10051), 1,
      sym_keyword_by,
    STATE(6341), 2,
      sym_comment,
      sym_marginalia,
  [355395] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10053), 1,
      sym_keyword_by,
    STATE(6342), 2,
      sym_comment,
      sym_marginalia,
  [355409] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10055), 1,
      anon_sym_RPAREN,
    STATE(6343), 2,
      sym_comment,
      sym_marginalia,
  [355423] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10057), 1,
      anon_sym_RPAREN,
    STATE(6344), 2,
      sym_comment,
      sym_marginalia,
  [355437] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10059), 1,
      aux_sym_keyword_timestamp_token4,
    STATE(6345), 2,
      sym_comment,
      sym_marginalia,
  [355451] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10061), 1,
      aux_sym_keyword_timestamp_token4,
    STATE(6346), 2,
      sym_comment,
      sym_marginalia,
  [355465] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10063), 1,
      sym_keyword_on,
    STATE(6347), 2,
      sym_comment,
      sym_marginalia,
  [355479] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8387), 1,
      anon_sym_RPAREN,
    STATE(6348), 2,
      sym_comment,
      sym_marginalia,
  [355493] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10065), 1,
      sym__natural_number,
    STATE(6349), 2,
      sym_comment,
      sym_marginalia,
  [355507] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10067), 1,
      anon_sym_RPAREN,
    STATE(6350), 2,
      sym_comment,
      sym_marginalia,
  [355521] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10069), 1,
      sym_keyword_on,
    STATE(6351), 2,
      sym_comment,
      sym_marginalia,
  [355535] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10071), 1,
      anon_sym_EQ,
    STATE(6352), 2,
      sym_comment,
      sym_marginalia,
  [355549] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10073), 1,
      sym_keyword_on,
    STATE(6353), 2,
      sym_comment,
      sym_marginalia,
  [355563] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10075), 1,
      sym_keyword_by,
    STATE(6354), 2,
      sym_comment,
      sym_marginalia,
  [355577] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10077), 1,
      sym_keyword_by,
    STATE(6355), 2,
      sym_comment,
      sym_marginalia,
  [355591] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10079), 1,
      sym_keyword_by,
    STATE(6356), 2,
      sym_comment,
      sym_marginalia,
  [355605] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10081), 1,
      anon_sym_RPAREN,
    STATE(6357), 2,
      sym_comment,
      sym_marginalia,
  [355619] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8191), 1,
      anon_sym_RPAREN,
    STATE(6358), 2,
      sym_comment,
      sym_marginalia,
  [355633] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10083), 1,
      anon_sym_RPAREN,
    STATE(6359), 2,
      sym_comment,
      sym_marginalia,
  [355647] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10085), 1,
      anon_sym_SQUOTE,
    STATE(6360), 2,
      sym_comment,
      sym_marginalia,
  [355661] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10087), 1,
      anon_sym_RPAREN,
    STATE(6361), 2,
      sym_comment,
      sym_marginalia,
  [355675] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10089), 1,
      anon_sym_SQUOTE,
    STATE(6362), 2,
      sym_comment,
      sym_marginalia,
  [355689] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10091), 1,
      anon_sym_DQUOTE,
    STATE(6363), 2,
      sym_comment,
      sym_marginalia,
  [355703] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2377), 1,
      sym__natural_number,
    STATE(6364), 2,
      sym_comment,
      sym_marginalia,
  [355717] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10093), 1,
      anon_sym_SQUOTE,
    STATE(6365), 2,
      sym_comment,
      sym_marginalia,
  [355731] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10095), 1,
      aux_sym_parameter_token1,
    STATE(6366), 2,
      sym_comment,
      sym_marginalia,
  [355745] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10097), 1,
      sym__natural_number,
    STATE(6367), 2,
      sym_comment,
      sym_marginalia,
  [355759] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10099), 1,
      anon_sym_RPAREN,
    STATE(6368), 2,
      sym_comment,
      sym_marginalia,
  [355773] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10101), 1,
      anon_sym_RPAREN,
    STATE(6369), 2,
      sym_comment,
      sym_marginalia,
  [355787] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10103), 1,
      anon_sym_RPAREN,
    STATE(6370), 2,
      sym_comment,
      sym_marginalia,
  [355801] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10105), 1,
      anon_sym_RPAREN,
    STATE(6371), 2,
      sym_comment,
      sym_marginalia,
  [355815] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10107), 1,
      anon_sym_RPAREN,
    STATE(6372), 2,
      sym_comment,
      sym_marginalia,
  [355829] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10109), 1,
      anon_sym_RPAREN,
    STATE(6373), 2,
      sym_comment,
      sym_marginalia,
  [355843] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10111), 1,
      anon_sym_RPAREN,
    STATE(6374), 2,
      sym_comment,
      sym_marginalia,
  [355857] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10113), 1,
      anon_sym_RPAREN,
    STATE(6375), 2,
      sym_comment,
      sym_marginalia,
  [355871] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10115), 1,
      anon_sym_RPAREN,
    STATE(6376), 2,
      sym_comment,
      sym_marginalia,
  [355885] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10117), 1,
      anon_sym_RPAREN,
    STATE(6377), 2,
      sym_comment,
      sym_marginalia,
  [355899] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10119), 1,
      anon_sym_RPAREN,
    STATE(6378), 2,
      sym_comment,
      sym_marginalia,
  [355913] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10121), 1,
      anon_sym_RPAREN,
    STATE(6379), 2,
      sym_comment,
      sym_marginalia,
  [355927] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10123), 1,
      anon_sym_RPAREN,
    STATE(6380), 2,
      sym_comment,
      sym_marginalia,
  [355941] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10125), 1,
      anon_sym_RPAREN,
    STATE(6381), 2,
      sym_comment,
      sym_marginalia,
  [355955] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10127), 1,
      anon_sym_RPAREN,
    STATE(6382), 2,
      sym_comment,
      sym_marginalia,
  [355969] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10129), 1,
      anon_sym_RPAREN,
    STATE(6383), 2,
      sym_comment,
      sym_marginalia,
  [355983] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10131), 1,
      anon_sym_RPAREN,
    STATE(6384), 2,
      sym_comment,
      sym_marginalia,
  [355997] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10133), 1,
      anon_sym_RPAREN,
    STATE(6385), 2,
      sym_comment,
      sym_marginalia,
  [356011] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10135), 1,
      anon_sym_RPAREN,
    STATE(6386), 2,
      sym_comment,
      sym_marginalia,
  [356025] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10137), 1,
      anon_sym_RPAREN,
    STATE(6387), 2,
      sym_comment,
      sym_marginalia,
  [356039] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10139), 1,
      anon_sym_RPAREN,
    STATE(6388), 2,
      sym_comment,
      sym_marginalia,
  [356053] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10141), 1,
      aux_sym_keyword_timestamp_token4,
    STATE(6389), 2,
      sym_comment,
      sym_marginalia,
  [356067] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10143), 1,
      aux_sym_keyword_timestamp_token4,
    STATE(6390), 2,
      sym_comment,
      sym_marginalia,
  [356081] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10145), 1,
      anon_sym_LBRACK,
    STATE(6391), 2,
      sym_comment,
      sym_marginalia,
  [356095] = 4,
    ACTIONS(9823), 1,
      anon_sym_DASH_DASH,
    ACTIONS(9825), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10147), 1,
      aux_sym__literal_string_token1,
    STATE(6392), 2,
      sym_comment,
      sym_marginalia,
  [356109] = 4,
    ACTIONS(9823), 1,
      anon_sym_DASH_DASH,
    ACTIONS(9825), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10149), 1,
      aux_sym__double_quote_string_token1,
    STATE(6393), 2,
      sym_comment,
      sym_marginalia,
  [356123] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10151), 1,
      sym__identifier,
    STATE(6394), 2,
      sym_comment,
      sym_marginalia,
  [356137] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8317), 1,
      anon_sym_RPAREN,
    STATE(6395), 2,
      sym_comment,
      sym_marginalia,
  [356151] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10153), 1,
      anon_sym_RPAREN,
    STATE(6396), 2,
      sym_comment,
      sym_marginalia,
  [356165] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10155), 1,
      sym_keyword_from,
    STATE(6397), 2,
      sym_comment,
      sym_marginalia,
  [356179] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10157), 1,
      anon_sym_RPAREN,
    STATE(6398), 2,
      sym_comment,
      sym_marginalia,
  [356193] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10159), 1,
      anon_sym_DOT,
    STATE(6399), 2,
      sym_comment,
      sym_marginalia,
  [356207] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8177), 1,
      anon_sym_RPAREN,
    STATE(6400), 2,
      sym_comment,
      sym_marginalia,
  [356221] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10161), 1,
      sym_keyword_to,
    STATE(6401), 2,
      sym_comment,
      sym_marginalia,
  [356235] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10163), 1,
      anon_sym_RPAREN,
    STATE(6402), 2,
      sym_comment,
      sym_marginalia,
  [356249] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10165), 1,
      anon_sym_BQUOTE,
    STATE(6403), 2,
      sym_comment,
      sym_marginalia,
  [356263] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10167), 1,
      sym_keyword_by,
    STATE(6404), 2,
      sym_comment,
      sym_marginalia,
  [356277] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10169), 1,
      sym_keyword_by,
    STATE(6405), 2,
      sym_comment,
      sym_marginalia,
  [356291] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10171), 1,
      anon_sym_RPAREN,
    STATE(6406), 2,
      sym_comment,
      sym_marginalia,
  [356305] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10173), 1,
      sym_keyword_schema,
    STATE(6407), 2,
      sym_comment,
      sym_marginalia,
  [356319] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10175), 1,
      anon_sym_BQUOTE,
    STATE(6408), 2,
      sym_comment,
      sym_marginalia,
  [356333] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10177), 1,
      anon_sym_DOT,
    STATE(6409), 2,
      sym_comment,
      sym_marginalia,
  [356347] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10179), 1,
      sym__natural_number,
    STATE(6410), 2,
      sym_comment,
      sym_marginalia,
  [356361] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10181), 1,
      sym__natural_number,
    STATE(6411), 2,
      sym_comment,
      sym_marginalia,
  [356375] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10183), 1,
      sym__natural_number,
    STATE(6412), 2,
      sym_comment,
      sym_marginalia,
  [356389] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10185), 1,
      aux_sym_keyword_timestamp_token3,
    STATE(6413), 2,
      sym_comment,
      sym_marginalia,
  [356403] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10187), 1,
      aux_sym_keyword_timestamp_token3,
    STATE(6414), 2,
      sym_comment,
      sym_marginalia,
  [356417] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10189), 1,
      sym__natural_number,
    STATE(6415), 2,
      sym_comment,
      sym_marginalia,
  [356431] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10191), 1,
      sym__natural_number,
    STATE(6416), 2,
      sym_comment,
      sym_marginalia,
  [356445] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10193), 1,
      sym__natural_number,
    STATE(6417), 2,
      sym_comment,
      sym_marginalia,
  [356459] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10195), 1,
      sym__natural_number,
    STATE(6418), 2,
      sym_comment,
      sym_marginalia,
  [356473] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10197), 1,
      sym__natural_number,
    STATE(6419), 2,
      sym_comment,
      sym_marginalia,
  [356487] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10199), 1,
      sym__natural_number,
    STATE(6420), 2,
      sym_comment,
      sym_marginalia,
  [356501] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10201), 1,
      sym__natural_number,
    STATE(6421), 2,
      sym_comment,
      sym_marginalia,
  [356515] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10203), 1,
      anon_sym_DQUOTE,
    STATE(6422), 2,
      sym_comment,
      sym_marginalia,
  [356529] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3087), 1,
      sym__natural_number,
    STATE(6423), 2,
      sym_comment,
      sym_marginalia,
  [356543] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10205), 1,
      anon_sym_SQUOTE,
    STATE(6424), 2,
      sym_comment,
      sym_marginalia,
  [356557] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10207), 1,
      sym_keyword_join,
    STATE(6425), 2,
      sym_comment,
      sym_marginalia,
  [356571] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10209), 1,
      sym__natural_number,
    STATE(6426), 2,
      sym_comment,
      sym_marginalia,
  [356585] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10211), 1,
      sym__natural_number,
    STATE(6427), 2,
      sym_comment,
      sym_marginalia,
  [356599] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10213), 1,
      sym__natural_number,
    STATE(6428), 2,
      sym_comment,
      sym_marginalia,
  [356613] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10215), 1,
      sym__natural_number,
    STATE(6429), 2,
      sym_comment,
      sym_marginalia,
  [356627] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10217), 1,
      sym__natural_number,
    STATE(6430), 2,
      sym_comment,
      sym_marginalia,
  [356641] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10219), 1,
      aux_sym_parameter_token1,
    STATE(6431), 2,
      sym_comment,
      sym_marginalia,
  [356655] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10221), 1,
      sym__natural_number,
    STATE(6432), 2,
      sym_comment,
      sym_marginalia,
  [356669] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10223), 1,
      anon_sym_RPAREN,
    STATE(6433), 2,
      sym_comment,
      sym_marginalia,
  [356683] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10225), 1,
      anon_sym_RPAREN,
    STATE(6434), 2,
      sym_comment,
      sym_marginalia,
  [356697] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10227), 1,
      anon_sym_RPAREN,
    STATE(6435), 2,
      sym_comment,
      sym_marginalia,
  [356711] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10229), 1,
      anon_sym_RPAREN,
    STATE(6436), 2,
      sym_comment,
      sym_marginalia,
  [356725] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10231), 1,
      sym__natural_number,
    STATE(6437), 2,
      sym_comment,
      sym_marginalia,
  [356739] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10233), 1,
      sym__natural_number,
    STATE(6438), 2,
      sym_comment,
      sym_marginalia,
  [356753] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10235), 1,
      sym__natural_number,
    STATE(6439), 2,
      sym_comment,
      sym_marginalia,
  [356767] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10237), 1,
      sym__natural_number,
    STATE(6440), 2,
      sym_comment,
      sym_marginalia,
  [356781] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10239), 1,
      anon_sym_RPAREN,
    STATE(6441), 2,
      sym_comment,
      sym_marginalia,
  [356795] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10241), 1,
      anon_sym_RPAREN,
    STATE(6442), 2,
      sym_comment,
      sym_marginalia,
  [356809] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10243), 1,
      anon_sym_RPAREN,
    STATE(6443), 2,
      sym_comment,
      sym_marginalia,
  [356823] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10245), 1,
      sym_keyword_on,
    STATE(6444), 2,
      sym_comment,
      sym_marginalia,
  [356837] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10247), 1,
      anon_sym_RPAREN,
    STATE(6445), 2,
      sym_comment,
      sym_marginalia,
  [356851] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10249), 1,
      sym__natural_number,
    STATE(6446), 2,
      sym_comment,
      sym_marginalia,
  [356865] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10251), 1,
      sym__natural_number,
    STATE(6447), 2,
      sym_comment,
      sym_marginalia,
  [356879] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10253), 1,
      sym__natural_number,
    STATE(6448), 2,
      sym_comment,
      sym_marginalia,
  [356893] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10255), 1,
      anon_sym_RPAREN,
    STATE(6449), 2,
      sym_comment,
      sym_marginalia,
  [356907] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10257), 1,
      anon_sym_RPAREN,
    STATE(6450), 2,
      sym_comment,
      sym_marginalia,
  [356921] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10259), 1,
      sym_keyword_on,
    STATE(6451), 2,
      sym_comment,
      sym_marginalia,
  [356935] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10261), 1,
      anon_sym_RPAREN,
    STATE(6452), 2,
      sym_comment,
      sym_marginalia,
  [356949] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10263), 1,
      sym__natural_number,
    STATE(6453), 2,
      sym_comment,
      sym_marginalia,
  [356963] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10265), 1,
      sym_keyword_on,
    STATE(6454), 2,
      sym_comment,
      sym_marginalia,
  [356977] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10267), 1,
      sym_keyword_on,
    STATE(6455), 2,
      sym_comment,
      sym_marginalia,
  [356991] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10269), 1,
      anon_sym_RPAREN,
    STATE(6456), 2,
      sym_comment,
      sym_marginalia,
  [357005] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10271), 1,
      anon_sym_RPAREN,
    STATE(6457), 2,
      sym_comment,
      sym_marginalia,
  [357019] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10273), 1,
      anon_sym_RPAREN,
    STATE(6458), 2,
      sym_comment,
      sym_marginalia,
  [357033] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10275), 1,
      anon_sym_RPAREN,
    STATE(6459), 2,
      sym_comment,
      sym_marginalia,
  [357047] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10277), 1,
      anon_sym_RPAREN,
    STATE(6460), 2,
      sym_comment,
      sym_marginalia,
  [357061] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10279), 1,
      anon_sym_RPAREN,
    STATE(6461), 2,
      sym_comment,
      sym_marginalia,
  [357075] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10281), 1,
      anon_sym_RPAREN,
    STATE(6462), 2,
      sym_comment,
      sym_marginalia,
  [357089] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10283), 1,
      anon_sym_RPAREN,
    STATE(6463), 2,
      sym_comment,
      sym_marginalia,
  [357103] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10285), 1,
      anon_sym_RPAREN,
    STATE(6464), 2,
      sym_comment,
      sym_marginalia,
  [357117] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10287), 1,
      anon_sym_RPAREN,
    STATE(6465), 2,
      sym_comment,
      sym_marginalia,
  [357131] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10289), 1,
      aux_sym_keyword_timestamp_token4,
    STATE(6466), 2,
      sym_comment,
      sym_marginalia,
  [357145] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10291), 1,
      aux_sym_keyword_timestamp_token4,
    STATE(6467), 2,
      sym_comment,
      sym_marginalia,
  [357159] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8373), 1,
      anon_sym_RPAREN,
    STATE(6468), 2,
      sym_comment,
      sym_marginalia,
  [357173] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10293), 1,
      anon_sym_RPAREN,
    STATE(6469), 2,
      sym_comment,
      sym_marginalia,
  [357187] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10295), 1,
      anon_sym_LBRACK,
    STATE(6470), 2,
      sym_comment,
      sym_marginalia,
  [357201] = 4,
    ACTIONS(9823), 1,
      anon_sym_DASH_DASH,
    ACTIONS(9825), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10297), 1,
      aux_sym__literal_string_token1,
    STATE(6471), 2,
      sym_comment,
      sym_marginalia,
  [357215] = 4,
    ACTIONS(9823), 1,
      anon_sym_DASH_DASH,
    ACTIONS(9825), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10299), 1,
      aux_sym__double_quote_string_token1,
    STATE(6472), 2,
      sym_comment,
      sym_marginalia,
  [357229] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10301), 1,
      sym__identifier,
    STATE(6473), 2,
      sym_comment,
      sym_marginalia,
  [357243] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10303), 1,
      anon_sym_RPAREN,
    STATE(6474), 2,
      sym_comment,
      sym_marginalia,
  [357257] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10305), 1,
      sym_keyword_to,
    STATE(6475), 2,
      sym_comment,
      sym_marginalia,
  [357271] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10307), 1,
      anon_sym_DOT,
    STATE(6476), 2,
      sym_comment,
      sym_marginalia,
  [357285] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8187), 1,
      anon_sym_RPAREN,
    STATE(6477), 2,
      sym_comment,
      sym_marginalia,
  [357299] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10309), 1,
      anon_sym_RPAREN,
    STATE(6478), 2,
      sym_comment,
      sym_marginalia,
  [357313] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10311), 1,
      sym_keyword_by,
    STATE(6479), 2,
      sym_comment,
      sym_marginalia,
  [357327] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10313), 1,
      sym_keyword_by,
    STATE(6480), 2,
      sym_comment,
      sym_marginalia,
  [357341] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10315), 1,
      anon_sym_DOT,
    STATE(6481), 2,
      sym_comment,
      sym_marginalia,
  [357355] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10317), 1,
      anon_sym_SQUOTE,
    STATE(6482), 2,
      sym_comment,
      sym_marginalia,
  [357369] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10319), 1,
      anon_sym_RPAREN,
    STATE(6483), 2,
      sym_comment,
      sym_marginalia,
  [357383] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10321), 1,
      anon_sym_DOT,
    STATE(6484), 2,
      sym_comment,
      sym_marginalia,
  [357397] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10323), 1,
      sym__natural_number,
    STATE(6485), 2,
      sym_comment,
      sym_marginalia,
  [357411] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10325), 1,
      sym__natural_number,
    STATE(6486), 2,
      sym_comment,
      sym_marginalia,
  [357425] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10327), 1,
      sym__natural_number,
    STATE(6487), 2,
      sym_comment,
      sym_marginalia,
  [357439] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10329), 1,
      aux_sym_keyword_timestamp_token3,
    STATE(6488), 2,
      sym_comment,
      sym_marginalia,
  [357453] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10331), 1,
      aux_sym_keyword_timestamp_token3,
    STATE(6489), 2,
      sym_comment,
      sym_marginalia,
  [357467] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10333), 1,
      sym__natural_number,
    STATE(6490), 2,
      sym_comment,
      sym_marginalia,
  [357481] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10335), 1,
      sym__natural_number,
    STATE(6491), 2,
      sym_comment,
      sym_marginalia,
  [357495] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10337), 1,
      sym__natural_number,
    STATE(6492), 2,
      sym_comment,
      sym_marginalia,
  [357509] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10339), 1,
      sym__natural_number,
    STATE(6493), 2,
      sym_comment,
      sym_marginalia,
  [357523] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10341), 1,
      sym__natural_number,
    STATE(6494), 2,
      sym_comment,
      sym_marginalia,
  [357537] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10343), 1,
      sym__natural_number,
    STATE(6495), 2,
      sym_comment,
      sym_marginalia,
  [357551] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10345), 1,
      sym__natural_number,
    STATE(6496), 2,
      sym_comment,
      sym_marginalia,
  [357565] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8205), 1,
      anon_sym_RPAREN,
    STATE(6497), 2,
      sym_comment,
      sym_marginalia,
  [357579] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10347), 1,
      anon_sym_DQUOTE,
    STATE(6498), 2,
      sym_comment,
      sym_marginalia,
  [357593] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5926), 1,
      sym__natural_number,
    STATE(6499), 2,
      sym_comment,
      sym_marginalia,
  [357607] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10349), 1,
      anon_sym_SQUOTE,
    STATE(6500), 2,
      sym_comment,
      sym_marginalia,
  [357621] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10351), 1,
      sym__natural_number,
    STATE(6501), 2,
      sym_comment,
      sym_marginalia,
  [357635] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10353), 1,
      sym__natural_number,
    STATE(6502), 2,
      sym_comment,
      sym_marginalia,
  [357649] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10355), 1,
      sym__natural_number,
    STATE(6503), 2,
      sym_comment,
      sym_marginalia,
  [357663] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10357), 1,
      sym__natural_number,
    STATE(6504), 2,
      sym_comment,
      sym_marginalia,
  [357677] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10359), 1,
      sym__natural_number,
    STATE(6505), 2,
      sym_comment,
      sym_marginalia,
  [357691] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10361), 1,
      aux_sym_parameter_token1,
    STATE(6506), 2,
      sym_comment,
      sym_marginalia,
  [357705] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10363), 1,
      sym__natural_number,
    STATE(6507), 2,
      sym_comment,
      sym_marginalia,
  [357719] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10365), 1,
      anon_sym_RPAREN,
    STATE(6508), 2,
      sym_comment,
      sym_marginalia,
  [357733] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10367), 1,
      anon_sym_RPAREN,
    STATE(6509), 2,
      sym_comment,
      sym_marginalia,
  [357747] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10369), 1,
      anon_sym_RPAREN,
    STATE(6510), 2,
      sym_comment,
      sym_marginalia,
  [357761] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10371), 1,
      anon_sym_RPAREN,
    STATE(6511), 2,
      sym_comment,
      sym_marginalia,
  [357775] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10373), 1,
      sym__natural_number,
    STATE(6512), 2,
      sym_comment,
      sym_marginalia,
  [357789] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10375), 1,
      sym__natural_number,
    STATE(6513), 2,
      sym_comment,
      sym_marginalia,
  [357803] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10377), 1,
      sym__natural_number,
    STATE(6514), 2,
      sym_comment,
      sym_marginalia,
  [357817] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10379), 1,
      sym__natural_number,
    STATE(6515), 2,
      sym_comment,
      sym_marginalia,
  [357831] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10381), 1,
      anon_sym_RPAREN,
    STATE(6516), 2,
      sym_comment,
      sym_marginalia,
  [357845] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10383), 1,
      anon_sym_RPAREN,
    STATE(6517), 2,
      sym_comment,
      sym_marginalia,
  [357859] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10385), 1,
      anon_sym_RPAREN,
    STATE(6518), 2,
      sym_comment,
      sym_marginalia,
  [357873] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10387), 1,
      sym_keyword_on,
    STATE(6519), 2,
      sym_comment,
      sym_marginalia,
  [357887] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10389), 1,
      anon_sym_RPAREN,
    STATE(6520), 2,
      sym_comment,
      sym_marginalia,
  [357901] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10391), 1,
      sym__natural_number,
    STATE(6521), 2,
      sym_comment,
      sym_marginalia,
  [357915] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10393), 1,
      sym__natural_number,
    STATE(6522), 2,
      sym_comment,
      sym_marginalia,
  [357929] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10395), 1,
      sym__natural_number,
    STATE(6523), 2,
      sym_comment,
      sym_marginalia,
  [357943] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10397), 1,
      anon_sym_RPAREN,
    STATE(6524), 2,
      sym_comment,
      sym_marginalia,
  [357957] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10399), 1,
      anon_sym_RPAREN,
    STATE(6525), 2,
      sym_comment,
      sym_marginalia,
  [357971] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10401), 1,
      sym_keyword_on,
    STATE(6526), 2,
      sym_comment,
      sym_marginalia,
  [357985] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10403), 1,
      anon_sym_RPAREN,
    STATE(6527), 2,
      sym_comment,
      sym_marginalia,
  [357999] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10405), 1,
      sym__natural_number,
    STATE(6528), 2,
      sym_comment,
      sym_marginalia,
  [358013] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10407), 1,
      sym_keyword_on,
    STATE(6529), 2,
      sym_comment,
      sym_marginalia,
  [358027] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10409), 1,
      sym_keyword_on,
    STATE(6530), 2,
      sym_comment,
      sym_marginalia,
  [358041] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10411), 1,
      anon_sym_RPAREN,
    STATE(6531), 2,
      sym_comment,
      sym_marginalia,
  [358055] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10413), 1,
      anon_sym_RPAREN,
    STATE(6532), 2,
      sym_comment,
      sym_marginalia,
  [358069] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10415), 1,
      anon_sym_RPAREN,
    STATE(6533), 2,
      sym_comment,
      sym_marginalia,
  [358083] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10417), 1,
      anon_sym_RPAREN,
    STATE(6534), 2,
      sym_comment,
      sym_marginalia,
  [358097] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10419), 1,
      anon_sym_RPAREN,
    STATE(6535), 2,
      sym_comment,
      sym_marginalia,
  [358111] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10421), 1,
      anon_sym_RPAREN,
    STATE(6536), 2,
      sym_comment,
      sym_marginalia,
  [358125] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10423), 1,
      anon_sym_RPAREN,
    STATE(6537), 2,
      sym_comment,
      sym_marginalia,
  [358139] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10425), 1,
      anon_sym_LBRACK,
    STATE(6538), 2,
      sym_comment,
      sym_marginalia,
  [358153] = 4,
    ACTIONS(9823), 1,
      anon_sym_DASH_DASH,
    ACTIONS(9825), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10427), 1,
      aux_sym__literal_string_token1,
    STATE(6539), 2,
      sym_comment,
      sym_marginalia,
  [358167] = 4,
    ACTIONS(9823), 1,
      anon_sym_DASH_DASH,
    ACTIONS(9825), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10429), 1,
      aux_sym__double_quote_string_token1,
    STATE(6540), 2,
      sym_comment,
      sym_marginalia,
  [358181] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10431), 1,
      sym__identifier,
    STATE(6541), 2,
      sym_comment,
      sym_marginalia,
  [358195] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10433), 1,
      anon_sym_RPAREN,
    STATE(6542), 2,
      sym_comment,
      sym_marginalia,
  [358209] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10435), 1,
      anon_sym_RPAREN,
    STATE(6543), 2,
      sym_comment,
      sym_marginalia,
  [358223] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10437), 1,
      anon_sym_DOT,
    STATE(6544), 2,
      sym_comment,
      sym_marginalia,
  [358237] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10439), 1,
      anon_sym_RPAREN,
    STATE(6545), 2,
      sym_comment,
      sym_marginalia,
  [358251] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10441), 1,
      aux_sym_keyword_timestamp_token4,
    STATE(6546), 2,
      sym_comment,
      sym_marginalia,
  [358265] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10443), 1,
      anon_sym_RPAREN,
    STATE(6547), 2,
      sym_comment,
      sym_marginalia,
  [358279] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10445), 1,
      aux_sym_keyword_timestamp_token4,
    STATE(6548), 2,
      sym_comment,
      sym_marginalia,
  [358293] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8429), 1,
      anon_sym_RPAREN,
    STATE(6549), 2,
      sym_comment,
      sym_marginalia,
  [358307] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10447), 1,
      anon_sym_DOT,
    STATE(6550), 2,
      sym_comment,
      sym_marginalia,
  [358321] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10449), 1,
      sym__natural_number,
    STATE(6551), 2,
      sym_comment,
      sym_marginalia,
  [358335] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10451), 1,
      sym__natural_number,
    STATE(6552), 2,
      sym_comment,
      sym_marginalia,
  [358349] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10453), 1,
      sym__natural_number,
    STATE(6553), 2,
      sym_comment,
      sym_marginalia,
  [358363] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10455), 1,
      aux_sym_keyword_timestamp_token3,
    STATE(6554), 2,
      sym_comment,
      sym_marginalia,
  [358377] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      aux_sym_keyword_timestamp_token3,
    STATE(6555), 2,
      sym_comment,
      sym_marginalia,
  [358391] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10459), 1,
      sym__natural_number,
    STATE(6556), 2,
      sym_comment,
      sym_marginalia,
  [358405] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10461), 1,
      sym__natural_number,
    STATE(6557), 2,
      sym_comment,
      sym_marginalia,
  [358419] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10463), 1,
      sym__natural_number,
    STATE(6558), 2,
      sym_comment,
      sym_marginalia,
  [358433] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10465), 1,
      sym__natural_number,
    STATE(6559), 2,
      sym_comment,
      sym_marginalia,
  [358447] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10467), 1,
      sym__natural_number,
    STATE(6560), 2,
      sym_comment,
      sym_marginalia,
  [358461] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10469), 1,
      sym__natural_number,
    STATE(6561), 2,
      sym_comment,
      sym_marginalia,
  [358475] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10471), 1,
      sym__natural_number,
    STATE(6562), 2,
      sym_comment,
      sym_marginalia,
  [358489] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10473), 1,
      anon_sym_RPAREN,
    STATE(6563), 2,
      sym_comment,
      sym_marginalia,
  [358503] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10475), 1,
      anon_sym_RPAREN,
    STATE(6564), 2,
      sym_comment,
      sym_marginalia,
  [358517] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10477), 1,
      anon_sym_RPAREN,
    STATE(6565), 2,
      sym_comment,
      sym_marginalia,
  [358531] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10479), 1,
      anon_sym_RPAREN,
    STATE(6566), 2,
      sym_comment,
      sym_marginalia,
  [358545] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10481), 1,
      sym__natural_number,
    STATE(6567), 2,
      sym_comment,
      sym_marginalia,
  [358559] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10483), 1,
      sym__natural_number,
    STATE(6568), 2,
      sym_comment,
      sym_marginalia,
  [358573] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10485), 1,
      sym__natural_number,
    STATE(6569), 2,
      sym_comment,
      sym_marginalia,
  [358587] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10487), 1,
      sym__natural_number,
    STATE(6570), 2,
      sym_comment,
      sym_marginalia,
  [358601] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10489), 1,
      sym__natural_number,
    STATE(6571), 2,
      sym_comment,
      sym_marginalia,
  [358615] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10491), 1,
      anon_sym_SQUOTE,
    STATE(6572), 2,
      sym_comment,
      sym_marginalia,
  [358629] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10493), 1,
      anon_sym_RPAREN,
    STATE(6573), 2,
      sym_comment,
      sym_marginalia,
  [358643] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10495), 1,
      anon_sym_BQUOTE,
    STATE(6574), 2,
      sym_comment,
      sym_marginalia,
  [358657] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10497), 1,
      anon_sym_DQUOTE,
    STATE(6575), 2,
      sym_comment,
      sym_marginalia,
  [358671] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6947), 1,
      sym__natural_number,
    STATE(6576), 2,
      sym_comment,
      sym_marginalia,
  [358685] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10499), 1,
      sym__natural_number,
    STATE(6577), 2,
      sym_comment,
      sym_marginalia,
  [358699] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10501), 1,
      sym__natural_number,
    STATE(6578), 2,
      sym_comment,
      sym_marginalia,
  [358713] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10503), 1,
      sym__natural_number,
    STATE(6579), 2,
      sym_comment,
      sym_marginalia,
  [358727] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10505), 1,
      sym__natural_number,
    STATE(6580), 2,
      sym_comment,
      sym_marginalia,
  [358741] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10507), 1,
      anon_sym_SQUOTE,
    STATE(6581), 2,
      sym_comment,
      sym_marginalia,
  [358755] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10509), 1,
      aux_sym_parameter_token1,
    STATE(6582), 2,
      sym_comment,
      sym_marginalia,
  [358769] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10511), 1,
      sym__natural_number,
    STATE(6583), 2,
      sym_comment,
      sym_marginalia,
  [358783] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10513), 1,
      sym_keyword_on,
    STATE(6584), 2,
      sym_comment,
      sym_marginalia,
  [358797] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10515), 1,
      anon_sym_SQUOTE,
    STATE(6585), 2,
      sym_comment,
      sym_marginalia,
  [358811] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10517), 1,
      sym__natural_number,
    STATE(6586), 2,
      sym_comment,
      sym_marginalia,
  [358825] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10519), 1,
      sym__natural_number,
    STATE(6587), 2,
      sym_comment,
      sym_marginalia,
  [358839] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10521), 1,
      sym__natural_number,
    STATE(6588), 2,
      sym_comment,
      sym_marginalia,
  [358853] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10523), 1,
      anon_sym_RPAREN,
    STATE(6589), 2,
      sym_comment,
      sym_marginalia,
  [358867] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10525), 1,
      anon_sym_RPAREN,
    STATE(6590), 2,
      sym_comment,
      sym_marginalia,
  [358881] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10527), 1,
      sym_keyword_on,
    STATE(6591), 2,
      sym_comment,
      sym_marginalia,
  [358895] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10529), 1,
      anon_sym_RPAREN,
    STATE(6592), 2,
      sym_comment,
      sym_marginalia,
  [358909] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10531), 1,
      sym__natural_number,
    STATE(6593), 2,
      sym_comment,
      sym_marginalia,
  [358923] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10533), 1,
      sym_keyword_on,
    STATE(6594), 2,
      sym_comment,
      sym_marginalia,
  [358937] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10535), 1,
      sym_keyword_on,
    STATE(6595), 2,
      sym_comment,
      sym_marginalia,
  [358951] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10537), 1,
      anon_sym_LBRACK,
    STATE(6596), 2,
      sym_comment,
      sym_marginalia,
  [358965] = 4,
    ACTIONS(9823), 1,
      anon_sym_DASH_DASH,
    ACTIONS(9825), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10539), 1,
      aux_sym__literal_string_token1,
    STATE(6597), 2,
      sym_comment,
      sym_marginalia,
  [358979] = 4,
    ACTIONS(9823), 1,
      anon_sym_DASH_DASH,
    ACTIONS(9825), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10541), 1,
      aux_sym__double_quote_string_token1,
    STATE(6598), 2,
      sym_comment,
      sym_marginalia,
  [358993] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10543), 1,
      sym__identifier,
    STATE(6599), 2,
      sym_comment,
      sym_marginalia,
  [359007] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10545), 1,
      anon_sym_RPAREN,
    STATE(6600), 2,
      sym_comment,
      sym_marginalia,
  [359021] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10547), 1,
      anon_sym_RPAREN,
    STATE(6601), 2,
      sym_comment,
      sym_marginalia,
  [359035] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10549), 1,
      anon_sym_DOT,
    STATE(6602), 2,
      sym_comment,
      sym_marginalia,
  [359049] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10551), 1,
      anon_sym_RPAREN,
    STATE(6603), 2,
      sym_comment,
      sym_marginalia,
  [359063] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10553), 1,
      anon_sym_RPAREN,
    STATE(6604), 2,
      sym_comment,
      sym_marginalia,
  [359077] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10555), 1,
      anon_sym_RPAREN,
    STATE(6605), 2,
      sym_comment,
      sym_marginalia,
  [359091] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      anon_sym_RPAREN,
    STATE(6606), 2,
      sym_comment,
      sym_marginalia,
  [359105] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10559), 1,
      anon_sym_RPAREN,
    STATE(6607), 2,
      sym_comment,
      sym_marginalia,
  [359119] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10561), 1,
      anon_sym_DOT,
    STATE(6608), 2,
      sym_comment,
      sym_marginalia,
  [359133] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10563), 1,
      sym__natural_number,
    STATE(6609), 2,
      sym_comment,
      sym_marginalia,
  [359147] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10565), 1,
      sym__natural_number,
    STATE(6610), 2,
      sym_comment,
      sym_marginalia,
  [359161] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10567), 1,
      sym__natural_number,
    STATE(6611), 2,
      sym_comment,
      sym_marginalia,
  [359175] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10569), 1,
      aux_sym_keyword_timestamp_token3,
    STATE(6612), 2,
      sym_comment,
      sym_marginalia,
  [359189] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10571), 1,
      aux_sym_keyword_timestamp_token3,
    STATE(6613), 2,
      sym_comment,
      sym_marginalia,
  [359203] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10573), 1,
      sym__natural_number,
    STATE(6614), 2,
      sym_comment,
      sym_marginalia,
  [359217] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10575), 1,
      sym__natural_number,
    STATE(6615), 2,
      sym_comment,
      sym_marginalia,
  [359231] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10577), 1,
      sym__natural_number,
    STATE(6616), 2,
      sym_comment,
      sym_marginalia,
  [359245] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10579), 1,
      sym__natural_number,
    STATE(6617), 2,
      sym_comment,
      sym_marginalia,
  [359259] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10581), 1,
      sym__natural_number,
    STATE(6618), 2,
      sym_comment,
      sym_marginalia,
  [359273] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10583), 1,
      sym__natural_number,
    STATE(6619), 2,
      sym_comment,
      sym_marginalia,
  [359287] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10585), 1,
      sym__natural_number,
    STATE(6620), 2,
      sym_comment,
      sym_marginalia,
  [359301] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10587), 1,
      anon_sym_RPAREN,
    STATE(6621), 2,
      sym_comment,
      sym_marginalia,
  [359315] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10589), 1,
      anon_sym_RPAREN,
    STATE(6622), 2,
      sym_comment,
      sym_marginalia,
  [359329] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10591), 1,
      anon_sym_RPAREN,
    STATE(6623), 2,
      sym_comment,
      sym_marginalia,
  [359343] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10593), 1,
      anon_sym_SEMI,
    STATE(6624), 2,
      sym_comment,
      sym_marginalia,
  [359357] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10595), 1,
      sym__natural_number,
    STATE(6625), 2,
      sym_comment,
      sym_marginalia,
  [359371] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10597), 1,
      sym__natural_number,
    STATE(6626), 2,
      sym_comment,
      sym_marginalia,
  [359385] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10599), 1,
      sym__natural_number,
    STATE(6627), 2,
      sym_comment,
      sym_marginalia,
  [359399] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10601), 1,
      sym__natural_number,
    STATE(6628), 2,
      sym_comment,
      sym_marginalia,
  [359413] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10603), 1,
      sym__natural_number,
    STATE(6629), 2,
      sym_comment,
      sym_marginalia,
  [359427] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10605), 1,
      anon_sym_RPAREN,
    STATE(6630), 2,
      sym_comment,
      sym_marginalia,
  [359441] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10607), 1,
      anon_sym_RPAREN,
    STATE(6631), 2,
      sym_comment,
      sym_marginalia,
  [359455] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10609), 1,
      anon_sym_RPAREN,
    STATE(6632), 2,
      sym_comment,
      sym_marginalia,
  [359469] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10611), 1,
      anon_sym_RPAREN,
    STATE(6633), 2,
      sym_comment,
      sym_marginalia,
  [359483] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10613), 1,
      sym__natural_number,
    STATE(6634), 2,
      sym_comment,
      sym_marginalia,
  [359497] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10615), 1,
      sym__natural_number,
    STATE(6635), 2,
      sym_comment,
      sym_marginalia,
  [359511] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10617), 1,
      sym__natural_number,
    STATE(6636), 2,
      sym_comment,
      sym_marginalia,
  [359525] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10619), 1,
      sym__natural_number,
    STATE(6637), 2,
      sym_comment,
      sym_marginalia,
  [359539] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10621), 1,
      anon_sym_RPAREN,
    STATE(6638), 2,
      sym_comment,
      sym_marginalia,
  [359553] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10623), 1,
      anon_sym_RPAREN,
    STATE(6639), 2,
      sym_comment,
      sym_marginalia,
  [359567] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10625), 1,
      anon_sym_RPAREN,
    STATE(6640), 2,
      sym_comment,
      sym_marginalia,
  [359581] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10627), 1,
      sym__natural_number,
    STATE(6641), 2,
      sym_comment,
      sym_marginalia,
  [359595] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10629), 1,
      sym__natural_number,
    STATE(6642), 2,
      sym_comment,
      sym_marginalia,
  [359609] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10631), 1,
      sym__natural_number,
    STATE(6643), 2,
      sym_comment,
      sym_marginalia,
  [359623] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10633), 1,
      anon_sym_RPAREN,
    STATE(6644), 2,
      sym_comment,
      sym_marginalia,
  [359637] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10635), 1,
      anon_sym_RPAREN,
    STATE(6645), 2,
      sym_comment,
      sym_marginalia,
  [359651] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10637), 1,
      sym__natural_number,
    STATE(6646), 2,
      sym_comment,
      sym_marginalia,
  [359665] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10639), 1,
      anon_sym_LBRACK,
    STATE(6647), 2,
      sym_comment,
      sym_marginalia,
  [359679] = 4,
    ACTIONS(9823), 1,
      anon_sym_DASH_DASH,
    ACTIONS(9825), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10641), 1,
      aux_sym__literal_string_token1,
    STATE(6648), 2,
      sym_comment,
      sym_marginalia,
  [359693] = 4,
    ACTIONS(9823), 1,
      anon_sym_DASH_DASH,
    ACTIONS(9825), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10643), 1,
      aux_sym__double_quote_string_token1,
    STATE(6649), 2,
      sym_comment,
      sym_marginalia,
  [359707] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10645), 1,
      sym__identifier,
    STATE(6650), 2,
      sym_comment,
      sym_marginalia,
  [359721] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10647), 1,
      aux_sym_keyword_timestamp_token4,
    STATE(6651), 2,
      sym_comment,
      sym_marginalia,
  [359735] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10649), 1,
      aux_sym_keyword_timestamp_token4,
    STATE(6652), 2,
      sym_comment,
      sym_marginalia,
  [359749] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10651), 1,
      anon_sym_DOT,
    STATE(6653), 2,
      sym_comment,
      sym_marginalia,
  [359763] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8447), 1,
      anon_sym_RPAREN,
    STATE(6654), 2,
      sym_comment,
      sym_marginalia,
  [359777] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10653), 1,
      anon_sym_RPAREN,
    STATE(6655), 2,
      sym_comment,
      sym_marginalia,
  [359791] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10655), 1,
      anon_sym_RPAREN,
    STATE(6656), 2,
      sym_comment,
      sym_marginalia,
  [359805] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8222), 1,
      anon_sym_RPAREN,
    STATE(6657), 2,
      sym_comment,
      sym_marginalia,
  [359819] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10657), 1,
      anon_sym_LPAREN,
    STATE(6658), 2,
      sym_comment,
      sym_marginalia,
  [359833] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10659), 1,
      anon_sym_DOT,
    STATE(6659), 2,
      sym_comment,
      sym_marginalia,
  [359847] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10661), 1,
      sym__natural_number,
    STATE(6660), 2,
      sym_comment,
      sym_marginalia,
  [359861] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10663), 1,
      sym__natural_number,
    STATE(6661), 2,
      sym_comment,
      sym_marginalia,
  [359875] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10665), 1,
      sym__natural_number,
    STATE(6662), 2,
      sym_comment,
      sym_marginalia,
  [359889] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10667), 1,
      aux_sym_keyword_timestamp_token3,
    STATE(6663), 2,
      sym_comment,
      sym_marginalia,
  [359903] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10669), 1,
      aux_sym_keyword_timestamp_token3,
    STATE(6664), 2,
      sym_comment,
      sym_marginalia,
  [359917] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10671), 1,
      sym__natural_number,
    STATE(6665), 2,
      sym_comment,
      sym_marginalia,
  [359931] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10673), 1,
      sym__natural_number,
    STATE(6666), 2,
      sym_comment,
      sym_marginalia,
  [359945] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10675), 1,
      sym__natural_number,
    STATE(6667), 2,
      sym_comment,
      sym_marginalia,
  [359959] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10677), 1,
      sym__natural_number,
    STATE(6668), 2,
      sym_comment,
      sym_marginalia,
  [359973] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10679), 1,
      sym__natural_number,
    STATE(6669), 2,
      sym_comment,
      sym_marginalia,
  [359987] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10681), 1,
      sym__natural_number,
    STATE(6670), 2,
      sym_comment,
      sym_marginalia,
  [360001] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10683), 1,
      sym__natural_number,
    STATE(6671), 2,
      sym_comment,
      sym_marginalia,
  [360015] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10685), 1,
      anon_sym_RPAREN,
    STATE(6672), 2,
      sym_comment,
      sym_marginalia,
  [360029] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10687), 1,
      anon_sym_SQUOTE,
    STATE(6673), 2,
      sym_comment,
      sym_marginalia,
  [360043] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10689), 1,
      anon_sym_RPAREN,
    STATE(6674), 2,
      sym_comment,
      sym_marginalia,
  [360057] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10691), 1,
      sym_keyword_materialized,
    STATE(6675), 2,
      sym_comment,
      sym_marginalia,
  [360071] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10693), 1,
      sym__natural_number,
    STATE(6676), 2,
      sym_comment,
      sym_marginalia,
  [360085] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10695), 1,
      sym__natural_number,
    STATE(6677), 2,
      sym_comment,
      sym_marginalia,
  [360099] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10697), 1,
      sym__natural_number,
    STATE(6678), 2,
      sym_comment,
      sym_marginalia,
  [360113] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10699), 1,
      sym__natural_number,
    STATE(6679), 2,
      sym_comment,
      sym_marginalia,
  [360127] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10701), 1,
      sym__natural_number,
    STATE(6680), 2,
      sym_comment,
      sym_marginalia,
  [360141] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10703), 1,
      anon_sym_BQUOTE,
    STATE(6681), 2,
      sym_comment,
      sym_marginalia,
  [360155] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10705), 1,
      anon_sym_DQUOTE,
    STATE(6682), 2,
      sym_comment,
      sym_marginalia,
  [360169] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4163), 1,
      sym__natural_number,
    STATE(6683), 2,
      sym_comment,
      sym_marginalia,
  [360183] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10707), 1,
      anon_sym_SQUOTE,
    STATE(6684), 2,
      sym_comment,
      sym_marginalia,
  [360197] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10709), 1,
      sym__natural_number,
    STATE(6685), 2,
      sym_comment,
      sym_marginalia,
  [360211] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10711), 1,
      sym__natural_number,
    STATE(6686), 2,
      sym_comment,
      sym_marginalia,
  [360225] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10713), 1,
      sym__natural_number,
    STATE(6687), 2,
      sym_comment,
      sym_marginalia,
  [360239] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10715), 1,
      sym__natural_number,
    STATE(6688), 2,
      sym_comment,
      sym_marginalia,
  [360253] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10717), 1,
      aux_sym_parameter_token1,
    STATE(6689), 2,
      sym_comment,
      sym_marginalia,
  [360267] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10719), 1,
      sym__natural_number,
    STATE(6690), 2,
      sym_comment,
      sym_marginalia,
  [360281] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10721), 1,
      anon_sym_RPAREN,
    STATE(6691), 2,
      sym_comment,
      sym_marginalia,
  [360295] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10723), 1,
      sym__natural_number,
    STATE(6692), 2,
      sym_comment,
      sym_marginalia,
  [360309] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10725), 1,
      sym__natural_number,
    STATE(6693), 2,
      sym_comment,
      sym_marginalia,
  [360323] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10727), 1,
      sym__natural_number,
    STATE(6694), 2,
      sym_comment,
      sym_marginalia,
  [360337] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10729), 1,
      anon_sym_RPAREN,
    STATE(6695), 2,
      sym_comment,
      sym_marginalia,
  [360351] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10731), 1,
      anon_sym_RPAREN,
    STATE(6696), 2,
      sym_comment,
      sym_marginalia,
  [360365] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10733), 1,
      sym__natural_number,
    STATE(6697), 2,
      sym_comment,
      sym_marginalia,
  [360379] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10735), 1,
      anon_sym_LBRACK,
    STATE(6698), 2,
      sym_comment,
      sym_marginalia,
  [360393] = 4,
    ACTIONS(9823), 1,
      anon_sym_DASH_DASH,
    ACTIONS(9825), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10737), 1,
      aux_sym__literal_string_token1,
    STATE(6699), 2,
      sym_comment,
      sym_marginalia,
  [360407] = 4,
    ACTIONS(9823), 1,
      anon_sym_DASH_DASH,
    ACTIONS(9825), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10739), 1,
      aux_sym__double_quote_string_token1,
    STATE(6700), 2,
      sym_comment,
      sym_marginalia,
  [360421] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10741), 1,
      sym__identifier,
    STATE(6701), 2,
      sym_comment,
      sym_marginalia,
  [360435] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10743), 1,
      anon_sym_RPAREN,
    STATE(6702), 2,
      sym_comment,
      sym_marginalia,
  [360449] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10745), 1,
      anon_sym_RPAREN,
    STATE(6703), 2,
      sym_comment,
      sym_marginalia,
  [360463] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10747), 1,
      anon_sym_DOT,
    STATE(6704), 2,
      sym_comment,
      sym_marginalia,
  [360477] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10749), 1,
      anon_sym_RPAREN,
    STATE(6705), 2,
      sym_comment,
      sym_marginalia,
  [360491] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10751), 1,
      anon_sym_RPAREN,
    STATE(6706), 2,
      sym_comment,
      sym_marginalia,
  [360505] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10753), 1,
      anon_sym_RPAREN,
    STATE(6707), 2,
      sym_comment,
      sym_marginalia,
  [360519] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10755), 1,
      sym_keyword_as,
    STATE(6708), 2,
      sym_comment,
      sym_marginalia,
  [360533] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10757), 1,
      anon_sym_DOT,
    STATE(6709), 2,
      sym_comment,
      sym_marginalia,
  [360547] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10759), 1,
      sym__natural_number,
    STATE(6710), 2,
      sym_comment,
      sym_marginalia,
  [360561] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10761), 1,
      sym__natural_number,
    STATE(6711), 2,
      sym_comment,
      sym_marginalia,
  [360575] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10763), 1,
      sym__natural_number,
    STATE(6712), 2,
      sym_comment,
      sym_marginalia,
  [360589] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10765), 1,
      aux_sym_keyword_timestamp_token3,
    STATE(6713), 2,
      sym_comment,
      sym_marginalia,
  [360603] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10767), 1,
      aux_sym_keyword_timestamp_token3,
    STATE(6714), 2,
      sym_comment,
      sym_marginalia,
  [360617] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10769), 1,
      sym__natural_number,
    STATE(6715), 2,
      sym_comment,
      sym_marginalia,
  [360631] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10771), 1,
      sym__natural_number,
    STATE(6716), 2,
      sym_comment,
      sym_marginalia,
  [360645] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10773), 1,
      sym__natural_number,
    STATE(6717), 2,
      sym_comment,
      sym_marginalia,
  [360659] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10775), 1,
      sym__natural_number,
    STATE(6718), 2,
      sym_comment,
      sym_marginalia,
  [360673] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10777), 1,
      sym__natural_number,
    STATE(6719), 2,
      sym_comment,
      sym_marginalia,
  [360687] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10779), 1,
      sym__natural_number,
    STATE(6720), 2,
      sym_comment,
      sym_marginalia,
  [360701] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10781), 1,
      sym__natural_number,
    STATE(6721), 2,
      sym_comment,
      sym_marginalia,
  [360715] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9307), 1,
      sym_keyword_join,
    STATE(6722), 2,
      sym_comment,
      sym_marginalia,
  [360729] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10783), 1,
      sym__natural_number,
    STATE(6723), 2,
      sym_comment,
      sym_marginalia,
  [360743] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10785), 1,
      sym__natural_number,
    STATE(6724), 2,
      sym_comment,
      sym_marginalia,
  [360757] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10787), 1,
      sym__natural_number,
    STATE(6725), 2,
      sym_comment,
      sym_marginalia,
  [360771] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10789), 1,
      sym__natural_number,
    STATE(6726), 2,
      sym_comment,
      sym_marginalia,
  [360785] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10791), 1,
      sym__natural_number,
    STATE(6727), 2,
      sym_comment,
      sym_marginalia,
  [360799] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10793), 1,
      anon_sym_RPAREN,
    STATE(6728), 2,
      sym_comment,
      sym_marginalia,
  [360813] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10795), 1,
      sym__natural_number,
    STATE(6729), 2,
      sym_comment,
      sym_marginalia,
  [360827] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10797), 1,
      sym__natural_number,
    STATE(6730), 2,
      sym_comment,
      sym_marginalia,
  [360841] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10799), 1,
      sym__natural_number,
    STATE(6731), 2,
      sym_comment,
      sym_marginalia,
  [360855] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10801), 1,
      sym__natural_number,
    STATE(6732), 2,
      sym_comment,
      sym_marginalia,
  [360869] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10803), 1,
      anon_sym_SEMI,
    STATE(6733), 2,
      sym_comment,
      sym_marginalia,
  [360883] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10805), 1,
      sym__natural_number,
    STATE(6734), 2,
      sym_comment,
      sym_marginalia,
  [360897] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10807), 1,
      sym__natural_number,
    STATE(6735), 2,
      sym_comment,
      sym_marginalia,
  [360911] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10809), 1,
      sym__natural_number,
    STATE(6736), 2,
      sym_comment,
      sym_marginalia,
  [360925] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10811), 1,
      anon_sym_RPAREN,
    STATE(6737), 2,
      sym_comment,
      sym_marginalia,
  [360939] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10813), 1,
      sym__natural_number,
    STATE(6738), 2,
      sym_comment,
      sym_marginalia,
  [360953] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10815), 1,
      anon_sym_LBRACK,
    STATE(6739), 2,
      sym_comment,
      sym_marginalia,
  [360967] = 4,
    ACTIONS(9823), 1,
      anon_sym_DASH_DASH,
    ACTIONS(9825), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10817), 1,
      aux_sym__literal_string_token1,
    STATE(6740), 2,
      sym_comment,
      sym_marginalia,
  [360981] = 4,
    ACTIONS(9823), 1,
      anon_sym_DASH_DASH,
    ACTIONS(9825), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10819), 1,
      aux_sym__double_quote_string_token1,
    STATE(6741), 2,
      sym_comment,
      sym_marginalia,
  [360995] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10821), 1,
      sym__identifier,
    STATE(6742), 2,
      sym_comment,
      sym_marginalia,
  [361009] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10823), 1,
      anon_sym_RPAREN,
    STATE(6743), 2,
      sym_comment,
      sym_marginalia,
  [361023] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10825), 1,
      anon_sym_RPAREN,
    STATE(6744), 2,
      sym_comment,
      sym_marginalia,
  [361037] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10827), 1,
      anon_sym_DOT,
    STATE(6745), 2,
      sym_comment,
      sym_marginalia,
  [361051] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10829), 1,
      aux_sym_keyword_timestamp_token4,
    STATE(6746), 2,
      sym_comment,
      sym_marginalia,
  [361065] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10831), 1,
      anon_sym_RPAREN,
    STATE(6747), 2,
      sym_comment,
      sym_marginalia,
  [361079] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10833), 1,
      anon_sym_RPAREN,
    STATE(6748), 2,
      sym_comment,
      sym_marginalia,
  [361093] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10835), 1,
      anon_sym_RPAREN,
    STATE(6749), 2,
      sym_comment,
      sym_marginalia,
  [361107] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10837), 1,
      anon_sym_DOT,
    STATE(6750), 2,
      sym_comment,
      sym_marginalia,
  [361121] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10839), 1,
      sym__natural_number,
    STATE(6751), 2,
      sym_comment,
      sym_marginalia,
  [361135] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10841), 1,
      sym__natural_number,
    STATE(6752), 2,
      sym_comment,
      sym_marginalia,
  [361149] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10843), 1,
      sym__natural_number,
    STATE(6753), 2,
      sym_comment,
      sym_marginalia,
  [361163] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10845), 1,
      aux_sym_keyword_timestamp_token3,
    STATE(6754), 2,
      sym_comment,
      sym_marginalia,
  [361177] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10847), 1,
      aux_sym_keyword_timestamp_token3,
    STATE(6755), 2,
      sym_comment,
      sym_marginalia,
  [361191] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10849), 1,
      sym__natural_number,
    STATE(6756), 2,
      sym_comment,
      sym_marginalia,
  [361205] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10851), 1,
      sym__natural_number,
    STATE(6757), 2,
      sym_comment,
      sym_marginalia,
  [361219] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10853), 1,
      sym__natural_number,
    STATE(6758), 2,
      sym_comment,
      sym_marginalia,
  [361233] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10855), 1,
      sym__natural_number,
    STATE(6759), 2,
      sym_comment,
      sym_marginalia,
  [361247] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10857), 1,
      sym__natural_number,
    STATE(6760), 2,
      sym_comment,
      sym_marginalia,
  [361261] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10859), 1,
      sym__natural_number,
    STATE(6761), 2,
      sym_comment,
      sym_marginalia,
  [361275] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10861), 1,
      sym__natural_number,
    STATE(6762), 2,
      sym_comment,
      sym_marginalia,
  [361289] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10863), 1,
      anon_sym_RPAREN,
    STATE(6763), 2,
      sym_comment,
      sym_marginalia,
  [361303] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10865), 1,
      sym__natural_number,
    STATE(6764), 2,
      sym_comment,
      sym_marginalia,
  [361317] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10867), 1,
      sym__natural_number,
    STATE(6765), 2,
      sym_comment,
      sym_marginalia,
  [361331] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10869), 1,
      sym__natural_number,
    STATE(6766), 2,
      sym_comment,
      sym_marginalia,
  [361345] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10871), 1,
      sym__natural_number,
    STATE(6767), 2,
      sym_comment,
      sym_marginalia,
  [361359] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10873), 1,
      sym__natural_number,
    STATE(6768), 2,
      sym_comment,
      sym_marginalia,
  [361373] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10875), 1,
      anon_sym_RPAREN,
    STATE(6769), 2,
      sym_comment,
      sym_marginalia,
  [361387] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10877), 1,
      sym__natural_number,
    STATE(6770), 2,
      sym_comment,
      sym_marginalia,
  [361401] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10879), 1,
      sym__natural_number,
    STATE(6771), 2,
      sym_comment,
      sym_marginalia,
  [361415] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10881), 1,
      sym__natural_number,
    STATE(6772), 2,
      sym_comment,
      sym_marginalia,
  [361429] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10883), 1,
      sym__natural_number,
    STATE(6773), 2,
      sym_comment,
      sym_marginalia,
  [361443] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10885), 1,
      anon_sym_RPAREN,
    STATE(6774), 2,
      sym_comment,
      sym_marginalia,
  [361457] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10887), 1,
      sym__natural_number,
    STATE(6775), 2,
      sym_comment,
      sym_marginalia,
  [361471] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10889), 1,
      sym__natural_number,
    STATE(6776), 2,
      sym_comment,
      sym_marginalia,
  [361485] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10891), 1,
      sym__natural_number,
    STATE(6777), 2,
      sym_comment,
      sym_marginalia,
  [361499] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10893), 1,
      anon_sym_RPAREN,
    STATE(6778), 2,
      sym_comment,
      sym_marginalia,
  [361513] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10895), 1,
      sym__natural_number,
    STATE(6779), 2,
      sym_comment,
      sym_marginalia,
  [361527] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10897), 1,
      anon_sym_LBRACK,
    STATE(6780), 2,
      sym_comment,
      sym_marginalia,
  [361541] = 4,
    ACTIONS(9823), 1,
      anon_sym_DASH_DASH,
    ACTIONS(9825), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10899), 1,
      aux_sym__literal_string_token1,
    STATE(6781), 2,
      sym_comment,
      sym_marginalia,
  [361555] = 4,
    ACTIONS(9823), 1,
      anon_sym_DASH_DASH,
    ACTIONS(9825), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10901), 1,
      aux_sym__double_quote_string_token1,
    STATE(6782), 2,
      sym_comment,
      sym_marginalia,
  [361569] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10903), 1,
      sym__identifier,
    STATE(6783), 2,
      sym_comment,
      sym_marginalia,
  [361583] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10905), 1,
      anon_sym_RPAREN,
    STATE(6784), 2,
      sym_comment,
      sym_marginalia,
  [361597] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10907), 1,
      aux_sym_keyword_timestamp_token4,
    STATE(6785), 2,
      sym_comment,
      sym_marginalia,
  [361611] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10909), 1,
      anon_sym_DOT,
    STATE(6786), 2,
      sym_comment,
      sym_marginalia,
  [361625] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10911), 1,
      anon_sym_RPAREN,
    STATE(6787), 2,
      sym_comment,
      sym_marginalia,
  [361639] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8365), 1,
      anon_sym_RPAREN,
    STATE(6788), 2,
      sym_comment,
      sym_marginalia,
  [361653] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10913), 1,
      anon_sym_RPAREN,
    STATE(6789), 2,
      sym_comment,
      sym_marginalia,
  [361667] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10915), 1,
      anon_sym_RPAREN,
    STATE(6790), 2,
      sym_comment,
      sym_marginalia,
  [361681] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10917), 1,
      anon_sym_DOT,
    STATE(6791), 2,
      sym_comment,
      sym_marginalia,
  [361695] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10919), 1,
      sym__natural_number,
    STATE(6792), 2,
      sym_comment,
      sym_marginalia,
  [361709] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10921), 1,
      sym__natural_number,
    STATE(6793), 2,
      sym_comment,
      sym_marginalia,
  [361723] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10923), 1,
      sym__natural_number,
    STATE(6794), 2,
      sym_comment,
      sym_marginalia,
  [361737] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10925), 1,
      aux_sym_keyword_timestamp_token3,
    STATE(6795), 2,
      sym_comment,
      sym_marginalia,
  [361751] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10927), 1,
      aux_sym_keyword_timestamp_token3,
    STATE(6796), 2,
      sym_comment,
      sym_marginalia,
  [361765] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10929), 1,
      sym__natural_number,
    STATE(6797), 2,
      sym_comment,
      sym_marginalia,
  [361779] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10931), 1,
      sym__natural_number,
    STATE(6798), 2,
      sym_comment,
      sym_marginalia,
  [361793] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10933), 1,
      sym__natural_number,
    STATE(6799), 2,
      sym_comment,
      sym_marginalia,
  [361807] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10935), 1,
      sym__natural_number,
    STATE(6800), 2,
      sym_comment,
      sym_marginalia,
  [361821] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10937), 1,
      sym__natural_number,
    STATE(6801), 2,
      sym_comment,
      sym_marginalia,
  [361835] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10939), 1,
      sym__natural_number,
    STATE(6802), 2,
      sym_comment,
      sym_marginalia,
  [361849] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10941), 1,
      sym__natural_number,
    STATE(6803), 2,
      sym_comment,
      sym_marginalia,
  [361863] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10943), 1,
      sym_keyword_by,
    STATE(6804), 2,
      sym_comment,
      sym_marginalia,
  [361877] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10945), 1,
      sym__natural_number,
    STATE(6805), 2,
      sym_comment,
      sym_marginalia,
  [361891] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10947), 1,
      sym__natural_number,
    STATE(6806), 2,
      sym_comment,
      sym_marginalia,
  [361905] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10949), 1,
      sym__natural_number,
    STATE(6807), 2,
      sym_comment,
      sym_marginalia,
  [361919] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10951), 1,
      sym__natural_number,
    STATE(6808), 2,
      sym_comment,
      sym_marginalia,
  [361933] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10953), 1,
      sym__natural_number,
    STATE(6809), 2,
      sym_comment,
      sym_marginalia,
  [361947] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8185), 1,
      anon_sym_RPAREN,
    STATE(6810), 2,
      sym_comment,
      sym_marginalia,
  [361961] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10955), 1,
      sym__natural_number,
    STATE(6811), 2,
      sym_comment,
      sym_marginalia,
  [361975] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10957), 1,
      sym__natural_number,
    STATE(6812), 2,
      sym_comment,
      sym_marginalia,
  [361989] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10959), 1,
      sym__natural_number,
    STATE(6813), 2,
      sym_comment,
      sym_marginalia,
  [362003] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10961), 1,
      sym__natural_number,
    STATE(6814), 2,
      sym_comment,
      sym_marginalia,
  [362017] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10963), 1,
      sym_keyword_by,
    STATE(6815), 2,
      sym_comment,
      sym_marginalia,
  [362031] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10965), 1,
      sym__natural_number,
    STATE(6816), 2,
      sym_comment,
      sym_marginalia,
  [362045] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10967), 1,
      sym__natural_number,
    STATE(6817), 2,
      sym_comment,
      sym_marginalia,
  [362059] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10969), 1,
      sym__natural_number,
    STATE(6818), 2,
      sym_comment,
      sym_marginalia,
  [362073] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10971), 1,
      anon_sym_DOT,
    STATE(6819), 2,
      sym_comment,
      sym_marginalia,
  [362087] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10973), 1,
      sym__natural_number,
    STATE(6820), 2,
      sym_comment,
      sym_marginalia,
  [362101] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10975), 1,
      anon_sym_LBRACK,
    STATE(6821), 2,
      sym_comment,
      sym_marginalia,
  [362115] = 4,
    ACTIONS(9823), 1,
      anon_sym_DASH_DASH,
    ACTIONS(9825), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10977), 1,
      aux_sym__literal_string_token1,
    STATE(6822), 2,
      sym_comment,
      sym_marginalia,
  [362129] = 4,
    ACTIONS(9823), 1,
      anon_sym_DASH_DASH,
    ACTIONS(9825), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10979), 1,
      aux_sym__double_quote_string_token1,
    STATE(6823), 2,
      sym_comment,
      sym_marginalia,
  [362143] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10981), 1,
      sym__identifier,
    STATE(6824), 2,
      sym_comment,
      sym_marginalia,
  [362157] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10983), 1,
      anon_sym_RPAREN,
    STATE(6825), 2,
      sym_comment,
      sym_marginalia,
  [362171] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10985), 1,
      anon_sym_SQUOTE,
    STATE(6826), 2,
      sym_comment,
      sym_marginalia,
  [362185] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10987), 1,
      anon_sym_DOT,
    STATE(6827), 2,
      sym_comment,
      sym_marginalia,
  [362199] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10989), 1,
      anon_sym_RPAREN,
    STATE(6828), 2,
      sym_comment,
      sym_marginalia,
  [362213] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10991), 1,
      anon_sym_BQUOTE,
    STATE(6829), 2,
      sym_comment,
      sym_marginalia,
  [362227] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10993), 1,
      anon_sym_DQUOTE,
    STATE(6830), 2,
      sym_comment,
      sym_marginalia,
  [362241] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10995), 1,
      sym_keyword_exists,
    STATE(6831), 2,
      sym_comment,
      sym_marginalia,
  [362255] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10997), 1,
      anon_sym_DOT,
    STATE(6832), 2,
      sym_comment,
      sym_marginalia,
  [362269] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10999), 1,
      sym__natural_number,
    STATE(6833), 2,
      sym_comment,
      sym_marginalia,
  [362283] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11001), 1,
      sym__natural_number,
    STATE(6834), 2,
      sym_comment,
      sym_marginalia,
  [362297] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11003), 1,
      sym__natural_number,
    STATE(6835), 2,
      sym_comment,
      sym_marginalia,
  [362311] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11005), 1,
      aux_sym_keyword_timestamp_token3,
    STATE(6836), 2,
      sym_comment,
      sym_marginalia,
  [362325] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11007), 1,
      aux_sym_keyword_timestamp_token3,
    STATE(6837), 2,
      sym_comment,
      sym_marginalia,
  [362339] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11009), 1,
      sym__natural_number,
    STATE(6838), 2,
      sym_comment,
      sym_marginalia,
  [362353] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11011), 1,
      sym__natural_number,
    STATE(6839), 2,
      sym_comment,
      sym_marginalia,
  [362367] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11013), 1,
      sym__natural_number,
    STATE(6840), 2,
      sym_comment,
      sym_marginalia,
  [362381] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11015), 1,
      sym__natural_number,
    STATE(6841), 2,
      sym_comment,
      sym_marginalia,
  [362395] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11017), 1,
      sym__natural_number,
    STATE(6842), 2,
      sym_comment,
      sym_marginalia,
  [362409] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11019), 1,
      sym__natural_number,
    STATE(6843), 2,
      sym_comment,
      sym_marginalia,
  [362423] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11021), 1,
      sym__natural_number,
    STATE(6844), 2,
      sym_comment,
      sym_marginalia,
  [362437] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11023), 1,
      sym_keyword_view,
    STATE(6845), 2,
      sym_comment,
      sym_marginalia,
  [362451] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11025), 1,
      sym__natural_number,
    STATE(6846), 2,
      sym_comment,
      sym_marginalia,
  [362465] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11027), 1,
      sym__natural_number,
    STATE(6847), 2,
      sym_comment,
      sym_marginalia,
  [362479] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11029), 1,
      sym__natural_number,
    STATE(6848), 2,
      sym_comment,
      sym_marginalia,
  [362493] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11031), 1,
      sym__natural_number,
    STATE(6849), 2,
      sym_comment,
      sym_marginalia,
  [362507] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11033), 1,
      sym__natural_number,
    STATE(6850), 2,
      sym_comment,
      sym_marginalia,
  [362521] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3223), 1,
      sym__natural_number,
    STATE(6851), 2,
      sym_comment,
      sym_marginalia,
  [362535] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11035), 1,
      sym__natural_number,
    STATE(6852), 2,
      sym_comment,
      sym_marginalia,
  [362549] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11037), 1,
      sym__natural_number,
    STATE(6853), 2,
      sym_comment,
      sym_marginalia,
  [362563] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11039), 1,
      sym__natural_number,
    STATE(6854), 2,
      sym_comment,
      sym_marginalia,
  [362577] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11041), 1,
      sym__natural_number,
    STATE(6855), 2,
      sym_comment,
      sym_marginalia,
  [362591] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11043), 1,
      anon_sym_SQUOTE,
    STATE(6856), 2,
      sym_comment,
      sym_marginalia,
  [362605] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11045), 1,
      sym__natural_number,
    STATE(6857), 2,
      sym_comment,
      sym_marginalia,
  [362619] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11047), 1,
      sym__natural_number,
    STATE(6858), 2,
      sym_comment,
      sym_marginalia,
  [362633] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11049), 1,
      sym__natural_number,
    STATE(6859), 2,
      sym_comment,
      sym_marginalia,
  [362647] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11051), 1,
      anon_sym_DOT,
    STATE(6860), 2,
      sym_comment,
      sym_marginalia,
  [362661] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11053), 1,
      sym__natural_number,
    STATE(6861), 2,
      sym_comment,
      sym_marginalia,
  [362675] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11055), 1,
      anon_sym_LBRACK,
    STATE(6862), 2,
      sym_comment,
      sym_marginalia,
  [362689] = 4,
    ACTIONS(9823), 1,
      anon_sym_DASH_DASH,
    ACTIONS(9825), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11057), 1,
      aux_sym__literal_string_token1,
    STATE(6863), 2,
      sym_comment,
      sym_marginalia,
  [362703] = 4,
    ACTIONS(9823), 1,
      anon_sym_DASH_DASH,
    ACTIONS(9825), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11059), 1,
      aux_sym__double_quote_string_token1,
    STATE(6864), 2,
      sym_comment,
      sym_marginalia,
  [362717] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11061), 1,
      sym__identifier,
    STATE(6865), 2,
      sym_comment,
      sym_marginalia,
  [362731] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11063), 1,
      sym_keyword_on,
    STATE(6866), 2,
      sym_comment,
      sym_marginalia,
  [362745] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11065), 1,
      aux_sym_parameter_token1,
    STATE(6867), 2,
      sym_comment,
      sym_marginalia,
  [362759] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11067), 1,
      anon_sym_DOT,
    STATE(6868), 2,
      sym_comment,
      sym_marginalia,
  [362773] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11069), 1,
      sym__natural_number,
    STATE(6869), 2,
      sym_comment,
      sym_marginalia,
  [362787] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11071), 1,
      anon_sym_RPAREN,
    STATE(6870), 2,
      sym_comment,
      sym_marginalia,
  [362801] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11073), 1,
      anon_sym_RPAREN,
    STATE(6871), 2,
      sym_comment,
      sym_marginalia,
  [362815] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11075), 1,
      anon_sym_RPAREN,
    STATE(6872), 2,
      sym_comment,
      sym_marginalia,
  [362829] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11077), 1,
      anon_sym_DOT,
    STATE(6873), 2,
      sym_comment,
      sym_marginalia,
  [362843] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11079), 1,
      sym__natural_number,
    STATE(6874), 2,
      sym_comment,
      sym_marginalia,
  [362857] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11081), 1,
      sym__natural_number,
    STATE(6875), 2,
      sym_comment,
      sym_marginalia,
  [362871] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11083), 1,
      sym__natural_number,
    STATE(6876), 2,
      sym_comment,
      sym_marginalia,
  [362885] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11085), 1,
      aux_sym_keyword_timestamp_token3,
    STATE(6877), 2,
      sym_comment,
      sym_marginalia,
  [362899] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11087), 1,
      aux_sym_keyword_timestamp_token3,
    STATE(6878), 2,
      sym_comment,
      sym_marginalia,
  [362913] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11089), 1,
      sym__natural_number,
    STATE(6879), 2,
      sym_comment,
      sym_marginalia,
  [362927] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11091), 1,
      sym__natural_number,
    STATE(6880), 2,
      sym_comment,
      sym_marginalia,
  [362941] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11093), 1,
      sym__natural_number,
    STATE(6881), 2,
      sym_comment,
      sym_marginalia,
  [362955] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11095), 1,
      sym__natural_number,
    STATE(6882), 2,
      sym_comment,
      sym_marginalia,
  [362969] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11097), 1,
      sym__natural_number,
    STATE(6883), 2,
      sym_comment,
      sym_marginalia,
  [362983] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11099), 1,
      sym__natural_number,
    STATE(6884), 2,
      sym_comment,
      sym_marginalia,
  [362997] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11101), 1,
      sym__natural_number,
    STATE(6885), 2,
      sym_comment,
      sym_marginalia,
  [363011] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11103), 1,
      anon_sym_RPAREN,
    STATE(6886), 2,
      sym_comment,
      sym_marginalia,
  [363025] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11105), 1,
      sym__natural_number,
    STATE(6887), 2,
      sym_comment,
      sym_marginalia,
  [363039] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11107), 1,
      sym__natural_number,
    STATE(6888), 2,
      sym_comment,
      sym_marginalia,
  [363053] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11109), 1,
      sym__natural_number,
    STATE(6889), 2,
      sym_comment,
      sym_marginalia,
  [363067] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11111), 1,
      sym__natural_number,
    STATE(6890), 2,
      sym_comment,
      sym_marginalia,
  [363081] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11113), 1,
      sym__natural_number,
    STATE(6891), 2,
      sym_comment,
      sym_marginalia,
  [363095] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11115), 1,
      anon_sym_RPAREN,
    STATE(6892), 2,
      sym_comment,
      sym_marginalia,
  [363109] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11117), 1,
      sym__natural_number,
    STATE(6893), 2,
      sym_comment,
      sym_marginalia,
  [363123] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11119), 1,
      sym__natural_number,
    STATE(6894), 2,
      sym_comment,
      sym_marginalia,
  [363137] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11121), 1,
      sym__natural_number,
    STATE(6895), 2,
      sym_comment,
      sym_marginalia,
  [363151] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11123), 1,
      sym__natural_number,
    STATE(6896), 2,
      sym_comment,
      sym_marginalia,
  [363165] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11125), 1,
      sym_keyword_as,
    STATE(6897), 2,
      sym_comment,
      sym_marginalia,
  [363179] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11127), 1,
      sym__natural_number,
    STATE(6898), 2,
      sym_comment,
      sym_marginalia,
  [363193] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11129), 1,
      sym__natural_number,
    STATE(6899), 2,
      sym_comment,
      sym_marginalia,
  [363207] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11131), 1,
      sym__natural_number,
    STATE(6900), 2,
      sym_comment,
      sym_marginalia,
  [363221] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11133), 1,
      anon_sym_RPAREN,
    STATE(6901), 2,
      sym_comment,
      sym_marginalia,
  [363235] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11135), 1,
      sym__natural_number,
    STATE(6902), 2,
      sym_comment,
      sym_marginalia,
  [363249] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11137), 1,
      anon_sym_LBRACK,
    STATE(6903), 2,
      sym_comment,
      sym_marginalia,
  [363263] = 4,
    ACTIONS(9823), 1,
      anon_sym_DASH_DASH,
    ACTIONS(9825), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11139), 1,
      aux_sym__literal_string_token1,
    STATE(6904), 2,
      sym_comment,
      sym_marginalia,
  [363277] = 4,
    ACTIONS(9823), 1,
      anon_sym_DASH_DASH,
    ACTIONS(9825), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11141), 1,
      aux_sym__double_quote_string_token1,
    STATE(6905), 2,
      sym_comment,
      sym_marginalia,
  [363291] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11143), 1,
      sym__identifier,
    STATE(6906), 2,
      sym_comment,
      sym_marginalia,
  [363305] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11145), 1,
      anon_sym_RPAREN,
    STATE(6907), 2,
      sym_comment,
      sym_marginalia,
  [363319] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11147), 1,
      anon_sym_RPAREN,
    STATE(6908), 2,
      sym_comment,
      sym_marginalia,
  [363333] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11149), 1,
      anon_sym_DOT,
    STATE(6909), 2,
      sym_comment,
      sym_marginalia,
  [363347] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11151), 1,
      anon_sym_RPAREN,
    STATE(6910), 2,
      sym_comment,
      sym_marginalia,
  [363361] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11153), 1,
      sym_keyword_not,
    STATE(6911), 2,
      sym_comment,
      sym_marginalia,
  [363375] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11155), 1,
      anon_sym_RPAREN,
    STATE(6912), 2,
      sym_comment,
      sym_marginalia,
  [363389] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11157), 1,
      anon_sym_RPAREN,
    STATE(6913), 2,
      sym_comment,
      sym_marginalia,
  [363403] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11159), 1,
      anon_sym_DOT,
    STATE(6914), 2,
      sym_comment,
      sym_marginalia,
  [363417] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11161), 1,
      sym__natural_number,
    STATE(6915), 2,
      sym_comment,
      sym_marginalia,
  [363431] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11163), 1,
      sym__natural_number,
    STATE(6916), 2,
      sym_comment,
      sym_marginalia,
  [363445] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11165), 1,
      sym__natural_number,
    STATE(6917), 2,
      sym_comment,
      sym_marginalia,
  [363459] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11167), 1,
      aux_sym_keyword_timestamp_token3,
    STATE(6918), 2,
      sym_comment,
      sym_marginalia,
  [363473] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11169), 1,
      aux_sym_keyword_timestamp_token3,
    STATE(6919), 2,
      sym_comment,
      sym_marginalia,
  [363487] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11171), 1,
      sym__natural_number,
    STATE(6920), 2,
      sym_comment,
      sym_marginalia,
  [363501] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11173), 1,
      sym__natural_number,
    STATE(6921), 2,
      sym_comment,
      sym_marginalia,
  [363515] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11175), 1,
      sym__natural_number,
    STATE(6922), 2,
      sym_comment,
      sym_marginalia,
  [363529] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11177), 1,
      sym__natural_number,
    STATE(6923), 2,
      sym_comment,
      sym_marginalia,
  [363543] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11179), 1,
      sym__natural_number,
    STATE(6924), 2,
      sym_comment,
      sym_marginalia,
  [363557] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11181), 1,
      sym__natural_number,
    STATE(6925), 2,
      sym_comment,
      sym_marginalia,
  [363571] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11183), 1,
      sym__natural_number,
    STATE(6926), 2,
      sym_comment,
      sym_marginalia,
  [363585] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11185), 1,
      anon_sym_RPAREN,
    STATE(6927), 2,
      sym_comment,
      sym_marginalia,
  [363599] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11187), 1,
      sym__natural_number,
    STATE(6928), 2,
      sym_comment,
      sym_marginalia,
  [363613] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11189), 1,
      sym__natural_number,
    STATE(6929), 2,
      sym_comment,
      sym_marginalia,
  [363627] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11191), 1,
      sym__natural_number,
    STATE(6930), 2,
      sym_comment,
      sym_marginalia,
  [363641] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11193), 1,
      sym__natural_number,
    STATE(6931), 2,
      sym_comment,
      sym_marginalia,
  [363655] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11195), 1,
      sym__natural_number,
    STATE(6932), 2,
      sym_comment,
      sym_marginalia,
  [363669] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11197), 1,
      anon_sym_RPAREN,
    STATE(6933), 2,
      sym_comment,
      sym_marginalia,
  [363683] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11199), 1,
      sym__natural_number,
    STATE(6934), 2,
      sym_comment,
      sym_marginalia,
  [363697] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11201), 1,
      sym__natural_number,
    STATE(6935), 2,
      sym_comment,
      sym_marginalia,
  [363711] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11203), 1,
      sym__natural_number,
    STATE(6936), 2,
      sym_comment,
      sym_marginalia,
  [363725] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11205), 1,
      sym__natural_number,
    STATE(6937), 2,
      sym_comment,
      sym_marginalia,
  [363739] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11207), 1,
      anon_sym_RPAREN,
    STATE(6938), 2,
      sym_comment,
      sym_marginalia,
  [363753] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11209), 1,
      sym__natural_number,
    STATE(6939), 2,
      sym_comment,
      sym_marginalia,
  [363767] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11211), 1,
      sym__natural_number,
    STATE(6940), 2,
      sym_comment,
      sym_marginalia,
  [363781] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11213), 1,
      sym__natural_number,
    STATE(6941), 2,
      sym_comment,
      sym_marginalia,
  [363795] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11215), 1,
      anon_sym_DOT,
    STATE(6942), 2,
      sym_comment,
      sym_marginalia,
  [363809] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11217), 1,
      sym__natural_number,
    STATE(6943), 2,
      sym_comment,
      sym_marginalia,
  [363823] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11219), 1,
      anon_sym_LBRACK,
    STATE(6944), 2,
      sym_comment,
      sym_marginalia,
  [363837] = 4,
    ACTIONS(9823), 1,
      anon_sym_DASH_DASH,
    ACTIONS(9825), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11221), 1,
      aux_sym__literal_string_token1,
    STATE(6945), 2,
      sym_comment,
      sym_marginalia,
  [363851] = 4,
    ACTIONS(9823), 1,
      anon_sym_DASH_DASH,
    ACTIONS(9825), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11223), 1,
      aux_sym__double_quote_string_token1,
    STATE(6946), 2,
      sym_comment,
      sym_marginalia,
  [363865] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11225), 1,
      sym__identifier,
    STATE(6947), 2,
      sym_comment,
      sym_marginalia,
  [363879] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11227), 1,
      anon_sym_RPAREN,
    STATE(6948), 2,
      sym_comment,
      sym_marginalia,
  [363893] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9025), 1,
      sym_keyword_join,
    STATE(6949), 2,
      sym_comment,
      sym_marginalia,
  [363907] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11229), 1,
      anon_sym_DOT,
    STATE(6950), 2,
      sym_comment,
      sym_marginalia,
  [363921] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11231), 1,
      anon_sym_RPAREN,
    STATE(6951), 2,
      sym_comment,
      sym_marginalia,
  [363935] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11233), 1,
      anon_sym_RPAREN,
    STATE(6952), 2,
      sym_comment,
      sym_marginalia,
  [363949] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11235), 1,
      anon_sym_RPAREN,
    STATE(6953), 2,
      sym_comment,
      sym_marginalia,
  [363963] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11237), 1,
      anon_sym_RPAREN,
    STATE(6954), 2,
      sym_comment,
      sym_marginalia,
  [363977] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11239), 1,
      anon_sym_DOT,
    STATE(6955), 2,
      sym_comment,
      sym_marginalia,
  [363991] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11241), 1,
      sym__natural_number,
    STATE(6956), 2,
      sym_comment,
      sym_marginalia,
  [364005] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11243), 1,
      sym__natural_number,
    STATE(6957), 2,
      sym_comment,
      sym_marginalia,
  [364019] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11245), 1,
      sym__natural_number,
    STATE(6958), 2,
      sym_comment,
      sym_marginalia,
  [364033] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11247), 1,
      aux_sym_keyword_timestamp_token3,
    STATE(6959), 2,
      sym_comment,
      sym_marginalia,
  [364047] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11249), 1,
      aux_sym_keyword_timestamp_token3,
    STATE(6960), 2,
      sym_comment,
      sym_marginalia,
  [364061] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11251), 1,
      sym__natural_number,
    STATE(6961), 2,
      sym_comment,
      sym_marginalia,
  [364075] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11253), 1,
      sym__natural_number,
    STATE(6962), 2,
      sym_comment,
      sym_marginalia,
  [364089] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11255), 1,
      sym__natural_number,
    STATE(6963), 2,
      sym_comment,
      sym_marginalia,
  [364103] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11257), 1,
      sym__natural_number,
    STATE(6964), 2,
      sym_comment,
      sym_marginalia,
  [364117] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11259), 1,
      sym__natural_number,
    STATE(6965), 2,
      sym_comment,
      sym_marginalia,
  [364131] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11261), 1,
      sym__natural_number,
    STATE(6966), 2,
      sym_comment,
      sym_marginalia,
  [364145] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11263), 1,
      sym__natural_number,
    STATE(6967), 2,
      sym_comment,
      sym_marginalia,
  [364159] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11265), 1,
      anon_sym_RPAREN,
    STATE(6968), 2,
      sym_comment,
      sym_marginalia,
  [364173] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11267), 1,
      sym__natural_number,
    STATE(6969), 2,
      sym_comment,
      sym_marginalia,
  [364187] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11269), 1,
      sym__natural_number,
    STATE(6970), 2,
      sym_comment,
      sym_marginalia,
  [364201] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11271), 1,
      sym__natural_number,
    STATE(6971), 2,
      sym_comment,
      sym_marginalia,
  [364215] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11273), 1,
      sym__natural_number,
    STATE(6972), 2,
      sym_comment,
      sym_marginalia,
  [364229] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11275), 1,
      sym__natural_number,
    STATE(6973), 2,
      sym_comment,
      sym_marginalia,
  [364243] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11277), 1,
      anon_sym_RPAREN,
    STATE(6974), 2,
      sym_comment,
      sym_marginalia,
  [364257] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11279), 1,
      sym__natural_number,
    STATE(6975), 2,
      sym_comment,
      sym_marginalia,
  [364271] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11281), 1,
      sym__natural_number,
    STATE(6976), 2,
      sym_comment,
      sym_marginalia,
  [364285] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11283), 1,
      sym__natural_number,
    STATE(6977), 2,
      sym_comment,
      sym_marginalia,
  [364299] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11285), 1,
      sym__natural_number,
    STATE(6978), 2,
      sym_comment,
      sym_marginalia,
  [364313] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11287), 1,
      anon_sym_RPAREN,
    STATE(6979), 2,
      sym_comment,
      sym_marginalia,
  [364327] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11289), 1,
      sym__natural_number,
    STATE(6980), 2,
      sym_comment,
      sym_marginalia,
  [364341] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11291), 1,
      sym__natural_number,
    STATE(6981), 2,
      sym_comment,
      sym_marginalia,
  [364355] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11293), 1,
      sym__natural_number,
    STATE(6982), 2,
      sym_comment,
      sym_marginalia,
  [364369] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11295), 1,
      aux_sym_keyword_timestamp_token4,
    STATE(6983), 2,
      sym_comment,
      sym_marginalia,
  [364383] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11297), 1,
      sym__natural_number,
    STATE(6984), 2,
      sym_comment,
      sym_marginalia,
  [364397] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11299), 1,
      anon_sym_LBRACK,
    STATE(6985), 2,
      sym_comment,
      sym_marginalia,
  [364411] = 4,
    ACTIONS(9823), 1,
      anon_sym_DASH_DASH,
    ACTIONS(9825), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11301), 1,
      aux_sym__literal_string_token1,
    STATE(6986), 2,
      sym_comment,
      sym_marginalia,
  [364425] = 4,
    ACTIONS(9823), 1,
      anon_sym_DASH_DASH,
    ACTIONS(9825), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11303), 1,
      aux_sym__double_quote_string_token1,
    STATE(6987), 2,
      sym_comment,
      sym_marginalia,
  [364439] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11305), 1,
      sym__identifier,
    STATE(6988), 2,
      sym_comment,
      sym_marginalia,
  [364453] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11307), 1,
      aux_sym_keyword_timestamp_token4,
    STATE(6989), 2,
      sym_comment,
      sym_marginalia,
  [364467] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8307), 1,
      anon_sym_RPAREN,
    STATE(6990), 2,
      sym_comment,
      sym_marginalia,
  [364481] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11309), 1,
      anon_sym_DOT,
    STATE(6991), 2,
      sym_comment,
      sym_marginalia,
  [364495] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11311), 1,
      anon_sym_RPAREN,
    STATE(6992), 2,
      sym_comment,
      sym_marginalia,
  [364509] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11313), 1,
      anon_sym_RPAREN,
    STATE(6993), 2,
      sym_comment,
      sym_marginalia,
  [364523] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8195), 1,
      anon_sym_RPAREN,
    STATE(6994), 2,
      sym_comment,
      sym_marginalia,
  [364537] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11315), 1,
      anon_sym_DOT,
    STATE(6995), 2,
      sym_comment,
      sym_marginalia,
  [364551] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11317), 1,
      anon_sym_DOT,
    STATE(6996), 2,
      sym_comment,
      sym_marginalia,
  [364565] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11319), 1,
      sym__natural_number,
    STATE(6997), 2,
      sym_comment,
      sym_marginalia,
  [364579] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11321), 1,
      sym__natural_number,
    STATE(6998), 2,
      sym_comment,
      sym_marginalia,
  [364593] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11323), 1,
      sym__natural_number,
    STATE(6999), 2,
      sym_comment,
      sym_marginalia,
  [364607] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11325), 1,
      aux_sym_keyword_timestamp_token3,
    STATE(7000), 2,
      sym_comment,
      sym_marginalia,
  [364621] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11327), 1,
      aux_sym_keyword_timestamp_token3,
    STATE(7001), 2,
      sym_comment,
      sym_marginalia,
  [364635] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11329), 1,
      sym__natural_number,
    STATE(7002), 2,
      sym_comment,
      sym_marginalia,
  [364649] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11331), 1,
      sym__natural_number,
    STATE(7003), 2,
      sym_comment,
      sym_marginalia,
  [364663] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11333), 1,
      sym__natural_number,
    STATE(7004), 2,
      sym_comment,
      sym_marginalia,
  [364677] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11335), 1,
      sym__natural_number,
    STATE(7005), 2,
      sym_comment,
      sym_marginalia,
  [364691] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11337), 1,
      sym__natural_number,
    STATE(7006), 2,
      sym_comment,
      sym_marginalia,
  [364705] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11339), 1,
      sym__natural_number,
    STATE(7007), 2,
      sym_comment,
      sym_marginalia,
  [364719] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11341), 1,
      sym__natural_number,
    STATE(7008), 2,
      sym_comment,
      sym_marginalia,
  [364733] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11343), 1,
      anon_sym_DOT,
    STATE(7009), 2,
      sym_comment,
      sym_marginalia,
  [364747] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11345), 1,
      sym__natural_number,
    STATE(7010), 2,
      sym_comment,
      sym_marginalia,
  [364761] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11347), 1,
      sym__natural_number,
    STATE(7011), 2,
      sym_comment,
      sym_marginalia,
  [364775] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11349), 1,
      sym__natural_number,
    STATE(7012), 2,
      sym_comment,
      sym_marginalia,
  [364789] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11351), 1,
      sym__natural_number,
    STATE(7013), 2,
      sym_comment,
      sym_marginalia,
  [364803] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11353), 1,
      sym__natural_number,
    STATE(7014), 2,
      sym_comment,
      sym_marginalia,
  [364817] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11355), 1,
      anon_sym_SQUOTE,
    STATE(7015), 2,
      sym_comment,
      sym_marginalia,
  [364831] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11357), 1,
      sym__natural_number,
    STATE(7016), 2,
      sym_comment,
      sym_marginalia,
  [364845] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11359), 1,
      sym__natural_number,
    STATE(7017), 2,
      sym_comment,
      sym_marginalia,
  [364859] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11361), 1,
      sym__natural_number,
    STATE(7018), 2,
      sym_comment,
      sym_marginalia,
  [364873] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11363), 1,
      sym__natural_number,
    STATE(7019), 2,
      sym_comment,
      sym_marginalia,
  [364887] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11365), 1,
      anon_sym_RPAREN,
    STATE(7020), 2,
      sym_comment,
      sym_marginalia,
  [364901] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11367), 1,
      sym__natural_number,
    STATE(7021), 2,
      sym_comment,
      sym_marginalia,
  [364915] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11369), 1,
      sym__natural_number,
    STATE(7022), 2,
      sym_comment,
      sym_marginalia,
  [364929] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11371), 1,
      sym__natural_number,
    STATE(7023), 2,
      sym_comment,
      sym_marginalia,
  [364943] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11373), 1,
      anon_sym_BQUOTE,
    STATE(7024), 2,
      sym_comment,
      sym_marginalia,
  [364957] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11375), 1,
      sym__natural_number,
    STATE(7025), 2,
      sym_comment,
      sym_marginalia,
  [364971] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11377), 1,
      anon_sym_LBRACK,
    STATE(7026), 2,
      sym_comment,
      sym_marginalia,
  [364985] = 4,
    ACTIONS(9823), 1,
      anon_sym_DASH_DASH,
    ACTIONS(9825), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11379), 1,
      aux_sym__literal_string_token1,
    STATE(7027), 2,
      sym_comment,
      sym_marginalia,
  [364999] = 4,
    ACTIONS(9823), 1,
      anon_sym_DASH_DASH,
    ACTIONS(9825), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11381), 1,
      aux_sym__double_quote_string_token1,
    STATE(7028), 2,
      sym_comment,
      sym_marginalia,
  [365013] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11383), 1,
      sym__identifier,
    STATE(7029), 2,
      sym_comment,
      sym_marginalia,
  [365027] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11385), 1,
      sym_keyword_to,
    STATE(7030), 2,
      sym_comment,
      sym_marginalia,
  [365041] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11387), 1,
      anon_sym_DQUOTE,
    STATE(7031), 2,
      sym_comment,
      sym_marginalia,
  [365055] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11389), 1,
      anon_sym_DOT,
    STATE(7032), 2,
      sym_comment,
      sym_marginalia,
  [365069] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4511), 1,
      sym__natural_number,
    STATE(7033), 2,
      sym_comment,
      sym_marginalia,
  [365083] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11391), 1,
      anon_sym_SQUOTE,
    STATE(7034), 2,
      sym_comment,
      sym_marginalia,
  [365097] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11393), 1,
      anon_sym_RPAREN,
    STATE(7035), 2,
      sym_comment,
      sym_marginalia,
  [365111] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11395), 1,
      aux_sym_parameter_token1,
    STATE(7036), 2,
      sym_comment,
      sym_marginalia,
  [365125] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11397), 1,
      anon_sym_DOT,
    STATE(7037), 2,
      sym_comment,
      sym_marginalia,
  [365139] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11399), 1,
      sym__natural_number,
    STATE(7038), 2,
      sym_comment,
      sym_marginalia,
  [365153] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11401), 1,
      sym__natural_number,
    STATE(7039), 2,
      sym_comment,
      sym_marginalia,
  [365167] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11403), 1,
      sym__natural_number,
    STATE(7040), 2,
      sym_comment,
      sym_marginalia,
  [365181] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11405), 1,
      aux_sym_keyword_timestamp_token3,
    STATE(7041), 2,
      sym_comment,
      sym_marginalia,
  [365195] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11407), 1,
      aux_sym_keyword_timestamp_token3,
    STATE(7042), 2,
      sym_comment,
      sym_marginalia,
  [365209] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11409), 1,
      sym__natural_number,
    STATE(7043), 2,
      sym_comment,
      sym_marginalia,
  [365223] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11411), 1,
      sym__natural_number,
    STATE(7044), 2,
      sym_comment,
      sym_marginalia,
  [365237] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11413), 1,
      sym__natural_number,
    STATE(7045), 2,
      sym_comment,
      sym_marginalia,
  [365251] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11415), 1,
      sym__natural_number,
    STATE(7046), 2,
      sym_comment,
      sym_marginalia,
  [365265] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11417), 1,
      sym__natural_number,
    STATE(7047), 2,
      sym_comment,
      sym_marginalia,
  [365279] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11419), 1,
      sym__natural_number,
    STATE(7048), 2,
      sym_comment,
      sym_marginalia,
  [365293] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11421), 1,
      sym__natural_number,
    STATE(7049), 2,
      sym_comment,
      sym_marginalia,
  [365307] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11423), 1,
      sym__natural_number,
    STATE(7050), 2,
      sym_comment,
      sym_marginalia,
  [365321] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11425), 1,
      sym__natural_number,
    STATE(7051), 2,
      sym_comment,
      sym_marginalia,
  [365335] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11427), 1,
      sym__natural_number,
    STATE(7052), 2,
      sym_comment,
      sym_marginalia,
  [365349] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11429), 1,
      sym__natural_number,
    STATE(7053), 2,
      sym_comment,
      sym_marginalia,
  [365363] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11431), 1,
      sym__natural_number,
    STATE(7054), 2,
      sym_comment,
      sym_marginalia,
  [365377] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11433), 1,
      sym__natural_number,
    STATE(7055), 2,
      sym_comment,
      sym_marginalia,
  [365391] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11435), 1,
      sym_keyword_by,
    STATE(7056), 2,
      sym_comment,
      sym_marginalia,
  [365405] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11437), 1,
      sym__natural_number,
    STATE(7057), 2,
      sym_comment,
      sym_marginalia,
  [365419] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11439), 1,
      sym__natural_number,
    STATE(7058), 2,
      sym_comment,
      sym_marginalia,
  [365433] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11441), 1,
      sym__natural_number,
    STATE(7059), 2,
      sym_comment,
      sym_marginalia,
  [365447] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11443), 1,
      sym__natural_number,
    STATE(7060), 2,
      sym_comment,
      sym_marginalia,
  [365461] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11445), 1,
      sym_keyword_from,
    STATE(7061), 2,
      sym_comment,
      sym_marginalia,
  [365475] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11447), 1,
      sym__natural_number,
    STATE(7062), 2,
      sym_comment,
      sym_marginalia,
  [365489] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11449), 1,
      sym__natural_number,
    STATE(7063), 2,
      sym_comment,
      sym_marginalia,
  [365503] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11451), 1,
      sym__natural_number,
    STATE(7064), 2,
      sym_comment,
      sym_marginalia,
  [365517] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11453), 1,
      anon_sym_BQUOTE,
    STATE(7065), 2,
      sym_comment,
      sym_marginalia,
  [365531] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11455), 1,
      sym__natural_number,
    STATE(7066), 2,
      sym_comment,
      sym_marginalia,
  [365545] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11457), 1,
      anon_sym_LBRACK,
    STATE(7067), 2,
      sym_comment,
      sym_marginalia,
  [365559] = 4,
    ACTIONS(9823), 1,
      anon_sym_DASH_DASH,
    ACTIONS(9825), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11459), 1,
      aux_sym__literal_string_token1,
    STATE(7068), 2,
      sym_comment,
      sym_marginalia,
  [365573] = 4,
    ACTIONS(9823), 1,
      anon_sym_DASH_DASH,
    ACTIONS(9825), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11461), 1,
      aux_sym__double_quote_string_token1,
    STATE(7069), 2,
      sym_comment,
      sym_marginalia,
  [365587] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11463), 1,
      sym__identifier,
    STATE(7070), 2,
      sym_comment,
      sym_marginalia,
  [365601] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11465), 1,
      anon_sym_DQUOTE,
    STATE(7071), 2,
      sym_comment,
      sym_marginalia,
  [365615] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2395), 1,
      sym__natural_number,
    STATE(7072), 2,
      sym_comment,
      sym_marginalia,
  [365629] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11467), 1,
      anon_sym_DOT,
    STATE(7073), 2,
      sym_comment,
      sym_marginalia,
  [365643] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11469), 1,
      sym__natural_number,
    STATE(7074), 2,
      sym_comment,
      sym_marginalia,
  [365657] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11471), 1,
      anon_sym_SQUOTE,
    STATE(7075), 2,
      sym_comment,
      sym_marginalia,
  [365671] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11473), 1,
      sym__natural_number,
    STATE(7076), 2,
      sym_comment,
      sym_marginalia,
  [365685] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11475), 1,
      sym__natural_number,
    STATE(7077), 2,
      sym_comment,
      sym_marginalia,
  [365699] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11477), 1,
      anon_sym_DOT,
    STATE(7078), 2,
      sym_comment,
      sym_marginalia,
  [365713] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11479), 1,
      sym__natural_number,
    STATE(7079), 2,
      sym_comment,
      sym_marginalia,
  [365727] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11481), 1,
      sym__natural_number,
    STATE(7080), 2,
      sym_comment,
      sym_marginalia,
  [365741] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11483), 1,
      sym__natural_number,
    STATE(7081), 2,
      sym_comment,
      sym_marginalia,
  [365755] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11485), 1,
      aux_sym_keyword_timestamp_token3,
    STATE(7082), 2,
      sym_comment,
      sym_marginalia,
  [365769] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11487), 1,
      aux_sym_keyword_timestamp_token3,
    STATE(7083), 2,
      sym_comment,
      sym_marginalia,
  [365783] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11489), 1,
      sym__natural_number,
    STATE(7084), 2,
      sym_comment,
      sym_marginalia,
  [365797] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11491), 1,
      sym__natural_number,
    STATE(7085), 2,
      sym_comment,
      sym_marginalia,
  [365811] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11493), 1,
      sym__natural_number,
    STATE(7086), 2,
      sym_comment,
      sym_marginalia,
  [365825] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11495), 1,
      sym__natural_number,
    STATE(7087), 2,
      sym_comment,
      sym_marginalia,
  [365839] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11497), 1,
      sym__natural_number,
    STATE(7088), 2,
      sym_comment,
      sym_marginalia,
  [365853] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11499), 1,
      sym__natural_number,
    STATE(7089), 2,
      sym_comment,
      sym_marginalia,
  [365867] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11501), 1,
      sym__natural_number,
    STATE(7090), 2,
      sym_comment,
      sym_marginalia,
  [365881] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11503), 1,
      sym__natural_number,
    STATE(7091), 2,
      sym_comment,
      sym_marginalia,
  [365895] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11505), 1,
      sym__natural_number,
    STATE(7092), 2,
      sym_comment,
      sym_marginalia,
  [365909] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11507), 1,
      sym__natural_number,
    STATE(7093), 2,
      sym_comment,
      sym_marginalia,
  [365923] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11509), 1,
      sym__natural_number,
    STATE(7094), 2,
      sym_comment,
      sym_marginalia,
  [365937] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11511), 1,
      sym__natural_number,
    STATE(7095), 2,
      sym_comment,
      sym_marginalia,
  [365951] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11513), 1,
      sym__natural_number,
    STATE(7096), 2,
      sym_comment,
      sym_marginalia,
  [365965] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11515), 1,
      aux_sym_keyword_timestamp_token3,
    STATE(7097), 2,
      sym_comment,
      sym_marginalia,
  [365979] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11517), 1,
      sym__natural_number,
    STATE(7098), 2,
      sym_comment,
      sym_marginalia,
  [365993] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11519), 1,
      sym__natural_number,
    STATE(7099), 2,
      sym_comment,
      sym_marginalia,
  [366007] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11521), 1,
      sym__natural_number,
    STATE(7100), 2,
      sym_comment,
      sym_marginalia,
  [366021] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11523), 1,
      sym__natural_number,
    STATE(7101), 2,
      sym_comment,
      sym_marginalia,
  [366035] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11525), 1,
      aux_sym_keyword_timestamp_token3,
    STATE(7102), 2,
      sym_comment,
      sym_marginalia,
  [366049] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11527), 1,
      sym__natural_number,
    STATE(7103), 2,
      sym_comment,
      sym_marginalia,
  [366063] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11529), 1,
      sym__natural_number,
    STATE(7104), 2,
      sym_comment,
      sym_marginalia,
  [366077] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11531), 1,
      sym__natural_number,
    STATE(7105), 2,
      sym_comment,
      sym_marginalia,
  [366091] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11533), 1,
      anon_sym_DOT,
    STATE(7106), 2,
      sym_comment,
      sym_marginalia,
  [366105] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11535), 1,
      sym__natural_number,
    STATE(7107), 2,
      sym_comment,
      sym_marginalia,
  [366119] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11537), 1,
      anon_sym_LBRACK,
    STATE(7108), 2,
      sym_comment,
      sym_marginalia,
  [366133] = 4,
    ACTIONS(9823), 1,
      anon_sym_DASH_DASH,
    ACTIONS(9825), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11539), 1,
      aux_sym__literal_string_token1,
    STATE(7109), 2,
      sym_comment,
      sym_marginalia,
  [366147] = 4,
    ACTIONS(9823), 1,
      anon_sym_DASH_DASH,
    ACTIONS(9825), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11541), 1,
      aux_sym__double_quote_string_token1,
    STATE(7110), 2,
      sym_comment,
      sym_marginalia,
  [366161] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11543), 1,
      sym__identifier,
    STATE(7111), 2,
      sym_comment,
      sym_marginalia,
  [366175] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11545), 1,
      anon_sym_RPAREN,
    STATE(7112), 2,
      sym_comment,
      sym_marginalia,
  [366189] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11547), 1,
      anon_sym_DOT,
    STATE(7113), 2,
      sym_comment,
      sym_marginalia,
  [366203] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11549), 1,
      sym__natural_number,
    STATE(7114), 2,
      sym_comment,
      sym_marginalia,
  [366217] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11551), 1,
      sym__natural_number,
    STATE(7115), 2,
      sym_comment,
      sym_marginalia,
  [366231] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11553), 1,
      anon_sym_RPAREN,
    STATE(7116), 2,
      sym_comment,
      sym_marginalia,
  [366245] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11555), 1,
      anon_sym_RPAREN,
    STATE(7117), 2,
      sym_comment,
      sym_marginalia,
  [366259] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11557), 1,
      anon_sym_DOT,
    STATE(7118), 2,
      sym_comment,
      sym_marginalia,
  [366273] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11559), 1,
      sym__natural_number,
    STATE(7119), 2,
      sym_comment,
      sym_marginalia,
  [366287] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11561), 1,
      sym__natural_number,
    STATE(7120), 2,
      sym_comment,
      sym_marginalia,
  [366301] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11563), 1,
      sym__natural_number,
    STATE(7121), 2,
      sym_comment,
      sym_marginalia,
  [366315] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11565), 1,
      aux_sym_keyword_timestamp_token3,
    STATE(7122), 2,
      sym_comment,
      sym_marginalia,
  [366329] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11567), 1,
      aux_sym_keyword_timestamp_token3,
    STATE(7123), 2,
      sym_comment,
      sym_marginalia,
  [366343] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11569), 1,
      sym__natural_number,
    STATE(7124), 2,
      sym_comment,
      sym_marginalia,
  [366357] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11571), 1,
      sym__natural_number,
    STATE(7125), 2,
      sym_comment,
      sym_marginalia,
  [366371] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11573), 1,
      sym__natural_number,
    STATE(7126), 2,
      sym_comment,
      sym_marginalia,
  [366385] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11575), 1,
      sym__natural_number,
    STATE(7127), 2,
      sym_comment,
      sym_marginalia,
  [366399] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11577), 1,
      sym__natural_number,
    STATE(7128), 2,
      sym_comment,
      sym_marginalia,
  [366413] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11579), 1,
      sym__natural_number,
    STATE(7129), 2,
      sym_comment,
      sym_marginalia,
  [366427] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11581), 1,
      sym__natural_number,
    STATE(7130), 2,
      sym_comment,
      sym_marginalia,
  [366441] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11583), 1,
      sym__natural_number,
    STATE(7131), 2,
      sym_comment,
      sym_marginalia,
  [366455] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11585), 1,
      sym__natural_number,
    STATE(7132), 2,
      sym_comment,
      sym_marginalia,
  [366469] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11587), 1,
      sym__natural_number,
    STATE(7133), 2,
      sym_comment,
      sym_marginalia,
  [366483] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11589), 1,
      sym__natural_number,
    STATE(7134), 2,
      sym_comment,
      sym_marginalia,
  [366497] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11591), 1,
      sym__natural_number,
    STATE(7135), 2,
      sym_comment,
      sym_marginalia,
  [366511] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11593), 1,
      sym__natural_number,
    STATE(7136), 2,
      sym_comment,
      sym_marginalia,
  [366525] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11595), 1,
      sym__natural_number,
    STATE(7137), 2,
      sym_comment,
      sym_marginalia,
  [366539] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11597), 1,
      sym__natural_number,
    STATE(7138), 2,
      sym_comment,
      sym_marginalia,
  [366553] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11599), 1,
      sym__natural_number,
    STATE(7139), 2,
      sym_comment,
      sym_marginalia,
  [366567] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11601), 1,
      sym__natural_number,
    STATE(7140), 2,
      sym_comment,
      sym_marginalia,
  [366581] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11603), 1,
      sym__natural_number,
    STATE(7141), 2,
      sym_comment,
      sym_marginalia,
  [366595] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11605), 1,
      sym__natural_number,
    STATE(7142), 2,
      sym_comment,
      sym_marginalia,
  [366609] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11607), 1,
      sym__natural_number,
    STATE(7143), 2,
      sym_comment,
      sym_marginalia,
  [366623] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11609), 1,
      sym__natural_number,
    STATE(7144), 2,
      sym_comment,
      sym_marginalia,
  [366637] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11611), 1,
      sym__natural_number,
    STATE(7145), 2,
      sym_comment,
      sym_marginalia,
  [366651] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11613), 1,
      sym__natural_number,
    STATE(7146), 2,
      sym_comment,
      sym_marginalia,
  [366665] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11615), 1,
      sym__natural_number,
    STATE(7147), 2,
      sym_comment,
      sym_marginalia,
  [366679] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11617), 1,
      anon_sym_LBRACK,
    STATE(7148), 2,
      sym_comment,
      sym_marginalia,
  [366693] = 4,
    ACTIONS(9823), 1,
      anon_sym_DASH_DASH,
    ACTIONS(9825), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11619), 1,
      aux_sym__literal_string_token1,
    STATE(7149), 2,
      sym_comment,
      sym_marginalia,
  [366707] = 4,
    ACTIONS(9823), 1,
      anon_sym_DASH_DASH,
    ACTIONS(9825), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11621), 1,
      aux_sym__double_quote_string_token1,
    STATE(7150), 2,
      sym_comment,
      sym_marginalia,
  [366721] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11623), 1,
      sym__identifier,
    STATE(7151), 2,
      sym_comment,
      sym_marginalia,
  [366735] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11625), 1,
      anon_sym_RPAREN,
    STATE(7152), 2,
      sym_comment,
      sym_marginalia,
  [366749] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11627), 1,
      anon_sym_RPAREN,
    STATE(7153), 2,
      sym_comment,
      sym_marginalia,
  [366763] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11629), 1,
      anon_sym_DOT,
    STATE(7154), 2,
      sym_comment,
      sym_marginalia,
  [366777] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11631), 1,
      anon_sym_RPAREN,
    STATE(7155), 2,
      sym_comment,
      sym_marginalia,
  [366791] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11633), 1,
      anon_sym_RPAREN,
    STATE(7156), 2,
      sym_comment,
      sym_marginalia,
  [366805] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11635), 1,
      sym__natural_number,
    STATE(7157), 2,
      sym_comment,
      sym_marginalia,
  [366819] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11637), 1,
      anon_sym_RPAREN,
    STATE(7158), 2,
      sym_comment,
      sym_marginalia,
  [366833] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11639), 1,
      anon_sym_DOT,
    STATE(7159), 2,
      sym_comment,
      sym_marginalia,
  [366847] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11641), 1,
      sym__natural_number,
    STATE(7160), 2,
      sym_comment,
      sym_marginalia,
  [366861] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11643), 1,
      sym__natural_number,
    STATE(7161), 2,
      sym_comment,
      sym_marginalia,
  [366875] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11645), 1,
      sym__natural_number,
    STATE(7162), 2,
      sym_comment,
      sym_marginalia,
  [366889] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11647), 1,
      aux_sym_keyword_timestamp_token3,
    STATE(7163), 2,
      sym_comment,
      sym_marginalia,
  [366903] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11649), 1,
      aux_sym_keyword_timestamp_token3,
    STATE(7164), 2,
      sym_comment,
      sym_marginalia,
  [366917] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11651), 1,
      sym__natural_number,
    STATE(7165), 2,
      sym_comment,
      sym_marginalia,
  [366931] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11653), 1,
      sym__natural_number,
    STATE(7166), 2,
      sym_comment,
      sym_marginalia,
  [366945] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11655), 1,
      sym__natural_number,
    STATE(7167), 2,
      sym_comment,
      sym_marginalia,
  [366959] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11657), 1,
      sym__natural_number,
    STATE(7168), 2,
      sym_comment,
      sym_marginalia,
  [366973] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11659), 1,
      sym__natural_number,
    STATE(7169), 2,
      sym_comment,
      sym_marginalia,
  [366987] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11661), 1,
      sym__natural_number,
    STATE(7170), 2,
      sym_comment,
      sym_marginalia,
  [367001] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11663), 1,
      sym__natural_number,
    STATE(7171), 2,
      sym_comment,
      sym_marginalia,
  [367015] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11665), 1,
      anon_sym_RPAREN,
    STATE(7172), 2,
      sym_comment,
      sym_marginalia,
  [367029] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11667), 1,
      sym__natural_number,
    STATE(7173), 2,
      sym_comment,
      sym_marginalia,
  [367043] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11669), 1,
      sym__natural_number,
    STATE(7174), 2,
      sym_comment,
      sym_marginalia,
  [367057] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11671), 1,
      sym__natural_number,
    STATE(7175), 2,
      sym_comment,
      sym_marginalia,
  [367071] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11673), 1,
      sym__natural_number,
    STATE(7176), 2,
      sym_comment,
      sym_marginalia,
  [367085] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11675), 1,
      sym__natural_number,
    STATE(7177), 2,
      sym_comment,
      sym_marginalia,
  [367099] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11677), 1,
      anon_sym_RPAREN,
    STATE(7178), 2,
      sym_comment,
      sym_marginalia,
  [367113] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11679), 1,
      sym__natural_number,
    STATE(7179), 2,
      sym_comment,
      sym_marginalia,
  [367127] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11681), 1,
      sym__natural_number,
    STATE(7180), 2,
      sym_comment,
      sym_marginalia,
  [367141] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11683), 1,
      sym__natural_number,
    STATE(7181), 2,
      sym_comment,
      sym_marginalia,
  [367155] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11685), 1,
      sym__natural_number,
    STATE(7182), 2,
      sym_comment,
      sym_marginalia,
  [367169] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11687), 1,
      anon_sym_RPAREN,
    STATE(7183), 2,
      sym_comment,
      sym_marginalia,
  [367183] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11689), 1,
      sym__natural_number,
    STATE(7184), 2,
      sym_comment,
      sym_marginalia,
  [367197] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11691), 1,
      sym__natural_number,
    STATE(7185), 2,
      sym_comment,
      sym_marginalia,
  [367211] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11693), 1,
      sym__natural_number,
    STATE(7186), 2,
      sym_comment,
      sym_marginalia,
  [367225] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11695), 1,
      anon_sym_RPAREN,
    STATE(7187), 2,
      sym_comment,
      sym_marginalia,
  [367239] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11697), 1,
      sym__natural_number,
    STATE(7188), 2,
      sym_comment,
      sym_marginalia,
  [367253] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11699), 1,
      sym__identifier,
    STATE(7189), 2,
      sym_comment,
      sym_marginalia,
  [367267] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11701), 1,
      sym__identifier,
    STATE(7190), 2,
      sym_comment,
      sym_marginalia,
  [367281] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11703), 1,
      sym_keyword_into,
    STATE(7191), 2,
      sym_comment,
      sym_marginalia,
  [367295] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11705), 1,
      anon_sym_RPAREN,
    STATE(7192), 2,
      sym_comment,
      sym_marginalia,
  [367309] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11707), 1,
      anon_sym_LPAREN,
    STATE(7193), 2,
      sym_comment,
      sym_marginalia,
  [367323] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11709), 1,
      anon_sym_LPAREN,
    STATE(7194), 2,
      sym_comment,
      sym_marginalia,
  [367337] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11711), 1,
      anon_sym_SQUOTE,
    STATE(7195), 2,
      sym_comment,
      sym_marginalia,
  [367351] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11713), 1,
      anon_sym_LPAREN,
    STATE(7196), 2,
      sym_comment,
      sym_marginalia,
  [367365] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11715), 1,
      anon_sym_RPAREN,
    STATE(7197), 2,
      sym_comment,
      sym_marginalia,
  [367379] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11717), 1,
      sym_keyword_table,
    STATE(7198), 2,
      sym_comment,
      sym_marginalia,
  [367393] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11719), 1,
      anon_sym_RPAREN,
    STATE(7199), 2,
      sym_comment,
      sym_marginalia,
  [367407] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11721), 1,
      anon_sym_RPAREN,
    STATE(7200), 2,
      sym_comment,
      sym_marginalia,
  [367421] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11723), 1,
      anon_sym_RPAREN,
    STATE(7201), 2,
      sym_comment,
      sym_marginalia,
  [367435] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11725), 1,
      anon_sym_RPAREN,
    STATE(7202), 2,
      sym_comment,
      sym_marginalia,
  [367449] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11727), 1,
      anon_sym_RPAREN,
    STATE(7203), 2,
      sym_comment,
      sym_marginalia,
  [367463] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11729), 1,
      anon_sym_RPAREN,
    STATE(7204), 2,
      sym_comment,
      sym_marginalia,
  [367477] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11731), 1,
      aux_sym_keyword_timestamp_token4,
    STATE(7205), 2,
      sym_comment,
      sym_marginalia,
  [367491] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11733), 1,
      aux_sym_keyword_timestamp_token4,
    STATE(7206), 2,
      sym_comment,
      sym_marginalia,
  [367505] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8321), 1,
      anon_sym_RPAREN,
    STATE(7207), 2,
      sym_comment,
      sym_marginalia,
  [367519] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11735), 1,
      anon_sym_RPAREN,
    STATE(7208), 2,
      sym_comment,
      sym_marginalia,
  [367533] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11737), 1,
      anon_sym_RPAREN,
    STATE(7209), 2,
      sym_comment,
      sym_marginalia,
  [367547] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11739), 1,
      anon_sym_RPAREN,
    STATE(7210), 2,
      sym_comment,
      sym_marginalia,
  [367561] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8171), 1,
      anon_sym_RPAREN,
    STATE(7211), 2,
      sym_comment,
      sym_marginalia,
  [367575] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11741), 1,
      anon_sym_DOT,
    STATE(7212), 2,
      sym_comment,
      sym_marginalia,
  [367589] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11743), 1,
      anon_sym_RPAREN,
    STATE(7213), 2,
      sym_comment,
      sym_marginalia,
  [367603] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11745), 1,
      anon_sym_SQUOTE,
    STATE(7214), 2,
      sym_comment,
      sym_marginalia,
  [367617] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11747), 1,
      anon_sym_RPAREN,
    STATE(7215), 2,
      sym_comment,
      sym_marginalia,
  [367631] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11749), 1,
      anon_sym_BQUOTE,
    STATE(7216), 2,
      sym_comment,
      sym_marginalia,
  [367645] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11751), 1,
      anon_sym_DQUOTE,
    STATE(7217), 2,
      sym_comment,
      sym_marginalia,
  [367659] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6013), 1,
      sym__natural_number,
    STATE(7218), 2,
      sym_comment,
      sym_marginalia,
  [367673] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11753), 1,
      sym_keyword_by,
    STATE(7219), 2,
      sym_comment,
      sym_marginalia,
  [367687] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11755), 1,
      anon_sym_SQUOTE,
    STATE(7220), 2,
      sym_comment,
      sym_marginalia,
  [367701] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11757), 1,
      anon_sym_DOT,
    STATE(7221), 2,
      sym_comment,
      sym_marginalia,
  [367715] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11759), 1,
      aux_sym_parameter_token1,
    STATE(7222), 2,
      sym_comment,
      sym_marginalia,
  [367729] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11761), 1,
      anon_sym_RPAREN,
    STATE(7223), 2,
      sym_comment,
      sym_marginalia,
  [367743] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8218), 1,
      anon_sym_RPAREN,
    STATE(7224), 2,
      sym_comment,
      sym_marginalia,
  [367757] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11763), 1,
      anon_sym_RPAREN,
    STATE(7225), 2,
      sym_comment,
      sym_marginalia,
  [367771] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym_keyword_as,
    STATE(7226), 2,
      sym_comment,
      sym_marginalia,
  [367785] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11765), 1,
      anon_sym_RPAREN,
    STATE(7227), 2,
      sym_comment,
      sym_marginalia,
  [367799] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11767), 1,
      anon_sym_RPAREN,
    STATE(7228), 2,
      sym_comment,
      sym_marginalia,
  [367813] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11769), 1,
      anon_sym_RPAREN,
    STATE(7229), 2,
      sym_comment,
      sym_marginalia,
  [367827] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11771), 1,
      anon_sym_RPAREN,
    STATE(7230), 2,
      sym_comment,
      sym_marginalia,
  [367841] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11773), 1,
      anon_sym_RPAREN,
    STATE(7231), 2,
      sym_comment,
      sym_marginalia,
  [367855] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11775), 1,
      anon_sym_LPAREN,
    STATE(7232), 2,
      sym_comment,
      sym_marginalia,
  [367869] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11777), 1,
      anon_sym_RPAREN,
    STATE(7233), 2,
      sym_comment,
      sym_marginalia,
  [367883] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11779), 1,
      anon_sym_RPAREN,
    STATE(7234), 2,
      sym_comment,
      sym_marginalia,
  [367897] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11781), 1,
      sym_keyword_set,
    STATE(7235), 2,
      sym_comment,
      sym_marginalia,
  [367911] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11783), 1,
      anon_sym_RPAREN,
    STATE(7236), 2,
      sym_comment,
      sym_marginalia,
  [367925] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11785), 1,
      anon_sym_RPAREN,
    STATE(7237), 2,
      sym_comment,
      sym_marginalia,
  [367939] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11787), 1,
      anon_sym_RPAREN,
    STATE(7238), 2,
      sym_comment,
      sym_marginalia,
  [367953] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11789), 1,
      anon_sym_COMMA,
    STATE(7239), 2,
      sym_comment,
      sym_marginalia,
  [367967] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11791), 1,
      anon_sym_RPAREN,
    STATE(7240), 2,
      sym_comment,
      sym_marginalia,
  [367981] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11793), 1,
      anon_sym_RPAREN,
    STATE(7241), 2,
      sym_comment,
      sym_marginalia,
  [367995] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11795), 1,
      anon_sym_COMMA,
    STATE(7242), 2,
      sym_comment,
      sym_marginalia,
  [368009] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11797), 1,
      anon_sym_COMMA,
    STATE(7243), 2,
      sym_comment,
      sym_marginalia,
  [368023] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11799), 1,
      anon_sym_COMMA,
    STATE(7244), 2,
      sym_comment,
      sym_marginalia,
  [368037] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11801), 1,
      sym_keyword_terminated,
    STATE(7245), 2,
      sym_comment,
      sym_marginalia,
  [368051] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11803), 1,
      sym_keyword_terminated,
    STATE(7246), 2,
      sym_comment,
      sym_marginalia,
  [368065] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11805), 1,
      anon_sym_RPAREN,
    STATE(7247), 2,
      sym_comment,
      sym_marginalia,
  [368079] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11807), 1,
      sym_keyword_set,
    STATE(7248), 2,
      sym_comment,
      sym_marginalia,
  [368093] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11809), 1,
      anon_sym_RPAREN,
    STATE(7249), 2,
      sym_comment,
      sym_marginalia,
  [368107] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11811), 1,
      anon_sym_COMMA,
    STATE(7250), 2,
      sym_comment,
      sym_marginalia,
  [368121] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11813), 1,
      anon_sym_RPAREN,
    STATE(7251), 2,
      sym_comment,
      sym_marginalia,
  [368135] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11815), 1,
      anon_sym_RPAREN,
    STATE(7252), 2,
      sym_comment,
      sym_marginalia,
  [368149] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11817), 1,
      anon_sym_RPAREN,
    STATE(7253), 2,
      sym_comment,
      sym_marginalia,
  [368163] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11819), 1,
      sym_keyword_replication,
    STATE(7254), 2,
      sym_comment,
      sym_marginalia,
  [368177] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11821), 1,
      anon_sym_RPAREN,
    STATE(7255), 2,
      sym_comment,
      sym_marginalia,
  [368191] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11823), 1,
      sym_keyword_terminated,
    STATE(7256), 2,
      sym_comment,
      sym_marginalia,
  [368205] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11825), 1,
      sym_keyword_as,
    STATE(7257), 2,
      sym_comment,
      sym_marginalia,
  [368219] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11827), 1,
      anon_sym_RPAREN,
    STATE(7258), 2,
      sym_comment,
      sym_marginalia,
  [368233] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11829), 1,
      sym_keyword_terminated,
    STATE(7259), 2,
      sym_comment,
      sym_marginalia,
  [368247] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11831), 1,
      aux_sym_keyword_timestamp_token4,
    STATE(7260), 2,
      sym_comment,
      sym_marginalia,
  [368261] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11833), 1,
      aux_sym_keyword_timestamp_token4,
    STATE(7261), 2,
      sym_comment,
      sym_marginalia,
  [368275] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8339), 1,
      anon_sym_RPAREN,
    STATE(7262), 2,
      sym_comment,
      sym_marginalia,
  [368289] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11835), 1,
      anon_sym_RPAREN,
    STATE(7263), 2,
      sym_comment,
      sym_marginalia,
  [368303] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11837), 1,
      anon_sym_RPAREN,
    STATE(7264), 2,
      sym_comment,
      sym_marginalia,
  [368317] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11839), 1,
      sym_keyword_delimited,
    STATE(7265), 2,
      sym_comment,
      sym_marginalia,
  [368331] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8163), 1,
      anon_sym_RPAREN,
    STATE(7266), 2,
      sym_comment,
      sym_marginalia,
  [368345] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11841), 1,
      anon_sym_DOT,
    STATE(7267), 2,
      sym_comment,
      sym_marginalia,
  [368359] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11843), 1,
      anon_sym_LPAREN,
    STATE(7268), 2,
      sym_comment,
      sym_marginalia,
  [368373] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11845), 1,
      anon_sym_RPAREN,
    STATE(7269), 2,
      sym_comment,
      sym_marginalia,
  [368387] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11847), 1,
      anon_sym_SQUOTE,
    STATE(7270), 2,
      sym_comment,
      sym_marginalia,
  [368401] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11849), 1,
      sym_keyword_into,
    STATE(7271), 2,
      sym_comment,
      sym_marginalia,
  [368415] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11851), 1,
      anon_sym_LPAREN,
    STATE(7272), 2,
      sym_comment,
      sym_marginalia,
  [368429] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11853), 1,
      anon_sym_LPAREN,
    STATE(7273), 2,
      sym_comment,
      sym_marginalia,
  [368443] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11855), 1,
      anon_sym_SQUOTE,
    STATE(7274), 2,
      sym_comment,
      sym_marginalia,
  [368457] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11857), 1,
      anon_sym_RPAREN,
    STATE(7275), 2,
      sym_comment,
      sym_marginalia,
  [368471] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11859), 1,
      anon_sym_BQUOTE,
    STATE(7276), 2,
      sym_comment,
      sym_marginalia,
  [368485] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11861), 1,
      anon_sym_DQUOTE,
    STATE(7277), 2,
      sym_comment,
      sym_marginalia,
  [368499] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3265), 1,
      sym__natural_number,
    STATE(7278), 2,
      sym_comment,
      sym_marginalia,
  [368513] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11863), 1,
      anon_sym_SQUOTE,
    STATE(7279), 2,
      sym_comment,
      sym_marginalia,
  [368527] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11865), 1,
      anon_sym_DOT,
    STATE(7280), 2,
      sym_comment,
      sym_marginalia,
  [368541] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11867), 1,
      aux_sym_parameter_token1,
    STATE(7281), 2,
      sym_comment,
      sym_marginalia,
  [368555] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11869), 1,
      sym__natural_number,
    STATE(7282), 2,
      sym_comment,
      sym_marginalia,
  [368569] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11871), 1,
      sym_keyword_as,
    STATE(7283), 2,
      sym_comment,
      sym_marginalia,
  [368583] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11873), 1,
      sym_keyword_on,
    STATE(7284), 2,
      sym_comment,
      sym_marginalia,
  [368597] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11875), 1,
      anon_sym_RPAREN,
    STATE(7285), 2,
      sym_comment,
      sym_marginalia,
  [368611] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11877), 1,
      anon_sym_COMMA,
    STATE(7286), 2,
      sym_comment,
      sym_marginalia,
  [368625] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11879), 1,
      anon_sym_RPAREN,
    STATE(7287), 2,
      sym_comment,
      sym_marginalia,
  [368639] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11881), 1,
      anon_sym_RPAREN,
    STATE(7288), 2,
      sym_comment,
      sym_marginalia,
  [368653] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11883), 1,
      anon_sym_COMMA,
    STATE(7289), 2,
      sym_comment,
      sym_marginalia,
  [368667] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11885), 1,
      anon_sym_COMMA,
    STATE(7290), 2,
      sym_comment,
      sym_marginalia,
  [368681] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11887), 1,
      anon_sym_COMMA,
    STATE(7291), 2,
      sym_comment,
      sym_marginalia,
  [368695] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11889), 1,
      anon_sym_RPAREN,
    STATE(7292), 2,
      sym_comment,
      sym_marginalia,
  [368709] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11891), 1,
      anon_sym_RPAREN,
    STATE(7293), 2,
      sym_comment,
      sym_marginalia,
  [368723] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11893), 1,
      anon_sym_COMMA,
    STATE(7294), 2,
      sym_comment,
      sym_marginalia,
  [368737] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11895), 1,
      anon_sym_RPAREN,
    STATE(7295), 2,
      sym_comment,
      sym_marginalia,
  [368751] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11897), 1,
      anon_sym_RPAREN,
    STATE(7296), 2,
      sym_comment,
      sym_marginalia,
  [368765] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11899), 1,
      anon_sym_LPAREN,
    STATE(7297), 2,
      sym_comment,
      sym_marginalia,
  [368779] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11901), 1,
      anon_sym_LPAREN,
    STATE(7298), 2,
      sym_comment,
      sym_marginalia,
  [368793] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11903), 1,
      anon_sym_SQUOTE,
    STATE(7299), 2,
      sym_comment,
      sym_marginalia,
  [368807] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11905), 1,
      anon_sym_RPAREN,
    STATE(7300), 2,
      sym_comment,
      sym_marginalia,
  [368821] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11907), 1,
      anon_sym_RPAREN,
    STATE(7301), 2,
      sym_comment,
      sym_marginalia,
  [368835] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11909), 1,
      anon_sym_RPAREN,
    STATE(7302), 2,
      sym_comment,
      sym_marginalia,
  [368849] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11911), 1,
      anon_sym_RPAREN,
    STATE(7303), 2,
      sym_comment,
      sym_marginalia,
  [368863] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11913), 1,
      anon_sym_RPAREN,
    STATE(7304), 2,
      sym_comment,
      sym_marginalia,
  [368877] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11915), 1,
      anon_sym_RPAREN,
    STATE(7305), 2,
      sym_comment,
      sym_marginalia,
  [368891] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11917), 1,
      anon_sym_RPAREN,
    STATE(7306), 2,
      sym_comment,
      sym_marginalia,
  [368905] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11919), 1,
      anon_sym_RPAREN,
    STATE(7307), 2,
      sym_comment,
      sym_marginalia,
  [368919] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11921), 1,
      anon_sym_RPAREN,
    STATE(7308), 2,
      sym_comment,
      sym_marginalia,
  [368933] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11923), 1,
      anon_sym_RPAREN,
    STATE(7309), 2,
      sym_comment,
      sym_marginalia,
  [368947] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11925), 1,
      anon_sym_COMMA,
    STATE(7310), 2,
      sym_comment,
      sym_marginalia,
  [368961] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11927), 1,
      anon_sym_RPAREN,
    STATE(7311), 2,
      sym_comment,
      sym_marginalia,
  [368975] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11929), 1,
      anon_sym_RPAREN,
    STATE(7312), 2,
      sym_comment,
      sym_marginalia,
  [368989] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11931), 1,
      anon_sym_COMMA,
    STATE(7313), 2,
      sym_comment,
      sym_marginalia,
  [369003] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11933), 1,
      anon_sym_COMMA,
    STATE(7314), 2,
      sym_comment,
      sym_marginalia,
  [369017] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11935), 1,
      anon_sym_COMMA,
    STATE(7315), 2,
      sym_comment,
      sym_marginalia,
  [369031] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11937), 1,
      anon_sym_RPAREN,
    STATE(7316), 2,
      sym_comment,
      sym_marginalia,
  [369045] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11939), 1,
      anon_sym_RPAREN,
    STATE(7317), 2,
      sym_comment,
      sym_marginalia,
  [369059] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11941), 1,
      anon_sym_COMMA,
    STATE(7318), 2,
      sym_comment,
      sym_marginalia,
  [369073] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11943), 1,
      anon_sym_RPAREN,
    STATE(7319), 2,
      sym_comment,
      sym_marginalia,
  [369087] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11945), 1,
      aux_sym_keyword_timestamp_token4,
    STATE(7320), 2,
      sym_comment,
      sym_marginalia,
  [369101] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11947), 1,
      anon_sym_LPAREN,
    STATE(7321), 2,
      sym_comment,
      sym_marginalia,
  [369115] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11949), 1,
      anon_sym_LPAREN,
    STATE(7322), 2,
      sym_comment,
      sym_marginalia,
  [369129] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11951), 1,
      anon_sym_SQUOTE,
    STATE(7323), 2,
      sym_comment,
      sym_marginalia,
  [369143] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11953), 1,
      aux_sym_keyword_timestamp_token4,
    STATE(7324), 2,
      sym_comment,
      sym_marginalia,
  [369157] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8329), 1,
      anon_sym_RPAREN,
    STATE(7325), 2,
      sym_comment,
      sym_marginalia,
  [369171] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11955), 1,
      anon_sym_RPAREN,
    STATE(7326), 2,
      sym_comment,
      sym_marginalia,
  [369185] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11957), 1,
      anon_sym_RPAREN,
    STATE(7327), 2,
      sym_comment,
      sym_marginalia,
  [369199] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11959), 1,
      sym_keyword_set,
    STATE(7328), 2,
      sym_comment,
      sym_marginalia,
  [369213] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8161), 1,
      anon_sym_RPAREN,
    STATE(7329), 2,
      sym_comment,
      sym_marginalia,
  [369227] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11961), 1,
      anon_sym_EQ,
    STATE(7330), 2,
      sym_comment,
      sym_marginalia,
  [369241] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11963), 1,
      anon_sym_DOT,
    STATE(7331), 2,
      sym_comment,
      sym_marginalia,
  [369255] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11965), 1,
      anon_sym_RPAREN,
    STATE(7332), 2,
      sym_comment,
      sym_marginalia,
  [369269] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11967), 1,
      anon_sym_SQUOTE,
    STATE(7333), 2,
      sym_comment,
      sym_marginalia,
  [369283] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11969), 1,
      anon_sym_COMMA,
    STATE(7334), 2,
      sym_comment,
      sym_marginalia,
  [369297] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11971), 1,
      anon_sym_RPAREN,
    STATE(7335), 2,
      sym_comment,
      sym_marginalia,
  [369311] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11973), 1,
      sym_keyword_to,
    STATE(7336), 2,
      sym_comment,
      sym_marginalia,
  [369325] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11975), 1,
      anon_sym_COMMA,
    STATE(7337), 2,
      sym_comment,
      sym_marginalia,
  [369339] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11977), 1,
      anon_sym_COMMA,
    STATE(7338), 2,
      sym_comment,
      sym_marginalia,
  [369353] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11979), 1,
      anon_sym_COMMA,
    STATE(7339), 2,
      sym_comment,
      sym_marginalia,
  [369367] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11981), 1,
      anon_sym_BQUOTE,
    STATE(7340), 2,
      sym_comment,
      sym_marginalia,
  [369381] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11983), 1,
      anon_sym_DQUOTE,
    STATE(7341), 2,
      sym_comment,
      sym_marginalia,
  [369395] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11985), 1,
      anon_sym_COMMA,
    STATE(7342), 2,
      sym_comment,
      sym_marginalia,
  [369409] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3359), 1,
      sym__natural_number,
    STATE(7343), 2,
      sym_comment,
      sym_marginalia,
  [369423] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11987), 1,
      anon_sym_SQUOTE,
    STATE(7344), 2,
      sym_comment,
      sym_marginalia,
  [369437] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11989), 1,
      anon_sym_LPAREN,
    STATE(7345), 2,
      sym_comment,
      sym_marginalia,
  [369451] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11991), 1,
      anon_sym_LPAREN,
    STATE(7346), 2,
      sym_comment,
      sym_marginalia,
  [369465] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11993), 1,
      anon_sym_SQUOTE,
    STATE(7347), 2,
      sym_comment,
      sym_marginalia,
  [369479] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11995), 1,
      anon_sym_DOT,
    STATE(7348), 2,
      sym_comment,
      sym_marginalia,
  [369493] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11997), 1,
      aux_sym_parameter_token1,
    STATE(7349), 2,
      sym_comment,
      sym_marginalia,
  [369507] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11999), 1,
      sym__natural_number,
    STATE(7350), 2,
      sym_comment,
      sym_marginalia,
  [369521] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12001), 1,
      anon_sym_LPAREN,
    STATE(7351), 2,
      sym_comment,
      sym_marginalia,
  [369535] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12003), 1,
      anon_sym_RPAREN,
    STATE(7352), 2,
      sym_comment,
      sym_marginalia,
  [369549] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12005), 1,
      sym__natural_number,
    STATE(7353), 2,
      sym_comment,
      sym_marginalia,
  [369563] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12007), 1,
      anon_sym_COMMA,
    STATE(7354), 2,
      sym_comment,
      sym_marginalia,
  [369577] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12009), 1,
      anon_sym_COMMA,
    STATE(7355), 2,
      sym_comment,
      sym_marginalia,
  [369591] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12011), 1,
      anon_sym_COMMA,
    STATE(7356), 2,
      sym_comment,
      sym_marginalia,
  [369605] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12013), 1,
      anon_sym_COMMA,
    STATE(7357), 2,
      sym_comment,
      sym_marginalia,
  [369619] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12015), 1,
      anon_sym_COMMA,
    STATE(7358), 2,
      sym_comment,
      sym_marginalia,
  [369633] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12017), 1,
      anon_sym_LPAREN,
    STATE(7359), 2,
      sym_comment,
      sym_marginalia,
  [369647] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12019), 1,
      anon_sym_LPAREN,
    STATE(7360), 2,
      sym_comment,
      sym_marginalia,
  [369661] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12021), 1,
      anon_sym_SQUOTE,
    STATE(7361), 2,
      sym_comment,
      sym_marginalia,
  [369675] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12023), 1,
      anon_sym_RPAREN,
    STATE(7362), 2,
      sym_comment,
      sym_marginalia,
  [369689] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12025), 1,
      anon_sym_RPAREN,
    STATE(7363), 2,
      sym_comment,
      sym_marginalia,
  [369703] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12027), 1,
      anon_sym_RPAREN,
    STATE(7364), 2,
      sym_comment,
      sym_marginalia,
  [369717] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12029), 1,
      anon_sym_RPAREN,
    STATE(7365), 2,
      sym_comment,
      sym_marginalia,
  [369731] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12031), 1,
      anon_sym_RPAREN,
    STATE(7366), 2,
      sym_comment,
      sym_marginalia,
  [369745] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12033), 1,
      anon_sym_RPAREN,
    STATE(7367), 2,
      sym_comment,
      sym_marginalia,
  [369759] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12035), 1,
      anon_sym_COMMA,
    STATE(7368), 2,
      sym_comment,
      sym_marginalia,
  [369773] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12037), 1,
      anon_sym_COMMA,
    STATE(7369), 2,
      sym_comment,
      sym_marginalia,
  [369787] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12039), 1,
      anon_sym_COMMA,
    STATE(7370), 2,
      sym_comment,
      sym_marginalia,
  [369801] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12041), 1,
      anon_sym_COMMA,
    STATE(7371), 2,
      sym_comment,
      sym_marginalia,
  [369815] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12043), 1,
      anon_sym_COMMA,
    STATE(7372), 2,
      sym_comment,
      sym_marginalia,
  [369829] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12045), 1,
      anon_sym_LPAREN,
    STATE(7373), 2,
      sym_comment,
      sym_marginalia,
  [369843] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12047), 1,
      anon_sym_LPAREN,
    STATE(7374), 2,
      sym_comment,
      sym_marginalia,
  [369857] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12049), 1,
      anon_sym_SQUOTE,
    STATE(7375), 2,
      sym_comment,
      sym_marginalia,
  [369871] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12051), 1,
      sym_keyword_row,
    STATE(7376), 2,
      sym_comment,
      sym_marginalia,
  [369885] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12053), 1,
      anon_sym_RPAREN,
    STATE(7377), 2,
      sym_comment,
      sym_marginalia,
  [369899] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12055), 1,
      anon_sym_RPAREN,
    STATE(7378), 2,
      sym_comment,
      sym_marginalia,
  [369913] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12057), 1,
      anon_sym_RPAREN,
    STATE(7379), 2,
      sym_comment,
      sym_marginalia,
  [369927] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12059), 1,
      anon_sym_COMMA,
    STATE(7380), 2,
      sym_comment,
      sym_marginalia,
  [369941] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12061), 1,
      anon_sym_COMMA,
    STATE(7381), 2,
      sym_comment,
      sym_marginalia,
  [369955] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12063), 1,
      anon_sym_COMMA,
    STATE(7382), 2,
      sym_comment,
      sym_marginalia,
  [369969] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12065), 1,
      anon_sym_COMMA,
    STATE(7383), 2,
      sym_comment,
      sym_marginalia,
  [369983] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12067), 1,
      anon_sym_COMMA,
    STATE(7384), 2,
      sym_comment,
      sym_marginalia,
  [369997] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12069), 1,
      anon_sym_LPAREN,
    STATE(7385), 2,
      sym_comment,
      sym_marginalia,
  [370011] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12071), 1,
      anon_sym_LPAREN,
    STATE(7386), 2,
      sym_comment,
      sym_marginalia,
  [370025] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12073), 1,
      anon_sym_SQUOTE,
    STATE(7387), 2,
      sym_comment,
      sym_marginalia,
  [370039] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12075), 1,
      anon_sym_RPAREN,
    STATE(7388), 2,
      sym_comment,
      sym_marginalia,
  [370053] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12077), 1,
      anon_sym_RPAREN,
    STATE(7389), 2,
      sym_comment,
      sym_marginalia,
  [370067] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8469), 1,
      anon_sym_RPAREN,
    STATE(7390), 2,
      sym_comment,
      sym_marginalia,
  [370081] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12079), 1,
      anon_sym_RPAREN,
    STATE(7391), 2,
      sym_comment,
      sym_marginalia,
  [370095] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12081), 1,
      anon_sym_COMMA,
    STATE(7392), 2,
      sym_comment,
      sym_marginalia,
  [370109] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12083), 1,
      anon_sym_COMMA,
    STATE(7393), 2,
      sym_comment,
      sym_marginalia,
  [370123] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12085), 1,
      anon_sym_COMMA,
    STATE(7394), 2,
      sym_comment,
      sym_marginalia,
  [370137] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12087), 1,
      anon_sym_COMMA,
    STATE(7395), 2,
      sym_comment,
      sym_marginalia,
  [370151] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12089), 1,
      anon_sym_COMMA,
    STATE(7396), 2,
      sym_comment,
      sym_marginalia,
  [370165] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12091), 1,
      anon_sym_LPAREN,
    STATE(7397), 2,
      sym_comment,
      sym_marginalia,
  [370179] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12093), 1,
      anon_sym_LPAREN,
    STATE(7398), 2,
      sym_comment,
      sym_marginalia,
  [370193] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12095), 1,
      anon_sym_SQUOTE,
    STATE(7399), 2,
      sym_comment,
      sym_marginalia,
  [370207] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12097), 1,
      anon_sym_RPAREN,
    STATE(7400), 2,
      sym_comment,
      sym_marginalia,
  [370221] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12099), 1,
      anon_sym_RPAREN,
    STATE(7401), 2,
      sym_comment,
      sym_marginalia,
  [370235] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12101), 1,
      anon_sym_RPAREN,
    STATE(7402), 2,
      sym_comment,
      sym_marginalia,
  [370249] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12103), 1,
      anon_sym_RPAREN,
    STATE(7403), 2,
      sym_comment,
      sym_marginalia,
  [370263] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12105), 1,
      anon_sym_COMMA,
    STATE(7404), 2,
      sym_comment,
      sym_marginalia,
  [370277] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12107), 1,
      anon_sym_COMMA,
    STATE(7405), 2,
      sym_comment,
      sym_marginalia,
  [370291] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12109), 1,
      anon_sym_COMMA,
    STATE(7406), 2,
      sym_comment,
      sym_marginalia,
  [370305] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12111), 1,
      anon_sym_COMMA,
    STATE(7407), 2,
      sym_comment,
      sym_marginalia,
  [370319] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12113), 1,
      anon_sym_COMMA,
    STATE(7408), 2,
      sym_comment,
      sym_marginalia,
  [370333] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12115), 1,
      anon_sym_LPAREN,
    STATE(7409), 2,
      sym_comment,
      sym_marginalia,
  [370347] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12117), 1,
      anon_sym_LPAREN,
    STATE(7410), 2,
      sym_comment,
      sym_marginalia,
  [370361] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12119), 1,
      anon_sym_SQUOTE,
    STATE(7411), 2,
      sym_comment,
      sym_marginalia,
  [370375] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12121), 1,
      anon_sym_RPAREN,
    STATE(7412), 2,
      sym_comment,
      sym_marginalia,
  [370389] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12123), 1,
      anon_sym_RPAREN,
    STATE(7413), 2,
      sym_comment,
      sym_marginalia,
  [370403] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8502), 1,
      anon_sym_RPAREN,
    STATE(7414), 2,
      sym_comment,
      sym_marginalia,
  [370417] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12125), 1,
      anon_sym_RPAREN,
    STATE(7415), 2,
      sym_comment,
      sym_marginalia,
  [370431] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12127), 1,
      anon_sym_COMMA,
    STATE(7416), 2,
      sym_comment,
      sym_marginalia,
  [370445] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12129), 1,
      anon_sym_COMMA,
    STATE(7417), 2,
      sym_comment,
      sym_marginalia,
  [370459] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12131), 1,
      anon_sym_COMMA,
    STATE(7418), 2,
      sym_comment,
      sym_marginalia,
  [370473] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12133), 1,
      anon_sym_COMMA,
    STATE(7419), 2,
      sym_comment,
      sym_marginalia,
  [370487] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12135), 1,
      anon_sym_COMMA,
    STATE(7420), 2,
      sym_comment,
      sym_marginalia,
  [370501] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12137), 1,
      anon_sym_LPAREN,
    STATE(7421), 2,
      sym_comment,
      sym_marginalia,
  [370515] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12139), 1,
      anon_sym_LPAREN,
    STATE(7422), 2,
      sym_comment,
      sym_marginalia,
  [370529] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12141), 1,
      anon_sym_SQUOTE,
    STATE(7423), 2,
      sym_comment,
      sym_marginalia,
  [370543] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12143), 1,
      anon_sym_RPAREN,
    STATE(7424), 2,
      sym_comment,
      sym_marginalia,
  [370557] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12145), 1,
      anon_sym_RPAREN,
    STATE(7425), 2,
      sym_comment,
      sym_marginalia,
  [370571] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12147), 1,
      anon_sym_RPAREN,
    STATE(7426), 2,
      sym_comment,
      sym_marginalia,
  [370585] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12149), 1,
      anon_sym_RPAREN,
    STATE(7427), 2,
      sym_comment,
      sym_marginalia,
  [370599] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12151), 1,
      anon_sym_COMMA,
    STATE(7428), 2,
      sym_comment,
      sym_marginalia,
  [370613] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12153), 1,
      anon_sym_COMMA,
    STATE(7429), 2,
      sym_comment,
      sym_marginalia,
  [370627] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12155), 1,
      anon_sym_COMMA,
    STATE(7430), 2,
      sym_comment,
      sym_marginalia,
  [370641] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12157), 1,
      anon_sym_COMMA,
    STATE(7431), 2,
      sym_comment,
      sym_marginalia,
  [370655] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12159), 1,
      anon_sym_COMMA,
    STATE(7432), 2,
      sym_comment,
      sym_marginalia,
  [370669] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12161), 1,
      anon_sym_LPAREN,
    STATE(7433), 2,
      sym_comment,
      sym_marginalia,
  [370683] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12163), 1,
      anon_sym_LPAREN,
    STATE(7434), 2,
      sym_comment,
      sym_marginalia,
  [370697] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12165), 1,
      anon_sym_SQUOTE,
    STATE(7435), 2,
      sym_comment,
      sym_marginalia,
  [370711] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12167), 1,
      anon_sym_RPAREN,
    STATE(7436), 2,
      sym_comment,
      sym_marginalia,
  [370725] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12169), 1,
      anon_sym_RPAREN,
    STATE(7437), 2,
      sym_comment,
      sym_marginalia,
  [370739] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12171), 1,
      aux_sym_keyword_timestamp_token4,
    STATE(7438), 2,
      sym_comment,
      sym_marginalia,
  [370753] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12173), 1,
      aux_sym_keyword_timestamp_token4,
    STATE(7439), 2,
      sym_comment,
      sym_marginalia,
  [370767] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12175), 1,
      anon_sym_COMMA,
    STATE(7440), 2,
      sym_comment,
      sym_marginalia,
  [370781] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12177), 1,
      anon_sym_COMMA,
    STATE(7441), 2,
      sym_comment,
      sym_marginalia,
  [370795] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12179), 1,
      anon_sym_COMMA,
    STATE(7442), 2,
      sym_comment,
      sym_marginalia,
  [370809] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12181), 1,
      anon_sym_COMMA,
    STATE(7443), 2,
      sym_comment,
      sym_marginalia,
  [370823] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12183), 1,
      anon_sym_COMMA,
    STATE(7444), 2,
      sym_comment,
      sym_marginalia,
  [370837] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12185), 1,
      anon_sym_LPAREN,
    STATE(7445), 2,
      sym_comment,
      sym_marginalia,
  [370851] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12187), 1,
      anon_sym_LPAREN,
    STATE(7446), 2,
      sym_comment,
      sym_marginalia,
  [370865] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12189), 1,
      anon_sym_SQUOTE,
    STATE(7447), 2,
      sym_comment,
      sym_marginalia,
  [370879] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8433), 1,
      anon_sym_RPAREN,
    STATE(7448), 2,
      sym_comment,
      sym_marginalia,
  [370893] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12191), 1,
      anon_sym_RPAREN,
    STATE(7449), 2,
      sym_comment,
      sym_marginalia,
  [370907] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12193), 1,
      anon_sym_SQUOTE,
    STATE(7450), 2,
      sym_comment,
      sym_marginalia,
  [370921] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12195), 1,
      sym__natural_number,
    STATE(7451), 2,
      sym_comment,
      sym_marginalia,
  [370935] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12197), 1,
      anon_sym_COMMA,
    STATE(7452), 2,
      sym_comment,
      sym_marginalia,
  [370949] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12199), 1,
      anon_sym_COMMA,
    STATE(7453), 2,
      sym_comment,
      sym_marginalia,
  [370963] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12201), 1,
      anon_sym_COMMA,
    STATE(7454), 2,
      sym_comment,
      sym_marginalia,
  [370977] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12203), 1,
      anon_sym_COMMA,
    STATE(7455), 2,
      sym_comment,
      sym_marginalia,
  [370991] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12205), 1,
      anon_sym_COMMA,
    STATE(7456), 2,
      sym_comment,
      sym_marginalia,
  [371005] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12207), 1,
      anon_sym_LPAREN,
    STATE(7457), 2,
      sym_comment,
      sym_marginalia,
  [371019] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12209), 1,
      anon_sym_LPAREN,
    STATE(7458), 2,
      sym_comment,
      sym_marginalia,
  [371033] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12211), 1,
      anon_sym_SQUOTE,
    STATE(7459), 2,
      sym_comment,
      sym_marginalia,
  [371047] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12213), 1,
      sym_keyword_join,
    STATE(7460), 2,
      sym_comment,
      sym_marginalia,
  [371061] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12215), 1,
      sym__natural_number,
    STATE(7461), 2,
      sym_comment,
      sym_marginalia,
  [371075] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12217), 1,
      sym_keyword_delimited,
    STATE(7462), 2,
      sym_comment,
      sym_marginalia,
  [371089] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12219), 1,
      sym_keyword_set,
    STATE(7463), 2,
      sym_comment,
      sym_marginalia,
  [371103] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12221), 1,
      anon_sym_COMMA,
    STATE(7464), 2,
      sym_comment,
      sym_marginalia,
  [371117] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12223), 1,
      anon_sym_COMMA,
    STATE(7465), 2,
      sym_comment,
      sym_marginalia,
  [371131] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12225), 1,
      anon_sym_COMMA,
    STATE(7466), 2,
      sym_comment,
      sym_marginalia,
  [371145] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12227), 1,
      anon_sym_COMMA,
    STATE(7467), 2,
      sym_comment,
      sym_marginalia,
  [371159] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12229), 1,
      anon_sym_COMMA,
    STATE(7468), 2,
      sym_comment,
      sym_marginalia,
  [371173] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12231), 1,
      anon_sym_LPAREN,
    STATE(7469), 2,
      sym_comment,
      sym_marginalia,
  [371187] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12233), 1,
      anon_sym_LPAREN,
    STATE(7470), 2,
      sym_comment,
      sym_marginalia,
  [371201] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12235), 1,
      anon_sym_SQUOTE,
    STATE(7471), 2,
      sym_comment,
      sym_marginalia,
  [371215] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12237), 1,
      sym__natural_number,
    STATE(7472), 2,
      sym_comment,
      sym_marginalia,
  [371229] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12239), 1,
      sym__natural_number,
    STATE(7473), 2,
      sym_comment,
      sym_marginalia,
  [371243] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8199), 1,
      anon_sym_RPAREN,
    STATE(7474), 2,
      sym_comment,
      sym_marginalia,
  [371257] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12241), 1,
      anon_sym_DOT,
    STATE(7475), 2,
      sym_comment,
      sym_marginalia,
  [371271] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12243), 1,
      anon_sym_COMMA,
    STATE(7476), 2,
      sym_comment,
      sym_marginalia,
  [371285] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12245), 1,
      anon_sym_COMMA,
    STATE(7477), 2,
      sym_comment,
      sym_marginalia,
  [371299] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12247), 1,
      anon_sym_COMMA,
    STATE(7478), 2,
      sym_comment,
      sym_marginalia,
  [371313] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12249), 1,
      anon_sym_COMMA,
    STATE(7479), 2,
      sym_comment,
      sym_marginalia,
  [371327] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12251), 1,
      anon_sym_COMMA,
    STATE(7480), 2,
      sym_comment,
      sym_marginalia,
  [371341] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12253), 1,
      anon_sym_LPAREN,
    STATE(7481), 2,
      sym_comment,
      sym_marginalia,
  [371355] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12255), 1,
      anon_sym_LPAREN,
    STATE(7482), 2,
      sym_comment,
      sym_marginalia,
  [371369] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12257), 1,
      anon_sym_SQUOTE,
    STATE(7483), 2,
      sym_comment,
      sym_marginalia,
  [371383] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12259), 1,
      sym__natural_number,
    STATE(7484), 2,
      sym_comment,
      sym_marginalia,
  [371397] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12261), 1,
      anon_sym_EQ,
    STATE(7485), 2,
      sym_comment,
      sym_marginalia,
  [371411] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12263), 1,
      sym__natural_number,
    STATE(7486), 2,
      sym_comment,
      sym_marginalia,
  [371425] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12265), 1,
      anon_sym_DOT,
    STATE(7487), 2,
      sym_comment,
      sym_marginalia,
  [371439] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12267), 1,
      anon_sym_COMMA,
    STATE(7488), 2,
      sym_comment,
      sym_marginalia,
  [371453] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12269), 1,
      anon_sym_COMMA,
    STATE(7489), 2,
      sym_comment,
      sym_marginalia,
  [371467] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12271), 1,
      anon_sym_COMMA,
    STATE(7490), 2,
      sym_comment,
      sym_marginalia,
  [371481] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12273), 1,
      anon_sym_COMMA,
    STATE(7491), 2,
      sym_comment,
      sym_marginalia,
  [371495] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12275), 1,
      anon_sym_COMMA,
    STATE(7492), 2,
      sym_comment,
      sym_marginalia,
  [371509] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12277), 1,
      anon_sym_LPAREN,
    STATE(7493), 2,
      sym_comment,
      sym_marginalia,
  [371523] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12279), 1,
      anon_sym_LPAREN,
    STATE(7494), 2,
      sym_comment,
      sym_marginalia,
  [371537] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12281), 1,
      anon_sym_SQUOTE,
    STATE(7495), 2,
      sym_comment,
      sym_marginalia,
  [371551] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12283), 1,
      anon_sym_RPAREN,
    STATE(7496), 2,
      sym_comment,
      sym_marginalia,
  [371565] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12285), 1,
      anon_sym_SQUOTE,
    STATE(7497), 2,
      sym_comment,
      sym_marginalia,
  [371579] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12287), 1,
      anon_sym_RPAREN,
    STATE(7498), 2,
      sym_comment,
      sym_marginalia,
  [371593] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12289), 1,
      anon_sym_RPAREN,
    STATE(7499), 2,
      sym_comment,
      sym_marginalia,
  [371607] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12291), 1,
      anon_sym_COMMA,
    STATE(7500), 2,
      sym_comment,
      sym_marginalia,
  [371621] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12293), 1,
      anon_sym_COMMA,
    STATE(7501), 2,
      sym_comment,
      sym_marginalia,
  [371635] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12295), 1,
      anon_sym_COMMA,
    STATE(7502), 2,
      sym_comment,
      sym_marginalia,
  [371649] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12297), 1,
      anon_sym_COMMA,
    STATE(7503), 2,
      sym_comment,
      sym_marginalia,
  [371663] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12299), 1,
      anon_sym_COMMA,
    STATE(7504), 2,
      sym_comment,
      sym_marginalia,
  [371677] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12301), 1,
      anon_sym_LPAREN,
    STATE(7505), 2,
      sym_comment,
      sym_marginalia,
  [371691] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12303), 1,
      anon_sym_LPAREN,
    STATE(7506), 2,
      sym_comment,
      sym_marginalia,
  [371705] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12305), 1,
      anon_sym_SQUOTE,
    STATE(7507), 2,
      sym_comment,
      sym_marginalia,
  [371719] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12307), 1,
      sym__natural_number,
    STATE(7508), 2,
      sym_comment,
      sym_marginalia,
  [371733] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12309), 1,
      anon_sym_BQUOTE,
    STATE(7509), 2,
      sym_comment,
      sym_marginalia,
  [371747] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12311), 1,
      anon_sym_DQUOTE,
    STATE(7510), 2,
      sym_comment,
      sym_marginalia,
  [371761] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5096), 1,
      sym__natural_number,
    STATE(7511), 2,
      sym_comment,
      sym_marginalia,
  [371775] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12313), 1,
      anon_sym_COMMA,
    STATE(7512), 2,
      sym_comment,
      sym_marginalia,
  [371789] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12315), 1,
      anon_sym_COMMA,
    STATE(7513), 2,
      sym_comment,
      sym_marginalia,
  [371803] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12317), 1,
      anon_sym_COMMA,
    STATE(7514), 2,
      sym_comment,
      sym_marginalia,
  [371817] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12319), 1,
      anon_sym_COMMA,
    STATE(7515), 2,
      sym_comment,
      sym_marginalia,
  [371831] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12321), 1,
      anon_sym_COMMA,
    STATE(7516), 2,
      sym_comment,
      sym_marginalia,
  [371845] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12323), 1,
      anon_sym_RPAREN,
    STATE(7517), 2,
      sym_comment,
      sym_marginalia,
  [371859] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12325), 1,
      sym__natural_number,
    STATE(7518), 2,
      sym_comment,
      sym_marginalia,
  [371873] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12327), 1,
      sym_keyword_view,
    STATE(7519), 2,
      sym_comment,
      sym_marginalia,
  [371887] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12329), 1,
      anon_sym_DOT,
    STATE(7520), 2,
      sym_comment,
      sym_marginalia,
  [371901] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12331), 1,
      anon_sym_COMMA,
    STATE(7521), 2,
      sym_comment,
      sym_marginalia,
  [371915] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12333), 1,
      anon_sym_DOT,
    STATE(7522), 2,
      sym_comment,
      sym_marginalia,
  [371929] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12335), 1,
      anon_sym_DOT,
    STATE(7523), 2,
      sym_comment,
      sym_marginalia,
  [371943] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12337), 1,
      aux_sym_parameter_token1,
    STATE(7524), 2,
      sym_comment,
      sym_marginalia,
  [371957] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12339), 1,
      sym__natural_number,
    STATE(7525), 2,
      sym_comment,
      sym_marginalia,
  [371971] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9137), 1,
      sym_keyword_join,
    STATE(7526), 2,
      sym_comment,
      sym_marginalia,
  [371985] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12341), 1,
      sym_keyword_view,
    STATE(7527), 2,
      sym_comment,
      sym_marginalia,
  [371999] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12343), 1,
      aux_sym_keyword_timestamp_token4,
    STATE(7528), 2,
      sym_comment,
      sym_marginalia,
  [372013] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12345), 1,
      aux_sym_keyword_timestamp_token4,
    STATE(7529), 2,
      sym_comment,
      sym_marginalia,
  [372027] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12347), 1,
      sym_keyword_join,
    STATE(7530), 2,
      sym_comment,
      sym_marginalia,
  [372041] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12349), 1,
      anon_sym_EQ,
    STATE(7531), 2,
      sym_comment,
      sym_marginalia,
  [372055] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12351), 1,
      sym_keyword_by,
    STATE(7532), 2,
      sym_comment,
      sym_marginalia,
  [372069] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12353), 1,
      anon_sym_RPAREN,
    STATE(7533), 2,
      sym_comment,
      sym_marginalia,
  [372083] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12355), 1,
      anon_sym_RPAREN,
    STATE(7534), 2,
      sym_comment,
      sym_marginalia,
  [372097] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9183), 1,
      sym_keyword_join,
    STATE(7535), 2,
      sym_comment,
      sym_marginalia,
  [372111] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12357), 1,
      sym__natural_number,
    STATE(7536), 2,
      sym_comment,
      sym_marginalia,
  [372125] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12359), 1,
      anon_sym_RPAREN,
    STATE(7537), 2,
      sym_comment,
      sym_marginalia,
  [372139] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12361), 1,
      sym_keyword_join,
    STATE(7538), 2,
      sym_comment,
      sym_marginalia,
  [372153] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12363), 1,
      sym__natural_number,
    STATE(7539), 2,
      sym_comment,
      sym_marginalia,
  [372167] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12365), 1,
      sym__natural_number,
    STATE(7540), 2,
      sym_comment,
      sym_marginalia,
  [372181] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12367), 1,
      sym__natural_number,
    STATE(7541), 2,
      sym_comment,
      sym_marginalia,
  [372195] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12369), 1,
      sym_keyword_in,
    STATE(7542), 2,
      sym_comment,
      sym_marginalia,
  [372209] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12371), 1,
      sym__natural_number,
    STATE(7543), 2,
      sym_comment,
      sym_marginalia,
  [372223] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12373), 1,
      sym_keyword_by,
    STATE(7544), 2,
      sym_comment,
      sym_marginalia,
  [372237] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12375), 1,
      sym_keyword_by,
    STATE(7545), 2,
      sym_comment,
      sym_marginalia,
  [372251] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12377), 1,
      sym_keyword_by,
    STATE(7546), 2,
      sym_comment,
      sym_marginalia,
  [372265] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12379), 1,
      sym_keyword_by,
    STATE(7547), 2,
      sym_comment,
      sym_marginalia,
  [372279] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12381), 1,
      sym_keyword_by,
    STATE(7548), 2,
      sym_comment,
      sym_marginalia,
  [372293] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12383), 1,
      anon_sym_RPAREN,
    STATE(7549), 2,
      sym_comment,
      sym_marginalia,
  [372307] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12385), 1,
      anon_sym_RPAREN,
    STATE(7550), 2,
      sym_comment,
      sym_marginalia,
  [372321] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12387), 1,
      sym_keyword_as,
    STATE(7551), 2,
      sym_comment,
      sym_marginalia,
  [372335] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12389), 1,
      anon_sym_RPAREN,
    STATE(7552), 2,
      sym_comment,
      sym_marginalia,
  [372349] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12391), 1,
      anon_sym_RPAREN,
    STATE(7553), 2,
      sym_comment,
      sym_marginalia,
  [372363] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7825), 1,
      sym_keyword_as,
    STATE(7554), 2,
      sym_comment,
      sym_marginalia,
  [372377] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12393), 1,
      sym_keyword_join,
    STATE(7555), 2,
      sym_comment,
      sym_marginalia,
  [372391] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12395), 1,
      sym_keyword_in,
    STATE(7556), 2,
      sym_comment,
      sym_marginalia,
  [372405] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9123), 1,
      sym_keyword_join,
    STATE(7557), 2,
      sym_comment,
      sym_marginalia,
  [372419] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12397), 1,
      sym__natural_number,
    STATE(7558), 2,
      sym_comment,
      sym_marginalia,
  [372433] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12399), 1,
      sym_keyword_join,
    STATE(7559), 2,
      sym_comment,
      sym_marginalia,
  [372447] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12401), 1,
      sym__natural_number,
    STATE(7560), 2,
      sym_comment,
      sym_marginalia,
  [372461] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12403), 1,
      sym__natural_number,
    STATE(7561), 2,
      sym_comment,
      sym_marginalia,
  [372475] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12405), 1,
      sym__natural_number,
    STATE(7562), 2,
      sym_comment,
      sym_marginalia,
  [372489] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12407), 1,
      sym__natural_number,
    STATE(7563), 2,
      sym_comment,
      sym_marginalia,
  [372503] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8547), 1,
      anon_sym_RPAREN,
    STATE(7564), 2,
      sym_comment,
      sym_marginalia,
  [372517] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12409), 1,
      sym_keyword_on,
    STATE(7565), 2,
      sym_comment,
      sym_marginalia,
  [372531] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12411), 1,
      sym_keyword_as,
    STATE(7566), 2,
      sym_comment,
      sym_marginalia,
  [372545] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12413), 1,
      anon_sym_SEMI,
    STATE(7567), 2,
      sym_comment,
      sym_marginalia,
  [372559] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12415), 1,
      sym_keyword_join,
    STATE(7568), 2,
      sym_comment,
      sym_marginalia,
  [372573] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12417), 1,
      sym_keyword_to,
    STATE(7569), 2,
      sym_comment,
      sym_marginalia,
  [372587] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9029), 1,
      sym_keyword_join,
    STATE(7570), 2,
      sym_comment,
      sym_marginalia,
  [372601] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12419), 1,
      sym__natural_number,
    STATE(7571), 2,
      sym_comment,
      sym_marginalia,
  [372615] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12421), 1,
      sym_keyword_join,
    STATE(7572), 2,
      sym_comment,
      sym_marginalia,
  [372629] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12423), 1,
      sym__natural_number,
    STATE(7573), 2,
      sym_comment,
      sym_marginalia,
  [372643] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12425), 1,
      sym__natural_number,
    STATE(7574), 2,
      sym_comment,
      sym_marginalia,
  [372657] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12427), 1,
      sym__natural_number,
    STATE(7575), 2,
      sym_comment,
      sym_marginalia,
  [372671] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12429), 1,
      sym__natural_number,
    STATE(7576), 2,
      sym_comment,
      sym_marginalia,
  [372685] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12431), 1,
      anon_sym_COMMA,
    STATE(7577), 2,
      sym_comment,
      sym_marginalia,
  [372699] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12433), 1,
      sym_keyword_and,
    STATE(7578), 2,
      sym_comment,
      sym_marginalia,
  [372713] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12435), 1,
      anon_sym_RPAREN,
    STATE(7579), 2,
      sym_comment,
      sym_marginalia,
  [372727] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12437), 1,
      sym_keyword_others,
    STATE(7580), 2,
      sym_comment,
      sym_marginalia,
  [372741] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12439), 1,
      sym_keyword_join,
    STATE(7581), 2,
      sym_comment,
      sym_marginalia,
  [372755] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12441), 1,
      sym_keyword_row,
    STATE(7582), 2,
      sym_comment,
      sym_marginalia,
  [372769] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8983), 1,
      sym_keyword_join,
    STATE(7583), 2,
      sym_comment,
      sym_marginalia,
  [372783] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12443), 1,
      sym__natural_number,
    STATE(7584), 2,
      sym_comment,
      sym_marginalia,
  [372797] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12445), 1,
      sym_keyword_join,
    STATE(7585), 2,
      sym_comment,
      sym_marginalia,
  [372811] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12447), 1,
      sym__natural_number,
    STATE(7586), 2,
      sym_comment,
      sym_marginalia,
  [372825] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12449), 1,
      sym__natural_number,
    STATE(7587), 2,
      sym_comment,
      sym_marginalia,
  [372839] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12451), 1,
      sym__natural_number,
    STATE(7588), 2,
      sym_comment,
      sym_marginalia,
  [372853] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12453), 1,
      sym__natural_number,
    STATE(7589), 2,
      sym_comment,
      sym_marginalia,
  [372867] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12455), 1,
      anon_sym_RPAREN,
    STATE(7590), 2,
      sym_comment,
      sym_marginalia,
  [372881] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12457), 1,
      anon_sym_RPAREN,
    STATE(7591), 2,
      sym_comment,
      sym_marginalia,
  [372895] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12459), 1,
      anon_sym_COMMA,
    STATE(7592), 2,
      sym_comment,
      sym_marginalia,
  [372909] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12461), 1,
      sym__natural_number,
    STATE(7593), 2,
      sym_comment,
      sym_marginalia,
  [372923] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12463), 1,
      sym_keyword_join,
    STATE(7594), 2,
      sym_comment,
      sym_marginalia,
  [372937] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12465), 1,
      sym__natural_number,
    STATE(7595), 2,
      sym_comment,
      sym_marginalia,
  [372951] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12467), 1,
      sym__natural_number,
    STATE(7596), 2,
      sym_comment,
      sym_marginalia,
  [372965] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12469), 1,
      sym__natural_number,
    STATE(7597), 2,
      sym_comment,
      sym_marginalia,
  [372979] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12471), 1,
      sym__natural_number,
    STATE(7598), 2,
      sym_comment,
      sym_marginalia,
  [372993] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12473), 1,
      sym__natural_number,
    STATE(7599), 2,
      sym_comment,
      sym_marginalia,
  [373007] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12475), 1,
      sym_keyword_index,
    STATE(7600), 2,
      sym_comment,
      sym_marginalia,
  [373021] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12477), 1,
      sym_keyword_table,
    STATE(7601), 2,
      sym_comment,
      sym_marginalia,
  [373035] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12479), 1,
      anon_sym_COMMA,
    STATE(7602), 2,
      sym_comment,
      sym_marginalia,
  [373049] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12481), 1,
      sym_keyword_table,
    STATE(7603), 2,
      sym_comment,
      sym_marginalia,
  [373063] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12483), 1,
      sym_keyword_join,
    STATE(7604), 2,
      sym_comment,
      sym_marginalia,
  [373077] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12485), 1,
      sym__natural_number,
    STATE(7605), 2,
      sym_comment,
      sym_marginalia,
  [373091] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12487), 1,
      sym__natural_number,
    STATE(7606), 2,
      sym_comment,
      sym_marginalia,
  [373105] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12489), 1,
      sym__natural_number,
    STATE(7607), 2,
      sym_comment,
      sym_marginalia,
  [373119] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12491), 1,
      sym__natural_number,
    STATE(7608), 2,
      sym_comment,
      sym_marginalia,
  [373133] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12493), 1,
      sym__natural_number,
    STATE(7609), 2,
      sym_comment,
      sym_marginalia,
  [373147] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12495), 1,
      anon_sym_RPAREN,
    STATE(7610), 2,
      sym_comment,
      sym_marginalia,
  [373161] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12497), 1,
      sym_keyword_replace,
    STATE(7611), 2,
      sym_comment,
      sym_marginalia,
  [373175] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12499), 1,
      sym_keyword_view,
    STATE(7612), 2,
      sym_comment,
      sym_marginalia,
  [373189] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12501), 1,
      sym__natural_number,
    STATE(7613), 2,
      sym_comment,
      sym_marginalia,
  [373203] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12503), 1,
      sym__natural_number,
    STATE(7614), 2,
      sym_comment,
      sym_marginalia,
  [373217] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12505), 1,
      sym__natural_number,
    STATE(7615), 2,
      sym_comment,
      sym_marginalia,
  [373231] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12507), 1,
      sym__natural_number,
    STATE(7616), 2,
      sym_comment,
      sym_marginalia,
  [373245] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12509), 1,
      sym__natural_number,
    STATE(7617), 2,
      sym_comment,
      sym_marginalia,
  [373259] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12511), 1,
      anon_sym_RPAREN,
    STATE(7618), 2,
      sym_comment,
      sym_marginalia,
  [373273] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12513), 1,
      anon_sym_RPAREN,
    STATE(7619), 2,
      sym_comment,
      sym_marginalia,
  [373287] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12515), 1,
      anon_sym_RPAREN,
    STATE(7620), 2,
      sym_comment,
      sym_marginalia,
  [373301] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12517), 1,
      sym__natural_number,
    STATE(7621), 2,
      sym_comment,
      sym_marginalia,
  [373315] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12519), 1,
      sym__natural_number,
    STATE(7622), 2,
      sym_comment,
      sym_marginalia,
  [373329] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12521), 1,
      sym__natural_number,
    STATE(7623), 2,
      sym_comment,
      sym_marginalia,
  [373343] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12523), 1,
      sym__natural_number,
    STATE(7624), 2,
      sym_comment,
      sym_marginalia,
  [373357] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12525), 1,
      sym__natural_number,
    STATE(7625), 2,
      sym_comment,
      sym_marginalia,
  [373371] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12527), 1,
      anon_sym_RPAREN,
    STATE(7626), 2,
      sym_comment,
      sym_marginalia,
  [373385] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12529), 1,
      sym__natural_number,
    STATE(7627), 2,
      sym_comment,
      sym_marginalia,
  [373399] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12531), 1,
      sym__natural_number,
    STATE(7628), 2,
      sym_comment,
      sym_marginalia,
  [373413] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12533), 1,
      sym__natural_number,
    STATE(7629), 2,
      sym_comment,
      sym_marginalia,
  [373427] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12535), 1,
      sym__natural_number,
    STATE(7630), 2,
      sym_comment,
      sym_marginalia,
  [373441] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12537), 1,
      sym__natural_number,
    STATE(7631), 2,
      sym_comment,
      sym_marginalia,
  [373455] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12539), 1,
      sym__natural_number,
    STATE(7632), 2,
      sym_comment,
      sym_marginalia,
  [373469] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12541), 1,
      sym__natural_number,
    STATE(7633), 2,
      sym_comment,
      sym_marginalia,
  [373483] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12543), 1,
      sym__natural_number,
    STATE(7634), 2,
      sym_comment,
      sym_marginalia,
  [373497] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12545), 1,
      sym_keyword_from,
    STATE(7635), 2,
      sym_comment,
      sym_marginalia,
  [373511] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12547), 1,
      sym_keyword_index,
    STATE(7636), 2,
      sym_comment,
      sym_marginalia,
  [373525] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12549), 1,
      sym__natural_number,
    STATE(7637), 2,
      sym_comment,
      sym_marginalia,
  [373539] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12551), 1,
      sym__natural_number,
    STATE(7638), 2,
      sym_comment,
      sym_marginalia,
  [373553] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12553), 1,
      sym__natural_number,
    STATE(7639), 2,
      sym_comment,
      sym_marginalia,
  [373567] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12555), 1,
      sym__natural_number,
    STATE(7640), 2,
      sym_comment,
      sym_marginalia,
  [373581] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12557), 1,
      sym__natural_number,
    STATE(7641), 2,
      sym_comment,
      sym_marginalia,
  [373595] = 4,
    ACTIONS(9823), 1,
      anon_sym_DASH_DASH,
    ACTIONS(9825), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12559), 1,
      aux_sym_comment_token1,
    STATE(7642), 2,
      sym_comment,
      sym_marginalia,
  [373609] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12561), 1,
      sym_keyword_null,
    STATE(7643), 2,
      sym_comment,
      sym_marginalia,
  [373623] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12563), 1,
      sym__natural_number,
    STATE(7644), 2,
      sym_comment,
      sym_marginalia,
  [373637] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12565), 1,
      sym__natural_number,
    STATE(7645), 2,
      sym_comment,
      sym_marginalia,
  [373651] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12567), 1,
      sym__natural_number,
    STATE(7646), 2,
      sym_comment,
      sym_marginalia,
  [373665] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12569), 1,
      sym__natural_number,
    STATE(7647), 2,
      sym_comment,
      sym_marginalia,
  [373679] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12571), 1,
      sym__natural_number,
    STATE(7648), 2,
      sym_comment,
      sym_marginalia,
  [373693] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12573), 1,
      sym__natural_number,
    STATE(7649), 2,
      sym_comment,
      sym_marginalia,
  [373707] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12575), 1,
      anon_sym_RPAREN,
    STATE(7650), 2,
      sym_comment,
      sym_marginalia,
  [373721] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12577), 1,
      sym__identifier,
    STATE(7651), 2,
      sym_comment,
      sym_marginalia,
  [373735] = 4,
    ACTIONS(9823), 1,
      anon_sym_DASH_DASH,
    ACTIONS(9825), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12579), 1,
      aux_sym__double_quote_string_token1,
    STATE(7652), 2,
      sym_comment,
      sym_marginalia,
  [373749] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12581), 1,
      sym__natural_number,
    STATE(7653), 2,
      sym_comment,
      sym_marginalia,
  [373763] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12583), 1,
      sym__natural_number,
    STATE(7654), 2,
      sym_comment,
      sym_marginalia,
  [373777] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12585), 1,
      sym__natural_number,
    STATE(7655), 2,
      sym_comment,
      sym_marginalia,
  [373791] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12587), 1,
      sym__natural_number,
    STATE(7656), 2,
      sym_comment,
      sym_marginalia,
  [373805] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12589), 1,
      sym__natural_number,
    STATE(7657), 2,
      sym_comment,
      sym_marginalia,
  [373819] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12591), 1,
      sym_keyword_terminated,
    STATE(7658), 2,
      sym_comment,
      sym_marginalia,
  [373833] = 4,
    ACTIONS(9823), 1,
      anon_sym_DASH_DASH,
    ACTIONS(9825), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12593), 1,
      aux_sym__literal_string_token1,
    STATE(7659), 2,
      sym_comment,
      sym_marginalia,
  [373847] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12595), 1,
      aux_sym_parameter_token1,
    STATE(7660), 2,
      sym_comment,
      sym_marginalia,
  [373861] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12597), 1,
      sym__natural_number,
    STATE(7661), 2,
      sym_comment,
      sym_marginalia,
  [373875] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12599), 1,
      sym__natural_number,
    STATE(7662), 2,
      sym_comment,
      sym_marginalia,
  [373889] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12601), 1,
      sym__natural_number,
    STATE(7663), 2,
      sym_comment,
      sym_marginalia,
  [373903] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12603), 1,
      sym__natural_number,
    STATE(7664), 2,
      sym_comment,
      sym_marginalia,
  [373917] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12605), 1,
      sym__natural_number,
    STATE(7665), 2,
      sym_comment,
      sym_marginalia,
  [373931] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12607), 1,
      sym_keyword_terminated,
    STATE(7666), 2,
      sym_comment,
      sym_marginalia,
  [373945] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12609), 1,
      sym__natural_number,
    STATE(7667), 2,
      sym_comment,
      sym_marginalia,
  [373959] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12611), 1,
      anon_sym_LBRACK,
    STATE(7668), 2,
      sym_comment,
      sym_marginalia,
  [373973] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12613), 1,
      sym__natural_number,
    STATE(7669), 2,
      sym_comment,
      sym_marginalia,
  [373987] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12615), 1,
      sym__natural_number,
    STATE(7670), 2,
      sym_comment,
      sym_marginalia,
  [374001] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12617), 1,
      sym__natural_number,
    STATE(7671), 2,
      sym_comment,
      sym_marginalia,
  [374015] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12619), 1,
      sym__natural_number,
    STATE(7672), 2,
      sym_comment,
      sym_marginalia,
  [374029] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12621), 1,
      sym__natural_number,
    STATE(7673), 2,
      sym_comment,
      sym_marginalia,
  [374043] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12623), 1,
      anon_sym_SQUOTE,
    STATE(7674), 2,
      sym_comment,
      sym_marginalia,
  [374057] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12625), 1,
      anon_sym_LPAREN,
    STATE(7675), 2,
      sym_comment,
      sym_marginalia,
  [374071] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12627), 1,
      anon_sym_LPAREN,
    STATE(7676), 2,
      sym_comment,
      sym_marginalia,
  [374085] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12629), 1,
      sym__natural_number,
    STATE(7677), 2,
      sym_comment,
      sym_marginalia,
  [374099] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12631), 1,
      sym__natural_number,
    STATE(7678), 2,
      sym_comment,
      sym_marginalia,
  [374113] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12633), 1,
      sym__natural_number,
    STATE(7679), 2,
      sym_comment,
      sym_marginalia,
  [374127] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12635), 1,
      sym__natural_number,
    STATE(7680), 2,
      sym_comment,
      sym_marginalia,
  [374141] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12637), 1,
      sym__natural_number,
    STATE(7681), 2,
      sym_comment,
      sym_marginalia,
  [374155] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12639), 1,
      anon_sym_LPAREN,
    STATE(7682), 2,
      sym_comment,
      sym_marginalia,
  [374169] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12641), 1,
      anon_sym_SLASH,
    STATE(7683), 2,
      sym_comment,
      sym_marginalia,
  [374183] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12643), 1,
      sym__natural_number,
    STATE(7684), 2,
      sym_comment,
      sym_marginalia,
  [374197] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12645), 1,
      sym__natural_number,
    STATE(7685), 2,
      sym_comment,
      sym_marginalia,
  [374211] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12647), 1,
      sym__natural_number,
    STATE(7686), 2,
      sym_comment,
      sym_marginalia,
  [374225] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12649), 1,
      sym__natural_number,
    STATE(7687), 2,
      sym_comment,
      sym_marginalia,
  [374239] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12651), 1,
      sym__natural_number,
    STATE(7688), 2,
      sym_comment,
      sym_marginalia,
  [374253] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12653), 1,
      sym_keyword_key,
    STATE(7689), 2,
      sym_comment,
      sym_marginalia,
  [374267] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12655), 1,
      anon_sym_RPAREN,
    STATE(7690), 2,
      sym_comment,
      sym_marginalia,
  [374281] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12657), 1,
      sym_keyword_by,
    STATE(7691), 2,
      sym_comment,
      sym_marginalia,
  [374295] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12659), 1,
      sym__natural_number,
    STATE(7692), 2,
      sym_comment,
      sym_marginalia,
  [374309] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12661), 1,
      sym__natural_number,
    STATE(7693), 2,
      sym_comment,
      sym_marginalia,
  [374323] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12663), 1,
      sym__natural_number,
    STATE(7694), 2,
      sym_comment,
      sym_marginalia,
  [374337] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12665), 1,
      sym__natural_number,
    STATE(7695), 2,
      sym_comment,
      sym_marginalia,
  [374351] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12667), 1,
      sym__natural_number,
    STATE(7696), 2,
      sym_comment,
      sym_marginalia,
  [374365] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2165), 1,
      anon_sym_LPAREN,
    STATE(7697), 2,
      sym_comment,
      sym_marginalia,
  [374379] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7821), 1,
      sym_keyword_as,
    STATE(7698), 2,
      sym_comment,
      sym_marginalia,
  [374393] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12669), 1,
      sym_keyword_null,
    STATE(7699), 2,
      sym_comment,
      sym_marginalia,
  [374407] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12671), 1,
      sym__natural_number,
    STATE(7700), 2,
      sym_comment,
      sym_marginalia,
  [374421] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12673), 1,
      sym__natural_number,
    STATE(7701), 2,
      sym_comment,
      sym_marginalia,
  [374435] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12675), 1,
      sym__natural_number,
    STATE(7702), 2,
      sym_comment,
      sym_marginalia,
  [374449] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12677), 1,
      sym__natural_number,
    STATE(7703), 2,
      sym_comment,
      sym_marginalia,
  [374463] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12679), 1,
      sym__natural_number,
    STATE(7704), 2,
      sym_comment,
      sym_marginalia,
  [374477] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12681), 1,
      sym_keyword_type,
    STATE(7705), 2,
      sym_comment,
      sym_marginalia,
  [374491] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12683), 1,
      anon_sym_LPAREN,
    STATE(7706), 2,
      sym_comment,
      sym_marginalia,
  [374505] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12685), 1,
      anon_sym_RPAREN,
    STATE(7707), 2,
      sym_comment,
      sym_marginalia,
  [374519] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12687), 1,
      sym_keyword_on,
    STATE(7708), 2,
      sym_comment,
      sym_marginalia,
  [374533] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12689), 1,
      anon_sym_RPAREN,
    STATE(7709), 2,
      sym_comment,
      sym_marginalia,
  [374547] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12691), 1,
      sym_keyword_terminated,
    STATE(7710), 2,
      sym_comment,
      sym_marginalia,
  [374561] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12693), 1,
      sym_keyword_terminated,
    STATE(7711), 2,
      sym_comment,
      sym_marginalia,
  [374575] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12695), 1,
      anon_sym_RPAREN,
    STATE(7712), 2,
      sym_comment,
      sym_marginalia,
  [374589] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12697), 1,
      sym_keyword_terminated,
    STATE(7713), 2,
      sym_comment,
      sym_marginalia,
  [374603] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12699), 1,
      sym_keyword_terminated,
    STATE(7714), 2,
      sym_comment,
      sym_marginalia,
  [374617] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12701), 1,
      anon_sym_LPAREN,
    STATE(7715), 2,
      sym_comment,
      sym_marginalia,
  [374631] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12703), 1,
      anon_sym_RPAREN,
    STATE(7716), 2,
      sym_comment,
      sym_marginalia,
  [374645] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12705), 1,
      sym__natural_number,
    STATE(7717), 2,
      sym_comment,
      sym_marginalia,
  [374659] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12707), 1,
      anon_sym_LPAREN,
    STATE(7718), 2,
      sym_comment,
      sym_marginalia,
  [374673] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12709), 1,
      anon_sym_COMMA,
    STATE(7719), 2,
      sym_comment,
      sym_marginalia,
  [374687] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12711), 1,
      sym__natural_number,
    STATE(7720), 2,
      sym_comment,
      sym_marginalia,
  [374701] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12713), 1,
      anon_sym_LPAREN,
    STATE(7721), 2,
      sym_comment,
      sym_marginalia,
  [374715] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12715), 1,
      anon_sym_RPAREN,
    STATE(7722), 2,
      sym_comment,
      sym_marginalia,
  [374729] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12717), 1,
      anon_sym_RPAREN,
    STATE(7723), 2,
      sym_comment,
      sym_marginalia,
  [374743] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12719), 1,
      anon_sym_LPAREN,
    STATE(7724), 2,
      sym_comment,
      sym_marginalia,
  [374757] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12721), 1,
      anon_sym_RPAREN,
    STATE(7725), 2,
      sym_comment,
      sym_marginalia,
  [374771] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12723), 1,
      sym__natural_number,
    STATE(7726), 2,
      sym_comment,
      sym_marginalia,
  [374785] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12725), 1,
      anon_sym_LPAREN,
    STATE(7727), 2,
      sym_comment,
      sym_marginalia,
  [374799] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12727), 1,
      anon_sym_RPAREN,
    STATE(7728), 2,
      sym_comment,
      sym_marginalia,
  [374813] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12729), 1,
      sym_keyword_by,
    STATE(7729), 2,
      sym_comment,
      sym_marginalia,
  [374827] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12731), 1,
      anon_sym_LPAREN,
    STATE(7730), 2,
      sym_comment,
      sym_marginalia,
  [374841] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9267), 1,
      sym_keyword_data,
    STATE(7731), 2,
      sym_comment,
      sym_marginalia,
  [374855] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9093), 1,
      sym_keyword_data,
    STATE(7732), 2,
      sym_comment,
      sym_marginalia,
  [374869] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12733), 1,
      anon_sym_LPAREN,
    STATE(7733), 2,
      sym_comment,
      sym_marginalia,
  [374883] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12735), 1,
      sym_keyword_null,
    STATE(7734), 2,
      sym_comment,
      sym_marginalia,
  [374897] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12737), 1,
      sym_keyword_type,
    STATE(7735), 2,
      sym_comment,
      sym_marginalia,
  [374911] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12739), 1,
      anon_sym_LPAREN,
    STATE(7736), 2,
      sym_comment,
      sym_marginalia,
  [374925] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12741), 1,
      ts_builtin_sym_end,
    STATE(7737), 2,
      sym_comment,
      sym_marginalia,
  [374939] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12743), 1,
      sym_keyword_on,
    STATE(7738), 2,
      sym_comment,
      sym_marginalia,
  [374953] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12745), 1,
      anon_sym_LPAREN,
    STATE(7739), 2,
      sym_comment,
      sym_marginalia,
  [374967] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12747), 1,
      anon_sym_RPAREN,
    STATE(7740), 2,
      sym_comment,
      sym_marginalia,
  [374981] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12749), 1,
      sym__natural_number,
    STATE(7741), 2,
      sym_comment,
      sym_marginalia,
  [374995] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12751), 1,
      anon_sym_LPAREN,
    STATE(7742), 2,
      sym_comment,
      sym_marginalia,
  [375009] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12753), 1,
      anon_sym_RPAREN,
    STATE(7743), 2,
      sym_comment,
      sym_marginalia,
  [375023] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12755), 1,
      anon_sym_RPAREN,
    STATE(7744), 2,
      sym_comment,
      sym_marginalia,
  [375037] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12757), 1,
      anon_sym_LPAREN,
    STATE(7745), 2,
      sym_comment,
      sym_marginalia,
  [375051] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12759), 1,
      sym_keyword_replication,
    STATE(7746), 2,
      sym_comment,
      sym_marginalia,
  [375065] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12761), 1,
      anon_sym_RPAREN,
    STATE(7747), 2,
      sym_comment,
      sym_marginalia,
  [375079] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12763), 1,
      anon_sym_LPAREN,
    STATE(7748), 2,
      sym_comment,
      sym_marginalia,
  [375093] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12765), 1,
      sym_keyword_by,
    STATE(7749), 2,
      sym_comment,
      sym_marginalia,
  [375107] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12767), 1,
      sym_keyword_on,
    STATE(7750), 2,
      sym_comment,
      sym_marginalia,
  [375121] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12769), 1,
      anon_sym_LPAREN,
    STATE(7751), 2,
      sym_comment,
      sym_marginalia,
  [375135] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12771), 1,
      anon_sym_RPAREN,
    STATE(7752), 2,
      sym_comment,
      sym_marginalia,
  [375149] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12773), 1,
      anon_sym_RPAREN,
    STATE(7753), 2,
      sym_comment,
      sym_marginalia,
  [375163] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12775), 1,
      anon_sym_LPAREN,
    STATE(7754), 2,
      sym_comment,
      sym_marginalia,
  [375177] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12777), 1,
      anon_sym_EQ,
    STATE(7755), 2,
      sym_comment,
      sym_marginalia,
  [375191] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12779), 1,
      sym_keyword_data,
    STATE(7756), 2,
      sym_comment,
      sym_marginalia,
  [375205] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12781), 1,
      anon_sym_LPAREN,
    STATE(7757), 2,
      sym_comment,
      sym_marginalia,
  [375219] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12783), 1,
      sym_keyword_into,
    STATE(7758), 2,
      sym_comment,
      sym_marginalia,
  [375233] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12785), 1,
      sym_keyword_on,
    STATE(7759), 2,
      sym_comment,
      sym_marginalia,
  [375247] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12787), 1,
      anon_sym_LPAREN,
    STATE(7760), 2,
      sym_comment,
      sym_marginalia,
  [375261] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12789), 1,
      sym_keyword_terminated,
    STATE(7761), 2,
      sym_comment,
      sym_marginalia,
  [375275] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12791), 1,
      sym__natural_number,
    STATE(7762), 2,
      sym_comment,
      sym_marginalia,
  [375289] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12793), 1,
      anon_sym_LPAREN,
    STATE(7763), 2,
      sym_comment,
      sym_marginalia,
  [375303] = 4,
    ACTIONS(9823), 1,
      anon_sym_DASH_DASH,
    ACTIONS(9825), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12795), 1,
      aux_sym_marginalia_token1,
    STATE(7764), 2,
      sym_comment,
      sym_marginalia,
  [375317] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12797), 1,
      sym_keyword_by,
    STATE(7765), 2,
      sym_comment,
      sym_marginalia,
  [375331] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12799), 1,
      sym_keyword_terminated,
    STATE(7766), 2,
      sym_comment,
      sym_marginalia,
  [375345] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12801), 1,
      sym_keyword_by,
    STATE(7767), 2,
      sym_comment,
      sym_marginalia,
  [375359] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12803), 1,
      sym_keyword_delimited,
    STATE(7768), 2,
      sym_comment,
      sym_marginalia,
  [375373] = 4,
    ACTIONS(3), 1,
      anon_sym_DASH_DASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12805), 1,
      sym_keyword_format,
    STATE(7769), 2,
      sym_comment,
      sym_marginalia,
  [375387] = 1,
    ACTIONS(12807), 1,
      ts_builtin_sym_end,
  [375391] = 1,
    ACTIONS(12809), 1,
      ts_builtin_sym_end,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(64)] = 0,
  [SMALL_STATE(65)] = 82,
  [SMALL_STATE(66)] = 155,
  [SMALL_STATE(67)] = 234,
  [SMALL_STATE(68)] = 307,
  [SMALL_STATE(69)] = 380,
  [SMALL_STATE(70)] = 453,
  [SMALL_STATE(71)] = 526,
  [SMALL_STATE(72)] = 599,
  [SMALL_STATE(73)] = 672,
  [SMALL_STATE(74)] = 745,
  [SMALL_STATE(75)] = 818,
  [SMALL_STATE(76)] = 897,
  [SMALL_STATE(77)] = 976,
  [SMALL_STATE(78)] = 1055,
  [SMALL_STATE(79)] = 1134,
  [SMALL_STATE(80)] = 1213,
  [SMALL_STATE(81)] = 1292,
  [SMALL_STATE(82)] = 1371,
  [SMALL_STATE(83)] = 1461,
  [SMALL_STATE(84)] = 1539,
  [SMALL_STATE(85)] = 1615,
  [SMALL_STATE(86)] = 1693,
  [SMALL_STATE(87)] = 1767,
  [SMALL_STATE(88)] = 1851,
  [SMALL_STATE(89)] = 1943,
  [SMALL_STATE(90)] = 2037,
  [SMALL_STATE(91)] = 2113,
  [SMALL_STATE(92)] = 2201,
  [SMALL_STATE(93)] = 2303,
  [SMALL_STATE(94)] = 2403,
  [SMALL_STATE(95)] = 2527,
  [SMALL_STATE(96)] = 2603,
  [SMALL_STATE(97)] = 2675,
  [SMALL_STATE(98)] = 2747,
  [SMALL_STATE(99)] = 2823,
  [SMALL_STATE(100)] = 2899,
  [SMALL_STATE(101)] = 2975,
  [SMALL_STATE(102)] = 3055,
  [SMALL_STATE(103)] = 3131,
  [SMALL_STATE(104)] = 3207,
  [SMALL_STATE(105)] = 3283,
  [SMALL_STATE(106)] = 3359,
  [SMALL_STATE(107)] = 3431,
  [SMALL_STATE(108)] = 3514,
  [SMALL_STATE(109)] = 3585,
  [SMALL_STATE(110)] = 3656,
  [SMALL_STATE(111)] = 3727,
  [SMALL_STATE(112)] = 3832,
  [SMALL_STATE(113)] = 3937,
  [SMALL_STATE(114)] = 4042,
  [SMALL_STATE(115)] = 4147,
  [SMALL_STATE(116)] = 4252,
  [SMALL_STATE(117)] = 4357,
  [SMALL_STATE(118)] = 4462,
  [SMALL_STATE(119)] = 4549,
  [SMALL_STATE(120)] = 4650,
  [SMALL_STATE(121)] = 4753,
  [SMALL_STATE(122)] = 4832,
  [SMALL_STATE(123)] = 4937,
  [SMALL_STATE(124)] = 5026,
  [SMALL_STATE(125)] = 5131,
  [SMALL_STATE(126)] = 5236,
  [SMALL_STATE(127)] = 5341,
  [SMALL_STATE(128)] = 5446,
  [SMALL_STATE(129)] = 5523,
  [SMALL_STATE(130)] = 5616,
  [SMALL_STATE(131)] = 5711,
  [SMALL_STATE(132)] = 5788,
  [SMALL_STATE(133)] = 5911,
  [SMALL_STATE(134)] = 5986,
  [SMALL_STATE(135)] = 6059,
  [SMALL_STATE(136)] = 6132,
  [SMALL_STATE(137)] = 6205,
  [SMALL_STATE(138)] = 6278,
  [SMALL_STATE(139)] = 6351,
  [SMALL_STATE(140)] = 6422,
  [SMALL_STATE(141)] = 6495,
  [SMALL_STATE(142)] = 6568,
  [SMALL_STATE(143)] = 6641,
  [SMALL_STATE(144)] = 6714,
  [SMALL_STATE(145)] = 6787,
  [SMALL_STATE(146)] = 6860,
  [SMALL_STATE(147)] = 6933,
  [SMALL_STATE(148)] = 7004,
  [SMALL_STATE(149)] = 7077,
  [SMALL_STATE(150)] = 7150,
  [SMALL_STATE(151)] = 7223,
  [SMALL_STATE(152)] = 7296,
  [SMALL_STATE(153)] = 7369,
  [SMALL_STATE(154)] = 7442,
  [SMALL_STATE(155)] = 7515,
  [SMALL_STATE(156)] = 7588,
  [SMALL_STATE(157)] = 7661,
  [SMALL_STATE(158)] = 7734,
  [SMALL_STATE(159)] = 7809,
  [SMALL_STATE(160)] = 7882,
  [SMALL_STATE(161)] = 7955,
  [SMALL_STATE(162)] = 8028,
  [SMALL_STATE(163)] = 8101,
  [SMALL_STATE(164)] = 8174,
  [SMALL_STATE(165)] = 8247,
  [SMALL_STATE(166)] = 8351,
  [SMALL_STATE(167)] = 8421,
  [SMALL_STATE(168)] = 8491,
  [SMALL_STATE(169)] = 8561,
  [SMALL_STATE(170)] = 8635,
  [SMALL_STATE(171)] = 8705,
  [SMALL_STATE(172)] = 8775,
  [SMALL_STATE(173)] = 8845,
  [SMALL_STATE(174)] = 8915,
  [SMALL_STATE(175)] = 8985,
  [SMALL_STATE(176)] = 9055,
  [SMALL_STATE(177)] = 9125,
  [SMALL_STATE(178)] = 9195,
  [SMALL_STATE(179)] = 9265,
  [SMALL_STATE(180)] = 9335,
  [SMALL_STATE(181)] = 9439,
  [SMALL_STATE(182)] = 9515,
  [SMALL_STATE(183)] = 9585,
  [SMALL_STATE(184)] = 9655,
  [SMALL_STATE(185)] = 9733,
  [SMALL_STATE(186)] = 9803,
  [SMALL_STATE(187)] = 9873,
  [SMALL_STATE(188)] = 9943,
  [SMALL_STATE(189)] = 10013,
  [SMALL_STATE(190)] = 10099,
  [SMALL_STATE(191)] = 10199,
  [SMALL_STATE(192)] = 10269,
  [SMALL_STATE(193)] = 10339,
  [SMALL_STATE(194)] = 10409,
  [SMALL_STATE(195)] = 10479,
  [SMALL_STATE(196)] = 10549,
  [SMALL_STATE(197)] = 10619,
  [SMALL_STATE(198)] = 10721,
  [SMALL_STATE(199)] = 10791,
  [SMALL_STATE(200)] = 10861,
  [SMALL_STATE(201)] = 10931,
  [SMALL_STATE(202)] = 11009,
  [SMALL_STATE(203)] = 11079,
  [SMALL_STATE(204)] = 11149,
  [SMALL_STATE(205)] = 11219,
  [SMALL_STATE(206)] = 11289,
  [SMALL_STATE(207)] = 11359,
  [SMALL_STATE(208)] = 11447,
  [SMALL_STATE(209)] = 11529,
  [SMALL_STATE(210)] = 11599,
  [SMALL_STATE(211)] = 11669,
  [SMALL_STATE(212)] = 11739,
  [SMALL_STATE(213)] = 11809,
  [SMALL_STATE(214)] = 11879,
  [SMALL_STATE(215)] = 11983,
  [SMALL_STATE(216)] = 12053,
  [SMALL_STATE(217)] = 12123,
  [SMALL_STATE(218)] = 12193,
  [SMALL_STATE(219)] = 12263,
  [SMALL_STATE(220)] = 12333,
  [SMALL_STATE(221)] = 12409,
  [SMALL_STATE(222)] = 12491,
  [SMALL_STATE(223)] = 12567,
  [SMALL_STATE(224)] = 12671,
  [SMALL_STATE(225)] = 12763,
  [SMALL_STATE(226)] = 12857,
  [SMALL_STATE(227)] = 12927,
  [SMALL_STATE(228)] = 13031,
  [SMALL_STATE(229)] = 13135,
  [SMALL_STATE(230)] = 13209,
  [SMALL_STATE(231)] = 13297,
  [SMALL_STATE(232)] = 13389,
  [SMALL_STATE(233)] = 13489,
  [SMALL_STATE(234)] = 13567,
  [SMALL_STATE(235)] = 13671,
  [SMALL_STATE(236)] = 13765,
  [SMALL_STATE(237)] = 13835,
  [SMALL_STATE(238)] = 13939,
  [SMALL_STATE(239)] = 14009,
  [SMALL_STATE(240)] = 14113,
  [SMALL_STATE(241)] = 14189,
  [SMALL_STATE(242)] = 14259,
  [SMALL_STATE(243)] = 14363,
  [SMALL_STATE(244)] = 14467,
  [SMALL_STATE(245)] = 14571,
  [SMALL_STATE(246)] = 14675,
  [SMALL_STATE(247)] = 14779,
  [SMALL_STATE(248)] = 14883,
  [SMALL_STATE(249)] = 14987,
  [SMALL_STATE(250)] = 15089,
  [SMALL_STATE(251)] = 15193,
  [SMALL_STATE(252)] = 15297,
  [SMALL_STATE(253)] = 15401,
  [SMALL_STATE(254)] = 15487,
  [SMALL_STATE(255)] = 15557,
  [SMALL_STATE(256)] = 15661,
  [SMALL_STATE(257)] = 15765,
  [SMALL_STATE(258)] = 15835,
  [SMALL_STATE(259)] = 15939,
  [SMALL_STATE(260)] = 16043,
  [SMALL_STATE(261)] = 16147,
  [SMALL_STATE(262)] = 16217,
  [SMALL_STATE(263)] = 16287,
  [SMALL_STATE(264)] = 16357,
  [SMALL_STATE(265)] = 16427,
  [SMALL_STATE(266)] = 16537,
  [SMALL_STATE(267)] = 16649,
  [SMALL_STATE(268)] = 16719,
  [SMALL_STATE(269)] = 16789,
  [SMALL_STATE(270)] = 16864,
  [SMALL_STATE(271)] = 16939,
  [SMALL_STATE(272)] = 17014,
  [SMALL_STATE(273)] = 17099,
  [SMALL_STATE(274)] = 17196,
  [SMALL_STATE(275)] = 17295,
  [SMALL_STATE(276)] = 17364,
  [SMALL_STATE(277)] = 17439,
  [SMALL_STATE(278)] = 17508,
  [SMALL_STATE(279)] = 17581,
  [SMALL_STATE(280)] = 17658,
  [SMALL_STATE(281)] = 17745,
  [SMALL_STATE(282)] = 17826,
  [SMALL_STATE(283)] = 17895,
  [SMALL_STATE(284)] = 17970,
  [SMALL_STATE(285)] = 18039,
  [SMALL_STATE(286)] = 18108,
  [SMALL_STATE(287)] = 18197,
  [SMALL_STATE(288)] = 18288,
  [SMALL_STATE(289)] = 18357,
  [SMALL_STATE(290)] = 18426,
  [SMALL_STATE(291)] = 18501,
  [SMALL_STATE(292)] = 18594,
  [SMALL_STATE(293)] = 18685,
  [SMALL_STATE(294)] = 18762,
  [SMALL_STATE(295)] = 18837,
  [SMALL_STATE(296)] = 18918,
  [SMALL_STATE(297)] = 19005,
  [SMALL_STATE(298)] = 19080,
  [SMALL_STATE(299)] = 19155,
  [SMALL_STATE(300)] = 19232,
  [SMALL_STATE(301)] = 19307,
  [SMALL_STATE(302)] = 19382,
  [SMALL_STATE(303)] = 19457,
  [SMALL_STATE(304)] = 19530,
  [SMALL_STATE(305)] = 19615,
  [SMALL_STATE(306)] = 19716,
  [SMALL_STATE(307)] = 19815,
  [SMALL_STATE(308)] = 19891,
  [SMALL_STATE(309)] = 19977,
  [SMALL_STATE(310)] = 20051,
  [SMALL_STATE(311)] = 20131,
  [SMALL_STATE(312)] = 20203,
  [SMALL_STATE(313)] = 20277,
  [SMALL_STATE(314)] = 20345,
  [SMALL_STATE(315)] = 20435,
  [SMALL_STATE(316)] = 20527,
  [SMALL_STATE(317)] = 20601,
  [SMALL_STATE(318)] = 20673,
  [SMALL_STATE(319)] = 20745,
  [SMALL_STATE(320)] = 20817,
  [SMALL_STATE(321)] = 20889,
  [SMALL_STATE(322)] = 20961,
  [SMALL_STATE(323)] = 21061,
  [SMALL_STATE(324)] = 21159,
  [SMALL_STATE(325)] = 21229,
  [SMALL_STATE(326)] = 21301,
  [SMALL_STATE(327)] = 21375,
  [SMALL_STATE(328)] = 21477,
  [SMALL_STATE(329)] = 21545,
  [SMALL_STATE(330)] = 21613,
  [SMALL_STATE(331)] = 21687,
  [SMALL_STATE(332)] = 21771,
  [SMALL_STATE(333)] = 21843,
  [SMALL_STATE(334)] = 21911,
  [SMALL_STATE(335)] = 22009,
  [SMALL_STATE(336)] = 22083,
  [SMALL_STATE(337)] = 22155,
  [SMALL_STATE(338)] = 22229,
  [SMALL_STATE(339)] = 22297,
  [SMALL_STATE(340)] = 22371,
  [SMALL_STATE(341)] = 22445,
  [SMALL_STATE(342)] = 22513,
  [SMALL_STATE(343)] = 22597,
  [SMALL_STATE(344)] = 22669,
  [SMALL_STATE(345)] = 22745,
  [SMALL_STATE(346)] = 22837,
  [SMALL_STATE(347)] = 22927,
  [SMALL_STATE(348)] = 23001,
  [SMALL_STATE(349)] = 23081,
  [SMALL_STATE(350)] = 23155,
  [SMALL_STATE(351)] = 23229,
  [SMALL_STATE(352)] = 23315,
  [SMALL_STATE(353)] = 23391,
  [SMALL_STATE(354)] = 23463,
  [SMALL_STATE(355)] = 23563,
  [SMALL_STATE(356)] = 23634,
  [SMALL_STATE(357)] = 23707,
  [SMALL_STATE(358)] = 23776,
  [SMALL_STATE(359)] = 23843,
  [SMALL_STATE(360)] = 23912,
  [SMALL_STATE(361)] = 23981,
  [SMALL_STATE(362)] = 24048,
  [SMALL_STATE(363)] = 24167,
  [SMALL_STATE(364)] = 24238,
  [SMALL_STATE(365)] = 24309,
  [SMALL_STATE(366)] = 24378,
  [SMALL_STATE(367)] = 24449,
  [SMALL_STATE(368)] = 24516,
  [SMALL_STATE(369)] = 24587,
  [SMALL_STATE(370)] = 24688,
  [SMALL_STATE(371)] = 24755,
  [SMALL_STATE(372)] = 24828,
  [SMALL_STATE(373)] = 24897,
  [SMALL_STATE(374)] = 24964,
  [SMALL_STATE(375)] = 25031,
  [SMALL_STATE(376)] = 25102,
  [SMALL_STATE(377)] = 25171,
  [SMALL_STATE(378)] = 25240,
  [SMALL_STATE(379)] = 25311,
  [SMALL_STATE(380)] = 25378,
  [SMALL_STATE(381)] = 25447,
  [SMALL_STATE(382)] = 25516,
  [SMALL_STATE(383)] = 25585,
  [SMALL_STATE(384)] = 25654,
  [SMALL_STATE(385)] = 25723,
  [SMALL_STATE(386)] = 25792,
  [SMALL_STATE(387)] = 25861,
  [SMALL_STATE(388)] = 25968,
  [SMALL_STATE(389)] = 26051,
  [SMALL_STATE(390)] = 26120,
  [SMALL_STATE(391)] = 26219,
  [SMALL_STATE(392)] = 26288,
  [SMALL_STATE(393)] = 26359,
  [SMALL_STATE(394)] = 26428,
  [SMALL_STATE(395)] = 26503,
  [SMALL_STATE(396)] = 26588,
  [SMALL_STATE(397)] = 26657,
  [SMALL_STATE(398)] = 26726,
  [SMALL_STATE(399)] = 26795,
  [SMALL_STATE(400)] = 26864,
  [SMALL_STATE(401)] = 26933,
  [SMALL_STATE(402)] = 27000,
  [SMALL_STATE(403)] = 27097,
  [SMALL_STATE(404)] = 27164,
  [SMALL_STATE(405)] = 27231,
  [SMALL_STATE(406)] = 27298,
  [SMALL_STATE(407)] = 27373,
  [SMALL_STATE(408)] = 27452,
  [SMALL_STATE(409)] = 27521,
  [SMALL_STATE(410)] = 27594,
  [SMALL_STATE(411)] = 27663,
  [SMALL_STATE(412)] = 27732,
  [SMALL_STATE(413)] = 27803,
  [SMALL_STATE(414)] = 27876,
  [SMALL_STATE(415)] = 27949,
  [SMALL_STATE(416)] = 28022,
  [SMALL_STATE(417)] = 28091,
  [SMALL_STATE(418)] = 28164,
  [SMALL_STATE(419)] = 28233,
  [SMALL_STATE(420)] = 28306,
  [SMALL_STATE(421)] = 28415,
  [SMALL_STATE(422)] = 28484,
  [SMALL_STATE(423)] = 28555,
  [SMALL_STATE(424)] = 28622,
  [SMALL_STATE(425)] = 28693,
  [SMALL_STATE(426)] = 28766,
  [SMALL_STATE(427)] = 28835,
  [SMALL_STATE(428)] = 28906,
  [SMALL_STATE(429)] = 28973,
  [SMALL_STATE(430)] = 29042,
  [SMALL_STATE(431)] = 29115,
  [SMALL_STATE(432)] = 29182,
  [SMALL_STATE(433)] = 29249,
  [SMALL_STATE(434)] = 29318,
  [SMALL_STATE(435)] = 29387,
  [SMALL_STATE(436)] = 29456,
  [SMALL_STATE(437)] = 29525,
  [SMALL_STATE(438)] = 29616,
  [SMALL_STATE(439)] = 29705,
  [SMALL_STATE(440)] = 29771,
  [SMALL_STATE(441)] = 29839,
  [SMALL_STATE(442)] = 29905,
  [SMALL_STATE(443)] = 29971,
  [SMALL_STATE(444)] = 30037,
  [SMALL_STATE(445)] = 30103,
  [SMALL_STATE(446)] = 30169,
  [SMALL_STATE(447)] = 30235,
  [SMALL_STATE(448)] = 30301,
  [SMALL_STATE(449)] = 30367,
  [SMALL_STATE(450)] = 30433,
  [SMALL_STATE(451)] = 30499,
  [SMALL_STATE(452)] = 30565,
  [SMALL_STATE(453)] = 30635,
  [SMALL_STATE(454)] = 30705,
  [SMALL_STATE(455)] = 30775,
  [SMALL_STATE(456)] = 30845,
  [SMALL_STATE(457)] = 30915,
  [SMALL_STATE(458)] = 30981,
  [SMALL_STATE(459)] = 31047,
  [SMALL_STATE(460)] = 31117,
  [SMALL_STATE(461)] = 31183,
  [SMALL_STATE(462)] = 31249,
  [SMALL_STATE(463)] = 31315,
  [SMALL_STATE(464)] = 31381,
  [SMALL_STATE(465)] = 31447,
  [SMALL_STATE(466)] = 31513,
  [SMALL_STATE(467)] = 31579,
  [SMALL_STATE(468)] = 31645,
  [SMALL_STATE(469)] = 31711,
  [SMALL_STATE(470)] = 31781,
  [SMALL_STATE(471)] = 31847,
  [SMALL_STATE(472)] = 31913,
  [SMALL_STATE(473)] = 31979,
  [SMALL_STATE(474)] = 32045,
  [SMALL_STATE(475)] = 32111,
  [SMALL_STATE(476)] = 32177,
  [SMALL_STATE(477)] = 32243,
  [SMALL_STATE(478)] = 32309,
  [SMALL_STATE(479)] = 32375,
  [SMALL_STATE(480)] = 32441,
  [SMALL_STATE(481)] = 32507,
  [SMALL_STATE(482)] = 32573,
  [SMALL_STATE(483)] = 32639,
  [SMALL_STATE(484)] = 32705,
  [SMALL_STATE(485)] = 32771,
  [SMALL_STATE(486)] = 32837,
  [SMALL_STATE(487)] = 32903,
  [SMALL_STATE(488)] = 32969,
  [SMALL_STATE(489)] = 33035,
  [SMALL_STATE(490)] = 33101,
  [SMALL_STATE(491)] = 33167,
  [SMALL_STATE(492)] = 33239,
  [SMALL_STATE(493)] = 33305,
  [SMALL_STATE(494)] = 33377,
  [SMALL_STATE(495)] = 33443,
  [SMALL_STATE(496)] = 33515,
  [SMALL_STATE(497)] = 33587,
  [SMALL_STATE(498)] = 33659,
  [SMALL_STATE(499)] = 33725,
  [SMALL_STATE(500)] = 33791,
  [SMALL_STATE(501)] = 33857,
  [SMALL_STATE(502)] = 33923,
  [SMALL_STATE(503)] = 33989,
  [SMALL_STATE(504)] = 34055,
  [SMALL_STATE(505)] = 34121,
  [SMALL_STATE(506)] = 34189,
  [SMALL_STATE(507)] = 34261,
  [SMALL_STATE(508)] = 34327,
  [SMALL_STATE(509)] = 34445,
  [SMALL_STATE(510)] = 34511,
  [SMALL_STATE(511)] = 34577,
  [SMALL_STATE(512)] = 34649,
  [SMALL_STATE(513)] = 34715,
  [SMALL_STATE(514)] = 34781,
  [SMALL_STATE(515)] = 34853,
  [SMALL_STATE(516)] = 34919,
  [SMALL_STATE(517)] = 34985,
  [SMALL_STATE(518)] = 35053,
  [SMALL_STATE(519)] = 35119,
  [SMALL_STATE(520)] = 35185,
  [SMALL_STATE(521)] = 35251,
  [SMALL_STATE(522)] = 35317,
  [SMALL_STATE(523)] = 35383,
  [SMALL_STATE(524)] = 35449,
  [SMALL_STATE(525)] = 35517,
  [SMALL_STATE(526)] = 35585,
  [SMALL_STATE(527)] = 35653,
  [SMALL_STATE(528)] = 35719,
  [SMALL_STATE(529)] = 35787,
  [SMALL_STATE(530)] = 35853,
  [SMALL_STATE(531)] = 35919,
  [SMALL_STATE(532)] = 35985,
  [SMALL_STATE(533)] = 36053,
  [SMALL_STATE(534)] = 36121,
  [SMALL_STATE(535)] = 36189,
  [SMALL_STATE(536)] = 36255,
  [SMALL_STATE(537)] = 36323,
  [SMALL_STATE(538)] = 36391,
  [SMALL_STATE(539)] = 36519,
  [SMALL_STATE(540)] = 36585,
  [SMALL_STATE(541)] = 36653,
  [SMALL_STATE(542)] = 36721,
  [SMALL_STATE(543)] = 36789,
  [SMALL_STATE(544)] = 36855,
  [SMALL_STATE(545)] = 36921,
  [SMALL_STATE(546)] = 36989,
  [SMALL_STATE(547)] = 37057,
  [SMALL_STATE(548)] = 37125,
  [SMALL_STATE(549)] = 37199,
  [SMALL_STATE(550)] = 37265,
  [SMALL_STATE(551)] = 37331,
  [SMALL_STATE(552)] = 37397,
  [SMALL_STATE(553)] = 37497,
  [SMALL_STATE(554)] = 37565,
  [SMALL_STATE(555)] = 37631,
  [SMALL_STATE(556)] = 37699,
  [SMALL_STATE(557)] = 37767,
  [SMALL_STATE(558)] = 37835,
  [SMALL_STATE(559)] = 37901,
  [SMALL_STATE(560)] = 37967,
  [SMALL_STATE(561)] = 38033,
  [SMALL_STATE(562)] = 38099,
  [SMALL_STATE(563)] = 38165,
  [SMALL_STATE(564)] = 38231,
  [SMALL_STATE(565)] = 38297,
  [SMALL_STATE(566)] = 38365,
  [SMALL_STATE(567)] = 38433,
  [SMALL_STATE(568)] = 38499,
  [SMALL_STATE(569)] = 38565,
  [SMALL_STATE(570)] = 38631,
  [SMALL_STATE(571)] = 38701,
  [SMALL_STATE(572)] = 38767,
  [SMALL_STATE(573)] = 38833,
  [SMALL_STATE(574)] = 38903,
  [SMALL_STATE(575)] = 38969,
  [SMALL_STATE(576)] = 39039,
  [SMALL_STATE(577)] = 39105,
  [SMALL_STATE(578)] = 39233,
  [SMALL_STATE(579)] = 39299,
  [SMALL_STATE(580)] = 39365,
  [SMALL_STATE(581)] = 39433,
  [SMALL_STATE(582)] = 39499,
  [SMALL_STATE(583)] = 39565,
  [SMALL_STATE(584)] = 39631,
  [SMALL_STATE(585)] = 39759,
  [SMALL_STATE(586)] = 39831,
  [SMALL_STATE(587)] = 39899,
  [SMALL_STATE(588)] = 39967,
  [SMALL_STATE(589)] = 40049,
  [SMALL_STATE(590)] = 40115,
  [SMALL_STATE(591)] = 40211,
  [SMALL_STATE(592)] = 40309,
  [SMALL_STATE(593)] = 40379,
  [SMALL_STATE(594)] = 40453,
  [SMALL_STATE(595)] = 40521,
  [SMALL_STATE(596)] = 40605,
  [SMALL_STATE(597)] = 40671,
  [SMALL_STATE(598)] = 40739,
  [SMALL_STATE(599)] = 40805,
  [SMALL_STATE(600)] = 40873,
  [SMALL_STATE(601)] = 40939,
  [SMALL_STATE(602)] = 41005,
  [SMALL_STATE(603)] = 41073,
  [SMALL_STATE(604)] = 41141,
  [SMALL_STATE(605)] = 41209,
  [SMALL_STATE(606)] = 41277,
  [SMALL_STATE(607)] = 41345,
  [SMALL_STATE(608)] = 41411,
  [SMALL_STATE(609)] = 41477,
  [SMALL_STATE(610)] = 41543,
  [SMALL_STATE(611)] = 41613,
  [SMALL_STATE(612)] = 41681,
  [SMALL_STATE(613)] = 41747,
  [SMALL_STATE(614)] = 41813,
  [SMALL_STATE(615)] = 41879,
  [SMALL_STATE(616)] = 41957,
  [SMALL_STATE(617)] = 42029,
  [SMALL_STATE(618)] = 42117,
  [SMALL_STATE(619)] = 42207,
  [SMALL_STATE(620)] = 42273,
  [SMALL_STATE(621)] = 42401,
  [SMALL_STATE(622)] = 42467,
  [SMALL_STATE(623)] = 42535,
  [SMALL_STATE(624)] = 42600,
  [SMALL_STATE(625)] = 42665,
  [SMALL_STATE(626)] = 42730,
  [SMALL_STATE(627)] = 42795,
  [SMALL_STATE(628)] = 42860,
  [SMALL_STATE(629)] = 42927,
  [SMALL_STATE(630)] = 42992,
  [SMALL_STATE(631)] = 43059,
  [SMALL_STATE(632)] = 43124,
  [SMALL_STATE(633)] = 43189,
  [SMALL_STATE(634)] = 43254,
  [SMALL_STATE(635)] = 43319,
  [SMALL_STATE(636)] = 43384,
  [SMALL_STATE(637)] = 43449,
  [SMALL_STATE(638)] = 43514,
  [SMALL_STATE(639)] = 43579,
  [SMALL_STATE(640)] = 43646,
  [SMALL_STATE(641)] = 43711,
  [SMALL_STATE(642)] = 43776,
  [SMALL_STATE(643)] = 43841,
  [SMALL_STATE(644)] = 43908,
  [SMALL_STATE(645)] = 43975,
  [SMALL_STATE(646)] = 44100,
  [SMALL_STATE(647)] = 44167,
  [SMALL_STATE(648)] = 44234,
  [SMALL_STATE(649)] = 44359,
  [SMALL_STATE(650)] = 44426,
  [SMALL_STATE(651)] = 44493,
  [SMALL_STATE(652)] = 44560,
  [SMALL_STATE(653)] = 44625,
  [SMALL_STATE(654)] = 44690,
  [SMALL_STATE(655)] = 44755,
  [SMALL_STATE(656)] = 44820,
  [SMALL_STATE(657)] = 44885,
  [SMALL_STATE(658)] = 45010,
  [SMALL_STATE(659)] = 45075,
  [SMALL_STATE(660)] = 45200,
  [SMALL_STATE(661)] = 45265,
  [SMALL_STATE(662)] = 45330,
  [SMALL_STATE(663)] = 45395,
  [SMALL_STATE(664)] = 45460,
  [SMALL_STATE(665)] = 45525,
  [SMALL_STATE(666)] = 45590,
  [SMALL_STATE(667)] = 45655,
  [SMALL_STATE(668)] = 45720,
  [SMALL_STATE(669)] = 45785,
  [SMALL_STATE(670)] = 45850,
  [SMALL_STATE(671)] = 45975,
  [SMALL_STATE(672)] = 46040,
  [SMALL_STATE(673)] = 46105,
  [SMALL_STATE(674)] = 46174,
  [SMALL_STATE(675)] = 46239,
  [SMALL_STATE(676)] = 46304,
  [SMALL_STATE(677)] = 46429,
  [SMALL_STATE(678)] = 46494,
  [SMALL_STATE(679)] = 46559,
  [SMALL_STATE(680)] = 46630,
  [SMALL_STATE(681)] = 46695,
  [SMALL_STATE(682)] = 46760,
  [SMALL_STATE(683)] = 46831,
  [SMALL_STATE(684)] = 46902,
  [SMALL_STATE(685)] = 46973,
  [SMALL_STATE(686)] = 47042,
  [SMALL_STATE(687)] = 47111,
  [SMALL_STATE(688)] = 47182,
  [SMALL_STATE(689)] = 47253,
  [SMALL_STATE(690)] = 47324,
  [SMALL_STATE(691)] = 47389,
  [SMALL_STATE(692)] = 47454,
  [SMALL_STATE(693)] = 47519,
  [SMALL_STATE(694)] = 47590,
  [SMALL_STATE(695)] = 47655,
  [SMALL_STATE(696)] = 47720,
  [SMALL_STATE(697)] = 47785,
  [SMALL_STATE(698)] = 47850,
  [SMALL_STATE(699)] = 47915,
  [SMALL_STATE(700)] = 47980,
  [SMALL_STATE(701)] = 48045,
  [SMALL_STATE(702)] = 48110,
  [SMALL_STATE(703)] = 48175,
  [SMALL_STATE(704)] = 48240,
  [SMALL_STATE(705)] = 48305,
  [SMALL_STATE(706)] = 48430,
  [SMALL_STATE(707)] = 48499,
  [SMALL_STATE(708)] = 48568,
  [SMALL_STATE(709)] = 48637,
  [SMALL_STATE(710)] = 48706,
  [SMALL_STATE(711)] = 48775,
  [SMALL_STATE(712)] = 48840,
  [SMALL_STATE(713)] = 48905,
  [SMALL_STATE(714)] = 48970,
  [SMALL_STATE(715)] = 49035,
  [SMALL_STATE(716)] = 49100,
  [SMALL_STATE(717)] = 49165,
  [SMALL_STATE(718)] = 49230,
  [SMALL_STATE(719)] = 49295,
  [SMALL_STATE(720)] = 49360,
  [SMALL_STATE(721)] = 49429,
  [SMALL_STATE(722)] = 49494,
  [SMALL_STATE(723)] = 49561,
  [SMALL_STATE(724)] = 49628,
  [SMALL_STATE(725)] = 49693,
  [SMALL_STATE(726)] = 49758,
  [SMALL_STATE(727)] = 49823,
  [SMALL_STATE(728)] = 49888,
  [SMALL_STATE(729)] = 49953,
  [SMALL_STATE(730)] = 50022,
  [SMALL_STATE(731)] = 50087,
  [SMALL_STATE(732)] = 50154,
  [SMALL_STATE(733)] = 50221,
  [SMALL_STATE(734)] = 50286,
  [SMALL_STATE(735)] = 50351,
  [SMALL_STATE(736)] = 50416,
  [SMALL_STATE(737)] = 50481,
  [SMALL_STATE(738)] = 50546,
  [SMALL_STATE(739)] = 50611,
  [SMALL_STATE(740)] = 50676,
  [SMALL_STATE(741)] = 50741,
  [SMALL_STATE(742)] = 50806,
  [SMALL_STATE(743)] = 50871,
  [SMALL_STATE(744)] = 50936,
  [SMALL_STATE(745)] = 51001,
  [SMALL_STATE(746)] = 51066,
  [SMALL_STATE(747)] = 51131,
  [SMALL_STATE(748)] = 51196,
  [SMALL_STATE(749)] = 51265,
  [SMALL_STATE(750)] = 51330,
  [SMALL_STATE(751)] = 51395,
  [SMALL_STATE(752)] = 51464,
  [SMALL_STATE(753)] = 51529,
  [SMALL_STATE(754)] = 51596,
  [SMALL_STATE(755)] = 51661,
  [SMALL_STATE(756)] = 51726,
  [SMALL_STATE(757)] = 51799,
  [SMALL_STATE(758)] = 51864,
  [SMALL_STATE(759)] = 51929,
  [SMALL_STATE(760)] = 51994,
  [SMALL_STATE(761)] = 52059,
  [SMALL_STATE(762)] = 52124,
  [SMALL_STATE(763)] = 52189,
  [SMALL_STATE(764)] = 52256,
  [SMALL_STATE(765)] = 52323,
  [SMALL_STATE(766)] = 52390,
  [SMALL_STATE(767)] = 52457,
  [SMALL_STATE(768)] = 52524,
  [SMALL_STATE(769)] = 52591,
  [SMALL_STATE(770)] = 52658,
  [SMALL_STATE(771)] = 52725,
  [SMALL_STATE(772)] = 52792,
  [SMALL_STATE(773)] = 52859,
  [SMALL_STATE(774)] = 52926,
  [SMALL_STATE(775)] = 52993,
  [SMALL_STATE(776)] = 53060,
  [SMALL_STATE(777)] = 53127,
  [SMALL_STATE(778)] = 53194,
  [SMALL_STATE(779)] = 53259,
  [SMALL_STATE(780)] = 53324,
  [SMALL_STATE(781)] = 53397,
  [SMALL_STATE(782)] = 53462,
  [SMALL_STATE(783)] = 53561,
  [SMALL_STATE(784)] = 53626,
  [SMALL_STATE(785)] = 53691,
  [SMALL_STATE(786)] = 53757,
  [SMALL_STATE(787)] = 53881,
  [SMALL_STATE(788)] = 54007,
  [SMALL_STATE(789)] = 54071,
  [SMALL_STATE(790)] = 54135,
  [SMALL_STATE(791)] = 54199,
  [SMALL_STATE(792)] = 54263,
  [SMALL_STATE(793)] = 54329,
  [SMALL_STATE(794)] = 54393,
  [SMALL_STATE(795)] = 54459,
  [SMALL_STATE(796)] = 54529,
  [SMALL_STATE(797)] = 54593,
  [SMALL_STATE(798)] = 54663,
  [SMALL_STATE(799)] = 54727,
  [SMALL_STATE(800)] = 54791,
  [SMALL_STATE(801)] = 54861,
  [SMALL_STATE(802)] = 54931,
  [SMALL_STATE(803)] = 55001,
  [SMALL_STATE(804)] = 55071,
  [SMALL_STATE(805)] = 55141,
  [SMALL_STATE(806)] = 55205,
  [SMALL_STATE(807)] = 55269,
  [SMALL_STATE(808)] = 55333,
  [SMALL_STATE(809)] = 55397,
  [SMALL_STATE(810)] = 55461,
  [SMALL_STATE(811)] = 55583,
  [SMALL_STATE(812)] = 55647,
  [SMALL_STATE(813)] = 55769,
  [SMALL_STATE(814)] = 55833,
  [SMALL_STATE(815)] = 55897,
  [SMALL_STATE(816)] = 55961,
  [SMALL_STATE(817)] = 56025,
  [SMALL_STATE(818)] = 56089,
  [SMALL_STATE(819)] = 56153,
  [SMALL_STATE(820)] = 56217,
  [SMALL_STATE(821)] = 56281,
  [SMALL_STATE(822)] = 56345,
  [SMALL_STATE(823)] = 56409,
  [SMALL_STATE(824)] = 56473,
  [SMALL_STATE(825)] = 56543,
  [SMALL_STATE(826)] = 56611,
  [SMALL_STATE(827)] = 56681,
  [SMALL_STATE(828)] = 56751,
  [SMALL_STATE(829)] = 56821,
  [SMALL_STATE(830)] = 56885,
  [SMALL_STATE(831)] = 56955,
  [SMALL_STATE(832)] = 57025,
  [SMALL_STATE(833)] = 57095,
  [SMALL_STATE(834)] = 57165,
  [SMALL_STATE(835)] = 57235,
  [SMALL_STATE(836)] = 57299,
  [SMALL_STATE(837)] = 57363,
  [SMALL_STATE(838)] = 57427,
  [SMALL_STATE(839)] = 57493,
  [SMALL_STATE(840)] = 57559,
  [SMALL_STATE(841)] = 57625,
  [SMALL_STATE(842)] = 57691,
  [SMALL_STATE(843)] = 57755,
  [SMALL_STATE(844)] = 57821,
  [SMALL_STATE(845)] = 57887,
  [SMALL_STATE(846)] = 57953,
  [SMALL_STATE(847)] = 58077,
  [SMALL_STATE(848)] = 58201,
  [SMALL_STATE(849)] = 58267,
  [SMALL_STATE(850)] = 58333,
  [SMALL_STATE(851)] = 58401,
  [SMALL_STATE(852)] = 58525,
  [SMALL_STATE(853)] = 58591,
  [SMALL_STATE(854)] = 58657,
  [SMALL_STATE(855)] = 58781,
  [SMALL_STATE(856)] = 58905,
  [SMALL_STATE(857)] = 58971,
  [SMALL_STATE(858)] = 59035,
  [SMALL_STATE(859)] = 59101,
  [SMALL_STATE(860)] = 59167,
  [SMALL_STATE(861)] = 59231,
  [SMALL_STATE(862)] = 59295,
  [SMALL_STATE(863)] = 59359,
  [SMALL_STATE(864)] = 59423,
  [SMALL_STATE(865)] = 59489,
  [SMALL_STATE(866)] = 59555,
  [SMALL_STATE(867)] = 59621,
  [SMALL_STATE(868)] = 59687,
  [SMALL_STATE(869)] = 59753,
  [SMALL_STATE(870)] = 59817,
  [SMALL_STATE(871)] = 59881,
  [SMALL_STATE(872)] = 59945,
  [SMALL_STATE(873)] = 60009,
  [SMALL_STATE(874)] = 60073,
  [SMALL_STATE(875)] = 60139,
  [SMALL_STATE(876)] = 60237,
  [SMALL_STATE(877)] = 60301,
  [SMALL_STATE(878)] = 60425,
  [SMALL_STATE(879)] = 60491,
  [SMALL_STATE(880)] = 60615,
  [SMALL_STATE(881)] = 60681,
  [SMALL_STATE(882)] = 60803,
  [SMALL_STATE(883)] = 60867,
  [SMALL_STATE(884)] = 60931,
  [SMALL_STATE(885)] = 61055,
  [SMALL_STATE(886)] = 61121,
  [SMALL_STATE(887)] = 61185,
  [SMALL_STATE(888)] = 61309,
  [SMALL_STATE(889)] = 61433,
  [SMALL_STATE(890)] = 61499,
  [SMALL_STATE(891)] = 61565,
  [SMALL_STATE(892)] = 61631,
  [SMALL_STATE(893)] = 61697,
  [SMALL_STATE(894)] = 61819,
  [SMALL_STATE(895)] = 61943,
  [SMALL_STATE(896)] = 62067,
  [SMALL_STATE(897)] = 62191,
  [SMALL_STATE(898)] = 62315,
  [SMALL_STATE(899)] = 62439,
  [SMALL_STATE(900)] = 62563,
  [SMALL_STATE(901)] = 62687,
  [SMALL_STATE(902)] = 62811,
  [SMALL_STATE(903)] = 62935,
  [SMALL_STATE(904)] = 63059,
  [SMALL_STATE(905)] = 63183,
  [SMALL_STATE(906)] = 63307,
  [SMALL_STATE(907)] = 63431,
  [SMALL_STATE(908)] = 63555,
  [SMALL_STATE(909)] = 63679,
  [SMALL_STATE(910)] = 63803,
  [SMALL_STATE(911)] = 63927,
  [SMALL_STATE(912)] = 64051,
  [SMALL_STATE(913)] = 64175,
  [SMALL_STATE(914)] = 64239,
  [SMALL_STATE(915)] = 64361,
  [SMALL_STATE(916)] = 64485,
  [SMALL_STATE(917)] = 64609,
  [SMALL_STATE(918)] = 64675,
  [SMALL_STATE(919)] = 64743,
  [SMALL_STATE(920)] = 64807,
  [SMALL_STATE(921)] = 64905,
  [SMALL_STATE(922)] = 65029,
  [SMALL_STATE(923)] = 65153,
  [SMALL_STATE(924)] = 65277,
  [SMALL_STATE(925)] = 65399,
  [SMALL_STATE(926)] = 65523,
  [SMALL_STATE(927)] = 65591,
  [SMALL_STATE(928)] = 65655,
  [SMALL_STATE(929)] = 65779,
  [SMALL_STATE(930)] = 65903,
  [SMALL_STATE(931)] = 65971,
  [SMALL_STATE(932)] = 66037,
  [SMALL_STATE(933)] = 66101,
  [SMALL_STATE(934)] = 66165,
  [SMALL_STATE(935)] = 66231,
  [SMALL_STATE(936)] = 66299,
  [SMALL_STATE(937)] = 66367,
  [SMALL_STATE(938)] = 66433,
  [SMALL_STATE(939)] = 66497,
  [SMALL_STATE(940)] = 66561,
  [SMALL_STATE(941)] = 66625,
  [SMALL_STATE(942)] = 66689,
  [SMALL_STATE(943)] = 66753,
  [SMALL_STATE(944)] = 66821,
  [SMALL_STATE(945)] = 66889,
  [SMALL_STATE(946)] = 66953,
  [SMALL_STATE(947)] = 67017,
  [SMALL_STATE(948)] = 67081,
  [SMALL_STATE(949)] = 67145,
  [SMALL_STATE(950)] = 67209,
  [SMALL_STATE(951)] = 67273,
  [SMALL_STATE(952)] = 67337,
  [SMALL_STATE(953)] = 67401,
  [SMALL_STATE(954)] = 67465,
  [SMALL_STATE(955)] = 67529,
  [SMALL_STATE(956)] = 67593,
  [SMALL_STATE(957)] = 67657,
  [SMALL_STATE(958)] = 67721,
  [SMALL_STATE(959)] = 67785,
  [SMALL_STATE(960)] = 67849,
  [SMALL_STATE(961)] = 67913,
  [SMALL_STATE(962)] = 67977,
  [SMALL_STATE(963)] = 68041,
  [SMALL_STATE(964)] = 68105,
  [SMALL_STATE(965)] = 68169,
  [SMALL_STATE(966)] = 68233,
  [SMALL_STATE(967)] = 68299,
  [SMALL_STATE(968)] = 68363,
  [SMALL_STATE(969)] = 68429,
  [SMALL_STATE(970)] = 68497,
  [SMALL_STATE(971)] = 68561,
  [SMALL_STATE(972)] = 68687,
  [SMALL_STATE(973)] = 68751,
  [SMALL_STATE(974)] = 68815,
  [SMALL_STATE(975)] = 68879,
  [SMALL_STATE(976)] = 68943,
  [SMALL_STATE(977)] = 69011,
  [SMALL_STATE(978)] = 69079,
  [SMALL_STATE(979)] = 69143,
  [SMALL_STATE(980)] = 69206,
  [SMALL_STATE(981)] = 69271,
  [SMALL_STATE(982)] = 69336,
  [SMALL_STATE(983)] = 69399,
  [SMALL_STATE(984)] = 69462,
  [SMALL_STATE(985)] = 69583,
  [SMALL_STATE(986)] = 69646,
  [SMALL_STATE(987)] = 69713,
  [SMALL_STATE(988)] = 69776,
  [SMALL_STATE(989)] = 69839,
  [SMALL_STATE(990)] = 69906,
  [SMALL_STATE(991)] = 69969,
  [SMALL_STATE(992)] = 70032,
  [SMALL_STATE(993)] = 70095,
  [SMALL_STATE(994)] = 70158,
  [SMALL_STATE(995)] = 70221,
  [SMALL_STATE(996)] = 70284,
  [SMALL_STATE(997)] = 70347,
  [SMALL_STATE(998)] = 70410,
  [SMALL_STATE(999)] = 70473,
  [SMALL_STATE(1000)] = 70536,
  [SMALL_STATE(1001)] = 70599,
  [SMALL_STATE(1002)] = 70666,
  [SMALL_STATE(1003)] = 70729,
  [SMALL_STATE(1004)] = 70794,
  [SMALL_STATE(1005)] = 70857,
  [SMALL_STATE(1006)] = 70922,
  [SMALL_STATE(1007)] = 70985,
  [SMALL_STATE(1008)] = 71048,
  [SMALL_STATE(1009)] = 71111,
  [SMALL_STATE(1010)] = 71174,
  [SMALL_STATE(1011)] = 71237,
  [SMALL_STATE(1012)] = 71300,
  [SMALL_STATE(1013)] = 71363,
  [SMALL_STATE(1014)] = 71426,
  [SMALL_STATE(1015)] = 71491,
  [SMALL_STATE(1016)] = 71554,
  [SMALL_STATE(1017)] = 71617,
  [SMALL_STATE(1018)] = 71680,
  [SMALL_STATE(1019)] = 71743,
  [SMALL_STATE(1020)] = 71806,
  [SMALL_STATE(1021)] = 71869,
  [SMALL_STATE(1022)] = 71932,
  [SMALL_STATE(1023)] = 71995,
  [SMALL_STATE(1024)] = 72058,
  [SMALL_STATE(1025)] = 72121,
  [SMALL_STATE(1026)] = 72184,
  [SMALL_STATE(1027)] = 72247,
  [SMALL_STATE(1028)] = 72310,
  [SMALL_STATE(1029)] = 72373,
  [SMALL_STATE(1030)] = 72436,
  [SMALL_STATE(1031)] = 72499,
  [SMALL_STATE(1032)] = 72562,
  [SMALL_STATE(1033)] = 72625,
  [SMALL_STATE(1034)] = 72692,
  [SMALL_STATE(1035)] = 72755,
  [SMALL_STATE(1036)] = 72818,
  [SMALL_STATE(1037)] = 72881,
  [SMALL_STATE(1038)] = 72944,
  [SMALL_STATE(1039)] = 73011,
  [SMALL_STATE(1040)] = 73074,
  [SMALL_STATE(1041)] = 73137,
  [SMALL_STATE(1042)] = 73200,
  [SMALL_STATE(1043)] = 73263,
  [SMALL_STATE(1044)] = 73326,
  [SMALL_STATE(1045)] = 73389,
  [SMALL_STATE(1046)] = 73486,
  [SMALL_STATE(1047)] = 73549,
  [SMALL_STATE(1048)] = 73612,
  [SMALL_STATE(1049)] = 73675,
  [SMALL_STATE(1050)] = 73738,
  [SMALL_STATE(1051)] = 73801,
  [SMALL_STATE(1052)] = 73868,
  [SMALL_STATE(1053)] = 73931,
  [SMALL_STATE(1054)] = 73994,
  [SMALL_STATE(1055)] = 74057,
  [SMALL_STATE(1056)] = 74120,
  [SMALL_STATE(1057)] = 74183,
  [SMALL_STATE(1058)] = 74246,
  [SMALL_STATE(1059)] = 74309,
  [SMALL_STATE(1060)] = 74372,
  [SMALL_STATE(1061)] = 74435,
  [SMALL_STATE(1062)] = 74498,
  [SMALL_STATE(1063)] = 74561,
  [SMALL_STATE(1064)] = 74624,
  [SMALL_STATE(1065)] = 74689,
  [SMALL_STATE(1066)] = 74756,
  [SMALL_STATE(1067)] = 74823,
  [SMALL_STATE(1068)] = 74890,
  [SMALL_STATE(1069)] = 74957,
  [SMALL_STATE(1070)] = 75020,
  [SMALL_STATE(1071)] = 75087,
  [SMALL_STATE(1072)] = 75150,
  [SMALL_STATE(1073)] = 75271,
  [SMALL_STATE(1074)] = 75336,
  [SMALL_STATE(1075)] = 75401,
  [SMALL_STATE(1076)] = 75466,
  [SMALL_STATE(1077)] = 75587,
  [SMALL_STATE(1078)] = 75654,
  [SMALL_STATE(1079)] = 75721,
  [SMALL_STATE(1080)] = 75788,
  [SMALL_STATE(1081)] = 75855,
  [SMALL_STATE(1082)] = 75922,
  [SMALL_STATE(1083)] = 75989,
  [SMALL_STATE(1084)] = 76060,
  [SMALL_STATE(1085)] = 76127,
  [SMALL_STATE(1086)] = 76190,
  [SMALL_STATE(1087)] = 76257,
  [SMALL_STATE(1088)] = 76324,
  [SMALL_STATE(1089)] = 76445,
  [SMALL_STATE(1090)] = 76566,
  [SMALL_STATE(1091)] = 76687,
  [SMALL_STATE(1092)] = 76808,
  [SMALL_STATE(1093)] = 76929,
  [SMALL_STATE(1094)] = 77050,
  [SMALL_STATE(1095)] = 77113,
  [SMALL_STATE(1096)] = 77178,
  [SMALL_STATE(1097)] = 77299,
  [SMALL_STATE(1098)] = 77420,
  [SMALL_STATE(1099)] = 77483,
  [SMALL_STATE(1100)] = 77604,
  [SMALL_STATE(1101)] = 77725,
  [SMALL_STATE(1102)] = 77790,
  [SMALL_STATE(1103)] = 77911,
  [SMALL_STATE(1104)] = 78032,
  [SMALL_STATE(1105)] = 78153,
  [SMALL_STATE(1106)] = 78274,
  [SMALL_STATE(1107)] = 78337,
  [SMALL_STATE(1108)] = 78400,
  [SMALL_STATE(1109)] = 78463,
  [SMALL_STATE(1110)] = 78528,
  [SMALL_STATE(1111)] = 78591,
  [SMALL_STATE(1112)] = 78654,
  [SMALL_STATE(1113)] = 78717,
  [SMALL_STATE(1114)] = 78780,
  [SMALL_STATE(1115)] = 78843,
  [SMALL_STATE(1116)] = 78906,
  [SMALL_STATE(1117)] = 78969,
  [SMALL_STATE(1118)] = 79032,
  [SMALL_STATE(1119)] = 79153,
  [SMALL_STATE(1120)] = 79216,
  [SMALL_STATE(1121)] = 79279,
  [SMALL_STATE(1122)] = 79342,
  [SMALL_STATE(1123)] = 79405,
  [SMALL_STATE(1124)] = 79468,
  [SMALL_STATE(1125)] = 79537,
  [SMALL_STATE(1126)] = 79600,
  [SMALL_STATE(1127)] = 79679,
  [SMALL_STATE(1128)] = 79772,
  [SMALL_STATE(1129)] = 79837,
  [SMALL_STATE(1130)] = 79902,
  [SMALL_STATE(1131)] = 79997,
  [SMALL_STATE(1132)] = 80060,
  [SMALL_STATE(1133)] = 80127,
  [SMALL_STATE(1134)] = 80192,
  [SMALL_STATE(1135)] = 80263,
  [SMALL_STATE(1136)] = 80328,
  [SMALL_STATE(1137)] = 80391,
  [SMALL_STATE(1138)] = 80456,
  [SMALL_STATE(1139)] = 80519,
  [SMALL_STATE(1140)] = 80584,
  [SMALL_STATE(1141)] = 80665,
  [SMALL_STATE(1142)] = 80740,
  [SMALL_STATE(1143)] = 80807,
  [SMALL_STATE(1144)] = 80876,
  [SMALL_STATE(1145)] = 80961,
  [SMALL_STATE(1146)] = 81048,
  [SMALL_STATE(1147)] = 81113,
  [SMALL_STATE(1148)] = 81178,
  [SMALL_STATE(1149)] = 81243,
  [SMALL_STATE(1150)] = 81306,
  [SMALL_STATE(1151)] = 81369,
  [SMALL_STATE(1152)] = 81432,
  [SMALL_STATE(1153)] = 81553,
  [SMALL_STATE(1154)] = 81616,
  [SMALL_STATE(1155)] = 81679,
  [SMALL_STATE(1156)] = 81742,
  [SMALL_STATE(1157)] = 81805,
  [SMALL_STATE(1158)] = 81870,
  [SMALL_STATE(1159)] = 81933,
  [SMALL_STATE(1160)] = 81996,
  [SMALL_STATE(1161)] = 82061,
  [SMALL_STATE(1162)] = 82126,
  [SMALL_STATE(1163)] = 82189,
  [SMALL_STATE(1164)] = 82252,
  [SMALL_STATE(1165)] = 82315,
  [SMALL_STATE(1166)] = 82380,
  [SMALL_STATE(1167)] = 82445,
  [SMALL_STATE(1168)] = 82510,
  [SMALL_STATE(1169)] = 82573,
  [SMALL_STATE(1170)] = 82694,
  [SMALL_STATE(1171)] = 82759,
  [SMALL_STATE(1172)] = 82824,
  [SMALL_STATE(1173)] = 82889,
  [SMALL_STATE(1174)] = 82954,
  [SMALL_STATE(1175)] = 83019,
  [SMALL_STATE(1176)] = 83082,
  [SMALL_STATE(1177)] = 83145,
  [SMALL_STATE(1178)] = 83208,
  [SMALL_STATE(1179)] = 83271,
  [SMALL_STATE(1180)] = 83334,
  [SMALL_STATE(1181)] = 83397,
  [SMALL_STATE(1182)] = 83460,
  [SMALL_STATE(1183)] = 83523,
  [SMALL_STATE(1184)] = 83588,
  [SMALL_STATE(1185)] = 83653,
  [SMALL_STATE(1186)] = 83718,
  [SMALL_STATE(1187)] = 83783,
  [SMALL_STATE(1188)] = 83848,
  [SMALL_STATE(1189)] = 83913,
  [SMALL_STATE(1190)] = 83978,
  [SMALL_STATE(1191)] = 84043,
  [SMALL_STATE(1192)] = 84108,
  [SMALL_STATE(1193)] = 84173,
  [SMALL_STATE(1194)] = 84235,
  [SMALL_STATE(1195)] = 84303,
  [SMALL_STATE(1196)] = 84365,
  [SMALL_STATE(1197)] = 84427,
  [SMALL_STATE(1198)] = 84489,
  [SMALL_STATE(1199)] = 84551,
  [SMALL_STATE(1200)] = 84613,
  [SMALL_STATE(1201)] = 84675,
  [SMALL_STATE(1202)] = 84737,
  [SMALL_STATE(1203)] = 84799,
  [SMALL_STATE(1204)] = 84861,
  [SMALL_STATE(1205)] = 84923,
  [SMALL_STATE(1206)] = 84985,
  [SMALL_STATE(1207)] = 85047,
  [SMALL_STATE(1208)] = 85109,
  [SMALL_STATE(1209)] = 85171,
  [SMALL_STATE(1210)] = 85233,
  [SMALL_STATE(1211)] = 85295,
  [SMALL_STATE(1212)] = 85357,
  [SMALL_STATE(1213)] = 85419,
  [SMALL_STATE(1214)] = 85481,
  [SMALL_STATE(1215)] = 85543,
  [SMALL_STATE(1216)] = 85607,
  [SMALL_STATE(1217)] = 85669,
  [SMALL_STATE(1218)] = 85731,
  [SMALL_STATE(1219)] = 85793,
  [SMALL_STATE(1220)] = 85855,
  [SMALL_STATE(1221)] = 85917,
  [SMALL_STATE(1222)] = 85979,
  [SMALL_STATE(1223)] = 86041,
  [SMALL_STATE(1224)] = 86103,
  [SMALL_STATE(1225)] = 86165,
  [SMALL_STATE(1226)] = 86229,
  [SMALL_STATE(1227)] = 86291,
  [SMALL_STATE(1228)] = 86353,
  [SMALL_STATE(1229)] = 86419,
  [SMALL_STATE(1230)] = 86481,
  [SMALL_STATE(1231)] = 86543,
  [SMALL_STATE(1232)] = 86605,
  [SMALL_STATE(1233)] = 86667,
  [SMALL_STATE(1234)] = 86729,
  [SMALL_STATE(1235)] = 86791,
  [SMALL_STATE(1236)] = 86853,
  [SMALL_STATE(1237)] = 86915,
  [SMALL_STATE(1238)] = 86977,
  [SMALL_STATE(1239)] = 87039,
  [SMALL_STATE(1240)] = 87101,
  [SMALL_STATE(1241)] = 87163,
  [SMALL_STATE(1242)] = 87227,
  [SMALL_STATE(1243)] = 87291,
  [SMALL_STATE(1244)] = 87355,
  [SMALL_STATE(1245)] = 87417,
  [SMALL_STATE(1246)] = 87479,
  [SMALL_STATE(1247)] = 87541,
  [SMALL_STATE(1248)] = 87603,
  [SMALL_STATE(1249)] = 87665,
  [SMALL_STATE(1250)] = 87731,
  [SMALL_STATE(1251)] = 87795,
  [SMALL_STATE(1252)] = 87857,
  [SMALL_STATE(1253)] = 87919,
  [SMALL_STATE(1254)] = 87981,
  [SMALL_STATE(1255)] = 88043,
  [SMALL_STATE(1256)] = 88105,
  [SMALL_STATE(1257)] = 88167,
  [SMALL_STATE(1258)] = 88229,
  [SMALL_STATE(1259)] = 88291,
  [SMALL_STATE(1260)] = 88353,
  [SMALL_STATE(1261)] = 88415,
  [SMALL_STATE(1262)] = 88477,
  [SMALL_STATE(1263)] = 88539,
  [SMALL_STATE(1264)] = 88601,
  [SMALL_STATE(1265)] = 88663,
  [SMALL_STATE(1266)] = 88725,
  [SMALL_STATE(1267)] = 88789,
  [SMALL_STATE(1268)] = 88851,
  [SMALL_STATE(1269)] = 88915,
  [SMALL_STATE(1270)] = 88979,
  [SMALL_STATE(1271)] = 89043,
  [SMALL_STATE(1272)] = 89107,
  [SMALL_STATE(1273)] = 89169,
  [SMALL_STATE(1274)] = 89231,
  [SMALL_STATE(1275)] = 89295,
  [SMALL_STATE(1276)] = 89359,
  [SMALL_STATE(1277)] = 89421,
  [SMALL_STATE(1278)] = 89483,
  [SMALL_STATE(1279)] = 89545,
  [SMALL_STATE(1280)] = 89609,
  [SMALL_STATE(1281)] = 89671,
  [SMALL_STATE(1282)] = 89733,
  [SMALL_STATE(1283)] = 89795,
  [SMALL_STATE(1284)] = 89857,
  [SMALL_STATE(1285)] = 89919,
  [SMALL_STATE(1286)] = 89981,
  [SMALL_STATE(1287)] = 90043,
  [SMALL_STATE(1288)] = 90105,
  [SMALL_STATE(1289)] = 90167,
  [SMALL_STATE(1290)] = 90229,
  [SMALL_STATE(1291)] = 90291,
  [SMALL_STATE(1292)] = 90353,
  [SMALL_STATE(1293)] = 90417,
  [SMALL_STATE(1294)] = 90479,
  [SMALL_STATE(1295)] = 90541,
  [SMALL_STATE(1296)] = 90603,
  [SMALL_STATE(1297)] = 90665,
  [SMALL_STATE(1298)] = 90727,
  [SMALL_STATE(1299)] = 90789,
  [SMALL_STATE(1300)] = 90851,
  [SMALL_STATE(1301)] = 90913,
  [SMALL_STATE(1302)] = 90977,
  [SMALL_STATE(1303)] = 91039,
  [SMALL_STATE(1304)] = 91101,
  [SMALL_STATE(1305)] = 91219,
  [SMALL_STATE(1306)] = 91281,
  [SMALL_STATE(1307)] = 91345,
  [SMALL_STATE(1308)] = 91407,
  [SMALL_STATE(1309)] = 91469,
  [SMALL_STATE(1310)] = 91531,
  [SMALL_STATE(1311)] = 91593,
  [SMALL_STATE(1312)] = 91655,
  [SMALL_STATE(1313)] = 91719,
  [SMALL_STATE(1314)] = 91783,
  [SMALL_STATE(1315)] = 91845,
  [SMALL_STATE(1316)] = 91907,
  [SMALL_STATE(1317)] = 91969,
  [SMALL_STATE(1318)] = 92033,
  [SMALL_STATE(1319)] = 92095,
  [SMALL_STATE(1320)] = 92157,
  [SMALL_STATE(1321)] = 92219,
  [SMALL_STATE(1322)] = 92281,
  [SMALL_STATE(1323)] = 92345,
  [SMALL_STATE(1324)] = 92407,
  [SMALL_STATE(1325)] = 92469,
  [SMALL_STATE(1326)] = 92531,
  [SMALL_STATE(1327)] = 92593,
  [SMALL_STATE(1328)] = 92657,
  [SMALL_STATE(1329)] = 92719,
  [SMALL_STATE(1330)] = 92781,
  [SMALL_STATE(1331)] = 92845,
  [SMALL_STATE(1332)] = 92907,
  [SMALL_STATE(1333)] = 92971,
  [SMALL_STATE(1334)] = 93035,
  [SMALL_STATE(1335)] = 93097,
  [SMALL_STATE(1336)] = 93159,
  [SMALL_STATE(1337)] = 93221,
  [SMALL_STATE(1338)] = 93283,
  [SMALL_STATE(1339)] = 93347,
  [SMALL_STATE(1340)] = 93411,
  [SMALL_STATE(1341)] = 93475,
  [SMALL_STATE(1342)] = 93539,
  [SMALL_STATE(1343)] = 93603,
  [SMALL_STATE(1344)] = 93667,
  [SMALL_STATE(1345)] = 93731,
  [SMALL_STATE(1346)] = 93793,
  [SMALL_STATE(1347)] = 93855,
  [SMALL_STATE(1348)] = 93917,
  [SMALL_STATE(1349)] = 93979,
  [SMALL_STATE(1350)] = 94041,
  [SMALL_STATE(1351)] = 94103,
  [SMALL_STATE(1352)] = 94165,
  [SMALL_STATE(1353)] = 94229,
  [SMALL_STATE(1354)] = 94293,
  [SMALL_STATE(1355)] = 94357,
  [SMALL_STATE(1356)] = 94421,
  [SMALL_STATE(1357)] = 94485,
  [SMALL_STATE(1358)] = 94549,
  [SMALL_STATE(1359)] = 94611,
  [SMALL_STATE(1360)] = 94675,
  [SMALL_STATE(1361)] = 94739,
  [SMALL_STATE(1362)] = 94803,
  [SMALL_STATE(1363)] = 94865,
  [SMALL_STATE(1364)] = 94929,
  [SMALL_STATE(1365)] = 94993,
  [SMALL_STATE(1366)] = 95057,
  [SMALL_STATE(1367)] = 95121,
  [SMALL_STATE(1368)] = 95183,
  [SMALL_STATE(1369)] = 95247,
  [SMALL_STATE(1370)] = 95311,
  [SMALL_STATE(1371)] = 95373,
  [SMALL_STATE(1372)] = 95435,
  [SMALL_STATE(1373)] = 95499,
  [SMALL_STATE(1374)] = 95563,
  [SMALL_STATE(1375)] = 95625,
  [SMALL_STATE(1376)] = 95687,
  [SMALL_STATE(1377)] = 95751,
  [SMALL_STATE(1378)] = 95815,
  [SMALL_STATE(1379)] = 95879,
  [SMALL_STATE(1380)] = 95941,
  [SMALL_STATE(1381)] = 96003,
  [SMALL_STATE(1382)] = 96069,
  [SMALL_STATE(1383)] = 96131,
  [SMALL_STATE(1384)] = 96193,
  [SMALL_STATE(1385)] = 96255,
  [SMALL_STATE(1386)] = 96319,
  [SMALL_STATE(1387)] = 96383,
  [SMALL_STATE(1388)] = 96445,
  [SMALL_STATE(1389)] = 96509,
  [SMALL_STATE(1390)] = 96573,
  [SMALL_STATE(1391)] = 96635,
  [SMALL_STATE(1392)] = 96697,
  [SMALL_STATE(1393)] = 96759,
  [SMALL_STATE(1394)] = 96821,
  [SMALL_STATE(1395)] = 96887,
  [SMALL_STATE(1396)] = 96949,
  [SMALL_STATE(1397)] = 97013,
  [SMALL_STATE(1398)] = 97075,
  [SMALL_STATE(1399)] = 97137,
  [SMALL_STATE(1400)] = 97201,
  [SMALL_STATE(1401)] = 97269,
  [SMALL_STATE(1402)] = 97337,
  [SMALL_STATE(1403)] = 97405,
  [SMALL_STATE(1404)] = 97473,
  [SMALL_STATE(1405)] = 97537,
  [SMALL_STATE(1406)] = 97601,
  [SMALL_STATE(1407)] = 97663,
  [SMALL_STATE(1408)] = 97727,
  [SMALL_STATE(1409)] = 97789,
  [SMALL_STATE(1410)] = 97857,
  [SMALL_STATE(1411)] = 97921,
  [SMALL_STATE(1412)] = 97989,
  [SMALL_STATE(1413)] = 98053,
  [SMALL_STATE(1414)] = 98117,
  [SMALL_STATE(1415)] = 98181,
  [SMALL_STATE(1416)] = 98245,
  [SMALL_STATE(1417)] = 98309,
  [SMALL_STATE(1418)] = 98373,
  [SMALL_STATE(1419)] = 98441,
  [SMALL_STATE(1420)] = 98556,
  [SMALL_STATE(1421)] = 98617,
  [SMALL_STATE(1422)] = 98732,
  [SMALL_STATE(1423)] = 98793,
  [SMALL_STATE(1424)] = 98854,
  [SMALL_STATE(1425)] = 98915,
  [SMALL_STATE(1426)] = 98976,
  [SMALL_STATE(1427)] = 99037,
  [SMALL_STATE(1428)] = 99152,
  [SMALL_STATE(1429)] = 99213,
  [SMALL_STATE(1430)] = 99328,
  [SMALL_STATE(1431)] = 99389,
  [SMALL_STATE(1432)] = 99450,
  [SMALL_STATE(1433)] = 99511,
  [SMALL_STATE(1434)] = 99572,
  [SMALL_STATE(1435)] = 99687,
  [SMALL_STATE(1436)] = 99748,
  [SMALL_STATE(1437)] = 99809,
  [SMALL_STATE(1438)] = 99870,
  [SMALL_STATE(1439)] = 99935,
  [SMALL_STATE(1440)] = 99996,
  [SMALL_STATE(1441)] = 100057,
  [SMALL_STATE(1442)] = 100172,
  [SMALL_STATE(1443)] = 100287,
  [SMALL_STATE(1444)] = 100348,
  [SMALL_STATE(1445)] = 100409,
  [SMALL_STATE(1446)] = 100470,
  [SMALL_STATE(1447)] = 100531,
  [SMALL_STATE(1448)] = 100592,
  [SMALL_STATE(1449)] = 100653,
  [SMALL_STATE(1450)] = 100714,
  [SMALL_STATE(1451)] = 100829,
  [SMALL_STATE(1452)] = 100890,
  [SMALL_STATE(1453)] = 100951,
  [SMALL_STATE(1454)] = 101012,
  [SMALL_STATE(1455)] = 101073,
  [SMALL_STATE(1456)] = 101134,
  [SMALL_STATE(1457)] = 101249,
  [SMALL_STATE(1458)] = 101330,
  [SMALL_STATE(1459)] = 101391,
  [SMALL_STATE(1460)] = 101452,
  [SMALL_STATE(1461)] = 101513,
  [SMALL_STATE(1462)] = 101628,
  [SMALL_STATE(1463)] = 101689,
  [SMALL_STATE(1464)] = 101804,
  [SMALL_STATE(1465)] = 101865,
  [SMALL_STATE(1466)] = 101926,
  [SMALL_STATE(1467)] = 101987,
  [SMALL_STATE(1468)] = 102048,
  [SMALL_STATE(1469)] = 102163,
  [SMALL_STATE(1470)] = 102224,
  [SMALL_STATE(1471)] = 102285,
  [SMALL_STATE(1472)] = 102346,
  [SMALL_STATE(1473)] = 102407,
  [SMALL_STATE(1474)] = 102522,
  [SMALL_STATE(1475)] = 102637,
  [SMALL_STATE(1476)] = 102718,
  [SMALL_STATE(1477)] = 102833,
  [SMALL_STATE(1478)] = 102948,
  [SMALL_STATE(1479)] = 103009,
  [SMALL_STATE(1480)] = 103124,
  [SMALL_STATE(1481)] = 103185,
  [SMALL_STATE(1482)] = 103300,
  [SMALL_STATE(1483)] = 103361,
  [SMALL_STATE(1484)] = 103476,
  [SMALL_STATE(1485)] = 103591,
  [SMALL_STATE(1486)] = 103654,
  [SMALL_STATE(1487)] = 103715,
  [SMALL_STATE(1488)] = 103830,
  [SMALL_STATE(1489)] = 103945,
  [SMALL_STATE(1490)] = 104006,
  [SMALL_STATE(1491)] = 104067,
  [SMALL_STATE(1492)] = 104128,
  [SMALL_STATE(1493)] = 104189,
  [SMALL_STATE(1494)] = 104250,
  [SMALL_STATE(1495)] = 104311,
  [SMALL_STATE(1496)] = 104426,
  [SMALL_STATE(1497)] = 104487,
  [SMALL_STATE(1498)] = 104548,
  [SMALL_STATE(1499)] = 104609,
  [SMALL_STATE(1500)] = 104670,
  [SMALL_STATE(1501)] = 104731,
  [SMALL_STATE(1502)] = 104792,
  [SMALL_STATE(1503)] = 104907,
  [SMALL_STATE(1504)] = 105022,
  [SMALL_STATE(1505)] = 105137,
  [SMALL_STATE(1506)] = 105218,
  [SMALL_STATE(1507)] = 105333,
  [SMALL_STATE(1508)] = 105394,
  [SMALL_STATE(1509)] = 105475,
  [SMALL_STATE(1510)] = 105536,
  [SMALL_STATE(1511)] = 105617,
  [SMALL_STATE(1512)] = 105732,
  [SMALL_STATE(1513)] = 105847,
  [SMALL_STATE(1514)] = 105908,
  [SMALL_STATE(1515)] = 105969,
  [SMALL_STATE(1516)] = 106050,
  [SMALL_STATE(1517)] = 106111,
  [SMALL_STATE(1518)] = 106172,
  [SMALL_STATE(1519)] = 106233,
  [SMALL_STATE(1520)] = 106294,
  [SMALL_STATE(1521)] = 106355,
  [SMALL_STATE(1522)] = 106420,
  [SMALL_STATE(1523)] = 106485,
  [SMALL_STATE(1524)] = 106546,
  [SMALL_STATE(1525)] = 106607,
  [SMALL_STATE(1526)] = 106672,
  [SMALL_STATE(1527)] = 106733,
  [SMALL_STATE(1528)] = 106794,
  [SMALL_STATE(1529)] = 106859,
  [SMALL_STATE(1530)] = 106920,
  [SMALL_STATE(1531)] = 106981,
  [SMALL_STATE(1532)] = 107042,
  [SMALL_STATE(1533)] = 107103,
  [SMALL_STATE(1534)] = 107168,
  [SMALL_STATE(1535)] = 107283,
  [SMALL_STATE(1536)] = 107344,
  [SMALL_STATE(1537)] = 107405,
  [SMALL_STATE(1538)] = 107466,
  [SMALL_STATE(1539)] = 107581,
  [SMALL_STATE(1540)] = 107662,
  [SMALL_STATE(1541)] = 107777,
  [SMALL_STATE(1542)] = 107892,
  [SMALL_STATE(1543)] = 107973,
  [SMALL_STATE(1544)] = 108088,
  [SMALL_STATE(1545)] = 108203,
  [SMALL_STATE(1546)] = 108318,
  [SMALL_STATE(1547)] = 108399,
  [SMALL_STATE(1548)] = 108460,
  [SMALL_STATE(1549)] = 108575,
  [SMALL_STATE(1550)] = 108636,
  [SMALL_STATE(1551)] = 108697,
  [SMALL_STATE(1552)] = 108812,
  [SMALL_STATE(1553)] = 108873,
  [SMALL_STATE(1554)] = 108954,
  [SMALL_STATE(1555)] = 109015,
  [SMALL_STATE(1556)] = 109130,
  [SMALL_STATE(1557)] = 109191,
  [SMALL_STATE(1558)] = 109306,
  [SMALL_STATE(1559)] = 109367,
  [SMALL_STATE(1560)] = 109448,
  [SMALL_STATE(1561)] = 109509,
  [SMALL_STATE(1562)] = 109570,
  [SMALL_STATE(1563)] = 109665,
  [SMALL_STATE(1564)] = 109726,
  [SMALL_STATE(1565)] = 109787,
  [SMALL_STATE(1566)] = 109848,
  [SMALL_STATE(1567)] = 109909,
  [SMALL_STATE(1568)] = 110024,
  [SMALL_STATE(1569)] = 110085,
  [SMALL_STATE(1570)] = 110146,
  [SMALL_STATE(1571)] = 110211,
  [SMALL_STATE(1572)] = 110272,
  [SMALL_STATE(1573)] = 110333,
  [SMALL_STATE(1574)] = 110394,
  [SMALL_STATE(1575)] = 110455,
  [SMALL_STATE(1576)] = 110516,
  [SMALL_STATE(1577)] = 110577,
  [SMALL_STATE(1578)] = 110638,
  [SMALL_STATE(1579)] = 110703,
  [SMALL_STATE(1580)] = 110784,
  [SMALL_STATE(1581)] = 110845,
  [SMALL_STATE(1582)] = 110906,
  [SMALL_STATE(1583)] = 110967,
  [SMALL_STATE(1584)] = 111028,
  [SMALL_STATE(1585)] = 111089,
  [SMALL_STATE(1586)] = 111150,
  [SMALL_STATE(1587)] = 111211,
  [SMALL_STATE(1588)] = 111272,
  [SMALL_STATE(1589)] = 111333,
  [SMALL_STATE(1590)] = 111394,
  [SMALL_STATE(1591)] = 111511,
  [SMALL_STATE(1592)] = 111626,
  [SMALL_STATE(1593)] = 111741,
  [SMALL_STATE(1594)] = 111802,
  [SMALL_STATE(1595)] = 111883,
  [SMALL_STATE(1596)] = 111944,
  [SMALL_STATE(1597)] = 112005,
  [SMALL_STATE(1598)] = 112068,
  [SMALL_STATE(1599)] = 112129,
  [SMALL_STATE(1600)] = 112190,
  [SMALL_STATE(1601)] = 112251,
  [SMALL_STATE(1602)] = 112312,
  [SMALL_STATE(1603)] = 112373,
  [SMALL_STATE(1604)] = 112434,
  [SMALL_STATE(1605)] = 112495,
  [SMALL_STATE(1606)] = 112610,
  [SMALL_STATE(1607)] = 112671,
  [SMALL_STATE(1608)] = 112786,
  [SMALL_STATE(1609)] = 112847,
  [SMALL_STATE(1610)] = 112928,
  [SMALL_STATE(1611)] = 112989,
  [SMALL_STATE(1612)] = 113104,
  [SMALL_STATE(1613)] = 113165,
  [SMALL_STATE(1614)] = 113280,
  [SMALL_STATE(1615)] = 113341,
  [SMALL_STATE(1616)] = 113402,
  [SMALL_STATE(1617)] = 113467,
  [SMALL_STATE(1618)] = 113528,
  [SMALL_STATE(1619)] = 113643,
  [SMALL_STATE(1620)] = 113758,
  [SMALL_STATE(1621)] = 113839,
  [SMALL_STATE(1622)] = 113900,
  [SMALL_STATE(1623)] = 113961,
  [SMALL_STATE(1624)] = 114022,
  [SMALL_STATE(1625)] = 114137,
  [SMALL_STATE(1626)] = 114252,
  [SMALL_STATE(1627)] = 114313,
  [SMALL_STATE(1628)] = 114374,
  [SMALL_STATE(1629)] = 114435,
  [SMALL_STATE(1630)] = 114496,
  [SMALL_STATE(1631)] = 114557,
  [SMALL_STATE(1632)] = 114618,
  [SMALL_STATE(1633)] = 114733,
  [SMALL_STATE(1634)] = 114848,
  [SMALL_STATE(1635)] = 114963,
  [SMALL_STATE(1636)] = 115044,
  [SMALL_STATE(1637)] = 115105,
  [SMALL_STATE(1638)] = 115166,
  [SMALL_STATE(1639)] = 115227,
  [SMALL_STATE(1640)] = 115342,
  [SMALL_STATE(1641)] = 115403,
  [SMALL_STATE(1642)] = 115518,
  [SMALL_STATE(1643)] = 115599,
  [SMALL_STATE(1644)] = 115660,
  [SMALL_STATE(1645)] = 115721,
  [SMALL_STATE(1646)] = 115836,
  [SMALL_STATE(1647)] = 115917,
  [SMALL_STATE(1648)] = 116032,
  [SMALL_STATE(1649)] = 116093,
  [SMALL_STATE(1650)] = 116154,
  [SMALL_STATE(1651)] = 116215,
  [SMALL_STATE(1652)] = 116276,
  [SMALL_STATE(1653)] = 116391,
  [SMALL_STATE(1654)] = 116452,
  [SMALL_STATE(1655)] = 116513,
  [SMALL_STATE(1656)] = 116574,
  [SMALL_STATE(1657)] = 116655,
  [SMALL_STATE(1658)] = 116716,
  [SMALL_STATE(1659)] = 116777,
  [SMALL_STATE(1660)] = 116838,
  [SMALL_STATE(1661)] = 116899,
  [SMALL_STATE(1662)] = 116960,
  [SMALL_STATE(1663)] = 117023,
  [SMALL_STATE(1664)] = 117138,
  [SMALL_STATE(1665)] = 117199,
  [SMALL_STATE(1666)] = 117260,
  [SMALL_STATE(1667)] = 117375,
  [SMALL_STATE(1668)] = 117492,
  [SMALL_STATE(1669)] = 117555,
  [SMALL_STATE(1670)] = 117670,
  [SMALL_STATE(1671)] = 117731,
  [SMALL_STATE(1672)] = 117846,
  [SMALL_STATE(1673)] = 117907,
  [SMALL_STATE(1674)] = 117968,
  [SMALL_STATE(1675)] = 118029,
  [SMALL_STATE(1676)] = 118144,
  [SMALL_STATE(1677)] = 118205,
  [SMALL_STATE(1678)] = 118266,
  [SMALL_STATE(1679)] = 118381,
  [SMALL_STATE(1680)] = 118496,
  [SMALL_STATE(1681)] = 118611,
  [SMALL_STATE(1682)] = 118672,
  [SMALL_STATE(1683)] = 118787,
  [SMALL_STATE(1684)] = 118902,
  [SMALL_STATE(1685)] = 119017,
  [SMALL_STATE(1686)] = 119132,
  [SMALL_STATE(1687)] = 119247,
  [SMALL_STATE(1688)] = 119362,
  [SMALL_STATE(1689)] = 119423,
  [SMALL_STATE(1690)] = 119484,
  [SMALL_STATE(1691)] = 119545,
  [SMALL_STATE(1692)] = 119606,
  [SMALL_STATE(1693)] = 119667,
  [SMALL_STATE(1694)] = 119782,
  [SMALL_STATE(1695)] = 119897,
  [SMALL_STATE(1696)] = 119958,
  [SMALL_STATE(1697)] = 120023,
  [SMALL_STATE(1698)] = 120138,
  [SMALL_STATE(1699)] = 120253,
  [SMALL_STATE(1700)] = 120368,
  [SMALL_STATE(1701)] = 120429,
  [SMALL_STATE(1702)] = 120490,
  [SMALL_STATE(1703)] = 120605,
  [SMALL_STATE(1704)] = 120666,
  [SMALL_STATE(1705)] = 120781,
  [SMALL_STATE(1706)] = 120842,
  [SMALL_STATE(1707)] = 120903,
  [SMALL_STATE(1708)] = 120964,
  [SMALL_STATE(1709)] = 121025,
  [SMALL_STATE(1710)] = 121106,
  [SMALL_STATE(1711)] = 121167,
  [SMALL_STATE(1712)] = 121228,
  [SMALL_STATE(1713)] = 121343,
  [SMALL_STATE(1714)] = 121458,
  [SMALL_STATE(1715)] = 121573,
  [SMALL_STATE(1716)] = 121688,
  [SMALL_STATE(1717)] = 121751,
  [SMALL_STATE(1718)] = 121812,
  [SMALL_STATE(1719)] = 121873,
  [SMALL_STATE(1720)] = 121988,
  [SMALL_STATE(1721)] = 122051,
  [SMALL_STATE(1722)] = 122166,
  [SMALL_STATE(1723)] = 122227,
  [SMALL_STATE(1724)] = 122342,
  [SMALL_STATE(1725)] = 122403,
  [SMALL_STATE(1726)] = 122515,
  [SMALL_STATE(1727)] = 122627,
  [SMALL_STATE(1728)] = 122739,
  [SMALL_STATE(1729)] = 122851,
  [SMALL_STATE(1730)] = 122963,
  [SMALL_STATE(1731)] = 123023,
  [SMALL_STATE(1732)] = 123135,
  [SMALL_STATE(1733)] = 123195,
  [SMALL_STATE(1734)] = 123307,
  [SMALL_STATE(1735)] = 123419,
  [SMALL_STATE(1736)] = 123531,
  [SMALL_STATE(1737)] = 123643,
  [SMALL_STATE(1738)] = 123755,
  [SMALL_STATE(1739)] = 123867,
  [SMALL_STATE(1740)] = 123979,
  [SMALL_STATE(1741)] = 124091,
  [SMALL_STATE(1742)] = 124203,
  [SMALL_STATE(1743)] = 124315,
  [SMALL_STATE(1744)] = 124427,
  [SMALL_STATE(1745)] = 124487,
  [SMALL_STATE(1746)] = 124547,
  [SMALL_STATE(1747)] = 124607,
  [SMALL_STATE(1748)] = 124719,
  [SMALL_STATE(1749)] = 124831,
  [SMALL_STATE(1750)] = 124943,
  [SMALL_STATE(1751)] = 125055,
  [SMALL_STATE(1752)] = 125167,
  [SMALL_STATE(1753)] = 125279,
  [SMALL_STATE(1754)] = 125391,
  [SMALL_STATE(1755)] = 125503,
  [SMALL_STATE(1756)] = 125615,
  [SMALL_STATE(1757)] = 125727,
  [SMALL_STATE(1758)] = 125839,
  [SMALL_STATE(1759)] = 125951,
  [SMALL_STATE(1760)] = 126063,
  [SMALL_STATE(1761)] = 126175,
  [SMALL_STATE(1762)] = 126287,
  [SMALL_STATE(1763)] = 126399,
  [SMALL_STATE(1764)] = 126511,
  [SMALL_STATE(1765)] = 126623,
  [SMALL_STATE(1766)] = 126735,
  [SMALL_STATE(1767)] = 126847,
  [SMALL_STATE(1768)] = 126959,
  [SMALL_STATE(1769)] = 127071,
  [SMALL_STATE(1770)] = 127185,
  [SMALL_STATE(1771)] = 127297,
  [SMALL_STATE(1772)] = 127411,
  [SMALL_STATE(1773)] = 127523,
  [SMALL_STATE(1774)] = 127635,
  [SMALL_STATE(1775)] = 127749,
  [SMALL_STATE(1776)] = 127861,
  [SMALL_STATE(1777)] = 127975,
  [SMALL_STATE(1778)] = 128035,
  [SMALL_STATE(1779)] = 128147,
  [SMALL_STATE(1780)] = 128261,
  [SMALL_STATE(1781)] = 128375,
  [SMALL_STATE(1782)] = 128487,
  [SMALL_STATE(1783)] = 128601,
  [SMALL_STATE(1784)] = 128713,
  [SMALL_STATE(1785)] = 128825,
  [SMALL_STATE(1786)] = 128937,
  [SMALL_STATE(1787)] = 129049,
  [SMALL_STATE(1788)] = 129161,
  [SMALL_STATE(1789)] = 129273,
  [SMALL_STATE(1790)] = 129385,
  [SMALL_STATE(1791)] = 129497,
  [SMALL_STATE(1792)] = 129609,
  [SMALL_STATE(1793)] = 129721,
  [SMALL_STATE(1794)] = 129833,
  [SMALL_STATE(1795)] = 129945,
  [SMALL_STATE(1796)] = 130007,
  [SMALL_STATE(1797)] = 130119,
  [SMALL_STATE(1798)] = 130231,
  [SMALL_STATE(1799)] = 130343,
  [SMALL_STATE(1800)] = 130455,
  [SMALL_STATE(1801)] = 130567,
  [SMALL_STATE(1802)] = 130629,
  [SMALL_STATE(1803)] = 130741,
  [SMALL_STATE(1804)] = 130853,
  [SMALL_STATE(1805)] = 130965,
  [SMALL_STATE(1806)] = 131077,
  [SMALL_STATE(1807)] = 131189,
  [SMALL_STATE(1808)] = 131301,
  [SMALL_STATE(1809)] = 131413,
  [SMALL_STATE(1810)] = 131525,
  [SMALL_STATE(1811)] = 131637,
  [SMALL_STATE(1812)] = 131749,
  [SMALL_STATE(1813)] = 131861,
  [SMALL_STATE(1814)] = 131923,
  [SMALL_STATE(1815)] = 132035,
  [SMALL_STATE(1816)] = 132149,
  [SMALL_STATE(1817)] = 132261,
  [SMALL_STATE(1818)] = 132321,
  [SMALL_STATE(1819)] = 132381,
  [SMALL_STATE(1820)] = 132445,
  [SMALL_STATE(1821)] = 132505,
  [SMALL_STATE(1822)] = 132619,
  [SMALL_STATE(1823)] = 132681,
  [SMALL_STATE(1824)] = 132743,
  [SMALL_STATE(1825)] = 132855,
  [SMALL_STATE(1826)] = 132967,
  [SMALL_STATE(1827)] = 133079,
  [SMALL_STATE(1828)] = 133191,
  [SMALL_STATE(1829)] = 133303,
  [SMALL_STATE(1830)] = 133417,
  [SMALL_STATE(1831)] = 133531,
  [SMALL_STATE(1832)] = 133643,
  [SMALL_STATE(1833)] = 133757,
  [SMALL_STATE(1834)] = 133817,
  [SMALL_STATE(1835)] = 133929,
  [SMALL_STATE(1836)] = 133991,
  [SMALL_STATE(1837)] = 134053,
  [SMALL_STATE(1838)] = 134115,
  [SMALL_STATE(1839)] = 134177,
  [SMALL_STATE(1840)] = 134289,
  [SMALL_STATE(1841)] = 134401,
  [SMALL_STATE(1842)] = 134513,
  [SMALL_STATE(1843)] = 134627,
  [SMALL_STATE(1844)] = 134689,
  [SMALL_STATE(1845)] = 134751,
  [SMALL_STATE(1846)] = 134813,
  [SMALL_STATE(1847)] = 134875,
  [SMALL_STATE(1848)] = 134987,
  [SMALL_STATE(1849)] = 135049,
  [SMALL_STATE(1850)] = 135161,
  [SMALL_STATE(1851)] = 135223,
  [SMALL_STATE(1852)] = 135335,
  [SMALL_STATE(1853)] = 135449,
  [SMALL_STATE(1854)] = 135561,
  [SMALL_STATE(1855)] = 135673,
  [SMALL_STATE(1856)] = 135785,
  [SMALL_STATE(1857)] = 135899,
  [SMALL_STATE(1858)] = 135961,
  [SMALL_STATE(1859)] = 136075,
  [SMALL_STATE(1860)] = 136137,
  [SMALL_STATE(1861)] = 136249,
  [SMALL_STATE(1862)] = 136311,
  [SMALL_STATE(1863)] = 136423,
  [SMALL_STATE(1864)] = 136535,
  [SMALL_STATE(1865)] = 136597,
  [SMALL_STATE(1866)] = 136709,
  [SMALL_STATE(1867)] = 136823,
  [SMALL_STATE(1868)] = 136937,
  [SMALL_STATE(1869)] = 137049,
  [SMALL_STATE(1870)] = 137111,
  [SMALL_STATE(1871)] = 137223,
  [SMALL_STATE(1872)] = 137335,
  [SMALL_STATE(1873)] = 137447,
  [SMALL_STATE(1874)] = 137559,
  [SMALL_STATE(1875)] = 137671,
  [SMALL_STATE(1876)] = 137783,
  [SMALL_STATE(1877)] = 137895,
  [SMALL_STATE(1878)] = 138007,
  [SMALL_STATE(1879)] = 138119,
  [SMALL_STATE(1880)] = 138231,
  [SMALL_STATE(1881)] = 138343,
  [SMALL_STATE(1882)] = 138455,
  [SMALL_STATE(1883)] = 138567,
  [SMALL_STATE(1884)] = 138679,
  [SMALL_STATE(1885)] = 138791,
  [SMALL_STATE(1886)] = 138903,
  [SMALL_STATE(1887)] = 139015,
  [SMALL_STATE(1888)] = 139127,
  [SMALL_STATE(1889)] = 139239,
  [SMALL_STATE(1890)] = 139351,
  [SMALL_STATE(1891)] = 139463,
  [SMALL_STATE(1892)] = 139575,
  [SMALL_STATE(1893)] = 139687,
  [SMALL_STATE(1894)] = 139799,
  [SMALL_STATE(1895)] = 139911,
  [SMALL_STATE(1896)] = 140023,
  [SMALL_STATE(1897)] = 140135,
  [SMALL_STATE(1898)] = 140247,
  [SMALL_STATE(1899)] = 140359,
  [SMALL_STATE(1900)] = 140421,
  [SMALL_STATE(1901)] = 140533,
  [SMALL_STATE(1902)] = 140593,
  [SMALL_STATE(1903)] = 140655,
  [SMALL_STATE(1904)] = 140717,
  [SMALL_STATE(1905)] = 140829,
  [SMALL_STATE(1906)] = 140941,
  [SMALL_STATE(1907)] = 141055,
  [SMALL_STATE(1908)] = 141167,
  [SMALL_STATE(1909)] = 141279,
  [SMALL_STATE(1910)] = 141391,
  [SMALL_STATE(1911)] = 141505,
  [SMALL_STATE(1912)] = 141617,
  [SMALL_STATE(1913)] = 141679,
  [SMALL_STATE(1914)] = 141791,
  [SMALL_STATE(1915)] = 141903,
  [SMALL_STATE(1916)] = 142015,
  [SMALL_STATE(1917)] = 142127,
  [SMALL_STATE(1918)] = 142239,
  [SMALL_STATE(1919)] = 142351,
  [SMALL_STATE(1920)] = 142463,
  [SMALL_STATE(1921)] = 142575,
  [SMALL_STATE(1922)] = 142687,
  [SMALL_STATE(1923)] = 142799,
  [SMALL_STATE(1924)] = 142911,
  [SMALL_STATE(1925)] = 143023,
  [SMALL_STATE(1926)] = 143083,
  [SMALL_STATE(1927)] = 143197,
  [SMALL_STATE(1928)] = 143309,
  [SMALL_STATE(1929)] = 143369,
  [SMALL_STATE(1930)] = 143481,
  [SMALL_STATE(1931)] = 143543,
  [SMALL_STATE(1932)] = 143605,
  [SMALL_STATE(1933)] = 143667,
  [SMALL_STATE(1934)] = 143727,
  [SMALL_STATE(1935)] = 143841,
  [SMALL_STATE(1936)] = 143955,
  [SMALL_STATE(1937)] = 144067,
  [SMALL_STATE(1938)] = 144181,
  [SMALL_STATE(1939)] = 144293,
  [SMALL_STATE(1940)] = 144405,
  [SMALL_STATE(1941)] = 144517,
  [SMALL_STATE(1942)] = 144577,
  [SMALL_STATE(1943)] = 144689,
  [SMALL_STATE(1944)] = 144803,
  [SMALL_STATE(1945)] = 144915,
  [SMALL_STATE(1946)] = 145027,
  [SMALL_STATE(1947)] = 145139,
  [SMALL_STATE(1948)] = 145253,
  [SMALL_STATE(1949)] = 145365,
  [SMALL_STATE(1950)] = 145477,
  [SMALL_STATE(1951)] = 145589,
  [SMALL_STATE(1952)] = 145701,
  [SMALL_STATE(1953)] = 145815,
  [SMALL_STATE(1954)] = 145929,
  [SMALL_STATE(1955)] = 146043,
  [SMALL_STATE(1956)] = 146155,
  [SMALL_STATE(1957)] = 146217,
  [SMALL_STATE(1958)] = 146311,
  [SMALL_STATE(1959)] = 146373,
  [SMALL_STATE(1960)] = 146485,
  [SMALL_STATE(1961)] = 146597,
  [SMALL_STATE(1962)] = 146659,
  [SMALL_STATE(1963)] = 146771,
  [SMALL_STATE(1964)] = 146833,
  [SMALL_STATE(1965)] = 146893,
  [SMALL_STATE(1966)] = 147005,
  [SMALL_STATE(1967)] = 147117,
  [SMALL_STATE(1968)] = 147229,
  [SMALL_STATE(1969)] = 147341,
  [SMALL_STATE(1970)] = 147453,
  [SMALL_STATE(1971)] = 147565,
  [SMALL_STATE(1972)] = 147677,
  [SMALL_STATE(1973)] = 147789,
  [SMALL_STATE(1974)] = 147901,
  [SMALL_STATE(1975)] = 148013,
  [SMALL_STATE(1976)] = 148125,
  [SMALL_STATE(1977)] = 148237,
  [SMALL_STATE(1978)] = 148297,
  [SMALL_STATE(1979)] = 148409,
  [SMALL_STATE(1980)] = 148469,
  [SMALL_STATE(1981)] = 148581,
  [SMALL_STATE(1982)] = 148693,
  [SMALL_STATE(1983)] = 148805,
  [SMALL_STATE(1984)] = 148917,
  [SMALL_STATE(1985)] = 149029,
  [SMALL_STATE(1986)] = 149143,
  [SMALL_STATE(1987)] = 149255,
  [SMALL_STATE(1988)] = 149367,
  [SMALL_STATE(1989)] = 149479,
  [SMALL_STATE(1990)] = 149591,
  [SMALL_STATE(1991)] = 149653,
  [SMALL_STATE(1992)] = 149719,
  [SMALL_STATE(1993)] = 149781,
  [SMALL_STATE(1994)] = 149893,
  [SMALL_STATE(1995)] = 150005,
  [SMALL_STATE(1996)] = 150117,
  [SMALL_STATE(1997)] = 150229,
  [SMALL_STATE(1998)] = 150341,
  [SMALL_STATE(1999)] = 150453,
  [SMALL_STATE(2000)] = 150565,
  [SMALL_STATE(2001)] = 150677,
  [SMALL_STATE(2002)] = 150739,
  [SMALL_STATE(2003)] = 150851,
  [SMALL_STATE(2004)] = 150963,
  [SMALL_STATE(2005)] = 151075,
  [SMALL_STATE(2006)] = 151187,
  [SMALL_STATE(2007)] = 151299,
  [SMALL_STATE(2008)] = 151411,
  [SMALL_STATE(2009)] = 151523,
  [SMALL_STATE(2010)] = 151635,
  [SMALL_STATE(2011)] = 151747,
  [SMALL_STATE(2012)] = 151859,
  [SMALL_STATE(2013)] = 151971,
  [SMALL_STATE(2014)] = 152083,
  [SMALL_STATE(2015)] = 152195,
  [SMALL_STATE(2016)] = 152307,
  [SMALL_STATE(2017)] = 152419,
  [SMALL_STATE(2018)] = 152531,
  [SMALL_STATE(2019)] = 152645,
  [SMALL_STATE(2020)] = 152757,
  [SMALL_STATE(2021)] = 152817,
  [SMALL_STATE(2022)] = 152929,
  [SMALL_STATE(2023)] = 153041,
  [SMALL_STATE(2024)] = 153153,
  [SMALL_STATE(2025)] = 153265,
  [SMALL_STATE(2026)] = 153377,
  [SMALL_STATE(2027)] = 153489,
  [SMALL_STATE(2028)] = 153601,
  [SMALL_STATE(2029)] = 153713,
  [SMALL_STATE(2030)] = 153825,
  [SMALL_STATE(2031)] = 153885,
  [SMALL_STATE(2032)] = 153997,
  [SMALL_STATE(2033)] = 154109,
  [SMALL_STATE(2034)] = 154221,
  [SMALL_STATE(2035)] = 154333,
  [SMALL_STATE(2036)] = 154445,
  [SMALL_STATE(2037)] = 154557,
  [SMALL_STATE(2038)] = 154617,
  [SMALL_STATE(2039)] = 154677,
  [SMALL_STATE(2040)] = 154789,
  [SMALL_STATE(2041)] = 154901,
  [SMALL_STATE(2042)] = 155013,
  [SMALL_STATE(2043)] = 155125,
  [SMALL_STATE(2044)] = 155237,
  [SMALL_STATE(2045)] = 155349,
  [SMALL_STATE(2046)] = 155461,
  [SMALL_STATE(2047)] = 155573,
  [SMALL_STATE(2048)] = 155685,
  [SMALL_STATE(2049)] = 155797,
  [SMALL_STATE(2050)] = 155909,
  [SMALL_STATE(2051)] = 156021,
  [SMALL_STATE(2052)] = 156133,
  [SMALL_STATE(2053)] = 156245,
  [SMALL_STATE(2054)] = 156357,
  [SMALL_STATE(2055)] = 156469,
  [SMALL_STATE(2056)] = 156581,
  [SMALL_STATE(2057)] = 156693,
  [SMALL_STATE(2058)] = 156805,
  [SMALL_STATE(2059)] = 156917,
  [SMALL_STATE(2060)] = 157029,
  [SMALL_STATE(2061)] = 157141,
  [SMALL_STATE(2062)] = 157253,
  [SMALL_STATE(2063)] = 157365,
  [SMALL_STATE(2064)] = 157477,
  [SMALL_STATE(2065)] = 157589,
  [SMALL_STATE(2066)] = 157701,
  [SMALL_STATE(2067)] = 157813,
  [SMALL_STATE(2068)] = 157925,
  [SMALL_STATE(2069)] = 158037,
  [SMALL_STATE(2070)] = 158149,
  [SMALL_STATE(2071)] = 158261,
  [SMALL_STATE(2072)] = 158373,
  [SMALL_STATE(2073)] = 158485,
  [SMALL_STATE(2074)] = 158597,
  [SMALL_STATE(2075)] = 158709,
  [SMALL_STATE(2076)] = 158821,
  [SMALL_STATE(2077)] = 158933,
  [SMALL_STATE(2078)] = 159045,
  [SMALL_STATE(2079)] = 159157,
  [SMALL_STATE(2080)] = 159269,
  [SMALL_STATE(2081)] = 159381,
  [SMALL_STATE(2082)] = 159493,
  [SMALL_STATE(2083)] = 159605,
  [SMALL_STATE(2084)] = 159717,
  [SMALL_STATE(2085)] = 159829,
  [SMALL_STATE(2086)] = 159943,
  [SMALL_STATE(2087)] = 160055,
  [SMALL_STATE(2088)] = 160167,
  [SMALL_STATE(2089)] = 160279,
  [SMALL_STATE(2090)] = 160391,
  [SMALL_STATE(2091)] = 160503,
  [SMALL_STATE(2092)] = 160615,
  [SMALL_STATE(2093)] = 160727,
  [SMALL_STATE(2094)] = 160839,
  [SMALL_STATE(2095)] = 160899,
  [SMALL_STATE(2096)] = 161011,
  [SMALL_STATE(2097)] = 161093,
  [SMALL_STATE(2098)] = 161205,
  [SMALL_STATE(2099)] = 161317,
  [SMALL_STATE(2100)] = 161429,
  [SMALL_STATE(2101)] = 161541,
  [SMALL_STATE(2102)] = 161653,
  [SMALL_STATE(2103)] = 161765,
  [SMALL_STATE(2104)] = 161877,
  [SMALL_STATE(2105)] = 161989,
  [SMALL_STATE(2106)] = 162101,
  [SMALL_STATE(2107)] = 162213,
  [SMALL_STATE(2108)] = 162325,
  [SMALL_STATE(2109)] = 162437,
  [SMALL_STATE(2110)] = 162549,
  [SMALL_STATE(2111)] = 162661,
  [SMALL_STATE(2112)] = 162773,
  [SMALL_STATE(2113)] = 162885,
  [SMALL_STATE(2114)] = 162997,
  [SMALL_STATE(2115)] = 163109,
  [SMALL_STATE(2116)] = 163221,
  [SMALL_STATE(2117)] = 163333,
  [SMALL_STATE(2118)] = 163445,
  [SMALL_STATE(2119)] = 163557,
  [SMALL_STATE(2120)] = 163669,
  [SMALL_STATE(2121)] = 163781,
  [SMALL_STATE(2122)] = 163893,
  [SMALL_STATE(2123)] = 164005,
  [SMALL_STATE(2124)] = 164117,
  [SMALL_STATE(2125)] = 164229,
  [SMALL_STATE(2126)] = 164341,
  [SMALL_STATE(2127)] = 164453,
  [SMALL_STATE(2128)] = 164565,
  [SMALL_STATE(2129)] = 164677,
  [SMALL_STATE(2130)] = 164789,
  [SMALL_STATE(2131)] = 164903,
  [SMALL_STATE(2132)] = 165017,
  [SMALL_STATE(2133)] = 165131,
  [SMALL_STATE(2134)] = 165245,
  [SMALL_STATE(2135)] = 165357,
  [SMALL_STATE(2136)] = 165469,
  [SMALL_STATE(2137)] = 165581,
  [SMALL_STATE(2138)] = 165641,
  [SMALL_STATE(2139)] = 165753,
  [SMALL_STATE(2140)] = 165813,
  [SMALL_STATE(2141)] = 165873,
  [SMALL_STATE(2142)] = 165933,
  [SMALL_STATE(2143)] = 166045,
  [SMALL_STATE(2144)] = 166157,
  [SMALL_STATE(2145)] = 166269,
  [SMALL_STATE(2146)] = 166381,
  [SMALL_STATE(2147)] = 166493,
  [SMALL_STATE(2148)] = 166605,
  [SMALL_STATE(2149)] = 166717,
  [SMALL_STATE(2150)] = 166829,
  [SMALL_STATE(2151)] = 166941,
  [SMALL_STATE(2152)] = 167053,
  [SMALL_STATE(2153)] = 167165,
  [SMALL_STATE(2154)] = 167277,
  [SMALL_STATE(2155)] = 167391,
  [SMALL_STATE(2156)] = 167503,
  [SMALL_STATE(2157)] = 167615,
  [SMALL_STATE(2158)] = 167727,
  [SMALL_STATE(2159)] = 167839,
  [SMALL_STATE(2160)] = 167951,
  [SMALL_STATE(2161)] = 168063,
  [SMALL_STATE(2162)] = 168175,
  [SMALL_STATE(2163)] = 168287,
  [SMALL_STATE(2164)] = 168399,
  [SMALL_STATE(2165)] = 168511,
  [SMALL_STATE(2166)] = 168623,
  [SMALL_STATE(2167)] = 168737,
  [SMALL_STATE(2168)] = 168849,
  [SMALL_STATE(2169)] = 168961,
  [SMALL_STATE(2170)] = 169073,
  [SMALL_STATE(2171)] = 169187,
  [SMALL_STATE(2172)] = 169255,
  [SMALL_STATE(2173)] = 169367,
  [SMALL_STATE(2174)] = 169479,
  [SMALL_STATE(2175)] = 169591,
  [SMALL_STATE(2176)] = 169703,
  [SMALL_STATE(2177)] = 169815,
  [SMALL_STATE(2178)] = 169927,
  [SMALL_STATE(2179)] = 170039,
  [SMALL_STATE(2180)] = 170153,
  [SMALL_STATE(2181)] = 170265,
  [SMALL_STATE(2182)] = 170377,
  [SMALL_STATE(2183)] = 170491,
  [SMALL_STATE(2184)] = 170603,
  [SMALL_STATE(2185)] = 170663,
  [SMALL_STATE(2186)] = 170723,
  [SMALL_STATE(2187)] = 170835,
  [SMALL_STATE(2188)] = 170947,
  [SMALL_STATE(2189)] = 171007,
  [SMALL_STATE(2190)] = 171119,
  [SMALL_STATE(2191)] = 171203,
  [SMALL_STATE(2192)] = 171315,
  [SMALL_STATE(2193)] = 171427,
  [SMALL_STATE(2194)] = 171539,
  [SMALL_STATE(2195)] = 171653,
  [SMALL_STATE(2196)] = 171765,
  [SMALL_STATE(2197)] = 171877,
  [SMALL_STATE(2198)] = 171989,
  [SMALL_STATE(2199)] = 172101,
  [SMALL_STATE(2200)] = 172213,
  [SMALL_STATE(2201)] = 172325,
  [SMALL_STATE(2202)] = 172437,
  [SMALL_STATE(2203)] = 172531,
  [SMALL_STATE(2204)] = 172643,
  [SMALL_STATE(2205)] = 172755,
  [SMALL_STATE(2206)] = 172867,
  [SMALL_STATE(2207)] = 172979,
  [SMALL_STATE(2208)] = 173091,
  [SMALL_STATE(2209)] = 173203,
  [SMALL_STATE(2210)] = 173315,
  [SMALL_STATE(2211)] = 173427,
  [SMALL_STATE(2212)] = 173541,
  [SMALL_STATE(2213)] = 173653,
  [SMALL_STATE(2214)] = 173765,
  [SMALL_STATE(2215)] = 173879,
  [SMALL_STATE(2216)] = 173991,
  [SMALL_STATE(2217)] = 174103,
  [SMALL_STATE(2218)] = 174217,
  [SMALL_STATE(2219)] = 174329,
  [SMALL_STATE(2220)] = 174443,
  [SMALL_STATE(2221)] = 174555,
  [SMALL_STATE(2222)] = 174667,
  [SMALL_STATE(2223)] = 174779,
  [SMALL_STATE(2224)] = 174891,
  [SMALL_STATE(2225)] = 175003,
  [SMALL_STATE(2226)] = 175117,
  [SMALL_STATE(2227)] = 175229,
  [SMALL_STATE(2228)] = 175341,
  [SMALL_STATE(2229)] = 175455,
  [SMALL_STATE(2230)] = 175569,
  [SMALL_STATE(2231)] = 175683,
  [SMALL_STATE(2232)] = 175795,
  [SMALL_STATE(2233)] = 175907,
  [SMALL_STATE(2234)] = 176021,
  [SMALL_STATE(2235)] = 176133,
  [SMALL_STATE(2236)] = 176245,
  [SMALL_STATE(2237)] = 176357,
  [SMALL_STATE(2238)] = 176471,
  [SMALL_STATE(2239)] = 176531,
  [SMALL_STATE(2240)] = 176643,
  [SMALL_STATE(2241)] = 176755,
  [SMALL_STATE(2242)] = 176869,
  [SMALL_STATE(2243)] = 176981,
  [SMALL_STATE(2244)] = 177093,
  [SMALL_STATE(2245)] = 177205,
  [SMALL_STATE(2246)] = 177271,
  [SMALL_STATE(2247)] = 177343,
  [SMALL_STATE(2248)] = 177455,
  [SMALL_STATE(2249)] = 177567,
  [SMALL_STATE(2250)] = 177679,
  [SMALL_STATE(2251)] = 177791,
  [SMALL_STATE(2252)] = 177905,
  [SMALL_STATE(2253)] = 178017,
  [SMALL_STATE(2254)] = 178129,
  [SMALL_STATE(2255)] = 178241,
  [SMALL_STATE(2256)] = 178353,
  [SMALL_STATE(2257)] = 178465,
  [SMALL_STATE(2258)] = 178577,
  [SMALL_STATE(2259)] = 178689,
  [SMALL_STATE(2260)] = 178801,
  [SMALL_STATE(2261)] = 178913,
  [SMALL_STATE(2262)] = 179025,
  [SMALL_STATE(2263)] = 179137,
  [SMALL_STATE(2264)] = 179249,
  [SMALL_STATE(2265)] = 179361,
  [SMALL_STATE(2266)] = 179473,
  [SMALL_STATE(2267)] = 179551,
  [SMALL_STATE(2268)] = 179619,
  [SMALL_STATE(2269)] = 179683,
  [SMALL_STATE(2270)] = 179795,
  [SMALL_STATE(2271)] = 179887,
  [SMALL_STATE(2272)] = 179977,
  [SMALL_STATE(2273)] = 180053,
  [SMALL_STATE(2274)] = 180167,
  [SMALL_STATE(2275)] = 180279,
  [SMALL_STATE(2276)] = 180391,
  [SMALL_STATE(2277)] = 180451,
  [SMALL_STATE(2278)] = 180510,
  [SMALL_STATE(2279)] = 180569,
  [SMALL_STATE(2280)] = 180628,
  [SMALL_STATE(2281)] = 180687,
  [SMALL_STATE(2282)] = 180746,
  [SMALL_STATE(2283)] = 180805,
  [SMALL_STATE(2284)] = 180864,
  [SMALL_STATE(2285)] = 180923,
  [SMALL_STATE(2286)] = 180982,
  [SMALL_STATE(2287)] = 181041,
  [SMALL_STATE(2288)] = 181100,
  [SMALL_STATE(2289)] = 181159,
  [SMALL_STATE(2290)] = 181218,
  [SMALL_STATE(2291)] = 181277,
  [SMALL_STATE(2292)] = 181336,
  [SMALL_STATE(2293)] = 181395,
  [SMALL_STATE(2294)] = 181454,
  [SMALL_STATE(2295)] = 181513,
  [SMALL_STATE(2296)] = 181572,
  [SMALL_STATE(2297)] = 181631,
  [SMALL_STATE(2298)] = 181690,
  [SMALL_STATE(2299)] = 181749,
  [SMALL_STATE(2300)] = 181808,
  [SMALL_STATE(2301)] = 181867,
  [SMALL_STATE(2302)] = 181926,
  [SMALL_STATE(2303)] = 181991,
  [SMALL_STATE(2304)] = 182050,
  [SMALL_STATE(2305)] = 182109,
  [SMALL_STATE(2306)] = 182168,
  [SMALL_STATE(2307)] = 182227,
  [SMALL_STATE(2308)] = 182286,
  [SMALL_STATE(2309)] = 182345,
  [SMALL_STATE(2310)] = 182410,
  [SMALL_STATE(2311)] = 182475,
  [SMALL_STATE(2312)] = 182540,
  [SMALL_STATE(2313)] = 182605,
  [SMALL_STATE(2314)] = 182670,
  [SMALL_STATE(2315)] = 182735,
  [SMALL_STATE(2316)] = 182794,
  [SMALL_STATE(2317)] = 182853,
  [SMALL_STATE(2318)] = 182912,
  [SMALL_STATE(2319)] = 182975,
  [SMALL_STATE(2320)] = 183034,
  [SMALL_STATE(2321)] = 183093,
  [SMALL_STATE(2322)] = 183152,
  [SMALL_STATE(2323)] = 183211,
  [SMALL_STATE(2324)] = 183292,
  [SMALL_STATE(2325)] = 183351,
  [SMALL_STATE(2326)] = 183416,
  [SMALL_STATE(2327)] = 183475,
  [SMALL_STATE(2328)] = 183534,
  [SMALL_STATE(2329)] = 183593,
  [SMALL_STATE(2330)] = 183704,
  [SMALL_STATE(2331)] = 183783,
  [SMALL_STATE(2332)] = 183842,
  [SMALL_STATE(2333)] = 183901,
  [SMALL_STATE(2334)] = 183960,
  [SMALL_STATE(2335)] = 184019,
  [SMALL_STATE(2336)] = 184078,
  [SMALL_STATE(2337)] = 184137,
  [SMALL_STATE(2338)] = 184196,
  [SMALL_STATE(2339)] = 184255,
  [SMALL_STATE(2340)] = 184314,
  [SMALL_STATE(2341)] = 184373,
  [SMALL_STATE(2342)] = 184432,
  [SMALL_STATE(2343)] = 184491,
  [SMALL_STATE(2344)] = 184556,
  [SMALL_STATE(2345)] = 184615,
  [SMALL_STATE(2346)] = 184674,
  [SMALL_STATE(2347)] = 184739,
  [SMALL_STATE(2348)] = 184798,
  [SMALL_STATE(2349)] = 184857,
  [SMALL_STATE(2350)] = 184928,
  [SMALL_STATE(2351)] = 184987,
  [SMALL_STATE(2352)] = 185046,
  [SMALL_STATE(2353)] = 185105,
  [SMALL_STATE(2354)] = 185164,
  [SMALL_STATE(2355)] = 185223,
  [SMALL_STATE(2356)] = 185300,
  [SMALL_STATE(2357)] = 185359,
  [SMALL_STATE(2358)] = 185418,
  [SMALL_STATE(2359)] = 185477,
  [SMALL_STATE(2360)] = 185536,
  [SMALL_STATE(2361)] = 185595,
  [SMALL_STATE(2362)] = 185654,
  [SMALL_STATE(2363)] = 185713,
  [SMALL_STATE(2364)] = 185772,
  [SMALL_STATE(2365)] = 185839,
  [SMALL_STATE(2366)] = 185898,
  [SMALL_STATE(2367)] = 185957,
  [SMALL_STATE(2368)] = 186016,
  [SMALL_STATE(2369)] = 186075,
  [SMALL_STATE(2370)] = 186134,
  [SMALL_STATE(2371)] = 186193,
  [SMALL_STATE(2372)] = 186252,
  [SMALL_STATE(2373)] = 186311,
  [SMALL_STATE(2374)] = 186370,
  [SMALL_STATE(2375)] = 186429,
  [SMALL_STATE(2376)] = 186488,
  [SMALL_STATE(2377)] = 186547,
  [SMALL_STATE(2378)] = 186606,
  [SMALL_STATE(2379)] = 186665,
  [SMALL_STATE(2380)] = 186724,
  [SMALL_STATE(2381)] = 186783,
  [SMALL_STATE(2382)] = 186842,
  [SMALL_STATE(2383)] = 186931,
  [SMALL_STATE(2384)] = 187018,
  [SMALL_STATE(2385)] = 187077,
  [SMALL_STATE(2386)] = 187136,
  [SMALL_STATE(2387)] = 187195,
  [SMALL_STATE(2388)] = 187254,
  [SMALL_STATE(2389)] = 187313,
  [SMALL_STATE(2390)] = 187372,
  [SMALL_STATE(2391)] = 187447,
  [SMALL_STATE(2392)] = 187539,
  [SMALL_STATE(2393)] = 187629,
  [SMALL_STATE(2394)] = 187691,
  [SMALL_STATE(2395)] = 187753,
  [SMALL_STATE(2396)] = 187815,
  [SMALL_STATE(2397)] = 187897,
  [SMALL_STATE(2398)] = 187977,
  [SMALL_STATE(2399)] = 188041,
  [SMALL_STATE(2400)] = 188111,
  [SMALL_STATE(2401)] = 188173,
  [SMALL_STATE(2402)] = 188235,
  [SMALL_STATE(2403)] = 188301,
  [SMALL_STATE(2404)] = 188363,
  [SMALL_STATE(2405)] = 188425,
  [SMALL_STATE(2406)] = 188513,
  [SMALL_STATE(2407)] = 188571,
  [SMALL_STATE(2408)] = 188663,
  [SMALL_STATE(2409)] = 188725,
  [SMALL_STATE(2410)] = 188817,
  [SMALL_STATE(2411)] = 188879,
  [SMALL_STATE(2412)] = 188937,
  [SMALL_STATE(2413)] = 189029,
  [SMALL_STATE(2414)] = 189121,
  [SMALL_STATE(2415)] = 189185,
  [SMALL_STATE(2416)] = 189277,
  [SMALL_STATE(2417)] = 189369,
  [SMALL_STATE(2418)] = 189461,
  [SMALL_STATE(2419)] = 189523,
  [SMALL_STATE(2420)] = 189615,
  [SMALL_STATE(2421)] = 189691,
  [SMALL_STATE(2422)] = 189783,
  [SMALL_STATE(2423)] = 189875,
  [SMALL_STATE(2424)] = 189967,
  [SMALL_STATE(2425)] = 190027,
  [SMALL_STATE(2426)] = 190101,
  [SMALL_STATE(2427)] = 190163,
  [SMALL_STATE(2428)] = 190229,
  [SMALL_STATE(2429)] = 190286,
  [SMALL_STATE(2430)] = 190345,
  [SMALL_STATE(2431)] = 190408,
  [SMALL_STATE(2432)] = 190467,
  [SMALL_STATE(2433)] = 190526,
  [SMALL_STATE(2434)] = 190589,
  [SMALL_STATE(2435)] = 190652,
  [SMALL_STATE(2436)] = 190715,
  [SMALL_STATE(2437)] = 190778,
  [SMALL_STATE(2438)] = 190837,
  [SMALL_STATE(2439)] = 190896,
  [SMALL_STATE(2440)] = 190955,
  [SMALL_STATE(2441)] = 191014,
  [SMALL_STATE(2442)] = 191071,
  [SMALL_STATE(2443)] = 191134,
  [SMALL_STATE(2444)] = 191197,
  [SMALL_STATE(2445)] = 191260,
  [SMALL_STATE(2446)] = 191317,
  [SMALL_STATE(2447)] = 191376,
  [SMALL_STATE(2448)] = 191447,
  [SMALL_STATE(2449)] = 191504,
  [SMALL_STATE(2450)] = 191561,
  [SMALL_STATE(2451)] = 191618,
  [SMALL_STATE(2452)] = 191675,
  [SMALL_STATE(2453)] = 191732,
  [SMALL_STATE(2454)] = 191803,
  [SMALL_STATE(2455)] = 191862,
  [SMALL_STATE(2456)] = 191921,
  [SMALL_STATE(2457)] = 191978,
  [SMALL_STATE(2458)] = 192037,
  [SMALL_STATE(2459)] = 192096,
  [SMALL_STATE(2460)] = 192155,
  [SMALL_STATE(2461)] = 192214,
  [SMALL_STATE(2462)] = 192271,
  [SMALL_STATE(2463)] = 192330,
  [SMALL_STATE(2464)] = 192389,
  [SMALL_STATE(2465)] = 192448,
  [SMALL_STATE(2466)] = 192507,
  [SMALL_STATE(2467)] = 192566,
  [SMALL_STATE(2468)] = 192625,
  [SMALL_STATE(2469)] = 192684,
  [SMALL_STATE(2470)] = 192743,
  [SMALL_STATE(2471)] = 192802,
  [SMALL_STATE(2472)] = 192861,
  [SMALL_STATE(2473)] = 192920,
  [SMALL_STATE(2474)] = 192977,
  [SMALL_STATE(2475)] = 193036,
  [SMALL_STATE(2476)] = 193095,
  [SMALL_STATE(2477)] = 193152,
  [SMALL_STATE(2478)] = 193211,
  [SMALL_STATE(2479)] = 193270,
  [SMALL_STATE(2480)] = 193329,
  [SMALL_STATE(2481)] = 193388,
  [SMALL_STATE(2482)] = 193447,
  [SMALL_STATE(2483)] = 193508,
  [SMALL_STATE(2484)] = 193565,
  [SMALL_STATE(2485)] = 193622,
  [SMALL_STATE(2486)] = 193681,
  [SMALL_STATE(2487)] = 193740,
  [SMALL_STATE(2488)] = 193797,
  [SMALL_STATE(2489)] = 193862,
  [SMALL_STATE(2490)] = 193918,
  [SMALL_STATE(2491)] = 193974,
  [SMALL_STATE(2492)] = 194030,
  [SMALL_STATE(2493)] = 194086,
  [SMALL_STATE(2494)] = 194142,
  [SMALL_STATE(2495)] = 194198,
  [SMALL_STATE(2496)] = 194254,
  [SMALL_STATE(2497)] = 194310,
  [SMALL_STATE(2498)] = 194366,
  [SMALL_STATE(2499)] = 194422,
  [SMALL_STATE(2500)] = 194478,
  [SMALL_STATE(2501)] = 194534,
  [SMALL_STATE(2502)] = 194590,
  [SMALL_STATE(2503)] = 194646,
  [SMALL_STATE(2504)] = 194702,
  [SMALL_STATE(2505)] = 194758,
  [SMALL_STATE(2506)] = 194814,
  [SMALL_STATE(2507)] = 194870,
  [SMALL_STATE(2508)] = 194926,
  [SMALL_STATE(2509)] = 194982,
  [SMALL_STATE(2510)] = 195038,
  [SMALL_STATE(2511)] = 195094,
  [SMALL_STATE(2512)] = 195150,
  [SMALL_STATE(2513)] = 195206,
  [SMALL_STATE(2514)] = 195262,
  [SMALL_STATE(2515)] = 195318,
  [SMALL_STATE(2516)] = 195374,
  [SMALL_STATE(2517)] = 195430,
  [SMALL_STATE(2518)] = 195486,
  [SMALL_STATE(2519)] = 195542,
  [SMALL_STATE(2520)] = 195598,
  [SMALL_STATE(2521)] = 195654,
  [SMALL_STATE(2522)] = 195710,
  [SMALL_STATE(2523)] = 195766,
  [SMALL_STATE(2524)] = 195822,
  [SMALL_STATE(2525)] = 195878,
  [SMALL_STATE(2526)] = 195934,
  [SMALL_STATE(2527)] = 195990,
  [SMALL_STATE(2528)] = 196046,
  [SMALL_STATE(2529)] = 196102,
  [SMALL_STATE(2530)] = 196158,
  [SMALL_STATE(2531)] = 196214,
  [SMALL_STATE(2532)] = 196270,
  [SMALL_STATE(2533)] = 196326,
  [SMALL_STATE(2534)] = 196382,
  [SMALL_STATE(2535)] = 196438,
  [SMALL_STATE(2536)] = 196494,
  [SMALL_STATE(2537)] = 196550,
  [SMALL_STATE(2538)] = 196606,
  [SMALL_STATE(2539)] = 196662,
  [SMALL_STATE(2540)] = 196718,
  [SMALL_STATE(2541)] = 196774,
  [SMALL_STATE(2542)] = 196830,
  [SMALL_STATE(2543)] = 196886,
  [SMALL_STATE(2544)] = 196942,
  [SMALL_STATE(2545)] = 196998,
  [SMALL_STATE(2546)] = 197054,
  [SMALL_STATE(2547)] = 197110,
  [SMALL_STATE(2548)] = 197166,
  [SMALL_STATE(2549)] = 197222,
  [SMALL_STATE(2550)] = 197278,
  [SMALL_STATE(2551)] = 197334,
  [SMALL_STATE(2552)] = 197390,
  [SMALL_STATE(2553)] = 197452,
  [SMALL_STATE(2554)] = 197514,
  [SMALL_STATE(2555)] = 197576,
  [SMALL_STATE(2556)] = 197638,
  [SMALL_STATE(2557)] = 197700,
  [SMALL_STATE(2558)] = 197762,
  [SMALL_STATE(2559)] = 197824,
  [SMALL_STATE(2560)] = 197880,
  [SMALL_STATE(2561)] = 197936,
  [SMALL_STATE(2562)] = 197996,
  [SMALL_STATE(2563)] = 198052,
  [SMALL_STATE(2564)] = 198108,
  [SMALL_STATE(2565)] = 198164,
  [SMALL_STATE(2566)] = 198220,
  [SMALL_STATE(2567)] = 198276,
  [SMALL_STATE(2568)] = 198332,
  [SMALL_STATE(2569)] = 198388,
  [SMALL_STATE(2570)] = 198444,
  [SMALL_STATE(2571)] = 198500,
  [SMALL_STATE(2572)] = 198556,
  [SMALL_STATE(2573)] = 198616,
  [SMALL_STATE(2574)] = 198672,
  [SMALL_STATE(2575)] = 198728,
  [SMALL_STATE(2576)] = 198830,
  [SMALL_STATE(2577)] = 198886,
  [SMALL_STATE(2578)] = 198942,
  [SMALL_STATE(2579)] = 198998,
  [SMALL_STATE(2580)] = 199054,
  [SMALL_STATE(2581)] = 199110,
  [SMALL_STATE(2582)] = 199166,
  [SMALL_STATE(2583)] = 199222,
  [SMALL_STATE(2584)] = 199278,
  [SMALL_STATE(2585)] = 199334,
  [SMALL_STATE(2586)] = 199396,
  [SMALL_STATE(2587)] = 199452,
  [SMALL_STATE(2588)] = 199508,
  [SMALL_STATE(2589)] = 199564,
  [SMALL_STATE(2590)] = 199620,
  [SMALL_STATE(2591)] = 199676,
  [SMALL_STATE(2592)] = 199732,
  [SMALL_STATE(2593)] = 199788,
  [SMALL_STATE(2594)] = 199844,
  [SMALL_STATE(2595)] = 199946,
  [SMALL_STATE(2596)] = 200006,
  [SMALL_STATE(2597)] = 200066,
  [SMALL_STATE(2598)] = 200124,
  [SMALL_STATE(2599)] = 200226,
  [SMALL_STATE(2600)] = 200286,
  [SMALL_STATE(2601)] = 200346,
  [SMALL_STATE(2602)] = 200406,
  [SMALL_STATE(2603)] = 200466,
  [SMALL_STATE(2604)] = 200526,
  [SMALL_STATE(2605)] = 200628,
  [SMALL_STATE(2606)] = 200730,
  [SMALL_STATE(2607)] = 200786,
  [SMALL_STATE(2608)] = 200846,
  [SMALL_STATE(2609)] = 200948,
  [SMALL_STATE(2610)] = 201008,
  [SMALL_STATE(2611)] = 201104,
  [SMALL_STATE(2612)] = 201168,
  [SMALL_STATE(2613)] = 201245,
  [SMALL_STATE(2614)] = 201300,
  [SMALL_STATE(2615)] = 201361,
  [SMALL_STATE(2616)] = 201432,
  [SMALL_STATE(2617)] = 201533,
  [SMALL_STATE(2618)] = 201618,
  [SMALL_STATE(2619)] = 201705,
  [SMALL_STATE(2620)] = 201768,
  [SMALL_STATE(2621)] = 201839,
  [SMALL_STATE(2622)] = 201924,
  [SMALL_STATE(2623)] = 202011,
  [SMALL_STATE(2624)] = 202084,
  [SMALL_STATE(2625)] = 202185,
  [SMALL_STATE(2626)] = 202244,
  [SMALL_STATE(2627)] = 202311,
  [SMALL_STATE(2628)] = 202372,
  [SMALL_STATE(2629)] = 202449,
  [SMALL_STATE(2630)] = 202528,
  [SMALL_STATE(2631)] = 202587,
  [SMALL_STATE(2632)] = 202646,
  [SMALL_STATE(2633)] = 202705,
  [SMALL_STATE(2634)] = 202764,
  [SMALL_STATE(2635)] = 202823,
  [SMALL_STATE(2636)] = 202880,
  [SMALL_STATE(2637)] = 202939,
  [SMALL_STATE(2638)] = 202998,
  [SMALL_STATE(2639)] = 203057,
  [SMALL_STATE(2640)] = 203120,
  [SMALL_STATE(2641)] = 203209,
  [SMALL_STATE(2642)] = 203282,
  [SMALL_STATE(2643)] = 203383,
  [SMALL_STATE(2644)] = 203472,
  [SMALL_STATE(2645)] = 203561,
  [SMALL_STATE(2646)] = 203650,
  [SMALL_STATE(2647)] = 203739,
  [SMALL_STATE(2648)] = 203798,
  [SMALL_STATE(2649)] = 203857,
  [SMALL_STATE(2650)] = 203914,
  [SMALL_STATE(2651)] = 203969,
  [SMALL_STATE(2652)] = 204058,
  [SMALL_STATE(2653)] = 204147,
  [SMALL_STATE(2654)] = 204202,
  [SMALL_STATE(2655)] = 204261,
  [SMALL_STATE(2656)] = 204350,
  [SMALL_STATE(2657)] = 204439,
  [SMALL_STATE(2658)] = 204528,
  [SMALL_STATE(2659)] = 204617,
  [SMALL_STATE(2660)] = 204672,
  [SMALL_STATE(2661)] = 204729,
  [SMALL_STATE(2662)] = 204786,
  [SMALL_STATE(2663)] = 204843,
  [SMALL_STATE(2664)] = 204904,
  [SMALL_STATE(2665)] = 204983,
  [SMALL_STATE(2666)] = 205042,
  [SMALL_STATE(2667)] = 205097,
  [SMALL_STATE(2668)] = 205176,
  [SMALL_STATE(2669)] = 205253,
  [SMALL_STATE(2670)] = 205314,
  [SMALL_STATE(2671)] = 205381,
  [SMALL_STATE(2672)] = 205470,
  [SMALL_STATE(2673)] = 205565,
  [SMALL_STATE(2674)] = 205662,
  [SMALL_STATE(2675)] = 205769,
  [SMALL_STATE(2676)] = 205832,
  [SMALL_STATE(2677)] = 205921,
  [SMALL_STATE(2678)] = 206010,
  [SMALL_STATE(2679)] = 206099,
  [SMALL_STATE(2680)] = 206188,
  [SMALL_STATE(2681)] = 206245,
  [SMALL_STATE(2682)] = 206302,
  [SMALL_STATE(2683)] = 206359,
  [SMALL_STATE(2684)] = 206432,
  [SMALL_STATE(2685)] = 206495,
  [SMALL_STATE(2686)] = 206554,
  [SMALL_STATE(2687)] = 206609,
  [SMALL_STATE(2688)] = 206666,
  [SMALL_STATE(2689)] = 206753,
  [SMALL_STATE(2690)] = 206838,
  [SMALL_STATE(2691)] = 206909,
  [SMALL_STATE(2692)] = 206966,
  [SMALL_STATE(2693)] = 207067,
  [SMALL_STATE(2694)] = 207124,
  [SMALL_STATE(2695)] = 207181,
  [SMALL_STATE(2696)] = 207238,
  [SMALL_STATE(2697)] = 207295,
  [SMALL_STATE(2698)] = 207352,
  [SMALL_STATE(2699)] = 207409,
  [SMALL_STATE(2700)] = 207466,
  [SMALL_STATE(2701)] = 207523,
  [SMALL_STATE(2702)] = 207580,
  [SMALL_STATE(2703)] = 207637,
  [SMALL_STATE(2704)] = 207694,
  [SMALL_STATE(2705)] = 207751,
  [SMALL_STATE(2706)] = 207808,
  [SMALL_STATE(2707)] = 207865,
  [SMALL_STATE(2708)] = 207922,
  [SMALL_STATE(2709)] = 207979,
  [SMALL_STATE(2710)] = 208040,
  [SMALL_STATE(2711)] = 208097,
  [SMALL_STATE(2712)] = 208198,
  [SMALL_STATE(2713)] = 208265,
  [SMALL_STATE(2714)] = 208320,
  [SMALL_STATE(2715)] = 208375,
  [SMALL_STATE(2716)] = 208430,
  [SMALL_STATE(2717)] = 208485,
  [SMALL_STATE(2718)] = 208542,
  [SMALL_STATE(2719)] = 208603,
  [SMALL_STATE(2720)] = 208664,
  [SMALL_STATE(2721)] = 208721,
  [SMALL_STATE(2722)] = 208782,
  [SMALL_STATE(2723)] = 208843,
  [SMALL_STATE(2724)] = 208904,
  [SMALL_STATE(2725)] = 209005,
  [SMALL_STATE(2726)] = 209066,
  [SMALL_STATE(2727)] = 209127,
  [SMALL_STATE(2728)] = 209182,
  [SMALL_STATE(2729)] = 209243,
  [SMALL_STATE(2730)] = 209304,
  [SMALL_STATE(2731)] = 209358,
  [SMALL_STATE(2732)] = 209414,
  [SMALL_STATE(2733)] = 209468,
  [SMALL_STATE(2734)] = 209522,
  [SMALL_STATE(2735)] = 209578,
  [SMALL_STATE(2736)] = 209634,
  [SMALL_STATE(2737)] = 209690,
  [SMALL_STATE(2738)] = 209746,
  [SMALL_STATE(2739)] = 209804,
  [SMALL_STATE(2740)] = 209880,
  [SMALL_STATE(2741)] = 209954,
  [SMALL_STATE(2742)] = 210014,
  [SMALL_STATE(2743)] = 210080,
  [SMALL_STATE(2744)] = 210134,
  [SMALL_STATE(2745)] = 210188,
  [SMALL_STATE(2746)] = 210242,
  [SMALL_STATE(2747)] = 210298,
  [SMALL_STATE(2748)] = 210354,
  [SMALL_STATE(2749)] = 210410,
  [SMALL_STATE(2750)] = 210466,
  [SMALL_STATE(2751)] = 210538,
  [SMALL_STATE(2752)] = 210600,
  [SMALL_STATE(2753)] = 210684,
  [SMALL_STATE(2754)] = 210766,
  [SMALL_STATE(2755)] = 210836,
  [SMALL_STATE(2756)] = 210892,
  [SMALL_STATE(2757)] = 210948,
  [SMALL_STATE(2758)] = 211002,
  [SMALL_STATE(2759)] = 211060,
  [SMALL_STATE(2760)] = 211116,
  [SMALL_STATE(2761)] = 211172,
  [SMALL_STATE(2762)] = 211228,
  [SMALL_STATE(2763)] = 211284,
  [SMALL_STATE(2764)] = 211380,
  [SMALL_STATE(2765)] = 211436,
  [SMALL_STATE(2766)] = 211490,
  [SMALL_STATE(2767)] = 211542,
  [SMALL_STATE(2768)] = 211596,
  [SMALL_STATE(2769)] = 211650,
  [SMALL_STATE(2770)] = 211706,
  [SMALL_STATE(2771)] = 211758,
  [SMALL_STATE(2772)] = 211812,
  [SMALL_STATE(2773)] = 211900,
  [SMALL_STATE(2774)] = 211956,
  [SMALL_STATE(2775)] = 212010,
  [SMALL_STATE(2776)] = 212066,
  [SMALL_STATE(2777)] = 212120,
  [SMALL_STATE(2778)] = 212178,
  [SMALL_STATE(2779)] = 212232,
  [SMALL_STATE(2780)] = 212320,
  [SMALL_STATE(2781)] = 212376,
  [SMALL_STATE(2782)] = 212432,
  [SMALL_STATE(2783)] = 212486,
  [SMALL_STATE(2784)] = 212540,
  [SMALL_STATE(2785)] = 212594,
  [SMALL_STATE(2786)] = 212648,
  [SMALL_STATE(2787)] = 212736,
  [SMALL_STATE(2788)] = 212824,
  [SMALL_STATE(2789)] = 212878,
  [SMALL_STATE(2790)] = 212932,
  [SMALL_STATE(2791)] = 212986,
  [SMALL_STATE(2792)] = 213040,
  [SMALL_STATE(2793)] = 213098,
  [SMALL_STATE(2794)] = 213156,
  [SMALL_STATE(2795)] = 213214,
  [SMALL_STATE(2796)] = 213268,
  [SMALL_STATE(2797)] = 213326,
  [SMALL_STATE(2798)] = 213382,
  [SMALL_STATE(2799)] = 213440,
  [SMALL_STATE(2800)] = 213496,
  [SMALL_STATE(2801)] = 213552,
  [SMALL_STATE(2802)] = 213606,
  [SMALL_STATE(2803)] = 213660,
  [SMALL_STATE(2804)] = 213714,
  [SMALL_STATE(2805)] = 213768,
  [SMALL_STATE(2806)] = 213822,
  [SMALL_STATE(2807)] = 213876,
  [SMALL_STATE(2808)] = 213930,
  [SMALL_STATE(2809)] = 213984,
  [SMALL_STATE(2810)] = 214038,
  [SMALL_STATE(2811)] = 214092,
  [SMALL_STATE(2812)] = 214146,
  [SMALL_STATE(2813)] = 214244,
  [SMALL_STATE(2814)] = 214298,
  [SMALL_STATE(2815)] = 214352,
  [SMALL_STATE(2816)] = 214406,
  [SMALL_STATE(2817)] = 214460,
  [SMALL_STATE(2818)] = 214516,
  [SMALL_STATE(2819)] = 214574,
  [SMALL_STATE(2820)] = 214632,
  [SMALL_STATE(2821)] = 214686,
  [SMALL_STATE(2822)] = 214740,
  [SMALL_STATE(2823)] = 214794,
  [SMALL_STATE(2824)] = 214848,
  [SMALL_STATE(2825)] = 214902,
  [SMALL_STATE(2826)] = 214958,
  [SMALL_STATE(2827)] = 215012,
  [SMALL_STATE(2828)] = 215066,
  [SMALL_STATE(2829)] = 215120,
  [SMALL_STATE(2830)] = 215176,
  [SMALL_STATE(2831)] = 215232,
  [SMALL_STATE(2832)] = 215286,
  [SMALL_STATE(2833)] = 215342,
  [SMALL_STATE(2834)] = 215398,
  [SMALL_STATE(2835)] = 215454,
  [SMALL_STATE(2836)] = 215508,
  [SMALL_STATE(2837)] = 215562,
  [SMALL_STATE(2838)] = 215622,
  [SMALL_STATE(2839)] = 215676,
  [SMALL_STATE(2840)] = 215730,
  [SMALL_STATE(2841)] = 215784,
  [SMALL_STATE(2842)] = 215838,
  [SMALL_STATE(2843)] = 215892,
  [SMALL_STATE(2844)] = 215946,
  [SMALL_STATE(2845)] = 216000,
  [SMALL_STATE(2846)] = 216054,
  [SMALL_STATE(2847)] = 216110,
  [SMALL_STATE(2848)] = 216168,
  [SMALL_STATE(2849)] = 216238,
  [SMALL_STATE(2850)] = 216322,
  [SMALL_STATE(2851)] = 216376,
  [SMALL_STATE(2852)] = 216436,
  [SMALL_STATE(2853)] = 216490,
  [SMALL_STATE(2854)] = 216544,
  [SMALL_STATE(2855)] = 216598,
  [SMALL_STATE(2856)] = 216658,
  [SMALL_STATE(2857)] = 216744,
  [SMALL_STATE(2858)] = 216802,
  [SMALL_STATE(2859)] = 216862,
  [SMALL_STATE(2860)] = 216924,
  [SMALL_STATE(2861)] = 216978,
  [SMALL_STATE(2862)] = 217036,
  [SMALL_STATE(2863)] = 217090,
  [SMALL_STATE(2864)] = 217162,
  [SMALL_STATE(2865)] = 217222,
  [SMALL_STATE(2866)] = 217282,
  [SMALL_STATE(2867)] = 217342,
  [SMALL_STATE(2868)] = 217402,
  [SMALL_STATE(2869)] = 217456,
  [SMALL_STATE(2870)] = 217510,
  [SMALL_STATE(2871)] = 217570,
  [SMALL_STATE(2872)] = 217626,
  [SMALL_STATE(2873)] = 217682,
  [SMALL_STATE(2874)] = 217736,
  [SMALL_STATE(2875)] = 217802,
  [SMALL_STATE(2876)] = 217862,
  [SMALL_STATE(2877)] = 217938,
  [SMALL_STATE(2878)] = 218016,
  [SMALL_STATE(2879)] = 218072,
  [SMALL_STATE(2880)] = 218126,
  [SMALL_STATE(2881)] = 218180,
  [SMALL_STATE(2882)] = 218240,
  [SMALL_STATE(2883)] = 218296,
  [SMALL_STATE(2884)] = 218350,
  [SMALL_STATE(2885)] = 218404,
  [SMALL_STATE(2886)] = 218460,
  [SMALL_STATE(2887)] = 218516,
  [SMALL_STATE(2888)] = 218572,
  [SMALL_STATE(2889)] = 218629,
  [SMALL_STATE(2890)] = 218682,
  [SMALL_STATE(2891)] = 218735,
  [SMALL_STATE(2892)] = 218792,
  [SMALL_STATE(2893)] = 218845,
  [SMALL_STATE(2894)] = 218898,
  [SMALL_STATE(2895)] = 218955,
  [SMALL_STATE(2896)] = 219008,
  [SMALL_STATE(2897)] = 219061,
  [SMALL_STATE(2898)] = 219114,
  [SMALL_STATE(2899)] = 219167,
  [SMALL_STATE(2900)] = 219220,
  [SMALL_STATE(2901)] = 219273,
  [SMALL_STATE(2902)] = 219326,
  [SMALL_STATE(2903)] = 219379,
  [SMALL_STATE(2904)] = 219476,
  [SMALL_STATE(2905)] = 219529,
  [SMALL_STATE(2906)] = 219582,
  [SMALL_STATE(2907)] = 219635,
  [SMALL_STATE(2908)] = 219688,
  [SMALL_STATE(2909)] = 219741,
  [SMALL_STATE(2910)] = 219794,
  [SMALL_STATE(2911)] = 219847,
  [SMALL_STATE(2912)] = 219900,
  [SMALL_STATE(2913)] = 219953,
  [SMALL_STATE(2914)] = 220006,
  [SMALL_STATE(2915)] = 220059,
  [SMALL_STATE(2916)] = 220112,
  [SMALL_STATE(2917)] = 220199,
  [SMALL_STATE(2918)] = 220252,
  [SMALL_STATE(2919)] = 220305,
  [SMALL_STATE(2920)] = 220362,
  [SMALL_STATE(2921)] = 220417,
  [SMALL_STATE(2922)] = 220472,
  [SMALL_STATE(2923)] = 220527,
  [SMALL_STATE(2924)] = 220580,
  [SMALL_STATE(2925)] = 220633,
  [SMALL_STATE(2926)] = 220688,
  [SMALL_STATE(2927)] = 220741,
  [SMALL_STATE(2928)] = 220828,
  [SMALL_STATE(2929)] = 220881,
  [SMALL_STATE(2930)] = 220936,
  [SMALL_STATE(2931)] = 220989,
  [SMALL_STATE(2932)] = 221042,
  [SMALL_STATE(2933)] = 221095,
  [SMALL_STATE(2934)] = 221148,
  [SMALL_STATE(2935)] = 221201,
  [SMALL_STATE(2936)] = 221254,
  [SMALL_STATE(2937)] = 221305,
  [SMALL_STATE(2938)] = 221358,
  [SMALL_STATE(2939)] = 221413,
  [SMALL_STATE(2940)] = 221466,
  [SMALL_STATE(2941)] = 221521,
  [SMALL_STATE(2942)] = 221574,
  [SMALL_STATE(2943)] = 221627,
  [SMALL_STATE(2944)] = 221680,
  [SMALL_STATE(2945)] = 221733,
  [SMALL_STATE(2946)] = 221786,
  [SMALL_STATE(2947)] = 221839,
  [SMALL_STATE(2948)] = 221892,
  [SMALL_STATE(2949)] = 221945,
  [SMALL_STATE(2950)] = 221998,
  [SMALL_STATE(2951)] = 222053,
  [SMALL_STATE(2952)] = 222108,
  [SMALL_STATE(2953)] = 222161,
  [SMALL_STATE(2954)] = 222218,
  [SMALL_STATE(2955)] = 222271,
  [SMALL_STATE(2956)] = 222324,
  [SMALL_STATE(2957)] = 222377,
  [SMALL_STATE(2958)] = 222430,
  [SMALL_STATE(2959)] = 222485,
  [SMALL_STATE(2960)] = 222536,
  [SMALL_STATE(2961)] = 222593,
  [SMALL_STATE(2962)] = 222646,
  [SMALL_STATE(2963)] = 222699,
  [SMALL_STATE(2964)] = 222752,
  [SMALL_STATE(2965)] = 222805,
  [SMALL_STATE(2966)] = 222860,
  [SMALL_STATE(2967)] = 222913,
  [SMALL_STATE(2968)] = 222966,
  [SMALL_STATE(2969)] = 223021,
  [SMALL_STATE(2970)] = 223076,
  [SMALL_STATE(2971)] = 223131,
  [SMALL_STATE(2972)] = 223186,
  [SMALL_STATE(2973)] = 223241,
  [SMALL_STATE(2974)] = 223298,
  [SMALL_STATE(2975)] = 223351,
  [SMALL_STATE(2976)] = 223404,
  [SMALL_STATE(2977)] = 223459,
  [SMALL_STATE(2978)] = 223512,
  [SMALL_STATE(2979)] = 223565,
  [SMALL_STATE(2980)] = 223618,
  [SMALL_STATE(2981)] = 223671,
  [SMALL_STATE(2982)] = 223724,
  [SMALL_STATE(2983)] = 223779,
  [SMALL_STATE(2984)] = 223834,
  [SMALL_STATE(2985)] = 223889,
  [SMALL_STATE(2986)] = 223944,
  [SMALL_STATE(2987)] = 223997,
  [SMALL_STATE(2988)] = 224050,
  [SMALL_STATE(2989)] = 224103,
  [SMALL_STATE(2990)] = 224156,
  [SMALL_STATE(2991)] = 224209,
  [SMALL_STATE(2992)] = 224262,
  [SMALL_STATE(2993)] = 224317,
  [SMALL_STATE(2994)] = 224372,
  [SMALL_STATE(2995)] = 224427,
  [SMALL_STATE(2996)] = 224480,
  [SMALL_STATE(2997)] = 224535,
  [SMALL_STATE(2998)] = 224590,
  [SMALL_STATE(2999)] = 224645,
  [SMALL_STATE(3000)] = 224700,
  [SMALL_STATE(3001)] = 224755,
  [SMALL_STATE(3002)] = 224810,
  [SMALL_STATE(3003)] = 224863,
  [SMALL_STATE(3004)] = 224918,
  [SMALL_STATE(3005)] = 224971,
  [SMALL_STATE(3006)] = 225024,
  [SMALL_STATE(3007)] = 225077,
  [SMALL_STATE(3008)] = 225130,
  [SMALL_STATE(3009)] = 225227,
  [SMALL_STATE(3010)] = 225284,
  [SMALL_STATE(3011)] = 225339,
  [SMALL_STATE(3012)] = 225396,
  [SMALL_STATE(3013)] = 225453,
  [SMALL_STATE(3014)] = 225510,
  [SMALL_STATE(3015)] = 225563,
  [SMALL_STATE(3016)] = 225618,
  [SMALL_STATE(3017)] = 225671,
  [SMALL_STATE(3018)] = 225724,
  [SMALL_STATE(3019)] = 225777,
  [SMALL_STATE(3020)] = 225830,
  [SMALL_STATE(3021)] = 225883,
  [SMALL_STATE(3022)] = 225936,
  [SMALL_STATE(3023)] = 225989,
  [SMALL_STATE(3024)] = 226042,
  [SMALL_STATE(3025)] = 226095,
  [SMALL_STATE(3026)] = 226148,
  [SMALL_STATE(3027)] = 226201,
  [SMALL_STATE(3028)] = 226256,
  [SMALL_STATE(3029)] = 226309,
  [SMALL_STATE(3030)] = 226362,
  [SMALL_STATE(3031)] = 226417,
  [SMALL_STATE(3032)] = 226470,
  [SMALL_STATE(3033)] = 226523,
  [SMALL_STATE(3034)] = 226576,
  [SMALL_STATE(3035)] = 226629,
  [SMALL_STATE(3036)] = 226682,
  [SMALL_STATE(3037)] = 226735,
  [SMALL_STATE(3038)] = 226788,
  [SMALL_STATE(3039)] = 226840,
  [SMALL_STATE(3040)] = 226892,
  [SMALL_STATE(3041)] = 226942,
  [SMALL_STATE(3042)] = 226996,
  [SMALL_STATE(3043)] = 227050,
  [SMALL_STATE(3044)] = 227136,
  [SMALL_STATE(3045)] = 227190,
  [SMALL_STATE(3046)] = 227276,
  [SMALL_STATE(3047)] = 227330,
  [SMALL_STATE(3048)] = 227384,
  [SMALL_STATE(3049)] = 227438,
  [SMALL_STATE(3050)] = 227492,
  [SMALL_STATE(3051)] = 227546,
  [SMALL_STATE(3052)] = 227632,
  [SMALL_STATE(3053)] = 227718,
  [SMALL_STATE(3054)] = 227808,
  [SMALL_STATE(3055)] = 227862,
  [SMALL_STATE(3056)] = 227956,
  [SMALL_STATE(3057)] = 228010,
  [SMALL_STATE(3058)] = 228064,
  [SMALL_STATE(3059)] = 228118,
  [SMALL_STATE(3060)] = 228172,
  [SMALL_STATE(3061)] = 228226,
  [SMALL_STATE(3062)] = 228280,
  [SMALL_STATE(3063)] = 228334,
  [SMALL_STATE(3064)] = 228388,
  [SMALL_STATE(3065)] = 228440,
  [SMALL_STATE(3066)] = 228494,
  [SMALL_STATE(3067)] = 228560,
  [SMALL_STATE(3068)] = 228614,
  [SMALL_STATE(3069)] = 228668,
  [SMALL_STATE(3070)] = 228722,
  [SMALL_STATE(3071)] = 228776,
  [SMALL_STATE(3072)] = 228830,
  [SMALL_STATE(3073)] = 228884,
  [SMALL_STATE(3074)] = 228936,
  [SMALL_STATE(3075)] = 228988,
  [SMALL_STATE(3076)] = 229042,
  [SMALL_STATE(3077)] = 229096,
  [SMALL_STATE(3078)] = 229156,
  [SMALL_STATE(3079)] = 229208,
  [SMALL_STATE(3080)] = 229274,
  [SMALL_STATE(3081)] = 229326,
  [SMALL_STATE(3082)] = 229378,
  [SMALL_STATE(3083)] = 229432,
  [SMALL_STATE(3084)] = 229486,
  [SMALL_STATE(3085)] = 229538,
  [SMALL_STATE(3086)] = 229590,
  [SMALL_STATE(3087)] = 229642,
  [SMALL_STATE(3088)] = 229694,
  [SMALL_STATE(3089)] = 229744,
  [SMALL_STATE(3090)] = 229796,
  [SMALL_STATE(3091)] = 229848,
  [SMALL_STATE(3092)] = 229900,
  [SMALL_STATE(3093)] = 229986,
  [SMALL_STATE(3094)] = 230038,
  [SMALL_STATE(3095)] = 230090,
  [SMALL_STATE(3096)] = 230142,
  [SMALL_STATE(3097)] = 230194,
  [SMALL_STATE(3098)] = 230246,
  [SMALL_STATE(3099)] = 230298,
  [SMALL_STATE(3100)] = 230350,
  [SMALL_STATE(3101)] = 230402,
  [SMALL_STATE(3102)] = 230454,
  [SMALL_STATE(3103)] = 230506,
  [SMALL_STATE(3104)] = 230558,
  [SMALL_STATE(3105)] = 230610,
  [SMALL_STATE(3106)] = 230662,
  [SMALL_STATE(3107)] = 230716,
  [SMALL_STATE(3108)] = 230768,
  [SMALL_STATE(3109)] = 230820,
  [SMALL_STATE(3110)] = 230872,
  [SMALL_STATE(3111)] = 230924,
  [SMALL_STATE(3112)] = 230976,
  [SMALL_STATE(3113)] = 231028,
  [SMALL_STATE(3114)] = 231082,
  [SMALL_STATE(3115)] = 231134,
  [SMALL_STATE(3116)] = 231186,
  [SMALL_STATE(3117)] = 231238,
  [SMALL_STATE(3118)] = 231290,
  [SMALL_STATE(3119)] = 231342,
  [SMALL_STATE(3120)] = 231394,
  [SMALL_STATE(3121)] = 231446,
  [SMALL_STATE(3122)] = 231498,
  [SMALL_STATE(3123)] = 231550,
  [SMALL_STATE(3124)] = 231602,
  [SMALL_STATE(3125)] = 231654,
  [SMALL_STATE(3126)] = 231706,
  [SMALL_STATE(3127)] = 231758,
  [SMALL_STATE(3128)] = 231810,
  [SMALL_STATE(3129)] = 231862,
  [SMALL_STATE(3130)] = 231914,
  [SMALL_STATE(3131)] = 231966,
  [SMALL_STATE(3132)] = 232018,
  [SMALL_STATE(3133)] = 232072,
  [SMALL_STATE(3134)] = 232126,
  [SMALL_STATE(3135)] = 232178,
  [SMALL_STATE(3136)] = 232230,
  [SMALL_STATE(3137)] = 232282,
  [SMALL_STATE(3138)] = 232334,
  [SMALL_STATE(3139)] = 232386,
  [SMALL_STATE(3140)] = 232438,
  [SMALL_STATE(3141)] = 232492,
  [SMALL_STATE(3142)] = 232544,
  [SMALL_STATE(3143)] = 232596,
  [SMALL_STATE(3144)] = 232648,
  [SMALL_STATE(3145)] = 232700,
  [SMALL_STATE(3146)] = 232752,
  [SMALL_STATE(3147)] = 232804,
  [SMALL_STATE(3148)] = 232856,
  [SMALL_STATE(3149)] = 232908,
  [SMALL_STATE(3150)] = 232960,
  [SMALL_STATE(3151)] = 233012,
  [SMALL_STATE(3152)] = 233064,
  [SMALL_STATE(3153)] = 233116,
  [SMALL_STATE(3154)] = 233170,
  [SMALL_STATE(3155)] = 233220,
  [SMALL_STATE(3156)] = 233272,
  [SMALL_STATE(3157)] = 233324,
  [SMALL_STATE(3158)] = 233376,
  [SMALL_STATE(3159)] = 233428,
  [SMALL_STATE(3160)] = 233480,
  [SMALL_STATE(3161)] = 233532,
  [SMALL_STATE(3162)] = 233584,
  [SMALL_STATE(3163)] = 233636,
  [SMALL_STATE(3164)] = 233688,
  [SMALL_STATE(3165)] = 233740,
  [SMALL_STATE(3166)] = 233792,
  [SMALL_STATE(3167)] = 233844,
  [SMALL_STATE(3168)] = 233896,
  [SMALL_STATE(3169)] = 233948,
  [SMALL_STATE(3170)] = 234000,
  [SMALL_STATE(3171)] = 234052,
  [SMALL_STATE(3172)] = 234104,
  [SMALL_STATE(3173)] = 234164,
  [SMALL_STATE(3174)] = 234216,
  [SMALL_STATE(3175)] = 234268,
  [SMALL_STATE(3176)] = 234320,
  [SMALL_STATE(3177)] = 234372,
  [SMALL_STATE(3178)] = 234424,
  [SMALL_STATE(3179)] = 234476,
  [SMALL_STATE(3180)] = 234526,
  [SMALL_STATE(3181)] = 234578,
  [SMALL_STATE(3182)] = 234630,
  [SMALL_STATE(3183)] = 234682,
  [SMALL_STATE(3184)] = 234734,
  [SMALL_STATE(3185)] = 234786,
  [SMALL_STATE(3186)] = 234838,
  [SMALL_STATE(3187)] = 234890,
  [SMALL_STATE(3188)] = 234947,
  [SMALL_STATE(3189)] = 234998,
  [SMALL_STATE(3190)] = 235049,
  [SMALL_STATE(3191)] = 235100,
  [SMALL_STATE(3192)] = 235151,
  [SMALL_STATE(3193)] = 235202,
  [SMALL_STATE(3194)] = 235253,
  [SMALL_STATE(3195)] = 235304,
  [SMALL_STATE(3196)] = 235355,
  [SMALL_STATE(3197)] = 235406,
  [SMALL_STATE(3198)] = 235457,
  [SMALL_STATE(3199)] = 235508,
  [SMALL_STATE(3200)] = 235559,
  [SMALL_STATE(3201)] = 235610,
  [SMALL_STATE(3202)] = 235661,
  [SMALL_STATE(3203)] = 235712,
  [SMALL_STATE(3204)] = 235763,
  [SMALL_STATE(3205)] = 235814,
  [SMALL_STATE(3206)] = 235865,
  [SMALL_STATE(3207)] = 235916,
  [SMALL_STATE(3208)] = 235967,
  [SMALL_STATE(3209)] = 236018,
  [SMALL_STATE(3210)] = 236069,
  [SMALL_STATE(3211)] = 236120,
  [SMALL_STATE(3212)] = 236171,
  [SMALL_STATE(3213)] = 236222,
  [SMALL_STATE(3214)] = 236281,
  [SMALL_STATE(3215)] = 236366,
  [SMALL_STATE(3216)] = 236417,
  [SMALL_STATE(3217)] = 236468,
  [SMALL_STATE(3218)] = 236553,
  [SMALL_STATE(3219)] = 236604,
  [SMALL_STATE(3220)] = 236655,
  [SMALL_STATE(3221)] = 236706,
  [SMALL_STATE(3222)] = 236791,
  [SMALL_STATE(3223)] = 236842,
  [SMALL_STATE(3224)] = 236893,
  [SMALL_STATE(3225)] = 236944,
  [SMALL_STATE(3226)] = 237001,
  [SMALL_STATE(3227)] = 237060,
  [SMALL_STATE(3228)] = 237111,
  [SMALL_STATE(3229)] = 237162,
  [SMALL_STATE(3230)] = 237213,
  [SMALL_STATE(3231)] = 237264,
  [SMALL_STATE(3232)] = 237315,
  [SMALL_STATE(3233)] = 237366,
  [SMALL_STATE(3234)] = 237417,
  [SMALL_STATE(3235)] = 237468,
  [SMALL_STATE(3236)] = 237519,
  [SMALL_STATE(3237)] = 237570,
  [SMALL_STATE(3238)] = 237621,
  [SMALL_STATE(3239)] = 237672,
  [SMALL_STATE(3240)] = 237723,
  [SMALL_STATE(3241)] = 237774,
  [SMALL_STATE(3242)] = 237825,
  [SMALL_STATE(3243)] = 237876,
  [SMALL_STATE(3244)] = 237927,
  [SMALL_STATE(3245)] = 237978,
  [SMALL_STATE(3246)] = 238029,
  [SMALL_STATE(3247)] = 238080,
  [SMALL_STATE(3248)] = 238131,
  [SMALL_STATE(3249)] = 238182,
  [SMALL_STATE(3250)] = 238233,
  [SMALL_STATE(3251)] = 238284,
  [SMALL_STATE(3252)] = 238335,
  [SMALL_STATE(3253)] = 238386,
  [SMALL_STATE(3254)] = 238439,
  [SMALL_STATE(3255)] = 238524,
  [SMALL_STATE(3256)] = 238575,
  [SMALL_STATE(3257)] = 238626,
  [SMALL_STATE(3258)] = 238677,
  [SMALL_STATE(3259)] = 238728,
  [SMALL_STATE(3260)] = 238779,
  [SMALL_STATE(3261)] = 238830,
  [SMALL_STATE(3262)] = 238915,
  [SMALL_STATE(3263)] = 238966,
  [SMALL_STATE(3264)] = 239023,
  [SMALL_STATE(3265)] = 239074,
  [SMALL_STATE(3266)] = 239125,
  [SMALL_STATE(3267)] = 239182,
  [SMALL_STATE(3268)] = 239239,
  [SMALL_STATE(3269)] = 239290,
  [SMALL_STATE(3270)] = 239341,
  [SMALL_STATE(3271)] = 239398,
  [SMALL_STATE(3272)] = 239455,
  [SMALL_STATE(3273)] = 239506,
  [SMALL_STATE(3274)] = 239557,
  [SMALL_STATE(3275)] = 239608,
  [SMALL_STATE(3276)] = 239659,
  [SMALL_STATE(3277)] = 239710,
  [SMALL_STATE(3278)] = 239761,
  [SMALL_STATE(3279)] = 239818,
  [SMALL_STATE(3280)] = 239869,
  [SMALL_STATE(3281)] = 239920,
  [SMALL_STATE(3282)] = 239971,
  [SMALL_STATE(3283)] = 240022,
  [SMALL_STATE(3284)] = 240073,
  [SMALL_STATE(3285)] = 240124,
  [SMALL_STATE(3286)] = 240175,
  [SMALL_STATE(3287)] = 240226,
  [SMALL_STATE(3288)] = 240277,
  [SMALL_STATE(3289)] = 240328,
  [SMALL_STATE(3290)] = 240379,
  [SMALL_STATE(3291)] = 240430,
  [SMALL_STATE(3292)] = 240481,
  [SMALL_STATE(3293)] = 240532,
  [SMALL_STATE(3294)] = 240583,
  [SMALL_STATE(3295)] = 240640,
  [SMALL_STATE(3296)] = 240695,
  [SMALL_STATE(3297)] = 240752,
  [SMALL_STATE(3298)] = 240803,
  [SMALL_STATE(3299)] = 240854,
  [SMALL_STATE(3300)] = 240911,
  [SMALL_STATE(3301)] = 240968,
  [SMALL_STATE(3302)] = 241025,
  [SMALL_STATE(3303)] = 241076,
  [SMALL_STATE(3304)] = 241133,
  [SMALL_STATE(3305)] = 241190,
  [SMALL_STATE(3306)] = 241241,
  [SMALL_STATE(3307)] = 241292,
  [SMALL_STATE(3308)] = 241343,
  [SMALL_STATE(3309)] = 241394,
  [SMALL_STATE(3310)] = 241445,
  [SMALL_STATE(3311)] = 241502,
  [SMALL_STATE(3312)] = 241595,
  [SMALL_STATE(3313)] = 241646,
  [SMALL_STATE(3314)] = 241697,
  [SMALL_STATE(3315)] = 241748,
  [SMALL_STATE(3316)] = 241837,
  [SMALL_STATE(3317)] = 241888,
  [SMALL_STATE(3318)] = 241939,
  [SMALL_STATE(3319)] = 241990,
  [SMALL_STATE(3320)] = 242041,
  [SMALL_STATE(3321)] = 242092,
  [SMALL_STATE(3322)] = 242170,
  [SMALL_STATE(3323)] = 242224,
  [SMALL_STATE(3324)] = 242278,
  [SMALL_STATE(3325)] = 242332,
  [SMALL_STATE(3326)] = 242386,
  [SMALL_STATE(3327)] = 242440,
  [SMALL_STATE(3328)] = 242496,
  [SMALL_STATE(3329)] = 242550,
  [SMALL_STATE(3330)] = 242604,
  [SMALL_STATE(3331)] = 242660,
  [SMALL_STATE(3332)] = 242710,
  [SMALL_STATE(3333)] = 242760,
  [SMALL_STATE(3334)] = 242810,
  [SMALL_STATE(3335)] = 242866,
  [SMALL_STATE(3336)] = 242916,
  [SMALL_STATE(3337)] = 242966,
  [SMALL_STATE(3338)] = 243016,
  [SMALL_STATE(3339)] = 243066,
  [SMALL_STATE(3340)] = 243122,
  [SMALL_STATE(3341)] = 243178,
  [SMALL_STATE(3342)] = 243234,
  [SMALL_STATE(3343)] = 243290,
  [SMALL_STATE(3344)] = 243346,
  [SMALL_STATE(3345)] = 243402,
  [SMALL_STATE(3346)] = 243452,
  [SMALL_STATE(3347)] = 243536,
  [SMALL_STATE(3348)] = 243592,
  [SMALL_STATE(3349)] = 243648,
  [SMALL_STATE(3350)] = 243696,
  [SMALL_STATE(3351)] = 243746,
  [SMALL_STATE(3352)] = 243830,
  [SMALL_STATE(3353)] = 243880,
  [SMALL_STATE(3354)] = 243934,
  [SMALL_STATE(3355)] = 243984,
  [SMALL_STATE(3356)] = 244074,
  [SMALL_STATE(3357)] = 244130,
  [SMALL_STATE(3358)] = 244184,
  [SMALL_STATE(3359)] = 244268,
  [SMALL_STATE(3360)] = 244324,
  [SMALL_STATE(3361)] = 244374,
  [SMALL_STATE(3362)] = 244458,
  [SMALL_STATE(3363)] = 244508,
  [SMALL_STATE(3364)] = 244574,
  [SMALL_STATE(3365)] = 244654,
  [SMALL_STATE(3366)] = 244708,
  [SMALL_STATE(3367)] = 244762,
  [SMALL_STATE(3368)] = 244818,
  [SMALL_STATE(3369)] = 244868,
  [SMALL_STATE(3370)] = 244924,
  [SMALL_STATE(3371)] = 244974,
  [SMALL_STATE(3372)] = 245028,
  [SMALL_STATE(3373)] = 245082,
  [SMALL_STATE(3374)] = 245140,
  [SMALL_STATE(3375)] = 245196,
  [SMALL_STATE(3376)] = 245250,
  [SMALL_STATE(3377)] = 245304,
  [SMALL_STATE(3378)] = 245358,
  [SMALL_STATE(3379)] = 245412,
  [SMALL_STATE(3380)] = 245466,
  [SMALL_STATE(3381)] = 245538,
  [SMALL_STATE(3382)] = 245608,
  [SMALL_STATE(3383)] = 245658,
  [SMALL_STATE(3384)] = 245708,
  [SMALL_STATE(3385)] = 245760,
  [SMALL_STATE(3386)] = 245814,
  [SMALL_STATE(3387)] = 245870,
  [SMALL_STATE(3388)] = 245932,
  [SMALL_STATE(3389)] = 245986,
  [SMALL_STATE(3390)] = 246054,
  [SMALL_STATE(3391)] = 246120,
  [SMALL_STATE(3392)] = 246204,
  [SMALL_STATE(3393)] = 246260,
  [SMALL_STATE(3394)] = 246314,
  [SMALL_STATE(3395)] = 246368,
  [SMALL_STATE(3396)] = 246420,
  [SMALL_STATE(3397)] = 246474,
  [SMALL_STATE(3398)] = 246528,
  [SMALL_STATE(3399)] = 246579,
  [SMALL_STATE(3400)] = 246632,
  [SMALL_STATE(3401)] = 246683,
  [SMALL_STATE(3402)] = 246734,
  [SMALL_STATE(3403)] = 246785,
  [SMALL_STATE(3404)] = 246836,
  [SMALL_STATE(3405)] = 246885,
  [SMALL_STATE(3406)] = 246936,
  [SMALL_STATE(3407)] = 246987,
  [SMALL_STATE(3408)] = 247038,
  [SMALL_STATE(3409)] = 247089,
  [SMALL_STATE(3410)] = 247140,
  [SMALL_STATE(3411)] = 247191,
  [SMALL_STATE(3412)] = 247242,
  [SMALL_STATE(3413)] = 247293,
  [SMALL_STATE(3414)] = 247342,
  [SMALL_STATE(3415)] = 247391,
  [SMALL_STATE(3416)] = 247442,
  [SMALL_STATE(3417)] = 247493,
  [SMALL_STATE(3418)] = 247542,
  [SMALL_STATE(3419)] = 247593,
  [SMALL_STATE(3420)] = 247644,
  [SMALL_STATE(3421)] = 247695,
  [SMALL_STATE(3422)] = 247748,
  [SMALL_STATE(3423)] = 247799,
  [SMALL_STATE(3424)] = 247852,
  [SMALL_STATE(3425)] = 247905,
  [SMALL_STATE(3426)] = 247958,
  [SMALL_STATE(3427)] = 248011,
  [SMALL_STATE(3428)] = 248062,
  [SMALL_STATE(3429)] = 248113,
  [SMALL_STATE(3430)] = 248164,
  [SMALL_STATE(3431)] = 248215,
  [SMALL_STATE(3432)] = 248266,
  [SMALL_STATE(3433)] = 248317,
  [SMALL_STATE(3434)] = 248368,
  [SMALL_STATE(3435)] = 248421,
  [SMALL_STATE(3436)] = 248470,
  [SMALL_STATE(3437)] = 248519,
  [SMALL_STATE(3438)] = 248570,
  [SMALL_STATE(3439)] = 248623,
  [SMALL_STATE(3440)] = 248674,
  [SMALL_STATE(3441)] = 248725,
  [SMALL_STATE(3442)] = 248778,
  [SMALL_STATE(3443)] = 248831,
  [SMALL_STATE(3444)] = 248882,
  [SMALL_STATE(3445)] = 248933,
  [SMALL_STATE(3446)] = 248984,
  [SMALL_STATE(3447)] = 249035,
  [SMALL_STATE(3448)] = 249086,
  [SMALL_STATE(3449)] = 249137,
  [SMALL_STATE(3450)] = 249186,
  [SMALL_STATE(3451)] = 249237,
  [SMALL_STATE(3452)] = 249286,
  [SMALL_STATE(3453)] = 249337,
  [SMALL_STATE(3454)] = 249388,
  [SMALL_STATE(3455)] = 249471,
  [SMALL_STATE(3456)] = 249554,
  [SMALL_STATE(3457)] = 249607,
  [SMALL_STATE(3458)] = 249658,
  [SMALL_STATE(3459)] = 249707,
  [SMALL_STATE(3460)] = 249758,
  [SMALL_STATE(3461)] = 249809,
  [SMALL_STATE(3462)] = 249884,
  [SMALL_STATE(3463)] = 249959,
  [SMALL_STATE(3464)] = 250034,
  [SMALL_STATE(3465)] = 250109,
  [SMALL_STATE(3466)] = 250160,
  [SMALL_STATE(3467)] = 250211,
  [SMALL_STATE(3468)] = 250262,
  [SMALL_STATE(3469)] = 250313,
  [SMALL_STATE(3470)] = 250362,
  [SMALL_STATE(3471)] = 250413,
  [SMALL_STATE(3472)] = 250488,
  [SMALL_STATE(3473)] = 250563,
  [SMALL_STATE(3474)] = 250638,
  [SMALL_STATE(3475)] = 250689,
  [SMALL_STATE(3476)] = 250740,
  [SMALL_STATE(3477)] = 250789,
  [SMALL_STATE(3478)] = 250840,
  [SMALL_STATE(3479)] = 250893,
  [SMALL_STATE(3480)] = 250944,
  [SMALL_STATE(3481)] = 250993,
  [SMALL_STATE(3482)] = 251044,
  [SMALL_STATE(3483)] = 251097,
  [SMALL_STATE(3484)] = 251146,
  [SMALL_STATE(3485)] = 251195,
  [SMALL_STATE(3486)] = 251244,
  [SMALL_STATE(3487)] = 251293,
  [SMALL_STATE(3488)] = 251344,
  [SMALL_STATE(3489)] = 251393,
  [SMALL_STATE(3490)] = 251442,
  [SMALL_STATE(3491)] = 251493,
  [SMALL_STATE(3492)] = 251542,
  [SMALL_STATE(3493)] = 251591,
  [SMALL_STATE(3494)] = 251642,
  [SMALL_STATE(3495)] = 251693,
  [SMALL_STATE(3496)] = 251744,
  [SMALL_STATE(3497)] = 251795,
  [SMALL_STATE(3498)] = 251846,
  [SMALL_STATE(3499)] = 251911,
  [SMALL_STATE(3500)] = 251964,
  [SMALL_STATE(3501)] = 252013,
  [SMALL_STATE(3502)] = 252066,
  [SMALL_STATE(3503)] = 252117,
  [SMALL_STATE(3504)] = 252168,
  [SMALL_STATE(3505)] = 252221,
  [SMALL_STATE(3506)] = 252272,
  [SMALL_STATE(3507)] = 252323,
  [SMALL_STATE(3508)] = 252374,
  [SMALL_STATE(3509)] = 252423,
  [SMALL_STATE(3510)] = 252476,
  [SMALL_STATE(3511)] = 252529,
  [SMALL_STATE(3512)] = 252578,
  [SMALL_STATE(3513)] = 252629,
  [SMALL_STATE(3514)] = 252680,
  [SMALL_STATE(3515)] = 252733,
  [SMALL_STATE(3516)] = 252786,
  [SMALL_STATE(3517)] = 252839,
  [SMALL_STATE(3518)] = 252890,
  [SMALL_STATE(3519)] = 252939,
  [SMALL_STATE(3520)] = 252990,
  [SMALL_STATE(3521)] = 253041,
  [SMALL_STATE(3522)] = 253092,
  [SMALL_STATE(3523)] = 253141,
  [SMALL_STATE(3524)] = 253190,
  [SMALL_STATE(3525)] = 253239,
  [SMALL_STATE(3526)] = 253290,
  [SMALL_STATE(3527)] = 253341,
  [SMALL_STATE(3528)] = 253392,
  [SMALL_STATE(3529)] = 253443,
  [SMALL_STATE(3530)] = 253494,
  [SMALL_STATE(3531)] = 253547,
  [SMALL_STATE(3532)] = 253596,
  [SMALL_STATE(3533)] = 253647,
  [SMALL_STATE(3534)] = 253696,
  [SMALL_STATE(3535)] = 253747,
  [SMALL_STATE(3536)] = 253797,
  [SMALL_STATE(3537)] = 253845,
  [SMALL_STATE(3538)] = 253893,
  [SMALL_STATE(3539)] = 253941,
  [SMALL_STATE(3540)] = 253989,
  [SMALL_STATE(3541)] = 254037,
  [SMALL_STATE(3542)] = 254085,
  [SMALL_STATE(3543)] = 254133,
  [SMALL_STATE(3544)] = 254181,
  [SMALL_STATE(3545)] = 254229,
  [SMALL_STATE(3546)] = 254277,
  [SMALL_STATE(3547)] = 254325,
  [SMALL_STATE(3548)] = 254373,
  [SMALL_STATE(3549)] = 254421,
  [SMALL_STATE(3550)] = 254469,
  [SMALL_STATE(3551)] = 254517,
  [SMALL_STATE(3552)] = 254565,
  [SMALL_STATE(3553)] = 254613,
  [SMALL_STATE(3554)] = 254661,
  [SMALL_STATE(3555)] = 254709,
  [SMALL_STATE(3556)] = 254757,
  [SMALL_STATE(3557)] = 254805,
  [SMALL_STATE(3558)] = 254853,
  [SMALL_STATE(3559)] = 254901,
  [SMALL_STATE(3560)] = 254949,
  [SMALL_STATE(3561)] = 254997,
  [SMALL_STATE(3562)] = 255045,
  [SMALL_STATE(3563)] = 255093,
  [SMALL_STATE(3564)] = 255141,
  [SMALL_STATE(3565)] = 255189,
  [SMALL_STATE(3566)] = 255277,
  [SMALL_STATE(3567)] = 255325,
  [SMALL_STATE(3568)] = 255373,
  [SMALL_STATE(3569)] = 255421,
  [SMALL_STATE(3570)] = 255469,
  [SMALL_STATE(3571)] = 255517,
  [SMALL_STATE(3572)] = 255565,
  [SMALL_STATE(3573)] = 255613,
  [SMALL_STATE(3574)] = 255661,
  [SMALL_STATE(3575)] = 255709,
  [SMALL_STATE(3576)] = 255757,
  [SMALL_STATE(3577)] = 255845,
  [SMALL_STATE(3578)] = 255933,
  [SMALL_STATE(3579)] = 256021,
  [SMALL_STATE(3580)] = 256071,
  [SMALL_STATE(3581)] = 256119,
  [SMALL_STATE(3582)] = 256207,
  [SMALL_STATE(3583)] = 256255,
  [SMALL_STATE(3584)] = 256343,
  [SMALL_STATE(3585)] = 256393,
  [SMALL_STATE(3586)] = 256441,
  [SMALL_STATE(3587)] = 256491,
  [SMALL_STATE(3588)] = 256579,
  [SMALL_STATE(3589)] = 256627,
  [SMALL_STATE(3590)] = 256675,
  [SMALL_STATE(3591)] = 256723,
  [SMALL_STATE(3592)] = 256771,
  [SMALL_STATE(3593)] = 256819,
  [SMALL_STATE(3594)] = 256867,
  [SMALL_STATE(3595)] = 256915,
  [SMALL_STATE(3596)] = 257003,
  [SMALL_STATE(3597)] = 257051,
  [SMALL_STATE(3598)] = 257099,
  [SMALL_STATE(3599)] = 257147,
  [SMALL_STATE(3600)] = 257195,
  [SMALL_STATE(3601)] = 257243,
  [SMALL_STATE(3602)] = 257331,
  [SMALL_STATE(3603)] = 257379,
  [SMALL_STATE(3604)] = 257427,
  [SMALL_STATE(3605)] = 257473,
  [SMALL_STATE(3606)] = 257521,
  [SMALL_STATE(3607)] = 257567,
  [SMALL_STATE(3608)] = 257615,
  [SMALL_STATE(3609)] = 257665,
  [SMALL_STATE(3610)] = 257711,
  [SMALL_STATE(3611)] = 257761,
  [SMALL_STATE(3612)] = 257809,
  [SMALL_STATE(3613)] = 257859,
  [SMALL_STATE(3614)] = 257907,
  [SMALL_STATE(3615)] = 257957,
  [SMALL_STATE(3616)] = 258005,
  [SMALL_STATE(3617)] = 258055,
  [SMALL_STATE(3618)] = 258143,
  [SMALL_STATE(3619)] = 258231,
  [SMALL_STATE(3620)] = 258319,
  [SMALL_STATE(3621)] = 258367,
  [SMALL_STATE(3622)] = 258415,
  [SMALL_STATE(3623)] = 258503,
  [SMALL_STATE(3624)] = 258551,
  [SMALL_STATE(3625)] = 258599,
  [SMALL_STATE(3626)] = 258647,
  [SMALL_STATE(3627)] = 258697,
  [SMALL_STATE(3628)] = 258745,
  [SMALL_STATE(3629)] = 258793,
  [SMALL_STATE(3630)] = 258841,
  [SMALL_STATE(3631)] = 258889,
  [SMALL_STATE(3632)] = 258937,
  [SMALL_STATE(3633)] = 258985,
  [SMALL_STATE(3634)] = 259033,
  [SMALL_STATE(3635)] = 259081,
  [SMALL_STATE(3636)] = 259129,
  [SMALL_STATE(3637)] = 259177,
  [SMALL_STATE(3638)] = 259225,
  [SMALL_STATE(3639)] = 259273,
  [SMALL_STATE(3640)] = 259321,
  [SMALL_STATE(3641)] = 259369,
  [SMALL_STATE(3642)] = 259419,
  [SMALL_STATE(3643)] = 259467,
  [SMALL_STATE(3644)] = 259515,
  [SMALL_STATE(3645)] = 259563,
  [SMALL_STATE(3646)] = 259611,
  [SMALL_STATE(3647)] = 259659,
  [SMALL_STATE(3648)] = 259707,
  [SMALL_STATE(3649)] = 259757,
  [SMALL_STATE(3650)] = 259807,
  [SMALL_STATE(3651)] = 259855,
  [SMALL_STATE(3652)] = 259905,
  [SMALL_STATE(3653)] = 259955,
  [SMALL_STATE(3654)] = 260003,
  [SMALL_STATE(3655)] = 260053,
  [SMALL_STATE(3656)] = 260101,
  [SMALL_STATE(3657)] = 260151,
  [SMALL_STATE(3658)] = 260201,
  [SMALL_STATE(3659)] = 260251,
  [SMALL_STATE(3660)] = 260301,
  [SMALL_STATE(3661)] = 260349,
  [SMALL_STATE(3662)] = 260397,
  [SMALL_STATE(3663)] = 260445,
  [SMALL_STATE(3664)] = 260493,
  [SMALL_STATE(3665)] = 260543,
  [SMALL_STATE(3666)] = 260591,
  [SMALL_STATE(3667)] = 260641,
  [SMALL_STATE(3668)] = 260691,
  [SMALL_STATE(3669)] = 260741,
  [SMALL_STATE(3670)] = 260791,
  [SMALL_STATE(3671)] = 260841,
  [SMALL_STATE(3672)] = 260891,
  [SMALL_STATE(3673)] = 260941,
  [SMALL_STATE(3674)] = 260991,
  [SMALL_STATE(3675)] = 261039,
  [SMALL_STATE(3676)] = 261087,
  [SMALL_STATE(3677)] = 261137,
  [SMALL_STATE(3678)] = 261185,
  [SMALL_STATE(3679)] = 261233,
  [SMALL_STATE(3680)] = 261283,
  [SMALL_STATE(3681)] = 261333,
  [SMALL_STATE(3682)] = 261381,
  [SMALL_STATE(3683)] = 261429,
  [SMALL_STATE(3684)] = 261479,
  [SMALL_STATE(3685)] = 261529,
  [SMALL_STATE(3686)] = 261577,
  [SMALL_STATE(3687)] = 261665,
  [SMALL_STATE(3688)] = 261713,
  [SMALL_STATE(3689)] = 261761,
  [SMALL_STATE(3690)] = 261809,
  [SMALL_STATE(3691)] = 261857,
  [SMALL_STATE(3692)] = 261943,
  [SMALL_STATE(3693)] = 261991,
  [SMALL_STATE(3694)] = 262039,
  [SMALL_STATE(3695)] = 262087,
  [SMALL_STATE(3696)] = 262135,
  [SMALL_STATE(3697)] = 262181,
  [SMALL_STATE(3698)] = 262229,
  [SMALL_STATE(3699)] = 262277,
  [SMALL_STATE(3700)] = 262325,
  [SMALL_STATE(3701)] = 262373,
  [SMALL_STATE(3702)] = 262421,
  [SMALL_STATE(3703)] = 262469,
  [SMALL_STATE(3704)] = 262517,
  [SMALL_STATE(3705)] = 262565,
  [SMALL_STATE(3706)] = 262653,
  [SMALL_STATE(3707)] = 262701,
  [SMALL_STATE(3708)] = 262749,
  [SMALL_STATE(3709)] = 262797,
  [SMALL_STATE(3710)] = 262847,
  [SMALL_STATE(3711)] = 262897,
  [SMALL_STATE(3712)] = 262945,
  [SMALL_STATE(3713)] = 262993,
  [SMALL_STATE(3714)] = 263039,
  [SMALL_STATE(3715)] = 263087,
  [SMALL_STATE(3716)] = 263175,
  [SMALL_STATE(3717)] = 263223,
  [SMALL_STATE(3718)] = 263271,
  [SMALL_STATE(3719)] = 263319,
  [SMALL_STATE(3720)] = 263367,
  [SMALL_STATE(3721)] = 263413,
  [SMALL_STATE(3722)] = 263461,
  [SMALL_STATE(3723)] = 263509,
  [SMALL_STATE(3724)] = 263559,
  [SMALL_STATE(3725)] = 263647,
  [SMALL_STATE(3726)] = 263693,
  [SMALL_STATE(3727)] = 263781,
  [SMALL_STATE(3728)] = 263855,
  [SMALL_STATE(3729)] = 263905,
  [SMALL_STATE(3730)] = 263953,
  [SMALL_STATE(3731)] = 264003,
  [SMALL_STATE(3732)] = 264051,
  [SMALL_STATE(3733)] = 264125,
  [SMALL_STATE(3734)] = 264213,
  [SMALL_STATE(3735)] = 264287,
  [SMALL_STATE(3736)] = 264337,
  [SMALL_STATE(3737)] = 264425,
  [SMALL_STATE(3738)] = 264475,
  [SMALL_STATE(3739)] = 264525,
  [SMALL_STATE(3740)] = 264573,
  [SMALL_STATE(3741)] = 264647,
  [SMALL_STATE(3742)] = 264695,
  [SMALL_STATE(3743)] = 264783,
  [SMALL_STATE(3744)] = 264871,
  [SMALL_STATE(3745)] = 264919,
  [SMALL_STATE(3746)] = 264967,
  [SMALL_STATE(3747)] = 265015,
  [SMALL_STATE(3748)] = 265063,
  [SMALL_STATE(3749)] = 265111,
  [SMALL_STATE(3750)] = 265159,
  [SMALL_STATE(3751)] = 265207,
  [SMALL_STATE(3752)] = 265255,
  [SMALL_STATE(3753)] = 265303,
  [SMALL_STATE(3754)] = 265391,
  [SMALL_STATE(3755)] = 265439,
  [SMALL_STATE(3756)] = 265487,
  [SMALL_STATE(3757)] = 265535,
  [SMALL_STATE(3758)] = 265583,
  [SMALL_STATE(3759)] = 265671,
  [SMALL_STATE(3760)] = 265719,
  [SMALL_STATE(3761)] = 265767,
  [SMALL_STATE(3762)] = 265815,
  [SMALL_STATE(3763)] = 265863,
  [SMALL_STATE(3764)] = 265911,
  [SMALL_STATE(3765)] = 265959,
  [SMALL_STATE(3766)] = 266007,
  [SMALL_STATE(3767)] = 266055,
  [SMALL_STATE(3768)] = 266103,
  [SMALL_STATE(3769)] = 266151,
  [SMALL_STATE(3770)] = 266201,
  [SMALL_STATE(3771)] = 266249,
  [SMALL_STATE(3772)] = 266299,
  [SMALL_STATE(3773)] = 266349,
  [SMALL_STATE(3774)] = 266397,
  [SMALL_STATE(3775)] = 266447,
  [SMALL_STATE(3776)] = 266495,
  [SMALL_STATE(3777)] = 266545,
  [SMALL_STATE(3778)] = 266593,
  [SMALL_STATE(3779)] = 266641,
  [SMALL_STATE(3780)] = 266689,
  [SMALL_STATE(3781)] = 266737,
  [SMALL_STATE(3782)] = 266785,
  [SMALL_STATE(3783)] = 266873,
  [SMALL_STATE(3784)] = 266921,
  [SMALL_STATE(3785)] = 266969,
  [SMALL_STATE(3786)] = 267043,
  [SMALL_STATE(3787)] = 267131,
  [SMALL_STATE(3788)] = 267179,
  [SMALL_STATE(3789)] = 267227,
  [SMALL_STATE(3790)] = 267275,
  [SMALL_STATE(3791)] = 267323,
  [SMALL_STATE(3792)] = 267371,
  [SMALL_STATE(3793)] = 267419,
  [SMALL_STATE(3794)] = 267467,
  [SMALL_STATE(3795)] = 267515,
  [SMALL_STATE(3796)] = 267603,
  [SMALL_STATE(3797)] = 267651,
  [SMALL_STATE(3798)] = 267699,
  [SMALL_STATE(3799)] = 267747,
  [SMALL_STATE(3800)] = 267795,
  [SMALL_STATE(3801)] = 267843,
  [SMALL_STATE(3802)] = 267891,
  [SMALL_STATE(3803)] = 267939,
  [SMALL_STATE(3804)] = 267987,
  [SMALL_STATE(3805)] = 268035,
  [SMALL_STATE(3806)] = 268083,
  [SMALL_STATE(3807)] = 268131,
  [SMALL_STATE(3808)] = 268179,
  [SMALL_STATE(3809)] = 268267,
  [SMALL_STATE(3810)] = 268315,
  [SMALL_STATE(3811)] = 268363,
  [SMALL_STATE(3812)] = 268449,
  [SMALL_STATE(3813)] = 268497,
  [SMALL_STATE(3814)] = 268585,
  [SMALL_STATE(3815)] = 268633,
  [SMALL_STATE(3816)] = 268721,
  [SMALL_STATE(3817)] = 268769,
  [SMALL_STATE(3818)] = 268851,
  [SMALL_STATE(3819)] = 268899,
  [SMALL_STATE(3820)] = 268947,
  [SMALL_STATE(3821)] = 268995,
  [SMALL_STATE(3822)] = 269043,
  [SMALL_STATE(3823)] = 269091,
  [SMALL_STATE(3824)] = 269139,
  [SMALL_STATE(3825)] = 269187,
  [SMALL_STATE(3826)] = 269275,
  [SMALL_STATE(3827)] = 269363,
  [SMALL_STATE(3828)] = 269411,
  [SMALL_STATE(3829)] = 269459,
  [SMALL_STATE(3830)] = 269547,
  [SMALL_STATE(3831)] = 269595,
  [SMALL_STATE(3832)] = 269645,
  [SMALL_STATE(3833)] = 269693,
  [SMALL_STATE(3834)] = 269741,
  [SMALL_STATE(3835)] = 269791,
  [SMALL_STATE(3836)] = 269839,
  [SMALL_STATE(3837)] = 269887,
  [SMALL_STATE(3838)] = 269935,
  [SMALL_STATE(3839)] = 269983,
  [SMALL_STATE(3840)] = 270031,
  [SMALL_STATE(3841)] = 270081,
  [SMALL_STATE(3842)] = 270129,
  [SMALL_STATE(3843)] = 270177,
  [SMALL_STATE(3844)] = 270225,
  [SMALL_STATE(3845)] = 270275,
  [SMALL_STATE(3846)] = 270323,
  [SMALL_STATE(3847)] = 270373,
  [SMALL_STATE(3848)] = 270421,
  [SMALL_STATE(3849)] = 270469,
  [SMALL_STATE(3850)] = 270517,
  [SMALL_STATE(3851)] = 270565,
  [SMALL_STATE(3852)] = 270613,
  [SMALL_STATE(3853)] = 270663,
  [SMALL_STATE(3854)] = 270711,
  [SMALL_STATE(3855)] = 270761,
  [SMALL_STATE(3856)] = 270835,
  [SMALL_STATE(3857)] = 270885,
  [SMALL_STATE(3858)] = 270959,
  [SMALL_STATE(3859)] = 271009,
  [SMALL_STATE(3860)] = 271097,
  [SMALL_STATE(3861)] = 271147,
  [SMALL_STATE(3862)] = 271197,
  [SMALL_STATE(3863)] = 271247,
  [SMALL_STATE(3864)] = 271297,
  [SMALL_STATE(3865)] = 271347,
  [SMALL_STATE(3866)] = 271397,
  [SMALL_STATE(3867)] = 271447,
  [SMALL_STATE(3868)] = 271495,
  [SMALL_STATE(3869)] = 271543,
  [SMALL_STATE(3870)] = 271631,
  [SMALL_STATE(3871)] = 271679,
  [SMALL_STATE(3872)] = 271727,
  [SMALL_STATE(3873)] = 271815,
  [SMALL_STATE(3874)] = 271903,
  [SMALL_STATE(3875)] = 271951,
  [SMALL_STATE(3876)] = 271999,
  [SMALL_STATE(3877)] = 272049,
  [SMALL_STATE(3878)] = 272099,
  [SMALL_STATE(3879)] = 272147,
  [SMALL_STATE(3880)] = 272195,
  [SMALL_STATE(3881)] = 272243,
  [SMALL_STATE(3882)] = 272291,
  [SMALL_STATE(3883)] = 272339,
  [SMALL_STATE(3884)] = 272387,
  [SMALL_STATE(3885)] = 272435,
  [SMALL_STATE(3886)] = 272483,
  [SMALL_STATE(3887)] = 272531,
  [SMALL_STATE(3888)] = 272579,
  [SMALL_STATE(3889)] = 272629,
  [SMALL_STATE(3890)] = 272679,
  [SMALL_STATE(3891)] = 272729,
  [SMALL_STATE(3892)] = 272817,
  [SMALL_STATE(3893)] = 272865,
  [SMALL_STATE(3894)] = 272912,
  [SMALL_STATE(3895)] = 272959,
  [SMALL_STATE(3896)] = 273006,
  [SMALL_STATE(3897)] = 273053,
  [SMALL_STATE(3898)] = 273138,
  [SMALL_STATE(3899)] = 273223,
  [SMALL_STATE(3900)] = 273270,
  [SMALL_STATE(3901)] = 273317,
  [SMALL_STATE(3902)] = 273364,
  [SMALL_STATE(3903)] = 273411,
  [SMALL_STATE(3904)] = 273458,
  [SMALL_STATE(3905)] = 273505,
  [SMALL_STATE(3906)] = 273552,
  [SMALL_STATE(3907)] = 273637,
  [SMALL_STATE(3908)] = 273722,
  [SMALL_STATE(3909)] = 273807,
  [SMALL_STATE(3910)] = 273892,
  [SMALL_STATE(3911)] = 273977,
  [SMALL_STATE(3912)] = 274024,
  [SMALL_STATE(3913)] = 274071,
  [SMALL_STATE(3914)] = 274118,
  [SMALL_STATE(3915)] = 274165,
  [SMALL_STATE(3916)] = 274250,
  [SMALL_STATE(3917)] = 274297,
  [SMALL_STATE(3918)] = 274344,
  [SMALL_STATE(3919)] = 274391,
  [SMALL_STATE(3920)] = 274438,
  [SMALL_STATE(3921)] = 274523,
  [SMALL_STATE(3922)] = 274570,
  [SMALL_STATE(3923)] = 274617,
  [SMALL_STATE(3924)] = 274664,
  [SMALL_STATE(3925)] = 274749,
  [SMALL_STATE(3926)] = 274796,
  [SMALL_STATE(3927)] = 274881,
  [SMALL_STATE(3928)] = 274928,
  [SMALL_STATE(3929)] = 275013,
  [SMALL_STATE(3930)] = 275060,
  [SMALL_STATE(3931)] = 275107,
  [SMALL_STATE(3932)] = 275192,
  [SMALL_STATE(3933)] = 275273,
  [SMALL_STATE(3934)] = 275320,
  [SMALL_STATE(3935)] = 275367,
  [SMALL_STATE(3936)] = 275414,
  [SMALL_STATE(3937)] = 275499,
  [SMALL_STATE(3938)] = 275546,
  [SMALL_STATE(3939)] = 275631,
  [SMALL_STATE(3940)] = 275678,
  [SMALL_STATE(3941)] = 275725,
  [SMALL_STATE(3942)] = 275772,
  [SMALL_STATE(3943)] = 275819,
  [SMALL_STATE(3944)] = 275866,
  [SMALL_STATE(3945)] = 275913,
  [SMALL_STATE(3946)] = 275960,
  [SMALL_STATE(3947)] = 276045,
  [SMALL_STATE(3948)] = 276092,
  [SMALL_STATE(3949)] = 276177,
  [SMALL_STATE(3950)] = 276224,
  [SMALL_STATE(3951)] = 276309,
  [SMALL_STATE(3952)] = 276356,
  [SMALL_STATE(3953)] = 276403,
  [SMALL_STATE(3954)] = 276450,
  [SMALL_STATE(3955)] = 276497,
  [SMALL_STATE(3956)] = 276544,
  [SMALL_STATE(3957)] = 276591,
  [SMALL_STATE(3958)] = 276638,
  [SMALL_STATE(3959)] = 276685,
  [SMALL_STATE(3960)] = 276732,
  [SMALL_STATE(3961)] = 276779,
  [SMALL_STATE(3962)] = 276826,
  [SMALL_STATE(3963)] = 276873,
  [SMALL_STATE(3964)] = 276920,
  [SMALL_STATE(3965)] = 276967,
  [SMALL_STATE(3966)] = 277014,
  [SMALL_STATE(3967)] = 277099,
  [SMALL_STATE(3968)] = 277184,
  [SMALL_STATE(3969)] = 277231,
  [SMALL_STATE(3970)] = 277278,
  [SMALL_STATE(3971)] = 277325,
  [SMALL_STATE(3972)] = 277410,
  [SMALL_STATE(3973)] = 277457,
  [SMALL_STATE(3974)] = 277504,
  [SMALL_STATE(3975)] = 277551,
  [SMALL_STATE(3976)] = 277598,
  [SMALL_STATE(3977)] = 277683,
  [SMALL_STATE(3978)] = 277768,
  [SMALL_STATE(3979)] = 277815,
  [SMALL_STATE(3980)] = 277862,
  [SMALL_STATE(3981)] = 277909,
  [SMALL_STATE(3982)] = 277956,
  [SMALL_STATE(3983)] = 278003,
  [SMALL_STATE(3984)] = 278050,
  [SMALL_STATE(3985)] = 278097,
  [SMALL_STATE(3986)] = 278144,
  [SMALL_STATE(3987)] = 278191,
  [SMALL_STATE(3988)] = 278238,
  [SMALL_STATE(3989)] = 278285,
  [SMALL_STATE(3990)] = 278370,
  [SMALL_STATE(3991)] = 278417,
  [SMALL_STATE(3992)] = 278464,
  [SMALL_STATE(3993)] = 278549,
  [SMALL_STATE(3994)] = 278596,
  [SMALL_STATE(3995)] = 278643,
  [SMALL_STATE(3996)] = 278690,
  [SMALL_STATE(3997)] = 278737,
  [SMALL_STATE(3998)] = 278784,
  [SMALL_STATE(3999)] = 278831,
  [SMALL_STATE(4000)] = 278916,
  [SMALL_STATE(4001)] = 278963,
  [SMALL_STATE(4002)] = 279048,
  [SMALL_STATE(4003)] = 279133,
  [SMALL_STATE(4004)] = 279218,
  [SMALL_STATE(4005)] = 279265,
  [SMALL_STATE(4006)] = 279350,
  [SMALL_STATE(4007)] = 279435,
  [SMALL_STATE(4008)] = 279520,
  [SMALL_STATE(4009)] = 279605,
  [SMALL_STATE(4010)] = 279690,
  [SMALL_STATE(4011)] = 279775,
  [SMALL_STATE(4012)] = 279860,
  [SMALL_STATE(4013)] = 279907,
  [SMALL_STATE(4014)] = 279954,
  [SMALL_STATE(4015)] = 280001,
  [SMALL_STATE(4016)] = 280086,
  [SMALL_STATE(4017)] = 280133,
  [SMALL_STATE(4018)] = 280218,
  [SMALL_STATE(4019)] = 280303,
  [SMALL_STATE(4020)] = 280388,
  [SMALL_STATE(4021)] = 280469,
  [SMALL_STATE(4022)] = 280516,
  [SMALL_STATE(4023)] = 280563,
  [SMALL_STATE(4024)] = 280610,
  [SMALL_STATE(4025)] = 280657,
  [SMALL_STATE(4026)] = 280712,
  [SMALL_STATE(4027)] = 280759,
  [SMALL_STATE(4028)] = 280806,
  [SMALL_STATE(4029)] = 280891,
  [SMALL_STATE(4030)] = 280976,
  [SMALL_STATE(4031)] = 281023,
  [SMALL_STATE(4032)] = 281070,
  [SMALL_STATE(4033)] = 281117,
  [SMALL_STATE(4034)] = 281202,
  [SMALL_STATE(4035)] = 281287,
  [SMALL_STATE(4036)] = 281372,
  [SMALL_STATE(4037)] = 281457,
  [SMALL_STATE(4038)] = 281504,
  [SMALL_STATE(4039)] = 281551,
  [SMALL_STATE(4040)] = 281598,
  [SMALL_STATE(4041)] = 281683,
  [SMALL_STATE(4042)] = 281730,
  [SMALL_STATE(4043)] = 281777,
  [SMALL_STATE(4044)] = 281858,
  [SMALL_STATE(4045)] = 281943,
  [SMALL_STATE(4046)] = 282028,
  [SMALL_STATE(4047)] = 282075,
  [SMALL_STATE(4048)] = 282160,
  [SMALL_STATE(4049)] = 282207,
  [SMALL_STATE(4050)] = 282254,
  [SMALL_STATE(4051)] = 282301,
  [SMALL_STATE(4052)] = 282348,
  [SMALL_STATE(4053)] = 282433,
  [SMALL_STATE(4054)] = 282480,
  [SMALL_STATE(4055)] = 282527,
  [SMALL_STATE(4056)] = 282574,
  [SMALL_STATE(4057)] = 282621,
  [SMALL_STATE(4058)] = 282668,
  [SMALL_STATE(4059)] = 282715,
  [SMALL_STATE(4060)] = 282762,
  [SMALL_STATE(4061)] = 282809,
  [SMALL_STATE(4062)] = 282856,
  [SMALL_STATE(4063)] = 282903,
  [SMALL_STATE(4064)] = 282950,
  [SMALL_STATE(4065)] = 282997,
  [SMALL_STATE(4066)] = 283044,
  [SMALL_STATE(4067)] = 283091,
  [SMALL_STATE(4068)] = 283138,
  [SMALL_STATE(4069)] = 283185,
  [SMALL_STATE(4070)] = 283232,
  [SMALL_STATE(4071)] = 283279,
  [SMALL_STATE(4072)] = 283326,
  [SMALL_STATE(4073)] = 283411,
  [SMALL_STATE(4074)] = 283458,
  [SMALL_STATE(4075)] = 283505,
  [SMALL_STATE(4076)] = 283552,
  [SMALL_STATE(4077)] = 283599,
  [SMALL_STATE(4078)] = 283646,
  [SMALL_STATE(4079)] = 283693,
  [SMALL_STATE(4080)] = 283740,
  [SMALL_STATE(4081)] = 283787,
  [SMALL_STATE(4082)] = 283834,
  [SMALL_STATE(4083)] = 283881,
  [SMALL_STATE(4084)] = 283928,
  [SMALL_STATE(4085)] = 283975,
  [SMALL_STATE(4086)] = 284022,
  [SMALL_STATE(4087)] = 284069,
  [SMALL_STATE(4088)] = 284154,
  [SMALL_STATE(4089)] = 284201,
  [SMALL_STATE(4090)] = 284248,
  [SMALL_STATE(4091)] = 284295,
  [SMALL_STATE(4092)] = 284342,
  [SMALL_STATE(4093)] = 284427,
  [SMALL_STATE(4094)] = 284474,
  [SMALL_STATE(4095)] = 284521,
  [SMALL_STATE(4096)] = 284568,
  [SMALL_STATE(4097)] = 284615,
  [SMALL_STATE(4098)] = 284662,
  [SMALL_STATE(4099)] = 284709,
  [SMALL_STATE(4100)] = 284756,
  [SMALL_STATE(4101)] = 284841,
  [SMALL_STATE(4102)] = 284888,
  [SMALL_STATE(4103)] = 284935,
  [SMALL_STATE(4104)] = 284982,
  [SMALL_STATE(4105)] = 285029,
  [SMALL_STATE(4106)] = 285076,
  [SMALL_STATE(4107)] = 285123,
  [SMALL_STATE(4108)] = 285170,
  [SMALL_STATE(4109)] = 285217,
  [SMALL_STATE(4110)] = 285264,
  [SMALL_STATE(4111)] = 285311,
  [SMALL_STATE(4112)] = 285358,
  [SMALL_STATE(4113)] = 285405,
  [SMALL_STATE(4114)] = 285452,
  [SMALL_STATE(4115)] = 285499,
  [SMALL_STATE(4116)] = 285546,
  [SMALL_STATE(4117)] = 285593,
  [SMALL_STATE(4118)] = 285640,
  [SMALL_STATE(4119)] = 285687,
  [SMALL_STATE(4120)] = 285734,
  [SMALL_STATE(4121)] = 285781,
  [SMALL_STATE(4122)] = 285828,
  [SMALL_STATE(4123)] = 285875,
  [SMALL_STATE(4124)] = 285922,
  [SMALL_STATE(4125)] = 285969,
  [SMALL_STATE(4126)] = 286054,
  [SMALL_STATE(4127)] = 286101,
  [SMALL_STATE(4128)] = 286148,
  [SMALL_STATE(4129)] = 286233,
  [SMALL_STATE(4130)] = 286280,
  [SMALL_STATE(4131)] = 286365,
  [SMALL_STATE(4132)] = 286425,
  [SMALL_STATE(4133)] = 286505,
  [SMALL_STATE(4134)] = 286551,
  [SMALL_STATE(4135)] = 286597,
  [SMALL_STATE(4136)] = 286643,
  [SMALL_STATE(4137)] = 286701,
  [SMALL_STATE(4138)] = 286747,
  [SMALL_STATE(4139)] = 286793,
  [SMALL_STATE(4140)] = 286873,
  [SMALL_STATE(4141)] = 286919,
  [SMALL_STATE(4142)] = 286971,
  [SMALL_STATE(4143)] = 287051,
  [SMALL_STATE(4144)] = 287131,
  [SMALL_STATE(4145)] = 287211,
  [SMALL_STATE(4146)] = 287291,
  [SMALL_STATE(4147)] = 287371,
  [SMALL_STATE(4148)] = 287443,
  [SMALL_STATE(4149)] = 287495,
  [SMALL_STATE(4150)] = 287547,
  [SMALL_STATE(4151)] = 287599,
  [SMALL_STATE(4152)] = 287671,
  [SMALL_STATE(4153)] = 287743,
  [SMALL_STATE(4154)] = 287795,
  [SMALL_STATE(4155)] = 287847,
  [SMALL_STATE(4156)] = 287899,
  [SMALL_STATE(4157)] = 287959,
  [SMALL_STATE(4158)] = 288031,
  [SMALL_STATE(4159)] = 288081,
  [SMALL_STATE(4160)] = 288133,
  [SMALL_STATE(4161)] = 288179,
  [SMALL_STATE(4162)] = 288251,
  [SMALL_STATE(4163)] = 288323,
  [SMALL_STATE(4164)] = 288395,
  [SMALL_STATE(4165)] = 288444,
  [SMALL_STATE(4166)] = 288523,
  [SMALL_STATE(4167)] = 288602,
  [SMALL_STATE(4168)] = 288681,
  [SMALL_STATE(4169)] = 288760,
  [SMALL_STATE(4170)] = 288839,
  [SMALL_STATE(4171)] = 288930,
  [SMALL_STATE(4172)] = 289009,
  [SMALL_STATE(4173)] = 289088,
  [SMALL_STATE(4174)] = 289179,
  [SMALL_STATE(4175)] = 289258,
  [SMALL_STATE(4176)] = 289337,
  [SMALL_STATE(4177)] = 289408,
  [SMALL_STATE(4178)] = 289487,
  [SMALL_STATE(4179)] = 289566,
  [SMALL_STATE(4180)] = 289645,
  [SMALL_STATE(4181)] = 289724,
  [SMALL_STATE(4182)] = 289771,
  [SMALL_STATE(4183)] = 289824,
  [SMALL_STATE(4184)] = 289871,
  [SMALL_STATE(4185)] = 289942,
  [SMALL_STATE(4186)] = 290013,
  [SMALL_STATE(4187)] = 290092,
  [SMALL_STATE(4188)] = 290171,
  [SMALL_STATE(4189)] = 290262,
  [SMALL_STATE(4190)] = 290341,
  [SMALL_STATE(4191)] = 290420,
  [SMALL_STATE(4192)] = 290499,
  [SMALL_STATE(4193)] = 290578,
  [SMALL_STATE(4194)] = 290657,
  [SMALL_STATE(4195)] = 290736,
  [SMALL_STATE(4196)] = 290815,
  [SMALL_STATE(4197)] = 290894,
  [SMALL_STATE(4198)] = 290945,
  [SMALL_STATE(4199)] = 291024,
  [SMALL_STATE(4200)] = 291103,
  [SMALL_STATE(4201)] = 291182,
  [SMALL_STATE(4202)] = 291261,
  [SMALL_STATE(4203)] = 291340,
  [SMALL_STATE(4204)] = 291419,
  [SMALL_STATE(4205)] = 291498,
  [SMALL_STATE(4206)] = 291577,
  [SMALL_STATE(4207)] = 291656,
  [SMALL_STATE(4208)] = 291735,
  [SMALL_STATE(4209)] = 291814,
  [SMALL_STATE(4210)] = 291893,
  [SMALL_STATE(4211)] = 291972,
  [SMALL_STATE(4212)] = 292021,
  [SMALL_STATE(4213)] = 292100,
  [SMALL_STATE(4214)] = 292179,
  [SMALL_STATE(4215)] = 292258,
  [SMALL_STATE(4216)] = 292337,
  [SMALL_STATE(4217)] = 292416,
  [SMALL_STATE(4218)] = 292495,
  [SMALL_STATE(4219)] = 292574,
  [SMALL_STATE(4220)] = 292653,
  [SMALL_STATE(4221)] = 292732,
  [SMALL_STATE(4222)] = 292811,
  [SMALL_STATE(4223)] = 292860,
  [SMALL_STATE(4224)] = 292909,
  [SMALL_STATE(4225)] = 292988,
  [SMALL_STATE(4226)] = 293067,
  [SMALL_STATE(4227)] = 293146,
  [SMALL_STATE(4228)] = 293225,
  [SMALL_STATE(4229)] = 293304,
  [SMALL_STATE(4230)] = 293349,
  [SMALL_STATE(4231)] = 293428,
  [SMALL_STATE(4232)] = 293507,
  [SMALL_STATE(4233)] = 293586,
  [SMALL_STATE(4234)] = 293665,
  [SMALL_STATE(4235)] = 293744,
  [SMALL_STATE(4236)] = 293823,
  [SMALL_STATE(4237)] = 293902,
  [SMALL_STATE(4238)] = 293981,
  [SMALL_STATE(4239)] = 294072,
  [SMALL_STATE(4240)] = 294151,
  [SMALL_STATE(4241)] = 294230,
  [SMALL_STATE(4242)] = 294309,
  [SMALL_STATE(4243)] = 294388,
  [SMALL_STATE(4244)] = 294467,
  [SMALL_STATE(4245)] = 294546,
  [SMALL_STATE(4246)] = 294625,
  [SMALL_STATE(4247)] = 294704,
  [SMALL_STATE(4248)] = 294783,
  [SMALL_STATE(4249)] = 294828,
  [SMALL_STATE(4250)] = 294907,
  [SMALL_STATE(4251)] = 294956,
  [SMALL_STATE(4252)] = 295035,
  [SMALL_STATE(4253)] = 295114,
  [SMALL_STATE(4254)] = 295193,
  [SMALL_STATE(4255)] = 295272,
  [SMALL_STATE(4256)] = 295351,
  [SMALL_STATE(4257)] = 295430,
  [SMALL_STATE(4258)] = 295501,
  [SMALL_STATE(4259)] = 295580,
  [SMALL_STATE(4260)] = 295659,
  [SMALL_STATE(4261)] = 295738,
  [SMALL_STATE(4262)] = 295787,
  [SMALL_STATE(4263)] = 295866,
  [SMALL_STATE(4264)] = 295945,
  [SMALL_STATE(4265)] = 296024,
  [SMALL_STATE(4266)] = 296103,
  [SMALL_STATE(4267)] = 296174,
  [SMALL_STATE(4268)] = 296253,
  [SMALL_STATE(4269)] = 296332,
  [SMALL_STATE(4270)] = 296411,
  [SMALL_STATE(4271)] = 296454,
  [SMALL_STATE(4272)] = 296533,
  [SMALL_STATE(4273)] = 296582,
  [SMALL_STATE(4274)] = 296631,
  [SMALL_STATE(4275)] = 296710,
  [SMALL_STATE(4276)] = 296759,
  [SMALL_STATE(4277)] = 296838,
  [SMALL_STATE(4278)] = 296917,
  [SMALL_STATE(4279)] = 296996,
  [SMALL_STATE(4280)] = 297075,
  [SMALL_STATE(4281)] = 297154,
  [SMALL_STATE(4282)] = 297245,
  [SMALL_STATE(4283)] = 297324,
  [SMALL_STATE(4284)] = 297403,
  [SMALL_STATE(4285)] = 297482,
  [SMALL_STATE(4286)] = 297531,
  [SMALL_STATE(4287)] = 297580,
  [SMALL_STATE(4288)] = 297651,
  [SMALL_STATE(4289)] = 297700,
  [SMALL_STATE(4290)] = 297779,
  [SMALL_STATE(4291)] = 297858,
  [SMALL_STATE(4292)] = 297937,
  [SMALL_STATE(4293)] = 298016,
  [SMALL_STATE(4294)] = 298095,
  [SMALL_STATE(4295)] = 298174,
  [SMALL_STATE(4296)] = 298245,
  [SMALL_STATE(4297)] = 298324,
  [SMALL_STATE(4298)] = 298403,
  [SMALL_STATE(4299)] = 298482,
  [SMALL_STATE(4300)] = 298561,
  [SMALL_STATE(4301)] = 298640,
  [SMALL_STATE(4302)] = 298689,
  [SMALL_STATE(4303)] = 298768,
  [SMALL_STATE(4304)] = 298847,
  [SMALL_STATE(4305)] = 298926,
  [SMALL_STATE(4306)] = 299005,
  [SMALL_STATE(4307)] = 299084,
  [SMALL_STATE(4308)] = 299163,
  [SMALL_STATE(4309)] = 299254,
  [SMALL_STATE(4310)] = 299333,
  [SMALL_STATE(4311)] = 299412,
  [SMALL_STATE(4312)] = 299491,
  [SMALL_STATE(4313)] = 299537,
  [SMALL_STATE(4314)] = 299583,
  [SMALL_STATE(4315)] = 299629,
  [SMALL_STATE(4316)] = 299675,
  [SMALL_STATE(4317)] = 299721,
  [SMALL_STATE(4318)] = 299767,
  [SMALL_STATE(4319)] = 299813,
  [SMALL_STATE(4320)] = 299857,
  [SMALL_STATE(4321)] = 299903,
  [SMALL_STATE(4322)] = 299949,
  [SMALL_STATE(4323)] = 299995,
  [SMALL_STATE(4324)] = 300041,
  [SMALL_STATE(4325)] = 300087,
  [SMALL_STATE(4326)] = 300133,
  [SMALL_STATE(4327)] = 300179,
  [SMALL_STATE(4328)] = 300225,
  [SMALL_STATE(4329)] = 300271,
  [SMALL_STATE(4330)] = 300317,
  [SMALL_STATE(4331)] = 300363,
  [SMALL_STATE(4332)] = 300409,
  [SMALL_STATE(4333)] = 300457,
  [SMALL_STATE(4334)] = 300501,
  [SMALL_STATE(4335)] = 300545,
  [SMALL_STATE(4336)] = 300597,
  [SMALL_STATE(4337)] = 300643,
  [SMALL_STATE(4338)] = 300689,
  [SMALL_STATE(4339)] = 300735,
  [SMALL_STATE(4340)] = 300781,
  [SMALL_STATE(4341)] = 300857,
  [SMALL_STATE(4342)] = 300903,
  [SMALL_STATE(4343)] = 300953,
  [SMALL_STATE(4344)] = 300999,
  [SMALL_STATE(4345)] = 301045,
  [SMALL_STATE(4346)] = 301091,
  [SMALL_STATE(4347)] = 301143,
  [SMALL_STATE(4348)] = 301189,
  [SMALL_STATE(4349)] = 301237,
  [SMALL_STATE(4350)] = 301283,
  [SMALL_STATE(4351)] = 301327,
  [SMALL_STATE(4352)] = 301373,
  [SMALL_STATE(4353)] = 301419,
  [SMALL_STATE(4354)] = 301465,
  [SMALL_STATE(4355)] = 301509,
  [SMALL_STATE(4356)] = 301553,
  [SMALL_STATE(4357)] = 301599,
  [SMALL_STATE(4358)] = 301643,
  [SMALL_STATE(4359)] = 301719,
  [SMALL_STATE(4360)] = 301765,
  [SMALL_STATE(4361)] = 301811,
  [SMALL_STATE(4362)] = 301887,
  [SMALL_STATE(4363)] = 301933,
  [SMALL_STATE(4364)] = 301977,
  [SMALL_STATE(4365)] = 302021,
  [SMALL_STATE(4366)] = 302106,
  [SMALL_STATE(4367)] = 302149,
  [SMALL_STATE(4368)] = 302192,
  [SMALL_STATE(4369)] = 302235,
  [SMALL_STATE(4370)] = 302278,
  [SMALL_STATE(4371)] = 302321,
  [SMALL_STATE(4372)] = 302364,
  [SMALL_STATE(4373)] = 302407,
  [SMALL_STATE(4374)] = 302450,
  [SMALL_STATE(4375)] = 302493,
  [SMALL_STATE(4376)] = 302536,
  [SMALL_STATE(4377)] = 302621,
  [SMALL_STATE(4378)] = 302664,
  [SMALL_STATE(4379)] = 302707,
  [SMALL_STATE(4380)] = 302750,
  [SMALL_STATE(4381)] = 302793,
  [SMALL_STATE(4382)] = 302836,
  [SMALL_STATE(4383)] = 302879,
  [SMALL_STATE(4384)] = 302922,
  [SMALL_STATE(4385)] = 303007,
  [SMALL_STATE(4386)] = 303050,
  [SMALL_STATE(4387)] = 303093,
  [SMALL_STATE(4388)] = 303136,
  [SMALL_STATE(4389)] = 303179,
  [SMALL_STATE(4390)] = 303222,
  [SMALL_STATE(4391)] = 303265,
  [SMALL_STATE(4392)] = 303308,
  [SMALL_STATE(4393)] = 303351,
  [SMALL_STATE(4394)] = 303394,
  [SMALL_STATE(4395)] = 303437,
  [SMALL_STATE(4396)] = 303480,
  [SMALL_STATE(4397)] = 303523,
  [SMALL_STATE(4398)] = 303566,
  [SMALL_STATE(4399)] = 303609,
  [SMALL_STATE(4400)] = 303652,
  [SMALL_STATE(4401)] = 303695,
  [SMALL_STATE(4402)] = 303738,
  [SMALL_STATE(4403)] = 303781,
  [SMALL_STATE(4404)] = 303824,
  [SMALL_STATE(4405)] = 303867,
  [SMALL_STATE(4406)] = 303910,
  [SMALL_STATE(4407)] = 303953,
  [SMALL_STATE(4408)] = 303996,
  [SMALL_STATE(4409)] = 304039,
  [SMALL_STATE(4410)] = 304082,
  [SMALL_STATE(4411)] = 304125,
  [SMALL_STATE(4412)] = 304210,
  [SMALL_STATE(4413)] = 304253,
  [SMALL_STATE(4414)] = 304298,
  [SMALL_STATE(4415)] = 304383,
  [SMALL_STATE(4416)] = 304426,
  [SMALL_STATE(4417)] = 304469,
  [SMALL_STATE(4418)] = 304512,
  [SMALL_STATE(4419)] = 304597,
  [SMALL_STATE(4420)] = 304640,
  [SMALL_STATE(4421)] = 304683,
  [SMALL_STATE(4422)] = 304726,
  [SMALL_STATE(4423)] = 304769,
  [SMALL_STATE(4424)] = 304812,
  [SMALL_STATE(4425)] = 304855,
  [SMALL_STATE(4426)] = 304900,
  [SMALL_STATE(4427)] = 304943,
  [SMALL_STATE(4428)] = 304986,
  [SMALL_STATE(4429)] = 305029,
  [SMALL_STATE(4430)] = 305072,
  [SMALL_STATE(4431)] = 305115,
  [SMALL_STATE(4432)] = 305158,
  [SMALL_STATE(4433)] = 305201,
  [SMALL_STATE(4434)] = 305244,
  [SMALL_STATE(4435)] = 305287,
  [SMALL_STATE(4436)] = 305330,
  [SMALL_STATE(4437)] = 305373,
  [SMALL_STATE(4438)] = 305416,
  [SMALL_STATE(4439)] = 305459,
  [SMALL_STATE(4440)] = 305502,
  [SMALL_STATE(4441)] = 305545,
  [SMALL_STATE(4442)] = 305588,
  [SMALL_STATE(4443)] = 305631,
  [SMALL_STATE(4444)] = 305674,
  [SMALL_STATE(4445)] = 305717,
  [SMALL_STATE(4446)] = 305760,
  [SMALL_STATE(4447)] = 305803,
  [SMALL_STATE(4448)] = 305846,
  [SMALL_STATE(4449)] = 305889,
  [SMALL_STATE(4450)] = 305932,
  [SMALL_STATE(4451)] = 305975,
  [SMALL_STATE(4452)] = 306018,
  [SMALL_STATE(4453)] = 306061,
  [SMALL_STATE(4454)] = 306104,
  [SMALL_STATE(4455)] = 306147,
  [SMALL_STATE(4456)] = 306190,
  [SMALL_STATE(4457)] = 306233,
  [SMALL_STATE(4458)] = 306276,
  [SMALL_STATE(4459)] = 306319,
  [SMALL_STATE(4460)] = 306362,
  [SMALL_STATE(4461)] = 306405,
  [SMALL_STATE(4462)] = 306448,
  [SMALL_STATE(4463)] = 306491,
  [SMALL_STATE(4464)] = 306534,
  [SMALL_STATE(4465)] = 306577,
  [SMALL_STATE(4466)] = 306620,
  [SMALL_STATE(4467)] = 306663,
  [SMALL_STATE(4468)] = 306706,
  [SMALL_STATE(4469)] = 306749,
  [SMALL_STATE(4470)] = 306792,
  [SMALL_STATE(4471)] = 306835,
  [SMALL_STATE(4472)] = 306876,
  [SMALL_STATE(4473)] = 306919,
  [SMALL_STATE(4474)] = 306962,
  [SMALL_STATE(4475)] = 307005,
  [SMALL_STATE(4476)] = 307048,
  [SMALL_STATE(4477)] = 307091,
  [SMALL_STATE(4478)] = 307134,
  [SMALL_STATE(4479)] = 307177,
  [SMALL_STATE(4480)] = 307220,
  [SMALL_STATE(4481)] = 307263,
  [SMALL_STATE(4482)] = 307305,
  [SMALL_STATE(4483)] = 307381,
  [SMALL_STATE(4484)] = 307421,
  [SMALL_STATE(4485)] = 307463,
  [SMALL_STATE(4486)] = 307505,
  [SMALL_STATE(4487)] = 307547,
  [SMALL_STATE(4488)] = 307623,
  [SMALL_STATE(4489)] = 307699,
  [SMALL_STATE(4490)] = 307741,
  [SMALL_STATE(4491)] = 307817,
  [SMALL_STATE(4492)] = 307859,
  [SMALL_STATE(4493)] = 307901,
  [SMALL_STATE(4494)] = 307941,
  [SMALL_STATE(4495)] = 307983,
  [SMALL_STATE(4496)] = 308025,
  [SMALL_STATE(4497)] = 308067,
  [SMALL_STATE(4498)] = 308109,
  [SMALL_STATE(4499)] = 308151,
  [SMALL_STATE(4500)] = 308193,
  [SMALL_STATE(4501)] = 308235,
  [SMALL_STATE(4502)] = 308277,
  [SMALL_STATE(4503)] = 308317,
  [SMALL_STATE(4504)] = 308357,
  [SMALL_STATE(4505)] = 308399,
  [SMALL_STATE(4506)] = 308441,
  [SMALL_STATE(4507)] = 308504,
  [SMALL_STATE(4508)] = 308543,
  [SMALL_STATE(4509)] = 308604,
  [SMALL_STATE(4510)] = 308645,
  [SMALL_STATE(4511)] = 308684,
  [SMALL_STATE(4512)] = 308723,
  [SMALL_STATE(4513)] = 308762,
  [SMALL_STATE(4514)] = 308809,
  [SMALL_STATE(4515)] = 308848,
  [SMALL_STATE(4516)] = 308887,
  [SMALL_STATE(4517)] = 308933,
  [SMALL_STATE(4518)] = 308979,
  [SMALL_STATE(4519)] = 309039,
  [SMALL_STATE(4520)] = 309085,
  [SMALL_STATE(4521)] = 309123,
  [SMALL_STATE(4522)] = 309163,
  [SMALL_STATE(4523)] = 309209,
  [SMALL_STATE(4524)] = 309255,
  [SMALL_STATE(4525)] = 309317,
  [SMALL_STATE(4526)] = 309355,
  [SMALL_STATE(4527)] = 309401,
  [SMALL_STATE(4528)] = 309447,
  [SMALL_STATE(4529)] = 309487,
  [SMALL_STATE(4530)] = 309533,
  [SMALL_STATE(4531)] = 309575,
  [SMALL_STATE(4532)] = 309621,
  [SMALL_STATE(4533)] = 309667,
  [SMALL_STATE(4534)] = 309713,
  [SMALL_STATE(4535)] = 309759,
  [SMALL_STATE(4536)] = 309797,
  [SMALL_STATE(4537)] = 309843,
  [SMALL_STATE(4538)] = 309889,
  [SMALL_STATE(4539)] = 309935,
  [SMALL_STATE(4540)] = 309981,
  [SMALL_STATE(4541)] = 310027,
  [SMALL_STATE(4542)] = 310073,
  [SMALL_STATE(4543)] = 310119,
  [SMALL_STATE(4544)] = 310168,
  [SMALL_STATE(4545)] = 310211,
  [SMALL_STATE(4546)] = 310260,
  [SMALL_STATE(4547)] = 310309,
  [SMALL_STATE(4548)] = 310348,
  [SMALL_STATE(4549)] = 310421,
  [SMALL_STATE(4550)] = 310494,
  [SMALL_STATE(4551)] = 310567,
  [SMALL_STATE(4552)] = 310610,
  [SMALL_STATE(4553)] = 310683,
  [SMALL_STATE(4554)] = 310732,
  [SMALL_STATE(4555)] = 310781,
  [SMALL_STATE(4556)] = 310821,
  [SMALL_STATE(4557)] = 310869,
  [SMALL_STATE(4558)] = 310917,
  [SMALL_STATE(4559)] = 310957,
  [SMALL_STATE(4560)] = 311005,
  [SMALL_STATE(4561)] = 311045,
  [SMALL_STATE(4562)] = 311085,
  [SMALL_STATE(4563)] = 311125,
  [SMALL_STATE(4564)] = 311165,
  [SMALL_STATE(4565)] = 311205,
  [SMALL_STATE(4566)] = 311245,
  [SMALL_STATE(4567)] = 311285,
  [SMALL_STATE(4568)] = 311325,
  [SMALL_STATE(4569)] = 311365,
  [SMALL_STATE(4570)] = 311401,
  [SMALL_STATE(4571)] = 311441,
  [SMALL_STATE(4572)] = 311477,
  [SMALL_STATE(4573)] = 311517,
  [SMALL_STATE(4574)] = 311557,
  [SMALL_STATE(4575)] = 311595,
  [SMALL_STATE(4576)] = 311635,
  [SMALL_STATE(4577)] = 311677,
  [SMALL_STATE(4578)] = 311713,
  [SMALL_STATE(4579)] = 311751,
  [SMALL_STATE(4580)] = 311791,
  [SMALL_STATE(4581)] = 311839,
  [SMALL_STATE(4582)] = 311879,
  [SMALL_STATE(4583)] = 311923,
  [SMALL_STATE(4584)] = 311963,
  [SMALL_STATE(4585)] = 312011,
  [SMALL_STATE(4586)] = 312047,
  [SMALL_STATE(4587)] = 312083,
  [SMALL_STATE(4588)] = 312123,
  [SMALL_STATE(4589)] = 312159,
  [SMALL_STATE(4590)] = 312197,
  [SMALL_STATE(4591)] = 312235,
  [SMALL_STATE(4592)] = 312275,
  [SMALL_STATE(4593)] = 312311,
  [SMALL_STATE(4594)] = 312351,
  [SMALL_STATE(4595)] = 312391,
  [SMALL_STATE(4596)] = 312426,
  [SMALL_STATE(4597)] = 312469,
  [SMALL_STATE(4598)] = 312512,
  [SMALL_STATE(4599)] = 312553,
  [SMALL_STATE(4600)] = 312588,
  [SMALL_STATE(4601)] = 312641,
  [SMALL_STATE(4602)] = 312684,
  [SMALL_STATE(4603)] = 312727,
  [SMALL_STATE(4604)] = 312764,
  [SMALL_STATE(4605)] = 312807,
  [SMALL_STATE(4606)] = 312850,
  [SMALL_STATE(4607)] = 312912,
  [SMALL_STATE(4608)] = 312950,
  [SMALL_STATE(4609)] = 312988,
  [SMALL_STATE(4610)] = 313022,
  [SMALL_STATE(4611)] = 313068,
  [SMALL_STATE(4612)] = 313106,
  [SMALL_STATE(4613)] = 313168,
  [SMALL_STATE(4614)] = 313230,
  [SMALL_STATE(4615)] = 313268,
  [SMALL_STATE(4616)] = 313314,
  [SMALL_STATE(4617)] = 313348,
  [SMALL_STATE(4618)] = 313382,
  [SMALL_STATE(4619)] = 313424,
  [SMALL_STATE(4620)] = 313470,
  [SMALL_STATE(4621)] = 313508,
  [SMALL_STATE(4622)] = 313550,
  [SMALL_STATE(4623)] = 313588,
  [SMALL_STATE(4624)] = 313624,
  [SMALL_STATE(4625)] = 313686,
  [SMALL_STATE(4626)] = 313748,
  [SMALL_STATE(4627)] = 313790,
  [SMALL_STATE(4628)] = 313852,
  [SMALL_STATE(4629)] = 313886,
  [SMALL_STATE(4630)] = 313948,
  [SMALL_STATE(4631)] = 313982,
  [SMALL_STATE(4632)] = 314020,
  [SMALL_STATE(4633)] = 314082,
  [SMALL_STATE(4634)] = 314144,
  [SMALL_STATE(4635)] = 314190,
  [SMALL_STATE(4636)] = 314224,
  [SMALL_STATE(4637)] = 314260,
  [SMALL_STATE(4638)] = 314294,
  [SMALL_STATE(4639)] = 314338,
  [SMALL_STATE(4640)] = 314374,
  [SMALL_STATE(4641)] = 314410,
  [SMALL_STATE(4642)] = 314472,
  [SMALL_STATE(4643)] = 314514,
  [SMALL_STATE(4644)] = 314552,
  [SMALL_STATE(4645)] = 314586,
  [SMALL_STATE(4646)] = 314648,
  [SMALL_STATE(4647)] = 314710,
  [SMALL_STATE(4648)] = 314772,
  [SMALL_STATE(4649)] = 314818,
  [SMALL_STATE(4650)] = 314860,
  [SMALL_STATE(4651)] = 314902,
  [SMALL_STATE(4652)] = 314936,
  [SMALL_STATE(4653)] = 314972,
  [SMALL_STATE(4654)] = 315034,
  [SMALL_STATE(4655)] = 315076,
  [SMALL_STATE(4656)] = 315138,
  [SMALL_STATE(4657)] = 315184,
  [SMALL_STATE(4658)] = 315220,
  [SMALL_STATE(4659)] = 315254,
  [SMALL_STATE(4660)] = 315290,
  [SMALL_STATE(4661)] = 315326,
  [SMALL_STATE(4662)] = 315368,
  [SMALL_STATE(4663)] = 315406,
  [SMALL_STATE(4664)] = 315448,
  [SMALL_STATE(4665)] = 315510,
  [SMALL_STATE(4666)] = 315544,
  [SMALL_STATE(4667)] = 315590,
  [SMALL_STATE(4668)] = 315628,
  [SMALL_STATE(4669)] = 315690,
  [SMALL_STATE(4670)] = 315752,
  [SMALL_STATE(4671)] = 315786,
  [SMALL_STATE(4672)] = 315820,
  [SMALL_STATE(4673)] = 315882,
  [SMALL_STATE(4674)] = 315924,
  [SMALL_STATE(4675)] = 315986,
  [SMALL_STATE(4676)] = 316048,
  [SMALL_STATE(4677)] = 316110,
  [SMALL_STATE(4678)] = 316156,
  [SMALL_STATE(4679)] = 316192,
  [SMALL_STATE(4680)] = 316254,
  [SMALL_STATE(4681)] = 316300,
  [SMALL_STATE(4682)] = 316362,
  [SMALL_STATE(4683)] = 316424,
  [SMALL_STATE(4684)] = 316486,
  [SMALL_STATE(4685)] = 316521,
  [SMALL_STATE(4686)] = 316558,
  [SMALL_STATE(4687)] = 316601,
  [SMALL_STATE(4688)] = 316646,
  [SMALL_STATE(4689)] = 316691,
  [SMALL_STATE(4690)] = 316726,
  [SMALL_STATE(4691)] = 316763,
  [SMALL_STATE(4692)] = 316808,
  [SMALL_STATE(4693)] = 316845,
  [SMALL_STATE(4694)] = 316890,
  [SMALL_STATE(4695)] = 316935,
  [SMALL_STATE(4696)] = 316972,
  [SMALL_STATE(4697)] = 317007,
  [SMALL_STATE(4698)] = 317044,
  [SMALL_STATE(4699)] = 317089,
  [SMALL_STATE(4700)] = 317134,
  [SMALL_STATE(4701)] = 317171,
  [SMALL_STATE(4702)] = 317216,
  [SMALL_STATE(4703)] = 317251,
  [SMALL_STATE(4704)] = 317288,
  [SMALL_STATE(4705)] = 317325,
  [SMALL_STATE(4706)] = 317360,
  [SMALL_STATE(4707)] = 317397,
  [SMALL_STATE(4708)] = 317432,
  [SMALL_STATE(4709)] = 317477,
  [SMALL_STATE(4710)] = 317514,
  [SMALL_STATE(4711)] = 317549,
  [SMALL_STATE(4712)] = 317587,
  [SMALL_STATE(4713)] = 317623,
  [SMALL_STATE(4714)] = 317663,
  [SMALL_STATE(4715)] = 317701,
  [SMALL_STATE(4716)] = 317739,
  [SMALL_STATE(4717)] = 317777,
  [SMALL_STATE(4718)] = 317815,
  [SMALL_STATE(4719)] = 317855,
  [SMALL_STATE(4720)] = 317893,
  [SMALL_STATE(4721)] = 317929,
  [SMALL_STATE(4722)] = 317965,
  [SMALL_STATE(4723)] = 318001,
  [SMALL_STATE(4724)] = 318037,
  [SMALL_STATE(4725)] = 318073,
  [SMALL_STATE(4726)] = 318111,
  [SMALL_STATE(4727)] = 318151,
  [SMALL_STATE(4728)] = 318189,
  [SMALL_STATE(4729)] = 318229,
  [SMALL_STATE(4730)] = 318267,
  [SMALL_STATE(4731)] = 318307,
  [SMALL_STATE(4732)] = 318339,
  [SMALL_STATE(4733)] = 318375,
  [SMALL_STATE(4734)] = 318411,
  [SMALL_STATE(4735)] = 318449,
  [SMALL_STATE(4736)] = 318485,
  [SMALL_STATE(4737)] = 318523,
  [SMALL_STATE(4738)] = 318559,
  [SMALL_STATE(4739)] = 318599,
  [SMALL_STATE(4740)] = 318635,
  [SMALL_STATE(4741)] = 318673,
  [SMALL_STATE(4742)] = 318713,
  [SMALL_STATE(4743)] = 318749,
  [SMALL_STATE(4744)] = 318789,
  [SMALL_STATE(4745)] = 318825,
  [SMALL_STATE(4746)] = 318874,
  [SMALL_STATE(4747)] = 318933,
  [SMALL_STATE(4748)] = 318982,
  [SMALL_STATE(4749)] = 319017,
  [SMALL_STATE(4750)] = 319048,
  [SMALL_STATE(4751)] = 319087,
  [SMALL_STATE(4752)] = 319124,
  [SMALL_STATE(4753)] = 319163,
  [SMALL_STATE(4754)] = 319202,
  [SMALL_STATE(4755)] = 319233,
  [SMALL_STATE(4756)] = 319264,
  [SMALL_STATE(4757)] = 319303,
  [SMALL_STATE(4758)] = 319334,
  [SMALL_STATE(4759)] = 319371,
  [SMALL_STATE(4760)] = 319410,
  [SMALL_STATE(4761)] = 319441,
  [SMALL_STATE(4762)] = 319490,
  [SMALL_STATE(4763)] = 319521,
  [SMALL_STATE(4764)] = 319556,
  [SMALL_STATE(4765)] = 319595,
  [SMALL_STATE(4766)] = 319626,
  [SMALL_STATE(4767)] = 319657,
  [SMALL_STATE(4768)] = 319716,
  [SMALL_STATE(4769)] = 319755,
  [SMALL_STATE(4770)] = 319786,
  [SMALL_STATE(4771)] = 319821,
  [SMALL_STATE(4772)] = 319852,
  [SMALL_STATE(4773)] = 319891,
  [SMALL_STATE(4774)] = 319922,
  [SMALL_STATE(4775)] = 319953,
  [SMALL_STATE(4776)] = 319984,
  [SMALL_STATE(4777)] = 320015,
  [SMALL_STATE(4778)] = 320064,
  [SMALL_STATE(4779)] = 320123,
  [SMALL_STATE(4780)] = 320172,
  [SMALL_STATE(4781)] = 320205,
  [SMALL_STATE(4782)] = 320236,
  [SMALL_STATE(4783)] = 320267,
  [SMALL_STATE(4784)] = 320326,
  [SMALL_STATE(4785)] = 320385,
  [SMALL_STATE(4786)] = 320422,
  [SMALL_STATE(4787)] = 320453,
  [SMALL_STATE(4788)] = 320488,
  [SMALL_STATE(4789)] = 320537,
  [SMALL_STATE(4790)] = 320596,
  [SMALL_STATE(4791)] = 320655,
  [SMALL_STATE(4792)] = 320691,
  [SMALL_STATE(4793)] = 320725,
  [SMALL_STATE(4794)] = 320759,
  [SMALL_STATE(4795)] = 320789,
  [SMALL_STATE(4796)] = 320819,
  [SMALL_STATE(4797)] = 320853,
  [SMALL_STATE(4798)] = 320887,
  [SMALL_STATE(4799)] = 320927,
  [SMALL_STATE(4800)] = 320957,
  [SMALL_STATE(4801)] = 320991,
  [SMALL_STATE(4802)] = 321025,
  [SMALL_STATE(4803)] = 321059,
  [SMALL_STATE(4804)] = 321089,
  [SMALL_STATE(4805)] = 321123,
  [SMALL_STATE(4806)] = 321157,
  [SMALL_STATE(4807)] = 321193,
  [SMALL_STATE(4808)] = 321227,
  [SMALL_STATE(4809)] = 321261,
  [SMALL_STATE(4810)] = 321294,
  [SMALL_STATE(4811)] = 321323,
  [SMALL_STATE(4812)] = 321356,
  [SMALL_STATE(4813)] = 321389,
  [SMALL_STATE(4814)] = 321418,
  [SMALL_STATE(4815)] = 321451,
  [SMALL_STATE(4816)] = 321480,
  [SMALL_STATE(4817)] = 321509,
  [SMALL_STATE(4818)] = 321538,
  [SMALL_STATE(4819)] = 321567,
  [SMALL_STATE(4820)] = 321600,
  [SMALL_STATE(4821)] = 321629,
  [SMALL_STATE(4822)] = 321658,
  [SMALL_STATE(4823)] = 321687,
  [SMALL_STATE(4824)] = 321716,
  [SMALL_STATE(4825)] = 321745,
  [SMALL_STATE(4826)] = 321774,
  [SMALL_STATE(4827)] = 321803,
  [SMALL_STATE(4828)] = 321832,
  [SMALL_STATE(4829)] = 321861,
  [SMALL_STATE(4830)] = 321890,
  [SMALL_STATE(4831)] = 321923,
  [SMALL_STATE(4832)] = 321956,
  [SMALL_STATE(4833)] = 321989,
  [SMALL_STATE(4834)] = 322020,
  [SMALL_STATE(4835)] = 322053,
  [SMALL_STATE(4836)] = 322086,
  [SMALL_STATE(4837)] = 322115,
  [SMALL_STATE(4838)] = 322146,
  [SMALL_STATE(4839)] = 322179,
  [SMALL_STATE(4840)] = 322208,
  [SMALL_STATE(4841)] = 322241,
  [SMALL_STATE(4842)] = 322270,
  [SMALL_STATE(4843)] = 322303,
  [SMALL_STATE(4844)] = 322332,
  [SMALL_STATE(4845)] = 322361,
  [SMALL_STATE(4846)] = 322390,
  [SMALL_STATE(4847)] = 322421,
  [SMALL_STATE(4848)] = 322450,
  [SMALL_STATE(4849)] = 322479,
  [SMALL_STATE(4850)] = 322512,
  [SMALL_STATE(4851)] = 322545,
  [SMALL_STATE(4852)] = 322576,
  [SMALL_STATE(4853)] = 322605,
  [SMALL_STATE(4854)] = 322634,
  [SMALL_STATE(4855)] = 322667,
  [SMALL_STATE(4856)] = 322696,
  [SMALL_STATE(4857)] = 322725,
  [SMALL_STATE(4858)] = 322756,
  [SMALL_STATE(4859)] = 322785,
  [SMALL_STATE(4860)] = 322814,
  [SMALL_STATE(4861)] = 322843,
  [SMALL_STATE(4862)] = 322875,
  [SMALL_STATE(4863)] = 322903,
  [SMALL_STATE(4864)] = 322935,
  [SMALL_STATE(4865)] = 322963,
  [SMALL_STATE(4866)] = 322995,
  [SMALL_STATE(4867)] = 323023,
  [SMALL_STATE(4868)] = 323051,
  [SMALL_STATE(4869)] = 323083,
  [SMALL_STATE(4870)] = 323111,
  [SMALL_STATE(4871)] = 323139,
  [SMALL_STATE(4872)] = 323187,
  [SMALL_STATE(4873)] = 323215,
  [SMALL_STATE(4874)] = 323243,
  [SMALL_STATE(4875)] = 323271,
  [SMALL_STATE(4876)] = 323299,
  [SMALL_STATE(4877)] = 323327,
  [SMALL_STATE(4878)] = 323355,
  [SMALL_STATE(4879)] = 323383,
  [SMALL_STATE(4880)] = 323415,
  [SMALL_STATE(4881)] = 323443,
  [SMALL_STATE(4882)] = 323471,
  [SMALL_STATE(4883)] = 323499,
  [SMALL_STATE(4884)] = 323527,
  [SMALL_STATE(4885)] = 323555,
  [SMALL_STATE(4886)] = 323603,
  [SMALL_STATE(4887)] = 323631,
  [SMALL_STATE(4888)] = 323659,
  [SMALL_STATE(4889)] = 323689,
  [SMALL_STATE(4890)] = 323719,
  [SMALL_STATE(4891)] = 323747,
  [SMALL_STATE(4892)] = 323795,
  [SMALL_STATE(4893)] = 323827,
  [SMALL_STATE(4894)] = 323859,
  [SMALL_STATE(4895)] = 323887,
  [SMALL_STATE(4896)] = 323931,
  [SMALL_STATE(4897)] = 323959,
  [SMALL_STATE(4898)] = 323991,
  [SMALL_STATE(4899)] = 324023,
  [SMALL_STATE(4900)] = 324051,
  [SMALL_STATE(4901)] = 324079,
  [SMALL_STATE(4902)] = 324107,
  [SMALL_STATE(4903)] = 324135,
  [SMALL_STATE(4904)] = 324163,
  [SMALL_STATE(4905)] = 324195,
  [SMALL_STATE(4906)] = 324223,
  [SMALL_STATE(4907)] = 324251,
  [SMALL_STATE(4908)] = 324299,
  [SMALL_STATE(4909)] = 324327,
  [SMALL_STATE(4910)] = 324371,
  [SMALL_STATE(4911)] = 324399,
  [SMALL_STATE(4912)] = 324427,
  [SMALL_STATE(4913)] = 324469,
  [SMALL_STATE(4914)] = 324497,
  [SMALL_STATE(4915)] = 324525,
  [SMALL_STATE(4916)] = 324557,
  [SMALL_STATE(4917)] = 324585,
  [SMALL_STATE(4918)] = 324615,
  [SMALL_STATE(4919)] = 324643,
  [SMALL_STATE(4920)] = 324671,
  [SMALL_STATE(4921)] = 324703,
  [SMALL_STATE(4922)] = 324733,
  [SMALL_STATE(4923)] = 324761,
  [SMALL_STATE(4924)] = 324789,
  [SMALL_STATE(4925)] = 324817,
  [SMALL_STATE(4926)] = 324846,
  [SMALL_STATE(4927)] = 324875,
  [SMALL_STATE(4928)] = 324912,
  [SMALL_STATE(4929)] = 324941,
  [SMALL_STATE(4930)] = 324972,
  [SMALL_STATE(4931)] = 325001,
  [SMALL_STATE(4932)] = 325032,
  [SMALL_STATE(4933)] = 325061,
  [SMALL_STATE(4934)] = 325092,
  [SMALL_STATE(4935)] = 325121,
  [SMALL_STATE(4936)] = 325150,
  [SMALL_STATE(4937)] = 325179,
  [SMALL_STATE(4938)] = 325210,
  [SMALL_STATE(4939)] = 325237,
  [SMALL_STATE(4940)] = 325265,
  [SMALL_STATE(4941)] = 325293,
  [SMALL_STATE(4942)] = 325337,
  [SMALL_STATE(4943)] = 325379,
  [SMALL_STATE(4944)] = 325407,
  [SMALL_STATE(4945)] = 325453,
  [SMALL_STATE(4946)] = 325497,
  [SMALL_STATE(4947)] = 325525,
  [SMALL_STATE(4948)] = 325567,
  [SMALL_STATE(4949)] = 325611,
  [SMALL_STATE(4950)] = 325639,
  [SMALL_STATE(4951)] = 325667,
  [SMALL_STATE(4952)] = 325695,
  [SMALL_STATE(4953)] = 325739,
  [SMALL_STATE(4954)] = 325787,
  [SMALL_STATE(4955)] = 325835,
  [SMALL_STATE(4956)] = 325877,
  [SMALL_STATE(4957)] = 325904,
  [SMALL_STATE(4958)] = 325943,
  [SMALL_STATE(4959)] = 325982,
  [SMALL_STATE(4960)] = 326021,
  [SMALL_STATE(4961)] = 326060,
  [SMALL_STATE(4962)] = 326099,
  [SMALL_STATE(4963)] = 326138,
  [SMALL_STATE(4964)] = 326177,
  [SMALL_STATE(4965)] = 326216,
  [SMALL_STATE(4966)] = 326255,
  [SMALL_STATE(4967)] = 326294,
  [SMALL_STATE(4968)] = 326333,
  [SMALL_STATE(4969)] = 326372,
  [SMALL_STATE(4970)] = 326411,
  [SMALL_STATE(4971)] = 326450,
  [SMALL_STATE(4972)] = 326489,
  [SMALL_STATE(4973)] = 326528,
  [SMALL_STATE(4974)] = 326553,
  [SMALL_STATE(4975)] = 326592,
  [SMALL_STATE(4976)] = 326631,
  [SMALL_STATE(4977)] = 326676,
  [SMALL_STATE(4978)] = 326721,
  [SMALL_STATE(4979)] = 326760,
  [SMALL_STATE(4980)] = 326801,
  [SMALL_STATE(4981)] = 326840,
  [SMALL_STATE(4982)] = 326879,
  [SMALL_STATE(4983)] = 326915,
  [SMALL_STATE(4984)] = 326939,
  [SMALL_STATE(4985)] = 326971,
  [SMALL_STATE(4986)] = 327009,
  [SMALL_STATE(4987)] = 327045,
  [SMALL_STATE(4988)] = 327069,
  [SMALL_STATE(4989)] = 327105,
  [SMALL_STATE(4990)] = 327129,
  [SMALL_STATE(4991)] = 327153,
  [SMALL_STATE(4992)] = 327191,
  [SMALL_STATE(4993)] = 327215,
  [SMALL_STATE(4994)] = 327239,
  [SMALL_STATE(4995)] = 327263,
  [SMALL_STATE(4996)] = 327299,
  [SMALL_STATE(4997)] = 327337,
  [SMALL_STATE(4998)] = 327361,
  [SMALL_STATE(4999)] = 327385,
  [SMALL_STATE(5000)] = 327409,
  [SMALL_STATE(5001)] = 327445,
  [SMALL_STATE(5002)] = 327487,
  [SMALL_STATE(5003)] = 327529,
  [SMALL_STATE(5004)] = 327554,
  [SMALL_STATE(5005)] = 327579,
  [SMALL_STATE(5006)] = 327614,
  [SMALL_STATE(5007)] = 327651,
  [SMALL_STATE(5008)] = 327688,
  [SMALL_STATE(5009)] = 327723,
  [SMALL_STATE(5010)] = 327760,
  [SMALL_STATE(5011)] = 327797,
  [SMALL_STATE(5012)] = 327834,
  [SMALL_STATE(5013)] = 327869,
  [SMALL_STATE(5014)] = 327903,
  [SMALL_STATE(5015)] = 327933,
  [SMALL_STATE(5016)] = 327957,
  [SMALL_STATE(5017)] = 327991,
  [SMALL_STATE(5018)] = 328021,
  [SMALL_STATE(5019)] = 328051,
  [SMALL_STATE(5020)] = 328085,
  [SMALL_STATE(5021)] = 328115,
  [SMALL_STATE(5022)] = 328145,
  [SMALL_STATE(5023)] = 328179,
  [SMALL_STATE(5024)] = 328213,
  [SMALL_STATE(5025)] = 328243,
  [SMALL_STATE(5026)] = 328277,
  [SMALL_STATE(5027)] = 328311,
  [SMALL_STATE(5028)] = 328345,
  [SMALL_STATE(5029)] = 328379,
  [SMALL_STATE(5030)] = 328413,
  [SMALL_STATE(5031)] = 328447,
  [SMALL_STATE(5032)] = 328481,
  [SMALL_STATE(5033)] = 328515,
  [SMALL_STATE(5034)] = 328549,
  [SMALL_STATE(5035)] = 328583,
  [SMALL_STATE(5036)] = 328609,
  [SMALL_STATE(5037)] = 328643,
  [SMALL_STATE(5038)] = 328669,
  [SMALL_STATE(5039)] = 328703,
  [SMALL_STATE(5040)] = 328737,
  [SMALL_STATE(5041)] = 328773,
  [SMALL_STATE(5042)] = 328807,
  [SMALL_STATE(5043)] = 328841,
  [SMALL_STATE(5044)] = 328875,
  [SMALL_STATE(5045)] = 328909,
  [SMALL_STATE(5046)] = 328945,
  [SMALL_STATE(5047)] = 328979,
  [SMALL_STATE(5048)] = 329013,
  [SMALL_STATE(5049)] = 329049,
  [SMALL_STATE(5050)] = 329083,
  [SMALL_STATE(5051)] = 329117,
  [SMALL_STATE(5052)] = 329151,
  [SMALL_STATE(5053)] = 329185,
  [SMALL_STATE(5054)] = 329219,
  [SMALL_STATE(5055)] = 329253,
  [SMALL_STATE(5056)] = 329287,
  [SMALL_STATE(5057)] = 329321,
  [SMALL_STATE(5058)] = 329355,
  [SMALL_STATE(5059)] = 329389,
  [SMALL_STATE(5060)] = 329423,
  [SMALL_STATE(5061)] = 329459,
  [SMALL_STATE(5062)] = 329493,
  [SMALL_STATE(5063)] = 329527,
  [SMALL_STATE(5064)] = 329561,
  [SMALL_STATE(5065)] = 329595,
  [SMALL_STATE(5066)] = 329629,
  [SMALL_STATE(5067)] = 329660,
  [SMALL_STATE(5068)] = 329691,
  [SMALL_STATE(5069)] = 329722,
  [SMALL_STATE(5070)] = 329753,
  [SMALL_STATE(5071)] = 329788,
  [SMALL_STATE(5072)] = 329823,
  [SMALL_STATE(5073)] = 329852,
  [SMALL_STATE(5074)] = 329887,
  [SMALL_STATE(5075)] = 329918,
  [SMALL_STATE(5076)] = 329949,
  [SMALL_STATE(5077)] = 329980,
  [SMALL_STATE(5078)] = 330011,
  [SMALL_STATE(5079)] = 330036,
  [SMALL_STATE(5080)] = 330061,
  [SMALL_STATE(5081)] = 330092,
  [SMALL_STATE(5082)] = 330127,
  [SMALL_STATE(5083)] = 330158,
  [SMALL_STATE(5084)] = 330189,
  [SMALL_STATE(5085)] = 330220,
  [SMALL_STATE(5086)] = 330243,
  [SMALL_STATE(5087)] = 330274,
  [SMALL_STATE(5088)] = 330305,
  [SMALL_STATE(5089)] = 330336,
  [SMALL_STATE(5090)] = 330367,
  [SMALL_STATE(5091)] = 330398,
  [SMALL_STATE(5092)] = 330423,
  [SMALL_STATE(5093)] = 330454,
  [SMALL_STATE(5094)] = 330485,
  [SMALL_STATE(5095)] = 330508,
  [SMALL_STATE(5096)] = 330529,
  [SMALL_STATE(5097)] = 330560,
  [SMALL_STATE(5098)] = 330591,
  [SMALL_STATE(5099)] = 330622,
  [SMALL_STATE(5100)] = 330657,
  [SMALL_STATE(5101)] = 330692,
  [SMALL_STATE(5102)] = 330723,
  [SMALL_STATE(5103)] = 330754,
  [SMALL_STATE(5104)] = 330785,
  [SMALL_STATE(5105)] = 330816,
  [SMALL_STATE(5106)] = 330841,
  [SMALL_STATE(5107)] = 330876,
  [SMALL_STATE(5108)] = 330907,
  [SMALL_STATE(5109)] = 330938,
  [SMALL_STATE(5110)] = 330969,
  [SMALL_STATE(5111)] = 331000,
  [SMALL_STATE(5112)] = 331031,
  [SMALL_STATE(5113)] = 331066,
  [SMALL_STATE(5114)] = 331097,
  [SMALL_STATE(5115)] = 331128,
  [SMALL_STATE(5116)] = 331159,
  [SMALL_STATE(5117)] = 331190,
  [SMALL_STATE(5118)] = 331221,
  [SMALL_STATE(5119)] = 331252,
  [SMALL_STATE(5120)] = 331283,
  [SMALL_STATE(5121)] = 331312,
  [SMALL_STATE(5122)] = 331343,
  [SMALL_STATE(5123)] = 331374,
  [SMALL_STATE(5124)] = 331409,
  [SMALL_STATE(5125)] = 331440,
  [SMALL_STATE(5126)] = 331471,
  [SMALL_STATE(5127)] = 331502,
  [SMALL_STATE(5128)] = 331533,
  [SMALL_STATE(5129)] = 331564,
  [SMALL_STATE(5130)] = 331597,
  [SMALL_STATE(5131)] = 331632,
  [SMALL_STATE(5132)] = 331663,
  [SMALL_STATE(5133)] = 331684,
  [SMALL_STATE(5134)] = 331719,
  [SMALL_STATE(5135)] = 331750,
  [SMALL_STATE(5136)] = 331783,
  [SMALL_STATE(5137)] = 331814,
  [SMALL_STATE(5138)] = 331845,
  [SMALL_STATE(5139)] = 331878,
  [SMALL_STATE(5140)] = 331911,
  [SMALL_STATE(5141)] = 331944,
  [SMALL_STATE(5142)] = 331977,
  [SMALL_STATE(5143)] = 332010,
  [SMALL_STATE(5144)] = 332043,
  [SMALL_STATE(5145)] = 332076,
  [SMALL_STATE(5146)] = 332107,
  [SMALL_STATE(5147)] = 332139,
  [SMALL_STATE(5148)] = 332167,
  [SMALL_STATE(5149)] = 332195,
  [SMALL_STATE(5150)] = 332223,
  [SMALL_STATE(5151)] = 332249,
  [SMALL_STATE(5152)] = 332281,
  [SMALL_STATE(5153)] = 332305,
  [SMALL_STATE(5154)] = 332333,
  [SMALL_STATE(5155)] = 332361,
  [SMALL_STATE(5156)] = 332393,
  [SMALL_STATE(5157)] = 332421,
  [SMALL_STATE(5158)] = 332447,
  [SMALL_STATE(5159)] = 332471,
  [SMALL_STATE(5160)] = 332503,
  [SMALL_STATE(5161)] = 332529,
  [SMALL_STATE(5162)] = 332553,
  [SMALL_STATE(5163)] = 332581,
  [SMALL_STATE(5164)] = 332609,
  [SMALL_STATE(5165)] = 332637,
  [SMALL_STATE(5166)] = 332665,
  [SMALL_STATE(5167)] = 332695,
  [SMALL_STATE(5168)] = 332723,
  [SMALL_STATE(5169)] = 332751,
  [SMALL_STATE(5170)] = 332779,
  [SMALL_STATE(5171)] = 332807,
  [SMALL_STATE(5172)] = 332839,
  [SMALL_STATE(5173)] = 332871,
  [SMALL_STATE(5174)] = 332899,
  [SMALL_STATE(5175)] = 332931,
  [SMALL_STATE(5176)] = 332963,
  [SMALL_STATE(5177)] = 332993,
  [SMALL_STATE(5178)] = 333023,
  [SMALL_STATE(5179)] = 333055,
  [SMALL_STATE(5180)] = 333077,
  [SMALL_STATE(5181)] = 333105,
  [SMALL_STATE(5182)] = 333133,
  [SMALL_STATE(5183)] = 333159,
  [SMALL_STATE(5184)] = 333187,
  [SMALL_STATE(5185)] = 333219,
  [SMALL_STATE(5186)] = 333251,
  [SMALL_STATE(5187)] = 333281,
  [SMALL_STATE(5188)] = 333309,
  [SMALL_STATE(5189)] = 333338,
  [SMALL_STATE(5190)] = 333365,
  [SMALL_STATE(5191)] = 333392,
  [SMALL_STATE(5192)] = 333419,
  [SMALL_STATE(5193)] = 333438,
  [SMALL_STATE(5194)] = 333465,
  [SMALL_STATE(5195)] = 333494,
  [SMALL_STATE(5196)] = 333523,
  [SMALL_STATE(5197)] = 333550,
  [SMALL_STATE(5198)] = 333579,
  [SMALL_STATE(5199)] = 333608,
  [SMALL_STATE(5200)] = 333635,
  [SMALL_STATE(5201)] = 333654,
  [SMALL_STATE(5202)] = 333681,
  [SMALL_STATE(5203)] = 333708,
  [SMALL_STATE(5204)] = 333737,
  [SMALL_STATE(5205)] = 333764,
  [SMALL_STATE(5206)] = 333793,
  [SMALL_STATE(5207)] = 333822,
  [SMALL_STATE(5208)] = 333851,
  [SMALL_STATE(5209)] = 333880,
  [SMALL_STATE(5210)] = 333899,
  [SMALL_STATE(5211)] = 333928,
  [SMALL_STATE(5212)] = 333957,
  [SMALL_STATE(5213)] = 333986,
  [SMALL_STATE(5214)] = 334015,
  [SMALL_STATE(5215)] = 334044,
  [SMALL_STATE(5216)] = 334065,
  [SMALL_STATE(5217)] = 334094,
  [SMALL_STATE(5218)] = 334121,
  [SMALL_STATE(5219)] = 334148,
  [SMALL_STATE(5220)] = 334175,
  [SMALL_STATE(5221)] = 334204,
  [SMALL_STATE(5222)] = 334233,
  [SMALL_STATE(5223)] = 334262,
  [SMALL_STATE(5224)] = 334291,
  [SMALL_STATE(5225)] = 334320,
  [SMALL_STATE(5226)] = 334349,
  [SMALL_STATE(5227)] = 334372,
  [SMALL_STATE(5228)] = 334401,
  [SMALL_STATE(5229)] = 334430,
  [SMALL_STATE(5230)] = 334459,
  [SMALL_STATE(5231)] = 334478,
  [SMALL_STATE(5232)] = 334497,
  [SMALL_STATE(5233)] = 334516,
  [SMALL_STATE(5234)] = 334545,
  [SMALL_STATE(5235)] = 334572,
  [SMALL_STATE(5236)] = 334601,
  [SMALL_STATE(5237)] = 334630,
  [SMALL_STATE(5238)] = 334659,
  [SMALL_STATE(5239)] = 334688,
  [SMALL_STATE(5240)] = 334707,
  [SMALL_STATE(5241)] = 334734,
  [SMALL_STATE(5242)] = 334753,
  [SMALL_STATE(5243)] = 334772,
  [SMALL_STATE(5244)] = 334799,
  [SMALL_STATE(5245)] = 334828,
  [SMALL_STATE(5246)] = 334855,
  [SMALL_STATE(5247)] = 334884,
  [SMALL_STATE(5248)] = 334913,
  [SMALL_STATE(5249)] = 334936,
  [SMALL_STATE(5250)] = 334965,
  [SMALL_STATE(5251)] = 334994,
  [SMALL_STATE(5252)] = 335023,
  [SMALL_STATE(5253)] = 335050,
  [SMALL_STATE(5254)] = 335079,
  [SMALL_STATE(5255)] = 335108,
  [SMALL_STATE(5256)] = 335127,
  [SMALL_STATE(5257)] = 335156,
  [SMALL_STATE(5258)] = 335181,
  [SMALL_STATE(5259)] = 335210,
  [SMALL_STATE(5260)] = 335239,
  [SMALL_STATE(5261)] = 335268,
  [SMALL_STATE(5262)] = 335293,
  [SMALL_STATE(5263)] = 335312,
  [SMALL_STATE(5264)] = 335341,
  [SMALL_STATE(5265)] = 335368,
  [SMALL_STATE(5266)] = 335397,
  [SMALL_STATE(5267)] = 335426,
  [SMALL_STATE(5268)] = 335455,
  [SMALL_STATE(5269)] = 335482,
  [SMALL_STATE(5270)] = 335511,
  [SMALL_STATE(5271)] = 335538,
  [SMALL_STATE(5272)] = 335565,
  [SMALL_STATE(5273)] = 335594,
  [SMALL_STATE(5274)] = 335623,
  [SMALL_STATE(5275)] = 335652,
  [SMALL_STATE(5276)] = 335679,
  [SMALL_STATE(5277)] = 335708,
  [SMALL_STATE(5278)] = 335727,
  [SMALL_STATE(5279)] = 335752,
  [SMALL_STATE(5280)] = 335779,
  [SMALL_STATE(5281)] = 335808,
  [SMALL_STATE(5282)] = 335827,
  [SMALL_STATE(5283)] = 335856,
  [SMALL_STATE(5284)] = 335885,
  [SMALL_STATE(5285)] = 335912,
  [SMALL_STATE(5286)] = 335939,
  [SMALL_STATE(5287)] = 335968,
  [SMALL_STATE(5288)] = 335997,
  [SMALL_STATE(5289)] = 336026,
  [SMALL_STATE(5290)] = 336049,
  [SMALL_STATE(5291)] = 336076,
  [SMALL_STATE(5292)] = 336105,
  [SMALL_STATE(5293)] = 336134,
  [SMALL_STATE(5294)] = 336163,
  [SMALL_STATE(5295)] = 336182,
  [SMALL_STATE(5296)] = 336209,
  [SMALL_STATE(5297)] = 336228,
  [SMALL_STATE(5298)] = 336250,
  [SMALL_STATE(5299)] = 336272,
  [SMALL_STATE(5300)] = 336298,
  [SMALL_STATE(5301)] = 336322,
  [SMALL_STATE(5302)] = 336348,
  [SMALL_STATE(5303)] = 336370,
  [SMALL_STATE(5304)] = 336392,
  [SMALL_STATE(5305)] = 336414,
  [SMALL_STATE(5306)] = 336440,
  [SMALL_STATE(5307)] = 336466,
  [SMALL_STATE(5308)] = 336488,
  [SMALL_STATE(5309)] = 336514,
  [SMALL_STATE(5310)] = 336538,
  [SMALL_STATE(5311)] = 336560,
  [SMALL_STATE(5312)] = 336582,
  [SMALL_STATE(5313)] = 336606,
  [SMALL_STATE(5314)] = 336632,
  [SMALL_STATE(5315)] = 336654,
  [SMALL_STATE(5316)] = 336678,
  [SMALL_STATE(5317)] = 336700,
  [SMALL_STATE(5318)] = 336726,
  [SMALL_STATE(5319)] = 336750,
  [SMALL_STATE(5320)] = 336776,
  [SMALL_STATE(5321)] = 336802,
  [SMALL_STATE(5322)] = 336828,
  [SMALL_STATE(5323)] = 336854,
  [SMALL_STATE(5324)] = 336876,
  [SMALL_STATE(5325)] = 336900,
  [SMALL_STATE(5326)] = 336926,
  [SMALL_STATE(5327)] = 336952,
  [SMALL_STATE(5328)] = 336974,
  [SMALL_STATE(5329)] = 336998,
  [SMALL_STATE(5330)] = 337024,
  [SMALL_STATE(5331)] = 337046,
  [SMALL_STATE(5332)] = 337072,
  [SMALL_STATE(5333)] = 337094,
  [SMALL_STATE(5334)] = 337120,
  [SMALL_STATE(5335)] = 337146,
  [SMALL_STATE(5336)] = 337172,
  [SMALL_STATE(5337)] = 337198,
  [SMALL_STATE(5338)] = 337220,
  [SMALL_STATE(5339)] = 337242,
  [SMALL_STATE(5340)] = 337264,
  [SMALL_STATE(5341)] = 337290,
  [SMALL_STATE(5342)] = 337316,
  [SMALL_STATE(5343)] = 337342,
  [SMALL_STATE(5344)] = 337364,
  [SMALL_STATE(5345)] = 337390,
  [SMALL_STATE(5346)] = 337414,
  [SMALL_STATE(5347)] = 337436,
  [SMALL_STATE(5348)] = 337462,
  [SMALL_STATE(5349)] = 337482,
  [SMALL_STATE(5350)] = 337504,
  [SMALL_STATE(5351)] = 337530,
  [SMALL_STATE(5352)] = 337556,
  [SMALL_STATE(5353)] = 337578,
  [SMALL_STATE(5354)] = 337602,
  [SMALL_STATE(5355)] = 337624,
  [SMALL_STATE(5356)] = 337650,
  [SMALL_STATE(5357)] = 337676,
  [SMALL_STATE(5358)] = 337702,
  [SMALL_STATE(5359)] = 337724,
  [SMALL_STATE(5360)] = 337750,
  [SMALL_STATE(5361)] = 337774,
  [SMALL_STATE(5362)] = 337800,
  [SMALL_STATE(5363)] = 337826,
  [SMALL_STATE(5364)] = 337852,
  [SMALL_STATE(5365)] = 337874,
  [SMALL_STATE(5366)] = 337896,
  [SMALL_STATE(5367)] = 337922,
  [SMALL_STATE(5368)] = 337948,
  [SMALL_STATE(5369)] = 337970,
  [SMALL_STATE(5370)] = 337994,
  [SMALL_STATE(5371)] = 338020,
  [SMALL_STATE(5372)] = 338044,
  [SMALL_STATE(5373)] = 338070,
  [SMALL_STATE(5374)] = 338092,
  [SMALL_STATE(5375)] = 338118,
  [SMALL_STATE(5376)] = 338142,
  [SMALL_STATE(5377)] = 338168,
  [SMALL_STATE(5378)] = 338190,
  [SMALL_STATE(5379)] = 338214,
  [SMALL_STATE(5380)] = 338238,
  [SMALL_STATE(5381)] = 338260,
  [SMALL_STATE(5382)] = 338282,
  [SMALL_STATE(5383)] = 338308,
  [SMALL_STATE(5384)] = 338334,
  [SMALL_STATE(5385)] = 338360,
  [SMALL_STATE(5386)] = 338384,
  [SMALL_STATE(5387)] = 338410,
  [SMALL_STATE(5388)] = 338432,
  [SMALL_STATE(5389)] = 338454,
  [SMALL_STATE(5390)] = 338480,
  [SMALL_STATE(5391)] = 338504,
  [SMALL_STATE(5392)] = 338530,
  [SMALL_STATE(5393)] = 338556,
  [SMALL_STATE(5394)] = 338582,
  [SMALL_STATE(5395)] = 338604,
  [SMALL_STATE(5396)] = 338626,
  [SMALL_STATE(5397)] = 338650,
  [SMALL_STATE(5398)] = 338676,
  [SMALL_STATE(5399)] = 338702,
  [SMALL_STATE(5400)] = 338726,
  [SMALL_STATE(5401)] = 338752,
  [SMALL_STATE(5402)] = 338774,
  [SMALL_STATE(5403)] = 338798,
  [SMALL_STATE(5404)] = 338820,
  [SMALL_STATE(5405)] = 338842,
  [SMALL_STATE(5406)] = 338864,
  [SMALL_STATE(5407)] = 338890,
  [SMALL_STATE(5408)] = 338912,
  [SMALL_STATE(5409)] = 338934,
  [SMALL_STATE(5410)] = 338960,
  [SMALL_STATE(5411)] = 338983,
  [SMALL_STATE(5412)] = 339006,
  [SMALL_STATE(5413)] = 339029,
  [SMALL_STATE(5414)] = 339052,
  [SMALL_STATE(5415)] = 339075,
  [SMALL_STATE(5416)] = 339098,
  [SMALL_STATE(5417)] = 339121,
  [SMALL_STATE(5418)] = 339144,
  [SMALL_STATE(5419)] = 339167,
  [SMALL_STATE(5420)] = 339190,
  [SMALL_STATE(5421)] = 339213,
  [SMALL_STATE(5422)] = 339234,
  [SMALL_STATE(5423)] = 339257,
  [SMALL_STATE(5424)] = 339280,
  [SMALL_STATE(5425)] = 339303,
  [SMALL_STATE(5426)] = 339324,
  [SMALL_STATE(5427)] = 339347,
  [SMALL_STATE(5428)] = 339366,
  [SMALL_STATE(5429)] = 339389,
  [SMALL_STATE(5430)] = 339410,
  [SMALL_STATE(5431)] = 339433,
  [SMALL_STATE(5432)] = 339456,
  [SMALL_STATE(5433)] = 339479,
  [SMALL_STATE(5434)] = 339502,
  [SMALL_STATE(5435)] = 339525,
  [SMALL_STATE(5436)] = 339548,
  [SMALL_STATE(5437)] = 339571,
  [SMALL_STATE(5438)] = 339594,
  [SMALL_STATE(5439)] = 339617,
  [SMALL_STATE(5440)] = 339640,
  [SMALL_STATE(5441)] = 339663,
  [SMALL_STATE(5442)] = 339686,
  [SMALL_STATE(5443)] = 339709,
  [SMALL_STATE(5444)] = 339732,
  [SMALL_STATE(5445)] = 339755,
  [SMALL_STATE(5446)] = 339778,
  [SMALL_STATE(5447)] = 339801,
  [SMALL_STATE(5448)] = 339824,
  [SMALL_STATE(5449)] = 339847,
  [SMALL_STATE(5450)] = 339870,
  [SMALL_STATE(5451)] = 339893,
  [SMALL_STATE(5452)] = 339916,
  [SMALL_STATE(5453)] = 339939,
  [SMALL_STATE(5454)] = 339962,
  [SMALL_STATE(5455)] = 339985,
  [SMALL_STATE(5456)] = 340006,
  [SMALL_STATE(5457)] = 340029,
  [SMALL_STATE(5458)] = 340052,
  [SMALL_STATE(5459)] = 340075,
  [SMALL_STATE(5460)] = 340098,
  [SMALL_STATE(5461)] = 340121,
  [SMALL_STATE(5462)] = 340144,
  [SMALL_STATE(5463)] = 340167,
  [SMALL_STATE(5464)] = 340190,
  [SMALL_STATE(5465)] = 340213,
  [SMALL_STATE(5466)] = 340236,
  [SMALL_STATE(5467)] = 340259,
  [SMALL_STATE(5468)] = 340282,
  [SMALL_STATE(5469)] = 340305,
  [SMALL_STATE(5470)] = 340328,
  [SMALL_STATE(5471)] = 340351,
  [SMALL_STATE(5472)] = 340374,
  [SMALL_STATE(5473)] = 340397,
  [SMALL_STATE(5474)] = 340420,
  [SMALL_STATE(5475)] = 340443,
  [SMALL_STATE(5476)] = 340466,
  [SMALL_STATE(5477)] = 340489,
  [SMALL_STATE(5478)] = 340512,
  [SMALL_STATE(5479)] = 340535,
  [SMALL_STATE(5480)] = 340558,
  [SMALL_STATE(5481)] = 340579,
  [SMALL_STATE(5482)] = 340602,
  [SMALL_STATE(5483)] = 340623,
  [SMALL_STATE(5484)] = 340642,
  [SMALL_STATE(5485)] = 340665,
  [SMALL_STATE(5486)] = 340688,
  [SMALL_STATE(5487)] = 340711,
  [SMALL_STATE(5488)] = 340734,
  [SMALL_STATE(5489)] = 340757,
  [SMALL_STATE(5490)] = 340780,
  [SMALL_STATE(5491)] = 340803,
  [SMALL_STATE(5492)] = 340826,
  [SMALL_STATE(5493)] = 340849,
  [SMALL_STATE(5494)] = 340872,
  [SMALL_STATE(5495)] = 340895,
  [SMALL_STATE(5496)] = 340918,
  [SMALL_STATE(5497)] = 340941,
  [SMALL_STATE(5498)] = 340964,
  [SMALL_STATE(5499)] = 340987,
  [SMALL_STATE(5500)] = 341010,
  [SMALL_STATE(5501)] = 341029,
  [SMALL_STATE(5502)] = 341052,
  [SMALL_STATE(5503)] = 341075,
  [SMALL_STATE(5504)] = 341098,
  [SMALL_STATE(5505)] = 341117,
  [SMALL_STATE(5506)] = 341140,
  [SMALL_STATE(5507)] = 341163,
  [SMALL_STATE(5508)] = 341186,
  [SMALL_STATE(5509)] = 341209,
  [SMALL_STATE(5510)] = 341232,
  [SMALL_STATE(5511)] = 341255,
  [SMALL_STATE(5512)] = 341276,
  [SMALL_STATE(5513)] = 341299,
  [SMALL_STATE(5514)] = 341322,
  [SMALL_STATE(5515)] = 341345,
  [SMALL_STATE(5516)] = 341368,
  [SMALL_STATE(5517)] = 341391,
  [SMALL_STATE(5518)] = 341414,
  [SMALL_STATE(5519)] = 341437,
  [SMALL_STATE(5520)] = 341460,
  [SMALL_STATE(5521)] = 341483,
  [SMALL_STATE(5522)] = 341506,
  [SMALL_STATE(5523)] = 341529,
  [SMALL_STATE(5524)] = 341552,
  [SMALL_STATE(5525)] = 341573,
  [SMALL_STATE(5526)] = 341596,
  [SMALL_STATE(5527)] = 341619,
  [SMALL_STATE(5528)] = 341642,
  [SMALL_STATE(5529)] = 341665,
  [SMALL_STATE(5530)] = 341688,
  [SMALL_STATE(5531)] = 341711,
  [SMALL_STATE(5532)] = 341734,
  [SMALL_STATE(5533)] = 341757,
  [SMALL_STATE(5534)] = 341780,
  [SMALL_STATE(5535)] = 341803,
  [SMALL_STATE(5536)] = 341826,
  [SMALL_STATE(5537)] = 341849,
  [SMALL_STATE(5538)] = 341872,
  [SMALL_STATE(5539)] = 341895,
  [SMALL_STATE(5540)] = 341918,
  [SMALL_STATE(5541)] = 341941,
  [SMALL_STATE(5542)] = 341964,
  [SMALL_STATE(5543)] = 341987,
  [SMALL_STATE(5544)] = 342010,
  [SMALL_STATE(5545)] = 342033,
  [SMALL_STATE(5546)] = 342056,
  [SMALL_STATE(5547)] = 342079,
  [SMALL_STATE(5548)] = 342102,
  [SMALL_STATE(5549)] = 342125,
  [SMALL_STATE(5550)] = 342148,
  [SMALL_STATE(5551)] = 342171,
  [SMALL_STATE(5552)] = 342194,
  [SMALL_STATE(5553)] = 342217,
  [SMALL_STATE(5554)] = 342240,
  [SMALL_STATE(5555)] = 342263,
  [SMALL_STATE(5556)] = 342286,
  [SMALL_STATE(5557)] = 342309,
  [SMALL_STATE(5558)] = 342332,
  [SMALL_STATE(5559)] = 342355,
  [SMALL_STATE(5560)] = 342378,
  [SMALL_STATE(5561)] = 342401,
  [SMALL_STATE(5562)] = 342424,
  [SMALL_STATE(5563)] = 342447,
  [SMALL_STATE(5564)] = 342466,
  [SMALL_STATE(5565)] = 342489,
  [SMALL_STATE(5566)] = 342512,
  [SMALL_STATE(5567)] = 342535,
  [SMALL_STATE(5568)] = 342558,
  [SMALL_STATE(5569)] = 342581,
  [SMALL_STATE(5570)] = 342604,
  [SMALL_STATE(5571)] = 342627,
  [SMALL_STATE(5572)] = 342650,
  [SMALL_STATE(5573)] = 342673,
  [SMALL_STATE(5574)] = 342696,
  [SMALL_STATE(5575)] = 342719,
  [SMALL_STATE(5576)] = 342742,
  [SMALL_STATE(5577)] = 342765,
  [SMALL_STATE(5578)] = 342788,
  [SMALL_STATE(5579)] = 342811,
  [SMALL_STATE(5580)] = 342834,
  [SMALL_STATE(5581)] = 342857,
  [SMALL_STATE(5582)] = 342880,
  [SMALL_STATE(5583)] = 342903,
  [SMALL_STATE(5584)] = 342926,
  [SMALL_STATE(5585)] = 342949,
  [SMALL_STATE(5586)] = 342972,
  [SMALL_STATE(5587)] = 342995,
  [SMALL_STATE(5588)] = 343018,
  [SMALL_STATE(5589)] = 343041,
  [SMALL_STATE(5590)] = 343064,
  [SMALL_STATE(5591)] = 343087,
  [SMALL_STATE(5592)] = 343110,
  [SMALL_STATE(5593)] = 343133,
  [SMALL_STATE(5594)] = 343154,
  [SMALL_STATE(5595)] = 343177,
  [SMALL_STATE(5596)] = 343200,
  [SMALL_STATE(5597)] = 343223,
  [SMALL_STATE(5598)] = 343246,
  [SMALL_STATE(5599)] = 343269,
  [SMALL_STATE(5600)] = 343289,
  [SMALL_STATE(5601)] = 343309,
  [SMALL_STATE(5602)] = 343329,
  [SMALL_STATE(5603)] = 343347,
  [SMALL_STATE(5604)] = 343367,
  [SMALL_STATE(5605)] = 343387,
  [SMALL_STATE(5606)] = 343407,
  [SMALL_STATE(5607)] = 343425,
  [SMALL_STATE(5608)] = 343445,
  [SMALL_STATE(5609)] = 343465,
  [SMALL_STATE(5610)] = 343485,
  [SMALL_STATE(5611)] = 343505,
  [SMALL_STATE(5612)] = 343525,
  [SMALL_STATE(5613)] = 343545,
  [SMALL_STATE(5614)] = 343565,
  [SMALL_STATE(5615)] = 343585,
  [SMALL_STATE(5616)] = 343605,
  [SMALL_STATE(5617)] = 343625,
  [SMALL_STATE(5618)] = 343645,
  [SMALL_STATE(5619)] = 343665,
  [SMALL_STATE(5620)] = 343685,
  [SMALL_STATE(5621)] = 343705,
  [SMALL_STATE(5622)] = 343725,
  [SMALL_STATE(5623)] = 343745,
  [SMALL_STATE(5624)] = 343765,
  [SMALL_STATE(5625)] = 343785,
  [SMALL_STATE(5626)] = 343805,
  [SMALL_STATE(5627)] = 343825,
  [SMALL_STATE(5628)] = 343845,
  [SMALL_STATE(5629)] = 343865,
  [SMALL_STATE(5630)] = 343885,
  [SMALL_STATE(5631)] = 343905,
  [SMALL_STATE(5632)] = 343925,
  [SMALL_STATE(5633)] = 343945,
  [SMALL_STATE(5634)] = 343965,
  [SMALL_STATE(5635)] = 343985,
  [SMALL_STATE(5636)] = 344005,
  [SMALL_STATE(5637)] = 344025,
  [SMALL_STATE(5638)] = 344045,
  [SMALL_STATE(5639)] = 344065,
  [SMALL_STATE(5640)] = 344085,
  [SMALL_STATE(5641)] = 344103,
  [SMALL_STATE(5642)] = 344123,
  [SMALL_STATE(5643)] = 344143,
  [SMALL_STATE(5644)] = 344163,
  [SMALL_STATE(5645)] = 344183,
  [SMALL_STATE(5646)] = 344203,
  [SMALL_STATE(5647)] = 344223,
  [SMALL_STATE(5648)] = 344243,
  [SMALL_STATE(5649)] = 344263,
  [SMALL_STATE(5650)] = 344283,
  [SMALL_STATE(5651)] = 344303,
  [SMALL_STATE(5652)] = 344323,
  [SMALL_STATE(5653)] = 344343,
  [SMALL_STATE(5654)] = 344363,
  [SMALL_STATE(5655)] = 344383,
  [SMALL_STATE(5656)] = 344403,
  [SMALL_STATE(5657)] = 344423,
  [SMALL_STATE(5658)] = 344443,
  [SMALL_STATE(5659)] = 344463,
  [SMALL_STATE(5660)] = 344483,
  [SMALL_STATE(5661)] = 344503,
  [SMALL_STATE(5662)] = 344523,
  [SMALL_STATE(5663)] = 344543,
  [SMALL_STATE(5664)] = 344563,
  [SMALL_STATE(5665)] = 344583,
  [SMALL_STATE(5666)] = 344603,
  [SMALL_STATE(5667)] = 344623,
  [SMALL_STATE(5668)] = 344643,
  [SMALL_STATE(5669)] = 344663,
  [SMALL_STATE(5670)] = 344683,
  [SMALL_STATE(5671)] = 344703,
  [SMALL_STATE(5672)] = 344723,
  [SMALL_STATE(5673)] = 344743,
  [SMALL_STATE(5674)] = 344763,
  [SMALL_STATE(5675)] = 344783,
  [SMALL_STATE(5676)] = 344803,
  [SMALL_STATE(5677)] = 344823,
  [SMALL_STATE(5678)] = 344843,
  [SMALL_STATE(5679)] = 344861,
  [SMALL_STATE(5680)] = 344879,
  [SMALL_STATE(5681)] = 344899,
  [SMALL_STATE(5682)] = 344919,
  [SMALL_STATE(5683)] = 344939,
  [SMALL_STATE(5684)] = 344959,
  [SMALL_STATE(5685)] = 344979,
  [SMALL_STATE(5686)] = 344999,
  [SMALL_STATE(5687)] = 345019,
  [SMALL_STATE(5688)] = 345039,
  [SMALL_STATE(5689)] = 345059,
  [SMALL_STATE(5690)] = 345079,
  [SMALL_STATE(5691)] = 345099,
  [SMALL_STATE(5692)] = 345119,
  [SMALL_STATE(5693)] = 345139,
  [SMALL_STATE(5694)] = 345159,
  [SMALL_STATE(5695)] = 345179,
  [SMALL_STATE(5696)] = 345199,
  [SMALL_STATE(5697)] = 345219,
  [SMALL_STATE(5698)] = 345239,
  [SMALL_STATE(5699)] = 345259,
  [SMALL_STATE(5700)] = 345277,
  [SMALL_STATE(5701)] = 345297,
  [SMALL_STATE(5702)] = 345317,
  [SMALL_STATE(5703)] = 345337,
  [SMALL_STATE(5704)] = 345357,
  [SMALL_STATE(5705)] = 345377,
  [SMALL_STATE(5706)] = 345397,
  [SMALL_STATE(5707)] = 345417,
  [SMALL_STATE(5708)] = 345437,
  [SMALL_STATE(5709)] = 345457,
  [SMALL_STATE(5710)] = 345477,
  [SMALL_STATE(5711)] = 345497,
  [SMALL_STATE(5712)] = 345517,
  [SMALL_STATE(5713)] = 345537,
  [SMALL_STATE(5714)] = 345557,
  [SMALL_STATE(5715)] = 345577,
  [SMALL_STATE(5716)] = 345597,
  [SMALL_STATE(5717)] = 345617,
  [SMALL_STATE(5718)] = 345637,
  [SMALL_STATE(5719)] = 345657,
  [SMALL_STATE(5720)] = 345677,
  [SMALL_STATE(5721)] = 345697,
  [SMALL_STATE(5722)] = 345717,
  [SMALL_STATE(5723)] = 345737,
  [SMALL_STATE(5724)] = 345757,
  [SMALL_STATE(5725)] = 345777,
  [SMALL_STATE(5726)] = 345797,
  [SMALL_STATE(5727)] = 345817,
  [SMALL_STATE(5728)] = 345837,
  [SMALL_STATE(5729)] = 345857,
  [SMALL_STATE(5730)] = 345877,
  [SMALL_STATE(5731)] = 345897,
  [SMALL_STATE(5732)] = 345915,
  [SMALL_STATE(5733)] = 345935,
  [SMALL_STATE(5734)] = 345955,
  [SMALL_STATE(5735)] = 345975,
  [SMALL_STATE(5736)] = 345995,
  [SMALL_STATE(5737)] = 346015,
  [SMALL_STATE(5738)] = 346035,
  [SMALL_STATE(5739)] = 346055,
  [SMALL_STATE(5740)] = 346075,
  [SMALL_STATE(5741)] = 346095,
  [SMALL_STATE(5742)] = 346115,
  [SMALL_STATE(5743)] = 346135,
  [SMALL_STATE(5744)] = 346155,
  [SMALL_STATE(5745)] = 346175,
  [SMALL_STATE(5746)] = 346195,
  [SMALL_STATE(5747)] = 346215,
  [SMALL_STATE(5748)] = 346235,
  [SMALL_STATE(5749)] = 346255,
  [SMALL_STATE(5750)] = 346275,
  [SMALL_STATE(5751)] = 346295,
  [SMALL_STATE(5752)] = 346315,
  [SMALL_STATE(5753)] = 346335,
  [SMALL_STATE(5754)] = 346355,
  [SMALL_STATE(5755)] = 346375,
  [SMALL_STATE(5756)] = 346395,
  [SMALL_STATE(5757)] = 346415,
  [SMALL_STATE(5758)] = 346435,
  [SMALL_STATE(5759)] = 346455,
  [SMALL_STATE(5760)] = 346475,
  [SMALL_STATE(5761)] = 346495,
  [SMALL_STATE(5762)] = 346515,
  [SMALL_STATE(5763)] = 346535,
  [SMALL_STATE(5764)] = 346553,
  [SMALL_STATE(5765)] = 346573,
  [SMALL_STATE(5766)] = 346593,
  [SMALL_STATE(5767)] = 346613,
  [SMALL_STATE(5768)] = 346633,
  [SMALL_STATE(5769)] = 346653,
  [SMALL_STATE(5770)] = 346673,
  [SMALL_STATE(5771)] = 346693,
  [SMALL_STATE(5772)] = 346713,
  [SMALL_STATE(5773)] = 346733,
  [SMALL_STATE(5774)] = 346753,
  [SMALL_STATE(5775)] = 346773,
  [SMALL_STATE(5776)] = 346793,
  [SMALL_STATE(5777)] = 346813,
  [SMALL_STATE(5778)] = 346833,
  [SMALL_STATE(5779)] = 346853,
  [SMALL_STATE(5780)] = 346873,
  [SMALL_STATE(5781)] = 346893,
  [SMALL_STATE(5782)] = 346913,
  [SMALL_STATE(5783)] = 346933,
  [SMALL_STATE(5784)] = 346953,
  [SMALL_STATE(5785)] = 346973,
  [SMALL_STATE(5786)] = 346993,
  [SMALL_STATE(5787)] = 347013,
  [SMALL_STATE(5788)] = 347033,
  [SMALL_STATE(5789)] = 347053,
  [SMALL_STATE(5790)] = 347073,
  [SMALL_STATE(5791)] = 347093,
  [SMALL_STATE(5792)] = 347113,
  [SMALL_STATE(5793)] = 347133,
  [SMALL_STATE(5794)] = 347150,
  [SMALL_STATE(5795)] = 347167,
  [SMALL_STATE(5796)] = 347184,
  [SMALL_STATE(5797)] = 347199,
  [SMALL_STATE(5798)] = 347216,
  [SMALL_STATE(5799)] = 347233,
  [SMALL_STATE(5800)] = 347248,
  [SMALL_STATE(5801)] = 347263,
  [SMALL_STATE(5802)] = 347280,
  [SMALL_STATE(5803)] = 347295,
  [SMALL_STATE(5804)] = 347312,
  [SMALL_STATE(5805)] = 347327,
  [SMALL_STATE(5806)] = 347344,
  [SMALL_STATE(5807)] = 347359,
  [SMALL_STATE(5808)] = 347376,
  [SMALL_STATE(5809)] = 347393,
  [SMALL_STATE(5810)] = 347410,
  [SMALL_STATE(5811)] = 347427,
  [SMALL_STATE(5812)] = 347444,
  [SMALL_STATE(5813)] = 347461,
  [SMALL_STATE(5814)] = 347478,
  [SMALL_STATE(5815)] = 347493,
  [SMALL_STATE(5816)] = 347510,
  [SMALL_STATE(5817)] = 347527,
  [SMALL_STATE(5818)] = 347544,
  [SMALL_STATE(5819)] = 347561,
  [SMALL_STATE(5820)] = 347578,
  [SMALL_STATE(5821)] = 347595,
  [SMALL_STATE(5822)] = 347612,
  [SMALL_STATE(5823)] = 347627,
  [SMALL_STATE(5824)] = 347642,
  [SMALL_STATE(5825)] = 347659,
  [SMALL_STATE(5826)] = 347676,
  [SMALL_STATE(5827)] = 347693,
  [SMALL_STATE(5828)] = 347710,
  [SMALL_STATE(5829)] = 347727,
  [SMALL_STATE(5830)] = 347744,
  [SMALL_STATE(5831)] = 347761,
  [SMALL_STATE(5832)] = 347778,
  [SMALL_STATE(5833)] = 347795,
  [SMALL_STATE(5834)] = 347812,
  [SMALL_STATE(5835)] = 347829,
  [SMALL_STATE(5836)] = 347846,
  [SMALL_STATE(5837)] = 347863,
  [SMALL_STATE(5838)] = 347880,
  [SMALL_STATE(5839)] = 347897,
  [SMALL_STATE(5840)] = 347914,
  [SMALL_STATE(5841)] = 347931,
  [SMALL_STATE(5842)] = 347948,
  [SMALL_STATE(5843)] = 347965,
  [SMALL_STATE(5844)] = 347982,
  [SMALL_STATE(5845)] = 347999,
  [SMALL_STATE(5846)] = 348016,
  [SMALL_STATE(5847)] = 348033,
  [SMALL_STATE(5848)] = 348050,
  [SMALL_STATE(5849)] = 348067,
  [SMALL_STATE(5850)] = 348084,
  [SMALL_STATE(5851)] = 348099,
  [SMALL_STATE(5852)] = 348116,
  [SMALL_STATE(5853)] = 348133,
  [SMALL_STATE(5854)] = 348150,
  [SMALL_STATE(5855)] = 348167,
  [SMALL_STATE(5856)] = 348184,
  [SMALL_STATE(5857)] = 348201,
  [SMALL_STATE(5858)] = 348218,
  [SMALL_STATE(5859)] = 348235,
  [SMALL_STATE(5860)] = 348252,
  [SMALL_STATE(5861)] = 348269,
  [SMALL_STATE(5862)] = 348286,
  [SMALL_STATE(5863)] = 348303,
  [SMALL_STATE(5864)] = 348320,
  [SMALL_STATE(5865)] = 348337,
  [SMALL_STATE(5866)] = 348354,
  [SMALL_STATE(5867)] = 348371,
  [SMALL_STATE(5868)] = 348388,
  [SMALL_STATE(5869)] = 348405,
  [SMALL_STATE(5870)] = 348422,
  [SMALL_STATE(5871)] = 348437,
  [SMALL_STATE(5872)] = 348452,
  [SMALL_STATE(5873)] = 348467,
  [SMALL_STATE(5874)] = 348484,
  [SMALL_STATE(5875)] = 348501,
  [SMALL_STATE(5876)] = 348518,
  [SMALL_STATE(5877)] = 348535,
  [SMALL_STATE(5878)] = 348552,
  [SMALL_STATE(5879)] = 348569,
  [SMALL_STATE(5880)] = 348586,
  [SMALL_STATE(5881)] = 348603,
  [SMALL_STATE(5882)] = 348620,
  [SMALL_STATE(5883)] = 348637,
  [SMALL_STATE(5884)] = 348654,
  [SMALL_STATE(5885)] = 348671,
  [SMALL_STATE(5886)] = 348688,
  [SMALL_STATE(5887)] = 348705,
  [SMALL_STATE(5888)] = 348722,
  [SMALL_STATE(5889)] = 348739,
  [SMALL_STATE(5890)] = 348756,
  [SMALL_STATE(5891)] = 348773,
  [SMALL_STATE(5892)] = 348790,
  [SMALL_STATE(5893)] = 348807,
  [SMALL_STATE(5894)] = 348824,
  [SMALL_STATE(5895)] = 348841,
  [SMALL_STATE(5896)] = 348858,
  [SMALL_STATE(5897)] = 348875,
  [SMALL_STATE(5898)] = 348892,
  [SMALL_STATE(5899)] = 348909,
  [SMALL_STATE(5900)] = 348926,
  [SMALL_STATE(5901)] = 348943,
  [SMALL_STATE(5902)] = 348960,
  [SMALL_STATE(5903)] = 348977,
  [SMALL_STATE(5904)] = 348994,
  [SMALL_STATE(5905)] = 349011,
  [SMALL_STATE(5906)] = 349026,
  [SMALL_STATE(5907)] = 349043,
  [SMALL_STATE(5908)] = 349060,
  [SMALL_STATE(5909)] = 349077,
  [SMALL_STATE(5910)] = 349094,
  [SMALL_STATE(5911)] = 349111,
  [SMALL_STATE(5912)] = 349128,
  [SMALL_STATE(5913)] = 349145,
  [SMALL_STATE(5914)] = 349162,
  [SMALL_STATE(5915)] = 349179,
  [SMALL_STATE(5916)] = 349196,
  [SMALL_STATE(5917)] = 349213,
  [SMALL_STATE(5918)] = 349230,
  [SMALL_STATE(5919)] = 349247,
  [SMALL_STATE(5920)] = 349264,
  [SMALL_STATE(5921)] = 349281,
  [SMALL_STATE(5922)] = 349296,
  [SMALL_STATE(5923)] = 349311,
  [SMALL_STATE(5924)] = 349328,
  [SMALL_STATE(5925)] = 349345,
  [SMALL_STATE(5926)] = 349360,
  [SMALL_STATE(5927)] = 349377,
  [SMALL_STATE(5928)] = 349394,
  [SMALL_STATE(5929)] = 349411,
  [SMALL_STATE(5930)] = 349426,
  [SMALL_STATE(5931)] = 349443,
  [SMALL_STATE(5932)] = 349460,
  [SMALL_STATE(5933)] = 349477,
  [SMALL_STATE(5934)] = 349494,
  [SMALL_STATE(5935)] = 349511,
  [SMALL_STATE(5936)] = 349528,
  [SMALL_STATE(5937)] = 349545,
  [SMALL_STATE(5938)] = 349562,
  [SMALL_STATE(5939)] = 349579,
  [SMALL_STATE(5940)] = 349596,
  [SMALL_STATE(5941)] = 349613,
  [SMALL_STATE(5942)] = 349630,
  [SMALL_STATE(5943)] = 349647,
  [SMALL_STATE(5944)] = 349664,
  [SMALL_STATE(5945)] = 349681,
  [SMALL_STATE(5946)] = 349698,
  [SMALL_STATE(5947)] = 349713,
  [SMALL_STATE(5948)] = 349730,
  [SMALL_STATE(5949)] = 349747,
  [SMALL_STATE(5950)] = 349762,
  [SMALL_STATE(5951)] = 349779,
  [SMALL_STATE(5952)] = 349796,
  [SMALL_STATE(5953)] = 349813,
  [SMALL_STATE(5954)] = 349828,
  [SMALL_STATE(5955)] = 349845,
  [SMALL_STATE(5956)] = 349862,
  [SMALL_STATE(5957)] = 349879,
  [SMALL_STATE(5958)] = 349896,
  [SMALL_STATE(5959)] = 349913,
  [SMALL_STATE(5960)] = 349930,
  [SMALL_STATE(5961)] = 349947,
  [SMALL_STATE(5962)] = 349964,
  [SMALL_STATE(5963)] = 349981,
  [SMALL_STATE(5964)] = 349998,
  [SMALL_STATE(5965)] = 350015,
  [SMALL_STATE(5966)] = 350032,
  [SMALL_STATE(5967)] = 350049,
  [SMALL_STATE(5968)] = 350066,
  [SMALL_STATE(5969)] = 350083,
  [SMALL_STATE(5970)] = 350100,
  [SMALL_STATE(5971)] = 350115,
  [SMALL_STATE(5972)] = 350132,
  [SMALL_STATE(5973)] = 350149,
  [SMALL_STATE(5974)] = 350164,
  [SMALL_STATE(5975)] = 350181,
  [SMALL_STATE(5976)] = 350198,
  [SMALL_STATE(5977)] = 350215,
  [SMALL_STATE(5978)] = 350232,
  [SMALL_STATE(5979)] = 350249,
  [SMALL_STATE(5980)] = 350266,
  [SMALL_STATE(5981)] = 350283,
  [SMALL_STATE(5982)] = 350298,
  [SMALL_STATE(5983)] = 350315,
  [SMALL_STATE(5984)] = 350332,
  [SMALL_STATE(5985)] = 350349,
  [SMALL_STATE(5986)] = 350366,
  [SMALL_STATE(5987)] = 350381,
  [SMALL_STATE(5988)] = 350398,
  [SMALL_STATE(5989)] = 350415,
  [SMALL_STATE(5990)] = 350432,
  [SMALL_STATE(5991)] = 350449,
  [SMALL_STATE(5992)] = 350466,
  [SMALL_STATE(5993)] = 350483,
  [SMALL_STATE(5994)] = 350500,
  [SMALL_STATE(5995)] = 350517,
  [SMALL_STATE(5996)] = 350534,
  [SMALL_STATE(5997)] = 350551,
  [SMALL_STATE(5998)] = 350568,
  [SMALL_STATE(5999)] = 350585,
  [SMALL_STATE(6000)] = 350600,
  [SMALL_STATE(6001)] = 350617,
  [SMALL_STATE(6002)] = 350632,
  [SMALL_STATE(6003)] = 350649,
  [SMALL_STATE(6004)] = 350663,
  [SMALL_STATE(6005)] = 350677,
  [SMALL_STATE(6006)] = 350691,
  [SMALL_STATE(6007)] = 350705,
  [SMALL_STATE(6008)] = 350719,
  [SMALL_STATE(6009)] = 350733,
  [SMALL_STATE(6010)] = 350747,
  [SMALL_STATE(6011)] = 350761,
  [SMALL_STATE(6012)] = 350775,
  [SMALL_STATE(6013)] = 350789,
  [SMALL_STATE(6014)] = 350803,
  [SMALL_STATE(6015)] = 350817,
  [SMALL_STATE(6016)] = 350831,
  [SMALL_STATE(6017)] = 350845,
  [SMALL_STATE(6018)] = 350859,
  [SMALL_STATE(6019)] = 350873,
  [SMALL_STATE(6020)] = 350887,
  [SMALL_STATE(6021)] = 350901,
  [SMALL_STATE(6022)] = 350915,
  [SMALL_STATE(6023)] = 350929,
  [SMALL_STATE(6024)] = 350943,
  [SMALL_STATE(6025)] = 350957,
  [SMALL_STATE(6026)] = 350971,
  [SMALL_STATE(6027)] = 350985,
  [SMALL_STATE(6028)] = 350999,
  [SMALL_STATE(6029)] = 351013,
  [SMALL_STATE(6030)] = 351027,
  [SMALL_STATE(6031)] = 351041,
  [SMALL_STATE(6032)] = 351055,
  [SMALL_STATE(6033)] = 351069,
  [SMALL_STATE(6034)] = 351083,
  [SMALL_STATE(6035)] = 351097,
  [SMALL_STATE(6036)] = 351111,
  [SMALL_STATE(6037)] = 351125,
  [SMALL_STATE(6038)] = 351139,
  [SMALL_STATE(6039)] = 351153,
  [SMALL_STATE(6040)] = 351167,
  [SMALL_STATE(6041)] = 351181,
  [SMALL_STATE(6042)] = 351195,
  [SMALL_STATE(6043)] = 351209,
  [SMALL_STATE(6044)] = 351223,
  [SMALL_STATE(6045)] = 351237,
  [SMALL_STATE(6046)] = 351251,
  [SMALL_STATE(6047)] = 351265,
  [SMALL_STATE(6048)] = 351279,
  [SMALL_STATE(6049)] = 351293,
  [SMALL_STATE(6050)] = 351307,
  [SMALL_STATE(6051)] = 351321,
  [SMALL_STATE(6052)] = 351335,
  [SMALL_STATE(6053)] = 351349,
  [SMALL_STATE(6054)] = 351363,
  [SMALL_STATE(6055)] = 351377,
  [SMALL_STATE(6056)] = 351391,
  [SMALL_STATE(6057)] = 351405,
  [SMALL_STATE(6058)] = 351419,
  [SMALL_STATE(6059)] = 351433,
  [SMALL_STATE(6060)] = 351447,
  [SMALL_STATE(6061)] = 351461,
  [SMALL_STATE(6062)] = 351475,
  [SMALL_STATE(6063)] = 351489,
  [SMALL_STATE(6064)] = 351503,
  [SMALL_STATE(6065)] = 351517,
  [SMALL_STATE(6066)] = 351531,
  [SMALL_STATE(6067)] = 351545,
  [SMALL_STATE(6068)] = 351559,
  [SMALL_STATE(6069)] = 351573,
  [SMALL_STATE(6070)] = 351587,
  [SMALL_STATE(6071)] = 351601,
  [SMALL_STATE(6072)] = 351615,
  [SMALL_STATE(6073)] = 351629,
  [SMALL_STATE(6074)] = 351643,
  [SMALL_STATE(6075)] = 351657,
  [SMALL_STATE(6076)] = 351671,
  [SMALL_STATE(6077)] = 351685,
  [SMALL_STATE(6078)] = 351699,
  [SMALL_STATE(6079)] = 351713,
  [SMALL_STATE(6080)] = 351727,
  [SMALL_STATE(6081)] = 351741,
  [SMALL_STATE(6082)] = 351755,
  [SMALL_STATE(6083)] = 351769,
  [SMALL_STATE(6084)] = 351783,
  [SMALL_STATE(6085)] = 351797,
  [SMALL_STATE(6086)] = 351811,
  [SMALL_STATE(6087)] = 351825,
  [SMALL_STATE(6088)] = 351839,
  [SMALL_STATE(6089)] = 351853,
  [SMALL_STATE(6090)] = 351867,
  [SMALL_STATE(6091)] = 351881,
  [SMALL_STATE(6092)] = 351895,
  [SMALL_STATE(6093)] = 351909,
  [SMALL_STATE(6094)] = 351923,
  [SMALL_STATE(6095)] = 351937,
  [SMALL_STATE(6096)] = 351951,
  [SMALL_STATE(6097)] = 351965,
  [SMALL_STATE(6098)] = 351979,
  [SMALL_STATE(6099)] = 351993,
  [SMALL_STATE(6100)] = 352007,
  [SMALL_STATE(6101)] = 352021,
  [SMALL_STATE(6102)] = 352035,
  [SMALL_STATE(6103)] = 352049,
  [SMALL_STATE(6104)] = 352063,
  [SMALL_STATE(6105)] = 352077,
  [SMALL_STATE(6106)] = 352091,
  [SMALL_STATE(6107)] = 352105,
  [SMALL_STATE(6108)] = 352119,
  [SMALL_STATE(6109)] = 352133,
  [SMALL_STATE(6110)] = 352147,
  [SMALL_STATE(6111)] = 352161,
  [SMALL_STATE(6112)] = 352175,
  [SMALL_STATE(6113)] = 352189,
  [SMALL_STATE(6114)] = 352203,
  [SMALL_STATE(6115)] = 352217,
  [SMALL_STATE(6116)] = 352231,
  [SMALL_STATE(6117)] = 352245,
  [SMALL_STATE(6118)] = 352259,
  [SMALL_STATE(6119)] = 352273,
  [SMALL_STATE(6120)] = 352287,
  [SMALL_STATE(6121)] = 352301,
  [SMALL_STATE(6122)] = 352315,
  [SMALL_STATE(6123)] = 352329,
  [SMALL_STATE(6124)] = 352343,
  [SMALL_STATE(6125)] = 352357,
  [SMALL_STATE(6126)] = 352371,
  [SMALL_STATE(6127)] = 352385,
  [SMALL_STATE(6128)] = 352399,
  [SMALL_STATE(6129)] = 352413,
  [SMALL_STATE(6130)] = 352427,
  [SMALL_STATE(6131)] = 352441,
  [SMALL_STATE(6132)] = 352455,
  [SMALL_STATE(6133)] = 352469,
  [SMALL_STATE(6134)] = 352483,
  [SMALL_STATE(6135)] = 352497,
  [SMALL_STATE(6136)] = 352511,
  [SMALL_STATE(6137)] = 352525,
  [SMALL_STATE(6138)] = 352539,
  [SMALL_STATE(6139)] = 352553,
  [SMALL_STATE(6140)] = 352567,
  [SMALL_STATE(6141)] = 352581,
  [SMALL_STATE(6142)] = 352595,
  [SMALL_STATE(6143)] = 352609,
  [SMALL_STATE(6144)] = 352623,
  [SMALL_STATE(6145)] = 352637,
  [SMALL_STATE(6146)] = 352651,
  [SMALL_STATE(6147)] = 352665,
  [SMALL_STATE(6148)] = 352679,
  [SMALL_STATE(6149)] = 352693,
  [SMALL_STATE(6150)] = 352707,
  [SMALL_STATE(6151)] = 352721,
  [SMALL_STATE(6152)] = 352735,
  [SMALL_STATE(6153)] = 352749,
  [SMALL_STATE(6154)] = 352763,
  [SMALL_STATE(6155)] = 352777,
  [SMALL_STATE(6156)] = 352791,
  [SMALL_STATE(6157)] = 352805,
  [SMALL_STATE(6158)] = 352819,
  [SMALL_STATE(6159)] = 352833,
  [SMALL_STATE(6160)] = 352847,
  [SMALL_STATE(6161)] = 352861,
  [SMALL_STATE(6162)] = 352875,
  [SMALL_STATE(6163)] = 352889,
  [SMALL_STATE(6164)] = 352903,
  [SMALL_STATE(6165)] = 352917,
  [SMALL_STATE(6166)] = 352931,
  [SMALL_STATE(6167)] = 352945,
  [SMALL_STATE(6168)] = 352959,
  [SMALL_STATE(6169)] = 352973,
  [SMALL_STATE(6170)] = 352987,
  [SMALL_STATE(6171)] = 353001,
  [SMALL_STATE(6172)] = 353015,
  [SMALL_STATE(6173)] = 353029,
  [SMALL_STATE(6174)] = 353043,
  [SMALL_STATE(6175)] = 353057,
  [SMALL_STATE(6176)] = 353071,
  [SMALL_STATE(6177)] = 353085,
  [SMALL_STATE(6178)] = 353099,
  [SMALL_STATE(6179)] = 353113,
  [SMALL_STATE(6180)] = 353127,
  [SMALL_STATE(6181)] = 353141,
  [SMALL_STATE(6182)] = 353155,
  [SMALL_STATE(6183)] = 353169,
  [SMALL_STATE(6184)] = 353183,
  [SMALL_STATE(6185)] = 353197,
  [SMALL_STATE(6186)] = 353211,
  [SMALL_STATE(6187)] = 353225,
  [SMALL_STATE(6188)] = 353239,
  [SMALL_STATE(6189)] = 353253,
  [SMALL_STATE(6190)] = 353267,
  [SMALL_STATE(6191)] = 353281,
  [SMALL_STATE(6192)] = 353295,
  [SMALL_STATE(6193)] = 353309,
  [SMALL_STATE(6194)] = 353323,
  [SMALL_STATE(6195)] = 353337,
  [SMALL_STATE(6196)] = 353351,
  [SMALL_STATE(6197)] = 353365,
  [SMALL_STATE(6198)] = 353379,
  [SMALL_STATE(6199)] = 353393,
  [SMALL_STATE(6200)] = 353407,
  [SMALL_STATE(6201)] = 353421,
  [SMALL_STATE(6202)] = 353435,
  [SMALL_STATE(6203)] = 353449,
  [SMALL_STATE(6204)] = 353463,
  [SMALL_STATE(6205)] = 353477,
  [SMALL_STATE(6206)] = 353491,
  [SMALL_STATE(6207)] = 353505,
  [SMALL_STATE(6208)] = 353519,
  [SMALL_STATE(6209)] = 353533,
  [SMALL_STATE(6210)] = 353547,
  [SMALL_STATE(6211)] = 353561,
  [SMALL_STATE(6212)] = 353575,
  [SMALL_STATE(6213)] = 353589,
  [SMALL_STATE(6214)] = 353603,
  [SMALL_STATE(6215)] = 353617,
  [SMALL_STATE(6216)] = 353631,
  [SMALL_STATE(6217)] = 353645,
  [SMALL_STATE(6218)] = 353659,
  [SMALL_STATE(6219)] = 353673,
  [SMALL_STATE(6220)] = 353687,
  [SMALL_STATE(6221)] = 353701,
  [SMALL_STATE(6222)] = 353715,
  [SMALL_STATE(6223)] = 353729,
  [SMALL_STATE(6224)] = 353743,
  [SMALL_STATE(6225)] = 353757,
  [SMALL_STATE(6226)] = 353771,
  [SMALL_STATE(6227)] = 353785,
  [SMALL_STATE(6228)] = 353799,
  [SMALL_STATE(6229)] = 353813,
  [SMALL_STATE(6230)] = 353827,
  [SMALL_STATE(6231)] = 353841,
  [SMALL_STATE(6232)] = 353855,
  [SMALL_STATE(6233)] = 353869,
  [SMALL_STATE(6234)] = 353883,
  [SMALL_STATE(6235)] = 353897,
  [SMALL_STATE(6236)] = 353911,
  [SMALL_STATE(6237)] = 353925,
  [SMALL_STATE(6238)] = 353939,
  [SMALL_STATE(6239)] = 353953,
  [SMALL_STATE(6240)] = 353967,
  [SMALL_STATE(6241)] = 353981,
  [SMALL_STATE(6242)] = 353995,
  [SMALL_STATE(6243)] = 354009,
  [SMALL_STATE(6244)] = 354023,
  [SMALL_STATE(6245)] = 354037,
  [SMALL_STATE(6246)] = 354051,
  [SMALL_STATE(6247)] = 354065,
  [SMALL_STATE(6248)] = 354079,
  [SMALL_STATE(6249)] = 354093,
  [SMALL_STATE(6250)] = 354107,
  [SMALL_STATE(6251)] = 354121,
  [SMALL_STATE(6252)] = 354135,
  [SMALL_STATE(6253)] = 354149,
  [SMALL_STATE(6254)] = 354163,
  [SMALL_STATE(6255)] = 354177,
  [SMALL_STATE(6256)] = 354191,
  [SMALL_STATE(6257)] = 354205,
  [SMALL_STATE(6258)] = 354219,
  [SMALL_STATE(6259)] = 354233,
  [SMALL_STATE(6260)] = 354247,
  [SMALL_STATE(6261)] = 354261,
  [SMALL_STATE(6262)] = 354275,
  [SMALL_STATE(6263)] = 354289,
  [SMALL_STATE(6264)] = 354303,
  [SMALL_STATE(6265)] = 354317,
  [SMALL_STATE(6266)] = 354331,
  [SMALL_STATE(6267)] = 354345,
  [SMALL_STATE(6268)] = 354359,
  [SMALL_STATE(6269)] = 354373,
  [SMALL_STATE(6270)] = 354387,
  [SMALL_STATE(6271)] = 354401,
  [SMALL_STATE(6272)] = 354415,
  [SMALL_STATE(6273)] = 354429,
  [SMALL_STATE(6274)] = 354443,
  [SMALL_STATE(6275)] = 354457,
  [SMALL_STATE(6276)] = 354471,
  [SMALL_STATE(6277)] = 354485,
  [SMALL_STATE(6278)] = 354499,
  [SMALL_STATE(6279)] = 354513,
  [SMALL_STATE(6280)] = 354527,
  [SMALL_STATE(6281)] = 354541,
  [SMALL_STATE(6282)] = 354555,
  [SMALL_STATE(6283)] = 354569,
  [SMALL_STATE(6284)] = 354583,
  [SMALL_STATE(6285)] = 354597,
  [SMALL_STATE(6286)] = 354611,
  [SMALL_STATE(6287)] = 354625,
  [SMALL_STATE(6288)] = 354639,
  [SMALL_STATE(6289)] = 354653,
  [SMALL_STATE(6290)] = 354667,
  [SMALL_STATE(6291)] = 354681,
  [SMALL_STATE(6292)] = 354695,
  [SMALL_STATE(6293)] = 354709,
  [SMALL_STATE(6294)] = 354723,
  [SMALL_STATE(6295)] = 354737,
  [SMALL_STATE(6296)] = 354751,
  [SMALL_STATE(6297)] = 354765,
  [SMALL_STATE(6298)] = 354779,
  [SMALL_STATE(6299)] = 354793,
  [SMALL_STATE(6300)] = 354807,
  [SMALL_STATE(6301)] = 354821,
  [SMALL_STATE(6302)] = 354835,
  [SMALL_STATE(6303)] = 354849,
  [SMALL_STATE(6304)] = 354863,
  [SMALL_STATE(6305)] = 354877,
  [SMALL_STATE(6306)] = 354891,
  [SMALL_STATE(6307)] = 354905,
  [SMALL_STATE(6308)] = 354919,
  [SMALL_STATE(6309)] = 354933,
  [SMALL_STATE(6310)] = 354947,
  [SMALL_STATE(6311)] = 354961,
  [SMALL_STATE(6312)] = 354975,
  [SMALL_STATE(6313)] = 354989,
  [SMALL_STATE(6314)] = 355003,
  [SMALL_STATE(6315)] = 355017,
  [SMALL_STATE(6316)] = 355031,
  [SMALL_STATE(6317)] = 355045,
  [SMALL_STATE(6318)] = 355059,
  [SMALL_STATE(6319)] = 355073,
  [SMALL_STATE(6320)] = 355087,
  [SMALL_STATE(6321)] = 355101,
  [SMALL_STATE(6322)] = 355115,
  [SMALL_STATE(6323)] = 355129,
  [SMALL_STATE(6324)] = 355143,
  [SMALL_STATE(6325)] = 355157,
  [SMALL_STATE(6326)] = 355171,
  [SMALL_STATE(6327)] = 355185,
  [SMALL_STATE(6328)] = 355199,
  [SMALL_STATE(6329)] = 355213,
  [SMALL_STATE(6330)] = 355227,
  [SMALL_STATE(6331)] = 355241,
  [SMALL_STATE(6332)] = 355255,
  [SMALL_STATE(6333)] = 355269,
  [SMALL_STATE(6334)] = 355283,
  [SMALL_STATE(6335)] = 355297,
  [SMALL_STATE(6336)] = 355311,
  [SMALL_STATE(6337)] = 355325,
  [SMALL_STATE(6338)] = 355339,
  [SMALL_STATE(6339)] = 355353,
  [SMALL_STATE(6340)] = 355367,
  [SMALL_STATE(6341)] = 355381,
  [SMALL_STATE(6342)] = 355395,
  [SMALL_STATE(6343)] = 355409,
  [SMALL_STATE(6344)] = 355423,
  [SMALL_STATE(6345)] = 355437,
  [SMALL_STATE(6346)] = 355451,
  [SMALL_STATE(6347)] = 355465,
  [SMALL_STATE(6348)] = 355479,
  [SMALL_STATE(6349)] = 355493,
  [SMALL_STATE(6350)] = 355507,
  [SMALL_STATE(6351)] = 355521,
  [SMALL_STATE(6352)] = 355535,
  [SMALL_STATE(6353)] = 355549,
  [SMALL_STATE(6354)] = 355563,
  [SMALL_STATE(6355)] = 355577,
  [SMALL_STATE(6356)] = 355591,
  [SMALL_STATE(6357)] = 355605,
  [SMALL_STATE(6358)] = 355619,
  [SMALL_STATE(6359)] = 355633,
  [SMALL_STATE(6360)] = 355647,
  [SMALL_STATE(6361)] = 355661,
  [SMALL_STATE(6362)] = 355675,
  [SMALL_STATE(6363)] = 355689,
  [SMALL_STATE(6364)] = 355703,
  [SMALL_STATE(6365)] = 355717,
  [SMALL_STATE(6366)] = 355731,
  [SMALL_STATE(6367)] = 355745,
  [SMALL_STATE(6368)] = 355759,
  [SMALL_STATE(6369)] = 355773,
  [SMALL_STATE(6370)] = 355787,
  [SMALL_STATE(6371)] = 355801,
  [SMALL_STATE(6372)] = 355815,
  [SMALL_STATE(6373)] = 355829,
  [SMALL_STATE(6374)] = 355843,
  [SMALL_STATE(6375)] = 355857,
  [SMALL_STATE(6376)] = 355871,
  [SMALL_STATE(6377)] = 355885,
  [SMALL_STATE(6378)] = 355899,
  [SMALL_STATE(6379)] = 355913,
  [SMALL_STATE(6380)] = 355927,
  [SMALL_STATE(6381)] = 355941,
  [SMALL_STATE(6382)] = 355955,
  [SMALL_STATE(6383)] = 355969,
  [SMALL_STATE(6384)] = 355983,
  [SMALL_STATE(6385)] = 355997,
  [SMALL_STATE(6386)] = 356011,
  [SMALL_STATE(6387)] = 356025,
  [SMALL_STATE(6388)] = 356039,
  [SMALL_STATE(6389)] = 356053,
  [SMALL_STATE(6390)] = 356067,
  [SMALL_STATE(6391)] = 356081,
  [SMALL_STATE(6392)] = 356095,
  [SMALL_STATE(6393)] = 356109,
  [SMALL_STATE(6394)] = 356123,
  [SMALL_STATE(6395)] = 356137,
  [SMALL_STATE(6396)] = 356151,
  [SMALL_STATE(6397)] = 356165,
  [SMALL_STATE(6398)] = 356179,
  [SMALL_STATE(6399)] = 356193,
  [SMALL_STATE(6400)] = 356207,
  [SMALL_STATE(6401)] = 356221,
  [SMALL_STATE(6402)] = 356235,
  [SMALL_STATE(6403)] = 356249,
  [SMALL_STATE(6404)] = 356263,
  [SMALL_STATE(6405)] = 356277,
  [SMALL_STATE(6406)] = 356291,
  [SMALL_STATE(6407)] = 356305,
  [SMALL_STATE(6408)] = 356319,
  [SMALL_STATE(6409)] = 356333,
  [SMALL_STATE(6410)] = 356347,
  [SMALL_STATE(6411)] = 356361,
  [SMALL_STATE(6412)] = 356375,
  [SMALL_STATE(6413)] = 356389,
  [SMALL_STATE(6414)] = 356403,
  [SMALL_STATE(6415)] = 356417,
  [SMALL_STATE(6416)] = 356431,
  [SMALL_STATE(6417)] = 356445,
  [SMALL_STATE(6418)] = 356459,
  [SMALL_STATE(6419)] = 356473,
  [SMALL_STATE(6420)] = 356487,
  [SMALL_STATE(6421)] = 356501,
  [SMALL_STATE(6422)] = 356515,
  [SMALL_STATE(6423)] = 356529,
  [SMALL_STATE(6424)] = 356543,
  [SMALL_STATE(6425)] = 356557,
  [SMALL_STATE(6426)] = 356571,
  [SMALL_STATE(6427)] = 356585,
  [SMALL_STATE(6428)] = 356599,
  [SMALL_STATE(6429)] = 356613,
  [SMALL_STATE(6430)] = 356627,
  [SMALL_STATE(6431)] = 356641,
  [SMALL_STATE(6432)] = 356655,
  [SMALL_STATE(6433)] = 356669,
  [SMALL_STATE(6434)] = 356683,
  [SMALL_STATE(6435)] = 356697,
  [SMALL_STATE(6436)] = 356711,
  [SMALL_STATE(6437)] = 356725,
  [SMALL_STATE(6438)] = 356739,
  [SMALL_STATE(6439)] = 356753,
  [SMALL_STATE(6440)] = 356767,
  [SMALL_STATE(6441)] = 356781,
  [SMALL_STATE(6442)] = 356795,
  [SMALL_STATE(6443)] = 356809,
  [SMALL_STATE(6444)] = 356823,
  [SMALL_STATE(6445)] = 356837,
  [SMALL_STATE(6446)] = 356851,
  [SMALL_STATE(6447)] = 356865,
  [SMALL_STATE(6448)] = 356879,
  [SMALL_STATE(6449)] = 356893,
  [SMALL_STATE(6450)] = 356907,
  [SMALL_STATE(6451)] = 356921,
  [SMALL_STATE(6452)] = 356935,
  [SMALL_STATE(6453)] = 356949,
  [SMALL_STATE(6454)] = 356963,
  [SMALL_STATE(6455)] = 356977,
  [SMALL_STATE(6456)] = 356991,
  [SMALL_STATE(6457)] = 357005,
  [SMALL_STATE(6458)] = 357019,
  [SMALL_STATE(6459)] = 357033,
  [SMALL_STATE(6460)] = 357047,
  [SMALL_STATE(6461)] = 357061,
  [SMALL_STATE(6462)] = 357075,
  [SMALL_STATE(6463)] = 357089,
  [SMALL_STATE(6464)] = 357103,
  [SMALL_STATE(6465)] = 357117,
  [SMALL_STATE(6466)] = 357131,
  [SMALL_STATE(6467)] = 357145,
  [SMALL_STATE(6468)] = 357159,
  [SMALL_STATE(6469)] = 357173,
  [SMALL_STATE(6470)] = 357187,
  [SMALL_STATE(6471)] = 357201,
  [SMALL_STATE(6472)] = 357215,
  [SMALL_STATE(6473)] = 357229,
  [SMALL_STATE(6474)] = 357243,
  [SMALL_STATE(6475)] = 357257,
  [SMALL_STATE(6476)] = 357271,
  [SMALL_STATE(6477)] = 357285,
  [SMALL_STATE(6478)] = 357299,
  [SMALL_STATE(6479)] = 357313,
  [SMALL_STATE(6480)] = 357327,
  [SMALL_STATE(6481)] = 357341,
  [SMALL_STATE(6482)] = 357355,
  [SMALL_STATE(6483)] = 357369,
  [SMALL_STATE(6484)] = 357383,
  [SMALL_STATE(6485)] = 357397,
  [SMALL_STATE(6486)] = 357411,
  [SMALL_STATE(6487)] = 357425,
  [SMALL_STATE(6488)] = 357439,
  [SMALL_STATE(6489)] = 357453,
  [SMALL_STATE(6490)] = 357467,
  [SMALL_STATE(6491)] = 357481,
  [SMALL_STATE(6492)] = 357495,
  [SMALL_STATE(6493)] = 357509,
  [SMALL_STATE(6494)] = 357523,
  [SMALL_STATE(6495)] = 357537,
  [SMALL_STATE(6496)] = 357551,
  [SMALL_STATE(6497)] = 357565,
  [SMALL_STATE(6498)] = 357579,
  [SMALL_STATE(6499)] = 357593,
  [SMALL_STATE(6500)] = 357607,
  [SMALL_STATE(6501)] = 357621,
  [SMALL_STATE(6502)] = 357635,
  [SMALL_STATE(6503)] = 357649,
  [SMALL_STATE(6504)] = 357663,
  [SMALL_STATE(6505)] = 357677,
  [SMALL_STATE(6506)] = 357691,
  [SMALL_STATE(6507)] = 357705,
  [SMALL_STATE(6508)] = 357719,
  [SMALL_STATE(6509)] = 357733,
  [SMALL_STATE(6510)] = 357747,
  [SMALL_STATE(6511)] = 357761,
  [SMALL_STATE(6512)] = 357775,
  [SMALL_STATE(6513)] = 357789,
  [SMALL_STATE(6514)] = 357803,
  [SMALL_STATE(6515)] = 357817,
  [SMALL_STATE(6516)] = 357831,
  [SMALL_STATE(6517)] = 357845,
  [SMALL_STATE(6518)] = 357859,
  [SMALL_STATE(6519)] = 357873,
  [SMALL_STATE(6520)] = 357887,
  [SMALL_STATE(6521)] = 357901,
  [SMALL_STATE(6522)] = 357915,
  [SMALL_STATE(6523)] = 357929,
  [SMALL_STATE(6524)] = 357943,
  [SMALL_STATE(6525)] = 357957,
  [SMALL_STATE(6526)] = 357971,
  [SMALL_STATE(6527)] = 357985,
  [SMALL_STATE(6528)] = 357999,
  [SMALL_STATE(6529)] = 358013,
  [SMALL_STATE(6530)] = 358027,
  [SMALL_STATE(6531)] = 358041,
  [SMALL_STATE(6532)] = 358055,
  [SMALL_STATE(6533)] = 358069,
  [SMALL_STATE(6534)] = 358083,
  [SMALL_STATE(6535)] = 358097,
  [SMALL_STATE(6536)] = 358111,
  [SMALL_STATE(6537)] = 358125,
  [SMALL_STATE(6538)] = 358139,
  [SMALL_STATE(6539)] = 358153,
  [SMALL_STATE(6540)] = 358167,
  [SMALL_STATE(6541)] = 358181,
  [SMALL_STATE(6542)] = 358195,
  [SMALL_STATE(6543)] = 358209,
  [SMALL_STATE(6544)] = 358223,
  [SMALL_STATE(6545)] = 358237,
  [SMALL_STATE(6546)] = 358251,
  [SMALL_STATE(6547)] = 358265,
  [SMALL_STATE(6548)] = 358279,
  [SMALL_STATE(6549)] = 358293,
  [SMALL_STATE(6550)] = 358307,
  [SMALL_STATE(6551)] = 358321,
  [SMALL_STATE(6552)] = 358335,
  [SMALL_STATE(6553)] = 358349,
  [SMALL_STATE(6554)] = 358363,
  [SMALL_STATE(6555)] = 358377,
  [SMALL_STATE(6556)] = 358391,
  [SMALL_STATE(6557)] = 358405,
  [SMALL_STATE(6558)] = 358419,
  [SMALL_STATE(6559)] = 358433,
  [SMALL_STATE(6560)] = 358447,
  [SMALL_STATE(6561)] = 358461,
  [SMALL_STATE(6562)] = 358475,
  [SMALL_STATE(6563)] = 358489,
  [SMALL_STATE(6564)] = 358503,
  [SMALL_STATE(6565)] = 358517,
  [SMALL_STATE(6566)] = 358531,
  [SMALL_STATE(6567)] = 358545,
  [SMALL_STATE(6568)] = 358559,
  [SMALL_STATE(6569)] = 358573,
  [SMALL_STATE(6570)] = 358587,
  [SMALL_STATE(6571)] = 358601,
  [SMALL_STATE(6572)] = 358615,
  [SMALL_STATE(6573)] = 358629,
  [SMALL_STATE(6574)] = 358643,
  [SMALL_STATE(6575)] = 358657,
  [SMALL_STATE(6576)] = 358671,
  [SMALL_STATE(6577)] = 358685,
  [SMALL_STATE(6578)] = 358699,
  [SMALL_STATE(6579)] = 358713,
  [SMALL_STATE(6580)] = 358727,
  [SMALL_STATE(6581)] = 358741,
  [SMALL_STATE(6582)] = 358755,
  [SMALL_STATE(6583)] = 358769,
  [SMALL_STATE(6584)] = 358783,
  [SMALL_STATE(6585)] = 358797,
  [SMALL_STATE(6586)] = 358811,
  [SMALL_STATE(6587)] = 358825,
  [SMALL_STATE(6588)] = 358839,
  [SMALL_STATE(6589)] = 358853,
  [SMALL_STATE(6590)] = 358867,
  [SMALL_STATE(6591)] = 358881,
  [SMALL_STATE(6592)] = 358895,
  [SMALL_STATE(6593)] = 358909,
  [SMALL_STATE(6594)] = 358923,
  [SMALL_STATE(6595)] = 358937,
  [SMALL_STATE(6596)] = 358951,
  [SMALL_STATE(6597)] = 358965,
  [SMALL_STATE(6598)] = 358979,
  [SMALL_STATE(6599)] = 358993,
  [SMALL_STATE(6600)] = 359007,
  [SMALL_STATE(6601)] = 359021,
  [SMALL_STATE(6602)] = 359035,
  [SMALL_STATE(6603)] = 359049,
  [SMALL_STATE(6604)] = 359063,
  [SMALL_STATE(6605)] = 359077,
  [SMALL_STATE(6606)] = 359091,
  [SMALL_STATE(6607)] = 359105,
  [SMALL_STATE(6608)] = 359119,
  [SMALL_STATE(6609)] = 359133,
  [SMALL_STATE(6610)] = 359147,
  [SMALL_STATE(6611)] = 359161,
  [SMALL_STATE(6612)] = 359175,
  [SMALL_STATE(6613)] = 359189,
  [SMALL_STATE(6614)] = 359203,
  [SMALL_STATE(6615)] = 359217,
  [SMALL_STATE(6616)] = 359231,
  [SMALL_STATE(6617)] = 359245,
  [SMALL_STATE(6618)] = 359259,
  [SMALL_STATE(6619)] = 359273,
  [SMALL_STATE(6620)] = 359287,
  [SMALL_STATE(6621)] = 359301,
  [SMALL_STATE(6622)] = 359315,
  [SMALL_STATE(6623)] = 359329,
  [SMALL_STATE(6624)] = 359343,
  [SMALL_STATE(6625)] = 359357,
  [SMALL_STATE(6626)] = 359371,
  [SMALL_STATE(6627)] = 359385,
  [SMALL_STATE(6628)] = 359399,
  [SMALL_STATE(6629)] = 359413,
  [SMALL_STATE(6630)] = 359427,
  [SMALL_STATE(6631)] = 359441,
  [SMALL_STATE(6632)] = 359455,
  [SMALL_STATE(6633)] = 359469,
  [SMALL_STATE(6634)] = 359483,
  [SMALL_STATE(6635)] = 359497,
  [SMALL_STATE(6636)] = 359511,
  [SMALL_STATE(6637)] = 359525,
  [SMALL_STATE(6638)] = 359539,
  [SMALL_STATE(6639)] = 359553,
  [SMALL_STATE(6640)] = 359567,
  [SMALL_STATE(6641)] = 359581,
  [SMALL_STATE(6642)] = 359595,
  [SMALL_STATE(6643)] = 359609,
  [SMALL_STATE(6644)] = 359623,
  [SMALL_STATE(6645)] = 359637,
  [SMALL_STATE(6646)] = 359651,
  [SMALL_STATE(6647)] = 359665,
  [SMALL_STATE(6648)] = 359679,
  [SMALL_STATE(6649)] = 359693,
  [SMALL_STATE(6650)] = 359707,
  [SMALL_STATE(6651)] = 359721,
  [SMALL_STATE(6652)] = 359735,
  [SMALL_STATE(6653)] = 359749,
  [SMALL_STATE(6654)] = 359763,
  [SMALL_STATE(6655)] = 359777,
  [SMALL_STATE(6656)] = 359791,
  [SMALL_STATE(6657)] = 359805,
  [SMALL_STATE(6658)] = 359819,
  [SMALL_STATE(6659)] = 359833,
  [SMALL_STATE(6660)] = 359847,
  [SMALL_STATE(6661)] = 359861,
  [SMALL_STATE(6662)] = 359875,
  [SMALL_STATE(6663)] = 359889,
  [SMALL_STATE(6664)] = 359903,
  [SMALL_STATE(6665)] = 359917,
  [SMALL_STATE(6666)] = 359931,
  [SMALL_STATE(6667)] = 359945,
  [SMALL_STATE(6668)] = 359959,
  [SMALL_STATE(6669)] = 359973,
  [SMALL_STATE(6670)] = 359987,
  [SMALL_STATE(6671)] = 360001,
  [SMALL_STATE(6672)] = 360015,
  [SMALL_STATE(6673)] = 360029,
  [SMALL_STATE(6674)] = 360043,
  [SMALL_STATE(6675)] = 360057,
  [SMALL_STATE(6676)] = 360071,
  [SMALL_STATE(6677)] = 360085,
  [SMALL_STATE(6678)] = 360099,
  [SMALL_STATE(6679)] = 360113,
  [SMALL_STATE(6680)] = 360127,
  [SMALL_STATE(6681)] = 360141,
  [SMALL_STATE(6682)] = 360155,
  [SMALL_STATE(6683)] = 360169,
  [SMALL_STATE(6684)] = 360183,
  [SMALL_STATE(6685)] = 360197,
  [SMALL_STATE(6686)] = 360211,
  [SMALL_STATE(6687)] = 360225,
  [SMALL_STATE(6688)] = 360239,
  [SMALL_STATE(6689)] = 360253,
  [SMALL_STATE(6690)] = 360267,
  [SMALL_STATE(6691)] = 360281,
  [SMALL_STATE(6692)] = 360295,
  [SMALL_STATE(6693)] = 360309,
  [SMALL_STATE(6694)] = 360323,
  [SMALL_STATE(6695)] = 360337,
  [SMALL_STATE(6696)] = 360351,
  [SMALL_STATE(6697)] = 360365,
  [SMALL_STATE(6698)] = 360379,
  [SMALL_STATE(6699)] = 360393,
  [SMALL_STATE(6700)] = 360407,
  [SMALL_STATE(6701)] = 360421,
  [SMALL_STATE(6702)] = 360435,
  [SMALL_STATE(6703)] = 360449,
  [SMALL_STATE(6704)] = 360463,
  [SMALL_STATE(6705)] = 360477,
  [SMALL_STATE(6706)] = 360491,
  [SMALL_STATE(6707)] = 360505,
  [SMALL_STATE(6708)] = 360519,
  [SMALL_STATE(6709)] = 360533,
  [SMALL_STATE(6710)] = 360547,
  [SMALL_STATE(6711)] = 360561,
  [SMALL_STATE(6712)] = 360575,
  [SMALL_STATE(6713)] = 360589,
  [SMALL_STATE(6714)] = 360603,
  [SMALL_STATE(6715)] = 360617,
  [SMALL_STATE(6716)] = 360631,
  [SMALL_STATE(6717)] = 360645,
  [SMALL_STATE(6718)] = 360659,
  [SMALL_STATE(6719)] = 360673,
  [SMALL_STATE(6720)] = 360687,
  [SMALL_STATE(6721)] = 360701,
  [SMALL_STATE(6722)] = 360715,
  [SMALL_STATE(6723)] = 360729,
  [SMALL_STATE(6724)] = 360743,
  [SMALL_STATE(6725)] = 360757,
  [SMALL_STATE(6726)] = 360771,
  [SMALL_STATE(6727)] = 360785,
  [SMALL_STATE(6728)] = 360799,
  [SMALL_STATE(6729)] = 360813,
  [SMALL_STATE(6730)] = 360827,
  [SMALL_STATE(6731)] = 360841,
  [SMALL_STATE(6732)] = 360855,
  [SMALL_STATE(6733)] = 360869,
  [SMALL_STATE(6734)] = 360883,
  [SMALL_STATE(6735)] = 360897,
  [SMALL_STATE(6736)] = 360911,
  [SMALL_STATE(6737)] = 360925,
  [SMALL_STATE(6738)] = 360939,
  [SMALL_STATE(6739)] = 360953,
  [SMALL_STATE(6740)] = 360967,
  [SMALL_STATE(6741)] = 360981,
  [SMALL_STATE(6742)] = 360995,
  [SMALL_STATE(6743)] = 361009,
  [SMALL_STATE(6744)] = 361023,
  [SMALL_STATE(6745)] = 361037,
  [SMALL_STATE(6746)] = 361051,
  [SMALL_STATE(6747)] = 361065,
  [SMALL_STATE(6748)] = 361079,
  [SMALL_STATE(6749)] = 361093,
  [SMALL_STATE(6750)] = 361107,
  [SMALL_STATE(6751)] = 361121,
  [SMALL_STATE(6752)] = 361135,
  [SMALL_STATE(6753)] = 361149,
  [SMALL_STATE(6754)] = 361163,
  [SMALL_STATE(6755)] = 361177,
  [SMALL_STATE(6756)] = 361191,
  [SMALL_STATE(6757)] = 361205,
  [SMALL_STATE(6758)] = 361219,
  [SMALL_STATE(6759)] = 361233,
  [SMALL_STATE(6760)] = 361247,
  [SMALL_STATE(6761)] = 361261,
  [SMALL_STATE(6762)] = 361275,
  [SMALL_STATE(6763)] = 361289,
  [SMALL_STATE(6764)] = 361303,
  [SMALL_STATE(6765)] = 361317,
  [SMALL_STATE(6766)] = 361331,
  [SMALL_STATE(6767)] = 361345,
  [SMALL_STATE(6768)] = 361359,
  [SMALL_STATE(6769)] = 361373,
  [SMALL_STATE(6770)] = 361387,
  [SMALL_STATE(6771)] = 361401,
  [SMALL_STATE(6772)] = 361415,
  [SMALL_STATE(6773)] = 361429,
  [SMALL_STATE(6774)] = 361443,
  [SMALL_STATE(6775)] = 361457,
  [SMALL_STATE(6776)] = 361471,
  [SMALL_STATE(6777)] = 361485,
  [SMALL_STATE(6778)] = 361499,
  [SMALL_STATE(6779)] = 361513,
  [SMALL_STATE(6780)] = 361527,
  [SMALL_STATE(6781)] = 361541,
  [SMALL_STATE(6782)] = 361555,
  [SMALL_STATE(6783)] = 361569,
  [SMALL_STATE(6784)] = 361583,
  [SMALL_STATE(6785)] = 361597,
  [SMALL_STATE(6786)] = 361611,
  [SMALL_STATE(6787)] = 361625,
  [SMALL_STATE(6788)] = 361639,
  [SMALL_STATE(6789)] = 361653,
  [SMALL_STATE(6790)] = 361667,
  [SMALL_STATE(6791)] = 361681,
  [SMALL_STATE(6792)] = 361695,
  [SMALL_STATE(6793)] = 361709,
  [SMALL_STATE(6794)] = 361723,
  [SMALL_STATE(6795)] = 361737,
  [SMALL_STATE(6796)] = 361751,
  [SMALL_STATE(6797)] = 361765,
  [SMALL_STATE(6798)] = 361779,
  [SMALL_STATE(6799)] = 361793,
  [SMALL_STATE(6800)] = 361807,
  [SMALL_STATE(6801)] = 361821,
  [SMALL_STATE(6802)] = 361835,
  [SMALL_STATE(6803)] = 361849,
  [SMALL_STATE(6804)] = 361863,
  [SMALL_STATE(6805)] = 361877,
  [SMALL_STATE(6806)] = 361891,
  [SMALL_STATE(6807)] = 361905,
  [SMALL_STATE(6808)] = 361919,
  [SMALL_STATE(6809)] = 361933,
  [SMALL_STATE(6810)] = 361947,
  [SMALL_STATE(6811)] = 361961,
  [SMALL_STATE(6812)] = 361975,
  [SMALL_STATE(6813)] = 361989,
  [SMALL_STATE(6814)] = 362003,
  [SMALL_STATE(6815)] = 362017,
  [SMALL_STATE(6816)] = 362031,
  [SMALL_STATE(6817)] = 362045,
  [SMALL_STATE(6818)] = 362059,
  [SMALL_STATE(6819)] = 362073,
  [SMALL_STATE(6820)] = 362087,
  [SMALL_STATE(6821)] = 362101,
  [SMALL_STATE(6822)] = 362115,
  [SMALL_STATE(6823)] = 362129,
  [SMALL_STATE(6824)] = 362143,
  [SMALL_STATE(6825)] = 362157,
  [SMALL_STATE(6826)] = 362171,
  [SMALL_STATE(6827)] = 362185,
  [SMALL_STATE(6828)] = 362199,
  [SMALL_STATE(6829)] = 362213,
  [SMALL_STATE(6830)] = 362227,
  [SMALL_STATE(6831)] = 362241,
  [SMALL_STATE(6832)] = 362255,
  [SMALL_STATE(6833)] = 362269,
  [SMALL_STATE(6834)] = 362283,
  [SMALL_STATE(6835)] = 362297,
  [SMALL_STATE(6836)] = 362311,
  [SMALL_STATE(6837)] = 362325,
  [SMALL_STATE(6838)] = 362339,
  [SMALL_STATE(6839)] = 362353,
  [SMALL_STATE(6840)] = 362367,
  [SMALL_STATE(6841)] = 362381,
  [SMALL_STATE(6842)] = 362395,
  [SMALL_STATE(6843)] = 362409,
  [SMALL_STATE(6844)] = 362423,
  [SMALL_STATE(6845)] = 362437,
  [SMALL_STATE(6846)] = 362451,
  [SMALL_STATE(6847)] = 362465,
  [SMALL_STATE(6848)] = 362479,
  [SMALL_STATE(6849)] = 362493,
  [SMALL_STATE(6850)] = 362507,
  [SMALL_STATE(6851)] = 362521,
  [SMALL_STATE(6852)] = 362535,
  [SMALL_STATE(6853)] = 362549,
  [SMALL_STATE(6854)] = 362563,
  [SMALL_STATE(6855)] = 362577,
  [SMALL_STATE(6856)] = 362591,
  [SMALL_STATE(6857)] = 362605,
  [SMALL_STATE(6858)] = 362619,
  [SMALL_STATE(6859)] = 362633,
  [SMALL_STATE(6860)] = 362647,
  [SMALL_STATE(6861)] = 362661,
  [SMALL_STATE(6862)] = 362675,
  [SMALL_STATE(6863)] = 362689,
  [SMALL_STATE(6864)] = 362703,
  [SMALL_STATE(6865)] = 362717,
  [SMALL_STATE(6866)] = 362731,
  [SMALL_STATE(6867)] = 362745,
  [SMALL_STATE(6868)] = 362759,
  [SMALL_STATE(6869)] = 362773,
  [SMALL_STATE(6870)] = 362787,
  [SMALL_STATE(6871)] = 362801,
  [SMALL_STATE(6872)] = 362815,
  [SMALL_STATE(6873)] = 362829,
  [SMALL_STATE(6874)] = 362843,
  [SMALL_STATE(6875)] = 362857,
  [SMALL_STATE(6876)] = 362871,
  [SMALL_STATE(6877)] = 362885,
  [SMALL_STATE(6878)] = 362899,
  [SMALL_STATE(6879)] = 362913,
  [SMALL_STATE(6880)] = 362927,
  [SMALL_STATE(6881)] = 362941,
  [SMALL_STATE(6882)] = 362955,
  [SMALL_STATE(6883)] = 362969,
  [SMALL_STATE(6884)] = 362983,
  [SMALL_STATE(6885)] = 362997,
  [SMALL_STATE(6886)] = 363011,
  [SMALL_STATE(6887)] = 363025,
  [SMALL_STATE(6888)] = 363039,
  [SMALL_STATE(6889)] = 363053,
  [SMALL_STATE(6890)] = 363067,
  [SMALL_STATE(6891)] = 363081,
  [SMALL_STATE(6892)] = 363095,
  [SMALL_STATE(6893)] = 363109,
  [SMALL_STATE(6894)] = 363123,
  [SMALL_STATE(6895)] = 363137,
  [SMALL_STATE(6896)] = 363151,
  [SMALL_STATE(6897)] = 363165,
  [SMALL_STATE(6898)] = 363179,
  [SMALL_STATE(6899)] = 363193,
  [SMALL_STATE(6900)] = 363207,
  [SMALL_STATE(6901)] = 363221,
  [SMALL_STATE(6902)] = 363235,
  [SMALL_STATE(6903)] = 363249,
  [SMALL_STATE(6904)] = 363263,
  [SMALL_STATE(6905)] = 363277,
  [SMALL_STATE(6906)] = 363291,
  [SMALL_STATE(6907)] = 363305,
  [SMALL_STATE(6908)] = 363319,
  [SMALL_STATE(6909)] = 363333,
  [SMALL_STATE(6910)] = 363347,
  [SMALL_STATE(6911)] = 363361,
  [SMALL_STATE(6912)] = 363375,
  [SMALL_STATE(6913)] = 363389,
  [SMALL_STATE(6914)] = 363403,
  [SMALL_STATE(6915)] = 363417,
  [SMALL_STATE(6916)] = 363431,
  [SMALL_STATE(6917)] = 363445,
  [SMALL_STATE(6918)] = 363459,
  [SMALL_STATE(6919)] = 363473,
  [SMALL_STATE(6920)] = 363487,
  [SMALL_STATE(6921)] = 363501,
  [SMALL_STATE(6922)] = 363515,
  [SMALL_STATE(6923)] = 363529,
  [SMALL_STATE(6924)] = 363543,
  [SMALL_STATE(6925)] = 363557,
  [SMALL_STATE(6926)] = 363571,
  [SMALL_STATE(6927)] = 363585,
  [SMALL_STATE(6928)] = 363599,
  [SMALL_STATE(6929)] = 363613,
  [SMALL_STATE(6930)] = 363627,
  [SMALL_STATE(6931)] = 363641,
  [SMALL_STATE(6932)] = 363655,
  [SMALL_STATE(6933)] = 363669,
  [SMALL_STATE(6934)] = 363683,
  [SMALL_STATE(6935)] = 363697,
  [SMALL_STATE(6936)] = 363711,
  [SMALL_STATE(6937)] = 363725,
  [SMALL_STATE(6938)] = 363739,
  [SMALL_STATE(6939)] = 363753,
  [SMALL_STATE(6940)] = 363767,
  [SMALL_STATE(6941)] = 363781,
  [SMALL_STATE(6942)] = 363795,
  [SMALL_STATE(6943)] = 363809,
  [SMALL_STATE(6944)] = 363823,
  [SMALL_STATE(6945)] = 363837,
  [SMALL_STATE(6946)] = 363851,
  [SMALL_STATE(6947)] = 363865,
  [SMALL_STATE(6948)] = 363879,
  [SMALL_STATE(6949)] = 363893,
  [SMALL_STATE(6950)] = 363907,
  [SMALL_STATE(6951)] = 363921,
  [SMALL_STATE(6952)] = 363935,
  [SMALL_STATE(6953)] = 363949,
  [SMALL_STATE(6954)] = 363963,
  [SMALL_STATE(6955)] = 363977,
  [SMALL_STATE(6956)] = 363991,
  [SMALL_STATE(6957)] = 364005,
  [SMALL_STATE(6958)] = 364019,
  [SMALL_STATE(6959)] = 364033,
  [SMALL_STATE(6960)] = 364047,
  [SMALL_STATE(6961)] = 364061,
  [SMALL_STATE(6962)] = 364075,
  [SMALL_STATE(6963)] = 364089,
  [SMALL_STATE(6964)] = 364103,
  [SMALL_STATE(6965)] = 364117,
  [SMALL_STATE(6966)] = 364131,
  [SMALL_STATE(6967)] = 364145,
  [SMALL_STATE(6968)] = 364159,
  [SMALL_STATE(6969)] = 364173,
  [SMALL_STATE(6970)] = 364187,
  [SMALL_STATE(6971)] = 364201,
  [SMALL_STATE(6972)] = 364215,
  [SMALL_STATE(6973)] = 364229,
  [SMALL_STATE(6974)] = 364243,
  [SMALL_STATE(6975)] = 364257,
  [SMALL_STATE(6976)] = 364271,
  [SMALL_STATE(6977)] = 364285,
  [SMALL_STATE(6978)] = 364299,
  [SMALL_STATE(6979)] = 364313,
  [SMALL_STATE(6980)] = 364327,
  [SMALL_STATE(6981)] = 364341,
  [SMALL_STATE(6982)] = 364355,
  [SMALL_STATE(6983)] = 364369,
  [SMALL_STATE(6984)] = 364383,
  [SMALL_STATE(6985)] = 364397,
  [SMALL_STATE(6986)] = 364411,
  [SMALL_STATE(6987)] = 364425,
  [SMALL_STATE(6988)] = 364439,
  [SMALL_STATE(6989)] = 364453,
  [SMALL_STATE(6990)] = 364467,
  [SMALL_STATE(6991)] = 364481,
  [SMALL_STATE(6992)] = 364495,
  [SMALL_STATE(6993)] = 364509,
  [SMALL_STATE(6994)] = 364523,
  [SMALL_STATE(6995)] = 364537,
  [SMALL_STATE(6996)] = 364551,
  [SMALL_STATE(6997)] = 364565,
  [SMALL_STATE(6998)] = 364579,
  [SMALL_STATE(6999)] = 364593,
  [SMALL_STATE(7000)] = 364607,
  [SMALL_STATE(7001)] = 364621,
  [SMALL_STATE(7002)] = 364635,
  [SMALL_STATE(7003)] = 364649,
  [SMALL_STATE(7004)] = 364663,
  [SMALL_STATE(7005)] = 364677,
  [SMALL_STATE(7006)] = 364691,
  [SMALL_STATE(7007)] = 364705,
  [SMALL_STATE(7008)] = 364719,
  [SMALL_STATE(7009)] = 364733,
  [SMALL_STATE(7010)] = 364747,
  [SMALL_STATE(7011)] = 364761,
  [SMALL_STATE(7012)] = 364775,
  [SMALL_STATE(7013)] = 364789,
  [SMALL_STATE(7014)] = 364803,
  [SMALL_STATE(7015)] = 364817,
  [SMALL_STATE(7016)] = 364831,
  [SMALL_STATE(7017)] = 364845,
  [SMALL_STATE(7018)] = 364859,
  [SMALL_STATE(7019)] = 364873,
  [SMALL_STATE(7020)] = 364887,
  [SMALL_STATE(7021)] = 364901,
  [SMALL_STATE(7022)] = 364915,
  [SMALL_STATE(7023)] = 364929,
  [SMALL_STATE(7024)] = 364943,
  [SMALL_STATE(7025)] = 364957,
  [SMALL_STATE(7026)] = 364971,
  [SMALL_STATE(7027)] = 364985,
  [SMALL_STATE(7028)] = 364999,
  [SMALL_STATE(7029)] = 365013,
  [SMALL_STATE(7030)] = 365027,
  [SMALL_STATE(7031)] = 365041,
  [SMALL_STATE(7032)] = 365055,
  [SMALL_STATE(7033)] = 365069,
  [SMALL_STATE(7034)] = 365083,
  [SMALL_STATE(7035)] = 365097,
  [SMALL_STATE(7036)] = 365111,
  [SMALL_STATE(7037)] = 365125,
  [SMALL_STATE(7038)] = 365139,
  [SMALL_STATE(7039)] = 365153,
  [SMALL_STATE(7040)] = 365167,
  [SMALL_STATE(7041)] = 365181,
  [SMALL_STATE(7042)] = 365195,
  [SMALL_STATE(7043)] = 365209,
  [SMALL_STATE(7044)] = 365223,
  [SMALL_STATE(7045)] = 365237,
  [SMALL_STATE(7046)] = 365251,
  [SMALL_STATE(7047)] = 365265,
  [SMALL_STATE(7048)] = 365279,
  [SMALL_STATE(7049)] = 365293,
  [SMALL_STATE(7050)] = 365307,
  [SMALL_STATE(7051)] = 365321,
  [SMALL_STATE(7052)] = 365335,
  [SMALL_STATE(7053)] = 365349,
  [SMALL_STATE(7054)] = 365363,
  [SMALL_STATE(7055)] = 365377,
  [SMALL_STATE(7056)] = 365391,
  [SMALL_STATE(7057)] = 365405,
  [SMALL_STATE(7058)] = 365419,
  [SMALL_STATE(7059)] = 365433,
  [SMALL_STATE(7060)] = 365447,
  [SMALL_STATE(7061)] = 365461,
  [SMALL_STATE(7062)] = 365475,
  [SMALL_STATE(7063)] = 365489,
  [SMALL_STATE(7064)] = 365503,
  [SMALL_STATE(7065)] = 365517,
  [SMALL_STATE(7066)] = 365531,
  [SMALL_STATE(7067)] = 365545,
  [SMALL_STATE(7068)] = 365559,
  [SMALL_STATE(7069)] = 365573,
  [SMALL_STATE(7070)] = 365587,
  [SMALL_STATE(7071)] = 365601,
  [SMALL_STATE(7072)] = 365615,
  [SMALL_STATE(7073)] = 365629,
  [SMALL_STATE(7074)] = 365643,
  [SMALL_STATE(7075)] = 365657,
  [SMALL_STATE(7076)] = 365671,
  [SMALL_STATE(7077)] = 365685,
  [SMALL_STATE(7078)] = 365699,
  [SMALL_STATE(7079)] = 365713,
  [SMALL_STATE(7080)] = 365727,
  [SMALL_STATE(7081)] = 365741,
  [SMALL_STATE(7082)] = 365755,
  [SMALL_STATE(7083)] = 365769,
  [SMALL_STATE(7084)] = 365783,
  [SMALL_STATE(7085)] = 365797,
  [SMALL_STATE(7086)] = 365811,
  [SMALL_STATE(7087)] = 365825,
  [SMALL_STATE(7088)] = 365839,
  [SMALL_STATE(7089)] = 365853,
  [SMALL_STATE(7090)] = 365867,
  [SMALL_STATE(7091)] = 365881,
  [SMALL_STATE(7092)] = 365895,
  [SMALL_STATE(7093)] = 365909,
  [SMALL_STATE(7094)] = 365923,
  [SMALL_STATE(7095)] = 365937,
  [SMALL_STATE(7096)] = 365951,
  [SMALL_STATE(7097)] = 365965,
  [SMALL_STATE(7098)] = 365979,
  [SMALL_STATE(7099)] = 365993,
  [SMALL_STATE(7100)] = 366007,
  [SMALL_STATE(7101)] = 366021,
  [SMALL_STATE(7102)] = 366035,
  [SMALL_STATE(7103)] = 366049,
  [SMALL_STATE(7104)] = 366063,
  [SMALL_STATE(7105)] = 366077,
  [SMALL_STATE(7106)] = 366091,
  [SMALL_STATE(7107)] = 366105,
  [SMALL_STATE(7108)] = 366119,
  [SMALL_STATE(7109)] = 366133,
  [SMALL_STATE(7110)] = 366147,
  [SMALL_STATE(7111)] = 366161,
  [SMALL_STATE(7112)] = 366175,
  [SMALL_STATE(7113)] = 366189,
  [SMALL_STATE(7114)] = 366203,
  [SMALL_STATE(7115)] = 366217,
  [SMALL_STATE(7116)] = 366231,
  [SMALL_STATE(7117)] = 366245,
  [SMALL_STATE(7118)] = 366259,
  [SMALL_STATE(7119)] = 366273,
  [SMALL_STATE(7120)] = 366287,
  [SMALL_STATE(7121)] = 366301,
  [SMALL_STATE(7122)] = 366315,
  [SMALL_STATE(7123)] = 366329,
  [SMALL_STATE(7124)] = 366343,
  [SMALL_STATE(7125)] = 366357,
  [SMALL_STATE(7126)] = 366371,
  [SMALL_STATE(7127)] = 366385,
  [SMALL_STATE(7128)] = 366399,
  [SMALL_STATE(7129)] = 366413,
  [SMALL_STATE(7130)] = 366427,
  [SMALL_STATE(7131)] = 366441,
  [SMALL_STATE(7132)] = 366455,
  [SMALL_STATE(7133)] = 366469,
  [SMALL_STATE(7134)] = 366483,
  [SMALL_STATE(7135)] = 366497,
  [SMALL_STATE(7136)] = 366511,
  [SMALL_STATE(7137)] = 366525,
  [SMALL_STATE(7138)] = 366539,
  [SMALL_STATE(7139)] = 366553,
  [SMALL_STATE(7140)] = 366567,
  [SMALL_STATE(7141)] = 366581,
  [SMALL_STATE(7142)] = 366595,
  [SMALL_STATE(7143)] = 366609,
  [SMALL_STATE(7144)] = 366623,
  [SMALL_STATE(7145)] = 366637,
  [SMALL_STATE(7146)] = 366651,
  [SMALL_STATE(7147)] = 366665,
  [SMALL_STATE(7148)] = 366679,
  [SMALL_STATE(7149)] = 366693,
  [SMALL_STATE(7150)] = 366707,
  [SMALL_STATE(7151)] = 366721,
  [SMALL_STATE(7152)] = 366735,
  [SMALL_STATE(7153)] = 366749,
  [SMALL_STATE(7154)] = 366763,
  [SMALL_STATE(7155)] = 366777,
  [SMALL_STATE(7156)] = 366791,
  [SMALL_STATE(7157)] = 366805,
  [SMALL_STATE(7158)] = 366819,
  [SMALL_STATE(7159)] = 366833,
  [SMALL_STATE(7160)] = 366847,
  [SMALL_STATE(7161)] = 366861,
  [SMALL_STATE(7162)] = 366875,
  [SMALL_STATE(7163)] = 366889,
  [SMALL_STATE(7164)] = 366903,
  [SMALL_STATE(7165)] = 366917,
  [SMALL_STATE(7166)] = 366931,
  [SMALL_STATE(7167)] = 366945,
  [SMALL_STATE(7168)] = 366959,
  [SMALL_STATE(7169)] = 366973,
  [SMALL_STATE(7170)] = 366987,
  [SMALL_STATE(7171)] = 367001,
  [SMALL_STATE(7172)] = 367015,
  [SMALL_STATE(7173)] = 367029,
  [SMALL_STATE(7174)] = 367043,
  [SMALL_STATE(7175)] = 367057,
  [SMALL_STATE(7176)] = 367071,
  [SMALL_STATE(7177)] = 367085,
  [SMALL_STATE(7178)] = 367099,
  [SMALL_STATE(7179)] = 367113,
  [SMALL_STATE(7180)] = 367127,
  [SMALL_STATE(7181)] = 367141,
  [SMALL_STATE(7182)] = 367155,
  [SMALL_STATE(7183)] = 367169,
  [SMALL_STATE(7184)] = 367183,
  [SMALL_STATE(7185)] = 367197,
  [SMALL_STATE(7186)] = 367211,
  [SMALL_STATE(7187)] = 367225,
  [SMALL_STATE(7188)] = 367239,
  [SMALL_STATE(7189)] = 367253,
  [SMALL_STATE(7190)] = 367267,
  [SMALL_STATE(7191)] = 367281,
  [SMALL_STATE(7192)] = 367295,
  [SMALL_STATE(7193)] = 367309,
  [SMALL_STATE(7194)] = 367323,
  [SMALL_STATE(7195)] = 367337,
  [SMALL_STATE(7196)] = 367351,
  [SMALL_STATE(7197)] = 367365,
  [SMALL_STATE(7198)] = 367379,
  [SMALL_STATE(7199)] = 367393,
  [SMALL_STATE(7200)] = 367407,
  [SMALL_STATE(7201)] = 367421,
  [SMALL_STATE(7202)] = 367435,
  [SMALL_STATE(7203)] = 367449,
  [SMALL_STATE(7204)] = 367463,
  [SMALL_STATE(7205)] = 367477,
  [SMALL_STATE(7206)] = 367491,
  [SMALL_STATE(7207)] = 367505,
  [SMALL_STATE(7208)] = 367519,
  [SMALL_STATE(7209)] = 367533,
  [SMALL_STATE(7210)] = 367547,
  [SMALL_STATE(7211)] = 367561,
  [SMALL_STATE(7212)] = 367575,
  [SMALL_STATE(7213)] = 367589,
  [SMALL_STATE(7214)] = 367603,
  [SMALL_STATE(7215)] = 367617,
  [SMALL_STATE(7216)] = 367631,
  [SMALL_STATE(7217)] = 367645,
  [SMALL_STATE(7218)] = 367659,
  [SMALL_STATE(7219)] = 367673,
  [SMALL_STATE(7220)] = 367687,
  [SMALL_STATE(7221)] = 367701,
  [SMALL_STATE(7222)] = 367715,
  [SMALL_STATE(7223)] = 367729,
  [SMALL_STATE(7224)] = 367743,
  [SMALL_STATE(7225)] = 367757,
  [SMALL_STATE(7226)] = 367771,
  [SMALL_STATE(7227)] = 367785,
  [SMALL_STATE(7228)] = 367799,
  [SMALL_STATE(7229)] = 367813,
  [SMALL_STATE(7230)] = 367827,
  [SMALL_STATE(7231)] = 367841,
  [SMALL_STATE(7232)] = 367855,
  [SMALL_STATE(7233)] = 367869,
  [SMALL_STATE(7234)] = 367883,
  [SMALL_STATE(7235)] = 367897,
  [SMALL_STATE(7236)] = 367911,
  [SMALL_STATE(7237)] = 367925,
  [SMALL_STATE(7238)] = 367939,
  [SMALL_STATE(7239)] = 367953,
  [SMALL_STATE(7240)] = 367967,
  [SMALL_STATE(7241)] = 367981,
  [SMALL_STATE(7242)] = 367995,
  [SMALL_STATE(7243)] = 368009,
  [SMALL_STATE(7244)] = 368023,
  [SMALL_STATE(7245)] = 368037,
  [SMALL_STATE(7246)] = 368051,
  [SMALL_STATE(7247)] = 368065,
  [SMALL_STATE(7248)] = 368079,
  [SMALL_STATE(7249)] = 368093,
  [SMALL_STATE(7250)] = 368107,
  [SMALL_STATE(7251)] = 368121,
  [SMALL_STATE(7252)] = 368135,
  [SMALL_STATE(7253)] = 368149,
  [SMALL_STATE(7254)] = 368163,
  [SMALL_STATE(7255)] = 368177,
  [SMALL_STATE(7256)] = 368191,
  [SMALL_STATE(7257)] = 368205,
  [SMALL_STATE(7258)] = 368219,
  [SMALL_STATE(7259)] = 368233,
  [SMALL_STATE(7260)] = 368247,
  [SMALL_STATE(7261)] = 368261,
  [SMALL_STATE(7262)] = 368275,
  [SMALL_STATE(7263)] = 368289,
  [SMALL_STATE(7264)] = 368303,
  [SMALL_STATE(7265)] = 368317,
  [SMALL_STATE(7266)] = 368331,
  [SMALL_STATE(7267)] = 368345,
  [SMALL_STATE(7268)] = 368359,
  [SMALL_STATE(7269)] = 368373,
  [SMALL_STATE(7270)] = 368387,
  [SMALL_STATE(7271)] = 368401,
  [SMALL_STATE(7272)] = 368415,
  [SMALL_STATE(7273)] = 368429,
  [SMALL_STATE(7274)] = 368443,
  [SMALL_STATE(7275)] = 368457,
  [SMALL_STATE(7276)] = 368471,
  [SMALL_STATE(7277)] = 368485,
  [SMALL_STATE(7278)] = 368499,
  [SMALL_STATE(7279)] = 368513,
  [SMALL_STATE(7280)] = 368527,
  [SMALL_STATE(7281)] = 368541,
  [SMALL_STATE(7282)] = 368555,
  [SMALL_STATE(7283)] = 368569,
  [SMALL_STATE(7284)] = 368583,
  [SMALL_STATE(7285)] = 368597,
  [SMALL_STATE(7286)] = 368611,
  [SMALL_STATE(7287)] = 368625,
  [SMALL_STATE(7288)] = 368639,
  [SMALL_STATE(7289)] = 368653,
  [SMALL_STATE(7290)] = 368667,
  [SMALL_STATE(7291)] = 368681,
  [SMALL_STATE(7292)] = 368695,
  [SMALL_STATE(7293)] = 368709,
  [SMALL_STATE(7294)] = 368723,
  [SMALL_STATE(7295)] = 368737,
  [SMALL_STATE(7296)] = 368751,
  [SMALL_STATE(7297)] = 368765,
  [SMALL_STATE(7298)] = 368779,
  [SMALL_STATE(7299)] = 368793,
  [SMALL_STATE(7300)] = 368807,
  [SMALL_STATE(7301)] = 368821,
  [SMALL_STATE(7302)] = 368835,
  [SMALL_STATE(7303)] = 368849,
  [SMALL_STATE(7304)] = 368863,
  [SMALL_STATE(7305)] = 368877,
  [SMALL_STATE(7306)] = 368891,
  [SMALL_STATE(7307)] = 368905,
  [SMALL_STATE(7308)] = 368919,
  [SMALL_STATE(7309)] = 368933,
  [SMALL_STATE(7310)] = 368947,
  [SMALL_STATE(7311)] = 368961,
  [SMALL_STATE(7312)] = 368975,
  [SMALL_STATE(7313)] = 368989,
  [SMALL_STATE(7314)] = 369003,
  [SMALL_STATE(7315)] = 369017,
  [SMALL_STATE(7316)] = 369031,
  [SMALL_STATE(7317)] = 369045,
  [SMALL_STATE(7318)] = 369059,
  [SMALL_STATE(7319)] = 369073,
  [SMALL_STATE(7320)] = 369087,
  [SMALL_STATE(7321)] = 369101,
  [SMALL_STATE(7322)] = 369115,
  [SMALL_STATE(7323)] = 369129,
  [SMALL_STATE(7324)] = 369143,
  [SMALL_STATE(7325)] = 369157,
  [SMALL_STATE(7326)] = 369171,
  [SMALL_STATE(7327)] = 369185,
  [SMALL_STATE(7328)] = 369199,
  [SMALL_STATE(7329)] = 369213,
  [SMALL_STATE(7330)] = 369227,
  [SMALL_STATE(7331)] = 369241,
  [SMALL_STATE(7332)] = 369255,
  [SMALL_STATE(7333)] = 369269,
  [SMALL_STATE(7334)] = 369283,
  [SMALL_STATE(7335)] = 369297,
  [SMALL_STATE(7336)] = 369311,
  [SMALL_STATE(7337)] = 369325,
  [SMALL_STATE(7338)] = 369339,
  [SMALL_STATE(7339)] = 369353,
  [SMALL_STATE(7340)] = 369367,
  [SMALL_STATE(7341)] = 369381,
  [SMALL_STATE(7342)] = 369395,
  [SMALL_STATE(7343)] = 369409,
  [SMALL_STATE(7344)] = 369423,
  [SMALL_STATE(7345)] = 369437,
  [SMALL_STATE(7346)] = 369451,
  [SMALL_STATE(7347)] = 369465,
  [SMALL_STATE(7348)] = 369479,
  [SMALL_STATE(7349)] = 369493,
  [SMALL_STATE(7350)] = 369507,
  [SMALL_STATE(7351)] = 369521,
  [SMALL_STATE(7352)] = 369535,
  [SMALL_STATE(7353)] = 369549,
  [SMALL_STATE(7354)] = 369563,
  [SMALL_STATE(7355)] = 369577,
  [SMALL_STATE(7356)] = 369591,
  [SMALL_STATE(7357)] = 369605,
  [SMALL_STATE(7358)] = 369619,
  [SMALL_STATE(7359)] = 369633,
  [SMALL_STATE(7360)] = 369647,
  [SMALL_STATE(7361)] = 369661,
  [SMALL_STATE(7362)] = 369675,
  [SMALL_STATE(7363)] = 369689,
  [SMALL_STATE(7364)] = 369703,
  [SMALL_STATE(7365)] = 369717,
  [SMALL_STATE(7366)] = 369731,
  [SMALL_STATE(7367)] = 369745,
  [SMALL_STATE(7368)] = 369759,
  [SMALL_STATE(7369)] = 369773,
  [SMALL_STATE(7370)] = 369787,
  [SMALL_STATE(7371)] = 369801,
  [SMALL_STATE(7372)] = 369815,
  [SMALL_STATE(7373)] = 369829,
  [SMALL_STATE(7374)] = 369843,
  [SMALL_STATE(7375)] = 369857,
  [SMALL_STATE(7376)] = 369871,
  [SMALL_STATE(7377)] = 369885,
  [SMALL_STATE(7378)] = 369899,
  [SMALL_STATE(7379)] = 369913,
  [SMALL_STATE(7380)] = 369927,
  [SMALL_STATE(7381)] = 369941,
  [SMALL_STATE(7382)] = 369955,
  [SMALL_STATE(7383)] = 369969,
  [SMALL_STATE(7384)] = 369983,
  [SMALL_STATE(7385)] = 369997,
  [SMALL_STATE(7386)] = 370011,
  [SMALL_STATE(7387)] = 370025,
  [SMALL_STATE(7388)] = 370039,
  [SMALL_STATE(7389)] = 370053,
  [SMALL_STATE(7390)] = 370067,
  [SMALL_STATE(7391)] = 370081,
  [SMALL_STATE(7392)] = 370095,
  [SMALL_STATE(7393)] = 370109,
  [SMALL_STATE(7394)] = 370123,
  [SMALL_STATE(7395)] = 370137,
  [SMALL_STATE(7396)] = 370151,
  [SMALL_STATE(7397)] = 370165,
  [SMALL_STATE(7398)] = 370179,
  [SMALL_STATE(7399)] = 370193,
  [SMALL_STATE(7400)] = 370207,
  [SMALL_STATE(7401)] = 370221,
  [SMALL_STATE(7402)] = 370235,
  [SMALL_STATE(7403)] = 370249,
  [SMALL_STATE(7404)] = 370263,
  [SMALL_STATE(7405)] = 370277,
  [SMALL_STATE(7406)] = 370291,
  [SMALL_STATE(7407)] = 370305,
  [SMALL_STATE(7408)] = 370319,
  [SMALL_STATE(7409)] = 370333,
  [SMALL_STATE(7410)] = 370347,
  [SMALL_STATE(7411)] = 370361,
  [SMALL_STATE(7412)] = 370375,
  [SMALL_STATE(7413)] = 370389,
  [SMALL_STATE(7414)] = 370403,
  [SMALL_STATE(7415)] = 370417,
  [SMALL_STATE(7416)] = 370431,
  [SMALL_STATE(7417)] = 370445,
  [SMALL_STATE(7418)] = 370459,
  [SMALL_STATE(7419)] = 370473,
  [SMALL_STATE(7420)] = 370487,
  [SMALL_STATE(7421)] = 370501,
  [SMALL_STATE(7422)] = 370515,
  [SMALL_STATE(7423)] = 370529,
  [SMALL_STATE(7424)] = 370543,
  [SMALL_STATE(7425)] = 370557,
  [SMALL_STATE(7426)] = 370571,
  [SMALL_STATE(7427)] = 370585,
  [SMALL_STATE(7428)] = 370599,
  [SMALL_STATE(7429)] = 370613,
  [SMALL_STATE(7430)] = 370627,
  [SMALL_STATE(7431)] = 370641,
  [SMALL_STATE(7432)] = 370655,
  [SMALL_STATE(7433)] = 370669,
  [SMALL_STATE(7434)] = 370683,
  [SMALL_STATE(7435)] = 370697,
  [SMALL_STATE(7436)] = 370711,
  [SMALL_STATE(7437)] = 370725,
  [SMALL_STATE(7438)] = 370739,
  [SMALL_STATE(7439)] = 370753,
  [SMALL_STATE(7440)] = 370767,
  [SMALL_STATE(7441)] = 370781,
  [SMALL_STATE(7442)] = 370795,
  [SMALL_STATE(7443)] = 370809,
  [SMALL_STATE(7444)] = 370823,
  [SMALL_STATE(7445)] = 370837,
  [SMALL_STATE(7446)] = 370851,
  [SMALL_STATE(7447)] = 370865,
  [SMALL_STATE(7448)] = 370879,
  [SMALL_STATE(7449)] = 370893,
  [SMALL_STATE(7450)] = 370907,
  [SMALL_STATE(7451)] = 370921,
  [SMALL_STATE(7452)] = 370935,
  [SMALL_STATE(7453)] = 370949,
  [SMALL_STATE(7454)] = 370963,
  [SMALL_STATE(7455)] = 370977,
  [SMALL_STATE(7456)] = 370991,
  [SMALL_STATE(7457)] = 371005,
  [SMALL_STATE(7458)] = 371019,
  [SMALL_STATE(7459)] = 371033,
  [SMALL_STATE(7460)] = 371047,
  [SMALL_STATE(7461)] = 371061,
  [SMALL_STATE(7462)] = 371075,
  [SMALL_STATE(7463)] = 371089,
  [SMALL_STATE(7464)] = 371103,
  [SMALL_STATE(7465)] = 371117,
  [SMALL_STATE(7466)] = 371131,
  [SMALL_STATE(7467)] = 371145,
  [SMALL_STATE(7468)] = 371159,
  [SMALL_STATE(7469)] = 371173,
  [SMALL_STATE(7470)] = 371187,
  [SMALL_STATE(7471)] = 371201,
  [SMALL_STATE(7472)] = 371215,
  [SMALL_STATE(7473)] = 371229,
  [SMALL_STATE(7474)] = 371243,
  [SMALL_STATE(7475)] = 371257,
  [SMALL_STATE(7476)] = 371271,
  [SMALL_STATE(7477)] = 371285,
  [SMALL_STATE(7478)] = 371299,
  [SMALL_STATE(7479)] = 371313,
  [SMALL_STATE(7480)] = 371327,
  [SMALL_STATE(7481)] = 371341,
  [SMALL_STATE(7482)] = 371355,
  [SMALL_STATE(7483)] = 371369,
  [SMALL_STATE(7484)] = 371383,
  [SMALL_STATE(7485)] = 371397,
  [SMALL_STATE(7486)] = 371411,
  [SMALL_STATE(7487)] = 371425,
  [SMALL_STATE(7488)] = 371439,
  [SMALL_STATE(7489)] = 371453,
  [SMALL_STATE(7490)] = 371467,
  [SMALL_STATE(7491)] = 371481,
  [SMALL_STATE(7492)] = 371495,
  [SMALL_STATE(7493)] = 371509,
  [SMALL_STATE(7494)] = 371523,
  [SMALL_STATE(7495)] = 371537,
  [SMALL_STATE(7496)] = 371551,
  [SMALL_STATE(7497)] = 371565,
  [SMALL_STATE(7498)] = 371579,
  [SMALL_STATE(7499)] = 371593,
  [SMALL_STATE(7500)] = 371607,
  [SMALL_STATE(7501)] = 371621,
  [SMALL_STATE(7502)] = 371635,
  [SMALL_STATE(7503)] = 371649,
  [SMALL_STATE(7504)] = 371663,
  [SMALL_STATE(7505)] = 371677,
  [SMALL_STATE(7506)] = 371691,
  [SMALL_STATE(7507)] = 371705,
  [SMALL_STATE(7508)] = 371719,
  [SMALL_STATE(7509)] = 371733,
  [SMALL_STATE(7510)] = 371747,
  [SMALL_STATE(7511)] = 371761,
  [SMALL_STATE(7512)] = 371775,
  [SMALL_STATE(7513)] = 371789,
  [SMALL_STATE(7514)] = 371803,
  [SMALL_STATE(7515)] = 371817,
  [SMALL_STATE(7516)] = 371831,
  [SMALL_STATE(7517)] = 371845,
  [SMALL_STATE(7518)] = 371859,
  [SMALL_STATE(7519)] = 371873,
  [SMALL_STATE(7520)] = 371887,
  [SMALL_STATE(7521)] = 371901,
  [SMALL_STATE(7522)] = 371915,
  [SMALL_STATE(7523)] = 371929,
  [SMALL_STATE(7524)] = 371943,
  [SMALL_STATE(7525)] = 371957,
  [SMALL_STATE(7526)] = 371971,
  [SMALL_STATE(7527)] = 371985,
  [SMALL_STATE(7528)] = 371999,
  [SMALL_STATE(7529)] = 372013,
  [SMALL_STATE(7530)] = 372027,
  [SMALL_STATE(7531)] = 372041,
  [SMALL_STATE(7532)] = 372055,
  [SMALL_STATE(7533)] = 372069,
  [SMALL_STATE(7534)] = 372083,
  [SMALL_STATE(7535)] = 372097,
  [SMALL_STATE(7536)] = 372111,
  [SMALL_STATE(7537)] = 372125,
  [SMALL_STATE(7538)] = 372139,
  [SMALL_STATE(7539)] = 372153,
  [SMALL_STATE(7540)] = 372167,
  [SMALL_STATE(7541)] = 372181,
  [SMALL_STATE(7542)] = 372195,
  [SMALL_STATE(7543)] = 372209,
  [SMALL_STATE(7544)] = 372223,
  [SMALL_STATE(7545)] = 372237,
  [SMALL_STATE(7546)] = 372251,
  [SMALL_STATE(7547)] = 372265,
  [SMALL_STATE(7548)] = 372279,
  [SMALL_STATE(7549)] = 372293,
  [SMALL_STATE(7550)] = 372307,
  [SMALL_STATE(7551)] = 372321,
  [SMALL_STATE(7552)] = 372335,
  [SMALL_STATE(7553)] = 372349,
  [SMALL_STATE(7554)] = 372363,
  [SMALL_STATE(7555)] = 372377,
  [SMALL_STATE(7556)] = 372391,
  [SMALL_STATE(7557)] = 372405,
  [SMALL_STATE(7558)] = 372419,
  [SMALL_STATE(7559)] = 372433,
  [SMALL_STATE(7560)] = 372447,
  [SMALL_STATE(7561)] = 372461,
  [SMALL_STATE(7562)] = 372475,
  [SMALL_STATE(7563)] = 372489,
  [SMALL_STATE(7564)] = 372503,
  [SMALL_STATE(7565)] = 372517,
  [SMALL_STATE(7566)] = 372531,
  [SMALL_STATE(7567)] = 372545,
  [SMALL_STATE(7568)] = 372559,
  [SMALL_STATE(7569)] = 372573,
  [SMALL_STATE(7570)] = 372587,
  [SMALL_STATE(7571)] = 372601,
  [SMALL_STATE(7572)] = 372615,
  [SMALL_STATE(7573)] = 372629,
  [SMALL_STATE(7574)] = 372643,
  [SMALL_STATE(7575)] = 372657,
  [SMALL_STATE(7576)] = 372671,
  [SMALL_STATE(7577)] = 372685,
  [SMALL_STATE(7578)] = 372699,
  [SMALL_STATE(7579)] = 372713,
  [SMALL_STATE(7580)] = 372727,
  [SMALL_STATE(7581)] = 372741,
  [SMALL_STATE(7582)] = 372755,
  [SMALL_STATE(7583)] = 372769,
  [SMALL_STATE(7584)] = 372783,
  [SMALL_STATE(7585)] = 372797,
  [SMALL_STATE(7586)] = 372811,
  [SMALL_STATE(7587)] = 372825,
  [SMALL_STATE(7588)] = 372839,
  [SMALL_STATE(7589)] = 372853,
  [SMALL_STATE(7590)] = 372867,
  [SMALL_STATE(7591)] = 372881,
  [SMALL_STATE(7592)] = 372895,
  [SMALL_STATE(7593)] = 372909,
  [SMALL_STATE(7594)] = 372923,
  [SMALL_STATE(7595)] = 372937,
  [SMALL_STATE(7596)] = 372951,
  [SMALL_STATE(7597)] = 372965,
  [SMALL_STATE(7598)] = 372979,
  [SMALL_STATE(7599)] = 372993,
  [SMALL_STATE(7600)] = 373007,
  [SMALL_STATE(7601)] = 373021,
  [SMALL_STATE(7602)] = 373035,
  [SMALL_STATE(7603)] = 373049,
  [SMALL_STATE(7604)] = 373063,
  [SMALL_STATE(7605)] = 373077,
  [SMALL_STATE(7606)] = 373091,
  [SMALL_STATE(7607)] = 373105,
  [SMALL_STATE(7608)] = 373119,
  [SMALL_STATE(7609)] = 373133,
  [SMALL_STATE(7610)] = 373147,
  [SMALL_STATE(7611)] = 373161,
  [SMALL_STATE(7612)] = 373175,
  [SMALL_STATE(7613)] = 373189,
  [SMALL_STATE(7614)] = 373203,
  [SMALL_STATE(7615)] = 373217,
  [SMALL_STATE(7616)] = 373231,
  [SMALL_STATE(7617)] = 373245,
  [SMALL_STATE(7618)] = 373259,
  [SMALL_STATE(7619)] = 373273,
  [SMALL_STATE(7620)] = 373287,
  [SMALL_STATE(7621)] = 373301,
  [SMALL_STATE(7622)] = 373315,
  [SMALL_STATE(7623)] = 373329,
  [SMALL_STATE(7624)] = 373343,
  [SMALL_STATE(7625)] = 373357,
  [SMALL_STATE(7626)] = 373371,
  [SMALL_STATE(7627)] = 373385,
  [SMALL_STATE(7628)] = 373399,
  [SMALL_STATE(7629)] = 373413,
  [SMALL_STATE(7630)] = 373427,
  [SMALL_STATE(7631)] = 373441,
  [SMALL_STATE(7632)] = 373455,
  [SMALL_STATE(7633)] = 373469,
  [SMALL_STATE(7634)] = 373483,
  [SMALL_STATE(7635)] = 373497,
  [SMALL_STATE(7636)] = 373511,
  [SMALL_STATE(7637)] = 373525,
  [SMALL_STATE(7638)] = 373539,
  [SMALL_STATE(7639)] = 373553,
  [SMALL_STATE(7640)] = 373567,
  [SMALL_STATE(7641)] = 373581,
  [SMALL_STATE(7642)] = 373595,
  [SMALL_STATE(7643)] = 373609,
  [SMALL_STATE(7644)] = 373623,
  [SMALL_STATE(7645)] = 373637,
  [SMALL_STATE(7646)] = 373651,
  [SMALL_STATE(7647)] = 373665,
  [SMALL_STATE(7648)] = 373679,
  [SMALL_STATE(7649)] = 373693,
  [SMALL_STATE(7650)] = 373707,
  [SMALL_STATE(7651)] = 373721,
  [SMALL_STATE(7652)] = 373735,
  [SMALL_STATE(7653)] = 373749,
  [SMALL_STATE(7654)] = 373763,
  [SMALL_STATE(7655)] = 373777,
  [SMALL_STATE(7656)] = 373791,
  [SMALL_STATE(7657)] = 373805,
  [SMALL_STATE(7658)] = 373819,
  [SMALL_STATE(7659)] = 373833,
  [SMALL_STATE(7660)] = 373847,
  [SMALL_STATE(7661)] = 373861,
  [SMALL_STATE(7662)] = 373875,
  [SMALL_STATE(7663)] = 373889,
  [SMALL_STATE(7664)] = 373903,
  [SMALL_STATE(7665)] = 373917,
  [SMALL_STATE(7666)] = 373931,
  [SMALL_STATE(7667)] = 373945,
  [SMALL_STATE(7668)] = 373959,
  [SMALL_STATE(7669)] = 373973,
  [SMALL_STATE(7670)] = 373987,
  [SMALL_STATE(7671)] = 374001,
  [SMALL_STATE(7672)] = 374015,
  [SMALL_STATE(7673)] = 374029,
  [SMALL_STATE(7674)] = 374043,
  [SMALL_STATE(7675)] = 374057,
  [SMALL_STATE(7676)] = 374071,
  [SMALL_STATE(7677)] = 374085,
  [SMALL_STATE(7678)] = 374099,
  [SMALL_STATE(7679)] = 374113,
  [SMALL_STATE(7680)] = 374127,
  [SMALL_STATE(7681)] = 374141,
  [SMALL_STATE(7682)] = 374155,
  [SMALL_STATE(7683)] = 374169,
  [SMALL_STATE(7684)] = 374183,
  [SMALL_STATE(7685)] = 374197,
  [SMALL_STATE(7686)] = 374211,
  [SMALL_STATE(7687)] = 374225,
  [SMALL_STATE(7688)] = 374239,
  [SMALL_STATE(7689)] = 374253,
  [SMALL_STATE(7690)] = 374267,
  [SMALL_STATE(7691)] = 374281,
  [SMALL_STATE(7692)] = 374295,
  [SMALL_STATE(7693)] = 374309,
  [SMALL_STATE(7694)] = 374323,
  [SMALL_STATE(7695)] = 374337,
  [SMALL_STATE(7696)] = 374351,
  [SMALL_STATE(7697)] = 374365,
  [SMALL_STATE(7698)] = 374379,
  [SMALL_STATE(7699)] = 374393,
  [SMALL_STATE(7700)] = 374407,
  [SMALL_STATE(7701)] = 374421,
  [SMALL_STATE(7702)] = 374435,
  [SMALL_STATE(7703)] = 374449,
  [SMALL_STATE(7704)] = 374463,
  [SMALL_STATE(7705)] = 374477,
  [SMALL_STATE(7706)] = 374491,
  [SMALL_STATE(7707)] = 374505,
  [SMALL_STATE(7708)] = 374519,
  [SMALL_STATE(7709)] = 374533,
  [SMALL_STATE(7710)] = 374547,
  [SMALL_STATE(7711)] = 374561,
  [SMALL_STATE(7712)] = 374575,
  [SMALL_STATE(7713)] = 374589,
  [SMALL_STATE(7714)] = 374603,
  [SMALL_STATE(7715)] = 374617,
  [SMALL_STATE(7716)] = 374631,
  [SMALL_STATE(7717)] = 374645,
  [SMALL_STATE(7718)] = 374659,
  [SMALL_STATE(7719)] = 374673,
  [SMALL_STATE(7720)] = 374687,
  [SMALL_STATE(7721)] = 374701,
  [SMALL_STATE(7722)] = 374715,
  [SMALL_STATE(7723)] = 374729,
  [SMALL_STATE(7724)] = 374743,
  [SMALL_STATE(7725)] = 374757,
  [SMALL_STATE(7726)] = 374771,
  [SMALL_STATE(7727)] = 374785,
  [SMALL_STATE(7728)] = 374799,
  [SMALL_STATE(7729)] = 374813,
  [SMALL_STATE(7730)] = 374827,
  [SMALL_STATE(7731)] = 374841,
  [SMALL_STATE(7732)] = 374855,
  [SMALL_STATE(7733)] = 374869,
  [SMALL_STATE(7734)] = 374883,
  [SMALL_STATE(7735)] = 374897,
  [SMALL_STATE(7736)] = 374911,
  [SMALL_STATE(7737)] = 374925,
  [SMALL_STATE(7738)] = 374939,
  [SMALL_STATE(7739)] = 374953,
  [SMALL_STATE(7740)] = 374967,
  [SMALL_STATE(7741)] = 374981,
  [SMALL_STATE(7742)] = 374995,
  [SMALL_STATE(7743)] = 375009,
  [SMALL_STATE(7744)] = 375023,
  [SMALL_STATE(7745)] = 375037,
  [SMALL_STATE(7746)] = 375051,
  [SMALL_STATE(7747)] = 375065,
  [SMALL_STATE(7748)] = 375079,
  [SMALL_STATE(7749)] = 375093,
  [SMALL_STATE(7750)] = 375107,
  [SMALL_STATE(7751)] = 375121,
  [SMALL_STATE(7752)] = 375135,
  [SMALL_STATE(7753)] = 375149,
  [SMALL_STATE(7754)] = 375163,
  [SMALL_STATE(7755)] = 375177,
  [SMALL_STATE(7756)] = 375191,
  [SMALL_STATE(7757)] = 375205,
  [SMALL_STATE(7758)] = 375219,
  [SMALL_STATE(7759)] = 375233,
  [SMALL_STATE(7760)] = 375247,
  [SMALL_STATE(7761)] = 375261,
  [SMALL_STATE(7762)] = 375275,
  [SMALL_STATE(7763)] = 375289,
  [SMALL_STATE(7764)] = 375303,
  [SMALL_STATE(7765)] = 375317,
  [SMALL_STATE(7766)] = 375331,
  [SMALL_STATE(7767)] = 375345,
  [SMALL_STATE(7768)] = 375359,
  [SMALL_STATE(7769)] = 375373,
  [SMALL_STATE(7770)] = 375387,
  [SMALL_STATE(7771)] = 375391,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7642),
  [5] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7764),
  [7] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 0),
  [9] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5368),
  [13] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7758),
  [15] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4996),
  [17] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4977),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5942),
  [21] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5684),
  [23] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5348),
  [25] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3311),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2597),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4646),
  [31] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2803),
  [33] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2868),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2879),
  [37] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2879),
  [39] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2880),
  [41] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2452),
  [43] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2451),
  [45] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2450),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2449),
  [49] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2449),
  [51] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2448),
  [53] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2649),
  [55] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2662),
  [57] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2445),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2444),
  [61] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2427),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2650),
  [65] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2653),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2803),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2609),
  [71] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2884),
  [73] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4385),
  [75] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2873),
  [77] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4485),
  [79] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4489),
  [81] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4445),
  [83] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [85] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4641),
  [87] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [89] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(871),
  [93] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [95] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [97] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [99] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(431),
  [105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(425),
  [117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(725),
  [121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(873),
  [125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(729),
  [127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(862),
  [131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3384),
  [133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4679),
  [135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3832),
  [137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3830),
  [139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3828),
  [141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3828),
  [143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3827),
  [145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3200),
  [147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3201),
  [149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3202),
  [151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3203),
  [153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3203),
  [155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3209),
  [157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3506),
  [159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3502),
  [161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3218),
  [163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3225),
  [165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3172),
  [167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3476),
  [169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3469),
  [171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3832),
  [173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3357),
  [175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3818),
  [177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3809),
  [179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4647),
  [183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(638),
  [189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(333),
  [201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(340),
  [213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(579),
  [217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(636),
  [221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(575),
  [223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2424),
  [229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4632),
  [231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2501),
  [233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2545),
  [235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2544),
  [237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2544),
  [239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2543),
  [241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2294),
  [243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2295),
  [245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2277),
  [247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2297),
  [249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2297),
  [251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2298),
  [253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2486),
  [255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2485),
  [257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2301),
  [259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2302),
  [261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2171),
  [263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2484),
  [265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2483),
  [267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2501),
  [269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2482),
  [271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2542),
  [273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2541),
  [275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1075),
  [277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4674),
  [279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1496),
  [281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1497),
  [283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1498),
  [285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1498),
  [287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1499),
  [289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(837),
  [297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1385),
  [305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(797),
  [309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1383),
  [313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1382),
  [315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1496),
  [317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1381),
  [319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1513),
  [321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1514),
  [323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4676),
  [327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1300),
  [329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1299),
  [331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1298),
  [333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1298),
  [335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1297),
  [337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(699),
  [345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1128),
  [351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1129),
  [353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(693),
  [357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1136),
  [361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1138),
  [363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1300),
  [365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1142),
  [367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1281),
  [369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1280),
  [371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3433),
  [373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4612),
  [375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3905),
  [377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3904),
  [379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3903),
  [381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3903),
  [383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3902),
  [385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3335),
  [387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3350),
  [389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3352),
  [391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3354),
  [393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3354),
  [395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3362),
  [397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3876),
  [399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3877),
  [401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3345),
  [403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3348),
  [405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3226),
  [407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3892),
  [409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3714),
  [411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3905),
  [413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3478),
  [415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3896),
  [417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3895),
  [419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4183),
  [421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4664),
  [423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4369),
  [425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4377),
  [427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4379),
  [429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4379),
  [431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4388),
  [433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4133),
  [435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4134),
  [437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4135),
  [439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4137),
  [441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4137),
  [443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4138),
  [445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4321),
  [447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4359),
  [449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4140),
  [451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4141),
  [453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4025),
  [455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4357),
  [457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4350),
  [459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4369),
  [461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4250),
  [463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4442),
  [465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4417),
  [467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1597),
  [469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4625),
  [471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2337),
  [473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2282),
  [475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2285),
  [477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2285),
  [479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2287),
  [481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1374),
  [483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1375),
  [485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1390),
  [487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1393),
  [489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1393),
  [491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1395),
  [493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1801),
  [495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1813),
  [497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1397),
  [499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1409),
  [501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1083),
  [503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1817),
  [505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1818),
  [507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2337),
  [509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1819),
  [511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2299),
  [513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2300),
  [515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4627),
  [519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(215),
  [525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(65),
  [537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(75),
  [549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(139),
  [553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(217),
  [557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(158),
  [559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4629),
  [567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(997),
  [569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1004),
  [573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(990),
  [577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(439),
  [585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(794),
  [591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(491),
  [597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(836),
  [601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(997),
  [605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(825),
  [607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1006),
  [609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2925),
  [613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4653),
  [615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3308),
  [617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3307),
  [619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3306),
  [621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3306),
  [623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3305),
  [625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2835),
  [627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2842),
  [629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2850),
  [631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2852),
  [633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2852),
  [635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2853),
  [637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3083),
  [639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3082),
  [641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2854),
  [643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2855),
  [645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2675),
  [647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3081),
  [649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3080),
  [651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3308),
  [653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2919),
  [655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3298),
  [657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3297),
  [659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2635),
  [661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4645),
  [663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2961),
  [665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2900),
  [667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2966),
  [669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2966),
  [671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2967),
  [673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2559),
  [675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2547),
  [677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2548),
  [679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2549),
  [681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2549),
  [683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2550),
  [685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2781),
  [687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2780),
  [689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2551),
  [691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2552),
  [693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2488),
  [695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2778),
  [697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2776),
  [699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2961),
  [701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2630),
  [703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2974),
  [705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2975),
  [707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4606),
  [711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1705),
  [713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1706),
  [715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1707),
  [717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1707),
  [719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1708),
  [721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(818),
  [727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(819),
  [729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1242),
  [735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1241),
  [737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(824),
  [741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1236),
  [745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1229),
  [747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1705),
  [749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1228),
  [751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1717),
  [753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1718),
  [755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4669),
  [759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(572),
  [765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(282),
  [777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(290),
  [789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(373),
  [793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(578),
  [797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(375),
  [799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3517),
  [805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4633),
  [807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4057),
  [809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4058),
  [811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4061),
  [813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4061),
  [815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4062),
  [817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3331),
  [819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3332),
  [821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3333),
  [823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3336),
  [825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3336),
  [827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3337),
  [829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3684),
  [831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3683),
  [833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3338),
  [835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3339),
  [837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3213),
  [839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3682),
  [841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3681),
  [843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4057),
  [845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3501),
  [847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4063),
  [849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3894),
  [851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2872),
  [853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4613),
  [855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3074),
  [857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3084),
  [859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3085),
  [861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3085),
  [863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3089),
  [865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2713),
  [867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2714),
  [869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2715),
  [871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2716),
  [873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2716),
  [875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2727),
  [877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3030),
  [879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3027),
  [881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2613),
  [883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2723),
  [885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2611),
  [887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3021),
  [889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3019),
  [891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3074),
  [893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2738),
  [895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3111),
  [897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3112),
  [899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3395),
  [901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4624),
  [903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3585),
  [905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3613),
  [907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3615),
  [909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3615),
  [911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3653),
  [913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3288),
  [915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3289),
  [917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3290),
  [919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3291),
  [921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3291),
  [923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3292),
  [925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3420),
  [927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3419),
  [929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3293),
  [931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3294),
  [933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3077),
  [935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3414),
  [937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3413),
  [939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3585),
  [941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3325),
  [943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3703),
  [945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3536),
  [947] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_identifier, 3),
  [949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identifier, 3),
  [951] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_identifier, 1),
  [953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identifier, 1),
  [955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__double_quote_string, 3),
  [957] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__double_quote_string, 3),
  [959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__literal_string, 3),
  [961] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__literal_string, 3),
  [963] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invocation, 3, .production_id = 4),
  [965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invocation, 3, .production_id = 4),
  [967] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invocation, 5, .production_id = 30),
  [969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invocation, 5, .production_id = 30),
  [971] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invocation, 4, .production_id = 21),
  [973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invocation, 4, .production_id = 21),
  [975] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subquery, 3),
  [977] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subquery, 3),
  [979] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subquery, 4),
  [981] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subquery, 4),
  [983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_double, 1),
  [985] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_double, 1),
  [987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7595),
  [995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_int, 1),
  [997] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keyword_int, 1),
  [999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_smallint, 1),
  [1001] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_smallint, 1),
  [1003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [1005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [1007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6615),
  [1009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_tinyint, 1),
  [1011] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keyword_tinyint, 1),
  [1013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_smallint, 1),
  [1015] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keyword_smallint, 1),
  [1017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_mediumint, 1),
  [1019] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keyword_mediumint, 1),
  [1021] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_table_reference, 3, .production_id = 17),
  [1023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table_reference, 3, .production_id = 17),
  [1025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_bigint, 1),
  [1027] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keyword_bigint, 1),
  [1029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_real, 1),
  [1031] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keyword_real, 1),
  [1033] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_float, 1),
  [1035] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_float, 1),
  [1037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [1039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [1041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6611),
  [1043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_double, 2),
  [1045] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_double, 2),
  [1047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [1049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [1051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7598),
  [1053] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bigint, 1),
  [1055] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bigint, 1),
  [1057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [1059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [1061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6618),
  [1063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mediumint, 1),
  [1065] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mediumint, 1),
  [1067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [1069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [1071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6616),
  [1073] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_int, 1),
  [1075] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_int, 1),
  [1077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [1079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [1081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6617),
  [1083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tinyint, 1),
  [1085] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tinyint, 1),
  [1087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [1089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [1091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6614),
  [1093] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, .production_id = 15),
  [1095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2065),
  [1097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1715),
  [1099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2247),
  [1101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2247),
  [1103] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 15),
  [1105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2090),
  [1107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2090),
  [1109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2056),
  [1111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, .production_id = 5),
  [1113] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 5),
  [1115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_float, 6, .production_id = 61),
  [1117] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_float, 6, .production_id = 61),
  [1119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [1121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [1123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_char, 1),
  [1125] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keyword_char, 1),
  [1127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [1129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2167),
  [1131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2167),
  [1133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2055),
  [1135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [1137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7597),
  [1139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2084),
  [1141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5482),
  [1143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4639),
  [1145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7030),
  [1147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(52),
  [1149] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_term, 1, .production_id = 1),
  [1151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5211),
  [1153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1812),
  [1155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1811),
  [1157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1810),
  [1159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1468),
  [1161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5482),
  [1163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4639),
  [1165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7030),
  [1167] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_term, 1, .production_id = 1),
  [1169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1809),
  [1171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1808),
  [1173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1809),
  [1175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [1177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1808),
  [1179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1807),
  [1181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1807),
  [1183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1805),
  [1185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1804),
  [1187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7652),
  [1189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7651),
  [1191] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_double, 6, .production_id = 61),
  [1193] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_double, 6, .production_id = 61),
  [1195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [1197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [1199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mediumint, 4, .production_id = 45),
  [1201] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mediumint, 4, .production_id = 45),
  [1203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [1205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [1207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_smallint, 4, .production_id = 45),
  [1209] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_smallint, 4, .production_id = 45),
  [1211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [1213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [1215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_double, 7, .production_id = 65),
  [1217] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_double, 7, .production_id = 65),
  [1219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [1221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [1223] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bigint, 4, .production_id = 45),
  [1225] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bigint, 4, .production_id = 45),
  [1227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [1229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [1231] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tinyint, 4, .production_id = 45),
  [1233] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tinyint, 4, .production_id = 45),
  [1235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [1237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [1239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_int, 4, .production_id = 45),
  [1241] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_int, 4, .production_id = 45),
  [1243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [1245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [1247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1434),
  [1249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1827),
  [1251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1827),
  [1253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1806),
  [1255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_varchar, 1),
  [1257] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keyword_varchar, 1),
  [1259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lateral_join, 5),
  [1261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1851),
  [1263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1841),
  [1265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1839),
  [1267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1825),
  [1269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [1271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1825),
  [1273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1824),
  [1275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1824),
  [1277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1788),
  [1279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lateral_join, 6),
  [1281] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lateral_join, 6, .production_id = 64),
  [1283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lateral_join, 7),
  [1285] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lateral_join, 7, .production_id = 70),
  [1287] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lateral_join, 8, .production_id = 72),
  [1289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lateral_join, 9, .production_id = 74),
  [1291] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_join, 4, .production_id = 36),
  [1293] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_join, 5, .production_id = 46),
  [1295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_join, 6, .production_id = 55),
  [1297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_join, 7, .production_id = 62),
  [1299] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_join, 8, .production_id = 66),
  [1301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2176),
  [1303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2175),
  [1305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2174),
  [1307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1687),
  [1309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2165),
  [1311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2164),
  [1313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2165),
  [1315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [1317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2164),
  [1319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2163),
  [1321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2163),
  [1323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2162),
  [1325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2161),
  [1327] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_double, 3),
  [1329] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_double, 3),
  [1331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [1333] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mediumint, 2),
  [1335] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mediumint, 2),
  [1337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6627),
  [1339] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_smallint, 2),
  [1341] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_smallint, 2),
  [1343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6626),
  [1345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7599),
  [1347] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tinyint, 2),
  [1349] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tinyint, 2),
  [1351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6625),
  [1353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_float, 2),
  [1355] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_float, 2),
  [1357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7596),
  [1359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bigint, 2),
  [1361] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bigint, 2),
  [1363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [1365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_smallint, 5, .production_id = 45),
  [1367] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_smallint, 5, .production_id = 45),
  [1369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [1371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_double, 8, .production_id = 65),
  [1373] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_double, 8, .production_id = 65),
  [1375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [1377] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_int, 2),
  [1379] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_int, 2),
  [1381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [1383] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_numeric, 1),
  [1385] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_numeric, 1),
  [1387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6610),
  [1389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [1391] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_varchar, 2),
  [1393] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keyword_varchar, 2),
  [1395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [1397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_varchar, 1),
  [1399] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_varchar, 1),
  [1401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6620),
  [1403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [1405] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_char, 1),
  [1407] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_char, 1),
  [1409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6619),
  [1411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mediumint, 5, .production_id = 45),
  [1413] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mediumint, 5, .production_id = 45),
  [1415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [1417] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decimal, 1),
  [1419] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decimal, 1),
  [1421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6609),
  [1423] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_int, 5, .production_id = 45),
  [1425] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_int, 5, .production_id = 45),
  [1427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [1429] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_double, 7, .production_id = 61),
  [1431] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_double, 7, .production_id = 61),
  [1433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [1435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_float, 7, .production_id = 61),
  [1437] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_float, 7, .production_id = 61),
  [1439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [1441] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_timestamp, 1),
  [1443] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keyword_timestamp, 1),
  [1445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6612),
  [1447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6613),
  [1449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [1451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6629),
  [1453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6628),
  [1455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tinyint, 5, .production_id = 45),
  [1457] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tinyint, 5, .production_id = 45),
  [1459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [1461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bigint, 5, .production_id = 45),
  [1463] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bigint, 5, .production_id = 45),
  [1465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [1467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1828),
  [1469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1831),
  [1471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1814),
  [1473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1483),
  [1475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1799),
  [1477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1798),
  [1479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1799),
  [1481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [1483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1798),
  [1485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1797),
  [1487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1797),
  [1489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1796),
  [1491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1766),
  [1493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_smallserial, 1),
  [1495] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keyword_smallserial, 1),
  [1497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_float, 3),
  [1499] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_float, 3),
  [1501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tinyint, 5, .production_id = 53),
  [1503] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tinyint, 5, .production_id = 53),
  [1505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_smallint, 5, .production_id = 53),
  [1507] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_smallint, 5, .production_id = 53),
  [1509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mediumint, 5, .production_id = 53),
  [1511] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mediumint, 5, .production_id = 53),
  [1513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_int, 5, .production_id = 53),
  [1515] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_int, 5, .production_id = 53),
  [1517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bigint, 5, .production_id = 53),
  [1519] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bigint, 5, .production_id = 53),
  [1521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1898),
  [1523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1897),
  [1525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1895),
  [1527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1484),
  [1529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1882),
  [1531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1881),
  [1533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1882),
  [1535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1881),
  [1537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1880),
  [1539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1880),
  [1541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1879),
  [1543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1878),
  [1545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_varchar, 4, .production_id = 45),
  [1547] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_varchar, 4, .production_id = 45),
  [1549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [1551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [1553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [1555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7661),
  [1557] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decimal, 6, .production_id = 61),
  [1559] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decimal, 6, .production_id = 61),
  [1561] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_numeric, 6, .production_id = 61),
  [1563] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_numeric, 6, .production_id = 61),
  [1565] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tinyint, 6, .production_id = 45),
  [1567] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tinyint, 6, .production_id = 45),
  [1569] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_timestamptz, 1),
  [1571] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keyword_timestamptz, 1),
  [1573] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_smallint, 6, .production_id = 45),
  [1575] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_smallint, 6, .production_id = 45),
  [1577] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mediumint, 6, .production_id = 45),
  [1579] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mediumint, 6, .production_id = 45),
  [1581] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_char, 4, .production_id = 45),
  [1583] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_char, 4, .production_id = 45),
  [1585] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_int, 6, .production_id = 45),
  [1587] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_int, 6, .production_id = 45),
  [1589] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bigint, 6, .production_id = 45),
  [1591] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bigint, 6, .production_id = 45),
  [1593] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_float, 7, .production_id = 65),
  [1595] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_float, 7, .production_id = 65),
  [1597] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_bigserial, 1),
  [1599] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keyword_bigserial, 1),
  [1601] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_double, 8, .production_id = 71),
  [1603] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_double, 8, .production_id = 71),
  [1605] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_serial, 1),
  [1607] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keyword_serial, 1),
  [1609] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_float, 4, .production_id = 44),
  [1611] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_float, 4, .production_id = 44),
  [1613] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type, 1),
  [1615] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type, 1),
  [1617] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_float, 8, .production_id = 61),
  [1619] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_float, 8, .production_id = 61),
  [1621] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_double, 8, .production_id = 61),
  [1623] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_double, 8, .production_id = 61),
  [1625] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_double, 9, .production_id = 65),
  [1627] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_double, 9, .production_id = 65),
  [1629] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_timestamp, 4),
  [1631] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keyword_timestamp, 4),
  [1633] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_timestamptz, 4),
  [1635] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keyword_timestamptz, 4),
  [1637] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_double, 4),
  [1639] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_double, 4),
  [1641] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tinyint, 3),
  [1643] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tinyint, 3),
  [1645] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_smallint, 3),
  [1647] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_smallint, 3),
  [1649] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mediumint, 3),
  [1651] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mediumint, 3),
  [1653] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_int, 3),
  [1655] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_int, 3),
  [1657] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bigint, 3),
  [1659] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bigint, 3),
  [1661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_order_target, 1),
  [1663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4471),
  [1665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2249),
  [1667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2250),
  [1669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2252),
  [1671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1618),
  [1673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5500),
  [1675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2263),
  [1677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2264),
  [1679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2263),
  [1681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [1683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2264),
  [1685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2218),
  [1687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2218),
  [1689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2200),
  [1691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2186),
  [1693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_group_by, 3),
  [1695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2050),
  [1697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2253),
  [1699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2254),
  [1701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2255),
  [1703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1713),
  [1705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1987),
  [1707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2256),
  [1709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2257),
  [1711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2256),
  [1713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [1715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2257),
  [1717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2258),
  [1719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2258),
  [1721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2259),
  [1723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2260),
  [1725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decimal, 4, .production_id = 44),
  [1727] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decimal, 4, .production_id = 44),
  [1729] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_numeric, 4, .production_id = 44),
  [1731] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_numeric, 4, .production_id = 44),
  [1733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [1735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [1737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6963),
  [1739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [1741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [1743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7664),
  [1745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [1747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [1749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6958),
  [1751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [1753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [1755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [1757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7645),
  [1759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [1761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [1763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6961),
  [1765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [1767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [1769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6962),
  [1771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [1773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [1775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6964),
  [1777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [1779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [1781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6965),
  [1783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1679),
  [1785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1751),
  [1787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1757),
  [1789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1754),
  [1791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1754),
  [1793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1752),
  [1795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1752),
  [1797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [1799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(716),
  [1801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6880),
  [1803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1753),
  [1805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1753),
  [1807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1750),
  [1809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [1811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [1813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6879),
  [1815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [1817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [1819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [1821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [1823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [1825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [1827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [1829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [1831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [1833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [1835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1756),
  [1837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [1839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [1841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7663),
  [1843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [1845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [1847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7648),
  [1849] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2),
  [1851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [1853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [1855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [1857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [1859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [1861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [1863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6883),
  [1865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [1867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [1869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6882),
  [1871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [1873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [1875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6876),
  [1877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [1879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [1881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(769),
  [1883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(796),
  [1885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(409),
  [1887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7091),
  [1889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [1891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(718),
  [1893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6881),
  [1895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [1897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [1899] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__decimal_number, 2),
  [1901] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__decimal_number, 2),
  [1903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [1905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field, 3, .production_id = 12),
  [1907] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field, 3, .production_id = 12),
  [1909] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__alias_identifier, 1, .production_id = 3),
  [1911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field, 3, .production_id = 13),
  [1913] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field, 3, .production_id = 13),
  [1915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__alias_identifier, 1),
  [1917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2073),
  [1919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2074),
  [1921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2075),
  [1923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1675),
  [1925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2077),
  [1927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2078),
  [1929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2077),
  [1931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [1933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2078),
  [1935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2079),
  [1937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2079),
  [1939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2080),
  [1941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2081),
  [1943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [1945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [1947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [1949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [1951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [1953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [1955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [1957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field, 1, .production_id = 4),
  [1959] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field, 1, .production_id = 4),
  [1961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1551),
  [1963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_where, 2, .production_id = 26),
  [1965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6957),
  [1967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6959),
  [1969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6960),
  [1971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6966),
  [1973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6967),
  [1975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [1977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7647),
  [1979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7662),
  [1981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6969),
  [1983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6970),
  [1985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6971),
  [1987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6972),
  [1989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6973),
  [1991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2269),
  [1993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [1995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6956),
  [1997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [1999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [2001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal, 1),
  [2003] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal, 1),
  [2005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [2007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__literal_string, 1),
  [2009] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__literal_string, 1),
  [2011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [2013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(463),
  [2015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__integer, 1),
  [2017] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__integer, 1),
  [2019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [2021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [2023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [2025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7684),
  [2027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [2029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(644),
  [2031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(965),
  [2033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7518),
  [2035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [2037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [2039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [2041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [2043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(763),
  [2045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(835),
  [2047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7142),
  [2049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(765),
  [2051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(882),
  [2053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7137),
  [2055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [2057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(766),
  [2059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(789),
  [2061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7115),
  [2063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [2065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(767),
  [2067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(791),
  [2069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7114),
  [2071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2181),
  [2073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1924),
  [2075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1923),
  [2077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1922),
  [2079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1694),
  [2081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2026),
  [2083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1920),
  [2085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1919),
  [2087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1920),
  [2089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [2091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1919),
  [2093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1918),
  [2095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1918),
  [2097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1917),
  [2099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1916),
  [2101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [2103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [2105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [2107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [2109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [2111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(770),
  [2113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(798),
  [2115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7077),
  [2117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [2119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [2121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [2123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [2125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(768),
  [2127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(793),
  [2129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6003),
  [2131] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__integer, 2),
  [2133] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__integer, 2),
  [2135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7665),
  [2137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(462),
  [2139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [2141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [2143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [2145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(643),
  [2147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(964),
  [2149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(646),
  [2151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(962),
  [2153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(647),
  [2155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(960),
  [2157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(649),
  [2159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(958),
  [2161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(651),
  [2163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(956),
  [2165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1481),
  [2167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(639),
  [2169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7508),
  [2171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [2173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [2175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7081),
  [2177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 3),
  [2179] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 3),
  [2181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [2183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [2185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7084),
  [2187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [2189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1011),
  [2191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7085),
  [2193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [2195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1012),
  [2197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7086),
  [2199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [2201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1013),
  [2203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7087),
  [2205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 1),
  [2207] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 1),
  [2209] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1),
  [2211] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1),
  [2213] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__aggregate_function, 1),
  [2215] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__aggregate_function, 1),
  [2217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(778),
  [2219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [2221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [2223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7088),
  [2225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list, 2),
  [2227] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list, 2),
  [2229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1755),
  [2231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [2233] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 2),
  [2235] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 2),
  [2237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [2239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [2241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7687),
  [2243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case, 10),
  [2245] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case, 10),
  [2247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [2249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case, 9),
  [2251] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case, 9),
  [2253] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case, 8),
  [2255] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case, 8),
  [2257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_window_specification, 5),
  [2259] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_window_specification, 5),
  [2261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case, 7),
  [2263] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case, 7),
  [2265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_window_specification, 4),
  [2267] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_window_specification, 4),
  [2269] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case, 6),
  [2271] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case, 6),
  [2273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7649),
  [2275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [2277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [2279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_group_concat, 6, .production_id = 42),
  [2281] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_group_concat, 6, .production_id = 42),
  [2283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [2285] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast, 6, .production_id = 21),
  [2287] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast, 6, .production_id = 21),
  [2289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(735),
  [2291] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field, 5, .production_id = 29),
  [2293] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field, 5, .production_id = 29),
  [2295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [2297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3383),
  [2299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(705),
  [2301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7736),
  [2303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7397),
  [2305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7398),
  [2307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1473),
  [2309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1909),
  [2311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3761),
  [2313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7399),
  [2315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6780),
  [2317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1091),
  [2319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6507),
  [2321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4520),
  [2323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3823),
  [2325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6506),
  [2327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6781),
  [2329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5941),
  [2331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6823),
  [2333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3458),
  [2335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1909),
  [2337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6906),
  [2339] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field, 5, .production_id = 28),
  [2341] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field, 5, .production_id = 28),
  [2343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6891),
  [2345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6890),
  [2347] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_window_specification, 3),
  [2349] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_window_specification, 3),
  [2351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6889),
  [2353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6888),
  [2355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6887),
  [2357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1187),
  [2359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1230),
  [2361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [2363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7637),
  [2365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 5),
  [2367] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 5),
  [2369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__having, 2),
  [2371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7646),
  [2373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6885),
  [2375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6884),
  [2377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [2379] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_window_specification, 2),
  [2381] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_window_specification, 2),
  [2383] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list, 4),
  [2385] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list, 4),
  [2387] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 4),
  [2389] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 4),
  [2391] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interval, 4),
  [2393] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interval, 4),
  [2395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [2397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [2399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(630),
  [2401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(974),
  [2403] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_group_concat, 4, .production_id = 20),
  [2405] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_group_concat, 4, .production_id = 20),
  [2407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(628),
  [2409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(975),
  [2411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6877),
  [2413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6878),
  [2415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2659),
  [2417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(659),
  [2419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7706),
  [2421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7193),
  [2423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7194),
  [2425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1419),
  [2427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2003),
  [2429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2931),
  [2431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7195),
  [2433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6219),
  [2435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1076),
  [2437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7525),
  [2439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2932),
  [2441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7524),
  [2443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6220),
  [2445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5793),
  [2447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6221),
  [2449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2831),
  [2451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2003),
  [2453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6394),
  [2455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [2457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(992),
  [2459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(648),
  [2461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7715),
  [2463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7272),
  [2465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7273),
  [2467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1645),
  [2469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1962),
  [2471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1451),
  [2473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7274),
  [2475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6391),
  [2477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1169),
  [2479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7350),
  [2481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1452),
  [2483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7349),
  [2485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6392),
  [2487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5875),
  [2489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6472),
  [2491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1406),
  [2493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1962),
  [2495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6473),
  [2497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6875),
  [2499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6874),
  [2501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [2503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_count, 4, .production_id = 20),
  [2505] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_count, 4, .production_id = 20),
  [2507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [2509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [2511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_implicit_cast, 3),
  [2513] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_implicit_cast, 3),
  [2515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [2517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [2519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5315),
  [2521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [2523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_window_function, 3),
  [2525] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_window_function, 3),
  [2527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__decimal_number, 3),
  [2529] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__decimal_number, 3),
  [2531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(650),
  [2533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(955),
  [2535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [2537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list, 3),
  [2539] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list, 3),
  [2541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(657),
  [2543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7682),
  [2545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7676),
  [2547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7675),
  [2549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1684),
  [2551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1863),
  [2553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(671),
  [2555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7674),
  [2557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7668),
  [2559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1152),
  [2561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7667),
  [2563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1901),
  [2565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7660),
  [2567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7659),
  [2569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5815),
  [2571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [2573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1863),
  [2575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [2577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(953),
  [2579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(961),
  [2581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7593),
  [2583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(942),
  [2585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(811),
  [2587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2411),
  [2589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7724),
  [2591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7345),
  [2593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7346),
  [2595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1429),
  [2597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1747),
  [2599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2593),
  [2601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7347),
  [2603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6596),
  [2605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [2607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7050),
  [2609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2592),
  [2611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7036),
  [2613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6597),
  [2615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5818),
  [2617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6649),
  [2619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2456),
  [2621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1747),
  [2623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6701),
  [2625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(941),
  [2627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(940),
  [2629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(939),
  [2631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(951),
  [2633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(938),
  [2635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [2637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1061),
  [2639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1123),
  [2641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7718),
  [2643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7297),
  [2645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7298),
  [2647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1639),
  [2649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2051),
  [2651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1660),
  [2653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7299),
  [2655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6470),
  [2657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1118),
  [2659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7282),
  [2661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1661),
  [2663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7281),
  [2665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6471),
  [2667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5824),
  [2669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6540),
  [2671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1314),
  [2673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2051),
  [2675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6599),
  [2677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1190),
  [2679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1206),
  [2681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7640),
  [2683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [2685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1210),
  [2687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6842),
  [2689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1189),
  [2691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1211),
  [2693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6841),
  [2695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [2697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [2699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [2701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1057),
  [2703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1192),
  [2705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1223),
  [2707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6840),
  [2709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1183),
  [2711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1224),
  [2713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6839),
  [2715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [2717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1226),
  [2719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6838),
  [2721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1191),
  [2723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1231),
  [2725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6835),
  [2727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [2729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [2731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [2733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [2735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [2737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1041),
  [2739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [2741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [2743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [2745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [2747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1619),
  [2749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7074),
  [2751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7076),
  [2753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7097),
  [2755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7102),
  [2757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7146),
  [2759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7157),
  [2761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [2763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7686),
  [2765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1504),
  [2767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5312),
  [2769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1360),
  [2771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1549),
  [2773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(795),
  [2775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7558),
  [2777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(950),
  [2779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [2781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(952),
  [2783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(954),
  [2785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(957),
  [2787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(959),
  [2789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(967),
  [2791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7486),
  [2793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7484),
  [2795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7473),
  [2797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7472),
  [2799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7461),
  [2801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7451),
  [2803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1301),
  [2805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1659),
  [2807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(834),
  [2809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7571),
  [2811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3173),
  [2813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1304),
  [2815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7721),
  [2817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7321),
  [2819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7322),
  [2821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1421),
  [2823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1792),
  [2825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3593),
  [2827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7323),
  [2829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6538),
  [2831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1072),
  [2833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7131),
  [2835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3592),
  [2837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7222),
  [2839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6539),
  [2841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5952),
  [2843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6598),
  [2845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3511),
  [2847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1792),
  [2849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6650),
  [2851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(577),
  [2853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3129),
  [2855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7080),
  [2857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7079),
  [2859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1352),
  [2861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1569),
  [2863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7562),
  [2865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1361),
  [2867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1547),
  [2869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6412),
  [2871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1359),
  [2873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1552),
  [2875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6415),
  [2877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1357),
  [2879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1554),
  [2881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6416),
  [2883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1356),
  [2885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1556),
  [2887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6417),
  [2889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1355),
  [2891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1558),
  [2893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6418),
  [2895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1354),
  [2897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1560),
  [2899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6419),
  [2901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1292),
  [2903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1676),
  [2905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6487),
  [2907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7082),
  [2909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7083),
  [2911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1317),
  [2913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1648),
  [2915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6490),
  [2917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1327),
  [2919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1644),
  [2921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6491),
  [2923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1333),
  [2925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1631),
  [2927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6492),
  [2929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1338),
  [2931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1617),
  [2933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6493),
  [2935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1339),
  [2937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1615),
  [2939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6494),
  [2941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1376),
  [2943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1526),
  [2945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7575),
  [2947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7096),
  [2949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7089),
  [2951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5378),
  [2953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7090),
  [2955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7685),
  [2957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7092),
  [2959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7093),
  [2961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7094),
  [2963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7095),
  [2965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1109),
  [2967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1328),
  [2969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [2971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [2973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1020),
  [2975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [2977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [2979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1023),
  [2981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7688),
  [2983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [2985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1122),
  [2987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1164),
  [2989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [2991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1050),
  [2993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1052),
  [2995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1053),
  [2997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1054),
  [2999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(980),
  [3001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7639),
  [3003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment, 3, .production_id = 35),
  [3005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1756),
  [3007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1755),
  [3009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1679),
  [3011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1146),
  [3013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1283),
  [3015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1427),
  [3017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1060),
  [3019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1062),
  [3021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1139),
  [3023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1286),
  [3025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1137),
  [3027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1287),
  [3029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1063),
  [3031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1135),
  [3033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1288),
  [3035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1133),
  [3037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1289),
  [3039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [3041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5396),
  [3043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1095),
  [3045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1384),
  [3047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [3049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1545),
  [3051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1101),
  [3053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1362),
  [3055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7641),
  [3057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1255),
  [3059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2589),
  [3061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1373),
  [3063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7574),
  [3065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1702),
  [3067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1322),
  [3069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1653),
  [3071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5324),
  [3073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1064),
  [3075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1330),
  [3077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1643),
  [3079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1332),
  [3081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1640),
  [3083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1340),
  [3085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1614),
  [3087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1349),
  [3089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1341),
  [3091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1612),
  [3093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1342),
  [3095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1610),
  [3097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1343),
  [3099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1608),
  [3101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1344),
  [3103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1606),
  [3105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1353),
  [3107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7561),
  [3109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3558),
  [3111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1193),
  [3113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2962),
  [3115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1399),
  [3117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1455),
  [3119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1412),
  [3121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1449),
  [3123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1407),
  [3125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1448),
  [3127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1405),
  [3129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1447),
  [3131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1416),
  [3133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1446),
  [3135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1666),
  [3137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1848),
  [3139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2316),
  [3141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1411),
  [3143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7613),
  [3145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1414),
  [3147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1430),
  [3149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1410),
  [3151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1428),
  [3153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1404),
  [3155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1423),
  [3157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1248),
  [3159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2290),
  [3161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4410),
  [3163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3883),
  [3165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1334),
  [3167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1392),
  [3169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [3171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3543),
  [3173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1387),
  [3175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4039),
  [3177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [3179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4066),
  [3181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3320),
  [3183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1371),
  [3185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1672),
  [3187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6833),
  [3189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6834),
  [3191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1318),
  [3193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1307),
  [3195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1303),
  [3197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1302),
  [3199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6836),
  [3201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6837),
  [3203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1295),
  [3205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6843),
  [3207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6844),
  [3209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [3211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5309),
  [3213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1170),
  [3215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7638),
  [3217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6846),
  [3219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6847),
  [3221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1458),
  [3223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1233),
  [3225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6848),
  [3227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6849),
  [3229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6850),
  [3231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1203),
  [3233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1199),
  [3235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1205),
  [3237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1201),
  [3239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1195),
  [3241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1207),
  [3243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1202),
  [3245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1864),
  [3247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2331),
  [3249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6719),
  [3251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6496),
  [3253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6495),
  [3255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6488),
  [3257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6489),
  [3259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6486),
  [3261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6485),
  [3263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1682),
  [3265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1692),
  [3267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7573),
  [3269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6501),
  [3271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6502),
  [3273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6503),
  [3275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6504),
  [3277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6505),
  [3279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1527),
  [3281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1266),
  [3283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5300),
  [3285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1524),
  [3287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1657),
  [3289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1520),
  [3291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1654),
  [3293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1651),
  [3295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1519),
  [3297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1517),
  [3299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1516),
  [3301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1630),
  [3303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1629),
  [3305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1628),
  [3307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1627),
  [3309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1626),
  [3311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1587),
  [3313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7563),
  [3315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1575),
  [3317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1574),
  [3319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1573),
  [3321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1420),
  [3323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1571),
  [3325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1568),
  [3327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6430),
  [3329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6429),
  [3331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6428),
  [3333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6427),
  [3335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6426),
  [3337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7560),
  [3339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7576),
  [3341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1491),
  [3343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6421),
  [3345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6420),
  [3347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6413),
  [3349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6414),
  [3351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6411),
  [3353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6410),
  [3355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__inner_default_expression, 1),
  [3357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5390),
  [3359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1482),
  [3361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1440),
  [3363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1861),
  [3365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2328),
  [3367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6718),
  [3369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1859),
  [3371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2327),
  [3373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6717),
  [3375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1857),
  [3377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2324),
  [3379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6716),
  [3381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1850),
  [3383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2320),
  [3385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6715),
  [3387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1572),
  [3389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1436),
  [3391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1437),
  [3393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1846),
  [3395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2315),
  [3397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6712),
  [3399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1422),
  [3401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1899),
  [3403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2335),
  [3405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7616),
  [3407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1439),
  [3409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1396),
  [3411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1424),
  [3413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1435),
  [3415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5369),
  [3417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2211),
  [3419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2179),
  [3421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [3423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2225),
  [3425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(51),
  [3427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6397),
  [3429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7748),
  [3431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7445),
  [3433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7446),
  [3435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1502),
  [3437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1559),
  [3439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(494),
  [3441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7447),
  [3443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6944),
  [3445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1099),
  [3447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6245),
  [3449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [3451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6241),
  [3453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6945),
  [3455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5794),
  [3457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6393),
  [3459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [3461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1960),
  [3463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6222),
  [3465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1869),
  [3467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7615),
  [3469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2228),
  [3471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2233),
  [3473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(403),
  [3475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7742),
  [3477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7421),
  [3479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7422),
  [3481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1477),
  [3483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1929),
  [3485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(629),
  [3487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7423),
  [3489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6862),
  [3491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1093),
  [3493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6367),
  [3495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [3497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6366),
  [3499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6863),
  [3501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5865),
  [3503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6905),
  [3505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [3507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1929),
  [3509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6988),
  [3511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2954),
  [3513] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_is_not, 2),
  [3515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7061),
  [3517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_is_not, 2),
  [3519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1240),
  [3521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3480),
  [3523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1646),
  [3525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2241),
  [3527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2251),
  [3529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1119),
  [3531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2229),
  [3533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1508),
  [3535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [3537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(783),
  [3539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7757),
  [3541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7481),
  [3543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7482),
  [3545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1698),
  [3547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1620),
  [3549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1107),
  [3551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7483),
  [3553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7067),
  [3555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1103),
  [3557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6023),
  [3559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1108),
  [3561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6025),
  [3563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7068),
  [3565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5987),
  [3567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7069),
  [3569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [3571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1988),
  [3573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7151),
  [3575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(71),
  [3577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1553),
  [3579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1097),
  [3581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1951),
  [3583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6541),
  [3585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2354),
  [3587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2441),
  [3589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2085),
  [3591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1926),
  [3593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3538),
  [3595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [3597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4420),
  [3599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3884),
  [3601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2137),
  [3603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1843),
  [3605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2360),
  [3607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1956),
  [3609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2389),
  [3611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1958),
  [3613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2388),
  [3615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1961),
  [3617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2387),
  [3619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1963),
  [3621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2386),
  [3623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [3625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4355),
  [3627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [3629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3485),
  [3631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3124),
  [3633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3508),
  [3635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7760),
  [3637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7493),
  [3639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7494),
  [3641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1704),
  [3643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1993),
  [3645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4055),
  [3647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7495),
  [3649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7108),
  [3651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1104),
  [3653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6068),
  [3655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4056),
  [3657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6069),
  [3659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7109),
  [3661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5967),
  [3663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7110),
  [3665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3688),
  [3667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1993),
  [3669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7189),
  [3671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1113),
  [3673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [3675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [3677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3547),
  [3679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2918),
  [3681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2883),
  [3683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7745),
  [3685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7433),
  [3687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7434),
  [3689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1495),
  [3691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1546),
  [3693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3149),
  [3695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7435),
  [3697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6903),
  [3699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1096),
  [3701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6308),
  [3703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3148),
  [3705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6307),
  [3707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6904),
  [3709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5825),
  [3711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6946),
  [3713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2907),
  [3715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1940),
  [3717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7029),
  [3719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1990),
  [3721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2372),
  [3723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1992),
  [3725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2370),
  [3727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [3729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4023),
  [3731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3449),
  [3733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1833),
  [3735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3596),
  [3737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4071),
  [3739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2001),
  [3741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2356),
  [3743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(970),
  [3745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7739),
  [3747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7409),
  [3749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7410),
  [3751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1474),
  [3753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1539),
  [3755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1320),
  [3757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7411),
  [3759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6821),
  [3761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1092),
  [3763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6432),
  [3765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1323),
  [3767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6431),
  [3769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6822),
  [3771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5890),
  [3773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6864),
  [3775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [3777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1915),
  [3779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6947),
  [3781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [3783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3285),
  [3785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3816),
  [3787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1866),
  [3789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1635),
  [3791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1858),
  [3793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2217),
  [3795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3116),
  [3797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2214),
  [3799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2237),
  [3801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1515),
  [3803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1200),
  [3805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1940),
  [3807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [3809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1688),
  [3811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4229),
  [3813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7733),
  [3815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7385),
  [3817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7386),
  [3819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1647),
  [3821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1510),
  [3823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4408),
  [3825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7387),
  [3827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6739),
  [3829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1090),
  [3831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6583),
  [3833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4373),
  [3835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6582),
  [3837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6740),
  [3839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5988),
  [3841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6782),
  [3843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4333),
  [3845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1904),
  [3847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6865),
  [3849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1709),
  [3851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3523),
  [3853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7754),
  [3855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7469),
  [3857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7470),
  [3859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1634),
  [3861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1609),
  [3863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4051),
  [3865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7471),
  [3867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7026),
  [3869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1102),
  [3871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6094),
  [3873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4050),
  [3875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6092),
  [3877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7027),
  [3879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5932),
  [3881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7028),
  [3883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3704),
  [3885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1983),
  [3887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7111),
  [3889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1656),
  [3891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1915),
  [3893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1655),
  [3895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1821),
  [3897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2194),
  [3899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3368),
  [3901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7751),
  [3903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7457),
  [3905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7458),
  [3907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1632),
  [3909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1594),
  [3911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3545),
  [3913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7459),
  [3915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6985),
  [3917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1100),
  [3919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6170),
  [3921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3556),
  [3923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6168),
  [3925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6986),
  [3927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5863),
  [3929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6987),
  [3931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3522),
  [3933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1907),
  [3935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7070),
  [3937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1579),
  [3939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2038),
  [3941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1670),
  [3943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7730),
  [3945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7373),
  [3947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7374),
  [3949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1442),
  [3951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1505),
  [3953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2305),
  [3955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7375),
  [3957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6698),
  [3959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1089),
  [3961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6690),
  [3963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2304),
  [3965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6689),
  [3967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6699),
  [3969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5972),
  [3971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6741),
  [3973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1933),
  [3975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1896),
  [3977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6824),
  [3979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1512),
  [3981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1852),
  [3983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2586),
  [3985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1276),
  [3987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1842),
  [3989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1478),
  [3991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(978),
  [3993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7727),
  [3995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7359),
  [3997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7360),
  [3999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1441),
  [4001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1457),
  [4003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1265),
  [4005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7361),
  [4007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6647),
  [4009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1088),
  [4011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6869),
  [4013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1264),
  [4015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6867),
  [4017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6648),
  [4019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5899),
  [4021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6700),
  [4023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1156),
  [4025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1854),
  [4027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6783),
  [4029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2869),
  [4031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1542),
  [4033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2933),
  [4035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7763),
  [4037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7505),
  [4039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7506),
  [4041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1683),
  [4043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1642),
  [4045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3312),
  [4047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7507),
  [4049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7148),
  [4051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1105),
  [4053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6137),
  [4055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3313),
  [4057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6138),
  [4059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7149),
  [4061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5903),
  [4063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7150),
  [4065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3101),
  [4067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1998),
  [4069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7190),
  [4071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5399),
  [4073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1475),
  [4075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1998),
  [4077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1988),
  [4079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3319),
  [4081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3190),
  [4083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1904),
  [4085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1854),
  [4087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1951),
  [4089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(582),
  [4091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1907),
  [4093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3252),
  [4095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3255),
  [4097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3258),
  [4099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3262),
  [4101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1960),
  [4103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1983),
  [4105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6726),
  [4107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6710),
  [4109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6711),
  [4111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3318),
  [4113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6713),
  [4115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6714),
  [4117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6720),
  [4119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6721),
  [4121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(993),
  [4123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(995),
  [4125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(999),
  [4127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7614),
  [4129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6723),
  [4131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6724),
  [4133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6725),
  [4135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2384),
  [4137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6727),
  [4139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2334),
  [4141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2336),
  [4143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1002),
  [4145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2366),
  [4147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2338),
  [4149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2339),
  [4151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2341),
  [4153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1019),
  [4155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7617),
  [4157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1896),
  [4159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2362),
  [4161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(569),
  [4163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2348),
  [4165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1912),
  [4167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5375),
  [4169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(589),
  [4171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(600),
  [4173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(619),
  [4175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(621),
  [4177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(543),
  [4179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2378),
  [4181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_column, 6, .production_id = 9),
  [4183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2377),
  [4185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2376),
  [4187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2375),
  [4189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1046),
  [4191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2368),
  [4193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1723),
  [4195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2358),
  [4197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2357),
  [4199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(996),
  [4201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1996),
  [4203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2016),
  [4205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2265),
  [4207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2016),
  [4209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2265),
  [4211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2063),
  [4213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2063),
  [4215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2064),
  [4217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3764),
  [4219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3768),
  [4221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3777),
  [4223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3783),
  [4225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3797),
  [4227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3749),
  [4229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2464),
  [4231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2539),
  [4233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2343),
  [4235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7605),
  [4237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2066),
  [4239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_column, 5, .production_id = 24),
  [4241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2010),
  [4243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3819),
  [4245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2465),
  [4247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2540),
  [4249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6662),
  [4251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2463),
  [4253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2538),
  [4255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6665),
  [4257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2462),
  [4259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2537),
  [4261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6666),
  [4263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2460),
  [4265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2536),
  [4267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6667),
  [4269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2459),
  [4271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2535),
  [4273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6668),
  [4275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2457),
  [4277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2534),
  [4279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6669),
  [4281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1978),
  [4283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1567),
  [4285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1973),
  [4287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1972),
  [4289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1973),
  [4291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1972),
  [4293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1971),
  [4295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1971),
  [4297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1970),
  [4299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1969),
  [4301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2061),
  [4303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2062),
  [4305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2069),
  [4307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1663),
  [4309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2071),
  [4311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2086),
  [4313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2071),
  [4315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [4317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2086),
  [4319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2087),
  [4321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2087),
  [4323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2088),
  [4325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2089),
  [4327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2454),
  [4329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2532),
  [4331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7608),
  [4333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1976),
  [4335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2168),
  [4337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1727),
  [4339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1728),
  [4341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1719),
  [4343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1733),
  [4345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1734),
  [4347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1733),
  [4349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [4351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1734),
  [4353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1735),
  [4355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1735),
  [4357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1736),
  [4359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1743),
  [4361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2431),
  [4363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2511),
  [4365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2438),
  [4367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2512),
  [4369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2429),
  [4371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2513),
  [4373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2446),
  [4375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2498),
  [4377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2432),
  [4379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2497),
  [4381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2440),
  [4383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2494),
  [4385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2455),
  [4387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7607),
  [4389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2437),
  [4391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2510),
  [4393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1488),
  [4395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2428),
  [4397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2439),
  [4399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2508),
  [4401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2700),
  [4403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2814),
  [4405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2433),
  [4407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7584),
  [4409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2505),
  [4411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2708),
  [4413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2805),
  [4415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6559),
  [4417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2503),
  [4419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2493),
  [4421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2720),
  [4423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2768),
  [4425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7588),
  [4427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2706),
  [4429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2807),
  [4431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6558),
  [4433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2704),
  [4435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2809),
  [4437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6557),
  [4439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2702),
  [4441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2811),
  [4443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6556),
  [4445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2502),
  [4447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2504),
  [4449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2490),
  [4451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2492),
  [4453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2710),
  [4455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2802),
  [4457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6560),
  [4459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2698),
  [4461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2821),
  [4463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6553),
  [4465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2495),
  [4467] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_relation, 1),
  [4469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5254),
  [4471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_relation, 1),
  [4473] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_relation, 3),
  [4475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5222),
  [4477] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_relation, 3),
  [4479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2523),
  [4481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7609),
  [4483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2527),
  [4485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5402),
  [4487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2528),
  [4489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2529),
  [4491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2530),
  [4493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2531),
  [4495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2533),
  [4497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6680),
  [4499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6679),
  [4501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6678),
  [4503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6677),
  [4505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6676),
  [4507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7606),
  [4509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2477),
  [4511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2582),
  [4513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6671),
  [4515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6670),
  [4517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6663),
  [4519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6664),
  [4521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6661),
  [4523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6660),
  [4525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2749),
  [4527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3004),
  [4529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2585),
  [4531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7536),
  [4533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2755),
  [4535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3002),
  [4537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6266),
  [4539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2748),
  [4541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3006),
  [4543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6269),
  [4545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2747),
  [4547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3014),
  [4549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6270),
  [4551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2746),
  [4553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3016),
  [4555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6271),
  [4557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2737),
  [4559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3020),
  [4561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6272),
  [4563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2736),
  [4565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3022),
  [4567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6273),
  [4569] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_table_reference, 1, .production_id = 4),
  [4571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table_reference, 1, .production_id = 4),
  [4573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5663),
  [4575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2682),
  [4577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2836),
  [4579] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table, 4),
  [4581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6079),
  [4583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5715),
  [4585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5739),
  [4587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7531),
  [4589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4576),
  [4591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7769),
  [4593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6010),
  [4595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6009),
  [4597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5510),
  [4599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6022),
  [4601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6171),
  [4603] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table, 4),
  [4605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2734),
  [4607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3029),
  [4609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7541),
  [4611] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table, 5),
  [4613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5751),
  [4615] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table, 5),
  [4617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2680),
  [4619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2843),
  [4621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2681),
  [4623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2838),
  [4625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2686),
  [4627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2699),
  [4629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2815),
  [4631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2701),
  [4633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2813),
  [4635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2703),
  [4637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2810),
  [4639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2705),
  [4641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2808),
  [4643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2707),
  [4645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2806),
  [4647] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table, 6),
  [4649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5768),
  [4651] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table, 6),
  [4653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2717),
  [4655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7587),
  [4657] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table, 7),
  [4659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5777),
  [4661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table, 7),
  [4663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6554),
  [4665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6555),
  [4667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1975),
  [4669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [4671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2985),
  [4673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3038),
  [4675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2718),
  [4677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7653),
  [4679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1883),
  [4681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1479),
  [4683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1887),
  [4685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1888),
  [4687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1887),
  [4689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1888),
  [4691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1889),
  [4693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1889),
  [4695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1890),
  [4697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1686),
  [4699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1862),
  [4701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1862),
  [4703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1921),
  [4705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1921),
  [4707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1927),
  [4709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7219),
  [4711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5618),
  [4713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5762),
  [4715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7485),
  [4717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4598),
  [4719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6242),
  [4721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6243),
  [4723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5515),
  [4725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6244),
  [4727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7532),
  [4729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1775),
  [4731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1886),
  [4733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1886),
  [4735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1939),
  [4737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2034),
  [4739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1891),
  [4741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1884),
  [4743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2735),
  [4745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7540),
  [4747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6267),
  [4749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6268),
  [4751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2832),
  [4753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2928),
  [4755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2833),
  [4757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2926),
  [4759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2834),
  [4761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2924),
  [4763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2846),
  [4765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2914),
  [4767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2765),
  [4769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2871),
  [4771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2908),
  [4773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1714),
  [4775] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_from, 4),
  [4777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5907),
  [4779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5812),
  [4781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7535),
  [4783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5047),
  [4785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1870),
  [4787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6804),
  [4789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6815),
  [4791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4945),
  [4793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7636),
  [4795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5126),
  [4797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5748),
  [4799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_from, 3),
  [4801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1849),
  [4803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [4805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_from, 2),
  [4807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2887),
  [4809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2946),
  [4811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2885),
  [4813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2893),
  [4815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6551),
  [4817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2878),
  [4819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2909),
  [4821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6561),
  [4823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6562),
  [4825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6552),
  [4827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1768),
  [4829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1767),
  [4831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1740),
  [4833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1633),
  [4835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1765),
  [4837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1764),
  [4839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1765),
  [4841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [4843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1764),
  [4845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1763),
  [4847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1763),
  [4849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1762),
  [4851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1761),
  [4853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1908),
  [4855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2100),
  [4857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2099),
  [4859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2098),
  [4861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1678),
  [4863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1791),
  [4865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2097),
  [4867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1974),
  [4869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2097),
  [4871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [4873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1974),
  [4875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2095),
  [4877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2095),
  [4879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2091),
  [4881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2076),
  [4883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2011),
  [4885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [4887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3062),
  [4889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3283),
  [4891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2881),
  [4893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7700),
  [4895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2845),
  [4897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2844),
  [4899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2841),
  [4901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7586),
  [4903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6567),
  [4905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5683),
  [4907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6568),
  [4909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6569),
  [4911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6570),
  [4913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6571),
  [4915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2774),
  [4917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2826),
  [4919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2730),
  [4921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2743),
  [4923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2824),
  [4925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2745),
  [4927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2823),
  [4929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2795),
  [4931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2822),
  [4933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2732),
  [4935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2733),
  [4937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5742),
  [4939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7589),
  [4941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2965),
  [4943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3138),
  [4945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7656),
  [4947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2839),
  [4949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2969),
  [4951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3134),
  [4953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6924),
  [4955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2992),
  [4957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3122),
  [4959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6917),
  [4961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2983),
  [4963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3128),
  [4965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6921),
  [4967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2976),
  [4969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3039),
  [4971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6922),
  [4973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2972),
  [4975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3130),
  [4977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6923),
  [4979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2984),
  [4981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3125),
  [4983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6920),
  [4985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2981),
  [4987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7543),
  [4989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3035),
  [4991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3034),
  [4993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6918),
  [4995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6919),
  [4997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3033),
  [4999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3032),
  [5001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3031),
  [5003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3028),
  [5005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2968),
  [5007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7655),
  [5009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6300),
  [5011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6299),
  [5013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6298),
  [5015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6297),
  [5017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2),
  [5019] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(620),
  [5022] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(5368),
  [5025] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(7758),
  [5028] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(4996),
  [5031] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(4977),
  [5034] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(5942),
  [5037] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(5684),
  [5040] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(5348),
  [5043] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(3311),
  [5046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7539),
  [5048] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_relation, 2, .production_id = 8),
  [5050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5450),
  [5052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5956),
  [5054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5908),
  [5056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6722),
  [5058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5025),
  [5060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4948),
  [5062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5116),
  [5064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6275),
  [5066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6274),
  [5068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1557),
  [5070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6265),
  [5072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6264),
  [5074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2958),
  [5076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3165),
  [5078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2951),
  [5080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3169),
  [5082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2950),
  [5084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3170),
  [5086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2940),
  [5088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3171),
  [5090] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_relation, 3, .production_id = 16),
  [5092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2938),
  [5094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3175),
  [5096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2956),
  [5098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 1),
  [5100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2800),
  [5102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2922),
  [5104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3176),
  [5106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2921),
  [5108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3168),
  [5110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_relation, 5, .production_id = 34),
  [5112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5390),
  [5114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2889),
  [5116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2899),
  [5118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2898),
  [5120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2897),
  [5122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2920),
  [5124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3164),
  [5126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3063),
  [5128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3284),
  [5130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7162),
  [5132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3061),
  [5134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3282),
  [5136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7165),
  [5138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3060),
  [5140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3281),
  [5142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7166),
  [5144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3059),
  [5146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3279),
  [5148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7167),
  [5150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3058),
  [5152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3276),
  [5154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7168),
  [5156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3057),
  [5158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3274),
  [5160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7169),
  [5162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2896),
  [5164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3005),
  [5166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2912),
  [5168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3054),
  [5170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3272),
  [5172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7703),
  [5174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6296),
  [5176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2910),
  [5178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_relation, 4, .production_id = 22),
  [5180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2964),
  [5182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3048),
  [5184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3224),
  [5186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1641),
  [5188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3056),
  [5190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7702),
  [5192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [5194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7191),
  [5196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4985),
  [5198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4976),
  [5200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5813),
  [5202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5698),
  [5204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5911),
  [5206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5801),
  [5208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1885),
  [5210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [5212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7163),
  [5214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7164),
  [5216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3162),
  [5218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3163),
  [5220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3166),
  [5222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3073),
  [5224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5371),
  [5226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__column_list, 3, .production_id = 33),
  [5228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3184),
  [5230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3183),
  [5232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3182),
  [5234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3181),
  [5236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3050),
  [5238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3228),
  [5240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3180),
  [5242] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__column_list, 4, .production_id = 33),
  [5244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3049),
  [5246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3227),
  [5248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3150),
  [5250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7657),
  [5252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3144),
  [5254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2982),
  [5256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3143),
  [5258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3047),
  [5260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3223),
  [5262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3142),
  [5264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3120),
  [5266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3141),
  [5268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3139),
  [5270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3137),
  [5272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6932),
  [5274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6931),
  [5276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6930),
  [5278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6929),
  [5280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6928),
  [5282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7654),
  [5284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3046),
  [5286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3222),
  [5288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6926),
  [5290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3044),
  [5292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3206),
  [5294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3042),
  [5296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3205),
  [5298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3041),
  [5300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3196),
  [5302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6925),
  [5304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6916),
  [5306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6915),
  [5308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_relation, 4, .production_id = 16),
  [5310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3191),
  [5312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3193),
  [5314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5853),
  [5316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5831),
  [5318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7570),
  [5320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5039),
  [5322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1984),
  [5324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6256),
  [5326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6405),
  [5328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3199),
  [5330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3210),
  [5332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3211),
  [5334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3212),
  [5336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3215),
  [5338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3216),
  [5340] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_compound_statement_repeat1, 2), SHIFT_REPEAT(584),
  [5343] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_compound_statement_repeat1, 2), SHIFT_REPEAT(5368),
  [5346] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_compound_statement_repeat1, 2), SHIFT_REPEAT(7191),
  [5349] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_compound_statement_repeat1, 2), SHIFT_REPEAT(4985),
  [5352] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_compound_statement_repeat1, 2), SHIFT_REPEAT(4976),
  [5355] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_compound_statement_repeat1, 2), SHIFT_REPEAT(5813),
  [5358] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_compound_statement_repeat1, 2), SHIFT_REPEAT(5698),
  [5361] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_compound_statement_repeat1, 2),
  [5363] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_compound_statement_repeat1, 2), SHIFT_REPEAT(5348),
  [5366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3248),
  [5368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1950),
  [5370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1965),
  [5372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7704),
  [5374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3256),
  [5376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3257),
  [5378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3259),
  [5380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3268),
  [5382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3269),
  [5384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3273),
  [5386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5228),
  [5388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7177),
  [5390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7176),
  [5392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7175),
  [5394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7174),
  [5396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7173),
  [5398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7701),
  [5400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7171),
  [5402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7170),
  [5404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3465),
  [5406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3845),
  [5408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3310),
  [5410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7629),
  [5412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5249),
  [5414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7161),
  [5416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7160),
  [5418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_relation, 5, .production_id = 22),
  [5420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3132),
  [5422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3277),
  [5424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5328),
  [5426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_relation, 6, .production_id = 34),
  [5428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3494),
  [5430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3689),
  [5432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3187),
  [5434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7669),
  [5436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_relation, 3, .production_id = 8),
  [5438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3481),
  [5440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3548),
  [5442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7672),
  [5444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3664),
  [5446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4069),
  [5448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3359),
  [5450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7692),
  [5452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3467),
  [5454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3700),
  [5456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6999),
  [5458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3856),
  [5460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3916),
  [5462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3392),
  [5464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7677),
  [5466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3429),
  [5468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3685),
  [5470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7002),
  [5472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3529),
  [5474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3634),
  [5476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7003),
  [5478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3526),
  [5480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3633),
  [5482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7004),
  [5484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3503),
  [5486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3625),
  [5488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7006),
  [5490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3507),
  [5492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3627),
  [5494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7005),
  [5496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3450),
  [5498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3721),
  [5500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6794),
  [5502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5673),
  [5504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3466),
  [5506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3722),
  [5508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6797),
  [5510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3474),
  [5512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3729),
  [5514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6798),
  [5516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3475),
  [5518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3731),
  [5520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6799),
  [5522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3479),
  [5524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3739),
  [5526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6800),
  [5528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3487),
  [5530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3741),
  [5532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6801),
  [5534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3497),
  [5536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3779),
  [5538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7632),
  [5540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7567),
  [5542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4997),
  [5544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_partition_by, 3),
  [5546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1911),
  [5548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1671),
  [5550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2027),
  [5552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2008),
  [5554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2027),
  [5556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2008),
  [5558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2007),
  [5560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2007),
  [5562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2006),
  [5564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2005),
  [5566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3432),
  [5568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3880),
  [5570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3431),
  [5572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3744),
  [5574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3477),
  [5576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3717),
  [5578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6795),
  [5580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6796),
  [5582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3400),
  [5584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3760),
  [5586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3844),
  [5588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3925),
  [5590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7046),
  [5592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1592),
  [5594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1463),
  [5596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3840),
  [5598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3927),
  [5600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7047),
  [5602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3666),
  [5604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4065),
  [5606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7121),
  [5608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3657),
  [5610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4076),
  [5612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7124),
  [5614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3658),
  [5616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3930),
  [5618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7125),
  [5620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3656),
  [5622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4077),
  [5624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7126),
  [5626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3654),
  [5628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4079),
  [5630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7127),
  [5632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3652),
  [5634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4080),
  [5636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7128),
  [5638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1868),
  [5640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1772),
  [5642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [5644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3858),
  [5646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3914),
  [5648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7040),
  [5650] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__mysql_update_statement_repeat1, 2),
  [5652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1541),
  [5654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4956),
  [5656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7000),
  [5658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7001),
  [5660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3641),
  [5662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4082),
  [5664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7695),
  [5666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3496),
  [5668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3885),
  [5670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3854),
  [5672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3917),
  [5674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7043),
  [5676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3852),
  [5678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3893),
  [5680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7044),
  [5682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3457),
  [5684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3698),
  [5686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3495),
  [5688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7631),
  [5690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3846),
  [5692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3921),
  [5694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7045),
  [5696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3408),
  [5698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3759),
  [5700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3409),
  [5702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3763),
  [5704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3412),
  [5706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3765),
  [5708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3415),
  [5710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3767),
  [5712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3416),
  [5714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3770),
  [5716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3417),
  [5718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3439),
  [5720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3881),
  [5722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3430),
  [5724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3756),
  [5726] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_create_table_repeat1, 2),
  [5728] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_table_repeat1, 2), SHIFT_REPEAT(6079),
  [5731] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_table_repeat1, 2), SHIFT_REPEAT(7769),
  [5734] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_table_repeat1, 2), SHIFT_REPEAT(6010),
  [5737] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_table_repeat1, 2), SHIFT_REPEAT(5510),
  [5740] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_table_repeat1, 2), SHIFT_REPEAT(6022),
  [5743] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_table_repeat1, 2), SHIFT_REPEAT(6171),
  [5746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_create_table_repeat1, 2),
  [5748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3831),
  [5750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3935),
  [5752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7680),
  [5754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3428),
  [5756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3805),
  [5758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3493),
  [5760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7671),
  [5762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3435),
  [5764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3398),
  [5766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3800),
  [5768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3427),
  [5770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3799),
  [5772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3806),
  [5774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1607),
  [5776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3848),
  [5778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6803),
  [5780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6802),
  [5782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7014),
  [5784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7013),
  [5786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7012),
  [5788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3784),
  [5790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3789),
  [5792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7011),
  [5794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7010),
  [5796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3790),
  [5798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3791),
  [5800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3792),
  [5802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5379),
  [5804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6793),
  [5806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6792),
  [5808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3608),
  [5810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4109),
  [5812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3610),
  [5814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4108),
  [5816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3612),
  [5818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4107),
  [5820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3614),
  [5822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4106),
  [5824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3616),
  [5826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4105),
  [5828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3804),
  [5830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3807),
  [5832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3580),
  [5834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3847),
  [5836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3822),
  [5838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3697),
  [5840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3867),
  [5842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3735),
  [5844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4014),
  [5846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7630),
  [5848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3834),
  [5850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7679),
  [5852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3699),
  [5854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6805),
  [5856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3730),
  [5858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4024),
  [5860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1625),
  [5862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6806),
  [5864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6807),
  [5866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6808),
  [5868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6809),
  [5870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3532),
  [5872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3745),
  [5874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7008),
  [5876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7007),
  [5878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1996),
  [5880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2010),
  [5882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2011),
  [5884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1723),
  [5886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3723),
  [5888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3963),
  [5890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3712),
  [5892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5345),
  [5894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3781),
  [5896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3665),
  [5898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5318),
  [5900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3490),
  [5902] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_from, 5),
  [5904] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_from, 6),
  [5906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3788),
  [5908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3810),
  [5910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3802),
  [5912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7041),
  [5914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7042),
  [5916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3812),
  [5918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3647),
  [5920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3649),
  [5922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7694),
  [5924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3814),
  [5926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3837),
  [5928] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__mysql_update_statement_repeat1, 2), SHIFT_REPEAT(5126),
  [5931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7673),
  [5933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7633),
  [5935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3794),
  [5937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3838),
  [5939] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_table_repeat1, 2), SHIFT_REPEAT(7219),
  [5942] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_table_repeat1, 2), SHIFT_REPEAT(6242),
  [5945] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_table_repeat1, 2), SHIFT_REPEAT(6243),
  [5948] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_table_repeat1, 2), SHIFT_REPEAT(5515),
  [5951] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_table_repeat1, 2), SHIFT_REPEAT(6244),
  [5954] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_table_repeat1, 2), SHIFT_REPEAT(7532),
  [5957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3586),
  [5959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4053),
  [5961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7122),
  [5963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7123),
  [5965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6998),
  [5967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3594),
  [5969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3584),
  [5971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4049),
  [5973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6997),
  [5975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3590),
  [5977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3772),
  [5979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3984),
  [5981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3776),
  [5983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3985),
  [5985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7670),
  [5987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3774),
  [5989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4070),
  [5991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3771),
  [5993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3987),
  [5995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3769),
  [5997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3988),
  [5999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3674),
  [6001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3551),
  [6003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3589),
  [6005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3525),
  [6007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3588),
  [6009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3579),
  [6011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4032),
  [6013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3544),
  [6015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7129),
  [6017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1955),
  [6019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2114),
  [6021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4430),
  [6023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2170),
  [6025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2113),
  [6027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4466),
  [6029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2012),
  [6031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2937),
  [6033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2157),
  [6035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3645),
  [6037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3933),
  [6039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2207),
  [6041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3236),
  [6043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2208),
  [6045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3239),
  [6047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3959),
  [6049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4041),
  [6051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2118),
  [6053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3636),
  [6055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2119),
  [6057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3746),
  [6059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2158),
  [6061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3660),
  [6063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_join, 6),
  [6065] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_hint, 7, .production_id = 54),
  [6067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4119),
  [6069] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_join, 7),
  [6071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4118),
  [6073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4117),
  [6075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4116),
  [6077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4113),
  [6079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2203),
  [6081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3998),
  [6083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2013),
  [6085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2945),
  [6087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2152),
  [6089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [6091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2199),
  [6093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3918),
  [6095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5385),
  [6097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4093),
  [6099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7696),
  [6101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4088),
  [6103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4086),
  [6105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4085),
  [6107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4083),
  [6109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4084),
  [6111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4075),
  [6113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4081),
  [6115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7136),
  [6117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7135),
  [6119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7134),
  [6121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7133),
  [6123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7132),
  [6125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7693),
  [6127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7130),
  [6129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3659),
  [6131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7120),
  [6133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7119),
  [6135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2109),
  [6137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2296),
  [6139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6404),
  [6141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__aggregate_expression, 1, .production_id = 10),
  [6143] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_join, 5),
  [6145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2108),
  [6147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2281),
  [6149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3728),
  [6151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_join, 8),
  [6153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2169),
  [6155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2141),
  [6157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_hint, 5, .production_id = 32),
  [6159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4031),
  [6161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2151),
  [6163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [6165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_join, 4),
  [6167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2104),
  [6169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1245),
  [6171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4016),
  [6173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4030),
  [6175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2101),
  [6177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3941),
  [6179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4027),
  [6181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2103),
  [6183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [6185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2123),
  [6187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1294),
  [6189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2032),
  [6191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1470),
  [6193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2192),
  [6195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1180),
  [6197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2142),
  [6199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [6201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3997),
  [6203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3996),
  [6205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3993),
  [6207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3995),
  [6209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3994),
  [6211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2193),
  [6213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1159),
  [6215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2180),
  [6217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3923),
  [6219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2031),
  [6221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1501),
  [6223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2146),
  [6225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3096),
  [6227] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__aggregate_expression, 2, .production_id = 19),
  [6229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2021),
  [6231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1582),
  [6233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2124),
  [6235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1285),
  [6237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2049),
  [6239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2565),
  [6241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2048),
  [6243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2567),
  [6245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2022),
  [6247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1598),
  [6249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3899),
  [6251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7681),
  [6253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3951),
  [6255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3949),
  [6257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3944),
  [6259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3939),
  [6261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3937),
  [6263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3934),
  [6265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2128),
  [6267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [6269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7055),
  [6271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7054),
  [6273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7053),
  [6275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7052),
  [6277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7051),
  [6279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7678),
  [6281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2033),
  [6283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1964),
  [6285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2041),
  [6287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3575),
  [6289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2147),
  [6291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3094),
  [6293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7038),
  [6295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7039),
  [6297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7049),
  [6299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7048),
  [6301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5353),
  [6303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2042),
  [6305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3635),
  [6307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2036),
  [6309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1155),
  [6311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1120),
  [6313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1690),
  [6315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1710),
  [6317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2995),
  [6319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3853),
  [6321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [6323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1784),
  [6325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3404),
  [6327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1350),
  [6329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [6331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [6333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2584),
  [6335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3600),
  [6337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2576),
  [6339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1273),
  [6341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(719),
  [6343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [6345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3109),
  [6347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1745),
  [6349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [6351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2860),
  [6353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3557),
  [6355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1110),
  [6357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3537),
  [6359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3628),
  [6361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1532),
  [6363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [6365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3707),
  [6367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4363),
  [6369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1337),
  [6371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1235),
  [6373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2911),
  [6375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1219),
  [6377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1480),
  [6379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3195),
  [6381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3488),
  [6383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1347),
  [6385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4073),
  [6387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [6389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3489),
  [6391] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_repeat1, 4),
  [6393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4318),
  [6395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4405),
  [6397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4159),
  [6399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7621),
  [6401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3123),
  [6403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1518),
  [6405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3780),
  [6407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3980),
  [6409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [6411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2351),
  [6413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3549),
  [6415] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_repeat2, 4),
  [6417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2379),
  [6419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4124),
  [6421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2461),
  [6423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2139),
  [6425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3280),
  [6427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4022),
  [6429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [6431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3105),
  [6433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4449),
  [6435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2955),
  [6437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4432),
  [6439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 3, .production_id = 38),
  [6441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4512),
  [6443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7689),
  [6445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7643),
  [6447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4514),
  [6449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1590),
  [6451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_column_definition_repeat1, 2),
  [6453] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_column_definition_repeat1, 2), SHIFT_REPEAT(4512),
  [6456] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_column_definition_repeat1, 2), SHIFT_REPEAT(7689),
  [6459] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_column_definition_repeat1, 2), SHIFT_REPEAT(7643),
  [6462] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_column_definition_repeat1, 2), SHIFT_REPEAT(4514),
  [6465] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_column_definition_repeat1, 2), SHIFT_REPEAT(1590),
  [6468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_invocation_repeat1, 2, .production_id = 19),
  [6470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4337),
  [6472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4415),
  [6474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6753),
  [6476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4315),
  [6478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4436),
  [6480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6756),
  [6482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4313),
  [6484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4391),
  [6486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6757),
  [6488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4312),
  [6490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4372),
  [6492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6758),
  [6494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4314),
  [6496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4463),
  [6498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6759),
  [6500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4316),
  [6502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4479),
  [6504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6760),
  [6506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 2, .production_id = 38),
  [6508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4330),
  [6510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4395),
  [6512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7624),
  [6514] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__mysql_update_statement_repeat1, 2), SHIFT_REPEAT(5116),
  [6517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4325),
  [6519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4371),
  [6521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3675),
  [6523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1445),
  [6525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1426),
  [6527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [6529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2234),
  [6531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6067),
  [6533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6019),
  [6535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5448),
  [6537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5423),
  [6539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4421),
  [6541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [6543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4424),
  [6545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2178),
  [6547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2191),
  [6549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4423),
  [6551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [6553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [6555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2),
  [6557] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2), SHIFT_REPEAT(5907),
  [6560] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2), SHIFT_REPEAT(5812),
  [6563] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2), SHIFT_REPEAT(7535),
  [6566] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2), SHIFT_REPEAT(5047),
  [6569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4334),
  [6571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2150),
  [6573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [6575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5721),
  [6577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2145),
  [6579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [6581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [6583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2239),
  [6585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [6587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2127),
  [6589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [6591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2198),
  [6593] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_storage_location, 5, .production_id = 56),
  [6595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5348),
  [6597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4444),
  [6599] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_storage_location, 5, .production_id = 56),
  [6601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3260),
  [6603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [6605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3264),
  [6607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2122),
  [6609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2231),
  [6611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2206),
  [6613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [6615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1820),
  [6617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1946),
  [6619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3265),
  [6621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2009),
  [6623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2371),
  [6625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2242),
  [6627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4347),
  [6629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4407),
  [6631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2274),
  [6633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2226),
  [6635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4103),
  [6637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2223),
  [6639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4110),
  [6641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2220),
  [6643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1433),
  [6645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2307),
  [6647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2215),
  [6649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4129),
  [6651] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_row_format, 7, .production_id = 67),
  [6653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7546),
  [6655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7713),
  [6657] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_row_format, 7, .production_id = 67),
  [6659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4338),
  [6661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4474),
  [6663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2212),
  [6665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2135),
  [6667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3677),
  [6669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [6671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3687),
  [6673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [6675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3695),
  [6677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2117),
  [6679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2222),
  [6681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [6683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2112),
  [6685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2322),
  [6687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [6689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5501),
  [6691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [6693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [6695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2906),
  [6697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2107),
  [6699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [6701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1777),
  [6703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1900),
  [6705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2892),
  [6707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2102),
  [6709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1865),
  [6711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6754),
  [6713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6755),
  [6715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [6717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2901),
  [6719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2238),
  [6721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3773),
  [6723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2047),
  [6725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3793),
  [6727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3801),
  [6729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1253),
  [6731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1252),
  [6733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1538),
  [6735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1251),
  [6737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1855),
  [6739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [6741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2046),
  [6743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [6745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1840),
  [6747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1098),
  [6749] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 1),
  [6751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1945),
  [6753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4351),
  [6755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4458),
  [6757] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_row_format, 3),
  [6759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7710),
  [6761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7711),
  [6763] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_row_format, 3),
  [6765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1114),
  [6767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4344),
  [6769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4412),
  [6771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1131),
  [6773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3913),
  [6775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2040),
  [6777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2560),
  [6779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2562),
  [6781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5713),
  [6783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1282),
  [6785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1278),
  [6787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1272),
  [6789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4327),
  [6791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4374),
  [6793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4317),
  [6795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4370),
  [6797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4352),
  [6799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4406),
  [6801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [6803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3912),
  [6805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2563),
  [6807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1938),
  [6809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [6811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2029),
  [6813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [6815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3901),
  [6817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1621),
  [6819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [6821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1636),
  [6823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4320),
  [6825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7623),
  [6827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3087),
  [6829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2017),
  [6831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3090),
  [6833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2043),
  [6835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2156),
  [6837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3692),
  [6839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1649),
  [6841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3091),
  [6843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3690),
  [6845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4450),
  [6847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4457),
  [6849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4419),
  [6851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4473),
  [6853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4383),
  [6855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4435),
  [6857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7625),
  [6859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6751),
  [6861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6768),
  [6863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6767),
  [6865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4469),
  [6867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6766),
  [6869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4368),
  [6871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6765),
  [6873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6764),
  [6875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4389),
  [6877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7622),
  [6879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7245),
  [6881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7246),
  [6883] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2), SHIFT_REPEAT(5853),
  [6886] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2), SHIFT_REPEAT(5831),
  [6889] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2), SHIFT_REPEAT(7570),
  [6892] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2), SHIFT_REPEAT(5039),
  [6895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6762),
  [6897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4476),
  [6899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4437),
  [6901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5360),
  [6903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2065),
  [6905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6761),
  [6907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4492),
  [6909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4470),
  [6911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4356),
  [6913] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2), SHIFT_REPEAT(5956),
  [6916] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2), SHIFT_REPEAT(5908),
  [6919] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2), SHIFT_REPEAT(6722),
  [6922] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2), SHIFT_REPEAT(5025),
  [6925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4394),
  [6927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6354),
  [6929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7256),
  [6931] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_row_format, 10, .production_id = 75),
  [6933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7714),
  [6935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_row_format, 10, .production_id = 75),
  [6937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4477),
  [6939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4382),
  [6941] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_storage_location, 2, .production_id = 23),
  [6943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7542),
  [6945] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_storage_location, 2, .production_id = 23),
  [6947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4464),
  [6949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6752),
  [6951] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_table_partition, 5),
  [6953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table_partition, 5),
  [6955] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_row_format, 7, .production_id = 68),
  [6957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_row_format, 7, .production_id = 68),
  [6959] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_table_sort, 5),
  [6961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table_sort, 5),
  [6963] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_table_partition, 4),
  [6965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table_partition, 4),
  [6967] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_create_table_repeat1, 1),
  [6969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_create_table_repeat1, 1),
  [6971] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__table_settings, 1),
  [6973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__table_settings, 1),
  [6975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7259),
  [6977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6310),
  [6979] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_storage_location, 9, .production_id = 73),
  [6981] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_storage_location, 9, .production_id = 73),
  [6983] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_table_partition, 3),
  [6985] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table_partition, 3),
  [6987] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_table_sort, 6),
  [6989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table_sort, 6),
  [6991] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_storage_location, 6, .production_id = 56),
  [6993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_storage_location, 6, .production_id = 56),
  [6995] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_table_partition, 6),
  [6997] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table_partition, 6),
  [6999] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_row_format, 14, .production_id = 77),
  [7001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_row_format, 14, .production_id = 77),
  [7003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_order_target, 2),
  [7005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5905),
  [7007] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_row_format, 11, .production_id = 76),
  [7009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_row_format, 11, .production_id = 76),
  [7011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_order_target, 3),
  [7013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5946),
  [7015] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definitions, 5),
  [7017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definitions, 5),
  [7019] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_stored_as, 3),
  [7021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stored_as, 3),
  [7023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_direction, 1),
  [7025] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definitions, 4),
  [7027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definitions, 4),
  [7029] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definitions, 3),
  [7031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definitions, 3),
  [7033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5836),
  [7035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5829),
  [7037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7583),
  [7039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5057),
  [7041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1790),
  [7043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6479),
  [7045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6480),
  [7047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_order_by_repeat1, 2),
  [7049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__primary_key, 2),
  [7051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_order_target, 4),
  [7053] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_order_target, 5),
  [7055] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_table_options, 1),
  [7057] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table_options, 1),
  [7059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__not_null, 2),
  [7061] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_table_options_repeat2, 2), SHIFT_REPEAT(52),
  [7064] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_table_options_repeat2, 2),
  [7066] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_table_options_repeat2, 2), SHIFT_REPEAT(5739),
  [7069] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_table_options_repeat2, 2), SHIFT_REPEAT(7531),
  [7072] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_table_options_repeat2, 2), SHIFT_REPEAT(4576),
  [7075] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_table_options_repeat2, 2),
  [7077] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_table_options_repeat2, 2), SHIFT_REPEAT(7659),
  [7080] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_table_options_repeat2, 2), SHIFT_REPEAT(7652),
  [7083] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_table_options_repeat2, 2), SHIFT_REPEAT(7651),
  [7086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5761),
  [7088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__default_expression, 4),
  [7090] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__default_expression, 2),
  [7092] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_group_by, 4),
  [7094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__column_constraint, 1),
  [7096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_column_definition_repeat1, 1),
  [7098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2144),
  [7100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1729),
  [7102] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_table_options_repeat2, 2), SHIFT_REPEAT(5762),
  [7105] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_table_options_repeat2, 2), SHIFT_REPEAT(7485),
  [7108] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_table_options_repeat2, 2), SHIFT_REPEAT(4598),
  [7111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2155),
  [7113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_all_fields, 1),
  [7115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5699),
  [7117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5699),
  [7119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2149),
  [7121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2197),
  [7123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_all_fields, 3, .production_id = 11),
  [7125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2025),
  [7127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2205),
  [7129] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2), SHIFT_REPEAT(1987),
  [7132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2116),
  [7134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2015),
  [7136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2189),
  [7138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2028),
  [7140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2177),
  [7142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_all_fields, 5, .production_id = 27),
  [7144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2106),
  [7146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2045),
  [7148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2039),
  [7150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2121),
  [7152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2126),
  [7154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2111),
  [7156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2002),
  [7158] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_from, 7),
  [7160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5884),
  [7162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5837),
  [7164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7557),
  [7166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5030),
  [7168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2024),
  [7170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6257),
  [7172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_order_by, 3),
  [7174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1685),
  [7176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_order_by, 4),
  [7178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_select_expression_repeat1, 2),
  [7180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2236),
  [7182] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_order_by_repeat1, 2), SHIFT_REPEAT(1685),
  [7185] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_table_option, 1, .production_id = 4),
  [7187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7235),
  [7189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table_option, 1, .production_id = 4),
  [7191] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__alias, 1, .production_id = 6),
  [7193] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_table_option, 2),
  [7195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table_option, 2),
  [7197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__select_expression, 1),
  [7199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__alias, 2, .production_id = 14),
  [7201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_term, 2, .production_id = 7),
  [7203] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_table_option, 4),
  [7205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table_option, 4),
  [7207] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_table_option, 3, .production_id = 37),
  [7209] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table_option, 3, .production_id = 37),
  [7211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_group_by, 5),
  [7213] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select, 3),
  [7215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select, 2),
  [7217] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_table_repeat1, 2), SHIFT_REPEAT(6019),
  [7220] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_table_repeat1, 2), SHIFT_REPEAT(5448),
  [7223] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_from, 8),
  [7225] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2), SHIFT_REPEAT(2026),
  [7228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1268),
  [7230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [7232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_expression, 2),
  [7234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [7236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_expression, 1),
  [7238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__select_statement_repeat1, 4),
  [7240] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_from, 9),
  [7242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3866),
  [7244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3438),
  [7246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3003),
  [7248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2758),
  [7250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_limit, 2),
  [7252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4952),
  [7254] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__mysql_update_statement, 6),
  [7256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1989),
  [7258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5099),
  [7260] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_not_like, 2),
  [7262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_not_like, 2),
  [7264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3437),
  [7266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3372),
  [7268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1835),
  [7270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1438),
  [7272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(140),
  [7274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [7276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(843),
  [7278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [7280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_from, 10),
  [7282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2472),
  [7284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2408),
  [7286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3673),
  [7288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3482),
  [7290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_limit, 3),
  [7292] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_table_options_repeat2, 1),
  [7294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_table_options_repeat2, 1),
  [7296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__select_statement, 1),
  [7298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5038),
  [7300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5603),
  [7302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5916),
  [7304] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keyword_like, 1),
  [7306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_like, 1),
  [7308] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_similar_to, 2),
  [7310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_similar_to, 2),
  [7312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(777),
  [7314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [7316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_offset, 2),
  [7318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2764),
  [7320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2625),
  [7322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2687),
  [7324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2607),
  [7326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(553),
  [7328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [7330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__postgres_update_statement, 3),
  [7332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5043),
  [7334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__mysql_update_statement, 4),
  [7336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__insert_set_repeat1, 2),
  [7338] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_not_distinct_from, 4),
  [7340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_not_distinct_from, 4),
  [7342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3072),
  [7344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2894),
  [7346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__delete_from, 2),
  [7348] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__insert_set_repeat1, 2), SHIFT_REPEAT(5099),
  [7351] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_distinct_from, 3),
  [7353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_distinct_from, 3),
  [7355] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_not_similar_to, 3),
  [7357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_not_similar_to, 3),
  [7359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__mysql_update_statement, 5),
  [7361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4331),
  [7363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4301),
  [7365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__delete_from, 3),
  [7367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(380),
  [7369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [7371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__select_statement_repeat1, 3),
  [7373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1372),
  [7375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1070),
  [7377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1165),
  [7379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [7381] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__postgres_update_statement, 4),
  [7383] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_select_expression_repeat1, 2), SHIFT_REPEAT(924),
  [7386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3512),
  [7388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3394),
  [7390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__insert_values, 4),
  [7392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5960),
  [7394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5026),
  [7396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5788),
  [7398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5807),
  [7400] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_select_expression_repeat1, 2), SHIFT_REPEAT(914),
  [7403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1611),
  [7405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5034),
  [7407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__insert_values, 3),
  [7409] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__insert_values_repeat1, 2),
  [7411] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__insert_values_repeat1, 2), SHIFT_REPEAT(5960),
  [7414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__insert_values, 2),
  [7416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__select_statement_repeat1, 2),
  [7418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [7420] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_order_by_repeat1, 2), SHIFT_REPEAT(1611),
  [7423] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_change_column, 5, .production_id = 58),
  [7425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4825),
  [7427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5656),
  [7429] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_change_column, 3, .production_id = 40),
  [7431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_modify_column, 4),
  [7433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_modify_column, 3),
  [7435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_change_column, 4, .production_id = 49),
  [7437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_add_column, 3),
  [7439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4941),
  [7441] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_add_column, 4),
  [7443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__delete_from, 4),
  [7445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__select_statement, 3),
  [7447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_add_column, 2),
  [7449] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__insert_set, 2),
  [7451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__select_statement, 2),
  [7453] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__insert_set, 3),
  [7455] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__select_statement_repeat1, 2), SHIFT_REPEAT(5603),
  [7458] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__select_statement_repeat1, 2), SHIFT_REPEAT(5916),
  [7461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_modify_column, 2),
  [7463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6407),
  [7465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5534),
  [7467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5263),
  [7469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5159),
  [7471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5269),
  [7473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5151),
  [7475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5317),
  [7477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6401),
  [7479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5383),
  [7481] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__delete_from, 5),
  [7483] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update, 3),
  [7485] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ordered_columns, 3),
  [7487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__delete_from, 6),
  [7489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update, 2),
  [7491] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__select_statement_repeat1, 2), SHIFT_REPEAT(5788),
  [7494] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__select_statement_repeat1, 2), SHIFT_REPEAT(5807),
  [7497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__insert_values, 1),
  [7499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__postgres_update_statement, 5),
  [7501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ordered_columns, 4),
  [7503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 4),
  [7505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__mysql_update_statement, 7),
  [7507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7749),
  [7509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7761),
  [7511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_index, 5),
  [7513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_index, 6),
  [7515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__insert_statement, 2),
  [7517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__delete_statement, 3),
  [7519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_index, 8),
  [7521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dml_statement, 4),
  [7523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5728),
  [7525] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2), SHIFT_REPEAT(5836),
  [7528] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2), SHIFT_REPEAT(5829),
  [7531] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2), SHIFT_REPEAT(7583),
  [7534] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2), SHIFT_REPEAT(5057),
  [7537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_returning, 2),
  [7539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dml_statement, 3),
  [7541] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_index, 11),
  [7543] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_index, 12),
  [7545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__update_statement, 2),
  [7547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_index, 7),
  [7549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_index, 9),
  [7551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7658),
  [7553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7666),
  [7555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dml_statement, 1),
  [7557] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_index, 10),
  [7559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_change_column, 5, .production_id = 49),
  [7561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [7563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_index, 4, .production_id = 18),
  [7565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5484),
  [7567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4935),
  [7569] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_column, 4, .production_id = 24),
  [7571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_alter_table_repeat1, 2),
  [7573] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_change_ownership, 3),
  [7575] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_column, 4, .production_id = 48),
  [7577] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rename_object, 3),
  [7579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7556),
  [7581] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_column, 3, .production_id = 9),
  [7583] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_column, 7, .production_id = 69),
  [7585] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_change_column, 4, .production_id = 40),
  [7587] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_position, 1),
  [7589] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_schema, 3, .production_id = 39),
  [7591] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_position, 2, .production_id = 50),
  [7593] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_column, 4, .production_id = 18),
  [7595] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rename_column, 4, .production_id = 51),
  [7597] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_index, 3, .production_id = 9),
  [7599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5507),
  [7601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4936),
  [7603] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_materialized_view, 6),
  [7605] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_select_expression_repeat1, 2), SHIFT_REPEAT(893),
  [7608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__delete_statement, 2),
  [7610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [7612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_change_column, 6, .production_id = 58),
  [7614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_table, 4),
  [7616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4866),
  [7618] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__update_statement, 1),
  [7620] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_column, 6, .production_id = 63),
  [7622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__insert_statement, 1),
  [7624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_materialized_view, 7),
  [7626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table_options, 5),
  [7628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_column, 5, .production_id = 9),
  [7630] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_view, 4),
  [7632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4900),
  [7634] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_index, 5, .production_id = 25),
  [7636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5447),
  [7638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4926),
  [7640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_materialized_view, 8),
  [7642] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_view, 3),
  [7644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4914),
  [7646] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__alter_specifications, 1),
  [7648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_column, 5, .production_id = 57),
  [7650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7766),
  [7652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table_options, 4),
  [7654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rename_column, 5, .production_id = 59),
  [7656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_table, 3),
  [7658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4923),
  [7660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_add_column, 5),
  [7662] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_column, 2, .production_id = 24),
  [7664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_modify_column, 5),
  [7666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [7668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_window_clause, 4),
  [7670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5514),
  [7672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4950),
  [7674] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_materialized_view, 11),
  [7676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_table, 5),
  [7678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4747),
  [7680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_table, 5),
  [7682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_index, 8, .production_id = 25),
  [7684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table, 10),
  [7686] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_index, 6, .production_id = 9),
  [7688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5542),
  [7690] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_index, 6, .production_id = 18),
  [7692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_materialized_view, 9),
  [7694] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table, 9),
  [7696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [7698] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_index, 13),
  [7700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__drop_statement, 1),
  [7702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_view, 7),
  [7704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__alter_statement, 1),
  [7706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__create_statement, 1),
  [7708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_view, 5),
  [7710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5655),
  [7712] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_select_expression_repeat1, 2), SHIFT_REPEAT(881),
  [7715] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_materialized_view, 10),
  [7717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5536),
  [7719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4940),
  [7721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_index, 7, .production_id = 25),
  [7723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1667),
  [7725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_table, 4),
  [7727] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_view, 5),
  [7729] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_view, 5),
  [7731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dml_statement, 2),
  [7733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5541),
  [7735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4946),
  [7737] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_index, 7, .production_id = 18),
  [7739] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_view, 6),
  [7741] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dml_statement, 5),
  [7743] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__ddl_statement, 1),
  [7745] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_column_definition_repeat1, 2), SHIFT_REPEAT(1667),
  [7748] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table, 8),
  [7750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 1),
  [7752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4938),
  [7754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_view, 4),
  [7756] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_table, 6),
  [7758] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alter_table_repeat1, 2), SHIFT_REPEAT(4747),
  [7761] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_index, 5, .production_id = 9),
  [7763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5777),
  [7765] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_index, 6, .production_id = 25),
  [7767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5435),
  [7769] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2), SHIFT_REPEAT(5884),
  [7772] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2), SHIFT_REPEAT(5837),
  [7775] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2), SHIFT_REPEAT(7557),
  [7778] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2), SHIFT_REPEAT(5030),
  [7781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5745),
  [7783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4761),
  [7785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5768),
  [7787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5751),
  [7789] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alter_table_repeat1, 2), SHIFT_REPEAT(4761),
  [7792] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_index, 5, .production_id = 18),
  [7794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5446),
  [7796] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_index, 4, .production_id = 9),
  [7798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5477),
  [7800] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 2),
  [7802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5691),
  [7804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5413),
  [7806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [7808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [7810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7271),
  [7812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4991),
  [7814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5618),
  [7816] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_table_options_repeat2, 2), SHIFT_REPEAT(6067),
  [7819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5532),
  [7821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5683),
  [7823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5535),
  [7825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5742),
  [7827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(370),
  [7829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7689),
  [7831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5753),
  [7833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5755),
  [7835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6742),
  [7837] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 3),
  [7839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4990),
  [7841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5889),
  [7843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7526),
  [7845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5131),
  [7847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2248),
  [7849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5900),
  [7851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2136),
  [7853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1997),
  [7855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1726),
  [7857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5963),
  [7859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1871),
  [7861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1737),
  [7863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5817),
  [7865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1741),
  [7867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1959),
  [7869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1783),
  [7871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1995),
  [7873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2275),
  [7875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1731),
  [7877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2019),
  [7879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1785),
  [7881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2058),
  [7883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1789),
  [7885] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_compound_statement_repeat1, 1),
  [7887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1966),
  [7889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1981),
  [7891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5260),
  [7893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5265),
  [7895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7519),
  [7897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7611),
  [7899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5174),
  [7901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7603),
  [7903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7603),
  [7905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7198),
  [7907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7600),
  [7909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5220),
  [7911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5221),
  [7913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7612),
  [7915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7601),
  [7917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1872),
  [7919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5397),
  [7921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5953),
  [7923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5418),
  [7925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7376),
  [7927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_window_frame, 1),
  [7929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5999),
  [7931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1816),
  [7933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1873),
  [7935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_transaction, 2),
  [7937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5012),
  [7939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5489),
  [7941] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__commit, 3),
  [7943] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 1),
  [7945] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 4),
  [7947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5005),
  [7949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__commit, 2),
  [7951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__rollback, 2),
  [7953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_transaction, 3),
  [7955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5008),
  [7957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__begin, 2),
  [7959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__rollback, 3),
  [7961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__begin, 3),
  [7963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5709),
  [7965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7330),
  [7967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5421),
  [7969] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2), SHIFT_REPEAT(1791),
  [7972] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2), SHIFT_REPEAT(1965),
  [7975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [7977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5130),
  [7979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5852),
  [7981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6949),
  [7983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5115),
  [7985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5123),
  [7987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5106),
  [7989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5081),
  [7991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5100),
  [7993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5268),
  [7995] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_order_by_repeat1, 2), SHIFT_REPEAT(1697),
  [7998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5201),
  [8000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7056),
  [8002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4979),
  [8004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [8006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5202),
  [8008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1700),
  [8010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5219),
  [8012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5102),
  [8014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5494),
  [8016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1163),
  [8018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [8020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5108),
  [8022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5190),
  [8024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3567),
  [8026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1319),
  [8028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5199),
  [8030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5121),
  [8032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1697),
  [8034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3978),
  [8036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5114),
  [8038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5240),
  [8040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5887),
  [8042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5133),
  [8044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2573),
  [8046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3701),
  [8048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5117),
  [8050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5243),
  [8052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5753),
  [8054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5755),
  [8056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5245),
  [8058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5204),
  [8060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2991),
  [8062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5193),
  [8064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3198),
  [8066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3603),
  [8068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5196),
  [8070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(991),
  [8072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3107),
  [8074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5097),
  [8076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5189),
  [8078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1536),
  [8080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4441),
  [8082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5112),
  [8084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5264),
  [8086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1217),
  [8088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4127),
  [8090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2381),
  [8092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5252),
  [8094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [8096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1738),
  [8098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5845),
  [8100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1781),
  [8102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2204),
  [8104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [8106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1544),
  [8108] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_order_by_repeat1, 2), SHIFT_REPEAT(1544),
  [8111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1874),
  [8113] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_select_expression_repeat1, 2), SHIFT_REPEAT(810),
  [8116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4504),
  [8118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1948),
  [8120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [8122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1905),
  [8124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5070),
  [8126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2173),
  [8128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__mysql_update_statement_repeat2, 2),
  [8130] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__mysql_update_statement_repeat2, 2), SHIFT_REPEAT(5852),
  [8133] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__mysql_update_statement_repeat2, 2), SHIFT_REPEAT(6949),
  [8136] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__mysql_update_statement_repeat2, 2), SHIFT_REPEAT(5115),
  [8139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5073),
  [8141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4462),
  [8143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5029),
  [8145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1770),
  [8147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5071),
  [8149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5056),
  [8151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5696),
  [8153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5920),
  [8155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3383),
  [8157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4525),
  [8159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3230),
  [8161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1564),
  [8163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1576),
  [8165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5280),
  [8167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6911),
  [8169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3630),
  [8171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3570),
  [8173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5370),
  [8175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5207),
  [8177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1315),
  [8179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5223),
  [8181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6831),
  [8183] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_partition_by, 4),
  [8185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1214),
  [8187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3621),
  [8189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3952),
  [8191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(737),
  [8193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3956),
  [8195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2546),
  [8197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [8199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3024),
  [8201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1123),
  [8203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2659),
  [8205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4399),
  [8207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5356),
  [8209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5282),
  [8211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(992),
  [8213] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__dml_statement_repeat1, 2),
  [8215] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__dml_statement_repeat1, 2), SHIFT_REPEAT(5542),
  [8218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1094),
  [8220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3103),
  [8222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2342),
  [8224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2411),
  [8226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3173),
  [8228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1177),
  [8230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5849),
  [8232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_frame_definition, 1),
  [8234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [8236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4535),
  [8238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5878),
  [8240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5384),
  [8242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4229),
  [8244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [8246] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__insert_set_repeat1, 2), SHIFT_REPEAT(5071),
  [8249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_window_frame, 3),
  [8251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [8253] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_frame_definition, 2, .production_id = 43),
  [8255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5968),
  [8257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5877),
  [8259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3508),
  [8261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3523),
  [8263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cte, 6, .production_id = 52),
  [8265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5951),
  [8267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_frame_definition, 2),
  [8269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5334),
  [8271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [8273] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_window_frame, 5),
  [8275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cte, 5, .production_id = 41),
  [8277] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__mysql_update_statement_repeat2, 1),
  [8279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5398),
  [8281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5305),
  [8283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5367),
  [8285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1670),
  [8287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2883),
  [8289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cte, 7, .production_id = 60),
  [8291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5810),
  [8293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2933),
  [8295] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__select_statement_repeat1, 2), SHIFT_REPEAT(5696),
  [8298] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__select_statement_repeat1, 2), SHIFT_REPEAT(5920),
  [8301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3368),
  [8303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5937),
  [8305] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__current_row, 2),
  [8307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2566),
  [8309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5436),
  [8311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5023),
  [8313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1954),
  [8315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5701),
  [8317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1293),
  [8319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5062),
  [8321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3582),
  [8323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5019),
  [8325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3237),
  [8327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5028),
  [8329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1583),
  [8331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5652),
  [8333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5597),
  [8335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5052),
  [8337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5592),
  [8339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1500),
  [8341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5032),
  [8343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2273),
  [8345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5724),
  [8347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3646),
  [8349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5051),
  [8351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2166),
  [8353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5720),
  [8355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2133),
  [8357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5718),
  [8359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [8361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2219),
  [8363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5613),
  [8365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1239),
  [8367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1947),
  [8369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5726),
  [8371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5531),
  [8373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3637),
  [8375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5042),
  [8377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1935),
  [8379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5674),
  [8381] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keyword_with, 1),
  [8383] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_with, 1),
  [8385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3911),
  [8387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [8389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5036),
  [8391] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ordered_column, 1, .production_id = 4),
  [8393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1782),
  [8395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5717),
  [8397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5470),
  [8399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1985),
  [8401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5692),
  [8403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1943),
  [8405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5790),
  [8407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5059),
  [8409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1867),
  [8411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5687),
  [8413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1953),
  [8415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5787),
  [8417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1832),
  [8419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5680),
  [8421] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete, 1),
  [8423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5058),
  [8425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5426),
  [8427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5055),
  [8429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4465),
  [8431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5064),
  [8433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3018),
  [8435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5031),
  [8437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3940),
  [8439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5570),
  [8441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5487),
  [8443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5555),
  [8445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5063),
  [8447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2280),
  [8449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5049),
  [8451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1776),
  [8453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5665),
  [8455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5456),
  [8457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1179),
  [8459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5027),
  [8461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5054),
  [8463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1780),
  [8465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5615),
  [8467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5041),
  [8469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [8471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3095),
  [8473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2044),
  [8475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7579),
  [8477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7580),
  [8479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7582),
  [8481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7590),
  [8483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [8485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4521),
  [8487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7235),
  [8489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [8491] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_select_expression_repeat1, 2), SHIFT_REPEAT(812),
  [8494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2014),
  [8496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2110),
  [8498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2148),
  [8500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2035),
  [8502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4472),
  [8504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4954),
  [8506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2187),
  [8508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interval_definitions, 1),
  [8510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2196),
  [8512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6475),
  [8514] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2), SHIFT_REPEAT(2036),
  [8517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [8519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5851),
  [8521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4478),
  [8523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2023),
  [8525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4459),
  [8527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4459),
  [8529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2115),
  [8531] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_repeat2, 2), SHIFT_REPEAT(2170),
  [8534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_repeat2, 2),
  [8536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2105),
  [8538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2143),
  [8540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_interval_definitions_repeat1, 2),
  [8542] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interval_definitions_repeat1, 2), SHIFT_REPEAT(4521),
  [8545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2244),
  [8547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4496),
  [8549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5926),
  [8551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4494),
  [8553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2153),
  [8555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2209),
  [8557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5758),
  [8559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2172),
  [8561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1725),
  [8563] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_repeat1, 2), SHIFT_REPEAT(1955),
  [8566] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_repeat1, 2),
  [8568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2120),
  [8570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2125),
  [8572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2052),
  [8574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3629),
  [8576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1267),
  [8578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [8580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_table_sort_repeat1, 2),
  [8582] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_table_sort_repeat1, 2), SHIFT_REPEAT(5676),
  [8585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5934),
  [8587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2936),
  [8589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5576),
  [8591] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_invocation_repeat1, 2, .production_id = 31),
  [8593] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_invocation_repeat1, 2, .production_id = 31), SHIFT_REPEAT(1784),
  [8596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3483),
  [8598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3566),
  [8600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3900),
  [8602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2959),
  [8604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1216),
  [8606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2913),
  [8608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3569),
  [8610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1379),
  [8612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4396),
  [8614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2895),
  [8616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1218),
  [8618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [8620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3197),
  [8622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4855),
  [8624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5002),
  [8626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1577),
  [8628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1325),
  [8630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1316),
  [8632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4364),
  [8634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [8636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3693),
  [8638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5241),
  [8640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5415),
  [8642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3602),
  [8644] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_ordered_columns_repeat1, 2),
  [8646] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_ordered_columns_repeat1, 2), SHIFT_REPEAT(5443),
  [8649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4757),
  [8651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5443),
  [8653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5200),
  [8655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1535),
  [8657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5781),
  [8659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5798),
  [8661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [8663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7699),
  [8665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2057),
  [8667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7705),
  [8669] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constraints, 3),
  [8671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5045),
  [8673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1563),
  [8675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2862),
  [8677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3229),
  [8679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3751),
  [8681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3086),
  [8683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3843),
  [8685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2140),
  [8687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [8689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4443),
  [8691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5676),
  [8693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3958),
  [8695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3642),
  [8697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3623),
  [8699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [8701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3702),
  [8703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [8705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_table_options_repeat1, 2),
  [8707] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_table_options_repeat1, 2), SHIFT_REPEAT(5002),
  [8710] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_constraints_repeat1, 2),
  [8712] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_constraints_repeat1, 2), SHIFT_REPEAT(5045),
  [8715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3492),
  [8717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3706),
  [8719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5236),
  [8721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5188),
  [8723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5244),
  [8725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5649),
  [8727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5856),
  [8729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [8731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3302),
  [8733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1689),
  [8735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [8737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2990),
  [8739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2319),
  [8741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3099),
  [8743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5883),
  [8745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2489),
  [8747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5251),
  [8749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5250),
  [8751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5266),
  [8753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6001),
  [8755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__interval_definition, 2),
  [8757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4126),
  [8759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6658),
  [8761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6675),
  [8763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4942),
  [8765] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_values, 2),
  [8767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4843),
  [8769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2574),
  [8771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3023),
  [8773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3979),
  [8775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3957),
  [8777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [8779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1941),
  [8781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1305),
  [8783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [8785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1677),
  [8787] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__column_list_repeat1, 2),
  [8789] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__column_list_repeat1, 2), SHIFT_REPEAT(5576),
  [8792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [8794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3486),
  [8796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5231),
  [8798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1069),
  [8800] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_values, 3),
  [8802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5281),
  [8804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [8806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3108),
  [8808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [8810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2491),
  [8812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3104),
  [8814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4398),
  [8816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1701),
  [8818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1106),
  [8820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4392),
  [8822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2037),
  [8824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4438),
  [8826] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constraints, 2),
  [8828] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_column_definitions_repeat1, 2),
  [8830] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_column_definitions_repeat1, 2), SHIFT_REPEAT(5587),
  [8833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1351),
  [8835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4064),
  [8837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4486),
  [8839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5294),
  [8841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1162),
  [8843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1178),
  [8845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2487),
  [8847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [8849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7734),
  [8851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2201),
  [8853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7735),
  [8855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4491),
  [8857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4775),
  [8859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2345),
  [8861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5232),
  [8863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5954),
  [8865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2380),
  [8867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1593),
  [8869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [8871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7511),
  [8873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2801),
  [8875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6239),
  [8877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [8879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ordered_column, 2, .production_id = 4),
  [8881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4845),
  [8883] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constraint, 1),
  [8885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6733),
  [8887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4993),
  [8889] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constraint, 1, .production_id = 47),
  [8891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3145),
  [8893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6934),
  [8895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5982),
  [8897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5529),
  [8899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [8901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3146),
  [8903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6935),
  [8905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7732),
  [8907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4905),
  [8909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3147),
  [8911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6936),
  [8913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7568),
  [8915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5088),
  [8917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5253),
  [8919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5256),
  [8921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7072),
  [8923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [8925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7033),
  [8927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2476),
  [8929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5583),
  [8931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3114),
  [8933] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field, 1, .production_id = 2),
  [8935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__column_list_repeat1, 2, .production_id = 33),
  [8937] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__if_exists, 2),
  [8939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7278),
  [8941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1296),
  [8943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6305),
  [8945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2978),
  [8947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [8949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6975),
  [8951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [8953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6976),
  [8955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [8957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6977),
  [8959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7604),
  [8961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5080),
  [8963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5286),
  [8965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6845),
  [8967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7594),
  [8969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5113),
  [8971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5437),
  [8973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2578),
  [8975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5342),
  [8977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6425),
  [8979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5624),
  [8981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7585),
  [8983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5013),
  [8985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7581),
  [8987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5145),
  [8989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1936),
  [8991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5912),
  [8993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [8995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6895),
  [8997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [8999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6894),
  [9001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [9003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6893),
  [9005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [9007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6634),
  [9009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5392),
  [9011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2059),
  [9013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [9015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6635),
  [9017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [9019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6636),
  [9021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1605),
  [9023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6207),
  [9025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5067),
  [9027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7572),
  [9029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5044),
  [9031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3249),
  [9033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7181),
  [9035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3250),
  [9037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7180),
  [9039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4813),
  [9041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3251),
  [9043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7179),
  [9045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5528),
  [9047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1537),
  [9049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5572),
  [9051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [9053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1586),
  [9055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6439),
  [9057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2771),
  [9059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6579),
  [9061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6164),
  [9063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3531),
  [9065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1585),
  [9067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6438),
  [9069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6364),
  [9071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [9073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1584),
  [9075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6437),
  [9077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2757),
  [9079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6578),
  [9081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2744),
  [9083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6577),
  [9085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__or_replace, 2),
  [9087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__primary_key_constraint, 2),
  [9089] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__aggregate_expression, 2, .production_id = 10),
  [9091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7731),
  [9093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4877),
  [9095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5508),
  [9097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3598),
  [9099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7343),
  [9101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1398),
  [9103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5550),
  [9105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1196),
  [9107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6854),
  [9109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1197),
  [9111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6853),
  [9113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1198),
  [9115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6852),
  [9117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5594),
  [9119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1530),
  [9121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7559),
  [9123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5016),
  [9125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5416),
  [9127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1221),
  [9129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5577),
  [9131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1358),
  [9133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5471),
  [9135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7555),
  [9137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5118),
  [9139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6423),
  [9141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1049),
  [9143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5321),
  [9145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5549),
  [9147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3189),
  [9149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3638),
  [9151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7016),
  [9153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3639),
  [9155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7017),
  [9157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3640),
  [9159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7018),
  [9161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1494),
  [9163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6512),
  [9165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6851),
  [9167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1168),
  [9169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [9171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7634),
  [9173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6144),
  [9175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3131),
  [9177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4502),
  [9179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2134),
  [9181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7538),
  [9183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5053),
  [9185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7530),
  [9187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5111),
  [9189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1492),
  [9191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6514),
  [9193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5479),
  [9195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3563),
  [9197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6624),
  [9199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4992),
  [9201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2526),
  [9203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6685),
  [9205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2525),
  [9207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6686),
  [9209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2524),
  [9211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6687),
  [9213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4091),
  [9215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7140),
  [9217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4090),
  [9219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7139),
  [9221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4089),
  [9223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7138),
  [9225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__column, 1, .production_id = 4),
  [9227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3824),
  [9229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6813),
  [9231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3821),
  [9233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6812),
  [9235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__key_constraint, 3, .production_id = 24),
  [9237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3820),
  [9239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6811),
  [9241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5287),
  [9243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7527),
  [9245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [9247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7628),
  [9249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6089),
  [9251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3716),
  [9253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5567),
  [9255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3605),
  [9257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5451),
  [9259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2988),
  [9261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [9263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7627),
  [9265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7756),
  [9267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4890),
  [9269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6499),
  [9271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3484),
  [9273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5224),
  [9275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5225),
  [9277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5474),
  [9279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3982),
  [9281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1493),
  [9283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6513),
  [9285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5578),
  [9287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1730),
  [9289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4503),
  [9291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5438),
  [9293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4122),
  [9295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constraint_literal, 4, .production_id = 24),
  [9297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7218),
  [9299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3533),
  [9301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5242),
  [9303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1834),
  [9305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7460),
  [9307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5065),
  [9309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1875),
  [9311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4390),
  [9313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6772),
  [9315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4378),
  [9317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6771),
  [9319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4400),
  [9321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6770),
  [9323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3960),
  [9325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7057),
  [9327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3961),
  [9329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7058),
  [9331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3962),
  [9333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7059),
  [9335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6075),
  [9337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3662),
  [9339] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__if_not_exists, 3),
  [9341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6683),
  [9343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1925),
  [9345] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__aggregate_expression, 3, .production_id = 19),
  [9347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3017),
  [9349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6323),
  [9351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3007),
  [9353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6324),
  [9355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2986),
  [9357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6325),
  [9359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [9361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7100),
  [9363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1025),
  [9365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7099),
  [9367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [9369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7098),
  [9371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5888),
  [9373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5442),
  [9375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5540),
  [9377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4427),
  [9379] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_interval_definitions_repeat1, 1),
  [9381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6006),
  [9383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [9385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6576),
  [9387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4354),
  [9389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1778),
  [9391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5468),
  [9393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1151),
  [9395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1739),
  [9397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2359),
  [9399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6731),
  [9401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2278),
  [9403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6730),
  [9405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2347),
  [9407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6729),
  [9409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5230),
  [9411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5459),
  [9413] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__interval_definition, 3),
  [9415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5509),
  [9417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2363),
  [9419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7533),
  [9421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3974),
  [9423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1121),
  [9425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [9427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3360),
  [9429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5001),
  [9431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5132),
  [9433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1150),
  [9435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4004),
  [9437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4012),
  [9439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1154),
  [9441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3456),
  [9443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4114),
  [9445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3975),
  [9447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4026),
  [9449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7265),
  [9451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3990),
  [9453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5970),
  [9455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5876),
  [9457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1116),
  [9459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1117),
  [9461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3991),
  [9463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1182),
  [9465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1181),
  [9467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3434),
  [9469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3441),
  [9471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3775),
  [9473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3973),
  [9475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3972),
  [9477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3970),
  [9479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [9481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [9483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [9485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [9487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [9489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [9491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [9493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [9495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [9497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3922),
  [9499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3969),
  [9501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1158),
  [9503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [9505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1034),
  [9507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [9509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1036),
  [9511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [9513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3968),
  [9515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3516),
  [9517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [9519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1047),
  [9521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [9523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [9525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3515),
  [9527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1055),
  [9529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1056),
  [9531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [9533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3514),
  [9535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1059),
  [9537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3510),
  [9539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3509),
  [9541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5177),
  [9543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4067),
  [9545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4068),
  [9547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3965),
  [9549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3964),
  [9551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3942),
  [9553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4074),
  [9555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3552),
  [9557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3524),
  [9559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3943),
  [9561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5981),
  [9563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4121),
  [9565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3835),
  [9567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4123),
  [9569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3981),
  [9571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1085),
  [9573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3983),
  [9575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2767),
  [9577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3568),
  [9579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4021),
  [9581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5748),
  [9583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4037),
  [9585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4038),
  [9587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3803),
  [9589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3929),
  [9591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3919),
  [9593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3393),
  [9595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3798),
  [9597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3796),
  [9599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3396),
  [9601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3397),
  [9603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3778),
  [9605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4094),
  [9607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4095),
  [9609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3426),
  [9611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3425),
  [9613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3424),
  [9615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3423),
  [9617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3421),
  [9619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4096),
  [9621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4097),
  [9623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [9625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3757),
  [9627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4000),
  [9629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4098),
  [9631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4099),
  [9633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4101),
  [9635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4102),
  [9637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4104),
  [9639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3755),
  [9641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3754),
  [9643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4111),
  [9645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4112),
  [9647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3499),
  [9649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3504),
  [9651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3752),
  [9653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4120),
  [9655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4054),
  [9657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3530),
  [9659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3750),
  [9661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4046),
  [9663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3661),
  [9665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3711),
  [9667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3839),
  [9669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3309),
  [9671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3286),
  [9673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3379),
  [9675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3378),
  [9677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3377),
  [9679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3376),
  [9681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3287),
  [9683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3119),
  [9685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [9687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3375),
  [9689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3663),
  [9691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3188),
  [9693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3655),
  [9695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3194),
  [9697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3644),
  [9699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3954),
  [9701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3643),
  [9703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3078),
  [9705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3599),
  [9707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3597),
  [9709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5725),
  [9711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [9713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3451),
  [9715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3234),
  [9717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3235),
  [9719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3550),
  [9721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3540),
  [9723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3539),
  [9725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7268),
  [9727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [9729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [9731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3247),
  [9733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3246),
  [9735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2953),
  [9737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2960),
  [9739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2888),
  [9741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2973),
  [9743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3009),
  [9745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3245),
  [9747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3244),
  [9749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [9751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [9753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3240),
  [9755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3243),
  [9757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3242),
  [9759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3241),
  [9761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3238),
  [9763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3233),
  [9765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [9767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [9769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3220),
  [9771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3219),
  [9773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3011),
  [9775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3012),
  [9777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [9779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3208),
  [9781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3207),
  [9783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3013),
  [9785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [9787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3204),
  [9789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [9791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(562),
  [9793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [9795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3436),
  [9797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5098),
  [9799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3317),
  [9801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [9803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [9805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [9807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2923),
  [9809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [9811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(442),
  [9813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [9815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [9817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [9819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [9821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1456),
  [9823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7642),
  [9825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7764),
  [9827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7450),
  [9829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7510),
  [9831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7509),
  [9833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [9835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(443),
  [9837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(444),
  [9839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [9841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1800),
  [9843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5246),
  [9845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [9847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [9849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5707),
  [9851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3121),
  [9853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [9855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [9857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2917),
  [9859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1982),
  [9861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [9863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [9865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7462),
  [9867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5095),
  [9869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6000),
  [9871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [9873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5715),
  [9875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5384),
  [9877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5722),
  [9879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5723),
  [9881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3167),
  [9883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2847),
  [9885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3186),
  [9887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3185),
  [9889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2819),
  [9891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2818),
  [9893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1450),
  [9895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1980),
  [9897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3178),
  [9899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3177),
  [9901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3161),
  [9903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3160),
  [9905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3159),
  [9907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5376),
  [9909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5974),
  [9911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5975),
  [9913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5976),
  [9915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7439),
  [9917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7438),
  [9919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7437),
  [9921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7436),
  [9923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7427),
  [9925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7426),
  [9927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7425),
  [9929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7424),
  [9931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7415),
  [9933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3158),
  [9935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3157),
  [9937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3093),
  [9939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3156),
  [9941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3155),
  [9943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2798),
  [9945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2796),
  [9947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2794),
  [9949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2793),
  [9951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5764),
  [9953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5766),
  [9955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2792),
  [9957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3152),
  [9959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3151),
  [9961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3097),
  [9963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3098),
  [9965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1321),
  [9967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7412),
  [9969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7403),
  [9971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7402),
  [9973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7401),
  [9975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7400),
  [9977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3110),
  [9979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3115),
  [9981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3370),
  [9983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [9985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4248),
  [9987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3126),
  [9989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3127),
  [9991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5440),
  [9993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5736),
  [9995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [9997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [9999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5772),
  [10001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [10003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [10005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [10007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [10009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [10011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [10013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [10015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [10017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7352),
  [10019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7379),
  [10021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7378),
  [10023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7377),
  [10025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [10027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [10029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [10031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [10033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [10035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [10037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [10039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1937),
  [10041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [10043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7367),
  [10045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7366),
  [10047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7365),
  [10049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [10051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5559),
  [10053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5457),
  [10055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [10057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [10059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [10061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [10063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1934),
  [10065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7362),
  [10067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [10069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1910),
  [10071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7353),
  [10073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2182),
  [10075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5476),
  [10077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5454),
  [10079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5495),
  [10081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [10083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3878),
  [10085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [10087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(713),
  [10089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1346),
  [10091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1071),
  [10093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [10095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [10097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [10099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1367),
  [10101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [10103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1324),
  [10105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1237),
  [10107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [10109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [10111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1291),
  [10113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1290),
  [10115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1277),
  [10117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1263),
  [10119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1262),
  [10121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1261),
  [10123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1260),
  [10125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1284),
  [10127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1257),
  [10129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1256),
  [10131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [10133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [10135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [10137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [10139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [10141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1238),
  [10143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1326),
  [10145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1712),
  [10147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7344),
  [10149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7341),
  [10151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7340),
  [10153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1308),
  [10155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4659),
  [10157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1309),
  [10159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5293),
  [10161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5629),
  [10163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4451),
  [10165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [10167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1721),
  [10169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2072),
  [10171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1380),
  [10173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5759),
  [10175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1658),
  [10177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5361),
  [10179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5867),
  [10181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5864),
  [10183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5860),
  [10185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7324),
  [10187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7320),
  [10189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7319),
  [10191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7317),
  [10193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7316),
  [10195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7312),
  [10197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7311),
  [10199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7309),
  [10201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7308),
  [10203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3518),
  [10205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1348),
  [10207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7196),
  [10209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7306),
  [10211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7305),
  [10213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7304),
  [10215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7303),
  [10217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7302),
  [10219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [10221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1335),
  [10223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3887),
  [10225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3371),
  [10227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3879),
  [10229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3874),
  [10231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7301),
  [10233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7300),
  [10235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7296),
  [10237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7295),
  [10239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3385),
  [10241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3322),
  [10243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3787),
  [10245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2154),
  [10247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3766),
  [10249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7293),
  [10251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7292),
  [10253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7288),
  [10255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3870),
  [10257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3868),
  [10259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2132),
  [10261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3762),
  [10263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7287),
  [10265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2131),
  [10267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2130),
  [10269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3836),
  [10271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3871),
  [10273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3747),
  [10275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3851),
  [10277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3850),
  [10279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3326),
  [10281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3388),
  [10283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3323),
  [10285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3324),
  [10287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3366),
  [10289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3875),
  [10291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3842),
  [10293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3624),
  [10295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1669),
  [10297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7279),
  [10299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7277),
  [10301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7276),
  [10303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3607),
  [10305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4660),
  [10307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5267),
  [10309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2317),
  [10311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1652),
  [10313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1994),
  [10315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5205),
  [10317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3708),
  [10319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3718),
  [10321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5320),
  [10323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5898),
  [10325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5944),
  [10327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5909),
  [10329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7261),
  [10331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7260),
  [10333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7258),
  [10335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7223),
  [10337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7255),
  [10339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7253),
  [10341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7252),
  [10343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7251),
  [10345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7249),
  [10347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4319),
  [10349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3849),
  [10351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7241),
  [10353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7240),
  [10355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7238),
  [10357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7237),
  [10359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7236),
  [10361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3748),
  [10363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3678),
  [10365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4460),
  [10367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4223),
  [10369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4447),
  [10371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4475),
  [10373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7234),
  [10375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7233),
  [10377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7231),
  [10379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7230),
  [10381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4272),
  [10383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4275),
  [10385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4381),
  [10387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1856),
  [10389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4380),
  [10391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7229),
  [10393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7228),
  [10395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7227),
  [10397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4403),
  [10399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4375),
  [10401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2018),
  [10403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4367),
  [10405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7225),
  [10407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1830),
  [10409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1829),
  [10411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4448),
  [10413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4366),
  [10415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4428),
  [10417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4439),
  [10419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4434),
  [10421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4285),
  [10423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4164),
  [10425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1503),
  [10427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7220),
  [10429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7217),
  [10431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7216),
  [10433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4286),
  [10435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4211),
  [10437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5259),
  [10439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4288),
  [10441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4433),
  [10443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1746),
  [10445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4386),
  [10447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5308),
  [10449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5869),
  [10451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5868),
  [10453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5861),
  [10455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7206),
  [10457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7205),
  [10459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7204),
  [10461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7203),
  [10463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7202),
  [10465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7201),
  [10467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7200),
  [10469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7199),
  [10471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7197),
  [10473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4467),
  [10475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4468),
  [10477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2321),
  [10479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1254),
  [10481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7187),
  [10483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7183),
  [10485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7178),
  [10487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7172),
  [10489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7158),
  [10491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4429),
  [10493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4426),
  [10495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [10497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1928),
  [10499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7156),
  [10501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7155),
  [10503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7153),
  [10505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7152),
  [10507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4480),
  [10509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4446),
  [10511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4416),
  [10513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1779),
  [10515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1744),
  [10517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7035),
  [10519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7117),
  [10521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7116),
  [10523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2369),
  [10525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1616),
  [10527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1771),
  [10529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2373),
  [10531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7112),
  [10533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1815),
  [10535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1769),
  [10537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1699),
  [10539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7034),
  [10541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7031),
  [10543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7024),
  [10545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2374),
  [10547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1578),
  [10549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5227),
  [10551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1570),
  [10553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2385),
  [10555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2353),
  [10557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2332),
  [10559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2326),
  [10561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5350),
  [10563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5843),
  [10565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5847),
  [10567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5848),
  [10569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6989),
  [10571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6983),
  [10573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6974),
  [10575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6968),
  [10577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6954),
  [10579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6953),
  [10581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6952),
  [10583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6951),
  [10585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6948),
  [10587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2518),
  [10589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2306),
  [10591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2292),
  [10593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4987),
  [10595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6933),
  [10597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6927),
  [10599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6913),
  [10601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6912),
  [10603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6910),
  [10605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2288),
  [10607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2291),
  [10609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2279),
  [10611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1533),
  [10613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6908),
  [10615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6907),
  [10617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6901),
  [10619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6892),
  [10621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1528),
  [10623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1525),
  [10625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1732),
  [10627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6787),
  [10629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6872),
  [10631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6871),
  [10633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1522),
  [10635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1521),
  [10637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6870),
  [10639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1461),
  [10641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6856),
  [10643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6830),
  [10645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6829),
  [10647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2352),
  [10649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2367),
  [10651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5273),
  [10653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2284),
  [10655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2286),
  [10657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4955),
  [10659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5336),
  [10661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5913),
  [10663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5914),
  [10665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5915),
  [10667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6746),
  [10669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6785),
  [10671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6784),
  [10673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6778),
  [10675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6774),
  [10677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6769),
  [10679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6763),
  [10681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6749),
  [10683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6748),
  [10685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2509),
  [10687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2365),
  [10689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2361),
  [10691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7351),
  [10693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6621),
  [10695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6744),
  [10697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6743),
  [10699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6737),
  [10701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6728),
  [10703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2406),
  [10705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1153),
  [10707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2350),
  [10709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6707),
  [10711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6706),
  [10713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6705),
  [10715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6703),
  [10717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2283),
  [10719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2289),
  [10721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2496),
  [10723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6702),
  [10725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6696),
  [10727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6695),
  [10729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2404),
  [10731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2499),
  [10733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6691),
  [10735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1487),
  [10737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6684),
  [10739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6682),
  [10741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6681),
  [10743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2500),
  [10745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2401),
  [10747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5208),
  [10749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2400),
  [10751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2506),
  [10753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2507),
  [10755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5971),
  [10757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5409),
  [10759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5998),
  [10761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5997),
  [10763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5996),
  [10765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6652),
  [10767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6651),
  [10769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6645),
  [10771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6644),
  [10773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6639),
  [10775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6638),
  [10777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6633),
  [10779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6632),
  [10781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6631),
  [10783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6623),
  [10785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6622),
  [10787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6565),
  [10789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6607),
  [10791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6606),
  [10793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2514),
  [10795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6605),
  [10797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6604),
  [10799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6603),
  [10801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6601),
  [10803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4998),
  [10805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6600),
  [10807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6592),
  [10809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6590),
  [10811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2515),
  [10813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6589),
  [10815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1506),
  [10817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6581),
  [10819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6575),
  [10821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6574),
  [10823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2516),
  [10825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2517),
  [10827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5210),
  [10829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2522),
  [10831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1246),
  [10833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2519),
  [10835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2520),
  [10837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5374),
  [10839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5961),
  [10841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5959),
  [10843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5958),
  [10845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6548),
  [10847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6546),
  [10849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6545),
  [10851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6543),
  [10853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6542),
  [10855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6537),
  [10857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6536),
  [10859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6535),
  [10861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6534),
  [10863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2426),
  [10865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6532),
  [10867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6531),
  [10869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6527),
  [10871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6525),
  [10873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6524),
  [10875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2410),
  [10877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6520),
  [10879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6518),
  [10881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6517),
  [10883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6516),
  [10885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2393),
  [10887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6511),
  [10889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6510),
  [10891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6509),
  [10893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2394),
  [10895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6508),
  [10897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1511),
  [10899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6500),
  [10901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6498),
  [10903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6403),
  [10905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2395),
  [10907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2521),
  [10909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5247),
  [10911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [10913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1208),
  [10915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1209),
  [10917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5344),
  [10919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5927),
  [10921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5924),
  [10923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5923),
  [10925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6467),
  [10927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6466),
  [10929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6465),
  [10931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6464),
  [10933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6463),
  [10935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6462),
  [10937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6461),
  [10939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6460),
  [10941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6459),
  [10943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1680),
  [10945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6457),
  [10947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6456),
  [10949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6452),
  [10951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6450),
  [10953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6449),
  [10955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6445),
  [10957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6443),
  [10959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6442),
  [10961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6441),
  [10963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1773),
  [10965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6436),
  [10967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6435),
  [10969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6434),
  [10971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5288),
  [10973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6433),
  [10975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1534),
  [10977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6424),
  [10979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6422),
  [10981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6408),
  [10983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3694),
  [10985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1220),
  [10987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5274),
  [10989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1222),
  [10991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3174),
  [10993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2473),
  [10995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5823),
  [10997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5306),
  [10999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5881),
  [11001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5880),
  [11003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5879),
  [11005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6390),
  [11007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6389),
  [11009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6388),
  [11011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6387),
  [11013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6386),
  [11015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6385),
  [11017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6384),
  [11019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6383),
  [11021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6382),
  [11023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5213),
  [11025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6380),
  [11027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6379),
  [11029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6378),
  [11031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6377),
  [11033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6376),
  [11035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6375),
  [11037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6374),
  [11039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6373),
  [11041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6372),
  [11043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1234),
  [11045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6371),
  [11047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6370),
  [11049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6369),
  [11051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5146),
  [11053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6368),
  [11055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1540),
  [11057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6365),
  [11059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6363),
  [11061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6306),
  [11063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5370),
  [11065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1244),
  [11067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5258),
  [11069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1247),
  [11071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [11073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [11075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [11077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5341),
  [11079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5842),
  [11081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5840),
  [11083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5839),
  [11085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6346),
  [11087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6345),
  [11089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6344),
  [11091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6343),
  [11093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6340),
  [11095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6336),
  [11097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6334),
  [11099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6333),
  [11101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6332),
  [11103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1681),
  [11105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6329),
  [11107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6328),
  [11109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6327),
  [11111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6322),
  [11113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6321),
  [11115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [11117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6320),
  [11119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6319),
  [11121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6318),
  [11123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6317),
  [11125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5660),
  [11127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6316),
  [11129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6315),
  [11131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6313),
  [11133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [11135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6312),
  [11137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1543),
  [11139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6234),
  [11141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6304),
  [11143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6303),
  [11145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [11147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [11149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5212),
  [11151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [11153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6021),
  [11155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [11157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [11159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5406),
  [11161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5803),
  [11163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5808),
  [11165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5811),
  [11167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6290),
  [11169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6289),
  [11171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6288),
  [11173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6285),
  [11175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6284),
  [11177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6283),
  [11179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6281),
  [11181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6280),
  [11183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6279),
  [11185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [11187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6277),
  [11189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6276),
  [11191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6262),
  [11193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6261),
  [11195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6260),
  [11197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [11199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6259),
  [11201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6258),
  [11203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6255),
  [11205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6254),
  [11207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2564),
  [11209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6253),
  [11211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6252),
  [11213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6251),
  [11215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5393),
  [11217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6250),
  [11219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1548),
  [11221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6240),
  [11223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6237),
  [11225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6236),
  [11227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [11229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5233),
  [11231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [11233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [11235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [11237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [11239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5333),
  [11241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5826),
  [11243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5827),
  [11245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5828),
  [11247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6225),
  [11249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6224),
  [11251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6223),
  [11253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6218),
  [11255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6217),
  [11257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6216),
  [11259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6215),
  [11261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6214),
  [11263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6213),
  [11265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [11267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6210),
  [11269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6209),
  [11271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6205),
  [11273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6204),
  [11275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6203),
  [11277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [11279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6201),
  [11281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6197),
  [11283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6192),
  [11285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6191),
  [11287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2453),
  [11289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6184),
  [11291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6114),
  [11293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6173),
  [11295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [11297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6172),
  [11299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1555),
  [11301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6167),
  [11303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6163),
  [11305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6161),
  [11307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [11309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5292),
  [11311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2568),
  [11313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2569),
  [11315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5197),
  [11317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5325),
  [11319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5895),
  [11321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5896),
  [11323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5897),
  [11325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6150),
  [11327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6148),
  [11329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6147),
  [11331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6142),
  [11333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6141),
  [11335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6140),
  [11337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6139),
  [11339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6136),
  [11341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6135),
  [11343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5184),
  [11345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6132),
  [11347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6128),
  [11349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6123),
  [11351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6122),
  [11353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6115),
  [11355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2577),
  [11357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6032),
  [11359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6104),
  [11361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6103),
  [11363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6102),
  [11365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2579),
  [11367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6101),
  [11369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6099),
  [11371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6098),
  [11373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1125),
  [11375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6095),
  [11377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1591),
  [11379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6090),
  [11381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6088),
  [11383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6087),
  [11385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4640),
  [11387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3500),
  [11389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5237),
  [11391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2583),
  [11393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2827),
  [11395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2587),
  [11397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5372),
  [11399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5964),
  [11401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5965),
  [11403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5966),
  [11405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6071),
  [11407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6070),
  [11409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6066),
  [11411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6065),
  [11413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6063),
  [11415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6059),
  [11417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6054),
  [11419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6053),
  [11421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6046),
  [11423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2588),
  [11425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6035),
  [11427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6034),
  [11429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6033),
  [11431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6004),
  [11433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6017),
  [11435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1942),
  [11437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6020),
  [11439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6026),
  [11441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6029),
  [11443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6030),
  [11445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4652),
  [11447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6012),
  [11449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6013),
  [11451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6015),
  [11453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [11455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6018),
  [11457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1476),
  [11459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6005),
  [11461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6007),
  [11463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6008),
  [11465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [11467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5194),
  [11469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5938),
  [11471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [11473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5931),
  [11475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5902),
  [11477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5319),
  [11479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5980),
  [11481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5979),
  [11483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5978),
  [11485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6036),
  [11487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6037),
  [11489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6038),
  [11491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6039),
  [11493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6040),
  [11495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6041),
  [11497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6042),
  [11499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6043),
  [11501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6044),
  [11503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7521),
  [11505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6048),
  [11507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6049),
  [11509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6050),
  [11511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6051),
  [11513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6052),
  [11515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7528),
  [11517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6055),
  [11519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6056),
  [11521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6057),
  [11523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6058),
  [11525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7529),
  [11527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6060),
  [11529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6061),
  [11531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6062),
  [11533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5203),
  [11535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6064),
  [11537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1613),
  [11539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6074),
  [11541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6076),
  [11543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6077),
  [11545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2840),
  [11547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5235),
  [11549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7534),
  [11551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7537),
  [11553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2595),
  [11555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2828),
  [11557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5351),
  [11559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5919),
  [11561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5918),
  [11563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5917),
  [11565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6105),
  [11567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6106),
  [11569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6107),
  [11571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6108),
  [11573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6109),
  [11575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6110),
  [11577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6111),
  [11579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6112),
  [11581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6113),
  [11583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3542),
  [11585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6117),
  [11587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6118),
  [11589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6119),
  [11591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6120),
  [11593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6121),
  [11595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7549),
  [11597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6124),
  [11599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6125),
  [11601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6126),
  [11603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6127),
  [11605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7550),
  [11607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6129),
  [11609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6130),
  [11611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6131),
  [11613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7552),
  [11615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6133),
  [11617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1624),
  [11619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6143),
  [11621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6145),
  [11623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6146),
  [11625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2596),
  [11627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2572),
  [11629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5283),
  [11631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2820),
  [11633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2816),
  [11635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7517),
  [11637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2804),
  [11639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5313),
  [11641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5857),
  [11643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5855),
  [11645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5854),
  [11647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6174),
  [11649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6175),
  [11651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6176),
  [11653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6177),
  [11655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6178),
  [11657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6179),
  [11659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6180),
  [11661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6181),
  [11663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6182),
  [11665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2791),
  [11667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6186),
  [11669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6187),
  [11671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6188),
  [11673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6189),
  [11675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6190),
  [11677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2790),
  [11679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6193),
  [11681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6194),
  [11683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6195),
  [11685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6196),
  [11687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2789),
  [11689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6198),
  [11691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6199),
  [11693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6200),
  [11695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2788),
  [11697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6202),
  [11699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6206),
  [11701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6212),
  [11703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5497),
  [11705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3650),
  [11707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [11709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [11711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5478),
  [11713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5607),
  [11715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2785),
  [11717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5229),
  [11719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2784),
  [11721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2599),
  [11723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2600),
  [11725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2601),
  [11727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2602),
  [11729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2603),
  [11731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2783),
  [11733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2782),
  [11735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3574),
  [11737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3573),
  [11739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3720),
  [11741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5216),
  [11743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [11745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3564),
  [11747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3560),
  [11749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [11751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1391),
  [11753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5804),
  [11755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3841),
  [11757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5172),
  [11759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3541),
  [11761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1078),
  [11763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1425),
  [11765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1087),
  [11767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1431),
  [11769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1432),
  [11771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1086),
  [11773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1084),
  [11775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5719),
  [11777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1443),
  [11779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1444),
  [11781] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_character, 1),
  [11783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1462),
  [11785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1464),
  [11787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1465),
  [11789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6326),
  [11791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1466),
  [11793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1467),
  [11795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6337),
  [11797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6338),
  [11799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6339),
  [11801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6341),
  [11803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6342),
  [11805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1469),
  [11807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5626),
  [11809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1471),
  [11811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6349),
  [11813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1472),
  [11815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1081),
  [11817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1080),
  [11819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6352),
  [11821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1079),
  [11823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6355),
  [11825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5647),
  [11827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1077),
  [11829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6356),
  [11831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1489),
  [11833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1490),
  [11835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1507),
  [11837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1509),
  [11839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4806),
  [11841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5198),
  [11843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5631),
  [11845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1703),
  [11847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1711),
  [11849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5581),
  [11851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [11853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [11855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5568),
  [11857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1724),
  [11859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [11861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [11863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1691),
  [11865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5185),
  [11867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1674),
  [11869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1673),
  [11871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5635),
  [11873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5299),
  [11875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5255),
  [11877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6440),
  [11879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1650),
  [11881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [11883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6446),
  [11885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6447),
  [11887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6448),
  [11889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1638),
  [11891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1637),
  [11893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6453),
  [11895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1033),
  [11897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1038),
  [11899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [11901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [11903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5533),
  [11905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1623),
  [11907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1622),
  [11909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1604),
  [11911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1603),
  [11913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1602),
  [11915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1601),
  [11917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1600),
  [11919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1599),
  [11921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1596),
  [11923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1595),
  [11925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6515),
  [11927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [11929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1065),
  [11931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6521),
  [11933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6522),
  [11935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6523),
  [11937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1066),
  [11939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [11941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6528),
  [11943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1068),
  [11945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1589),
  [11947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [11949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [11951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5485),
  [11953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1588),
  [11955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1581),
  [11957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1580),
  [11959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5704),
  [11961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5166),
  [11963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5238),
  [11965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2915),
  [11967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1531),
  [11969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6580),
  [11971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1529),
  [11973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5671),
  [11975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6586),
  [11977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6587),
  [11979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6588),
  [11981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2666),
  [11983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [11985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6593),
  [11987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [11989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [11991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [11993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5441),
  [11995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5171),
  [11997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1460),
  [11999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1459),
  [12001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4947),
  [12003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2905),
  [12005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4481),
  [12007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6637),
  [12009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6641),
  [12011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6642),
  [12013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6643),
  [12015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6646),
  [12017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [12019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [12021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5422),
  [12023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2902),
  [12025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2185),
  [12027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2184),
  [12029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2654),
  [12031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2963),
  [12033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2890),
  [12035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6688),
  [12037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6692),
  [12039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6693),
  [12041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6694),
  [12043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6697),
  [12045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [12047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [12049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5503),
  [12051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5296),
  [12053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2648),
  [12055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2647),
  [12057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2904),
  [12059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6732),
  [12061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6734),
  [12063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6735),
  [12065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6736),
  [12067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6738),
  [12069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [12071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [12073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5523),
  [12075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3036),
  [12077] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_window_frame, 2),
  [12079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4461),
  [12081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6773),
  [12083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6775),
  [12085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6776),
  [12087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6777),
  [12089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6779),
  [12091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [12093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [12095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5561),
  [12097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2930),
  [12099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2939),
  [12101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2941),
  [12103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2942),
  [12105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6814),
  [12107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6816),
  [12109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6817),
  [12111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6818),
  [12113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6820),
  [12115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(902),
  [12117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [12119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5573),
  [12121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2943),
  [12123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2944),
  [12125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2947),
  [12127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6855),
  [12129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6857),
  [12131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6858),
  [12133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6859),
  [12135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6861),
  [12137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [12139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [12141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5596),
  [12143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2952),
  [12145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2636),
  [12147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2634),
  [12149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2633),
  [12151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6896),
  [12153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6898),
  [12155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6899),
  [12157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6900),
  [12159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6902),
  [12161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [12163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [12165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5579),
  [12167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2632),
  [12169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2631),
  [12171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2977),
  [12173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2980),
  [12175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6937),
  [12177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6939),
  [12179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6940),
  [12181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6941),
  [12183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6943),
  [12185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [12187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [12189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5543),
  [12191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3037),
  [12193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [12195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7592),
  [12197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6978),
  [12199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6980),
  [12201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6981),
  [12203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6982),
  [12205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6984),
  [12207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [12209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [12211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5519),
  [12213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5033),
  [12215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7610),
  [12217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4332),
  [12219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5775),
  [12221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7019),
  [12223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7021),
  [12225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7022),
  [12227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7023),
  [12229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7025),
  [12231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [12233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [12235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5486),
  [12237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7618),
  [12239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7619),
  [12241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5386),
  [12243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7060),
  [12245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7062),
  [12247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7063),
  [12249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7064),
  [12251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7066),
  [12253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [12255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [12257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5466),
  [12259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7620),
  [12261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5186),
  [12263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7626),
  [12265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5195),
  [12267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7101),
  [12269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7103),
  [12271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7104),
  [12273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7105),
  [12275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7107),
  [12277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [12279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [12281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5452),
  [12283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [12285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2989),
  [12287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2987),
  [12289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3066),
  [12291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7141),
  [12293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7143),
  [12295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7144),
  [12297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7145),
  [12299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7147),
  [12301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [12303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [12305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5420),
  [12307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7602),
  [12309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [12311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [12313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7182),
  [12315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7184),
  [12317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7185),
  [12319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7186),
  [12321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7188),
  [12323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [12325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7577),
  [12327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5272),
  [12329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5206),
  [12331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7644),
  [12333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5175),
  [12335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5178),
  [12337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2949),
  [12339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2948),
  [12341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5214),
  [12343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [12345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [12347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5082),
  [12349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5176),
  [12351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7232),
  [12353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [12355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [12357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7239),
  [12359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [12361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5050),
  [12363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7242),
  [12365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7243),
  [12367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7244),
  [12369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5431),
  [12371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7250),
  [12373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5412),
  [12375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5595),
  [12377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5545),
  [12379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5548),
  [12381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5552),
  [12383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [12385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [12387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5703),
  [12389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [12391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5239),
  [12393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5103),
  [12395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5465),
  [12397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7286),
  [12399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5022),
  [12401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7289),
  [12403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7290),
  [12405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7291),
  [12407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7294),
  [12409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5382),
  [12411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5774),
  [12413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4999),
  [12415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5093),
  [12417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5784),
  [12419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7310),
  [12421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5046),
  [12423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7313),
  [12425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7314),
  [12427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7315),
  [12429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7318),
  [12431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7726),
  [12433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5322),
  [12435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__exclude_group, 2),
  [12437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7709),
  [12439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5137),
  [12441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7712),
  [12443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7334),
  [12445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5061),
  [12447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7337),
  [12449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7338),
  [12451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7339),
  [12453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7342),
  [12455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__exclude_ties, 2),
  [12457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [12459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7717),
  [12461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7719),
  [12463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5090),
  [12465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7354),
  [12467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7355),
  [12469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7356),
  [12471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7357),
  [12473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7358),
  [12475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5155),
  [12477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5291),
  [12479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7720),
  [12481] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__temporary, 1),
  [12483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5069),
  [12485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7368),
  [12487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7369),
  [12489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7370),
  [12491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7371),
  [12493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7372),
  [12495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [12497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5870),
  [12499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5276),
  [12501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7380),
  [12503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7381),
  [12505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7382),
  [12507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7383),
  [12509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7384),
  [12511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [12513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [12515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [12517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7392),
  [12519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7393),
  [12521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7394),
  [12523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7395),
  [12525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7396),
  [12527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [12529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7722),
  [12531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7723),
  [12533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7404),
  [12535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7405),
  [12537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7406),
  [12539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7407),
  [12541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7408),
  [12543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7725),
  [12545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete, 2),
  [12547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5834),
  [12549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7416),
  [12551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7417),
  [12553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7418),
  [12555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7419),
  [12557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7420),
  [12559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7771),
  [12561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4507),
  [12563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7728),
  [12565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7428),
  [12567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7429),
  [12569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7430),
  [12571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7431),
  [12573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7432),
  [12575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3606),
  [12577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7065),
  [12579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7071),
  [12581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7440),
  [12583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7441),
  [12585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7442),
  [12587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7443),
  [12589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7444),
  [12591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7729),
  [12593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7075),
  [12595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2188),
  [12597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7452),
  [12599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7453),
  [12601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7454),
  [12603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7455),
  [12605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7456),
  [12607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7691),
  [12609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [12611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1693),
  [12613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7464),
  [12615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7465),
  [12617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7466),
  [12619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7467),
  [12621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7468),
  [12623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5463),
  [12625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [12627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [12629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7476),
  [12631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7477),
  [12633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7478),
  [12635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7479),
  [12637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7480),
  [12639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2195),
  [12641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7770),
  [12643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7488),
  [12645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7489),
  [12647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7490),
  [12649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7491),
  [12651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7492),
  [12653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4493),
  [12655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4498),
  [12657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5554),
  [12659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7500),
  [12661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7501),
  [12663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7502),
  [12665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7503),
  [12667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7504),
  [12669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4848),
  [12671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7512),
  [12673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7513),
  [12675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7514),
  [12677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7515),
  [12679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7516),
  [12681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [12683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2210),
  [12685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5277),
  [12687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2230),
  [12689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__exclude_no_others, 3),
  [12691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7544),
  [12693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7545),
  [12695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__exclude_current_row, 3),
  [12697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7547),
  [12699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7548),
  [12701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2213),
  [12703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_window_frame, 4),
  [12705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7740),
  [12707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2216),
  [12709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7741),
  [12711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7743),
  [12713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2221),
  [12715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [12717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [12719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2224),
  [12721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [12723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7744),
  [12725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2227),
  [12727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [12729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5558),
  [12731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2232),
  [12733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2235),
  [12735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4844),
  [12737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [12739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2240),
  [12741] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [12743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1952),
  [12745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2243),
  [12747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [12749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7753),
  [12751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2000),
  [12753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [12755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [12757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2093),
  [12759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7755),
  [12761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4510),
  [12763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1999),
  [12765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5580),
  [12767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1774),
  [12769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1894),
  [12771] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_window_frame, 6),
  [12773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [12775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1860),
  [12777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7762),
  [12779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4864),
  [12781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1853),
  [12783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5488),
  [12785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1906),
  [12787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1847),
  [12789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7765),
  [12791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4431),
  [12793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1826),
  [12795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7683),
  [12797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5475),
  [12799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7767),
  [12801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5469),
  [12803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4273),
  [12805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7768),
  [12807] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_marginalia, 3),
  [12809] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comment, 2),
};

#ifdef __cplusplus
extern "C" {
#endif
#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_sql(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym__identifier,
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
